// modules are defined as an array
// [ module function, map of requires ]
//
// map of requires is short require name -> numeric require
//
// anything defined in a previous bundle is accessed via the
// orig method which is the require for previous bundles
parcelRequire = (function (modules, cache, entry, globalName) {
  // Save the require from previous bundle to this closure if any
  var previousRequire = typeof parcelRequire === 'function' && parcelRequire;
  var nodeRequire = typeof require === 'function' && require;

  function newRequire(name, jumped) {
    if (!cache[name]) {
      if (!modules[name]) {
        // if we cannot find the module within our internal map or
        // cache jump to the current global require ie. the last bundle
        // that was added to the page.
        var currentRequire = typeof parcelRequire === 'function' && parcelRequire;
        if (!jumped && currentRequire) {
          return currentRequire(name, true);
        }

        // If there are other bundles on this page the require from the
        // previous one is saved to 'previousRequire'. Repeat this as
        // many times as there are bundles until the module is found or
        // we exhaust the require chain.
        if (previousRequire) {
          return previousRequire(name, true);
        }

        // Try the node require function if it exists.
        if (nodeRequire && typeof name === 'string') {
          return nodeRequire(name);
        }

        var err = new Error('Cannot find module \'' + name + '\'');
        err.code = 'MODULE_NOT_FOUND';
        throw err;
      }

      localRequire.resolve = resolve;
      localRequire.cache = {};

      var module = cache[name] = new newRequire.Module(name);

      modules[name][0].call(module.exports, localRequire, module, module.exports, this);
    }

    return cache[name].exports;

    function localRequire(x){
      return newRequire(localRequire.resolve(x));
    }

    function resolve(x){
      return modules[name][1][x] || x;
    }
  }

  function Module(moduleName) {
    this.id = moduleName;
    this.bundle = newRequire;
    this.exports = {};
  }

  newRequire.isParcelRequire = true;
  newRequire.Module = Module;
  newRequire.modules = modules;
  newRequire.cache = cache;
  newRequire.parent = previousRequire;
  newRequire.register = function (id, exports) {
    modules[id] = [function (require, module) {
      module.exports = exports;
    }, {}];
  };

  var error;
  for (var i = 0; i < entry.length; i++) {
    try {
      newRequire(entry[i]);
    } catch (e) {
      // Save first error but execute all entries
      if (!error) {
        error = e;
      }
    }
  }

  if (entry.length) {
    // Expose entry point to Node, AMD or browser globals
    // Based on https://github.com/ForbesLindesay/umd/blob/master/template.js
    var mainExports = newRequire(entry[entry.length - 1]);

    // CommonJS
    if (typeof exports === "object" && typeof module !== "undefined") {
      module.exports = mainExports;

    // RequireJS
    } else if (typeof define === "function" && define.amd) {
     define(function () {
       return mainExports;
     });

    // <script>
    } else if (globalName) {
      this[globalName] = mainExports;
    }
  }

  // Override the current require with this new one
  parcelRequire = newRequire;

  if (error) {
    // throw error from earlier, _after updating parcelRequire_
    throw error;
  }

  return newRequire;
})({"node_modules/process/browser.js":[function(require,module,exports) {

// shim for using process in browser
var process = module.exports = {};

// cached from whatever global is present so that test runners that stub it
// don't break things.  But we need to wrap it in a try catch in case it is
// wrapped in strict mode code which doesn't define any globals.  It's inside a
// function because try/catches deoptimize in certain engines.

var cachedSetTimeout;
var cachedClearTimeout;
function defaultSetTimout() {
  throw new Error('setTimeout has not been defined');
}
function defaultClearTimeout() {
  throw new Error('clearTimeout has not been defined');
}
(function () {
  try {
    if (typeof setTimeout === 'function') {
      cachedSetTimeout = setTimeout;
    } else {
      cachedSetTimeout = defaultSetTimout;
    }
  } catch (e) {
    cachedSetTimeout = defaultSetTimout;
  }
  try {
    if (typeof clearTimeout === 'function') {
      cachedClearTimeout = clearTimeout;
    } else {
      cachedClearTimeout = defaultClearTimeout;
    }
  } catch (e) {
    cachedClearTimeout = defaultClearTimeout;
  }
})();
function runTimeout(fun) {
  if (cachedSetTimeout === setTimeout) {
    //normal enviroments in sane situations
    return setTimeout(fun, 0);
  }
  // if setTimeout wasn't available but was latter defined
  if ((cachedSetTimeout === defaultSetTimout || !cachedSetTimeout) && setTimeout) {
    cachedSetTimeout = setTimeout;
    return setTimeout(fun, 0);
  }
  try {
    // when when somebody has screwed with setTimeout but no I.E. maddness
    return cachedSetTimeout(fun, 0);
  } catch (e) {
    try {
      // When we are in I.E. but the script has been evaled so I.E. doesn't trust the global object when called normally
      return cachedSetTimeout.call(null, fun, 0);
    } catch (e) {
      // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error
      return cachedSetTimeout.call(this, fun, 0);
    }
  }
}
function runClearTimeout(marker) {
  if (cachedClearTimeout === clearTimeout) {
    //normal enviroments in sane situations
    return clearTimeout(marker);
  }
  // if clearTimeout wasn't available but was latter defined
  if ((cachedClearTimeout === defaultClearTimeout || !cachedClearTimeout) && clearTimeout) {
    cachedClearTimeout = clearTimeout;
    return clearTimeout(marker);
  }
  try {
    // when when somebody has screwed with setTimeout but no I.E. maddness
    return cachedClearTimeout(marker);
  } catch (e) {
    try {
      // When we are in I.E. but the script has been evaled so I.E. doesn't  trust the global object when called normally
      return cachedClearTimeout.call(null, marker);
    } catch (e) {
      // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error.
      // Some versions of I.E. have different rules for clearTimeout vs setTimeout
      return cachedClearTimeout.call(this, marker);
    }
  }
}
var queue = [];
var draining = false;
var currentQueue;
var queueIndex = -1;
function cleanUpNextTick() {
  if (!draining || !currentQueue) {
    return;
  }
  draining = false;
  if (currentQueue.length) {
    queue = currentQueue.concat(queue);
  } else {
    queueIndex = -1;
  }
  if (queue.length) {
    drainQueue();
  }
}
function drainQueue() {
  if (draining) {
    return;
  }
  var timeout = runTimeout(cleanUpNextTick);
  draining = true;
  var len = queue.length;
  while (len) {
    currentQueue = queue;
    queue = [];
    while (++queueIndex < len) {
      if (currentQueue) {
        currentQueue[queueIndex].run();
      }
    }
    queueIndex = -1;
    len = queue.length;
  }
  currentQueue = null;
  draining = false;
  runClearTimeout(timeout);
}
process.nextTick = function (fun) {
  var args = new Array(arguments.length - 1);
  if (arguments.length > 1) {
    for (var i = 1; i < arguments.length; i++) {
      args[i - 1] = arguments[i];
    }
  }
  queue.push(new Item(fun, args));
  if (queue.length === 1 && !draining) {
    runTimeout(drainQueue);
  }
};

// v8 likes predictible objects
function Item(fun, array) {
  this.fun = fun;
  this.array = array;
}
Item.prototype.run = function () {
  this.fun.apply(null, this.array);
};
process.title = 'browser';
process.env = {};
process.argv = [];
process.version = ''; // empty string to avoid regexp issues
process.versions = {};
function noop() {}
process.on = noop;
process.addListener = noop;
process.once = noop;
process.off = noop;
process.removeListener = noop;
process.removeAllListeners = noop;
process.emit = noop;
process.prependListener = noop;
process.prependOnceListener = noop;
process.listeners = function (name) {
  return [];
};
process.binding = function (name) {
  throw new Error('process.binding is not supported');
};
process.cwd = function () {
  return '/';
};
process.chdir = function (dir) {
  throw new Error('process.chdir is not supported');
};
process.umask = function () {
  return 0;
};
},{}],"node_modules/@codemirror/state/dist/index.js":[function(require,module,exports) {
var process = require("process");
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Transaction = exports.Text = exports.StateField = exports.StateEffectType = exports.StateEffect = exports.SelectionRange = exports.RangeValue = exports.RangeSetBuilder = exports.RangeSet = exports.Range = exports.Prec = exports.MapMode = exports.Line = exports.Facet = exports.EditorState = exports.EditorSelection = exports.Compartment = exports.CharCategory = exports.ChangeSet = exports.ChangeDesc = exports.AnnotationType = exports.Annotation = void 0;
exports.codePointAt = codePointAt;
exports.codePointSize = codePointSize;
exports.combineConfig = combineConfig;
exports.countColumn = countColumn;
exports.findClusterBreak = findClusterBreak;
exports.findColumn = findColumn;
exports.fromCodePoint = fromCodePoint;
/**
The data structure for documents. @nonabstract
*/
class Text {
  /**
  @internal
  */
  constructor() {}
  /**
  Get the line description around the given position.
  */
  lineAt(pos) {
    if (pos < 0 || pos > this.length) throw new RangeError(`Invalid position ${pos} in document of length ${this.length}`);
    return this.lineInner(pos, false, 1, 0);
  }
  /**
  Get the description for the given (1-based) line number.
  */
  line(n) {
    if (n < 1 || n > this.lines) throw new RangeError(`Invalid line number ${n} in ${this.lines}-line document`);
    return this.lineInner(n, true, 1, 0);
  }
  /**
  Replace a range of the text with the given content.
  */
  replace(from, to, text) {
    let parts = [];
    this.decompose(0, from, parts, 2 /* Open.To */);
    if (text.length) text.decompose(0, text.length, parts, 1 /* Open.From */ | 2 /* Open.To */);
    this.decompose(to, this.length, parts, 1 /* Open.From */);
    return TextNode.from(parts, this.length - (to - from) + text.length);
  }
  /**
  Append another document to this one.
  */
  append(other) {
    return this.replace(this.length, this.length, other);
  }
  /**
  Retrieve the text between the given points.
  */
  slice(from, to = this.length) {
    let parts = [];
    this.decompose(from, to, parts, 0);
    return TextNode.from(parts, to - from);
  }
  /**
  Test whether this text is equal to another instance.
  */
  eq(other) {
    if (other == this) return true;
    if (other.length != this.length || other.lines != this.lines) return false;
    let start = this.scanIdentical(other, 1),
      end = this.length - this.scanIdentical(other, -1);
    let a = new RawTextCursor(this),
      b = new RawTextCursor(other);
    for (let skip = start, pos = start;;) {
      a.next(skip);
      b.next(skip);
      skip = 0;
      if (a.lineBreak != b.lineBreak || a.done != b.done || a.value != b.value) return false;
      pos += a.value.length;
      if (a.done || pos >= end) return true;
    }
  }
  /**
  Iterate over the text. When `dir` is `-1`, iteration happens
  from end to start. This will return lines and the breaks between
  them as separate strings.
  */
  iter(dir = 1) {
    return new RawTextCursor(this, dir);
  }
  /**
  Iterate over a range of the text. When `from` > `to`, the
  iterator will run in reverse.
  */
  iterRange(from, to = this.length) {
    return new PartialTextCursor(this, from, to);
  }
  /**
  Return a cursor that iterates over the given range of lines,
  _without_ returning the line breaks between, and yielding empty
  strings for empty lines.
  
  When `from` and `to` are given, they should be 1-based line numbers.
  */
  iterLines(from, to) {
    let inner;
    if (from == null) {
      inner = this.iter();
    } else {
      if (to == null) to = this.lines + 1;
      let start = this.line(from).from;
      inner = this.iterRange(start, Math.max(start, to == this.lines + 1 ? this.length : to <= 1 ? 0 : this.line(to - 1).to));
    }
    return new LineCursor(inner);
  }
  /**
  @internal
  */
  toString() {
    return this.sliceString(0);
  }
  /**
  Convert the document to an array of lines (which can be
  deserialized again via [`Text.of`](https://codemirror.net/6/docs/ref/#state.Text^of)).
  */
  toJSON() {
    let lines = [];
    this.flatten(lines);
    return lines;
  }
  /**
  Create a `Text` instance for the given array of lines.
  */
  static of(text) {
    if (text.length == 0) throw new RangeError("A document must have at least one line");
    if (text.length == 1 && !text[0]) return Text.empty;
    return text.length <= 32 /* Tree.Branch */ ? new TextLeaf(text) : TextNode.from(TextLeaf.split(text, []));
  }
}
// Leaves store an array of line strings. There are always line breaks
// between these strings. Leaves are limited in size and have to be
// contained in TextNode instances for bigger documents.
exports.Text = Text;
class TextLeaf extends Text {
  constructor(text, length = textLength(text)) {
    super();
    this.text = text;
    this.length = length;
  }
  get lines() {
    return this.text.length;
  }
  get children() {
    return null;
  }
  lineInner(target, isLine, line, offset) {
    for (let i = 0;; i++) {
      let string = this.text[i],
        end = offset + string.length;
      if ((isLine ? line : end) >= target) return new Line(offset, end, line, string);
      offset = end + 1;
      line++;
    }
  }
  decompose(from, to, target, open) {
    let text = from <= 0 && to >= this.length ? this : new TextLeaf(sliceText(this.text, from, to), Math.min(to, this.length) - Math.max(0, from));
    if (open & 1 /* Open.From */) {
      let prev = target.pop();
      let joined = appendText(text.text, prev.text.slice(), 0, text.length);
      if (joined.length <= 32 /* Tree.Branch */) {
        target.push(new TextLeaf(joined, prev.length + text.length));
      } else {
        let mid = joined.length >> 1;
        target.push(new TextLeaf(joined.slice(0, mid)), new TextLeaf(joined.slice(mid)));
      }
    } else {
      target.push(text);
    }
  }
  replace(from, to, text) {
    if (!(text instanceof TextLeaf)) return super.replace(from, to, text);
    let lines = appendText(this.text, appendText(text.text, sliceText(this.text, 0, from)), to);
    let newLen = this.length + text.length - (to - from);
    if (lines.length <= 32 /* Tree.Branch */) return new TextLeaf(lines, newLen);
    return TextNode.from(TextLeaf.split(lines, []), newLen);
  }
  sliceString(from, to = this.length, lineSep = "\n") {
    let result = "";
    for (let pos = 0, i = 0; pos <= to && i < this.text.length; i++) {
      let line = this.text[i],
        end = pos + line.length;
      if (pos > from && i) result += lineSep;
      if (from < end && to > pos) result += line.slice(Math.max(0, from - pos), to - pos);
      pos = end + 1;
    }
    return result;
  }
  flatten(target) {
    for (let line of this.text) target.push(line);
  }
  scanIdentical() {
    return 0;
  }
  static split(text, target) {
    let part = [],
      len = -1;
    for (let line of text) {
      part.push(line);
      len += line.length + 1;
      if (part.length == 32 /* Tree.Branch */) {
        target.push(new TextLeaf(part, len));
        part = [];
        len = -1;
      }
    }
    if (len > -1) target.push(new TextLeaf(part, len));
    return target;
  }
}
// Nodes provide the tree structure of the `Text` type. They store a
// number of other nodes or leaves, taking care to balance themselves
// on changes. There are implied line breaks _between_ the children of
// a node (but not before the first or after the last child).
class TextNode extends Text {
  constructor(children, length) {
    super();
    this.children = children;
    this.length = length;
    this.lines = 0;
    for (let child of children) this.lines += child.lines;
  }
  lineInner(target, isLine, line, offset) {
    for (let i = 0;; i++) {
      let child = this.children[i],
        end = offset + child.length,
        endLine = line + child.lines - 1;
      if ((isLine ? endLine : end) >= target) return child.lineInner(target, isLine, line, offset);
      offset = end + 1;
      line = endLine + 1;
    }
  }
  decompose(from, to, target, open) {
    for (let i = 0, pos = 0; pos <= to && i < this.children.length; i++) {
      let child = this.children[i],
        end = pos + child.length;
      if (from <= end && to >= pos) {
        let childOpen = open & ((pos <= from ? 1 /* Open.From */ : 0) | (end >= to ? 2 /* Open.To */ : 0));
        if (pos >= from && end <= to && !childOpen) target.push(child);else child.decompose(from - pos, to - pos, target, childOpen);
      }
      pos = end + 1;
    }
  }
  replace(from, to, text) {
    if (text.lines < this.lines) for (let i = 0, pos = 0; i < this.children.length; i++) {
      let child = this.children[i],
        end = pos + child.length;
      // Fast path: if the change only affects one child and the
      // child's size remains in the acceptable range, only update
      // that child
      if (from >= pos && to <= end) {
        let updated = child.replace(from - pos, to - pos, text);
        let totalLines = this.lines - child.lines + updated.lines;
        if (updated.lines < totalLines >> 5 /* Tree.BranchShift */ - 1 && updated.lines > totalLines >> 5 /* Tree.BranchShift */ + 1) {
          let copy = this.children.slice();
          copy[i] = updated;
          return new TextNode(copy, this.length - (to - from) + text.length);
        }
        return super.replace(pos, end, updated);
      }
      pos = end + 1;
    }
    return super.replace(from, to, text);
  }
  sliceString(from, to = this.length, lineSep = "\n") {
    let result = "";
    for (let i = 0, pos = 0; i < this.children.length && pos <= to; i++) {
      let child = this.children[i],
        end = pos + child.length;
      if (pos > from && i) result += lineSep;
      if (from < end && to > pos) result += child.sliceString(from - pos, to - pos, lineSep);
      pos = end + 1;
    }
    return result;
  }
  flatten(target) {
    for (let child of this.children) child.flatten(target);
  }
  scanIdentical(other, dir) {
    if (!(other instanceof TextNode)) return 0;
    let length = 0;
    let [iA, iB, eA, eB] = dir > 0 ? [0, 0, this.children.length, other.children.length] : [this.children.length - 1, other.children.length - 1, -1, -1];
    for (;; iA += dir, iB += dir) {
      if (iA == eA || iB == eB) return length;
      let chA = this.children[iA],
        chB = other.children[iB];
      if (chA != chB) return length + chA.scanIdentical(chB, dir);
      length += chA.length + 1;
    }
  }
  static from(children, length = children.reduce((l, ch) => l + ch.length + 1, -1)) {
    let lines = 0;
    for (let ch of children) lines += ch.lines;
    if (lines < 32 /* Tree.Branch */) {
      let flat = [];
      for (let ch of children) ch.flatten(flat);
      return new TextLeaf(flat, length);
    }
    let chunk = Math.max(32 /* Tree.Branch */, lines >> 5 /* Tree.BranchShift */),
      maxChunk = chunk << 1,
      minChunk = chunk >> 1;
    let chunked = [],
      currentLines = 0,
      currentLen = -1,
      currentChunk = [];
    function add(child) {
      let last;
      if (child.lines > maxChunk && child instanceof TextNode) {
        for (let node of child.children) add(node);
      } else if (child.lines > minChunk && (currentLines > minChunk || !currentLines)) {
        flush();
        chunked.push(child);
      } else if (child instanceof TextLeaf && currentLines && (last = currentChunk[currentChunk.length - 1]) instanceof TextLeaf && child.lines + last.lines <= 32 /* Tree.Branch */) {
        currentLines += child.lines;
        currentLen += child.length + 1;
        currentChunk[currentChunk.length - 1] = new TextLeaf(last.text.concat(child.text), last.length + 1 + child.length);
      } else {
        if (currentLines + child.lines > chunk) flush();
        currentLines += child.lines;
        currentLen += child.length + 1;
        currentChunk.push(child);
      }
    }
    function flush() {
      if (currentLines == 0) return;
      chunked.push(currentChunk.length == 1 ? currentChunk[0] : TextNode.from(currentChunk, currentLen));
      currentLen = -1;
      currentLines = currentChunk.length = 0;
    }
    for (let child of children) add(child);
    flush();
    return chunked.length == 1 ? chunked[0] : new TextNode(chunked, length);
  }
}
Text.empty = /*@__PURE__*/new TextLeaf([""], 0);
function textLength(text) {
  let length = -1;
  for (let line of text) length += line.length + 1;
  return length;
}
function appendText(text, target, from = 0, to = 1e9) {
  for (let pos = 0, i = 0, first = true; i < text.length && pos <= to; i++) {
    let line = text[i],
      end = pos + line.length;
    if (end >= from) {
      if (end > to) line = line.slice(0, to - pos);
      if (pos < from) line = line.slice(from - pos);
      if (first) {
        target[target.length - 1] += line;
        first = false;
      } else target.push(line);
    }
    pos = end + 1;
  }
  return target;
}
function sliceText(text, from, to) {
  return appendText(text, [""], from, to);
}
class RawTextCursor {
  constructor(text, dir = 1) {
    this.dir = dir;
    this.done = false;
    this.lineBreak = false;
    this.value = "";
    this.nodes = [text];
    this.offsets = [dir > 0 ? 1 : (text instanceof TextLeaf ? text.text.length : text.children.length) << 1];
  }
  nextInner(skip, dir) {
    this.done = this.lineBreak = false;
    for (;;) {
      let last = this.nodes.length - 1;
      let top = this.nodes[last],
        offsetValue = this.offsets[last],
        offset = offsetValue >> 1;
      let size = top instanceof TextLeaf ? top.text.length : top.children.length;
      if (offset == (dir > 0 ? size : 0)) {
        if (last == 0) {
          this.done = true;
          this.value = "";
          return this;
        }
        if (dir > 0) this.offsets[last - 1]++;
        this.nodes.pop();
        this.offsets.pop();
      } else if ((offsetValue & 1) == (dir > 0 ? 0 : 1)) {
        this.offsets[last] += dir;
        if (skip == 0) {
          this.lineBreak = true;
          this.value = "\n";
          return this;
        }
        skip--;
      } else if (top instanceof TextLeaf) {
        // Move to the next string
        let next = top.text[offset + (dir < 0 ? -1 : 0)];
        this.offsets[last] += dir;
        if (next.length > Math.max(0, skip)) {
          this.value = skip == 0 ? next : dir > 0 ? next.slice(skip) : next.slice(0, next.length - skip);
          return this;
        }
        skip -= next.length;
      } else {
        let next = top.children[offset + (dir < 0 ? -1 : 0)];
        if (skip > next.length) {
          skip -= next.length;
          this.offsets[last] += dir;
        } else {
          if (dir < 0) this.offsets[last]--;
          this.nodes.push(next);
          this.offsets.push(dir > 0 ? 1 : (next instanceof TextLeaf ? next.text.length : next.children.length) << 1);
        }
      }
    }
  }
  next(skip = 0) {
    if (skip < 0) {
      this.nextInner(-skip, -this.dir);
      skip = this.value.length;
    }
    return this.nextInner(skip, this.dir);
  }
}
class PartialTextCursor {
  constructor(text, start, end) {
    this.value = "";
    this.done = false;
    this.cursor = new RawTextCursor(text, start > end ? -1 : 1);
    this.pos = start > end ? text.length : 0;
    this.from = Math.min(start, end);
    this.to = Math.max(start, end);
  }
  nextInner(skip, dir) {
    if (dir < 0 ? this.pos <= this.from : this.pos >= this.to) {
      this.value = "";
      this.done = true;
      return this;
    }
    skip += Math.max(0, dir < 0 ? this.pos - this.to : this.from - this.pos);
    let limit = dir < 0 ? this.pos - this.from : this.to - this.pos;
    if (skip > limit) skip = limit;
    limit -= skip;
    let {
      value
    } = this.cursor.next(skip);
    this.pos += (value.length + skip) * dir;
    this.value = value.length <= limit ? value : dir < 0 ? value.slice(value.length - limit) : value.slice(0, limit);
    this.done = !this.value;
    return this;
  }
  next(skip = 0) {
    if (skip < 0) skip = Math.max(skip, this.from - this.pos);else if (skip > 0) skip = Math.min(skip, this.to - this.pos);
    return this.nextInner(skip, this.cursor.dir);
  }
  get lineBreak() {
    return this.cursor.lineBreak && this.value != "";
  }
}
class LineCursor {
  constructor(inner) {
    this.inner = inner;
    this.afterBreak = true;
    this.value = "";
    this.done = false;
  }
  next(skip = 0) {
    let {
      done,
      lineBreak,
      value
    } = this.inner.next(skip);
    if (done) {
      this.done = true;
      this.value = "";
    } else if (lineBreak) {
      if (this.afterBreak) {
        this.value = "";
      } else {
        this.afterBreak = true;
        this.next();
      }
    } else {
      this.value = value;
      this.afterBreak = false;
    }
    return this;
  }
  get lineBreak() {
    return false;
  }
}
if (typeof Symbol != "undefined") {
  Text.prototype[Symbol.iterator] = function () {
    return this.iter();
  };
  RawTextCursor.prototype[Symbol.iterator] = PartialTextCursor.prototype[Symbol.iterator] = LineCursor.prototype[Symbol.iterator] = function () {
    return this;
  };
}
/**
This type describes a line in the document. It is created
on-demand when lines are [queried](https://codemirror.net/6/docs/ref/#state.Text.lineAt).
*/
class Line {
  /**
  @internal
  */
  constructor(
  /**
  The position of the start of the line.
  */
  from,
  /**
  The position at the end of the line (_before_ the line break,
  or at the end of document for the last line).
  */
  to,
  /**
  This line's line number (1-based).
  */
  number,
  /**
  The line's content.
  */
  text) {
    this.from = from;
    this.to = to;
    this.number = number;
    this.text = text;
  }
  /**
  The length of the line (not including any line break after it).
  */
  get length() {
    return this.to - this.from;
  }
}

// Compressed representation of the Grapheme_Cluster_Break=Extend
// information from
// http://www.unicode.org/Public/13.0.0/ucd/auxiliary/GraphemeBreakProperty.txt.
// Each pair of elements represents a range, as an offet from the
// previous range and a length. Numbers are in base-36, with the empty
// string being a shorthand for 1.
exports.Line = Line;
let extend = /*@__PURE__*/"lc,34,7n,7,7b,19,,,,2,,2,,,20,b,1c,l,g,,2t,7,2,6,2,2,,4,z,,u,r,2j,b,1m,9,9,,o,4,,9,,3,,5,17,3,3b,f,,w,1j,,,,4,8,4,,3,7,a,2,t,,1m,,,,2,4,8,,9,,a,2,q,,2,2,1l,,4,2,4,2,2,3,3,,u,2,3,,b,2,1l,,4,5,,2,4,,k,2,m,6,,,1m,,,2,,4,8,,7,3,a,2,u,,1n,,,,c,,9,,14,,3,,1l,3,5,3,,4,7,2,b,2,t,,1m,,2,,2,,3,,5,2,7,2,b,2,s,2,1l,2,,,2,4,8,,9,,a,2,t,,20,,4,,2,3,,,8,,29,,2,7,c,8,2q,,2,9,b,6,22,2,r,,,,,,1j,e,,5,,2,5,b,,10,9,,2u,4,,6,,2,2,2,p,2,4,3,g,4,d,,2,2,6,,f,,jj,3,qa,3,t,3,t,2,u,2,1s,2,,7,8,,2,b,9,,19,3,3b,2,y,,3a,3,4,2,9,,6,3,63,2,2,,1m,,,7,,,,,2,8,6,a,2,,1c,h,1r,4,1c,7,,,5,,14,9,c,2,w,4,2,2,,3,1k,,,2,3,,,3,1m,8,2,2,48,3,,d,,7,4,,6,,3,2,5i,1m,,5,ek,,5f,x,2da,3,3x,,2o,w,fe,6,2x,2,n9w,4,,a,w,2,28,2,7k,,3,,4,,p,2,5,,47,2,q,i,d,,12,8,p,b,1a,3,1c,,2,4,2,2,13,,1v,6,2,2,2,2,c,,8,,1b,,1f,,,3,2,2,5,2,,,16,2,8,,6m,,2,,4,,fn4,,kh,g,g,g,a6,2,gt,,6a,,45,5,1ae,3,,2,5,4,14,3,4,,4l,2,fx,4,ar,2,49,b,4w,,1i,f,1k,3,1d,4,2,2,1x,3,10,5,,8,1q,,c,2,1g,9,a,4,2,,2n,3,2,,,2,6,,4g,,3,8,l,2,1l,2,,,,,m,,e,7,3,5,5f,8,2,3,,,n,,29,,2,6,,,2,,,2,,2,6j,,2,4,6,2,,2,r,2,2d,8,2,,,2,2y,,,,2,6,,,2t,3,2,4,,5,77,9,,2,6t,,a,2,,,4,,40,4,2,2,4,,w,a,14,6,2,4,8,,9,6,2,3,1a,d,,2,ba,7,,6,,,2a,m,2,7,,2,,2,3e,6,3,,,2,,7,,,20,2,3,,,,9n,2,f0b,5,1n,7,t4,,1r,4,29,,f5k,2,43q,,,3,4,5,8,8,2,7,u,4,44,3,1iz,1j,4,1e,8,,e,,m,5,,f,11s,7,,h,2,7,,2,,5,79,7,c5,4,15s,7,31,7,240,5,gx7k,2o,3k,6o".split(",").map(s => s ? parseInt(s, 36) : 1);
// Convert offsets into absolute values
for (let i = 1; i < extend.length; i++) extend[i] += extend[i - 1];
function isExtendingChar(code) {
  for (let i = 1; i < extend.length; i += 2) if (extend[i] > code) return extend[i - 1] <= code;
  return false;
}
function isRegionalIndicator(code) {
  return code >= 0x1F1E6 && code <= 0x1F1FF;
}
const ZWJ = 0x200d;
/**
Returns a next grapheme cluster break _after_ (not equal to)
`pos`, if `forward` is true, or before otherwise. Returns `pos`
itself if no further cluster break is available in the string.
Moves across surrogate pairs, extending characters (when
`includeExtending` is true), characters joined with zero-width
joiners, and flag emoji.
*/
function findClusterBreak(str, pos, forward = true, includeExtending = true) {
  return (forward ? nextClusterBreak : prevClusterBreak)(str, pos, includeExtending);
}
function nextClusterBreak(str, pos, includeExtending) {
  if (pos == str.length) return pos;
  // If pos is in the middle of a surrogate pair, move to its start
  if (pos && surrogateLow(str.charCodeAt(pos)) && surrogateHigh(str.charCodeAt(pos - 1))) pos--;
  let prev = codePointAt(str, pos);
  pos += codePointSize(prev);
  while (pos < str.length) {
    let next = codePointAt(str, pos);
    if (prev == ZWJ || next == ZWJ || includeExtending && isExtendingChar(next)) {
      pos += codePointSize(next);
      prev = next;
    } else if (isRegionalIndicator(next)) {
      let countBefore = 0,
        i = pos - 2;
      while (i >= 0 && isRegionalIndicator(codePointAt(str, i))) {
        countBefore++;
        i -= 2;
      }
      if (countBefore % 2 == 0) break;else pos += 2;
    } else {
      break;
    }
  }
  return pos;
}
function prevClusterBreak(str, pos, includeExtending) {
  while (pos > 0) {
    let found = nextClusterBreak(str, pos - 2, includeExtending);
    if (found < pos) return found;
    pos--;
  }
  return 0;
}
function surrogateLow(ch) {
  return ch >= 0xDC00 && ch < 0xE000;
}
function surrogateHigh(ch) {
  return ch >= 0xD800 && ch < 0xDC00;
}
/**
Find the code point at the given position in a string (like the
[`codePointAt`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/codePointAt)
string method).
*/
function codePointAt(str, pos) {
  let code0 = str.charCodeAt(pos);
  if (!surrogateHigh(code0) || pos + 1 == str.length) return code0;
  let code1 = str.charCodeAt(pos + 1);
  if (!surrogateLow(code1)) return code0;
  return (code0 - 0xd800 << 10) + (code1 - 0xdc00) + 0x10000;
}
/**
Given a Unicode codepoint, return the JavaScript string that
respresents it (like
[`String.fromCodePoint`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/fromCodePoint)).
*/
function fromCodePoint(code) {
  if (code <= 0xffff) return String.fromCharCode(code);
  code -= 0x10000;
  return String.fromCharCode((code >> 10) + 0xd800, (code & 1023) + 0xdc00);
}
/**
The amount of positions a character takes up a JavaScript string.
*/
function codePointSize(code) {
  return code < 0x10000 ? 1 : 2;
}
const DefaultSplit = /\r\n?|\n/;
/**
Distinguishes different ways in which positions can be mapped.
*/
var MapMode = /*@__PURE__*/function (MapMode) {
  /**
  Map a position to a valid new position, even when its context
  was deleted.
  */
  MapMode[MapMode["Simple"] = 0] = "Simple";
  /**
  Return null if deletion happens across the position.
  */
  MapMode[MapMode["TrackDel"] = 1] = "TrackDel";
  /**
  Return null if the character _before_ the position is deleted.
  */
  MapMode[MapMode["TrackBefore"] = 2] = "TrackBefore";
  /**
  Return null if the character _after_ the position is deleted.
  */
  MapMode[MapMode["TrackAfter"] = 3] = "TrackAfter";
  return MapMode;
}(MapMode || (exports.MapMode = MapMode = {}));
/**
A change description is a variant of [change set](https://codemirror.net/6/docs/ref/#state.ChangeSet)
that doesn't store the inserted text. As such, it can't be
applied, but is cheaper to store and manipulate.
*/
exports.MapMode = MapMode;
class ChangeDesc {
  // Sections are encoded as pairs of integers. The first is the
  // length in the current document, and the second is -1 for
  // unaffected sections, and the length of the replacement content
  // otherwise. So an insertion would be (0, n>0), a deletion (n>0,
  // 0), and a replacement two positive numbers.
  /**
  @internal
  */
  constructor(
  /**
  @internal
  */
  sections) {
    this.sections = sections;
  }
  /**
  The length of the document before the change.
  */
  get length() {
    let result = 0;
    for (let i = 0; i < this.sections.length; i += 2) result += this.sections[i];
    return result;
  }
  /**
  The length of the document after the change.
  */
  get newLength() {
    let result = 0;
    for (let i = 0; i < this.sections.length; i += 2) {
      let ins = this.sections[i + 1];
      result += ins < 0 ? this.sections[i] : ins;
    }
    return result;
  }
  /**
  False when there are actual changes in this set.
  */
  get empty() {
    return this.sections.length == 0 || this.sections.length == 2 && this.sections[1] < 0;
  }
  /**
  Iterate over the unchanged parts left by these changes. `posA`
  provides the position of the range in the old document, `posB`
  the new position in the changed document.
  */
  iterGaps(f) {
    for (let i = 0, posA = 0, posB = 0; i < this.sections.length;) {
      let len = this.sections[i++],
        ins = this.sections[i++];
      if (ins < 0) {
        f(posA, posB, len);
        posB += len;
      } else {
        posB += ins;
      }
      posA += len;
    }
  }
  /**
  Iterate over the ranges changed by these changes. (See
  [`ChangeSet.iterChanges`](https://codemirror.net/6/docs/ref/#state.ChangeSet.iterChanges) for a
  variant that also provides you with the inserted text.)
  `fromA`/`toA` provides the extent of the change in the starting
  document, `fromB`/`toB` the extent of the replacement in the
  changed document.
  
  When `individual` is true, adjacent changes (which are kept
  separate for [position mapping](https://codemirror.net/6/docs/ref/#state.ChangeDesc.mapPos)) are
  reported separately.
  */
  iterChangedRanges(f, individual = false) {
    iterChanges(this, f, individual);
  }
  /**
  Get a description of the inverted form of these changes.
  */
  get invertedDesc() {
    let sections = [];
    for (let i = 0; i < this.sections.length;) {
      let len = this.sections[i++],
        ins = this.sections[i++];
      if (ins < 0) sections.push(len, ins);else sections.push(ins, len);
    }
    return new ChangeDesc(sections);
  }
  /**
  Compute the combined effect of applying another set of changes
  after this one. The length of the document after this set should
  match the length before `other`.
  */
  composeDesc(other) {
    return this.empty ? other : other.empty ? this : composeSets(this, other);
  }
  /**
  Map this description, which should start with the same document
  as `other`, over another set of changes, so that it can be
  applied after it. When `before` is true, map as if the changes
  in `other` happened before the ones in `this`.
  */
  mapDesc(other, before = false) {
    return other.empty ? this : mapSet(this, other, before);
  }
  mapPos(pos, assoc = -1, mode = MapMode.Simple) {
    let posA = 0,
      posB = 0;
    for (let i = 0; i < this.sections.length;) {
      let len = this.sections[i++],
        ins = this.sections[i++],
        endA = posA + len;
      if (ins < 0) {
        if (endA > pos) return posB + (pos - posA);
        posB += len;
      } else {
        if (mode != MapMode.Simple && endA >= pos && (mode == MapMode.TrackDel && posA < pos && endA > pos || mode == MapMode.TrackBefore && posA < pos || mode == MapMode.TrackAfter && endA > pos)) return null;
        if (endA > pos || endA == pos && assoc < 0 && !len) return pos == posA || assoc < 0 ? posB : posB + ins;
        posB += ins;
      }
      posA = endA;
    }
    if (pos > posA) throw new RangeError(`Position ${pos} is out of range for changeset of length ${posA}`);
    return posB;
  }
  /**
  Check whether these changes touch a given range. When one of the
  changes entirely covers the range, the string `"cover"` is
  returned.
  */
  touchesRange(from, to = from) {
    for (let i = 0, pos = 0; i < this.sections.length && pos <= to;) {
      let len = this.sections[i++],
        ins = this.sections[i++],
        end = pos + len;
      if (ins >= 0 && pos <= to && end >= from) return pos < from && end > to ? "cover" : true;
      pos = end;
    }
    return false;
  }
  /**
  @internal
  */
  toString() {
    let result = "";
    for (let i = 0; i < this.sections.length;) {
      let len = this.sections[i++],
        ins = this.sections[i++];
      result += (result ? " " : "") + len + (ins >= 0 ? ":" + ins : "");
    }
    return result;
  }
  /**
  Serialize this change desc to a JSON-representable value.
  */
  toJSON() {
    return this.sections;
  }
  /**
  Create a change desc from its JSON representation (as produced
  by [`toJSON`](https://codemirror.net/6/docs/ref/#state.ChangeDesc.toJSON).
  */
  static fromJSON(json) {
    if (!Array.isArray(json) || json.length % 2 || json.some(a => typeof a != "number")) throw new RangeError("Invalid JSON representation of ChangeDesc");
    return new ChangeDesc(json);
  }
  /**
  @internal
  */
  static create(sections) {
    return new ChangeDesc(sections);
  }
}
/**
A change set represents a group of modifications to a document. It
stores the document length, and can only be applied to documents
with exactly that length.
*/
exports.ChangeDesc = ChangeDesc;
class ChangeSet extends ChangeDesc {
  constructor(sections,
  /**
  @internal
  */
  inserted) {
    super(sections);
    this.inserted = inserted;
  }
  /**
  Apply the changes to a document, returning the modified
  document.
  */
  apply(doc) {
    if (this.length != doc.length) throw new RangeError("Applying change set to a document with the wrong length");
    iterChanges(this, (fromA, toA, fromB, _toB, text) => doc = doc.replace(fromB, fromB + (toA - fromA), text), false);
    return doc;
  }
  mapDesc(other, before = false) {
    return mapSet(this, other, before, true);
  }
  /**
  Given the document as it existed _before_ the changes, return a
  change set that represents the inverse of this set, which could
  be used to go from the document created by the changes back to
  the document as it existed before the changes.
  */
  invert(doc) {
    let sections = this.sections.slice(),
      inserted = [];
    for (let i = 0, pos = 0; i < sections.length; i += 2) {
      let len = sections[i],
        ins = sections[i + 1];
      if (ins >= 0) {
        sections[i] = ins;
        sections[i + 1] = len;
        let index = i >> 1;
        while (inserted.length < index) inserted.push(Text.empty);
        inserted.push(len ? doc.slice(pos, pos + len) : Text.empty);
      }
      pos += len;
    }
    return new ChangeSet(sections, inserted);
  }
  /**
  Combine two subsequent change sets into a single set. `other`
  must start in the document produced by `this`. If `this` goes
  `docA` → `docB` and `other` represents `docB` → `docC`, the
  returned value will represent the change `docA` → `docC`.
  */
  compose(other) {
    return this.empty ? other : other.empty ? this : composeSets(this, other, true);
  }
  /**
  Given another change set starting in the same document, maps this
  change set over the other, producing a new change set that can be
  applied to the document produced by applying `other`. When
  `before` is `true`, order changes as if `this` comes before
  `other`, otherwise (the default) treat `other` as coming first.
  
  Given two changes `A` and `B`, `A.compose(B.map(A))` and
  `B.compose(A.map(B, true))` will produce the same document. This
  provides a basic form of [operational
  transformation](https://en.wikipedia.org/wiki/Operational_transformation),
  and can be used for collaborative editing.
  */
  map(other, before = false) {
    return other.empty ? this : mapSet(this, other, before, true);
  }
  /**
  Iterate over the changed ranges in the document, calling `f` for
  each, with the range in the original document (`fromA`-`toA`)
  and the range that replaces it in the new document
  (`fromB`-`toB`).
  
  When `individual` is true, adjacent changes are reported
  separately.
  */
  iterChanges(f, individual = false) {
    iterChanges(this, f, individual);
  }
  /**
  Get a [change description](https://codemirror.net/6/docs/ref/#state.ChangeDesc) for this change
  set.
  */
  get desc() {
    return ChangeDesc.create(this.sections);
  }
  /**
  @internal
  */
  filter(ranges) {
    let resultSections = [],
      resultInserted = [],
      filteredSections = [];
    let iter = new SectionIter(this);
    done: for (let i = 0, pos = 0;;) {
      let next = i == ranges.length ? 1e9 : ranges[i++];
      while (pos < next || pos == next && iter.len == 0) {
        if (iter.done) break done;
        let len = Math.min(iter.len, next - pos);
        addSection(filteredSections, len, -1);
        let ins = iter.ins == -1 ? -1 : iter.off == 0 ? iter.ins : 0;
        addSection(resultSections, len, ins);
        if (ins > 0) addInsert(resultInserted, resultSections, iter.text);
        iter.forward(len);
        pos += len;
      }
      let end = ranges[i++];
      while (pos < end) {
        if (iter.done) break done;
        let len = Math.min(iter.len, end - pos);
        addSection(resultSections, len, -1);
        addSection(filteredSections, len, iter.ins == -1 ? -1 : iter.off == 0 ? iter.ins : 0);
        iter.forward(len);
        pos += len;
      }
    }
    return {
      changes: new ChangeSet(resultSections, resultInserted),
      filtered: ChangeDesc.create(filteredSections)
    };
  }
  /**
  Serialize this change set to a JSON-representable value.
  */
  toJSON() {
    let parts = [];
    for (let i = 0; i < this.sections.length; i += 2) {
      let len = this.sections[i],
        ins = this.sections[i + 1];
      if (ins < 0) parts.push(len);else if (ins == 0) parts.push([len]);else parts.push([len].concat(this.inserted[i >> 1].toJSON()));
    }
    return parts;
  }
  /**
  Create a change set for the given changes, for a document of the
  given length, using `lineSep` as line separator.
  */
  static of(changes, length, lineSep) {
    let sections = [],
      inserted = [],
      pos = 0;
    let total = null;
    function flush(force = false) {
      if (!force && !sections.length) return;
      if (pos < length) addSection(sections, length - pos, -1);
      let set = new ChangeSet(sections, inserted);
      total = total ? total.compose(set.map(total)) : set;
      sections = [];
      inserted = [];
      pos = 0;
    }
    function process(spec) {
      if (Array.isArray(spec)) {
        for (let sub of spec) process(sub);
      } else if (spec instanceof ChangeSet) {
        if (spec.length != length) throw new RangeError(`Mismatched change set length (got ${spec.length}, expected ${length})`);
        flush();
        total = total ? total.compose(spec.map(total)) : spec;
      } else {
        let {
          from,
          to = from,
          insert
        } = spec;
        if (from > to || from < 0 || to > length) throw new RangeError(`Invalid change range ${from} to ${to} (in doc of length ${length})`);
        let insText = !insert ? Text.empty : typeof insert == "string" ? Text.of(insert.split(lineSep || DefaultSplit)) : insert;
        let insLen = insText.length;
        if (from == to && insLen == 0) return;
        if (from < pos) flush();
        if (from > pos) addSection(sections, from - pos, -1);
        addSection(sections, to - from, insLen);
        addInsert(inserted, sections, insText);
        pos = to;
      }
    }
    process(changes);
    flush(!total);
    return total;
  }
  /**
  Create an empty changeset of the given length.
  */
  static empty(length) {
    return new ChangeSet(length ? [length, -1] : [], []);
  }
  /**
  Create a changeset from its JSON representation (as produced by
  [`toJSON`](https://codemirror.net/6/docs/ref/#state.ChangeSet.toJSON).
  */
  static fromJSON(json) {
    if (!Array.isArray(json)) throw new RangeError("Invalid JSON representation of ChangeSet");
    let sections = [],
      inserted = [];
    for (let i = 0; i < json.length; i++) {
      let part = json[i];
      if (typeof part == "number") {
        sections.push(part, -1);
      } else if (!Array.isArray(part) || typeof part[0] != "number" || part.some((e, i) => i && typeof e != "string")) {
        throw new RangeError("Invalid JSON representation of ChangeSet");
      } else if (part.length == 1) {
        sections.push(part[0], 0);
      } else {
        while (inserted.length < i) inserted.push(Text.empty);
        inserted[i] = Text.of(part.slice(1));
        sections.push(part[0], inserted[i].length);
      }
    }
    return new ChangeSet(sections, inserted);
  }
  /**
  @internal
  */
  static createSet(sections, inserted) {
    return new ChangeSet(sections, inserted);
  }
}
exports.ChangeSet = ChangeSet;
function addSection(sections, len, ins, forceJoin = false) {
  if (len == 0 && ins <= 0) return;
  let last = sections.length - 2;
  if (last >= 0 && ins <= 0 && ins == sections[last + 1]) sections[last] += len;else if (len == 0 && sections[last] == 0) sections[last + 1] += ins;else if (forceJoin) {
    sections[last] += len;
    sections[last + 1] += ins;
  } else sections.push(len, ins);
}
function addInsert(values, sections, value) {
  if (value.length == 0) return;
  let index = sections.length - 2 >> 1;
  if (index < values.length) {
    values[values.length - 1] = values[values.length - 1].append(value);
  } else {
    while (values.length < index) values.push(Text.empty);
    values.push(value);
  }
}
function iterChanges(desc, f, individual) {
  let inserted = desc.inserted;
  for (let posA = 0, posB = 0, i = 0; i < desc.sections.length;) {
    let len = desc.sections[i++],
      ins = desc.sections[i++];
    if (ins < 0) {
      posA += len;
      posB += len;
    } else {
      let endA = posA,
        endB = posB,
        text = Text.empty;
      for (;;) {
        endA += len;
        endB += ins;
        if (ins && inserted) text = text.append(inserted[i - 2 >> 1]);
        if (individual || i == desc.sections.length || desc.sections[i + 1] < 0) break;
        len = desc.sections[i++];
        ins = desc.sections[i++];
      }
      f(posA, endA, posB, endB, text);
      posA = endA;
      posB = endB;
    }
  }
}
function mapSet(setA, setB, before, mkSet = false) {
  // Produce a copy of setA that applies to the document after setB
  // has been applied (assuming both start at the same document).
  let sections = [],
    insert = mkSet ? [] : null;
  let a = new SectionIter(setA),
    b = new SectionIter(setB);
  // Iterate over both sets in parallel. inserted tracks, for changes
  // in A that have to be processed piece-by-piece, whether their
  // content has been inserted already, and refers to the section
  // index.
  for (let inserted = -1;;) {
    if (a.ins == -1 && b.ins == -1) {
      // Move across ranges skipped by both sets.
      let len = Math.min(a.len, b.len);
      addSection(sections, len, -1);
      a.forward(len);
      b.forward(len);
    } else if (b.ins >= 0 && (a.ins < 0 || inserted == a.i || a.off == 0 && (b.len < a.len || b.len == a.len && !before))) {
      // If there's a change in B that comes before the next change in
      // A (ordered by start pos, then len, then before flag), skip
      // that (and process any changes in A it covers).
      let len = b.len;
      addSection(sections, b.ins, -1);
      while (len) {
        let piece = Math.min(a.len, len);
        if (a.ins >= 0 && inserted < a.i && a.len <= piece) {
          addSection(sections, 0, a.ins);
          if (insert) addInsert(insert, sections, a.text);
          inserted = a.i;
        }
        a.forward(piece);
        len -= piece;
      }
      b.next();
    } else if (a.ins >= 0) {
      // Process the part of a change in A up to the start of the next
      // non-deletion change in B (if overlapping).
      let len = 0,
        left = a.len;
      while (left) {
        if (b.ins == -1) {
          let piece = Math.min(left, b.len);
          len += piece;
          left -= piece;
          b.forward(piece);
        } else if (b.ins == 0 && b.len < left) {
          left -= b.len;
          b.next();
        } else {
          break;
        }
      }
      addSection(sections, len, inserted < a.i ? a.ins : 0);
      if (insert && inserted < a.i) addInsert(insert, sections, a.text);
      inserted = a.i;
      a.forward(a.len - left);
    } else if (a.done && b.done) {
      return insert ? ChangeSet.createSet(sections, insert) : ChangeDesc.create(sections);
    } else {
      throw new Error("Mismatched change set lengths");
    }
  }
}
function composeSets(setA, setB, mkSet = false) {
  let sections = [];
  let insert = mkSet ? [] : null;
  let a = new SectionIter(setA),
    b = new SectionIter(setB);
  for (let open = false;;) {
    if (a.done && b.done) {
      return insert ? ChangeSet.createSet(sections, insert) : ChangeDesc.create(sections);
    } else if (a.ins == 0) {
      // Deletion in A
      addSection(sections, a.len, 0, open);
      a.next();
    } else if (b.len == 0 && !b.done) {
      // Insertion in B
      addSection(sections, 0, b.ins, open);
      if (insert) addInsert(insert, sections, b.text);
      b.next();
    } else if (a.done || b.done) {
      throw new Error("Mismatched change set lengths");
    } else {
      let len = Math.min(a.len2, b.len),
        sectionLen = sections.length;
      if (a.ins == -1) {
        let insB = b.ins == -1 ? -1 : b.off ? 0 : b.ins;
        addSection(sections, len, insB, open);
        if (insert && insB) addInsert(insert, sections, b.text);
      } else if (b.ins == -1) {
        addSection(sections, a.off ? 0 : a.len, len, open);
        if (insert) addInsert(insert, sections, a.textBit(len));
      } else {
        addSection(sections, a.off ? 0 : a.len, b.off ? 0 : b.ins, open);
        if (insert && !b.off) addInsert(insert, sections, b.text);
      }
      open = (a.ins > len || b.ins >= 0 && b.len > len) && (open || sections.length > sectionLen);
      a.forward2(len);
      b.forward(len);
    }
  }
}
class SectionIter {
  constructor(set) {
    this.set = set;
    this.i = 0;
    this.next();
  }
  next() {
    let {
      sections
    } = this.set;
    if (this.i < sections.length) {
      this.len = sections[this.i++];
      this.ins = sections[this.i++];
    } else {
      this.len = 0;
      this.ins = -2;
    }
    this.off = 0;
  }
  get done() {
    return this.ins == -2;
  }
  get len2() {
    return this.ins < 0 ? this.len : this.ins;
  }
  get text() {
    let {
        inserted
      } = this.set,
      index = this.i - 2 >> 1;
    return index >= inserted.length ? Text.empty : inserted[index];
  }
  textBit(len) {
    let {
        inserted
      } = this.set,
      index = this.i - 2 >> 1;
    return index >= inserted.length && !len ? Text.empty : inserted[index].slice(this.off, len == null ? undefined : this.off + len);
  }
  forward(len) {
    if (len == this.len) this.next();else {
      this.len -= len;
      this.off += len;
    }
  }
  forward2(len) {
    if (this.ins == -1) this.forward(len);else if (len == this.ins) this.next();else {
      this.ins -= len;
      this.off += len;
    }
  }
}

/**
A single selection range. When
[`allowMultipleSelections`](https://codemirror.net/6/docs/ref/#state.EditorState^allowMultipleSelections)
is enabled, a [selection](https://codemirror.net/6/docs/ref/#state.EditorSelection) may hold
multiple ranges. By default, selections hold exactly one range.
*/
class SelectionRange {
  constructor(
  /**
  The lower boundary of the range.
  */
  from,
  /**
  The upper boundary of the range.
  */
  to, flags) {
    this.from = from;
    this.to = to;
    this.flags = flags;
  }
  /**
  The anchor of the range—the side that doesn't move when you
  extend it.
  */
  get anchor() {
    return this.flags & 16 /* RangeFlag.Inverted */ ? this.to : this.from;
  }
  /**
  The head of the range, which is moved when the range is
  [extended](https://codemirror.net/6/docs/ref/#state.SelectionRange.extend).
  */
  get head() {
    return this.flags & 16 /* RangeFlag.Inverted */ ? this.from : this.to;
  }
  /**
  True when `anchor` and `head` are at the same position.
  */
  get empty() {
    return this.from == this.to;
  }
  /**
  If this is a cursor that is explicitly associated with the
  character on one of its sides, this returns the side. -1 means
  the character before its position, 1 the character after, and 0
  means no association.
  */
  get assoc() {
    return this.flags & 4 /* RangeFlag.AssocBefore */ ? -1 : this.flags & 8 /* RangeFlag.AssocAfter */ ? 1 : 0;
  }
  /**
  The bidirectional text level associated with this cursor, if
  any.
  */
  get bidiLevel() {
    let level = this.flags & 3 /* RangeFlag.BidiLevelMask */;
    return level == 3 ? null : level;
  }
  /**
  The goal column (stored vertical offset) associated with a
  cursor. This is used to preserve the vertical position when
  [moving](https://codemirror.net/6/docs/ref/#view.EditorView.moveVertically) across
  lines of different length.
  */
  get goalColumn() {
    let value = this.flags >> 5 /* RangeFlag.GoalColumnOffset */;
    return value == 33554431 /* RangeFlag.NoGoalColumn */ ? undefined : value;
  }
  /**
  Map this range through a change, producing a valid range in the
  updated document.
  */
  map(change, assoc = -1) {
    let from, to;
    if (this.empty) {
      from = to = change.mapPos(this.from, assoc);
    } else {
      from = change.mapPos(this.from, 1);
      to = change.mapPos(this.to, -1);
    }
    return from == this.from && to == this.to ? this : new SelectionRange(from, to, this.flags);
  }
  /**
  Extend this range to cover at least `from` to `to`.
  */
  extend(from, to = from) {
    if (from <= this.anchor && to >= this.anchor) return EditorSelection.range(from, to);
    let head = Math.abs(from - this.anchor) > Math.abs(to - this.anchor) ? from : to;
    return EditorSelection.range(this.anchor, head);
  }
  /**
  Compare this range to another range.
  */
  eq(other) {
    return this.anchor == other.anchor && this.head == other.head;
  }
  /**
  Return a JSON-serializable object representing the range.
  */
  toJSON() {
    return {
      anchor: this.anchor,
      head: this.head
    };
  }
  /**
  Convert a JSON representation of a range to a `SelectionRange`
  instance.
  */
  static fromJSON(json) {
    if (!json || typeof json.anchor != "number" || typeof json.head != "number") throw new RangeError("Invalid JSON representation for SelectionRange");
    return EditorSelection.range(json.anchor, json.head);
  }
  /**
  @internal
  */
  static create(from, to, flags) {
    return new SelectionRange(from, to, flags);
  }
}
/**
An editor selection holds one or more selection ranges.
*/
exports.SelectionRange = SelectionRange;
class EditorSelection {
  constructor(
  /**
  The ranges in the selection, sorted by position. Ranges cannot
  overlap (but they may touch, if they aren't empty).
  */
  ranges,
  /**
  The index of the _main_ range in the selection (which is
  usually the range that was added last).
  */
  mainIndex) {
    this.ranges = ranges;
    this.mainIndex = mainIndex;
  }
  /**
  Map a selection through a change. Used to adjust the selection
  position for changes.
  */
  map(change, assoc = -1) {
    if (change.empty) return this;
    return EditorSelection.create(this.ranges.map(r => r.map(change, assoc)), this.mainIndex);
  }
  /**
  Compare this selection to another selection.
  */
  eq(other) {
    if (this.ranges.length != other.ranges.length || this.mainIndex != other.mainIndex) return false;
    for (let i = 0; i < this.ranges.length; i++) if (!this.ranges[i].eq(other.ranges[i])) return false;
    return true;
  }
  /**
  Get the primary selection range. Usually, you should make sure
  your code applies to _all_ ranges, by using methods like
  [`changeByRange`](https://codemirror.net/6/docs/ref/#state.EditorState.changeByRange).
  */
  get main() {
    return this.ranges[this.mainIndex];
  }
  /**
  Make sure the selection only has one range. Returns a selection
  holding only the main range from this selection.
  */
  asSingle() {
    return this.ranges.length == 1 ? this : new EditorSelection([this.main], 0);
  }
  /**
  Extend this selection with an extra range.
  */
  addRange(range, main = true) {
    return EditorSelection.create([range].concat(this.ranges), main ? 0 : this.mainIndex + 1);
  }
  /**
  Replace a given range with another range, and then normalize the
  selection to merge and sort ranges if necessary.
  */
  replaceRange(range, which = this.mainIndex) {
    let ranges = this.ranges.slice();
    ranges[which] = range;
    return EditorSelection.create(ranges, this.mainIndex);
  }
  /**
  Convert this selection to an object that can be serialized to
  JSON.
  */
  toJSON() {
    return {
      ranges: this.ranges.map(r => r.toJSON()),
      main: this.mainIndex
    };
  }
  /**
  Create a selection from a JSON representation.
  */
  static fromJSON(json) {
    if (!json || !Array.isArray(json.ranges) || typeof json.main != "number" || json.main >= json.ranges.length) throw new RangeError("Invalid JSON representation for EditorSelection");
    return new EditorSelection(json.ranges.map(r => SelectionRange.fromJSON(r)), json.main);
  }
  /**
  Create a selection holding a single range.
  */
  static single(anchor, head = anchor) {
    return new EditorSelection([EditorSelection.range(anchor, head)], 0);
  }
  /**
  Sort and merge the given set of ranges, creating a valid
  selection.
  */
  static create(ranges, mainIndex = 0) {
    if (ranges.length == 0) throw new RangeError("A selection needs at least one range");
    for (let pos = 0, i = 0; i < ranges.length; i++) {
      let range = ranges[i];
      if (range.empty ? range.from <= pos : range.from < pos) return EditorSelection.normalized(ranges.slice(), mainIndex);
      pos = range.to;
    }
    return new EditorSelection(ranges, mainIndex);
  }
  /**
  Create a cursor selection range at the given position. You can
  safely ignore the optional arguments in most situations.
  */
  static cursor(pos, assoc = 0, bidiLevel, goalColumn) {
    return SelectionRange.create(pos, pos, (assoc == 0 ? 0 : assoc < 0 ? 4 /* RangeFlag.AssocBefore */ : 8 /* RangeFlag.AssocAfter */) | (bidiLevel == null ? 3 : Math.min(2, bidiLevel)) | (goalColumn !== null && goalColumn !== void 0 ? goalColumn : 33554431 /* RangeFlag.NoGoalColumn */) << 5 /* RangeFlag.GoalColumnOffset */);
  }
  /**
  Create a selection range.
  */
  static range(anchor, head, goalColumn, bidiLevel) {
    let flags = (goalColumn !== null && goalColumn !== void 0 ? goalColumn : 33554431 /* RangeFlag.NoGoalColumn */) << 5 /* RangeFlag.GoalColumnOffset */ | (bidiLevel == null ? 3 : Math.min(2, bidiLevel));
    return head < anchor ? SelectionRange.create(head, anchor, 16 /* RangeFlag.Inverted */ | 8 /* RangeFlag.AssocAfter */ | flags) : SelectionRange.create(anchor, head, (head > anchor ? 4 /* RangeFlag.AssocBefore */ : 0) | flags);
  }
  /**
  @internal
  */
  static normalized(ranges, mainIndex = 0) {
    let main = ranges[mainIndex];
    ranges.sort((a, b) => a.from - b.from);
    mainIndex = ranges.indexOf(main);
    for (let i = 1; i < ranges.length; i++) {
      let range = ranges[i],
        prev = ranges[i - 1];
      if (range.empty ? range.from <= prev.to : range.from < prev.to) {
        let from = prev.from,
          to = Math.max(range.to, prev.to);
        if (i <= mainIndex) mainIndex--;
        ranges.splice(--i, 2, range.anchor > range.head ? EditorSelection.range(to, from) : EditorSelection.range(from, to));
      }
    }
    return new EditorSelection(ranges, mainIndex);
  }
}
exports.EditorSelection = EditorSelection;
function checkSelection(selection, docLength) {
  for (let range of selection.ranges) if (range.to > docLength) throw new RangeError("Selection points outside of document");
}
let nextID = 0;
/**
A facet is a labeled value that is associated with an editor
state. It takes inputs from any number of extensions, and combines
those into a single output value.

Examples of uses of facets are the [tab
size](https://codemirror.net/6/docs/ref/#state.EditorState^tabSize), [editor
attributes](https://codemirror.net/6/docs/ref/#view.EditorView^editorAttributes), and [update
listeners](https://codemirror.net/6/docs/ref/#view.EditorView^updateListener).
*/
class Facet {
  constructor(
  /**
  @internal
  */
  combine,
  /**
  @internal
  */
  compareInput,
  /**
  @internal
  */
  compare, isStatic, enables) {
    this.combine = combine;
    this.compareInput = compareInput;
    this.compare = compare;
    this.isStatic = isStatic;
    /**
    @internal
    */
    this.id = nextID++;
    this.default = combine([]);
    this.extensions = typeof enables == "function" ? enables(this) : enables;
  }
  /**
  Define a new facet.
  */
  static define(config = {}) {
    return new Facet(config.combine || (a => a), config.compareInput || ((a, b) => a === b), config.compare || (!config.combine ? sameArray : (a, b) => a === b), !!config.static, config.enables);
  }
  /**
  Returns an extension that adds the given value to this facet.
  */
  of(value) {
    return new FacetProvider([], this, 0 /* Provider.Static */, value);
  }
  /**
  Create an extension that computes a value for the facet from a
  state. You must take care to declare the parts of the state that
  this value depends on, since your function is only called again
  for a new state when one of those parts changed.
  
  In cases where your value depends only on a single field, you'll
  want to use the [`from`](https://codemirror.net/6/docs/ref/#state.Facet.from) method instead.
  */
  compute(deps, get) {
    if (this.isStatic) throw new Error("Can't compute a static facet");
    return new FacetProvider(deps, this, 1 /* Provider.Single */, get);
  }
  /**
  Create an extension that computes zero or more values for this
  facet from a state.
  */
  computeN(deps, get) {
    if (this.isStatic) throw new Error("Can't compute a static facet");
    return new FacetProvider(deps, this, 2 /* Provider.Multi */, get);
  }
  from(field, get) {
    if (!get) get = x => x;
    return this.compute([field], state => get(state.field(field)));
  }
}
exports.Facet = Facet;
function sameArray(a, b) {
  return a == b || a.length == b.length && a.every((e, i) => e === b[i]);
}
class FacetProvider {
  constructor(dependencies, facet, type, value) {
    this.dependencies = dependencies;
    this.facet = facet;
    this.type = type;
    this.value = value;
    this.id = nextID++;
  }
  dynamicSlot(addresses) {
    var _a;
    let getter = this.value;
    let compare = this.facet.compareInput;
    let id = this.id,
      idx = addresses[id] >> 1,
      multi = this.type == 2 /* Provider.Multi */;
    let depDoc = false,
      depSel = false,
      depAddrs = [];
    for (let dep of this.dependencies) {
      if (dep == "doc") depDoc = true;else if (dep == "selection") depSel = true;else if ((((_a = addresses[dep.id]) !== null && _a !== void 0 ? _a : 1) & 1) == 0) depAddrs.push(addresses[dep.id]);
    }
    return {
      create(state) {
        state.values[idx] = getter(state);
        return 1 /* SlotStatus.Changed */;
      },

      update(state, tr) {
        if (depDoc && tr.docChanged || depSel && (tr.docChanged || tr.selection) || ensureAll(state, depAddrs)) {
          let newVal = getter(state);
          if (multi ? !compareArray(newVal, state.values[idx], compare) : !compare(newVal, state.values[idx])) {
            state.values[idx] = newVal;
            return 1 /* SlotStatus.Changed */;
          }
        }

        return 0;
      },
      reconfigure: (state, oldState) => {
        let newVal,
          oldAddr = oldState.config.address[id];
        if (oldAddr != null) {
          let oldVal = getAddr(oldState, oldAddr);
          if (this.dependencies.every(dep => {
            return dep instanceof Facet ? oldState.facet(dep) === state.facet(dep) : dep instanceof StateField ? oldState.field(dep, false) == state.field(dep, false) : true;
          }) || (multi ? compareArray(newVal = getter(state), oldVal, compare) : compare(newVal = getter(state), oldVal))) {
            state.values[idx] = oldVal;
            return 0;
          }
        } else {
          newVal = getter(state);
        }
        state.values[idx] = newVal;
        return 1 /* SlotStatus.Changed */;
      }
    };
  }
}

function compareArray(a, b, compare) {
  if (a.length != b.length) return false;
  for (let i = 0; i < a.length; i++) if (!compare(a[i], b[i])) return false;
  return true;
}
function ensureAll(state, addrs) {
  let changed = false;
  for (let addr of addrs) if (ensureAddr(state, addr) & 1 /* SlotStatus.Changed */) changed = true;
  return changed;
}
function dynamicFacetSlot(addresses, facet, providers) {
  let providerAddrs = providers.map(p => addresses[p.id]);
  let providerTypes = providers.map(p => p.type);
  let dynamic = providerAddrs.filter(p => !(p & 1));
  let idx = addresses[facet.id] >> 1;
  function get(state) {
    let values = [];
    for (let i = 0; i < providerAddrs.length; i++) {
      let value = getAddr(state, providerAddrs[i]);
      if (providerTypes[i] == 2 /* Provider.Multi */) for (let val of value) values.push(val);else values.push(value);
    }
    return facet.combine(values);
  }
  return {
    create(state) {
      for (let addr of providerAddrs) ensureAddr(state, addr);
      state.values[idx] = get(state);
      return 1 /* SlotStatus.Changed */;
    },

    update(state, tr) {
      if (!ensureAll(state, dynamic)) return 0;
      let value = get(state);
      if (facet.compare(value, state.values[idx])) return 0;
      state.values[idx] = value;
      return 1 /* SlotStatus.Changed */;
    },

    reconfigure(state, oldState) {
      let depChanged = ensureAll(state, providerAddrs);
      let oldProviders = oldState.config.facets[facet.id],
        oldValue = oldState.facet(facet);
      if (oldProviders && !depChanged && sameArray(providers, oldProviders)) {
        state.values[idx] = oldValue;
        return 0;
      }
      let value = get(state);
      if (facet.compare(value, oldValue)) {
        state.values[idx] = oldValue;
        return 0;
      }
      state.values[idx] = value;
      return 1 /* SlotStatus.Changed */;
    }
  };
}

const initField = /*@__PURE__*/Facet.define({
  static: true
});
/**
Fields can store additional information in an editor state, and
keep it in sync with the rest of the state.
*/
class StateField {
  constructor(
  /**
  @internal
  */
  id, createF, updateF, compareF,
  /**
  @internal
  */
  spec) {
    this.id = id;
    this.createF = createF;
    this.updateF = updateF;
    this.compareF = compareF;
    this.spec = spec;
    /**
    @internal
    */
    this.provides = undefined;
  }
  /**
  Define a state field.
  */
  static define(config) {
    let field = new StateField(nextID++, config.create, config.update, config.compare || ((a, b) => a === b), config);
    if (config.provide) field.provides = config.provide(field);
    return field;
  }
  create(state) {
    let init = state.facet(initField).find(i => i.field == this);
    return ((init === null || init === void 0 ? void 0 : init.create) || this.createF)(state);
  }
  /**
  @internal
  */
  slot(addresses) {
    let idx = addresses[this.id] >> 1;
    return {
      create: state => {
        state.values[idx] = this.create(state);
        return 1 /* SlotStatus.Changed */;
      },

      update: (state, tr) => {
        let oldVal = state.values[idx];
        let value = this.updateF(oldVal, tr);
        if (this.compareF(oldVal, value)) return 0;
        state.values[idx] = value;
        return 1 /* SlotStatus.Changed */;
      },

      reconfigure: (state, oldState) => {
        if (oldState.config.address[this.id] != null) {
          state.values[idx] = oldState.field(this);
          return 0;
        }
        state.values[idx] = this.create(state);
        return 1 /* SlotStatus.Changed */;
      }
    };
  }
  /**
  Returns an extension that enables this field and overrides the
  way it is initialized. Can be useful when you need to provide a
  non-default starting value for the field.
  */
  init(create) {
    return [this, initField.of({
      field: this,
      create
    })];
  }
  /**
  State field instances can be used as
  [`Extension`](https://codemirror.net/6/docs/ref/#state.Extension) values to enable the field in a
  given state.
  */
  get extension() {
    return this;
  }
}
exports.StateField = StateField;
const Prec_ = {
  lowest: 4,
  low: 3,
  default: 2,
  high: 1,
  highest: 0
};
function prec(value) {
  return ext => new PrecExtension(ext, value);
}
/**
By default extensions are registered in the order they are found
in the flattened form of nested array that was provided.
Individual extension values can be assigned a precedence to
override this. Extensions that do not have a precedence set get
the precedence of the nearest parent with a precedence, or
[`default`](https://codemirror.net/6/docs/ref/#state.Prec.default) if there is no such parent. The
final ordering of extensions is determined by first sorting by
precedence and then by order within each precedence.
*/
const Prec = {
  /**
  The highest precedence level, for extensions that should end up
  near the start of the precedence ordering.
  */
  highest: /*@__PURE__*/prec(Prec_.highest),
  /**
  A higher-than-default precedence, for extensions that should
  come before those with default precedence.
  */
  high: /*@__PURE__*/prec(Prec_.high),
  /**
  The default precedence, which is also used for extensions
  without an explicit precedence.
  */
  default: /*@__PURE__*/prec(Prec_.default),
  /**
  A lower-than-default precedence.
  */
  low: /*@__PURE__*/prec(Prec_.low),
  /**
  The lowest precedence level. Meant for things that should end up
  near the end of the extension order.
  */
  lowest: /*@__PURE__*/prec(Prec_.lowest)
};
exports.Prec = Prec;
class PrecExtension {
  constructor(inner, prec) {
    this.inner = inner;
    this.prec = prec;
  }
}
/**
Extension compartments can be used to make a configuration
dynamic. By [wrapping](https://codemirror.net/6/docs/ref/#state.Compartment.of) part of your
configuration in a compartment, you can later
[replace](https://codemirror.net/6/docs/ref/#state.Compartment.reconfigure) that part through a
transaction.
*/
class Compartment {
  /**
  Create an instance of this compartment to add to your [state
  configuration](https://codemirror.net/6/docs/ref/#state.EditorStateConfig.extensions).
  */
  of(ext) {
    return new CompartmentInstance(this, ext);
  }
  /**
  Create an [effect](https://codemirror.net/6/docs/ref/#state.TransactionSpec.effects) that
  reconfigures this compartment.
  */
  reconfigure(content) {
    return Compartment.reconfigure.of({
      compartment: this,
      extension: content
    });
  }
  /**
  Get the current content of the compartment in the state, or
  `undefined` if it isn't present.
  */
  get(state) {
    return state.config.compartments.get(this);
  }
}
exports.Compartment = Compartment;
class CompartmentInstance {
  constructor(compartment, inner) {
    this.compartment = compartment;
    this.inner = inner;
  }
}
class Configuration {
  constructor(base, compartments, dynamicSlots, address, staticValues, facets) {
    this.base = base;
    this.compartments = compartments;
    this.dynamicSlots = dynamicSlots;
    this.address = address;
    this.staticValues = staticValues;
    this.facets = facets;
    this.statusTemplate = [];
    while (this.statusTemplate.length < dynamicSlots.length) this.statusTemplate.push(0 /* SlotStatus.Unresolved */);
  }

  staticFacet(facet) {
    let addr = this.address[facet.id];
    return addr == null ? facet.default : this.staticValues[addr >> 1];
  }
  static resolve(base, compartments, oldState) {
    let fields = [];
    let facets = Object.create(null);
    let newCompartments = new Map();
    for (let ext of flatten(base, compartments, newCompartments)) {
      if (ext instanceof StateField) fields.push(ext);else (facets[ext.facet.id] || (facets[ext.facet.id] = [])).push(ext);
    }
    let address = Object.create(null);
    let staticValues = [];
    let dynamicSlots = [];
    for (let field of fields) {
      address[field.id] = dynamicSlots.length << 1;
      dynamicSlots.push(a => field.slot(a));
    }
    let oldFacets = oldState === null || oldState === void 0 ? void 0 : oldState.config.facets;
    for (let id in facets) {
      let providers = facets[id],
        facet = providers[0].facet;
      let oldProviders = oldFacets && oldFacets[id] || [];
      if (providers.every(p => p.type == 0 /* Provider.Static */)) {
        address[facet.id] = staticValues.length << 1 | 1;
        if (sameArray(oldProviders, providers)) {
          staticValues.push(oldState.facet(facet));
        } else {
          let value = facet.combine(providers.map(p => p.value));
          staticValues.push(oldState && facet.compare(value, oldState.facet(facet)) ? oldState.facet(facet) : value);
        }
      } else {
        for (let p of providers) {
          if (p.type == 0 /* Provider.Static */) {
            address[p.id] = staticValues.length << 1 | 1;
            staticValues.push(p.value);
          } else {
            address[p.id] = dynamicSlots.length << 1;
            dynamicSlots.push(a => p.dynamicSlot(a));
          }
        }
        address[facet.id] = dynamicSlots.length << 1;
        dynamicSlots.push(a => dynamicFacetSlot(a, facet, providers));
      }
    }
    let dynamic = dynamicSlots.map(f => f(address));
    return new Configuration(base, newCompartments, dynamic, address, staticValues, facets);
  }
}
function flatten(extension, compartments, newCompartments) {
  let result = [[], [], [], [], []];
  let seen = new Map();
  function inner(ext, prec) {
    let known = seen.get(ext);
    if (known != null) {
      if (known <= prec) return;
      let found = result[known].indexOf(ext);
      if (found > -1) result[known].splice(found, 1);
      if (ext instanceof CompartmentInstance) newCompartments.delete(ext.compartment);
    }
    seen.set(ext, prec);
    if (Array.isArray(ext)) {
      for (let e of ext) inner(e, prec);
    } else if (ext instanceof CompartmentInstance) {
      if (newCompartments.has(ext.compartment)) throw new RangeError(`Duplicate use of compartment in extensions`);
      let content = compartments.get(ext.compartment) || ext.inner;
      newCompartments.set(ext.compartment, content);
      inner(content, prec);
    } else if (ext instanceof PrecExtension) {
      inner(ext.inner, ext.prec);
    } else if (ext instanceof StateField) {
      result[prec].push(ext);
      if (ext.provides) inner(ext.provides, prec);
    } else if (ext instanceof FacetProvider) {
      result[prec].push(ext);
      if (ext.facet.extensions) inner(ext.facet.extensions, Prec_.default);
    } else {
      let content = ext.extension;
      if (!content) throw new Error(`Unrecognized extension value in extension set (${ext}). This sometimes happens because multiple instances of @codemirror/state are loaded, breaking instanceof checks.`);
      inner(content, prec);
    }
  }
  inner(extension, Prec_.default);
  return result.reduce((a, b) => a.concat(b));
}
function ensureAddr(state, addr) {
  if (addr & 1) return 2 /* SlotStatus.Computed */;
  let idx = addr >> 1;
  let status = state.status[idx];
  if (status == 4 /* SlotStatus.Computing */) throw new Error("Cyclic dependency between fields and/or facets");
  if (status & 2 /* SlotStatus.Computed */) return status;
  state.status[idx] = 4 /* SlotStatus.Computing */;
  let changed = state.computeSlot(state, state.config.dynamicSlots[idx]);
  return state.status[idx] = 2 /* SlotStatus.Computed */ | changed;
}
function getAddr(state, addr) {
  return addr & 1 ? state.config.staticValues[addr >> 1] : state.values[addr >> 1];
}
const languageData = /*@__PURE__*/Facet.define();
const allowMultipleSelections = /*@__PURE__*/Facet.define({
  combine: values => values.some(v => v),
  static: true
});
const lineSeparator = /*@__PURE__*/Facet.define({
  combine: values => values.length ? values[0] : undefined,
  static: true
});
const changeFilter = /*@__PURE__*/Facet.define();
const transactionFilter = /*@__PURE__*/Facet.define();
const transactionExtender = /*@__PURE__*/Facet.define();
const readOnly = /*@__PURE__*/Facet.define({
  combine: values => values.length ? values[0] : false
});

/**
Annotations are tagged values that are used to add metadata to
transactions in an extensible way. They should be used to model
things that effect the entire transaction (such as its [time
stamp](https://codemirror.net/6/docs/ref/#state.Transaction^time) or information about its
[origin](https://codemirror.net/6/docs/ref/#state.Transaction^userEvent)). For effects that happen
_alongside_ the other changes made by the transaction, [state
effects](https://codemirror.net/6/docs/ref/#state.StateEffect) are more appropriate.
*/
class Annotation {
  /**
  @internal
  */
  constructor(
  /**
  The annotation type.
  */
  type,
  /**
  The value of this annotation.
  */
  value) {
    this.type = type;
    this.value = value;
  }
  /**
  Define a new type of annotation.
  */
  static define() {
    return new AnnotationType();
  }
}
/**
Marker that identifies a type of [annotation](https://codemirror.net/6/docs/ref/#state.Annotation).
*/
exports.Annotation = Annotation;
class AnnotationType {
  /**
  Create an instance of this annotation.
  */
  of(value) {
    return new Annotation(this, value);
  }
}
/**
Representation of a type of state effect. Defined with
[`StateEffect.define`](https://codemirror.net/6/docs/ref/#state.StateEffect^define).
*/
exports.AnnotationType = AnnotationType;
class StateEffectType {
  /**
  @internal
  */
  constructor(
  // The `any` types in these function types are there to work
  // around TypeScript issue #37631, where the type guard on
  // `StateEffect.is` mysteriously stops working when these properly
  // have type `Value`.
  /**
  @internal
  */
  map) {
    this.map = map;
  }
  /**
  Create a [state effect](https://codemirror.net/6/docs/ref/#state.StateEffect) instance of this
  type.
  */
  of(value) {
    return new StateEffect(this, value);
  }
}
/**
State effects can be used to represent additional effects
associated with a [transaction](https://codemirror.net/6/docs/ref/#state.Transaction.effects). They
are often useful to model changes to custom [state
fields](https://codemirror.net/6/docs/ref/#state.StateField), when those changes aren't implicit in
document or selection changes.
*/
exports.StateEffectType = StateEffectType;
class StateEffect {
  /**
  @internal
  */
  constructor(
  /**
  @internal
  */
  type,
  /**
  The value of this effect.
  */
  value) {
    this.type = type;
    this.value = value;
  }
  /**
  Map this effect through a position mapping. Will return
  `undefined` when that ends up deleting the effect.
  */
  map(mapping) {
    let mapped = this.type.map(this.value, mapping);
    return mapped === undefined ? undefined : mapped == this.value ? this : new StateEffect(this.type, mapped);
  }
  /**
  Tells you whether this effect object is of a given
  [type](https://codemirror.net/6/docs/ref/#state.StateEffectType).
  */
  is(type) {
    return this.type == type;
  }
  /**
  Define a new effect type. The type parameter indicates the type
  of values that his effect holds.
  */
  static define(spec = {}) {
    return new StateEffectType(spec.map || (v => v));
  }
  /**
  Map an array of effects through a change set.
  */
  static mapEffects(effects, mapping) {
    if (!effects.length) return effects;
    let result = [];
    for (let effect of effects) {
      let mapped = effect.map(mapping);
      if (mapped) result.push(mapped);
    }
    return result;
  }
}
/**
This effect can be used to reconfigure the root extensions of
the editor. Doing this will discard any extensions
[appended](https://codemirror.net/6/docs/ref/#state.StateEffect^appendConfig), but does not reset
the content of [reconfigured](https://codemirror.net/6/docs/ref/#state.Compartment.reconfigure)
compartments.
*/
exports.StateEffect = StateEffect;
StateEffect.reconfigure = /*@__PURE__*/StateEffect.define();
/**
Append extensions to the top-level configuration of the editor.
*/
StateEffect.appendConfig = /*@__PURE__*/StateEffect.define();
/**
Changes to the editor state are grouped into transactions.
Typically, a user action creates a single transaction, which may
contain any number of document changes, may change the selection,
or have other effects. Create a transaction by calling
[`EditorState.update`](https://codemirror.net/6/docs/ref/#state.EditorState.update), or immediately
dispatch one by calling
[`EditorView.dispatch`](https://codemirror.net/6/docs/ref/#view.EditorView.dispatch).
*/
class Transaction {
  constructor(
  /**
  The state from which the transaction starts.
  */
  startState,
  /**
  The document changes made by this transaction.
  */
  changes,
  /**
  The selection set by this transaction, or undefined if it
  doesn't explicitly set a selection.
  */
  selection,
  /**
  The effects added to the transaction.
  */
  effects,
  /**
  @internal
  */
  annotations,
  /**
  Whether the selection should be scrolled into view after this
  transaction is dispatched.
  */
  scrollIntoView) {
    this.startState = startState;
    this.changes = changes;
    this.selection = selection;
    this.effects = effects;
    this.annotations = annotations;
    this.scrollIntoView = scrollIntoView;
    /**
    @internal
    */
    this._doc = null;
    /**
    @internal
    */
    this._state = null;
    if (selection) checkSelection(selection, changes.newLength);
    if (!annotations.some(a => a.type == Transaction.time)) this.annotations = annotations.concat(Transaction.time.of(Date.now()));
  }
  /**
  @internal
  */
  static create(startState, changes, selection, effects, annotations, scrollIntoView) {
    return new Transaction(startState, changes, selection, effects, annotations, scrollIntoView);
  }
  /**
  The new document produced by the transaction. Contrary to
  [`.state`](https://codemirror.net/6/docs/ref/#state.Transaction.state)`.doc`, accessing this won't
  force the entire new state to be computed right away, so it is
  recommended that [transaction
  filters](https://codemirror.net/6/docs/ref/#state.EditorState^transactionFilter) use this getter
  when they need to look at the new document.
  */
  get newDoc() {
    return this._doc || (this._doc = this.changes.apply(this.startState.doc));
  }
  /**
  The new selection produced by the transaction. If
  [`this.selection`](https://codemirror.net/6/docs/ref/#state.Transaction.selection) is undefined,
  this will [map](https://codemirror.net/6/docs/ref/#state.EditorSelection.map) the start state's
  current selection through the changes made by the transaction.
  */
  get newSelection() {
    return this.selection || this.startState.selection.map(this.changes);
  }
  /**
  The new state created by the transaction. Computed on demand
  (but retained for subsequent access), so it is recommended not to
  access it in [transaction
  filters](https://codemirror.net/6/docs/ref/#state.EditorState^transactionFilter) when possible.
  */
  get state() {
    if (!this._state) this.startState.applyTransaction(this);
    return this._state;
  }
  /**
  Get the value of the given annotation type, if any.
  */
  annotation(type) {
    for (let ann of this.annotations) if (ann.type == type) return ann.value;
    return undefined;
  }
  /**
  Indicates whether the transaction changed the document.
  */
  get docChanged() {
    return !this.changes.empty;
  }
  /**
  Indicates whether this transaction reconfigures the state
  (through a [configuration compartment](https://codemirror.net/6/docs/ref/#state.Compartment) or
  with a top-level configuration
  [effect](https://codemirror.net/6/docs/ref/#state.StateEffect^reconfigure).
  */
  get reconfigured() {
    return this.startState.config != this.state.config;
  }
  /**
  Returns true if the transaction has a [user
  event](https://codemirror.net/6/docs/ref/#state.Transaction^userEvent) annotation that is equal to
  or more specific than `event`. For example, if the transaction
  has `"select.pointer"` as user event, `"select"` and
  `"select.pointer"` will match it.
  */
  isUserEvent(event) {
    let e = this.annotation(Transaction.userEvent);
    return !!(e && (e == event || e.length > event.length && e.slice(0, event.length) == event && e[event.length] == "."));
  }
}
/**
Annotation used to store transaction timestamps. Automatically
added to every transaction, holding `Date.now()`.
*/
exports.Transaction = Transaction;
Transaction.time = /*@__PURE__*/Annotation.define();
/**
Annotation used to associate a transaction with a user interface
event. Holds a string identifying the event, using a
dot-separated format to support attaching more specific
information. The events used by the core libraries are:

 - `"input"` when content is entered
   - `"input.type"` for typed input
     - `"input.type.compose"` for composition
   - `"input.paste"` for pasted input
   - `"input.drop"` when adding content with drag-and-drop
   - `"input.complete"` when autocompleting
 - `"delete"` when the user deletes content
   - `"delete.selection"` when deleting the selection
   - `"delete.forward"` when deleting forward from the selection
   - `"delete.backward"` when deleting backward from the selection
   - `"delete.cut"` when cutting to the clipboard
 - `"move"` when content is moved
   - `"move.drop"` when content is moved within the editor through drag-and-drop
 - `"select"` when explicitly changing the selection
   - `"select.pointer"` when selecting with a mouse or other pointing device
 - `"undo"` and `"redo"` for history actions

Use [`isUserEvent`](https://codemirror.net/6/docs/ref/#state.Transaction.isUserEvent) to check
whether the annotation matches a given event.
*/
Transaction.userEvent = /*@__PURE__*/Annotation.define();
/**
Annotation indicating whether a transaction should be added to
the undo history or not.
*/
Transaction.addToHistory = /*@__PURE__*/Annotation.define();
/**
Annotation indicating (when present and true) that a transaction
represents a change made by some other actor, not the user. This
is used, for example, to tag other people's changes in
collaborative editing.
*/
Transaction.remote = /*@__PURE__*/Annotation.define();
function joinRanges(a, b) {
  let result = [];
  for (let iA = 0, iB = 0;;) {
    let from, to;
    if (iA < a.length && (iB == b.length || b[iB] >= a[iA])) {
      from = a[iA++];
      to = a[iA++];
    } else if (iB < b.length) {
      from = b[iB++];
      to = b[iB++];
    } else return result;
    if (!result.length || result[result.length - 1] < from) result.push(from, to);else if (result[result.length - 1] < to) result[result.length - 1] = to;
  }
}
function mergeTransaction(a, b, sequential) {
  var _a;
  let mapForA, mapForB, changes;
  if (sequential) {
    mapForA = b.changes;
    mapForB = ChangeSet.empty(b.changes.length);
    changes = a.changes.compose(b.changes);
  } else {
    mapForA = b.changes.map(a.changes);
    mapForB = a.changes.mapDesc(b.changes, true);
    changes = a.changes.compose(mapForA);
  }
  return {
    changes,
    selection: b.selection ? b.selection.map(mapForB) : (_a = a.selection) === null || _a === void 0 ? void 0 : _a.map(mapForA),
    effects: StateEffect.mapEffects(a.effects, mapForA).concat(StateEffect.mapEffects(b.effects, mapForB)),
    annotations: a.annotations.length ? a.annotations.concat(b.annotations) : b.annotations,
    scrollIntoView: a.scrollIntoView || b.scrollIntoView
  };
}
function resolveTransactionInner(state, spec, docSize) {
  let sel = spec.selection,
    annotations = asArray(spec.annotations);
  if (spec.userEvent) annotations = annotations.concat(Transaction.userEvent.of(spec.userEvent));
  return {
    changes: spec.changes instanceof ChangeSet ? spec.changes : ChangeSet.of(spec.changes || [], docSize, state.facet(lineSeparator)),
    selection: sel && (sel instanceof EditorSelection ? sel : EditorSelection.single(sel.anchor, sel.head)),
    effects: asArray(spec.effects),
    annotations,
    scrollIntoView: !!spec.scrollIntoView
  };
}
function resolveTransaction(state, specs, filter) {
  let s = resolveTransactionInner(state, specs.length ? specs[0] : {}, state.doc.length);
  if (specs.length && specs[0].filter === false) filter = false;
  for (let i = 1; i < specs.length; i++) {
    if (specs[i].filter === false) filter = false;
    let seq = !!specs[i].sequential;
    s = mergeTransaction(s, resolveTransactionInner(state, specs[i], seq ? s.changes.newLength : state.doc.length), seq);
  }
  let tr = Transaction.create(state, s.changes, s.selection, s.effects, s.annotations, s.scrollIntoView);
  return extendTransaction(filter ? filterTransaction(tr) : tr);
}
// Finish a transaction by applying filters if necessary.
function filterTransaction(tr) {
  let state = tr.startState;
  // Change filters
  let result = true;
  for (let filter of state.facet(changeFilter)) {
    let value = filter(tr);
    if (value === false) {
      result = false;
      break;
    }
    if (Array.isArray(value)) result = result === true ? value : joinRanges(result, value);
  }
  if (result !== true) {
    let changes, back;
    if (result === false) {
      back = tr.changes.invertedDesc;
      changes = ChangeSet.empty(state.doc.length);
    } else {
      let filtered = tr.changes.filter(result);
      changes = filtered.changes;
      back = filtered.filtered.mapDesc(filtered.changes).invertedDesc;
    }
    tr = Transaction.create(state, changes, tr.selection && tr.selection.map(back), StateEffect.mapEffects(tr.effects, back), tr.annotations, tr.scrollIntoView);
  }
  // Transaction filters
  let filters = state.facet(transactionFilter);
  for (let i = filters.length - 1; i >= 0; i--) {
    let filtered = filters[i](tr);
    if (filtered instanceof Transaction) tr = filtered;else if (Array.isArray(filtered) && filtered.length == 1 && filtered[0] instanceof Transaction) tr = filtered[0];else tr = resolveTransaction(state, asArray(filtered), false);
  }
  return tr;
}
function extendTransaction(tr) {
  let state = tr.startState,
    extenders = state.facet(transactionExtender),
    spec = tr;
  for (let i = extenders.length - 1; i >= 0; i--) {
    let extension = extenders[i](tr);
    if (extension && Object.keys(extension).length) spec = mergeTransaction(spec, resolveTransactionInner(state, extension, tr.changes.newLength), true);
  }
  return spec == tr ? tr : Transaction.create(state, tr.changes, tr.selection, spec.effects, spec.annotations, spec.scrollIntoView);
}
const none = [];
function asArray(value) {
  return value == null ? none : Array.isArray(value) ? value : [value];
}

/**
The categories produced by a [character
categorizer](https://codemirror.net/6/docs/ref/#state.EditorState.charCategorizer). These are used
do things like selecting by word.
*/
var CharCategory = /*@__PURE__*/function (CharCategory) {
  /**
  Word characters.
  */
  CharCategory[CharCategory["Word"] = 0] = "Word";
  /**
  Whitespace.
  */
  CharCategory[CharCategory["Space"] = 1] = "Space";
  /**
  Anything else.
  */
  CharCategory[CharCategory["Other"] = 2] = "Other";
  return CharCategory;
}(CharCategory || (exports.CharCategory = CharCategory = {}));
exports.CharCategory = CharCategory;
const nonASCIISingleCaseWordChar = /[\u00df\u0587\u0590-\u05f4\u0600-\u06ff\u3040-\u309f\u30a0-\u30ff\u3400-\u4db5\u4e00-\u9fcc\uac00-\ud7af]/;
let wordChar;
try {
  wordChar = /*@__PURE__*/new RegExp("[\\p{Alphabetic}\\p{Number}_]", "u");
} catch (_) {}
function hasWordChar(str) {
  if (wordChar) return wordChar.test(str);
  for (let i = 0; i < str.length; i++) {
    let ch = str[i];
    if (/\w/.test(ch) || ch > "\x80" && (ch.toUpperCase() != ch.toLowerCase() || nonASCIISingleCaseWordChar.test(ch))) return true;
  }
  return false;
}
function makeCategorizer(wordChars) {
  return char => {
    if (!/\S/.test(char)) return CharCategory.Space;
    if (hasWordChar(char)) return CharCategory.Word;
    for (let i = 0; i < wordChars.length; i++) if (char.indexOf(wordChars[i]) > -1) return CharCategory.Word;
    return CharCategory.Other;
  };
}

/**
The editor state class is a persistent (immutable) data structure.
To update a state, you [create](https://codemirror.net/6/docs/ref/#state.EditorState.update) a
[transaction](https://codemirror.net/6/docs/ref/#state.Transaction), which produces a _new_ state
instance, without modifying the original object.

As such, _never_ mutate properties of a state directly. That'll
just break things.
*/
class EditorState {
  constructor(
  /**
  @internal
  */
  config,
  /**
  The current document.
  */
  doc,
  /**
  The current selection.
  */
  selection,
  /**
  @internal
  */
  values, computeSlot, tr) {
    this.config = config;
    this.doc = doc;
    this.selection = selection;
    this.values = values;
    this.status = config.statusTemplate.slice();
    this.computeSlot = computeSlot;
    // Fill in the computed state immediately, so that further queries
    // for it made during the update return this state
    if (tr) tr._state = this;
    for (let i = 0; i < this.config.dynamicSlots.length; i++) ensureAddr(this, i << 1);
    this.computeSlot = null;
  }
  field(field, require = true) {
    let addr = this.config.address[field.id];
    if (addr == null) {
      if (require) throw new RangeError("Field is not present in this state");
      return undefined;
    }
    ensureAddr(this, addr);
    return getAddr(this, addr);
  }
  /**
  Create a [transaction](https://codemirror.net/6/docs/ref/#state.Transaction) that updates this
  state. Any number of [transaction specs](https://codemirror.net/6/docs/ref/#state.TransactionSpec)
  can be passed. Unless
  [`sequential`](https://codemirror.net/6/docs/ref/#state.TransactionSpec.sequential) is set, the
  [changes](https://codemirror.net/6/docs/ref/#state.TransactionSpec.changes) (if any) of each spec
  are assumed to start in the _current_ document (not the document
  produced by previous specs), and its
  [selection](https://codemirror.net/6/docs/ref/#state.TransactionSpec.selection) and
  [effects](https://codemirror.net/6/docs/ref/#state.TransactionSpec.effects) are assumed to refer
  to the document created by its _own_ changes. The resulting
  transaction contains the combined effect of all the different
  specs. For [selection](https://codemirror.net/6/docs/ref/#state.TransactionSpec.selection), later
  specs take precedence over earlier ones.
  */
  update(...specs) {
    return resolveTransaction(this, specs, true);
  }
  /**
  @internal
  */
  applyTransaction(tr) {
    let conf = this.config,
      {
        base,
        compartments
      } = conf;
    for (let effect of tr.effects) {
      if (effect.is(Compartment.reconfigure)) {
        if (conf) {
          compartments = new Map();
          conf.compartments.forEach((val, key) => compartments.set(key, val));
          conf = null;
        }
        compartments.set(effect.value.compartment, effect.value.extension);
      } else if (effect.is(StateEffect.reconfigure)) {
        conf = null;
        base = effect.value;
      } else if (effect.is(StateEffect.appendConfig)) {
        conf = null;
        base = asArray(base).concat(effect.value);
      }
    }
    let startValues;
    if (!conf) {
      conf = Configuration.resolve(base, compartments, this);
      let intermediateState = new EditorState(conf, this.doc, this.selection, conf.dynamicSlots.map(() => null), (state, slot) => slot.reconfigure(state, this), null);
      startValues = intermediateState.values;
    } else {
      startValues = tr.startState.values.slice();
    }
    new EditorState(conf, tr.newDoc, tr.newSelection, startValues, (state, slot) => slot.update(state, tr), tr);
  }
  /**
  Create a [transaction spec](https://codemirror.net/6/docs/ref/#state.TransactionSpec) that
  replaces every selection range with the given content.
  */
  replaceSelection(text) {
    if (typeof text == "string") text = this.toText(text);
    return this.changeByRange(range => ({
      changes: {
        from: range.from,
        to: range.to,
        insert: text
      },
      range: EditorSelection.cursor(range.from + text.length)
    }));
  }
  /**
  Create a set of changes and a new selection by running the given
  function for each range in the active selection. The function
  can return an optional set of changes (in the coordinate space
  of the start document), plus an updated range (in the coordinate
  space of the document produced by the call's own changes). This
  method will merge all the changes and ranges into a single
  changeset and selection, and return it as a [transaction
  spec](https://codemirror.net/6/docs/ref/#state.TransactionSpec), which can be passed to
  [`update`](https://codemirror.net/6/docs/ref/#state.EditorState.update).
  */
  changeByRange(f) {
    let sel = this.selection;
    let result1 = f(sel.ranges[0]);
    let changes = this.changes(result1.changes),
      ranges = [result1.range];
    let effects = asArray(result1.effects);
    for (let i = 1; i < sel.ranges.length; i++) {
      let result = f(sel.ranges[i]);
      let newChanges = this.changes(result.changes),
        newMapped = newChanges.map(changes);
      for (let j = 0; j < i; j++) ranges[j] = ranges[j].map(newMapped);
      let mapBy = changes.mapDesc(newChanges, true);
      ranges.push(result.range.map(mapBy));
      changes = changes.compose(newMapped);
      effects = StateEffect.mapEffects(effects, newMapped).concat(StateEffect.mapEffects(asArray(result.effects), mapBy));
    }
    return {
      changes,
      selection: EditorSelection.create(ranges, sel.mainIndex),
      effects
    };
  }
  /**
  Create a [change set](https://codemirror.net/6/docs/ref/#state.ChangeSet) from the given change
  description, taking the state's document length and line
  separator into account.
  */
  changes(spec = []) {
    if (spec instanceof ChangeSet) return spec;
    return ChangeSet.of(spec, this.doc.length, this.facet(EditorState.lineSeparator));
  }
  /**
  Using the state's [line
  separator](https://codemirror.net/6/docs/ref/#state.EditorState^lineSeparator), create a
  [`Text`](https://codemirror.net/6/docs/ref/#state.Text) instance from the given string.
  */
  toText(string) {
    return Text.of(string.split(this.facet(EditorState.lineSeparator) || DefaultSplit));
  }
  /**
  Return the given range of the document as a string.
  */
  sliceDoc(from = 0, to = this.doc.length) {
    return this.doc.sliceString(from, to, this.lineBreak);
  }
  /**
  Get the value of a state [facet](https://codemirror.net/6/docs/ref/#state.Facet).
  */
  facet(facet) {
    let addr = this.config.address[facet.id];
    if (addr == null) return facet.default;
    ensureAddr(this, addr);
    return getAddr(this, addr);
  }
  /**
  Convert this state to a JSON-serializable object. When custom
  fields should be serialized, you can pass them in as an object
  mapping property names (in the resulting object, which should
  not use `doc` or `selection`) to fields.
  */
  toJSON(fields) {
    let result = {
      doc: this.sliceDoc(),
      selection: this.selection.toJSON()
    };
    if (fields) for (let prop in fields) {
      let value = fields[prop];
      if (value instanceof StateField && this.config.address[value.id] != null) result[prop] = value.spec.toJSON(this.field(fields[prop]), this);
    }
    return result;
  }
  /**
  Deserialize a state from its JSON representation. When custom
  fields should be deserialized, pass the same object you passed
  to [`toJSON`](https://codemirror.net/6/docs/ref/#state.EditorState.toJSON) when serializing as
  third argument.
  */
  static fromJSON(json, config = {}, fields) {
    if (!json || typeof json.doc != "string") throw new RangeError("Invalid JSON representation for EditorState");
    let fieldInit = [];
    if (fields) for (let prop in fields) {
      if (Object.prototype.hasOwnProperty.call(json, prop)) {
        let field = fields[prop],
          value = json[prop];
        fieldInit.push(field.init(state => field.spec.fromJSON(value, state)));
      }
    }
    return EditorState.create({
      doc: json.doc,
      selection: EditorSelection.fromJSON(json.selection),
      extensions: config.extensions ? fieldInit.concat([config.extensions]) : fieldInit
    });
  }
  /**
  Create a new state. You'll usually only need this when
  initializing an editor—updated states are created by applying
  transactions.
  */
  static create(config = {}) {
    let configuration = Configuration.resolve(config.extensions || [], new Map());
    let doc = config.doc instanceof Text ? config.doc : Text.of((config.doc || "").split(configuration.staticFacet(EditorState.lineSeparator) || DefaultSplit));
    let selection = !config.selection ? EditorSelection.single(0) : config.selection instanceof EditorSelection ? config.selection : EditorSelection.single(config.selection.anchor, config.selection.head);
    checkSelection(selection, doc.length);
    if (!configuration.staticFacet(allowMultipleSelections)) selection = selection.asSingle();
    return new EditorState(configuration, doc, selection, configuration.dynamicSlots.map(() => null), (state, slot) => slot.create(state), null);
  }
  /**
  The size (in columns) of a tab in the document, determined by
  the [`tabSize`](https://codemirror.net/6/docs/ref/#state.EditorState^tabSize) facet.
  */
  get tabSize() {
    return this.facet(EditorState.tabSize);
  }
  /**
  Get the proper [line-break](https://codemirror.net/6/docs/ref/#state.EditorState^lineSeparator)
  string for this state.
  */
  get lineBreak() {
    return this.facet(EditorState.lineSeparator) || "\n";
  }
  /**
  Returns true when the editor is
  [configured](https://codemirror.net/6/docs/ref/#state.EditorState^readOnly) to be read-only.
  */
  get readOnly() {
    return this.facet(readOnly);
  }
  /**
  Look up a translation for the given phrase (via the
  [`phrases`](https://codemirror.net/6/docs/ref/#state.EditorState^phrases) facet), or return the
  original string if no translation is found.
  
  If additional arguments are passed, they will be inserted in
  place of markers like `$1` (for the first value) and `$2`, etc.
  A single `$` is equivalent to `$1`, and `$$` will produce a
  literal dollar sign.
  */
  phrase(phrase, ...insert) {
    for (let map of this.facet(EditorState.phrases)) if (Object.prototype.hasOwnProperty.call(map, phrase)) {
      phrase = map[phrase];
      break;
    }
    if (insert.length) phrase = phrase.replace(/\$(\$|\d*)/g, (m, i) => {
      if (i == "$") return "$";
      let n = +(i || 1);
      return !n || n > insert.length ? m : insert[n - 1];
    });
    return phrase;
  }
  /**
  Find the values for a given language data field, provided by the
  the [`languageData`](https://codemirror.net/6/docs/ref/#state.EditorState^languageData) facet.
  
  Examples of language data fields are...
  
  - [`"commentTokens"`](https://codemirror.net/6/docs/ref/#commands.CommentTokens) for specifying
    comment syntax.
  - [`"autocomplete"`](https://codemirror.net/6/docs/ref/#autocomplete.autocompletion^config.override)
    for providing language-specific completion sources.
  - [`"wordChars"`](https://codemirror.net/6/docs/ref/#state.EditorState.charCategorizer) for adding
    characters that should be considered part of words in this
    language.
  - [`"closeBrackets"`](https://codemirror.net/6/docs/ref/#autocomplete.CloseBracketConfig) controls
    bracket closing behavior.
  */
  languageDataAt(name, pos, side = -1) {
    let values = [];
    for (let provider of this.facet(languageData)) {
      for (let result of provider(this, pos, side)) {
        if (Object.prototype.hasOwnProperty.call(result, name)) values.push(result[name]);
      }
    }
    return values;
  }
  /**
  Return a function that can categorize strings (expected to
  represent a single [grapheme cluster](https://codemirror.net/6/docs/ref/#state.findClusterBreak))
  into one of:
  
   - Word (contains an alphanumeric character or a character
     explicitly listed in the local language's `"wordChars"`
     language data, which should be a string)
   - Space (contains only whitespace)
   - Other (anything else)
  */
  charCategorizer(at) {
    return makeCategorizer(this.languageDataAt("wordChars", at).join(""));
  }
  /**
  Find the word at the given position, meaning the range
  containing all [word](https://codemirror.net/6/docs/ref/#state.CharCategory.Word) characters
  around it. If no word characters are adjacent to the position,
  this returns null.
  */
  wordAt(pos) {
    let {
      text,
      from,
      length
    } = this.doc.lineAt(pos);
    let cat = this.charCategorizer(pos);
    let start = pos - from,
      end = pos - from;
    while (start > 0) {
      let prev = findClusterBreak(text, start, false);
      if (cat(text.slice(prev, start)) != CharCategory.Word) break;
      start = prev;
    }
    while (end < length) {
      let next = findClusterBreak(text, end);
      if (cat(text.slice(end, next)) != CharCategory.Word) break;
      end = next;
    }
    return start == end ? null : EditorSelection.range(start + from, end + from);
  }
}
/**
A facet that, when enabled, causes the editor to allow multiple
ranges to be selected. Be careful though, because by default the
editor relies on the native DOM selection, which cannot handle
multiple selections. An extension like
[`drawSelection`](https://codemirror.net/6/docs/ref/#view.drawSelection) can be used to make
secondary selections visible to the user.
*/
exports.EditorState = EditorState;
EditorState.allowMultipleSelections = allowMultipleSelections;
/**
Configures the tab size to use in this state. The first
(highest-precedence) value of the facet is used. If no value is
given, this defaults to 4.
*/
EditorState.tabSize = /*@__PURE__*/Facet.define({
  combine: values => values.length ? values[0] : 4
});
/**
The line separator to use. By default, any of `"\n"`, `"\r\n"`
and `"\r"` is treated as a separator when splitting lines, and
lines are joined with `"\n"`.

When you configure a value here, only that precise separator
will be used, allowing you to round-trip documents through the
editor without normalizing line separators.
*/
EditorState.lineSeparator = lineSeparator;
/**
This facet controls the value of the
[`readOnly`](https://codemirror.net/6/docs/ref/#state.EditorState.readOnly) getter, which is
consulted by commands and extensions that implement editing
functionality to determine whether they should apply. It
defaults to false, but when its highest-precedence value is
`true`, such functionality disables itself.

Not to be confused with
[`EditorView.editable`](https://codemirror.net/6/docs/ref/#view.EditorView^editable), which
controls whether the editor's DOM is set to be editable (and
thus focusable).
*/
EditorState.readOnly = readOnly;
/**
Registers translation phrases. The
[`phrase`](https://codemirror.net/6/docs/ref/#state.EditorState.phrase) method will look through
all objects registered with this facet to find translations for
its argument.
*/
EditorState.phrases = /*@__PURE__*/Facet.define({
  compare(a, b) {
    let kA = Object.keys(a),
      kB = Object.keys(b);
    return kA.length == kB.length && kA.every(k => a[k] == b[k]);
  }
});
/**
A facet used to register [language
data](https://codemirror.net/6/docs/ref/#state.EditorState.languageDataAt) providers.
*/
EditorState.languageData = languageData;
/**
Facet used to register change filters, which are called for each
transaction (unless explicitly
[disabled](https://codemirror.net/6/docs/ref/#state.TransactionSpec.filter)), and can suppress
part of the transaction's changes.

Such a function can return `true` to indicate that it doesn't
want to do anything, `false` to completely stop the changes in
the transaction, or a set of ranges in which changes should be
suppressed. Such ranges are represented as an array of numbers,
with each pair of two numbers indicating the start and end of a
range. So for example `[10, 20, 100, 110]` suppresses changes
between 10 and 20, and between 100 and 110.
*/
EditorState.changeFilter = changeFilter;
/**
Facet used to register a hook that gets a chance to update or
replace transaction specs before they are applied. This will
only be applied for transactions that don't have
[`filter`](https://codemirror.net/6/docs/ref/#state.TransactionSpec.filter) set to `false`. You
can either return a single transaction spec (possibly the input
transaction), or an array of specs (which will be combined in
the same way as the arguments to
[`EditorState.update`](https://codemirror.net/6/docs/ref/#state.EditorState.update)).

When possible, it is recommended to avoid accessing
[`Transaction.state`](https://codemirror.net/6/docs/ref/#state.Transaction.state) in a filter,
since it will force creation of a state that will then be
discarded again, if the transaction is actually filtered.

(This functionality should be used with care. Indiscriminately
modifying transaction is likely to break something or degrade
the user experience.)
*/
EditorState.transactionFilter = transactionFilter;
/**
This is a more limited form of
[`transactionFilter`](https://codemirror.net/6/docs/ref/#state.EditorState^transactionFilter),
which can only add
[annotations](https://codemirror.net/6/docs/ref/#state.TransactionSpec.annotations) and
[effects](https://codemirror.net/6/docs/ref/#state.TransactionSpec.effects). _But_, this type
of filter runs even if the transaction has disabled regular
[filtering](https://codemirror.net/6/docs/ref/#state.TransactionSpec.filter), making it suitable
for effects that don't need to touch the changes or selection,
but do want to process every transaction.

Extenders run _after_ filters, when both are present.
*/
EditorState.transactionExtender = transactionExtender;
Compartment.reconfigure = /*@__PURE__*/StateEffect.define();

/**
Utility function for combining behaviors to fill in a config
object from an array of provided configs. `defaults` should hold
default values for all optional fields in `Config`.

The function will, by default, error
when a field gets two values that aren't `===`-equal, but you can
provide combine functions per field to do something else.
*/
function combineConfig(configs, defaults,
// Should hold only the optional properties of Config, but I haven't managed to express that
combine = {}) {
  let result = {};
  for (let config of configs) for (let key of Object.keys(config)) {
    let value = config[key],
      current = result[key];
    if (current === undefined) result[key] = value;else if (current === value || value === undefined) ; // No conflict
    else if (Object.hasOwnProperty.call(combine, key)) result[key] = combine[key](current, value);else throw new Error("Config merge conflict for field " + key);
  }
  for (let key in defaults) if (result[key] === undefined) result[key] = defaults[key];
  return result;
}

/**
Each range is associated with a value, which must inherit from
this class.
*/
class RangeValue {
  /**
  Compare this value with another value. Used when comparing
  rangesets. The default implementation compares by identity.
  Unless you are only creating a fixed number of unique instances
  of your value type, it is a good idea to implement this
  properly.
  */
  eq(other) {
    return this == other;
  }
  /**
  Create a [range](https://codemirror.net/6/docs/ref/#state.Range) with this value.
  */
  range(from, to = from) {
    return Range.create(from, to, this);
  }
}
exports.RangeValue = RangeValue;
RangeValue.prototype.startSide = RangeValue.prototype.endSide = 0;
RangeValue.prototype.point = false;
RangeValue.prototype.mapMode = MapMode.TrackDel;
/**
A range associates a value with a range of positions.
*/
class Range {
  constructor(
  /**
  The range's start position.
  */
  from,
  /**
  Its end position.
  */
  to,
  /**
  The value associated with this range.
  */
  value) {
    this.from = from;
    this.to = to;
    this.value = value;
  }
  /**
  @internal
  */
  static create(from, to, value) {
    return new Range(from, to, value);
  }
}
exports.Range = Range;
function cmpRange(a, b) {
  return a.from - b.from || a.value.startSide - b.value.startSide;
}
class Chunk {
  constructor(from, to, value,
  // Chunks are marked with the largest point that occurs
  // in them (or -1 for no points), so that scans that are
  // only interested in points (such as the
  // heightmap-related logic) can skip range-only chunks.
  maxPoint) {
    this.from = from;
    this.to = to;
    this.value = value;
    this.maxPoint = maxPoint;
  }
  get length() {
    return this.to[this.to.length - 1];
  }
  // Find the index of the given position and side. Use the ranges'
  // `from` pos when `end == false`, `to` when `end == true`.
  findIndex(pos, side, end, startAt = 0) {
    let arr = end ? this.to : this.from;
    for (let lo = startAt, hi = arr.length;;) {
      if (lo == hi) return lo;
      let mid = lo + hi >> 1;
      let diff = arr[mid] - pos || (end ? this.value[mid].endSide : this.value[mid].startSide) - side;
      if (mid == lo) return diff >= 0 ? lo : hi;
      if (diff >= 0) hi = mid;else lo = mid + 1;
    }
  }
  between(offset, from, to, f) {
    for (let i = this.findIndex(from, -1000000000 /* C.Far */, true), e = this.findIndex(to, 1000000000 /* C.Far */, false, i); i < e; i++) if (f(this.from[i] + offset, this.to[i] + offset, this.value[i]) === false) return false;
  }
  map(offset, changes) {
    let value = [],
      from = [],
      to = [],
      newPos = -1,
      maxPoint = -1;
    for (let i = 0; i < this.value.length; i++) {
      let val = this.value[i],
        curFrom = this.from[i] + offset,
        curTo = this.to[i] + offset,
        newFrom,
        newTo;
      if (curFrom == curTo) {
        let mapped = changes.mapPos(curFrom, val.startSide, val.mapMode);
        if (mapped == null) continue;
        newFrom = newTo = mapped;
        if (val.startSide != val.endSide) {
          newTo = changes.mapPos(curFrom, val.endSide);
          if (newTo < newFrom) continue;
        }
      } else {
        newFrom = changes.mapPos(curFrom, val.startSide);
        newTo = changes.mapPos(curTo, val.endSide);
        if (newFrom > newTo || newFrom == newTo && val.startSide > 0 && val.endSide <= 0) continue;
      }
      if ((newTo - newFrom || val.endSide - val.startSide) < 0) continue;
      if (newPos < 0) newPos = newFrom;
      if (val.point) maxPoint = Math.max(maxPoint, newTo - newFrom);
      value.push(val);
      from.push(newFrom - newPos);
      to.push(newTo - newPos);
    }
    return {
      mapped: value.length ? new Chunk(from, to, value, maxPoint) : null,
      pos: newPos
    };
  }
}
/**
A range set stores a collection of [ranges](https://codemirror.net/6/docs/ref/#state.Range) in a
way that makes them efficient to [map](https://codemirror.net/6/docs/ref/#state.RangeSet.map) and
[update](https://codemirror.net/6/docs/ref/#state.RangeSet.update). This is an immutable data
structure.
*/
class RangeSet {
  constructor(
  /**
  @internal
  */
  chunkPos,
  /**
  @internal
  */
  chunk,
  /**
  @internal
  */
  nextLayer,
  /**
  @internal
  */
  maxPoint) {
    this.chunkPos = chunkPos;
    this.chunk = chunk;
    this.nextLayer = nextLayer;
    this.maxPoint = maxPoint;
  }
  /**
  @internal
  */
  static create(chunkPos, chunk, nextLayer, maxPoint) {
    return new RangeSet(chunkPos, chunk, nextLayer, maxPoint);
  }
  /**
  @internal
  */
  get length() {
    let last = this.chunk.length - 1;
    return last < 0 ? 0 : Math.max(this.chunkEnd(last), this.nextLayer.length);
  }
  /**
  The number of ranges in the set.
  */
  get size() {
    if (this.isEmpty) return 0;
    let size = this.nextLayer.size;
    for (let chunk of this.chunk) size += chunk.value.length;
    return size;
  }
  /**
  @internal
  */
  chunkEnd(index) {
    return this.chunkPos[index] + this.chunk[index].length;
  }
  /**
  Update the range set, optionally adding new ranges or filtering
  out existing ones.
  
  (Note: The type parameter is just there as a kludge to work
  around TypeScript variance issues that prevented `RangeSet<X>`
  from being a subtype of `RangeSet<Y>` when `X` is a subtype of
  `Y`.)
  */
  update(updateSpec) {
    let {
      add = [],
      sort = false,
      filterFrom = 0,
      filterTo = this.length
    } = updateSpec;
    let filter = updateSpec.filter;
    if (add.length == 0 && !filter) return this;
    if (sort) add = add.slice().sort(cmpRange);
    if (this.isEmpty) return add.length ? RangeSet.of(add) : this;
    let cur = new LayerCursor(this, null, -1).goto(0),
      i = 0,
      spill = [];
    let builder = new RangeSetBuilder();
    while (cur.value || i < add.length) {
      if (i < add.length && (cur.from - add[i].from || cur.startSide - add[i].value.startSide) >= 0) {
        let range = add[i++];
        if (!builder.addInner(range.from, range.to, range.value)) spill.push(range);
      } else if (cur.rangeIndex == 1 && cur.chunkIndex < this.chunk.length && (i == add.length || this.chunkEnd(cur.chunkIndex) < add[i].from) && (!filter || filterFrom > this.chunkEnd(cur.chunkIndex) || filterTo < this.chunkPos[cur.chunkIndex]) && builder.addChunk(this.chunkPos[cur.chunkIndex], this.chunk[cur.chunkIndex])) {
        cur.nextChunk();
      } else {
        if (!filter || filterFrom > cur.to || filterTo < cur.from || filter(cur.from, cur.to, cur.value)) {
          if (!builder.addInner(cur.from, cur.to, cur.value)) spill.push(Range.create(cur.from, cur.to, cur.value));
        }
        cur.next();
      }
    }
    return builder.finishInner(this.nextLayer.isEmpty && !spill.length ? RangeSet.empty : this.nextLayer.update({
      add: spill,
      filter,
      filterFrom,
      filterTo
    }));
  }
  /**
  Map this range set through a set of changes, return the new set.
  */
  map(changes) {
    if (changes.empty || this.isEmpty) return this;
    let chunks = [],
      chunkPos = [],
      maxPoint = -1;
    for (let i = 0; i < this.chunk.length; i++) {
      let start = this.chunkPos[i],
        chunk = this.chunk[i];
      let touch = changes.touchesRange(start, start + chunk.length);
      if (touch === false) {
        maxPoint = Math.max(maxPoint, chunk.maxPoint);
        chunks.push(chunk);
        chunkPos.push(changes.mapPos(start));
      } else if (touch === true) {
        let {
          mapped,
          pos
        } = chunk.map(start, changes);
        if (mapped) {
          maxPoint = Math.max(maxPoint, mapped.maxPoint);
          chunks.push(mapped);
          chunkPos.push(pos);
        }
      }
    }
    let next = this.nextLayer.map(changes);
    return chunks.length == 0 ? next : new RangeSet(chunkPos, chunks, next || RangeSet.empty, maxPoint);
  }
  /**
  Iterate over the ranges that touch the region `from` to `to`,
  calling `f` for each. There is no guarantee that the ranges will
  be reported in any specific order. When the callback returns
  `false`, iteration stops.
  */
  between(from, to, f) {
    if (this.isEmpty) return;
    for (let i = 0; i < this.chunk.length; i++) {
      let start = this.chunkPos[i],
        chunk = this.chunk[i];
      if (to >= start && from <= start + chunk.length && chunk.between(start, from - start, to - start, f) === false) return;
    }
    this.nextLayer.between(from, to, f);
  }
  /**
  Iterate over the ranges in this set, in order, including all
  ranges that end at or after `from`.
  */
  iter(from = 0) {
    return HeapCursor.from([this]).goto(from);
  }
  /**
  @internal
  */
  get isEmpty() {
    return this.nextLayer == this;
  }
  /**
  Iterate over the ranges in a collection of sets, in order,
  starting from `from`.
  */
  static iter(sets, from = 0) {
    return HeapCursor.from(sets).goto(from);
  }
  /**
  Iterate over two groups of sets, calling methods on `comparator`
  to notify it of possible differences.
  */
  static compare(oldSets, newSets,
  /**
  This indicates how the underlying data changed between these
  ranges, and is needed to synchronize the iteration. `from` and
  `to` are coordinates in the _new_ space, after these changes.
  */
  textDiff, comparator,
  /**
  Can be used to ignore all non-point ranges, and points below
  the given size. When -1, all ranges are compared.
  */
  minPointSize = -1) {
    let a = oldSets.filter(set => set.maxPoint > 0 || !set.isEmpty && set.maxPoint >= minPointSize);
    let b = newSets.filter(set => set.maxPoint > 0 || !set.isEmpty && set.maxPoint >= minPointSize);
    let sharedChunks = findSharedChunks(a, b, textDiff);
    let sideA = new SpanCursor(a, sharedChunks, minPointSize);
    let sideB = new SpanCursor(b, sharedChunks, minPointSize);
    textDiff.iterGaps((fromA, fromB, length) => compare(sideA, fromA, sideB, fromB, length, comparator));
    if (textDiff.empty && textDiff.length == 0) compare(sideA, 0, sideB, 0, 0, comparator);
  }
  /**
  Compare the contents of two groups of range sets, returning true
  if they are equivalent in the given range.
  */
  static eq(oldSets, newSets, from = 0, to) {
    if (to == null) to = 1000000000 /* C.Far */ - 1;
    let a = oldSets.filter(set => !set.isEmpty && newSets.indexOf(set) < 0);
    let b = newSets.filter(set => !set.isEmpty && oldSets.indexOf(set) < 0);
    if (a.length != b.length) return false;
    if (!a.length) return true;
    let sharedChunks = findSharedChunks(a, b);
    let sideA = new SpanCursor(a, sharedChunks, 0).goto(from),
      sideB = new SpanCursor(b, sharedChunks, 0).goto(from);
    for (;;) {
      if (sideA.to != sideB.to || !sameValues(sideA.active, sideB.active) || sideA.point && (!sideB.point || !sideA.point.eq(sideB.point))) return false;
      if (sideA.to > to) return true;
      sideA.next();
      sideB.next();
    }
  }
  /**
  Iterate over a group of range sets at the same time, notifying
  the iterator about the ranges covering every given piece of
  content. Returns the open count (see
  [`SpanIterator.span`](https://codemirror.net/6/docs/ref/#state.SpanIterator.span)) at the end
  of the iteration.
  */
  static spans(sets, from, to, iterator,
  /**
  When given and greater than -1, only points of at least this
  size are taken into account.
  */
  minPointSize = -1) {
    let cursor = new SpanCursor(sets, null, minPointSize).goto(from),
      pos = from;
    let openRanges = cursor.openStart;
    for (;;) {
      let curTo = Math.min(cursor.to, to);
      if (cursor.point) {
        let active = cursor.activeForPoint(cursor.to);
        let openCount = cursor.pointFrom < from ? active.length + 1 : Math.min(active.length, openRanges);
        iterator.point(pos, curTo, cursor.point, active, openCount, cursor.pointRank);
        openRanges = Math.min(cursor.openEnd(curTo), active.length);
      } else if (curTo > pos) {
        iterator.span(pos, curTo, cursor.active, openRanges);
        openRanges = cursor.openEnd(curTo);
      }
      if (cursor.to > to) return openRanges + (cursor.point && cursor.to > to ? 1 : 0);
      pos = cursor.to;
      cursor.next();
    }
  }
  /**
  Create a range set for the given range or array of ranges. By
  default, this expects the ranges to be _sorted_ (by start
  position and, if two start at the same position,
  `value.startSide`). You can pass `true` as second argument to
  cause the method to sort them.
  */
  static of(ranges, sort = false) {
    let build = new RangeSetBuilder();
    for (let range of ranges instanceof Range ? [ranges] : sort ? lazySort(ranges) : ranges) build.add(range.from, range.to, range.value);
    return build.finish();
  }
}
/**
The empty set of ranges.
*/
exports.RangeSet = RangeSet;
RangeSet.empty = /*@__PURE__*/new RangeSet([], [], null, -1);
function lazySort(ranges) {
  if (ranges.length > 1) for (let prev = ranges[0], i = 1; i < ranges.length; i++) {
    let cur = ranges[i];
    if (cmpRange(prev, cur) > 0) return ranges.slice().sort(cmpRange);
    prev = cur;
  }
  return ranges;
}
RangeSet.empty.nextLayer = RangeSet.empty;
/**
A range set builder is a data structure that helps build up a
[range set](https://codemirror.net/6/docs/ref/#state.RangeSet) directly, without first allocating
an array of [`Range`](https://codemirror.net/6/docs/ref/#state.Range) objects.
*/
class RangeSetBuilder {
  /**
  Create an empty builder.
  */
  constructor() {
    this.chunks = [];
    this.chunkPos = [];
    this.chunkStart = -1;
    this.last = null;
    this.lastFrom = -1000000000 /* C.Far */;
    this.lastTo = -1000000000 /* C.Far */;
    this.from = [];
    this.to = [];
    this.value = [];
    this.maxPoint = -1;
    this.setMaxPoint = -1;
    this.nextLayer = null;
  }
  finishChunk(newArrays) {
    this.chunks.push(new Chunk(this.from, this.to, this.value, this.maxPoint));
    this.chunkPos.push(this.chunkStart);
    this.chunkStart = -1;
    this.setMaxPoint = Math.max(this.setMaxPoint, this.maxPoint);
    this.maxPoint = -1;
    if (newArrays) {
      this.from = [];
      this.to = [];
      this.value = [];
    }
  }
  /**
  Add a range. Ranges should be added in sorted (by `from` and
  `value.startSide`) order.
  */
  add(from, to, value) {
    if (!this.addInner(from, to, value)) (this.nextLayer || (this.nextLayer = new RangeSetBuilder())).add(from, to, value);
  }
  /**
  @internal
  */
  addInner(from, to, value) {
    let diff = from - this.lastTo || value.startSide - this.last.endSide;
    if (diff <= 0 && (from - this.lastFrom || value.startSide - this.last.startSide) < 0) throw new Error("Ranges must be added sorted by `from` position and `startSide`");
    if (diff < 0) return false;
    if (this.from.length == 250 /* C.ChunkSize */) this.finishChunk(true);
    if (this.chunkStart < 0) this.chunkStart = from;
    this.from.push(from - this.chunkStart);
    this.to.push(to - this.chunkStart);
    this.last = value;
    this.lastFrom = from;
    this.lastTo = to;
    this.value.push(value);
    if (value.point) this.maxPoint = Math.max(this.maxPoint, to - from);
    return true;
  }
  /**
  @internal
  */
  addChunk(from, chunk) {
    if ((from - this.lastTo || chunk.value[0].startSide - this.last.endSide) < 0) return false;
    if (this.from.length) this.finishChunk(true);
    this.setMaxPoint = Math.max(this.setMaxPoint, chunk.maxPoint);
    this.chunks.push(chunk);
    this.chunkPos.push(from);
    let last = chunk.value.length - 1;
    this.last = chunk.value[last];
    this.lastFrom = chunk.from[last] + from;
    this.lastTo = chunk.to[last] + from;
    return true;
  }
  /**
  Finish the range set. Returns the new set. The builder can't be
  used anymore after this has been called.
  */
  finish() {
    return this.finishInner(RangeSet.empty);
  }
  /**
  @internal
  */
  finishInner(next) {
    if (this.from.length) this.finishChunk(false);
    if (this.chunks.length == 0) return next;
    let result = RangeSet.create(this.chunkPos, this.chunks, this.nextLayer ? this.nextLayer.finishInner(next) : next, this.setMaxPoint);
    this.from = null; // Make sure further `add` calls produce errors
    return result;
  }
}
exports.RangeSetBuilder = RangeSetBuilder;
function findSharedChunks(a, b, textDiff) {
  let inA = new Map();
  for (let set of a) for (let i = 0; i < set.chunk.length; i++) if (set.chunk[i].maxPoint <= 0) inA.set(set.chunk[i], set.chunkPos[i]);
  let shared = new Set();
  for (let set of b) for (let i = 0; i < set.chunk.length; i++) {
    let known = inA.get(set.chunk[i]);
    if (known != null && (textDiff ? textDiff.mapPos(known) : known) == set.chunkPos[i] && !(textDiff === null || textDiff === void 0 ? void 0 : textDiff.touchesRange(known, known + set.chunk[i].length))) shared.add(set.chunk[i]);
  }
  return shared;
}
class LayerCursor {
  constructor(layer, skip, minPoint, rank = 0) {
    this.layer = layer;
    this.skip = skip;
    this.minPoint = minPoint;
    this.rank = rank;
  }
  get startSide() {
    return this.value ? this.value.startSide : 0;
  }
  get endSide() {
    return this.value ? this.value.endSide : 0;
  }
  goto(pos, side = -1000000000 /* C.Far */) {
    this.chunkIndex = this.rangeIndex = 0;
    this.gotoInner(pos, side, false);
    return this;
  }
  gotoInner(pos, side, forward) {
    while (this.chunkIndex < this.layer.chunk.length) {
      let next = this.layer.chunk[this.chunkIndex];
      if (!(this.skip && this.skip.has(next) || this.layer.chunkEnd(this.chunkIndex) < pos || next.maxPoint < this.minPoint)) break;
      this.chunkIndex++;
      forward = false;
    }
    if (this.chunkIndex < this.layer.chunk.length) {
      let rangeIndex = this.layer.chunk[this.chunkIndex].findIndex(pos - this.layer.chunkPos[this.chunkIndex], side, true);
      if (!forward || this.rangeIndex < rangeIndex) this.setRangeIndex(rangeIndex);
    }
    this.next();
  }
  forward(pos, side) {
    if ((this.to - pos || this.endSide - side) < 0) this.gotoInner(pos, side, true);
  }
  next() {
    for (;;) {
      if (this.chunkIndex == this.layer.chunk.length) {
        this.from = this.to = 1000000000 /* C.Far */;
        this.value = null;
        break;
      } else {
        let chunkPos = this.layer.chunkPos[this.chunkIndex],
          chunk = this.layer.chunk[this.chunkIndex];
        let from = chunkPos + chunk.from[this.rangeIndex];
        this.from = from;
        this.to = chunkPos + chunk.to[this.rangeIndex];
        this.value = chunk.value[this.rangeIndex];
        this.setRangeIndex(this.rangeIndex + 1);
        if (this.minPoint < 0 || this.value.point && this.to - this.from >= this.minPoint) break;
      }
    }
  }
  setRangeIndex(index) {
    if (index == this.layer.chunk[this.chunkIndex].value.length) {
      this.chunkIndex++;
      if (this.skip) {
        while (this.chunkIndex < this.layer.chunk.length && this.skip.has(this.layer.chunk[this.chunkIndex])) this.chunkIndex++;
      }
      this.rangeIndex = 0;
    } else {
      this.rangeIndex = index;
    }
  }
  nextChunk() {
    this.chunkIndex++;
    this.rangeIndex = 0;
    this.next();
  }
  compare(other) {
    return this.from - other.from || this.startSide - other.startSide || this.rank - other.rank || this.to - other.to || this.endSide - other.endSide;
  }
}
class HeapCursor {
  constructor(heap) {
    this.heap = heap;
  }
  static from(sets, skip = null, minPoint = -1) {
    let heap = [];
    for (let i = 0; i < sets.length; i++) {
      for (let cur = sets[i]; !cur.isEmpty; cur = cur.nextLayer) {
        if (cur.maxPoint >= minPoint) heap.push(new LayerCursor(cur, skip, minPoint, i));
      }
    }
    return heap.length == 1 ? heap[0] : new HeapCursor(heap);
  }
  get startSide() {
    return this.value ? this.value.startSide : 0;
  }
  goto(pos, side = -1000000000 /* C.Far */) {
    for (let cur of this.heap) cur.goto(pos, side);
    for (let i = this.heap.length >> 1; i >= 0; i--) heapBubble(this.heap, i);
    this.next();
    return this;
  }
  forward(pos, side) {
    for (let cur of this.heap) cur.forward(pos, side);
    for (let i = this.heap.length >> 1; i >= 0; i--) heapBubble(this.heap, i);
    if ((this.to - pos || this.value.endSide - side) < 0) this.next();
  }
  next() {
    if (this.heap.length == 0) {
      this.from = this.to = 1000000000 /* C.Far */;
      this.value = null;
      this.rank = -1;
    } else {
      let top = this.heap[0];
      this.from = top.from;
      this.to = top.to;
      this.value = top.value;
      this.rank = top.rank;
      if (top.value) top.next();
      heapBubble(this.heap, 0);
    }
  }
}
function heapBubble(heap, index) {
  for (let cur = heap[index];;) {
    let childIndex = (index << 1) + 1;
    if (childIndex >= heap.length) break;
    let child = heap[childIndex];
    if (childIndex + 1 < heap.length && child.compare(heap[childIndex + 1]) >= 0) {
      child = heap[childIndex + 1];
      childIndex++;
    }
    if (cur.compare(child) < 0) break;
    heap[childIndex] = cur;
    heap[index] = child;
    index = childIndex;
  }
}
class SpanCursor {
  constructor(sets, skip, minPoint) {
    this.minPoint = minPoint;
    this.active = [];
    this.activeTo = [];
    this.activeRank = [];
    this.minActive = -1;
    // A currently active point range, if any
    this.point = null;
    this.pointFrom = 0;
    this.pointRank = 0;
    this.to = -1000000000 /* C.Far */;
    this.endSide = 0;
    // The amount of open active ranges at the start of the iterator.
    // Not including points.
    this.openStart = -1;
    this.cursor = HeapCursor.from(sets, skip, minPoint);
  }
  goto(pos, side = -1000000000 /* C.Far */) {
    this.cursor.goto(pos, side);
    this.active.length = this.activeTo.length = this.activeRank.length = 0;
    this.minActive = -1;
    this.to = pos;
    this.endSide = side;
    this.openStart = -1;
    this.next();
    return this;
  }
  forward(pos, side) {
    while (this.minActive > -1 && (this.activeTo[this.minActive] - pos || this.active[this.minActive].endSide - side) < 0) this.removeActive(this.minActive);
    this.cursor.forward(pos, side);
  }
  removeActive(index) {
    remove(this.active, index);
    remove(this.activeTo, index);
    remove(this.activeRank, index);
    this.minActive = findMinIndex(this.active, this.activeTo);
  }
  addActive(trackOpen) {
    let i = 0,
      {
        value,
        to,
        rank
      } = this.cursor;
    while (i < this.activeRank.length && this.activeRank[i] <= rank) i++;
    insert(this.active, i, value);
    insert(this.activeTo, i, to);
    insert(this.activeRank, i, rank);
    if (trackOpen) insert(trackOpen, i, this.cursor.from);
    this.minActive = findMinIndex(this.active, this.activeTo);
  }
  // After calling this, if `this.point` != null, the next range is a
  // point. Otherwise, it's a regular range, covered by `this.active`.
  next() {
    let from = this.to,
      wasPoint = this.point;
    this.point = null;
    let trackOpen = this.openStart < 0 ? [] : null;
    for (;;) {
      let a = this.minActive;
      if (a > -1 && (this.activeTo[a] - this.cursor.from || this.active[a].endSide - this.cursor.startSide) < 0) {
        if (this.activeTo[a] > from) {
          this.to = this.activeTo[a];
          this.endSide = this.active[a].endSide;
          break;
        }
        this.removeActive(a);
        if (trackOpen) remove(trackOpen, a);
      } else if (!this.cursor.value) {
        this.to = this.endSide = 1000000000 /* C.Far */;
        break;
      } else if (this.cursor.from > from) {
        this.to = this.cursor.from;
        this.endSide = this.cursor.startSide;
        break;
      } else {
        let nextVal = this.cursor.value;
        if (!nextVal.point) {
          // Opening a range
          this.addActive(trackOpen);
          this.cursor.next();
        } else if (wasPoint && this.cursor.to == this.to && this.cursor.from < this.cursor.to) {
          // Ignore any non-empty points that end precisely at the end of the prev point
          this.cursor.next();
        } else {
          // New point
          this.point = nextVal;
          this.pointFrom = this.cursor.from;
          this.pointRank = this.cursor.rank;
          this.to = this.cursor.to;
          this.endSide = nextVal.endSide;
          this.cursor.next();
          this.forward(this.to, this.endSide);
          break;
        }
      }
    }
    if (trackOpen) {
      this.openStart = 0;
      for (let i = trackOpen.length - 1; i >= 0 && trackOpen[i] < from; i--) this.openStart++;
    }
  }
  activeForPoint(to) {
    if (!this.active.length) return this.active;
    let active = [];
    for (let i = this.active.length - 1; i >= 0; i--) {
      if (this.activeRank[i] < this.pointRank) break;
      if (this.activeTo[i] > to || this.activeTo[i] == to && this.active[i].endSide >= this.point.endSide) active.push(this.active[i]);
    }
    return active.reverse();
  }
  openEnd(to) {
    let open = 0;
    for (let i = this.activeTo.length - 1; i >= 0 && this.activeTo[i] > to; i--) open++;
    return open;
  }
}
function compare(a, startA, b, startB, length, comparator) {
  a.goto(startA);
  b.goto(startB);
  let endB = startB + length;
  let pos = startB,
    dPos = startB - startA;
  for (;;) {
    let diff = a.to + dPos - b.to || a.endSide - b.endSide;
    let end = diff < 0 ? a.to + dPos : b.to,
      clipEnd = Math.min(end, endB);
    if (a.point || b.point) {
      if (!(a.point && b.point && (a.point == b.point || a.point.eq(b.point)) && sameValues(a.activeForPoint(a.to + dPos), b.activeForPoint(b.to)))) comparator.comparePoint(pos, clipEnd, a.point, b.point);
    } else {
      if (clipEnd > pos && !sameValues(a.active, b.active)) comparator.compareRange(pos, clipEnd, a.active, b.active);
    }
    if (end > endB) break;
    pos = end;
    if (diff <= 0) a.next();
    if (diff >= 0) b.next();
  }
}
function sameValues(a, b) {
  if (a.length != b.length) return false;
  for (let i = 0; i < a.length; i++) if (a[i] != b[i] && !a[i].eq(b[i])) return false;
  return true;
}
function remove(array, index) {
  for (let i = index, e = array.length - 1; i < e; i++) array[i] = array[i + 1];
  array.pop();
}
function insert(array, index, value) {
  for (let i = array.length - 1; i >= index; i--) array[i + 1] = array[i];
  array[index] = value;
}
function findMinIndex(value, array) {
  let found = -1,
    foundPos = 1000000000 /* C.Far */;
  for (let i = 0; i < array.length; i++) if ((array[i] - foundPos || value[i].endSide - value[found].endSide) < 0) {
    found = i;
    foundPos = array[i];
  }
  return found;
}

/**
Count the column position at the given offset into the string,
taking extending characters and tab size into account.
*/
function countColumn(string, tabSize, to = string.length) {
  let n = 0;
  for (let i = 0; i < to;) {
    if (string.charCodeAt(i) == 9) {
      n += tabSize - n % tabSize;
      i++;
    } else {
      n++;
      i = findClusterBreak(string, i);
    }
  }
  return n;
}
/**
Find the offset that corresponds to the given column position in a
string, taking extending characters and tab size into account. By
default, the string length is returned when it is too short to
reach the column. Pass `strict` true to make it return -1 in that
situation.
*/
function findColumn(string, col, tabSize, strict) {
  for (let i = 0, n = 0;;) {
    if (n >= col) return i;
    if (i == string.length) break;
    n += string.charCodeAt(i) == 9 ? tabSize - n % tabSize : 1;
    i = findClusterBreak(string, i);
  }
  return strict === true ? -1 : string.length;
}
},{"process":"node_modules/process/browser.js"}],"node_modules/style-mod/src/style-mod.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyleModule = void 0;
const C = "\u037c";
const COUNT = typeof Symbol == "undefined" ? "__" + C : Symbol.for(C);
const SET = typeof Symbol == "undefined" ? "__styleSet" + Math.floor(Math.random() * 1e8) : Symbol("styleSet");
const top = typeof globalThis != "undefined" ? globalThis : typeof window != "undefined" ? window : {};

// :: - Style modules encapsulate a set of CSS rules defined from
// JavaScript. Their definitions are only available in a given DOM
// root after it has been _mounted_ there with `StyleModule.mount`.
//
// Style modules should be created once and stored somewhere, as
// opposed to re-creating them every time you need them. The amount of
// CSS rules generated for a given DOM root is bounded by the amount
// of style modules that were used. So to avoid leaking rules, don't
// create these dynamically, but treat them as one-time allocations.
class StyleModule {
  // :: (Object<Style>, ?{finish: ?(string) → string})
  // Create a style module from the given spec.
  //
  // When `finish` is given, it is called on regular (non-`@`)
  // selectors (after `&` expansion) to compute the final selector.
  constructor(spec, options) {
    this.rules = [];
    let {
      finish
    } = options || {};
    function splitSelector(selector) {
      return /^@/.test(selector) ? [selector] : selector.split(/,\s*/);
    }
    function render(selectors, spec, target, isKeyframes) {
      let local = [],
        isAt = /^@(\w+)\b/.exec(selectors[0]),
        keyframes = isAt && isAt[1] == "keyframes";
      if (isAt && spec == null) return target.push(selectors[0] + ";");
      for (let prop in spec) {
        let value = spec[prop];
        if (/&/.test(prop)) {
          render(prop.split(/,\s*/).map(part => selectors.map(sel => part.replace(/&/, sel))).reduce((a, b) => a.concat(b)), value, target);
        } else if (value && typeof value == "object") {
          if (!isAt) throw new RangeError("The value of a property (" + prop + ") should be a primitive value.");
          render(splitSelector(prop), value, local, keyframes);
        } else if (value != null) {
          local.push(prop.replace(/_.*/, "").replace(/[A-Z]/g, l => "-" + l.toLowerCase()) + ": " + value + ";");
        }
      }
      if (local.length || keyframes) {
        target.push((finish && !isAt && !isKeyframes ? selectors.map(finish) : selectors).join(", ") + " {" + local.join(" ") + "}");
      }
    }
    for (let prop in spec) render(splitSelector(prop), spec[prop], this.rules);
  }

  // :: () → string
  // Returns a string containing the module's CSS rules.
  getRules() {
    return this.rules.join("\n");
  }

  // :: () → string
  // Generate a new unique CSS class name.
  static newName() {
    let id = top[COUNT] || 1;
    top[COUNT] = id + 1;
    return C + id.toString(36);
  }

  // :: (union<Document, ShadowRoot>, union<[StyleModule], StyleModule>)
  //
  // Mount the given set of modules in the given DOM root, which ensures
  // that the CSS rules defined by the module are available in that
  // context.
  //
  // Rules are only added to the document once per root.
  //
  // Rule order will follow the order of the modules, so that rules from
  // modules later in the array take precedence of those from earlier
  // modules. If you call this function multiple times for the same root
  // in a way that changes the order of already mounted modules, the old
  // order will be changed.
  static mount(root, modules) {
    (root[SET] || new StyleSet(root)).mount(Array.isArray(modules) ? modules : [modules]);
  }
}
exports.StyleModule = StyleModule;
let adoptedSet = new Map(); //<Document, StyleSet>

class StyleSet {
  constructor(root) {
    let doc = root.ownerDocument || root,
      win = doc.defaultView;
    if (!root.head && root.adoptedStyleSheets && win.CSSStyleSheet) {
      let adopted = adoptedSet.get(doc);
      if (adopted) {
        root.adoptedStyleSheets = [adopted.sheet, ...root.adoptedStyleSheets];
        return root[SET] = adopted;
      }
      this.sheet = new win.CSSStyleSheet();
      root.adoptedStyleSheets = [this.sheet, ...root.adoptedStyleSheets];
      adoptedSet.set(doc, this);
    } else {
      this.styleTag = doc.createElement("style");
      let target = root.head || root;
      target.insertBefore(this.styleTag, target.firstChild);
    }
    this.modules = [];
    root[SET] = this;
  }
  mount(modules) {
    let sheet = this.sheet;
    let pos = 0 /* Current rule offset */,
      j = 0; /* Index into this.modules */
    for (let i = 0; i < modules.length; i++) {
      let mod = modules[i],
        index = this.modules.indexOf(mod);
      if (index < j && index > -1) {
        // Ordering conflict
        this.modules.splice(index, 1);
        j--;
        index = -1;
      }
      if (index == -1) {
        this.modules.splice(j++, 0, mod);
        if (sheet) for (let k = 0; k < mod.rules.length; k++) sheet.insertRule(mod.rules[k], pos++);
      } else {
        while (j < index) pos += this.modules[j++].rules.length;
        pos += mod.rules.length;
        j++;
      }
    }
    if (!sheet) {
      let text = "";
      for (let i = 0; i < this.modules.length; i++) text += this.modules[i].getRules() + "\n";
      this.styleTag.textContent = text;
    }
  }
}

// Style::Object<union<Style,string>>
//
// A style is an object that, in the simple case, maps CSS property
// names to strings holding their values, as in `{color: "red",
// fontWeight: "bold"}`. The property names can be given in
// camel-case—the library will insert a dash before capital letters
// when converting them to CSS.
//
// If you include an underscore in a property name, it and everything
// after it will be removed from the output, which can be useful when
// providing a property multiple times, for browser compatibility
// reasons.
//
// A property in a style object can also be a sub-selector, which
// extends the current context to add a pseudo-selector or a child
// selector. Such a property should contain a `&` character, which
// will be replaced by the current selector. For example `{"&:before":
// {content: '"hi"'}}`. Sub-selectors and regular properties can
// freely be mixed in a given object. Any property containing a `&` is
// assumed to be a sub-selector.
//
// Finally, a property can specify an @-block to be wrapped around the
// styles defined inside the object that's the property's value. For
// example to create a media query you can do `{"@media screen and
// (min-width: 400px)": {...}}`.
},{}],"node_modules/w3c-keyname/index.es.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.base = void 0;
exports.keyName = keyName;
exports.shift = void 0;
var base = {
  8: "Backspace",
  9: "Tab",
  10: "Enter",
  12: "NumLock",
  13: "Enter",
  16: "Shift",
  17: "Control",
  18: "Alt",
  20: "CapsLock",
  27: "Escape",
  32: " ",
  33: "PageUp",
  34: "PageDown",
  35: "End",
  36: "Home",
  37: "ArrowLeft",
  38: "ArrowUp",
  39: "ArrowRight",
  40: "ArrowDown",
  44: "PrintScreen",
  45: "Insert",
  46: "Delete",
  59: ";",
  61: "=",
  91: "Meta",
  92: "Meta",
  106: "*",
  107: "+",
  108: ",",
  109: "-",
  110: ".",
  111: "/",
  144: "NumLock",
  145: "ScrollLock",
  160: "Shift",
  161: "Shift",
  162: "Control",
  163: "Control",
  164: "Alt",
  165: "Alt",
  173: "-",
  186: ";",
  187: "=",
  188: ",",
  189: "-",
  190: ".",
  191: "/",
  192: "`",
  219: "[",
  220: "\\",
  221: "]",
  222: "'"
};
exports.base = base;
var shift = {
  48: ")",
  49: "!",
  50: "@",
  51: "#",
  52: "$",
  53: "%",
  54: "^",
  55: "&",
  56: "*",
  57: "(",
  59: ":",
  61: "+",
  173: "_",
  186: ":",
  187: "+",
  188: "<",
  189: "_",
  190: ">",
  191: "?",
  192: "~",
  219: "{",
  220: "|",
  221: "}",
  222: "\""
};
exports.shift = shift;
var chrome = typeof navigator != "undefined" && /Chrome\/(\d+)/.exec(navigator.userAgent);
var gecko = typeof navigator != "undefined" && /Gecko\/\d+/.test(navigator.userAgent);
var mac = typeof navigator != "undefined" && /Mac/.test(navigator.platform);
var ie = typeof navigator != "undefined" && /MSIE \d|Trident\/(?:[7-9]|\d{2,})\..*rv:(\d+)/.exec(navigator.userAgent);
var brokenModifierNames = mac || chrome && +chrome[1] < 57;

// Fill in the digit keys
for (var i = 0; i < 10; i++) base[48 + i] = base[96 + i] = String(i);

// The function keys
for (var i = 1; i <= 24; i++) base[i + 111] = "F" + i;

// And the alphabetic keys
for (var i = 65; i <= 90; i++) {
  base[i] = String.fromCharCode(i + 32);
  shift[i] = String.fromCharCode(i);
}

// For each code that doesn't have a shift-equivalent, copy the base name
for (var code in base) if (!shift.hasOwnProperty(code)) shift[code] = base[code];
function keyName(event) {
  var ignoreKey = brokenModifierNames && (event.ctrlKey || event.altKey || event.metaKey) || ie && event.shiftKey && event.key && event.key.length == 1 || event.key == "Unidentified";
  var name = !ignoreKey && event.key || (event.shiftKey ? shift : base)[event.keyCode] || event.key || "Unidentified";
  // Edge sometimes produces wrong names (Issue #3)
  if (name == "Esc") name = "Escape";
  if (name == "Del") name = "Delete";
  // https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/8860571/
  if (name == "Left") name = "ArrowLeft";
  if (name == "Up") name = "ArrowUp";
  if (name == "Right") name = "ArrowRight";
  if (name == "Down") name = "ArrowDown";
  return name;
}
},{}],"node_modules/@codemirror/view/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.closeHoverTooltips = exports.__test = exports.WidgetType = exports.ViewUpdate = exports.ViewPlugin = exports.RectangleMarker = exports.MatchDecorator = exports.GutterMarker = exports.EditorView = exports.Direction = exports.Decoration = exports.BlockType = exports.BlockInfo = exports.BidiSpan = void 0;
exports.crosshairCursor = crosshairCursor;
exports.drawSelection = drawSelection;
exports.dropCursor = dropCursor;
exports.getPanel = getPanel;
exports.getTooltip = getTooltip;
exports.gutter = gutter;
exports.gutterLineClass = void 0;
exports.gutters = gutters;
exports.hasHoverTooltips = hasHoverTooltips;
exports.highlightActiveLine = highlightActiveLine;
exports.highlightActiveLineGutter = highlightActiveLineGutter;
exports.highlightSpecialChars = highlightSpecialChars;
exports.highlightTrailingWhitespace = highlightTrailingWhitespace;
exports.highlightWhitespace = highlightWhitespace;
exports.hoverTooltip = hoverTooltip;
exports.keymap = void 0;
exports.layer = layer;
exports.lineNumberMarkers = void 0;
exports.lineNumbers = lineNumbers;
exports.logException = logException;
exports.panels = panels;
exports.placeholder = placeholder;
exports.rectangularSelection = rectangularSelection;
exports.repositionTooltips = repositionTooltips;
exports.runScopeHandlers = runScopeHandlers;
exports.scrollPastEnd = scrollPastEnd;
exports.showTooltip = exports.showPanel = void 0;
exports.tooltips = tooltips;
var _state = require("@codemirror/state");
var _styleMod = require("style-mod");
var _w3cKeyname = require("w3c-keyname");
function getSelection(root) {
  let target;
  // Browsers differ on whether shadow roots have a getSelection
  // method. If it exists, use that, otherwise, call it on the
  // document.
  if (root.nodeType == 11) {
    // Shadow root
    target = root.getSelection ? root : root.ownerDocument;
  } else {
    target = root;
  }
  return target.getSelection();
}
function contains(dom, node) {
  return node ? dom == node || dom.contains(node.nodeType != 1 ? node.parentNode : node) : false;
}
function deepActiveElement(doc) {
  let elt = doc.activeElement;
  while (elt && elt.shadowRoot) elt = elt.shadowRoot.activeElement;
  return elt;
}
function hasSelection(dom, selection) {
  if (!selection.anchorNode) return false;
  try {
    // Firefox will raise 'permission denied' errors when accessing
    // properties of `sel.anchorNode` when it's in a generated CSS
    // element.
    return contains(dom, selection.anchorNode);
  } catch (_) {
    return false;
  }
}
function clientRectsFor(dom) {
  if (dom.nodeType == 3) return textRange(dom, 0, dom.nodeValue.length).getClientRects();else if (dom.nodeType == 1) return dom.getClientRects();else return [];
}
// Scans forward and backward through DOM positions equivalent to the
// given one to see if the two are in the same place (i.e. after a
// text node vs at the end of that text node)
function isEquivalentPosition(node, off, targetNode, targetOff) {
  return targetNode ? scanFor(node, off, targetNode, targetOff, -1) || scanFor(node, off, targetNode, targetOff, 1) : false;
}
function domIndex(node) {
  for (var index = 0;; index++) {
    node = node.previousSibling;
    if (!node) return index;
  }
}
function scanFor(node, off, targetNode, targetOff, dir) {
  for (;;) {
    if (node == targetNode && off == targetOff) return true;
    if (off == (dir < 0 ? 0 : maxOffset(node))) {
      if (node.nodeName == "DIV") return false;
      let parent = node.parentNode;
      if (!parent || parent.nodeType != 1) return false;
      off = domIndex(node) + (dir < 0 ? 0 : 1);
      node = parent;
    } else if (node.nodeType == 1) {
      node = node.childNodes[off + (dir < 0 ? -1 : 0)];
      if (node.nodeType == 1 && node.contentEditable == "false") return false;
      off = dir < 0 ? maxOffset(node) : 0;
    } else {
      return false;
    }
  }
}
function maxOffset(node) {
  return node.nodeType == 3 ? node.nodeValue.length : node.childNodes.length;
}
const Rect0 = {
  left: 0,
  right: 0,
  top: 0,
  bottom: 0
};
function flattenRect(rect, left) {
  let x = left ? rect.left : rect.right;
  return {
    left: x,
    right: x,
    top: rect.top,
    bottom: rect.bottom
  };
}
function windowRect(win) {
  return {
    left: 0,
    right: win.innerWidth,
    top: 0,
    bottom: win.innerHeight
  };
}
function scrollRectIntoView(dom, rect, side, x, y, xMargin, yMargin, ltr) {
  let doc = dom.ownerDocument,
    win = doc.defaultView || window;
  for (let cur = dom; cur;) {
    if (cur.nodeType == 1) {
      // Element
      let bounding,
        top = cur == doc.body;
      if (top) {
        bounding = windowRect(win);
      } else {
        if (cur.scrollHeight <= cur.clientHeight && cur.scrollWidth <= cur.clientWidth) {
          cur = cur.assignedSlot || cur.parentNode;
          continue;
        }
        let rect = cur.getBoundingClientRect();
        // Make sure scrollbar width isn't included in the rectangle
        bounding = {
          left: rect.left,
          right: rect.left + cur.clientWidth,
          top: rect.top,
          bottom: rect.top + cur.clientHeight
        };
      }
      let moveX = 0,
        moveY = 0;
      if (y == "nearest") {
        if (rect.top < bounding.top) {
          moveY = -(bounding.top - rect.top + yMargin);
          if (side > 0 && rect.bottom > bounding.bottom + moveY) moveY = rect.bottom - bounding.bottom + moveY + yMargin;
        } else if (rect.bottom > bounding.bottom) {
          moveY = rect.bottom - bounding.bottom + yMargin;
          if (side < 0 && rect.top - moveY < bounding.top) moveY = -(bounding.top + moveY - rect.top + yMargin);
        }
      } else {
        let rectHeight = rect.bottom - rect.top,
          boundingHeight = bounding.bottom - bounding.top;
        let targetTop = y == "center" && rectHeight <= boundingHeight ? rect.top + rectHeight / 2 - boundingHeight / 2 : y == "start" || y == "center" && side < 0 ? rect.top - yMargin : rect.bottom - boundingHeight + yMargin;
        moveY = targetTop - bounding.top;
      }
      if (x == "nearest") {
        if (rect.left < bounding.left) {
          moveX = -(bounding.left - rect.left + xMargin);
          if (side > 0 && rect.right > bounding.right + moveX) moveX = rect.right - bounding.right + moveX + xMargin;
        } else if (rect.right > bounding.right) {
          moveX = rect.right - bounding.right + xMargin;
          if (side < 0 && rect.left < bounding.left + moveX) moveX = -(bounding.left + moveX - rect.left + xMargin);
        }
      } else {
        let targetLeft = x == "center" ? rect.left + (rect.right - rect.left) / 2 - (bounding.right - bounding.left) / 2 : x == "start" == ltr ? rect.left - xMargin : rect.right - (bounding.right - bounding.left) + xMargin;
        moveX = targetLeft - bounding.left;
      }
      if (moveX || moveY) {
        if (top) {
          win.scrollBy(moveX, moveY);
        } else {
          let movedX = 0,
            movedY = 0;
          if (moveY) {
            let start = cur.scrollTop;
            cur.scrollTop += moveY;
            movedY = cur.scrollTop - start;
          }
          if (moveX) {
            let start = cur.scrollLeft;
            cur.scrollLeft += moveX;
            movedX = cur.scrollLeft - start;
          }
          rect = {
            left: rect.left - movedX,
            top: rect.top - movedY,
            right: rect.right - movedX,
            bottom: rect.bottom - movedY
          };
          if (movedX && Math.abs(movedX - moveX) < 1) x = "nearest";
          if (movedY && Math.abs(movedY - moveY) < 1) y = "nearest";
        }
      }
      if (top) break;
      cur = cur.assignedSlot || cur.parentNode;
    } else if (cur.nodeType == 11) {
      // A shadow root
      cur = cur.host;
    } else {
      break;
    }
  }
}
function scrollableParent(dom) {
  let doc = dom.ownerDocument;
  for (let cur = dom.parentNode; cur;) {
    if (cur == doc.body) {
      break;
    } else if (cur.nodeType == 1) {
      if (cur.scrollHeight > cur.clientHeight || cur.scrollWidth > cur.clientWidth) return cur;
      cur = cur.assignedSlot || cur.parentNode;
    } else if (cur.nodeType == 11) {
      cur = cur.host;
    } else {
      break;
    }
  }
  return null;
}
class DOMSelectionState {
  constructor() {
    this.anchorNode = null;
    this.anchorOffset = 0;
    this.focusNode = null;
    this.focusOffset = 0;
  }
  eq(domSel) {
    return this.anchorNode == domSel.anchorNode && this.anchorOffset == domSel.anchorOffset && this.focusNode == domSel.focusNode && this.focusOffset == domSel.focusOffset;
  }
  setRange(range) {
    this.set(range.anchorNode, range.anchorOffset, range.focusNode, range.focusOffset);
  }
  set(anchorNode, anchorOffset, focusNode, focusOffset) {
    this.anchorNode = anchorNode;
    this.anchorOffset = anchorOffset;
    this.focusNode = focusNode;
    this.focusOffset = focusOffset;
  }
}
let preventScrollSupported = null;
// Feature-detects support for .focus({preventScroll: true}), and uses
// a fallback kludge when not supported.
function focusPreventScroll(dom) {
  if (dom.setActive) return dom.setActive(); // in IE
  if (preventScrollSupported) return dom.focus(preventScrollSupported);
  let stack = [];
  for (let cur = dom; cur; cur = cur.parentNode) {
    stack.push(cur, cur.scrollTop, cur.scrollLeft);
    if (cur == cur.ownerDocument) break;
  }
  dom.focus(preventScrollSupported == null ? {
    get preventScroll() {
      preventScrollSupported = {
        preventScroll: true
      };
      return true;
    }
  } : undefined);
  if (!preventScrollSupported) {
    preventScrollSupported = false;
    for (let i = 0; i < stack.length;) {
      let elt = stack[i++],
        top = stack[i++],
        left = stack[i++];
      if (elt.scrollTop != top) elt.scrollTop = top;
      if (elt.scrollLeft != left) elt.scrollLeft = left;
    }
  }
}
let scratchRange;
function textRange(node, from, to = from) {
  let range = scratchRange || (scratchRange = document.createRange());
  range.setEnd(node, to);
  range.setStart(node, from);
  return range;
}
function dispatchKey(elt, name, code) {
  let options = {
    key: name,
    code: name,
    keyCode: code,
    which: code,
    cancelable: true
  };
  let down = new KeyboardEvent("keydown", options);
  down.synthetic = true;
  elt.dispatchEvent(down);
  let up = new KeyboardEvent("keyup", options);
  up.synthetic = true;
  elt.dispatchEvent(up);
  return down.defaultPrevented || up.defaultPrevented;
}
function getRoot(node) {
  while (node) {
    if (node && (node.nodeType == 9 || node.nodeType == 11 && node.host)) return node;
    node = node.assignedSlot || node.parentNode;
  }
  return null;
}
function clearAttributes(node) {
  while (node.attributes.length) node.removeAttributeNode(node.attributes[0]);
}
function atElementStart(doc, selection) {
  let node = selection.focusNode,
    offset = selection.focusOffset;
  if (!node || selection.anchorNode != node || selection.anchorOffset != offset) return false;
  for (;;) {
    if (offset) {
      if (node.nodeType != 1) return false;
      let prev = node.childNodes[offset - 1];
      if (prev.contentEditable == "false") offset--;else {
        node = prev;
        offset = maxOffset(node);
      }
    } else if (node == doc) {
      return true;
    } else {
      offset = domIndex(node);
      node = node.parentNode;
    }
  }
}
class DOMPos {
  constructor(node, offset, precise = true) {
    this.node = node;
    this.offset = offset;
    this.precise = precise;
  }
  static before(dom, precise) {
    return new DOMPos(dom.parentNode, domIndex(dom), precise);
  }
  static after(dom, precise) {
    return new DOMPos(dom.parentNode, domIndex(dom) + 1, precise);
  }
}
const noChildren = [];
class ContentView {
  constructor() {
    this.parent = null;
    this.dom = null;
    this.dirty = 2 /* Dirty.Node */;
  }

  get overrideDOMText() {
    return null;
  }
  get posAtStart() {
    return this.parent ? this.parent.posBefore(this) : 0;
  }
  get posAtEnd() {
    return this.posAtStart + this.length;
  }
  posBefore(view) {
    let pos = this.posAtStart;
    for (let child of this.children) {
      if (child == view) return pos;
      pos += child.length + child.breakAfter;
    }
    throw new RangeError("Invalid child in posBefore");
  }
  posAfter(view) {
    return this.posBefore(view) + view.length;
  }
  // Will return a rectangle directly before (when side < 0), after
  // (side > 0) or directly on (when the browser supports it) the
  // given position.
  coordsAt(_pos, _side) {
    return null;
  }
  sync(view, track) {
    if (this.dirty & 2 /* Dirty.Node */) {
      let parent = this.dom;
      let prev = null,
        next;
      for (let child of this.children) {
        if (child.dirty) {
          if (!child.dom && (next = prev ? prev.nextSibling : parent.firstChild)) {
            let contentView = ContentView.get(next);
            if (!contentView || !contentView.parent && contentView.canReuseDOM(child)) child.reuseDOM(next);
          }
          child.sync(view, track);
          child.dirty = 0 /* Dirty.Not */;
        }

        next = prev ? prev.nextSibling : parent.firstChild;
        if (track && !track.written && track.node == parent && next != child.dom) track.written = true;
        if (child.dom.parentNode == parent) {
          while (next && next != child.dom) next = rm$1(next);
        } else {
          parent.insertBefore(child.dom, next);
        }
        prev = child.dom;
      }
      next = prev ? prev.nextSibling : parent.firstChild;
      if (next && track && track.node == parent) track.written = true;
      while (next) next = rm$1(next);
    } else if (this.dirty & 1 /* Dirty.Child */) {
      for (let child of this.children) if (child.dirty) {
        child.sync(view, track);
        child.dirty = 0 /* Dirty.Not */;
      }
    }
  }

  reuseDOM(_dom) {}
  localPosFromDOM(node, offset) {
    let after;
    if (node == this.dom) {
      after = this.dom.childNodes[offset];
    } else {
      let bias = maxOffset(node) == 0 ? 0 : offset == 0 ? -1 : 1;
      for (;;) {
        let parent = node.parentNode;
        if (parent == this.dom) break;
        if (bias == 0 && parent.firstChild != parent.lastChild) {
          if (node == parent.firstChild) bias = -1;else bias = 1;
        }
        node = parent;
      }
      if (bias < 0) after = node;else after = node.nextSibling;
    }
    if (after == this.dom.firstChild) return 0;
    while (after && !ContentView.get(after)) after = after.nextSibling;
    if (!after) return this.length;
    for (let i = 0, pos = 0;; i++) {
      let child = this.children[i];
      if (child.dom == after) return pos;
      pos += child.length + child.breakAfter;
    }
  }
  domBoundsAround(from, to, offset = 0) {
    let fromI = -1,
      fromStart = -1,
      toI = -1,
      toEnd = -1;
    for (let i = 0, pos = offset, prevEnd = offset; i < this.children.length; i++) {
      let child = this.children[i],
        end = pos + child.length;
      if (pos < from && end > to) return child.domBoundsAround(from, to, pos);
      if (end >= from && fromI == -1) {
        fromI = i;
        fromStart = pos;
      }
      if (pos > to && child.dom.parentNode == this.dom) {
        toI = i;
        toEnd = prevEnd;
        break;
      }
      prevEnd = end;
      pos = end + child.breakAfter;
    }
    return {
      from: fromStart,
      to: toEnd < 0 ? offset + this.length : toEnd,
      startDOM: (fromI ? this.children[fromI - 1].dom.nextSibling : null) || this.dom.firstChild,
      endDOM: toI < this.children.length && toI >= 0 ? this.children[toI].dom : null
    };
  }
  markDirty(andParent = false) {
    this.dirty |= 2 /* Dirty.Node */;
    this.markParentsDirty(andParent);
  }
  markParentsDirty(childList) {
    for (let parent = this.parent; parent; parent = parent.parent) {
      if (childList) parent.dirty |= 2 /* Dirty.Node */;
      if (parent.dirty & 1 /* Dirty.Child */) return;
      parent.dirty |= 1 /* Dirty.Child */;
      childList = false;
    }
  }
  setParent(parent) {
    if (this.parent != parent) {
      this.parent = parent;
      if (this.dirty) this.markParentsDirty(true);
    }
  }
  setDOM(dom) {
    if (this.dom) this.dom.cmView = null;
    this.dom = dom;
    dom.cmView = this;
  }
  get rootView() {
    for (let v = this;;) {
      let parent = v.parent;
      if (!parent) return v;
      v = parent;
    }
  }
  replaceChildren(from, to, children = noChildren) {
    this.markDirty();
    for (let i = from; i < to; i++) {
      let child = this.children[i];
      if (child.parent == this) child.destroy();
    }
    this.children.splice(from, to - from, ...children);
    for (let i = 0; i < children.length; i++) children[i].setParent(this);
  }
  ignoreMutation(_rec) {
    return false;
  }
  ignoreEvent(_event) {
    return false;
  }
  childCursor(pos = this.length) {
    return new ChildCursor(this.children, pos, this.children.length);
  }
  childPos(pos, bias = 1) {
    return this.childCursor().findPos(pos, bias);
  }
  toString() {
    let name = this.constructor.name.replace("View", "");
    return name + (this.children.length ? "(" + this.children.join() + ")" : this.length ? "[" + (name == "Text" ? this.text : this.length) + "]" : "") + (this.breakAfter ? "#" : "");
  }
  static get(node) {
    return node.cmView;
  }
  get isEditable() {
    return true;
  }
  get isWidget() {
    return false;
  }
  get isHidden() {
    return false;
  }
  merge(from, to, source, hasStart, openStart, openEnd) {
    return false;
  }
  become(other) {
    return false;
  }
  canReuseDOM(other) {
    return other.constructor == this.constructor;
  }
  // When this is a zero-length view with a side, this should return a
  // number <= 0 to indicate it is before its position, or a
  // number > 0 when after its position.
  getSide() {
    return 0;
  }
  destroy() {
    this.parent = null;
  }
}
ContentView.prototype.breakAfter = 0;
// Remove a DOM node and return its next sibling.
function rm$1(dom) {
  let next = dom.nextSibling;
  dom.parentNode.removeChild(dom);
  return next;
}
class ChildCursor {
  constructor(children, pos, i) {
    this.children = children;
    this.pos = pos;
    this.i = i;
    this.off = 0;
  }
  findPos(pos, bias = 1) {
    for (;;) {
      if (pos > this.pos || pos == this.pos && (bias > 0 || this.i == 0 || this.children[this.i - 1].breakAfter)) {
        this.off = pos - this.pos;
        return this;
      }
      let next = this.children[--this.i];
      this.pos -= next.length + next.breakAfter;
    }
  }
}
function replaceRange(parent, fromI, fromOff, toI, toOff, insert, breakAtStart, openStart, openEnd) {
  let {
    children
  } = parent;
  let before = children.length ? children[fromI] : null;
  let last = insert.length ? insert[insert.length - 1] : null;
  let breakAtEnd = last ? last.breakAfter : breakAtStart;
  // Change within a single child
  if (fromI == toI && before && !breakAtStart && !breakAtEnd && insert.length < 2 && before.merge(fromOff, toOff, insert.length ? last : null, fromOff == 0, openStart, openEnd)) return;
  if (toI < children.length) {
    let after = children[toI];
    // Make sure the end of the child after the update is preserved in `after`
    if (after && toOff < after.length) {
      // If we're splitting a child, separate part of it to avoid that
      // being mangled when updating the child before the update.
      if (fromI == toI) {
        after = after.split(toOff);
        toOff = 0;
      }
      // If the element after the replacement should be merged with
      // the last replacing element, update `content`
      if (!breakAtEnd && last && after.merge(0, toOff, last, true, 0, openEnd)) {
        insert[insert.length - 1] = after;
      } else {
        // Remove the start of the after element, if necessary, and
        // add it to `content`.
        if (toOff) after.merge(0, toOff, null, false, 0, openEnd);
        insert.push(after);
      }
    } else if (after === null || after === void 0 ? void 0 : after.breakAfter) {
      // The element at `toI` is entirely covered by this range.
      // Preserve its line break, if any.
      if (last) last.breakAfter = 1;else breakAtStart = 1;
    }
    // Since we've handled the next element from the current elements
    // now, make sure `toI` points after that.
    toI++;
  }
  if (before) {
    before.breakAfter = breakAtStart;
    if (fromOff > 0) {
      if (!breakAtStart && insert.length && before.merge(fromOff, before.length, insert[0], false, openStart, 0)) {
        before.breakAfter = insert.shift().breakAfter;
      } else if (fromOff < before.length || before.children.length && before.children[before.children.length - 1].length == 0) {
        before.merge(fromOff, before.length, null, false, openStart, 0);
      }
      fromI++;
    }
  }
  // Try to merge widgets on the boundaries of the replacement
  while (fromI < toI && insert.length) {
    if (children[toI - 1].become(insert[insert.length - 1])) {
      toI--;
      insert.pop();
      openEnd = insert.length ? 0 : openStart;
    } else if (children[fromI].become(insert[0])) {
      fromI++;
      insert.shift();
      openStart = insert.length ? 0 : openEnd;
    } else {
      break;
    }
  }
  if (!insert.length && fromI && toI < children.length && !children[fromI - 1].breakAfter && children[toI].merge(0, 0, children[fromI - 1], false, openStart, openEnd)) fromI--;
  if (fromI < toI || insert.length) parent.replaceChildren(fromI, toI, insert);
}
function mergeChildrenInto(parent, from, to, insert, openStart, openEnd) {
  let cur = parent.childCursor();
  let {
    i: toI,
    off: toOff
  } = cur.findPos(to, 1);
  let {
    i: fromI,
    off: fromOff
  } = cur.findPos(from, -1);
  let dLen = from - to;
  for (let view of insert) dLen += view.length;
  parent.length += dLen;
  replaceRange(parent, fromI, fromOff, toI, toOff, insert, 0, openStart, openEnd);
}
let nav = typeof navigator != "undefined" ? navigator : {
  userAgent: "",
  vendor: "",
  platform: ""
};
let doc = typeof document != "undefined" ? document : {
  documentElement: {
    style: {}
  }
};
const ie_edge = /*@__PURE__*/ /Edge\/(\d+)/.exec(nav.userAgent);
const ie_upto10 = /*@__PURE__*/ /MSIE \d/.test(nav.userAgent);
const ie_11up = /*@__PURE__*/ /Trident\/(?:[7-9]|\d{2,})\..*rv:(\d+)/.exec(nav.userAgent);
const ie = !!(ie_upto10 || ie_11up || ie_edge);
const gecko = !ie && /*@__PURE__*/ /gecko\/(\d+)/i.test(nav.userAgent);
const chrome = !ie && /*@__PURE__*/ /Chrome\/(\d+)/.exec(nav.userAgent);
const webkit = ("webkitFontSmoothing" in doc.documentElement.style);
const safari = !ie && /*@__PURE__*/ /Apple Computer/.test(nav.vendor);
const ios = safari && ( /*@__PURE__*/ /Mobile\/\w+/.test(nav.userAgent) || nav.maxTouchPoints > 2);
var browser = {
  mac: ios || /*@__PURE__*/ /Mac/.test(nav.platform),
  windows: /*@__PURE__*/ /Win/.test(nav.platform),
  linux: /*@__PURE__*/ /Linux|X11/.test(nav.platform),
  ie,
  ie_version: ie_upto10 ? doc.documentMode || 6 : ie_11up ? +ie_11up[1] : ie_edge ? +ie_edge[1] : 0,
  gecko,
  gecko_version: gecko ? +( /*@__PURE__*/ /Firefox\/(\d+)/.exec(nav.userAgent) || [0, 0])[1] : 0,
  chrome: !!chrome,
  chrome_version: chrome ? +chrome[1] : 0,
  ios,
  android: /*@__PURE__*/ /Android\b/.test(nav.userAgent),
  webkit,
  safari,
  webkit_version: webkit ? +( /*@__PURE__*/ /\bAppleWebKit\/(\d+)/.exec(navigator.userAgent) || [0, 0])[1] : 0,
  tabSize: doc.documentElement.style.tabSize != null ? "tab-size" : "-moz-tab-size"
};
const MaxJoinLen = 256;
class TextView extends ContentView {
  constructor(text) {
    super();
    this.text = text;
  }
  get length() {
    return this.text.length;
  }
  createDOM(textDOM) {
    this.setDOM(textDOM || document.createTextNode(this.text));
  }
  sync(view, track) {
    if (!this.dom) this.createDOM();
    if (this.dom.nodeValue != this.text) {
      if (track && track.node == this.dom) track.written = true;
      this.dom.nodeValue = this.text;
    }
  }
  reuseDOM(dom) {
    if (dom.nodeType == 3) this.createDOM(dom);
  }
  merge(from, to, source) {
    if (source && (!(source instanceof TextView) || this.length - (to - from) + source.length > MaxJoinLen)) return false;
    this.text = this.text.slice(0, from) + (source ? source.text : "") + this.text.slice(to);
    this.markDirty();
    return true;
  }
  split(from) {
    let result = new TextView(this.text.slice(from));
    this.text = this.text.slice(0, from);
    this.markDirty();
    return result;
  }
  localPosFromDOM(node, offset) {
    return node == this.dom ? offset : offset ? this.text.length : 0;
  }
  domAtPos(pos) {
    return new DOMPos(this.dom, pos);
  }
  domBoundsAround(_from, _to, offset) {
    return {
      from: offset,
      to: offset + this.length,
      startDOM: this.dom,
      endDOM: this.dom.nextSibling
    };
  }
  coordsAt(pos, side) {
    return textCoords(this.dom, pos, side);
  }
}
class MarkView extends ContentView {
  constructor(mark, children = [], length = 0) {
    super();
    this.mark = mark;
    this.children = children;
    this.length = length;
    for (let ch of children) ch.setParent(this);
  }
  setAttrs(dom) {
    clearAttributes(dom);
    if (this.mark.class) dom.className = this.mark.class;
    if (this.mark.attrs) for (let name in this.mark.attrs) dom.setAttribute(name, this.mark.attrs[name]);
    return dom;
  }
  reuseDOM(node) {
    if (node.nodeName == this.mark.tagName.toUpperCase()) {
      this.setDOM(node);
      this.dirty |= 4 /* Dirty.Attrs */ | 2 /* Dirty.Node */;
    }
  }

  sync(view, track) {
    if (!this.dom) this.setDOM(this.setAttrs(document.createElement(this.mark.tagName)));else if (this.dirty & 4 /* Dirty.Attrs */) this.setAttrs(this.dom);
    super.sync(view, track);
  }
  merge(from, to, source, _hasStart, openStart, openEnd) {
    if (source && (!(source instanceof MarkView && source.mark.eq(this.mark)) || from && openStart <= 0 || to < this.length && openEnd <= 0)) return false;
    mergeChildrenInto(this, from, to, source ? source.children : [], openStart - 1, openEnd - 1);
    this.markDirty();
    return true;
  }
  split(from) {
    let result = [],
      off = 0,
      detachFrom = -1,
      i = 0;
    for (let elt of this.children) {
      let end = off + elt.length;
      if (end > from) result.push(off < from ? elt.split(from - off) : elt);
      if (detachFrom < 0 && off >= from) detachFrom = i;
      off = end;
      i++;
    }
    let length = this.length - from;
    this.length = from;
    if (detachFrom > -1) {
      this.children.length = detachFrom;
      this.markDirty();
    }
    return new MarkView(this.mark, result, length);
  }
  domAtPos(pos) {
    return inlineDOMAtPos(this, pos);
  }
  coordsAt(pos, side) {
    return coordsInChildren(this, pos, side);
  }
}
function textCoords(text, pos, side) {
  let length = text.nodeValue.length;
  if (pos > length) pos = length;
  let from = pos,
    to = pos,
    flatten = 0;
  if (pos == 0 && side < 0 || pos == length && side >= 0) {
    if (!(browser.chrome || browser.gecko)) {
      // These browsers reliably return valid rectangles for empty ranges
      if (pos) {
        from--;
        flatten = 1;
      } // FIXME this is wrong in RTL text
      else if (to < length) {
        to++;
        flatten = -1;
      }
    }
  } else {
    if (side < 0) from--;else if (to < length) to++;
  }
  let rects = textRange(text, from, to).getClientRects();
  if (!rects.length) return Rect0;
  let rect = rects[(flatten ? flatten < 0 : side >= 0) ? 0 : rects.length - 1];
  if (browser.safari && !flatten && rect.width == 0) rect = Array.prototype.find.call(rects, r => r.width) || rect;
  return flatten ? flattenRect(rect, flatten < 0) : rect || null;
}
// Also used for collapsed ranges that don't have a placeholder widget!
class WidgetView extends ContentView {
  constructor(widget, length, side) {
    super();
    this.widget = widget;
    this.length = length;
    this.side = side;
    this.prevWidget = null;
  }
  static create(widget, length, side) {
    return new (widget.customView || WidgetView)(widget, length, side);
  }
  split(from) {
    let result = WidgetView.create(this.widget, this.length - from, this.side);
    this.length -= from;
    return result;
  }
  sync(view) {
    if (!this.dom || !this.widget.updateDOM(this.dom, view)) {
      if (this.dom && this.prevWidget) this.prevWidget.destroy(this.dom);
      this.prevWidget = null;
      this.setDOM(this.widget.toDOM(view));
      this.dom.contentEditable = "false";
    }
  }
  getSide() {
    return this.side;
  }
  merge(from, to, source, hasStart, openStart, openEnd) {
    if (source && (!(source instanceof WidgetView) || !this.widget.compare(source.widget) || from > 0 && openStart <= 0 || to < this.length && openEnd <= 0)) return false;
    this.length = from + (source ? source.length : 0) + (this.length - to);
    return true;
  }
  become(other) {
    if (other instanceof WidgetView && other.side == this.side && this.widget.constructor == other.widget.constructor) {
      if (!this.widget.compare(other.widget)) this.markDirty(true);
      if (this.dom && !this.prevWidget) this.prevWidget = this.widget;
      this.widget = other.widget;
      this.length = other.length;
      return true;
    }
    return false;
  }
  ignoreMutation() {
    return true;
  }
  ignoreEvent(event) {
    return this.widget.ignoreEvent(event);
  }
  get overrideDOMText() {
    if (this.length == 0) return _state.Text.empty;
    let top = this;
    while (top.parent) top = top.parent;
    let {
        view
      } = top,
      text = view && view.state.doc,
      start = this.posAtStart;
    return text ? text.slice(start, start + this.length) : _state.Text.empty;
  }
  domAtPos(pos) {
    return (this.length ? pos == 0 : this.side > 0) ? DOMPos.before(this.dom) : DOMPos.after(this.dom, pos == this.length);
  }
  domBoundsAround() {
    return null;
  }
  coordsAt(pos, side) {
    let rects = this.dom.getClientRects(),
      rect = null;
    if (!rects.length) return Rect0;
    for (let i = pos > 0 ? rects.length - 1 : 0;; i += pos > 0 ? -1 : 1) {
      rect = rects[i];
      if (pos > 0 ? i == 0 : i == rects.length - 1 || rect.top < rect.bottom) break;
    }
    return this.length ? rect : flattenRect(rect, this.side > 0);
  }
  get isEditable() {
    return false;
  }
  get isWidget() {
    return true;
  }
  get isHidden() {
    return this.widget.isHidden;
  }
  destroy() {
    super.destroy();
    if (this.dom) this.widget.destroy(this.dom);
  }
}
class CompositionView extends WidgetView {
  domAtPos(pos) {
    let {
      topView,
      text
    } = this.widget;
    if (!topView) return new DOMPos(text, Math.min(pos, text.nodeValue.length));
    return scanCompositionTree(pos, 0, topView, text, this.length - topView.length, (v, p) => v.domAtPos(p), (text, p) => new DOMPos(text, Math.min(p, text.nodeValue.length)));
  }
  sync() {
    this.setDOM(this.widget.toDOM());
  }
  localPosFromDOM(node, offset) {
    let {
      topView,
      text
    } = this.widget;
    if (!topView) return Math.min(offset, this.length);
    return posFromDOMInCompositionTree(node, offset, topView, text, this.length - topView.length);
  }
  ignoreMutation() {
    return false;
  }
  get overrideDOMText() {
    return null;
  }
  coordsAt(pos, side) {
    let {
      topView,
      text
    } = this.widget;
    if (!topView) return textCoords(text, pos, side);
    return scanCompositionTree(pos, side, topView, text, this.length - topView.length, (v, pos, side) => v.coordsAt(pos, side), (text, pos, side) => textCoords(text, pos, side));
  }
  destroy() {
    var _a;
    super.destroy();
    (_a = this.widget.topView) === null || _a === void 0 ? void 0 : _a.destroy();
  }
  get isEditable() {
    return true;
  }
  canReuseDOM() {
    return true;
  }
}
// Uses the old structure of a chunk of content view frozen for
// composition to try and find a reasonable DOM location for the given
// offset.
function scanCompositionTree(pos, side, view, text, dLen, enterView, fromText) {
  if (view instanceof MarkView) {
    for (let child = view.dom.firstChild; child; child = child.nextSibling) {
      let desc = ContentView.get(child);
      if (!desc) {
        let inner = scanCompositionNode(pos, side, child, fromText);
        if (typeof inner != "number") return inner;
        pos = inner;
      } else {
        let hasComp = contains(child, text);
        let len = desc.length + (hasComp ? dLen : 0);
        if (pos < len || pos == len && desc.getSide() <= 0) return hasComp ? scanCompositionTree(pos, side, desc, text, dLen, enterView, fromText) : enterView(desc, pos, side);
        pos -= len;
      }
    }
    return enterView(view, view.length, -1);
  } else if (view.dom == text) {
    return fromText(text, pos, side);
  } else {
    return enterView(view, pos, side);
  }
}
function scanCompositionNode(pos, side, node, fromText) {
  if (node.nodeType == 3) {
    let len = node.nodeValue.length;
    if (pos <= len) return fromText(node, pos, side);
    pos -= len;
  } else if (node.nodeType == 1 && node.contentEditable != "false") {
    for (let child = node.firstChild; child; child = child.nextSibling) {
      let inner = scanCompositionNode(pos, side, child, fromText);
      if (typeof inner != "number") return inner;
      pos = inner;
    }
  }
  return pos;
}
function posFromDOMInCompositionTree(node, offset, view, text, dLen) {
  if (view instanceof MarkView) {
    let pos = 0;
    for (let child = view.dom.firstChild; child; child = child.nextSibling) {
      let childView = ContentView.get(child);
      if (childView) {
        let hasComp = contains(child, text);
        if (contains(child, node)) return pos + (hasComp ? posFromDOMInCompositionTree(node, offset, childView, text, dLen) : childView.localPosFromDOM(node, offset));
        pos += childView.length + (hasComp ? dLen : 0);
      } else {
        let inner = posFromDOMInOpaqueNode(node, offset, child);
        if (inner.result != null) return pos + inner.result;
        pos += inner.size;
      }
    }
  } else if (view.dom == text) {
    return Math.min(offset, text.nodeValue.length);
  }
  return view.localPosFromDOM(node, offset);
}
function posFromDOMInOpaqueNode(node, offset, target) {
  if (target.nodeType == 3) {
    return node == target ? {
      result: offset
    } : {
      size: target.nodeValue.length
    };
  } else if (target.nodeType == 1 && target.contentEditable != "false") {
    let pos = 0;
    for (let child = target.firstChild, i = 0;; child = child.nextSibling, i++) {
      if (node == target && i == offset) return {
        result: pos
      };
      if (!child) return {
        size: pos
      };
      let inner = posFromDOMInOpaqueNode(node, offset, child);
      if (inner.result != null) return {
        result: offset + inner.result
      };
      pos += inner.size;
    }
  } else {
    return target.contains(node) ? {
      result: 0
    } : {
      size: 0
    };
  }
}
// These are drawn around uneditable widgets to avoid a number of
// browser bugs that show up when the cursor is directly next to
// uneditable inline content.
class WidgetBufferView extends ContentView {
  constructor(side) {
    super();
    this.side = side;
  }
  get length() {
    return 0;
  }
  merge() {
    return false;
  }
  become(other) {
    return other instanceof WidgetBufferView && other.side == this.side;
  }
  split() {
    return new WidgetBufferView(this.side);
  }
  sync() {
    if (!this.dom) {
      let dom = document.createElement("img");
      dom.className = "cm-widgetBuffer";
      dom.setAttribute("aria-hidden", "true");
      this.setDOM(dom);
    }
  }
  getSide() {
    return this.side;
  }
  domAtPos(pos) {
    return this.side > 0 ? DOMPos.before(this.dom) : DOMPos.after(this.dom);
  }
  localPosFromDOM() {
    return 0;
  }
  domBoundsAround() {
    return null;
  }
  coordsAt(pos) {
    let imgRect = this.dom.getBoundingClientRect();
    // Since the <img> height doesn't correspond to text height, try
    // to borrow the height from some sibling node.
    let siblingRect = inlineSiblingRect(this, this.side > 0 ? -1 : 1);
    return siblingRect && siblingRect.top < imgRect.bottom && siblingRect.bottom > imgRect.top ? {
      left: imgRect.left,
      right: imgRect.right,
      top: siblingRect.top,
      bottom: siblingRect.bottom
    } : imgRect;
  }
  get overrideDOMText() {
    return _state.Text.empty;
  }
  get isHidden() {
    return true;
  }
}
TextView.prototype.children = WidgetView.prototype.children = WidgetBufferView.prototype.children = noChildren;
function inlineSiblingRect(view, side) {
  let parent = view.parent,
    index = parent ? parent.children.indexOf(view) : -1;
  while (parent && index >= 0) {
    if (side < 0 ? index > 0 : index < parent.children.length) {
      let next = parent.children[index + side];
      if (next instanceof TextView) {
        let nextRect = next.coordsAt(side < 0 ? next.length : 0, side);
        if (nextRect) return nextRect;
      }
      index += side;
    } else if (parent instanceof MarkView && parent.parent) {
      index = parent.parent.children.indexOf(parent) + (side < 0 ? 0 : 1);
      parent = parent.parent;
    } else {
      let last = parent.dom.lastChild;
      if (last && last.nodeName == "BR") return last.getClientRects()[0];
      break;
    }
  }
  return undefined;
}
function inlineDOMAtPos(parent, pos) {
  let dom = parent.dom,
    {
      children
    } = parent,
    i = 0;
  for (let off = 0; i < children.length; i++) {
    let child = children[i],
      end = off + child.length;
    if (end == off && child.getSide() <= 0) continue;
    if (pos > off && pos < end && child.dom.parentNode == dom) return child.domAtPos(pos - off);
    if (pos <= off) break;
    off = end;
  }
  for (let j = i; j > 0; j--) {
    let prev = children[j - 1];
    if (prev.dom.parentNode == dom) return prev.domAtPos(prev.length);
  }
  for (let j = i; j < children.length; j++) {
    let next = children[j];
    if (next.dom.parentNode == dom) return next.domAtPos(0);
  }
  return new DOMPos(dom, 0);
}
// Assumes `view`, if a mark view, has precisely 1 child.
function joinInlineInto(parent, view, open) {
  let last,
    {
      children
    } = parent;
  if (open > 0 && view instanceof MarkView && children.length && (last = children[children.length - 1]) instanceof MarkView && last.mark.eq(view.mark)) {
    joinInlineInto(last, view.children[0], open - 1);
  } else {
    children.push(view);
    view.setParent(parent);
  }
  parent.length += view.length;
}
function coordsInChildren(view, pos, side) {
  let before = null,
    beforePos = -1,
    after = null,
    afterPos = -1;
  function scan(view, pos) {
    for (let i = 0, off = 0; i < view.children.length && off <= pos; i++) {
      let child = view.children[i],
        end = off + child.length;
      if (end >= pos) {
        if (child.children.length) {
          scan(child, pos - off);
        } else if ((!after || after instanceof WidgetBufferView && side > 0) && (end > pos || off == end && child.getSide() > 0)) {
          after = child;
          afterPos = pos - off;
        } else if (off < pos || off == end && child.getSide() < 0) {
          before = child;
          beforePos = pos - off;
        }
      }
      off = end;
    }
  }
  scan(view, pos);
  let target = (side < 0 ? before : after) || before || after;
  if (target) return target.coordsAt(Math.max(0, target == before ? beforePos : afterPos), side);
  return fallbackRect(view);
}
function fallbackRect(view) {
  let last = view.dom.lastChild;
  if (!last) return view.dom.getBoundingClientRect();
  let rects = clientRectsFor(last);
  return rects[rects.length - 1] || null;
}
function combineAttrs(source, target) {
  for (let name in source) {
    if (name == "class" && target.class) target.class += " " + source.class;else if (name == "style" && target.style) target.style += ";" + source.style;else target[name] = source[name];
  }
  return target;
}
function attrsEq(a, b) {
  if (a == b) return true;
  if (!a || !b) return false;
  let keysA = Object.keys(a),
    keysB = Object.keys(b);
  if (keysA.length != keysB.length) return false;
  for (let key of keysA) {
    if (keysB.indexOf(key) == -1 || a[key] !== b[key]) return false;
  }
  return true;
}
function updateAttrs(dom, prev, attrs) {
  let changed = null;
  if (prev) for (let name in prev) if (!(attrs && name in attrs)) dom.removeAttribute(changed = name);
  if (attrs) for (let name in attrs) if (!(prev && prev[name] == attrs[name])) dom.setAttribute(changed = name, attrs[name]);
  return !!changed;
}

/**
Widgets added to the content are described by subclasses of this
class. Using a description object like that makes it possible to
delay creating of the DOM structure for a widget until it is
needed, and to avoid redrawing widgets even if the decorations
that define them are recreated.
*/
class WidgetType {
  /**
  Compare this instance to another instance of the same type.
  (TypeScript can't express this, but only instances of the same
  specific class will be passed to this method.) This is used to
  avoid redrawing widgets when they are replaced by a new
  decoration of the same type. The default implementation just
  returns `false`, which will cause new instances of the widget to
  always be redrawn.
  */
  eq(widget) {
    return false;
  }
  /**
  Update a DOM element created by a widget of the same type (but
  different, non-`eq` content) to reflect this widget. May return
  true to indicate that it could update, false to indicate it
  couldn't (in which case the widget will be redrawn). The default
  implementation just returns false.
  */
  updateDOM(dom, view) {
    return false;
  }
  /**
  @internal
  */
  compare(other) {
    return this == other || this.constructor == other.constructor && this.eq(other);
  }
  /**
  The estimated height this widget will have, to be used when
  estimating the height of content that hasn't been drawn. May
  return -1 to indicate you don't know. The default implementation
  returns -1.
  */
  get estimatedHeight() {
    return -1;
  }
  /**
  Can be used to configure which kinds of events inside the widget
  should be ignored by the editor. The default is to ignore all
  events.
  */
  ignoreEvent(event) {
    return true;
  }
  /**
  @internal
  */
  get customView() {
    return null;
  }
  /**
  @internal
  */
  get isHidden() {
    return false;
  }
  /**
  This is called when the an instance of the widget is removed
  from the editor view.
  */
  destroy(dom) {}
}
/**
The different types of blocks that can occur in an editor view.
*/
exports.WidgetType = WidgetType;
var BlockType = /*@__PURE__*/function (BlockType) {
  /**
  A line of text.
  */
  BlockType[BlockType["Text"] = 0] = "Text";
  /**
  A block widget associated with the position after it.
  */
  BlockType[BlockType["WidgetBefore"] = 1] = "WidgetBefore";
  /**
  A block widget associated with the position before it.
  */
  BlockType[BlockType["WidgetAfter"] = 2] = "WidgetAfter";
  /**
  A block widget [replacing](https://codemirror.net/6/docs/ref/#view.Decoration^replace) a range of content.
  */
  BlockType[BlockType["WidgetRange"] = 3] = "WidgetRange";
  return BlockType;
}(BlockType || (exports.BlockType = BlockType = {}));
/**
A decoration provides information on how to draw or style a piece
of content. You'll usually use it wrapped in a
[`Range`](https://codemirror.net/6/docs/ref/#state.Range), which adds a start and end position.
@nonabstract
*/
exports.BlockType = BlockType;
class Decoration extends _state.RangeValue {
  constructor(
  /**
  @internal
  */
  startSide,
  /**
  @internal
  */
  endSide,
  /**
  @internal
  */
  widget,
  /**
  The config object used to create this decoration. You can
  include additional properties in there to store metadata about
  your decoration.
  */
  spec) {
    super();
    this.startSide = startSide;
    this.endSide = endSide;
    this.widget = widget;
    this.spec = spec;
  }
  /**
  @internal
  */
  get heightRelevant() {
    return false;
  }
  /**
  Create a mark decoration, which influences the styling of the
  content in its range. Nested mark decorations will cause nested
  DOM elements to be created. Nesting order is determined by
  precedence of the [facet](https://codemirror.net/6/docs/ref/#view.EditorView^decorations), with
  the higher-precedence decorations creating the inner DOM nodes.
  Such elements are split on line boundaries and on the boundaries
  of lower-precedence decorations.
  */
  static mark(spec) {
    return new MarkDecoration(spec);
  }
  /**
  Create a widget decoration, which displays a DOM element at the
  given position.
  */
  static widget(spec) {
    let side = spec.side || 0,
      block = !!spec.block;
    side += block ? side > 0 ? 300000000 /* Side.BlockAfter */ : -400000000 /* Side.BlockBefore */ : side > 0 ? 100000000 /* Side.InlineAfter */ : -100000000 /* Side.InlineBefore */;
    return new PointDecoration(spec, side, side, block, spec.widget || null, false);
  }
  /**
  Create a replace decoration which replaces the given range with
  a widget, or simply hides it.
  */
  static replace(spec) {
    let block = !!spec.block,
      startSide,
      endSide;
    if (spec.isBlockGap) {
      startSide = -500000000 /* Side.GapStart */;
      endSide = 400000000 /* Side.GapEnd */;
    } else {
      let {
        start,
        end
      } = getInclusive(spec, block);
      startSide = (start ? block ? -300000000 /* Side.BlockIncStart */ : -1 /* Side.InlineIncStart */ : 500000000 /* Side.NonIncStart */) - 1;
      endSide = (end ? block ? 200000000 /* Side.BlockIncEnd */ : 1 /* Side.InlineIncEnd */ : -600000000 /* Side.NonIncEnd */) + 1;
    }
    return new PointDecoration(spec, startSide, endSide, block, spec.widget || null, true);
  }
  /**
  Create a line decoration, which can add DOM attributes to the
  line starting at the given position.
  */
  static line(spec) {
    return new LineDecoration(spec);
  }
  /**
  Build a [`DecorationSet`](https://codemirror.net/6/docs/ref/#view.DecorationSet) from the given
  decorated range or ranges. If the ranges aren't already sorted,
  pass `true` for `sort` to make the library sort them for you.
  */
  static set(of, sort = false) {
    return _state.RangeSet.of(of, sort);
  }
  /**
  @internal
  */
  hasHeight() {
    return this.widget ? this.widget.estimatedHeight > -1 : false;
  }
}
/**
The empty set of decorations.
*/
exports.Decoration = Decoration;
Decoration.none = _state.RangeSet.empty;
class MarkDecoration extends Decoration {
  constructor(spec) {
    let {
      start,
      end
    } = getInclusive(spec);
    super(start ? -1 /* Side.InlineIncStart */ : 500000000 /* Side.NonIncStart */, end ? 1 /* Side.InlineIncEnd */ : -600000000 /* Side.NonIncEnd */, null, spec);
    this.tagName = spec.tagName || "span";
    this.class = spec.class || "";
    this.attrs = spec.attributes || null;
  }
  eq(other) {
    return this == other || other instanceof MarkDecoration && this.tagName == other.tagName && this.class == other.class && attrsEq(this.attrs, other.attrs);
  }
  range(from, to = from) {
    if (from >= to) throw new RangeError("Mark decorations may not be empty");
    return super.range(from, to);
  }
}
MarkDecoration.prototype.point = false;
class LineDecoration extends Decoration {
  constructor(spec) {
    super(-200000000 /* Side.Line */, -200000000 /* Side.Line */, null, spec);
  }
  eq(other) {
    return other instanceof LineDecoration && this.spec.class == other.spec.class && attrsEq(this.spec.attributes, other.spec.attributes);
  }
  range(from, to = from) {
    if (to != from) throw new RangeError("Line decoration ranges must be zero-length");
    return super.range(from, to);
  }
}
LineDecoration.prototype.mapMode = _state.MapMode.TrackBefore;
LineDecoration.prototype.point = true;
class PointDecoration extends Decoration {
  constructor(spec, startSide, endSide, block, widget, isReplace) {
    super(startSide, endSide, widget, spec);
    this.block = block;
    this.isReplace = isReplace;
    this.mapMode = !block ? _state.MapMode.TrackDel : startSide <= 0 ? _state.MapMode.TrackBefore : _state.MapMode.TrackAfter;
  }
  // Only relevant when this.block == true
  get type() {
    return this.startSide < this.endSide ? BlockType.WidgetRange : this.startSide <= 0 ? BlockType.WidgetBefore : BlockType.WidgetAfter;
  }
  get heightRelevant() {
    return this.block || !!this.widget && this.widget.estimatedHeight >= 5;
  }
  eq(other) {
    return other instanceof PointDecoration && widgetsEq(this.widget, other.widget) && this.block == other.block && this.startSide == other.startSide && this.endSide == other.endSide;
  }
  range(from, to = from) {
    if (this.isReplace && (from > to || from == to && this.startSide > 0 && this.endSide <= 0)) throw new RangeError("Invalid range for replacement decoration");
    if (!this.isReplace && to != from) throw new RangeError("Widget decorations can only have zero-length ranges");
    return super.range(from, to);
  }
}
PointDecoration.prototype.point = true;
function getInclusive(spec, block = false) {
  let {
    inclusiveStart: start,
    inclusiveEnd: end
  } = spec;
  if (start == null) start = spec.inclusive;
  if (end == null) end = spec.inclusive;
  return {
    start: start !== null && start !== void 0 ? start : block,
    end: end !== null && end !== void 0 ? end : block
  };
}
function widgetsEq(a, b) {
  return a == b || !!(a && b && a.compare(b));
}
function addRange(from, to, ranges, margin = 0) {
  let last = ranges.length - 1;
  if (last >= 0 && ranges[last] + margin >= from) ranges[last] = Math.max(ranges[last], to);else ranges.push(from, to);
}
class LineView extends ContentView {
  constructor() {
    super(...arguments);
    this.children = [];
    this.length = 0;
    this.prevAttrs = undefined;
    this.attrs = null;
    this.breakAfter = 0;
  }
  // Consumes source
  merge(from, to, source, hasStart, openStart, openEnd) {
    if (source) {
      if (!(source instanceof LineView)) return false;
      if (!this.dom) source.transferDOM(this); // Reuse source.dom when appropriate
    }

    if (hasStart) this.setDeco(source ? source.attrs : null);
    mergeChildrenInto(this, from, to, source ? source.children : [], openStart, openEnd);
    return true;
  }
  split(at) {
    let end = new LineView();
    end.breakAfter = this.breakAfter;
    if (this.length == 0) return end;
    let {
      i,
      off
    } = this.childPos(at);
    if (off) {
      end.append(this.children[i].split(off), 0);
      this.children[i].merge(off, this.children[i].length, null, false, 0, 0);
      i++;
    }
    for (let j = i; j < this.children.length; j++) end.append(this.children[j], 0);
    while (i > 0 && this.children[i - 1].length == 0) this.children[--i].destroy();
    this.children.length = i;
    this.markDirty();
    this.length = at;
    return end;
  }
  transferDOM(other) {
    if (!this.dom) return;
    this.markDirty();
    other.setDOM(this.dom);
    other.prevAttrs = this.prevAttrs === undefined ? this.attrs : this.prevAttrs;
    this.prevAttrs = undefined;
    this.dom = null;
  }
  setDeco(attrs) {
    if (!attrsEq(this.attrs, attrs)) {
      if (this.dom) {
        this.prevAttrs = this.attrs;
        this.markDirty();
      }
      this.attrs = attrs;
    }
  }
  append(child, openStart) {
    joinInlineInto(this, child, openStart);
  }
  // Only called when building a line view in ContentBuilder
  addLineDeco(deco) {
    let attrs = deco.spec.attributes,
      cls = deco.spec.class;
    if (attrs) this.attrs = combineAttrs(attrs, this.attrs || {});
    if (cls) this.attrs = combineAttrs({
      class: cls
    }, this.attrs || {});
  }
  domAtPos(pos) {
    return inlineDOMAtPos(this, pos);
  }
  reuseDOM(node) {
    if (node.nodeName == "DIV") {
      this.setDOM(node);
      this.dirty |= 4 /* Dirty.Attrs */ | 2 /* Dirty.Node */;
    }
  }

  sync(view, track) {
    var _a;
    if (!this.dom) {
      this.setDOM(document.createElement("div"));
      this.dom.className = "cm-line";
      this.prevAttrs = this.attrs ? null : undefined;
    } else if (this.dirty & 4 /* Dirty.Attrs */) {
      clearAttributes(this.dom);
      this.dom.className = "cm-line";
      this.prevAttrs = this.attrs ? null : undefined;
    }
    if (this.prevAttrs !== undefined) {
      updateAttrs(this.dom, this.prevAttrs, this.attrs);
      this.dom.classList.add("cm-line");
      this.prevAttrs = undefined;
    }
    super.sync(view, track);
    let last = this.dom.lastChild;
    while (last && ContentView.get(last) instanceof MarkView) last = last.lastChild;
    if (!last || !this.length || last.nodeName != "BR" && ((_a = ContentView.get(last)) === null || _a === void 0 ? void 0 : _a.isEditable) == false && (!browser.ios || !this.children.some(ch => ch instanceof TextView))) {
      let hack = document.createElement("BR");
      hack.cmIgnore = true;
      this.dom.appendChild(hack);
    }
  }
  measureTextSize() {
    if (this.children.length == 0 || this.length > 20) return null;
    let totalWidth = 0,
      textHeight;
    for (let child of this.children) {
      if (!(child instanceof TextView) || /[^ -~]/.test(child.text)) return null;
      let rects = clientRectsFor(child.dom);
      if (rects.length != 1) return null;
      totalWidth += rects[0].width;
      textHeight = rects[0].height;
    }
    return !totalWidth ? null : {
      lineHeight: this.dom.getBoundingClientRect().height,
      charWidth: totalWidth / this.length,
      textHeight
    };
  }
  coordsAt(pos, side) {
    let rect = coordsInChildren(this, pos, side);
    // Correct rectangle height for empty lines when the returned
    // height is larger than the text height.
    if (!this.children.length && rect && this.parent) {
      let {
          heightOracle
        } = this.parent.view.viewState,
        height = rect.bottom - rect.top;
      if (Math.abs(height - heightOracle.lineHeight) < 2 && heightOracle.textHeight < height) {
        let dist = (height - heightOracle.textHeight) / 2;
        return {
          top: rect.top + dist,
          bottom: rect.bottom - dist,
          left: rect.left,
          right: rect.left
        };
      }
    }
    return rect;
  }
  become(_other) {
    return false;
  }
  get type() {
    return BlockType.Text;
  }
  static find(docView, pos) {
    for (let i = 0, off = 0; i < docView.children.length; i++) {
      let block = docView.children[i],
        end = off + block.length;
      if (end >= pos) {
        if (block instanceof LineView) return block;
        if (end > pos) break;
      }
      off = end + block.breakAfter;
    }
    return null;
  }
}
class BlockWidgetView extends ContentView {
  constructor(widget, length, type) {
    super();
    this.widget = widget;
    this.length = length;
    this.type = type;
    this.breakAfter = 0;
    this.prevWidget = null;
  }
  merge(from, to, source, _takeDeco, openStart, openEnd) {
    if (source && (!(source instanceof BlockWidgetView) || !this.widget.compare(source.widget) || from > 0 && openStart <= 0 || to < this.length && openEnd <= 0)) return false;
    this.length = from + (source ? source.length : 0) + (this.length - to);
    return true;
  }
  domAtPos(pos) {
    return pos == 0 ? DOMPos.before(this.dom) : DOMPos.after(this.dom, pos == this.length);
  }
  split(at) {
    let len = this.length - at;
    this.length = at;
    let end = new BlockWidgetView(this.widget, len, this.type);
    end.breakAfter = this.breakAfter;
    return end;
  }
  get children() {
    return noChildren;
  }
  sync(view) {
    if (!this.dom || !this.widget.updateDOM(this.dom, view)) {
      if (this.dom && this.prevWidget) this.prevWidget.destroy(this.dom);
      this.prevWidget = null;
      this.setDOM(this.widget.toDOM(view));
      this.dom.contentEditable = "false";
    }
  }
  get overrideDOMText() {
    return this.parent ? this.parent.view.state.doc.slice(this.posAtStart, this.posAtEnd) : _state.Text.empty;
  }
  domBoundsAround() {
    return null;
  }
  become(other) {
    if (other instanceof BlockWidgetView && other.type == this.type && other.widget.constructor == this.widget.constructor) {
      if (!other.widget.compare(this.widget)) this.markDirty(true);
      if (this.dom && !this.prevWidget) this.prevWidget = this.widget;
      this.widget = other.widget;
      this.length = other.length;
      this.breakAfter = other.breakAfter;
      return true;
    }
    return false;
  }
  ignoreMutation() {
    return true;
  }
  ignoreEvent(event) {
    return this.widget.ignoreEvent(event);
  }
  get isEditable() {
    return false;
  }
  get isWidget() {
    return true;
  }
  destroy() {
    super.destroy();
    if (this.dom) this.widget.destroy(this.dom);
  }
}
class ContentBuilder {
  constructor(doc, pos, end, disallowBlockEffectsFor) {
    this.doc = doc;
    this.pos = pos;
    this.end = end;
    this.disallowBlockEffectsFor = disallowBlockEffectsFor;
    this.content = [];
    this.curLine = null;
    this.breakAtStart = 0;
    this.pendingBuffer = 0 /* Buf.No */;
    this.bufferMarks = [];
    // Set to false directly after a widget that covers the position after it
    this.atCursorPos = true;
    this.openStart = -1;
    this.openEnd = -1;
    this.text = "";
    this.textOff = 0;
    this.cursor = doc.iter();
    this.skip = pos;
  }
  posCovered() {
    if (this.content.length == 0) return !this.breakAtStart && this.doc.lineAt(this.pos).from != this.pos;
    let last = this.content[this.content.length - 1];
    return !last.breakAfter && !(last instanceof BlockWidgetView && last.type == BlockType.WidgetBefore);
  }
  getLine() {
    if (!this.curLine) {
      this.content.push(this.curLine = new LineView());
      this.atCursorPos = true;
    }
    return this.curLine;
  }
  flushBuffer(active = this.bufferMarks) {
    if (this.pendingBuffer) {
      this.curLine.append(wrapMarks(new WidgetBufferView(-1), active), active.length);
      this.pendingBuffer = 0 /* Buf.No */;
    }
  }

  addBlockWidget(view) {
    this.flushBuffer();
    this.curLine = null;
    this.content.push(view);
  }
  finish(openEnd) {
    if (this.pendingBuffer && openEnd <= this.bufferMarks.length) this.flushBuffer();else this.pendingBuffer = 0 /* Buf.No */;
    if (!this.posCovered()) this.getLine();
  }
  buildText(length, active, openStart) {
    while (length > 0) {
      if (this.textOff == this.text.length) {
        let {
          value,
          lineBreak,
          done
        } = this.cursor.next(this.skip);
        this.skip = 0;
        if (done) throw new Error("Ran out of text content when drawing inline views");
        if (lineBreak) {
          if (!this.posCovered()) this.getLine();
          if (this.content.length) this.content[this.content.length - 1].breakAfter = 1;else this.breakAtStart = 1;
          this.flushBuffer();
          this.curLine = null;
          this.atCursorPos = true;
          length--;
          continue;
        } else {
          this.text = value;
          this.textOff = 0;
        }
      }
      let take = Math.min(this.text.length - this.textOff, length, 512 /* T.Chunk */);
      this.flushBuffer(active.slice(active.length - openStart));
      this.getLine().append(wrapMarks(new TextView(this.text.slice(this.textOff, this.textOff + take)), active), openStart);
      this.atCursorPos = true;
      this.textOff += take;
      length -= take;
      openStart = 0;
    }
  }
  span(from, to, active, openStart) {
    this.buildText(to - from, active, openStart);
    this.pos = to;
    if (this.openStart < 0) this.openStart = openStart;
  }
  point(from, to, deco, active, openStart, index) {
    if (this.disallowBlockEffectsFor[index] && deco instanceof PointDecoration) {
      if (deco.block) throw new RangeError("Block decorations may not be specified via plugins");
      if (to > this.doc.lineAt(this.pos).to) throw new RangeError("Decorations that replace line breaks may not be specified via plugins");
    }
    let len = to - from;
    if (deco instanceof PointDecoration) {
      if (deco.block) {
        let {
          type
        } = deco;
        if (type == BlockType.WidgetAfter && !this.posCovered()) this.getLine();
        this.addBlockWidget(new BlockWidgetView(deco.widget || new NullWidget("div"), len, type));
      } else {
        let view = WidgetView.create(deco.widget || new NullWidget("span"), len, len ? 0 : deco.startSide);
        let cursorBefore = this.atCursorPos && !view.isEditable && openStart <= active.length && (from < to || deco.startSide > 0);
        let cursorAfter = !view.isEditable && (from < to || openStart > active.length || deco.startSide <= 0);
        let line = this.getLine();
        if (this.pendingBuffer == 2 /* Buf.IfCursor */ && !cursorBefore && !view.isEditable) this.pendingBuffer = 0 /* Buf.No */;
        this.flushBuffer(active);
        if (cursorBefore) {
          line.append(wrapMarks(new WidgetBufferView(1), active), openStart);
          openStart = active.length + Math.max(0, openStart - active.length);
        }
        line.append(wrapMarks(view, active), openStart);
        this.atCursorPos = cursorAfter;
        this.pendingBuffer = !cursorAfter ? 0 /* Buf.No */ : from < to || openStart > active.length ? 1 /* Buf.Yes */ : 2 /* Buf.IfCursor */;
        if (this.pendingBuffer) this.bufferMarks = active.slice();
      }
    } else if (this.doc.lineAt(this.pos).from == this.pos) {
      // Line decoration
      this.getLine().addLineDeco(deco);
    }
    if (len) {
      // Advance the iterator past the replaced content
      if (this.textOff + len <= this.text.length) {
        this.textOff += len;
      } else {
        this.skip += len - (this.text.length - this.textOff);
        this.text = "";
        this.textOff = 0;
      }
      this.pos = to;
    }
    if (this.openStart < 0) this.openStart = openStart;
  }
  static build(text, from, to, decorations, dynamicDecorationMap) {
    let builder = new ContentBuilder(text, from, to, dynamicDecorationMap);
    builder.openEnd = _state.RangeSet.spans(decorations, from, to, builder);
    if (builder.openStart < 0) builder.openStart = builder.openEnd;
    builder.finish(builder.openEnd);
    return builder;
  }
}
function wrapMarks(view, active) {
  for (let mark of active) view = new MarkView(mark, [view], view.length);
  return view;
}
class NullWidget extends WidgetType {
  constructor(tag) {
    super();
    this.tag = tag;
  }
  eq(other) {
    return other.tag == this.tag;
  }
  toDOM() {
    return document.createElement(this.tag);
  }
  updateDOM(elt) {
    return elt.nodeName.toLowerCase() == this.tag;
  }
  get isHidden() {
    return true;
  }
}
const clickAddsSelectionRange = /*@__PURE__*/_state.Facet.define();
const dragMovesSelection$1 = /*@__PURE__*/_state.Facet.define();
const mouseSelectionStyle = /*@__PURE__*/_state.Facet.define();
const exceptionSink = /*@__PURE__*/_state.Facet.define();
const updateListener = /*@__PURE__*/_state.Facet.define();
const inputHandler = /*@__PURE__*/_state.Facet.define();
const focusChangeEffect = /*@__PURE__*/_state.Facet.define();
const perLineTextDirection = /*@__PURE__*/_state.Facet.define({
  combine: values => values.some(x => x)
});
const nativeSelectionHidden = /*@__PURE__*/_state.Facet.define({
  combine: values => values.some(x => x)
});
class ScrollTarget {
  constructor(range, y = "nearest", x = "nearest", yMargin = 5, xMargin = 5) {
    this.range = range;
    this.y = y;
    this.x = x;
    this.yMargin = yMargin;
    this.xMargin = xMargin;
  }
  map(changes) {
    return changes.empty ? this : new ScrollTarget(this.range.map(changes), this.y, this.x, this.yMargin, this.xMargin);
  }
}
const scrollIntoView = /*@__PURE__*/_state.StateEffect.define({
  map: (t, ch) => t.map(ch)
});
/**
Log or report an unhandled exception in client code. Should
probably only be used by extension code that allows client code to
provide functions, and calls those functions in a context where an
exception can't be propagated to calling code in a reasonable way
(for example when in an event handler).

Either calls a handler registered with
[`EditorView.exceptionSink`](https://codemirror.net/6/docs/ref/#view.EditorView^exceptionSink),
`window.onerror`, if defined, or `console.error` (in which case
it'll pass `context`, when given, as first argument).
*/
function logException(state, exception, context) {
  let handler = state.facet(exceptionSink);
  if (handler.length) handler[0](exception);else if (window.onerror) window.onerror(String(exception), context, undefined, undefined, exception);else if (context) console.error(context + ":", exception);else console.error(exception);
}
const editable = /*@__PURE__*/_state.Facet.define({
  combine: values => values.length ? values[0] : true
});
let nextPluginID = 0;
const viewPlugin = /*@__PURE__*/_state.Facet.define();
/**
View plugins associate stateful values with a view. They can
influence the way the content is drawn, and are notified of things
that happen in the view.
*/
class ViewPlugin {
  constructor(
  /**
  @internal
  */
  id,
  /**
  @internal
  */
  create,
  /**
  @internal
  */
  domEventHandlers, buildExtensions) {
    this.id = id;
    this.create = create;
    this.domEventHandlers = domEventHandlers;
    this.extension = buildExtensions(this);
  }
  /**
  Define a plugin from a constructor function that creates the
  plugin's value, given an editor view.
  */
  static define(create, spec) {
    const {
      eventHandlers,
      provide,
      decorations: deco
    } = spec || {};
    return new ViewPlugin(nextPluginID++, create, eventHandlers, plugin => {
      let ext = [viewPlugin.of(plugin)];
      if (deco) ext.push(decorations.of(view => {
        let pluginInst = view.plugin(plugin);
        return pluginInst ? deco(pluginInst) : Decoration.none;
      }));
      if (provide) ext.push(provide(plugin));
      return ext;
    });
  }
  /**
  Create a plugin for a class whose constructor takes a single
  editor view as argument.
  */
  static fromClass(cls, spec) {
    return ViewPlugin.define(view => new cls(view), spec);
  }
}
exports.ViewPlugin = ViewPlugin;
class PluginInstance {
  constructor(spec) {
    this.spec = spec;
    // When starting an update, all plugins have this field set to the
    // update object, indicating they need to be updated. When finished
    // updating, it is set to `false`. Retrieving a plugin that needs to
    // be updated with `view.plugin` forces an eager update.
    this.mustUpdate = null;
    // This is null when the plugin is initially created, but
    // initialized on the first update.
    this.value = null;
  }
  update(view) {
    if (!this.value) {
      if (this.spec) {
        try {
          this.value = this.spec.create(view);
        } catch (e) {
          logException(view.state, e, "CodeMirror plugin crashed");
          this.deactivate();
        }
      }
    } else if (this.mustUpdate) {
      let update = this.mustUpdate;
      this.mustUpdate = null;
      if (this.value.update) {
        try {
          this.value.update(update);
        } catch (e) {
          logException(update.state, e, "CodeMirror plugin crashed");
          if (this.value.destroy) try {
            this.value.destroy();
          } catch (_) {}
          this.deactivate();
        }
      }
    }
    return this;
  }
  destroy(view) {
    var _a;
    if ((_a = this.value) === null || _a === void 0 ? void 0 : _a.destroy) {
      try {
        this.value.destroy();
      } catch (e) {
        logException(view.state, e, "CodeMirror plugin crashed");
      }
    }
  }
  deactivate() {
    this.spec = this.value = null;
  }
}
const editorAttributes = /*@__PURE__*/_state.Facet.define();
const contentAttributes = /*@__PURE__*/_state.Facet.define();
// Provide decorations
const decorations = /*@__PURE__*/_state.Facet.define();
const atomicRanges = /*@__PURE__*/_state.Facet.define();
const scrollMargins = /*@__PURE__*/_state.Facet.define();
const styleModule = /*@__PURE__*/_state.Facet.define();
class ChangedRange {
  constructor(fromA, toA, fromB, toB) {
    this.fromA = fromA;
    this.toA = toA;
    this.fromB = fromB;
    this.toB = toB;
  }
  join(other) {
    return new ChangedRange(Math.min(this.fromA, other.fromA), Math.max(this.toA, other.toA), Math.min(this.fromB, other.fromB), Math.max(this.toB, other.toB));
  }
  addToSet(set) {
    let i = set.length,
      me = this;
    for (; i > 0; i--) {
      let range = set[i - 1];
      if (range.fromA > me.toA) continue;
      if (range.toA < me.fromA) break;
      me = me.join(range);
      set.splice(i - 1, 1);
    }
    set.splice(i, 0, me);
    return set;
  }
  static extendWithRanges(diff, ranges) {
    if (ranges.length == 0) return diff;
    let result = [];
    for (let dI = 0, rI = 0, posA = 0, posB = 0;; dI++) {
      let next = dI == diff.length ? null : diff[dI],
        off = posA - posB;
      let end = next ? next.fromB : 1e9;
      while (rI < ranges.length && ranges[rI] < end) {
        let from = ranges[rI],
          to = ranges[rI + 1];
        let fromB = Math.max(posB, from),
          toB = Math.min(end, to);
        if (fromB <= toB) new ChangedRange(fromB + off, toB + off, fromB, toB).addToSet(result);
        if (to > end) break;else rI += 2;
      }
      if (!next) return result;
      new ChangedRange(next.fromA, next.toA, next.fromB, next.toB).addToSet(result);
      posA = next.toA;
      posB = next.toB;
    }
  }
}
/**
View [plugins](https://codemirror.net/6/docs/ref/#view.ViewPlugin) are given instances of this
class, which describe what happened, whenever the view is updated.
*/
class ViewUpdate {
  constructor(
  /**
  The editor view that the update is associated with.
  */
  view,
  /**
  The new editor state.
  */
  state,
  /**
  The transactions involved in the update. May be empty.
  */
  transactions) {
    this.view = view;
    this.state = state;
    this.transactions = transactions;
    /**
    @internal
    */
    this.flags = 0;
    this.startState = view.state;
    this.changes = _state.ChangeSet.empty(this.startState.doc.length);
    for (let tr of transactions) this.changes = this.changes.compose(tr.changes);
    let changedRanges = [];
    this.changes.iterChangedRanges((fromA, toA, fromB, toB) => changedRanges.push(new ChangedRange(fromA, toA, fromB, toB)));
    this.changedRanges = changedRanges;
  }
  /**
  @internal
  */
  static create(view, state, transactions) {
    return new ViewUpdate(view, state, transactions);
  }
  /**
  Tells you whether the [viewport](https://codemirror.net/6/docs/ref/#view.EditorView.viewport) or
  [visible ranges](https://codemirror.net/6/docs/ref/#view.EditorView.visibleRanges) changed in this
  update.
  */
  get viewportChanged() {
    return (this.flags & 4 /* UpdateFlag.Viewport */) > 0;
  }
  /**
  Indicates whether the height of a block element in the editor
  changed in this update.
  */
  get heightChanged() {
    return (this.flags & 2 /* UpdateFlag.Height */) > 0;
  }
  /**
  Returns true when the document was modified or the size of the
  editor, or elements within the editor, changed.
  */
  get geometryChanged() {
    return this.docChanged || (this.flags & (8 /* UpdateFlag.Geometry */ | 2 /* UpdateFlag.Height */)) > 0;
  }
  /**
  True when this update indicates a focus change.
  */
  get focusChanged() {
    return (this.flags & 1 /* UpdateFlag.Focus */) > 0;
  }
  /**
  Whether the document changed in this update.
  */
  get docChanged() {
    return !this.changes.empty;
  }
  /**
  Whether the selection was explicitly set in this update.
  */
  get selectionSet() {
    return this.transactions.some(tr => tr.selection);
  }
  /**
  @internal
  */
  get empty() {
    return this.flags == 0 && this.transactions.length == 0;
  }
}

/**
Used to indicate [text direction](https://codemirror.net/6/docs/ref/#view.EditorView.textDirection).
*/
exports.ViewUpdate = ViewUpdate;
var Direction = /*@__PURE__*/function (Direction) {
  // (These are chosen to match the base levels, in bidi algorithm
  // terms, of spans in that direction.)
  /**
  Left-to-right.
  */
  Direction[Direction["LTR"] = 0] = "LTR";
  /**
  Right-to-left.
  */
  Direction[Direction["RTL"] = 1] = "RTL";
  return Direction;
}(Direction || (exports.Direction = Direction = {}));
exports.Direction = Direction;
const LTR = Direction.LTR,
  RTL = Direction.RTL;
// Decode a string with each type encoded as log2(type)
function dec(str) {
  let result = [];
  for (let i = 0; i < str.length; i++) result.push(1 << +str[i]);
  return result;
}
// Character types for codepoints 0 to 0xf8
const LowTypes = /*@__PURE__*/dec("88888888888888888888888888888888888666888888787833333333337888888000000000000000000000000008888880000000000000000000000000088888888888888888888888888888888888887866668888088888663380888308888800000000000000000000000800000000000000000000000000000008");
// Character types for codepoints 0x600 to 0x6f9
const ArabicTypes = /*@__PURE__*/dec("4444448826627288999999999992222222222222222222222222222222222222222222222229999999999999999999994444444444644222822222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222999999949999999229989999223333333333");
const Brackets = /*@__PURE__*/Object.create(null),
  BracketStack = [];
// There's a lot more in
// https://www.unicode.org/Public/UCD/latest/ucd/BidiBrackets.txt,
// which are left out to keep code size down.
for (let p of ["()", "[]", "{}"]) {
  let l = /*@__PURE__*/p.charCodeAt(0),
    r = /*@__PURE__*/p.charCodeAt(1);
  Brackets[l] = r;
  Brackets[r] = -l;
}
function charType(ch) {
  return ch <= 0xf7 ? LowTypes[ch] : 0x590 <= ch && ch <= 0x5f4 ? 2 /* T.R */ : 0x600 <= ch && ch <= 0x6f9 ? ArabicTypes[ch - 0x600] : 0x6ee <= ch && ch <= 0x8ac ? 4 /* T.AL */ : 0x2000 <= ch && ch <= 0x200b ? 256 /* T.NI */ : 0xfb50 <= ch && ch <= 0xfdff ? 4 /* T.AL */ : ch == 0x200c ? 256 /* T.NI */ : 1 /* T.L */;
}

const BidiRE = /[\u0590-\u05f4\u0600-\u06ff\u0700-\u08ac\ufb50-\ufdff]/;
/**
Represents a contiguous range of text that has a single direction
(as in left-to-right or right-to-left).
*/
class BidiSpan {
  /**
  @internal
  */
  constructor(
  /**
  The start of the span (relative to the start of the line).
  */
  from,
  /**
  The end of the span.
  */
  to,
  /**
  The ["bidi
  level"](https://unicode.org/reports/tr9/#Basic_Display_Algorithm)
  of the span (in this context, 0 means
  left-to-right, 1 means right-to-left, 2 means left-to-right
  number inside right-to-left text).
  */
  level) {
    this.from = from;
    this.to = to;
    this.level = level;
  }
  /**
  The direction of this span.
  */
  get dir() {
    return this.level % 2 ? RTL : LTR;
  }
  /**
  @internal
  */
  side(end, dir) {
    return this.dir == dir == end ? this.to : this.from;
  }
  /**
  @internal
  */
  static find(order, index, level, assoc) {
    let maybe = -1;
    for (let i = 0; i < order.length; i++) {
      let span = order[i];
      if (span.from <= index && span.to >= index) {
        if (span.level == level) return i;
        // When multiple spans match, if assoc != 0, take the one that
        // covers that side, otherwise take the one with the minimum
        // level.
        if (maybe < 0 || (assoc != 0 ? assoc < 0 ? span.from < index : span.to > index : order[maybe].level > span.level)) maybe = i;
      }
    }
    if (maybe < 0) throw new RangeError("Index out of range");
    return maybe;
  }
}
// Reused array of character types
exports.BidiSpan = BidiSpan;
const types = [];
function computeOrder(line, direction) {
  let len = line.length,
    outerType = direction == LTR ? 1 /* T.L */ : 2 /* T.R */,
    oppositeType = direction == LTR ? 2 /* T.R */ : 1 /* T.L */;
  if (!line || outerType == 1 /* T.L */ && !BidiRE.test(line)) return trivialOrder(len);
  // W1. Examine each non-spacing mark (NSM) in the level run, and
  // change the type of the NSM to the type of the previous
  // character. If the NSM is at the start of the level run, it will
  // get the type of sor.
  // W2. Search backwards from each instance of a European number
  // until the first strong type (R, L, AL, or sor) is found. If an
  // AL is found, change the type of the European number to Arabic
  // number.
  // W3. Change all ALs to R.
  // (Left after this: L, R, EN, AN, ET, CS, NI)
  for (let i = 0, prev = outerType, prevStrong = outerType; i < len; i++) {
    let type = charType(line.charCodeAt(i));
    if (type == 512 /* T.NSM */) type = prev;else if (type == 8 /* T.EN */ && prevStrong == 4 /* T.AL */) type = 16 /* T.AN */;
    types[i] = type == 4 /* T.AL */ ? 2 /* T.R */ : type;
    if (type & 7 /* T.Strong */) prevStrong = type;
    prev = type;
  }
  // W5. A sequence of European terminators adjacent to European
  // numbers changes to all European numbers.
  // W6. Otherwise, separators and terminators change to Other
  // Neutral.
  // W7. Search backwards from each instance of a European number
  // until the first strong type (R, L, or sor) is found. If an L is
  // found, then change the type of the European number to L.
  // (Left after this: L, R, EN+AN, NI)
  for (let i = 0, prev = outerType, prevStrong = outerType; i < len; i++) {
    let type = types[i];
    if (type == 128 /* T.CS */) {
      if (i < len - 1 && prev == types[i + 1] && prev & 24 /* T.Num */) type = types[i] = prev;else types[i] = 256 /* T.NI */;
    } else if (type == 64 /* T.ET */) {
      let end = i + 1;
      while (end < len && types[end] == 64 /* T.ET */) end++;
      let replace = i && prev == 8 /* T.EN */ || end < len && types[end] == 8 /* T.EN */ ? prevStrong == 1 /* T.L */ ? 1 /* T.L */ : 8 /* T.EN */ : 256 /* T.NI */;
      for (let j = i; j < end; j++) types[j] = replace;
      i = end - 1;
    } else if (type == 8 /* T.EN */ && prevStrong == 1 /* T.L */) {
      types[i] = 1 /* T.L */;
    }

    prev = type;
    if (type & 7 /* T.Strong */) prevStrong = type;
  }
  // N0. Process bracket pairs in an isolating run sequence
  // sequentially in the logical order of the text positions of the
  // opening paired brackets using the logic given below. Within this
  // scope, bidirectional types EN and AN are treated as R.
  for (let i = 0, sI = 0, context = 0, ch, br, type; i < len; i++) {
    // Keeps [startIndex, type, strongSeen] triples for each open
    // bracket on BracketStack.
    if (br = Brackets[ch = line.charCodeAt(i)]) {
      if (br < 0) {
        // Closing bracket
        for (let sJ = sI - 3; sJ >= 0; sJ -= 3) {
          if (BracketStack[sJ + 1] == -br) {
            let flags = BracketStack[sJ + 2];
            let type = flags & 2 /* Bracketed.EmbedInside */ ? outerType : !(flags & 4 /* Bracketed.OppositeInside */) ? 0 : flags & 1 /* Bracketed.OppositeBefore */ ? oppositeType : outerType;
            if (type) types[i] = types[BracketStack[sJ]] = type;
            sI = sJ;
            break;
          }
        }
      } else if (BracketStack.length == 189 /* Bracketed.MaxDepth */) {
        break;
      } else {
        BracketStack[sI++] = i;
        BracketStack[sI++] = ch;
        BracketStack[sI++] = context;
      }
    } else if ((type = types[i]) == 2 /* T.R */ || type == 1 /* T.L */) {
      let embed = type == outerType;
      context = embed ? 0 : 1 /* Bracketed.OppositeBefore */;
      for (let sJ = sI - 3; sJ >= 0; sJ -= 3) {
        let cur = BracketStack[sJ + 2];
        if (cur & 2 /* Bracketed.EmbedInside */) break;
        if (embed) {
          BracketStack[sJ + 2] |= 2 /* Bracketed.EmbedInside */;
        } else {
          if (cur & 4 /* Bracketed.OppositeInside */) break;
          BracketStack[sJ + 2] |= 4 /* Bracketed.OppositeInside */;
        }
      }
    }
  }
  // N1. A sequence of neutrals takes the direction of the
  // surrounding strong text if the text on both sides has the same
  // direction. European and Arabic numbers act as if they were R in
  // terms of their influence on neutrals. Start-of-level-run (sor)
  // and end-of-level-run (eor) are used at level run boundaries.
  // N2. Any remaining neutrals take the embedding direction.
  // (Left after this: L, R, EN+AN)
  for (let i = 0; i < len; i++) {
    if (types[i] == 256 /* T.NI */) {
      let end = i + 1;
      while (end < len && types[end] == 256 /* T.NI */) end++;
      let beforeL = (i ? types[i - 1] : outerType) == 1 /* T.L */;
      let afterL = (end < len ? types[end] : outerType) == 1 /* T.L */;
      let replace = beforeL == afterL ? beforeL ? 1 /* T.L */ : 2 /* T.R */ : outerType;
      for (let j = i; j < end; j++) types[j] = replace;
      i = end - 1;
    }
  }
  // Here we depart from the documented algorithm, in order to avoid
  // building up an actual levels array. Since there are only three
  // levels (0, 1, 2) in an implementation that doesn't take
  // explicit embedding into account, we can build up the order on
  // the fly, without following the level-based algorithm.
  let order = [];
  if (outerType == 1 /* T.L */) {
    for (let i = 0; i < len;) {
      let start = i,
        rtl = types[i++] != 1 /* T.L */;
      while (i < len && rtl == (types[i] != 1 /* T.L */)) i++;
      if (rtl) {
        for (let j = i; j > start;) {
          let end = j,
            l = types[--j] != 2 /* T.R */;
          while (j > start && l == (types[j - 1] != 2 /* T.R */)) j--;
          order.push(new BidiSpan(j, end, l ? 2 : 1));
        }
      } else {
        order.push(new BidiSpan(start, i, 0));
      }
    }
  } else {
    for (let i = 0; i < len;) {
      let start = i,
        rtl = types[i++] == 2 /* T.R */;
      while (i < len && rtl == (types[i] == 2 /* T.R */)) i++;
      order.push(new BidiSpan(start, i, rtl ? 1 : 2));
    }
  }
  return order;
}
function trivialOrder(length) {
  return [new BidiSpan(0, length, 0)];
}
let movedOver = "";
function moveVisually(line, order, dir, start, forward) {
  var _a;
  let startIndex = start.head - line.from,
    spanI = -1;
  if (startIndex == 0) {
    if (!forward || !line.length) return null;
    if (order[0].level != dir) {
      startIndex = order[0].side(false, dir);
      spanI = 0;
    }
  } else if (startIndex == line.length) {
    if (forward) return null;
    let last = order[order.length - 1];
    if (last.level != dir) {
      startIndex = last.side(true, dir);
      spanI = order.length - 1;
    }
  }
  if (spanI < 0) spanI = BidiSpan.find(order, startIndex, (_a = start.bidiLevel) !== null && _a !== void 0 ? _a : -1, start.assoc);
  let span = order[spanI];
  // End of span. (But not end of line--that was checked for above.)
  if (startIndex == span.side(forward, dir)) {
    span = order[spanI += forward ? 1 : -1];
    startIndex = span.side(!forward, dir);
  }
  let indexForward = forward == (span.dir == dir);
  let nextIndex = (0, _state.findClusterBreak)(line.text, startIndex, indexForward);
  movedOver = line.text.slice(Math.min(startIndex, nextIndex), Math.max(startIndex, nextIndex));
  if (nextIndex != span.side(forward, dir)) return _state.EditorSelection.cursor(nextIndex + line.from, indexForward ? -1 : 1, span.level);
  let nextSpan = spanI == (forward ? order.length - 1 : 0) ? null : order[spanI + (forward ? 1 : -1)];
  if (!nextSpan && span.level != dir) return _state.EditorSelection.cursor(forward ? line.to : line.from, forward ? -1 : 1, dir);
  if (nextSpan && nextSpan.level < span.level) return _state.EditorSelection.cursor(nextSpan.side(!forward, dir) + line.from, forward ? 1 : -1, nextSpan.level);
  return _state.EditorSelection.cursor(nextIndex + line.from, forward ? -1 : 1, span.level);
}
const LineBreakPlaceholder = "\uffff";
class DOMReader {
  constructor(points, state) {
    this.points = points;
    this.text = "";
    this.lineSeparator = state.facet(_state.EditorState.lineSeparator);
  }
  append(text) {
    this.text += text;
  }
  lineBreak() {
    this.text += LineBreakPlaceholder;
  }
  readRange(start, end) {
    if (!start) return this;
    let parent = start.parentNode;
    for (let cur = start;;) {
      this.findPointBefore(parent, cur);
      this.readNode(cur);
      let next = cur.nextSibling;
      if (next == end) break;
      let view = ContentView.get(cur),
        nextView = ContentView.get(next);
      if (view && nextView ? view.breakAfter : (view ? view.breakAfter : isBlockElement(cur)) || isBlockElement(next) && (cur.nodeName != "BR" || cur.cmIgnore)) this.lineBreak();
      cur = next;
    }
    this.findPointBefore(parent, end);
    return this;
  }
  readTextNode(node) {
    let text = node.nodeValue;
    for (let point of this.points) if (point.node == node) point.pos = this.text.length + Math.min(point.offset, text.length);
    for (let off = 0, re = this.lineSeparator ? null : /\r\n?|\n/g;;) {
      let nextBreak = -1,
        breakSize = 1,
        m;
      if (this.lineSeparator) {
        nextBreak = text.indexOf(this.lineSeparator, off);
        breakSize = this.lineSeparator.length;
      } else if (m = re.exec(text)) {
        nextBreak = m.index;
        breakSize = m[0].length;
      }
      this.append(text.slice(off, nextBreak < 0 ? text.length : nextBreak));
      if (nextBreak < 0) break;
      this.lineBreak();
      if (breakSize > 1) for (let point of this.points) if (point.node == node && point.pos > this.text.length) point.pos -= breakSize - 1;
      off = nextBreak + breakSize;
    }
  }
  readNode(node) {
    if (node.cmIgnore) return;
    let view = ContentView.get(node);
    let fromView = view && view.overrideDOMText;
    if (fromView != null) {
      this.findPointInside(node, fromView.length);
      for (let i = fromView.iter(); !i.next().done;) {
        if (i.lineBreak) this.lineBreak();else this.append(i.value);
      }
    } else if (node.nodeType == 3) {
      this.readTextNode(node);
    } else if (node.nodeName == "BR") {
      if (node.nextSibling) this.lineBreak();
    } else if (node.nodeType == 1) {
      this.readRange(node.firstChild, null);
    }
  }
  findPointBefore(node, next) {
    for (let point of this.points) if (point.node == node && node.childNodes[point.offset] == next) point.pos = this.text.length;
  }
  findPointInside(node, maxLen) {
    for (let point of this.points) if (node.nodeType == 3 ? point.node == node : node.contains(point.node)) point.pos = this.text.length + Math.min(maxLen, point.offset);
  }
}
function isBlockElement(node) {
  return node.nodeType == 1 && /^(DIV|P|LI|UL|OL|BLOCKQUOTE|DD|DT|H\d|SECTION|PRE)$/.test(node.nodeName);
}
class DOMPoint {
  constructor(node, offset) {
    this.node = node;
    this.offset = offset;
    this.pos = -1;
  }
}
class DocView extends ContentView {
  constructor(view) {
    super();
    this.view = view;
    this.compositionDeco = Decoration.none;
    this.decorations = [];
    this.dynamicDecorationMap = [];
    // Track a minimum width for the editor. When measuring sizes in
    // measureVisibleLineHeights, this is updated to point at the width
    // of a given element and its extent in the document. When a change
    // happens in that range, these are reset. That way, once we've seen
    // a line/element of a given length, we keep the editor wide enough
    // to fit at least that element, until it is changed, at which point
    // we forget it again.
    this.minWidth = 0;
    this.minWidthFrom = 0;
    this.minWidthTo = 0;
    // Track whether the DOM selection was set in a lossy way, so that
    // we don't mess it up when reading it back it
    this.impreciseAnchor = null;
    this.impreciseHead = null;
    this.forceSelection = false;
    // Used by the resize observer to ignore resizes that we caused
    // ourselves
    this.lastUpdate = Date.now();
    this.setDOM(view.contentDOM);
    this.children = [new LineView()];
    this.children[0].setParent(this);
    this.updateDeco();
    this.updateInner([new ChangedRange(0, 0, 0, view.state.doc.length)], 0);
  }
  get length() {
    return this.view.state.doc.length;
  }
  // Update the document view to a given state. scrollIntoView can be
  // used as a hint to compute a new viewport that includes that
  // position, if we know the editor is going to scroll that position
  // into view.
  update(update) {
    let changedRanges = update.changedRanges;
    if (this.minWidth > 0 && changedRanges.length) {
      if (!changedRanges.every(({
        fromA,
        toA
      }) => toA < this.minWidthFrom || fromA > this.minWidthTo)) {
        this.minWidth = this.minWidthFrom = this.minWidthTo = 0;
      } else {
        this.minWidthFrom = update.changes.mapPos(this.minWidthFrom, 1);
        this.minWidthTo = update.changes.mapPos(this.minWidthTo, 1);
      }
    }
    if (this.view.inputState.composing < 0) this.compositionDeco = Decoration.none;else if (update.transactions.length || this.dirty) this.compositionDeco = computeCompositionDeco(this.view, update.changes);
    // When the DOM nodes around the selection are moved to another
    // parent, Chrome sometimes reports a different selection through
    // getSelection than the one that it actually shows to the user.
    // This forces a selection update when lines are joined to work
    // around that. Issue #54
    if ((browser.ie || browser.chrome) && !this.compositionDeco.size && update && update.state.doc.lines != update.startState.doc.lines) this.forceSelection = true;
    let prevDeco = this.decorations,
      deco = this.updateDeco();
    let decoDiff = findChangedDeco(prevDeco, deco, update.changes);
    changedRanges = ChangedRange.extendWithRanges(changedRanges, decoDiff);
    if (this.dirty == 0 /* Dirty.Not */ && changedRanges.length == 0) {
      return false;
    } else {
      this.updateInner(changedRanges, update.startState.doc.length);
      if (update.transactions.length) this.lastUpdate = Date.now();
      return true;
    }
  }
  // Used by update and the constructor do perform the actual DOM
  // update
  updateInner(changes, oldLength) {
    this.view.viewState.mustMeasureContent = true;
    this.updateChildren(changes, oldLength);
    let {
      observer
    } = this.view;
    observer.ignore(() => {
      // Lock the height during redrawing, since Chrome sometimes
      // messes with the scroll position during DOM mutation (though
      // no relayout is triggered and I cannot imagine how it can
      // recompute the scroll position without a layout)
      this.dom.style.height = this.view.viewState.contentHeight + "px";
      this.dom.style.flexBasis = this.minWidth ? this.minWidth + "px" : "";
      // Chrome will sometimes, when DOM mutations occur directly
      // around the selection, get confused and report a different
      // selection from the one it displays (issue #218). This tries
      // to detect that situation.
      let track = browser.chrome || browser.ios ? {
        node: observer.selectionRange.focusNode,
        written: false
      } : undefined;
      this.sync(this.view, track);
      this.dirty = 0 /* Dirty.Not */;
      if (track && (track.written || observer.selectionRange.focusNode != track.node)) this.forceSelection = true;
      this.dom.style.height = "";
    });
    let gaps = [];
    if (this.view.viewport.from || this.view.viewport.to < this.view.state.doc.length) for (let child of this.children) if (child instanceof BlockWidgetView && child.widget instanceof BlockGapWidget) gaps.push(child.dom);
    observer.updateGaps(gaps);
  }
  updateChildren(changes, oldLength) {
    let cursor = this.childCursor(oldLength);
    for (let i = changes.length - 1;; i--) {
      let next = i >= 0 ? changes[i] : null;
      if (!next) break;
      let {
        fromA,
        toA,
        fromB,
        toB
      } = next;
      let {
        content,
        breakAtStart,
        openStart,
        openEnd
      } = ContentBuilder.build(this.view.state.doc, fromB, toB, this.decorations, this.dynamicDecorationMap);
      let {
        i: toI,
        off: toOff
      } = cursor.findPos(toA, 1);
      let {
        i: fromI,
        off: fromOff
      } = cursor.findPos(fromA, -1);
      replaceRange(this, fromI, fromOff, toI, toOff, content, breakAtStart, openStart, openEnd);
    }
  }
  // Sync the DOM selection to this.state.selection
  updateSelection(mustRead = false, fromPointer = false) {
    if (mustRead || !this.view.observer.selectionRange.focusNode) this.view.observer.readSelectionRange();
    let activeElt = this.view.root.activeElement,
      focused = activeElt == this.dom;
    let selectionNotFocus = !focused && hasSelection(this.dom, this.view.observer.selectionRange) && !(activeElt && this.dom.contains(activeElt));
    if (!(focused || fromPointer || selectionNotFocus)) return;
    let force = this.forceSelection;
    this.forceSelection = false;
    let main = this.view.state.selection.main;
    // FIXME need to handle the case where the selection falls inside a block range
    let anchor = this.domAtPos(main.anchor);
    let head = main.empty ? anchor : this.domAtPos(main.head);
    // Always reset on Firefox when next to an uneditable node to
    // avoid invisible cursor bugs (#111)
    if (browser.gecko && main.empty && !this.compositionDeco.size && betweenUneditable(anchor)) {
      let dummy = document.createTextNode("");
      this.view.observer.ignore(() => anchor.node.insertBefore(dummy, anchor.node.childNodes[anchor.offset] || null));
      anchor = head = new DOMPos(dummy, 0);
      force = true;
    }
    let domSel = this.view.observer.selectionRange;
    // If the selection is already here, or in an equivalent position, don't touch it
    if (force || !domSel.focusNode || !isEquivalentPosition(anchor.node, anchor.offset, domSel.anchorNode, domSel.anchorOffset) || !isEquivalentPosition(head.node, head.offset, domSel.focusNode, domSel.focusOffset)) {
      this.view.observer.ignore(() => {
        // Chrome Android will hide the virtual keyboard when tapping
        // inside an uneditable node, and not bring it back when we
        // move the cursor to its proper position. This tries to
        // restore the keyboard by cycling focus.
        if (browser.android && browser.chrome && this.dom.contains(domSel.focusNode) && inUneditable(domSel.focusNode, this.dom)) {
          this.dom.blur();
          this.dom.focus({
            preventScroll: true
          });
        }
        let rawSel = getSelection(this.view.root);
        if (!rawSel) ;else if (main.empty) {
          // Work around https://bugzilla.mozilla.org/show_bug.cgi?id=1612076
          if (browser.gecko) {
            let nextTo = nextToUneditable(anchor.node, anchor.offset);
            if (nextTo && nextTo != (1 /* NextTo.Before */ | 2 /* NextTo.After */)) {
              let text = nearbyTextNode(anchor.node, anchor.offset, nextTo == 1 /* NextTo.Before */ ? 1 : -1);
              if (text) anchor = new DOMPos(text, nextTo == 1 /* NextTo.Before */ ? 0 : text.nodeValue.length);
            }
          }
          rawSel.collapse(anchor.node, anchor.offset);
          if (main.bidiLevel != null && domSel.cursorBidiLevel != null) domSel.cursorBidiLevel = main.bidiLevel;
        } else if (rawSel.extend) {
          // Selection.extend can be used to create an 'inverted' selection
          // (one where the focus is before the anchor), but not all
          // browsers support it yet.
          rawSel.collapse(anchor.node, anchor.offset);
          // Safari will ignore the call above when the editor is
          // hidden, and then raise an error on the call to extend
          // (#940).
          try {
            rawSel.extend(head.node, head.offset);
          } catch (_) {}
        } else {
          // Primitive (IE) way
          let range = document.createRange();
          if (main.anchor > main.head) [anchor, head] = [head, anchor];
          range.setEnd(head.node, head.offset);
          range.setStart(anchor.node, anchor.offset);
          rawSel.removeAllRanges();
          rawSel.addRange(range);
        }
        if (selectionNotFocus && this.view.root.activeElement == this.dom) {
          this.dom.blur();
          if (activeElt) activeElt.focus();
        }
      });
      this.view.observer.setSelectionRange(anchor, head);
    }
    this.impreciseAnchor = anchor.precise ? null : new DOMPos(domSel.anchorNode, domSel.anchorOffset);
    this.impreciseHead = head.precise ? null : new DOMPos(domSel.focusNode, domSel.focusOffset);
  }
  enforceCursorAssoc() {
    if (this.compositionDeco.size) return;
    let {
        view
      } = this,
      cursor = view.state.selection.main;
    let sel = getSelection(view.root);
    let {
      anchorNode,
      anchorOffset
    } = view.observer.selectionRange;
    if (!sel || !cursor.empty || !cursor.assoc || !sel.modify) return;
    let line = LineView.find(this, cursor.head);
    if (!line) return;
    let lineStart = line.posAtStart;
    if (cursor.head == lineStart || cursor.head == lineStart + line.length) return;
    let before = this.coordsAt(cursor.head, -1),
      after = this.coordsAt(cursor.head, 1);
    if (!before || !after || before.bottom > after.top) return;
    let dom = this.domAtPos(cursor.head + cursor.assoc);
    sel.collapse(dom.node, dom.offset);
    sel.modify("move", cursor.assoc < 0 ? "forward" : "backward", "lineboundary");
    // This can go wrong in corner cases like single-character lines,
    // so check and reset if necessary.
    view.observer.readSelectionRange();
    let newRange = view.observer.selectionRange;
    if (view.docView.posFromDOM(newRange.anchorNode, newRange.anchorOffset) != cursor.from) sel.collapse(anchorNode, anchorOffset);
  }
  nearest(dom) {
    for (let cur = dom; cur;) {
      let domView = ContentView.get(cur);
      if (domView && domView.rootView == this) return domView;
      cur = cur.parentNode;
    }
    return null;
  }
  posFromDOM(node, offset) {
    let view = this.nearest(node);
    if (!view) throw new RangeError("Trying to find position for a DOM position outside of the document");
    return view.localPosFromDOM(node, offset) + view.posAtStart;
  }
  domAtPos(pos) {
    let {
      i,
      off
    } = this.childCursor().findPos(pos, -1);
    for (; i < this.children.length - 1;) {
      let child = this.children[i];
      if (off < child.length || child instanceof LineView) break;
      i++;
      off = 0;
    }
    return this.children[i].domAtPos(off);
  }
  coordsAt(pos, side) {
    for (let off = this.length, i = this.children.length - 1;; i--) {
      let child = this.children[i],
        start = off - child.breakAfter - child.length;
      if (pos > start || pos == start && child.type != BlockType.WidgetBefore && child.type != BlockType.WidgetAfter && (!i || side == 2 || this.children[i - 1].breakAfter || this.children[i - 1].type == BlockType.WidgetBefore && side > -2)) return child.coordsAt(pos - start, side);
      off = start;
    }
  }
  measureVisibleLineHeights(viewport) {
    let result = [],
      {
        from,
        to
      } = viewport;
    let contentWidth = this.view.contentDOM.clientWidth;
    let isWider = contentWidth > Math.max(this.view.scrollDOM.clientWidth, this.minWidth) + 1;
    let widest = -1,
      ltr = this.view.textDirection == Direction.LTR;
    for (let pos = 0, i = 0; i < this.children.length; i++) {
      let child = this.children[i],
        end = pos + child.length;
      if (end > to) break;
      if (pos >= from) {
        let childRect = child.dom.getBoundingClientRect();
        result.push(childRect.height);
        if (isWider) {
          let last = child.dom.lastChild;
          let rects = last ? clientRectsFor(last) : [];
          if (rects.length) {
            let rect = rects[rects.length - 1];
            let width = ltr ? rect.right - childRect.left : childRect.right - rect.left;
            if (width > widest) {
              widest = width;
              this.minWidth = contentWidth;
              this.minWidthFrom = pos;
              this.minWidthTo = end;
            }
          }
        }
      }
      pos = end + child.breakAfter;
    }
    return result;
  }
  textDirectionAt(pos) {
    let {
      i
    } = this.childPos(pos, 1);
    return getComputedStyle(this.children[i].dom).direction == "rtl" ? Direction.RTL : Direction.LTR;
  }
  measureTextSize() {
    for (let child of this.children) {
      if (child instanceof LineView) {
        let measure = child.measureTextSize();
        if (measure) return measure;
      }
    }
    // If no workable line exists, force a layout of a measurable element
    let dummy = document.createElement("div"),
      lineHeight,
      charWidth,
      textHeight;
    dummy.className = "cm-line";
    dummy.style.width = "99999px";
    dummy.textContent = "abc def ghi jkl mno pqr stu";
    this.view.observer.ignore(() => {
      this.dom.appendChild(dummy);
      let rect = clientRectsFor(dummy.firstChild)[0];
      lineHeight = dummy.getBoundingClientRect().height;
      charWidth = rect ? rect.width / 27 : 7;
      textHeight = rect ? rect.height : lineHeight;
      dummy.remove();
    });
    return {
      lineHeight,
      charWidth,
      textHeight
    };
  }
  childCursor(pos = this.length) {
    // Move back to start of last element when possible, so that
    // `ChildCursor.findPos` doesn't have to deal with the edge case
    // of being after the last element.
    let i = this.children.length;
    if (i) pos -= this.children[--i].length;
    return new ChildCursor(this.children, pos, i);
  }
  computeBlockGapDeco() {
    let deco = [],
      vs = this.view.viewState;
    for (let pos = 0, i = 0;; i++) {
      let next = i == vs.viewports.length ? null : vs.viewports[i];
      let end = next ? next.from - 1 : this.length;
      if (end > pos) {
        let height = vs.lineBlockAt(end).bottom - vs.lineBlockAt(pos).top;
        deco.push(Decoration.replace({
          widget: new BlockGapWidget(height),
          block: true,
          inclusive: true,
          isBlockGap: true
        }).range(pos, end));
      }
      if (!next) break;
      pos = next.to + 1;
    }
    return Decoration.set(deco);
  }
  updateDeco() {
    let allDeco = this.view.state.facet(decorations).map((d, i) => {
      let dynamic = this.dynamicDecorationMap[i] = typeof d == "function";
      return dynamic ? d(this.view) : d;
    });
    for (let i = allDeco.length; i < allDeco.length + 3; i++) this.dynamicDecorationMap[i] = false;
    return this.decorations = [...allDeco, this.compositionDeco, this.computeBlockGapDeco(), this.view.viewState.lineGapDeco];
  }
  scrollIntoView(target) {
    let {
      range
    } = target;
    let rect = this.coordsAt(range.head, range.empty ? range.assoc : range.head > range.anchor ? -1 : 1),
      other;
    if (!rect) return;
    if (!range.empty && (other = this.coordsAt(range.anchor, range.anchor > range.head ? -1 : 1))) rect = {
      left: Math.min(rect.left, other.left),
      top: Math.min(rect.top, other.top),
      right: Math.max(rect.right, other.right),
      bottom: Math.max(rect.bottom, other.bottom)
    };
    let mLeft = 0,
      mRight = 0,
      mTop = 0,
      mBottom = 0;
    for (let margins of this.view.state.facet(scrollMargins).map(f => f(this.view))) if (margins) {
      let {
        left,
        right,
        top,
        bottom
      } = margins;
      if (left != null) mLeft = Math.max(mLeft, left);
      if (right != null) mRight = Math.max(mRight, right);
      if (top != null) mTop = Math.max(mTop, top);
      if (bottom != null) mBottom = Math.max(mBottom, bottom);
    }
    let targetRect = {
      left: rect.left - mLeft,
      top: rect.top - mTop,
      right: rect.right + mRight,
      bottom: rect.bottom + mBottom
    };
    scrollRectIntoView(this.view.scrollDOM, targetRect, range.head < range.anchor ? -1 : 1, target.x, target.y, target.xMargin, target.yMargin, this.view.textDirection == Direction.LTR);
  }
}
function betweenUneditable(pos) {
  return pos.node.nodeType == 1 && pos.node.firstChild && (pos.offset == 0 || pos.node.childNodes[pos.offset - 1].contentEditable == "false") && (pos.offset == pos.node.childNodes.length || pos.node.childNodes[pos.offset].contentEditable == "false");
}
class BlockGapWidget extends WidgetType {
  constructor(height) {
    super();
    this.height = height;
  }
  toDOM() {
    let elt = document.createElement("div");
    this.updateDOM(elt);
    return elt;
  }
  eq(other) {
    return other.height == this.height;
  }
  updateDOM(elt) {
    elt.style.height = this.height + "px";
    return true;
  }
  get estimatedHeight() {
    return this.height;
  }
}
function compositionSurroundingNode(view) {
  let sel = view.observer.selectionRange;
  let textNode = sel.focusNode && nearbyTextNode(sel.focusNode, sel.focusOffset, 0);
  if (!textNode) return null;
  let cView = view.docView.nearest(textNode);
  if (!cView) return null;
  if (cView instanceof LineView) {
    let topNode = textNode;
    while (topNode.parentNode != cView.dom) topNode = topNode.parentNode;
    let prev = topNode.previousSibling;
    while (prev && !ContentView.get(prev)) prev = prev.previousSibling;
    let pos = prev ? ContentView.get(prev).posAtEnd : cView.posAtStart;
    return {
      from: pos,
      to: pos,
      node: topNode,
      text: textNode
    };
  } else {
    for (;;) {
      let {
        parent
      } = cView;
      if (!parent) return null;
      if (parent instanceof LineView) break;
      cView = parent;
    }
    let from = cView.posAtStart;
    return {
      from,
      to: from + cView.length,
      node: cView.dom,
      text: textNode
    };
  }
}
function computeCompositionDeco(view, changes) {
  let surrounding = compositionSurroundingNode(view);
  if (!surrounding) return Decoration.none;
  let {
    from,
    to,
    node,
    text: textNode
  } = surrounding;
  let newFrom = changes.mapPos(from, 1),
    newTo = Math.max(newFrom, changes.mapPos(to, -1));
  let {
      state
    } = view,
    text = node.nodeType == 3 ? node.nodeValue : new DOMReader([], state).readRange(node.firstChild, null).text;
  if (newTo - newFrom < text.length) {
    if (state.doc.sliceString(newFrom, Math.min(state.doc.length, newFrom + text.length), LineBreakPlaceholder) == text) newTo = newFrom + text.length;else if (state.doc.sliceString(Math.max(0, newTo - text.length), newTo, LineBreakPlaceholder) == text) newFrom = newTo - text.length;else return Decoration.none;
  } else if (state.doc.sliceString(newFrom, newTo, LineBreakPlaceholder) != text) {
    return Decoration.none;
  }
  let topView = ContentView.get(node);
  if (topView instanceof CompositionView) topView = topView.widget.topView;else if (topView) topView.parent = null;
  return Decoration.set(Decoration.replace({
    widget: new CompositionWidget(node, textNode, topView),
    inclusive: true
  }).range(newFrom, newTo));
}
class CompositionWidget extends WidgetType {
  constructor(top, text, topView) {
    super();
    this.top = top;
    this.text = text;
    this.topView = topView;
  }
  eq(other) {
    return this.top == other.top && this.text == other.text;
  }
  toDOM() {
    return this.top;
  }
  ignoreEvent() {
    return false;
  }
  get customView() {
    return CompositionView;
  }
}
function nearbyTextNode(startNode, startOffset, side) {
  if (side <= 0) for (let node = startNode, offset = startOffset;;) {
    if (node.nodeType == 3) return node;
    if (node.nodeType == 1 && offset > 0) {
      node = node.childNodes[offset - 1];
      offset = maxOffset(node);
    } else {
      break;
    }
  }
  if (side >= 0) for (let node = startNode, offset = startOffset;;) {
    if (node.nodeType == 3) return node;
    if (node.nodeType == 1 && offset < node.childNodes.length && side >= 0) {
      node = node.childNodes[offset];
      offset = 0;
    } else {
      break;
    }
  }
  return null;
}
function nextToUneditable(node, offset) {
  if (node.nodeType != 1) return 0;
  return (offset && node.childNodes[offset - 1].contentEditable == "false" ? 1 /* NextTo.Before */ : 0) | (offset < node.childNodes.length && node.childNodes[offset].contentEditable == "false" ? 2 /* NextTo.After */ : 0);
}
class DecorationComparator$1 {
  constructor() {
    this.changes = [];
  }
  compareRange(from, to) {
    addRange(from, to, this.changes);
  }
  comparePoint(from, to) {
    addRange(from, to, this.changes);
  }
}
function findChangedDeco(a, b, diff) {
  let comp = new DecorationComparator$1();
  _state.RangeSet.compare(a, b, diff, comp);
  return comp.changes;
}
function inUneditable(node, inside) {
  for (let cur = node; cur && cur != inside; cur = cur.assignedSlot || cur.parentNode) {
    if (cur.nodeType == 1 && cur.contentEditable == 'false') {
      return true;
    }
  }
  return false;
}
function groupAt(state, pos, bias = 1) {
  let categorize = state.charCategorizer(pos);
  let line = state.doc.lineAt(pos),
    linePos = pos - line.from;
  if (line.length == 0) return _state.EditorSelection.cursor(pos);
  if (linePos == 0) bias = 1;else if (linePos == line.length) bias = -1;
  let from = linePos,
    to = linePos;
  if (bias < 0) from = (0, _state.findClusterBreak)(line.text, linePos, false);else to = (0, _state.findClusterBreak)(line.text, linePos);
  let cat = categorize(line.text.slice(from, to));
  while (from > 0) {
    let prev = (0, _state.findClusterBreak)(line.text, from, false);
    if (categorize(line.text.slice(prev, from)) != cat) break;
    from = prev;
  }
  while (to < line.length) {
    let next = (0, _state.findClusterBreak)(line.text, to);
    if (categorize(line.text.slice(to, next)) != cat) break;
    to = next;
  }
  return _state.EditorSelection.range(from + line.from, to + line.from);
}
// Search the DOM for the {node, offset} position closest to the given
// coordinates. Very inefficient and crude, but can usually be avoided
// by calling caret(Position|Range)FromPoint instead.
function getdx(x, rect) {
  return rect.left > x ? rect.left - x : Math.max(0, x - rect.right);
}
function getdy(y, rect) {
  return rect.top > y ? rect.top - y : Math.max(0, y - rect.bottom);
}
function yOverlap(a, b) {
  return a.top < b.bottom - 1 && a.bottom > b.top + 1;
}
function upTop(rect, top) {
  return top < rect.top ? {
    top,
    left: rect.left,
    right: rect.right,
    bottom: rect.bottom
  } : rect;
}
function upBot(rect, bottom) {
  return bottom > rect.bottom ? {
    top: rect.top,
    left: rect.left,
    right: rect.right,
    bottom
  } : rect;
}
function domPosAtCoords(parent, x, y) {
  let closest,
    closestRect,
    closestX,
    closestY,
    closestOverlap = false;
  let above, below, aboveRect, belowRect;
  for (let child = parent.firstChild; child; child = child.nextSibling) {
    let rects = clientRectsFor(child);
    for (let i = 0; i < rects.length; i++) {
      let rect = rects[i];
      if (closestRect && yOverlap(closestRect, rect)) rect = upTop(upBot(rect, closestRect.bottom), closestRect.top);
      let dx = getdx(x, rect),
        dy = getdy(y, rect);
      if (dx == 0 && dy == 0) return child.nodeType == 3 ? domPosInText(child, x, y) : domPosAtCoords(child, x, y);
      if (!closest || closestY > dy || closestY == dy && closestX > dx) {
        closest = child;
        closestRect = rect;
        closestX = dx;
        closestY = dy;
        let side = dy ? y < rect.top ? -1 : 1 : dx ? x < rect.left ? -1 : 1 : 0;
        closestOverlap = !side || (side > 0 ? i < rects.length - 1 : i > 0);
      }
      if (dx == 0) {
        if (y > rect.bottom && (!aboveRect || aboveRect.bottom < rect.bottom)) {
          above = child;
          aboveRect = rect;
        } else if (y < rect.top && (!belowRect || belowRect.top > rect.top)) {
          below = child;
          belowRect = rect;
        }
      } else if (aboveRect && yOverlap(aboveRect, rect)) {
        aboveRect = upBot(aboveRect, rect.bottom);
      } else if (belowRect && yOverlap(belowRect, rect)) {
        belowRect = upTop(belowRect, rect.top);
      }
    }
  }
  if (aboveRect && aboveRect.bottom >= y) {
    closest = above;
    closestRect = aboveRect;
  } else if (belowRect && belowRect.top <= y) {
    closest = below;
    closestRect = belowRect;
  }
  if (!closest) return {
    node: parent,
    offset: 0
  };
  let clipX = Math.max(closestRect.left, Math.min(closestRect.right, x));
  if (closest.nodeType == 3) return domPosInText(closest, clipX, y);
  if (closestOverlap && closest.contentEditable != "false") return domPosAtCoords(closest, clipX, y);
  let offset = Array.prototype.indexOf.call(parent.childNodes, closest) + (x >= (closestRect.left + closestRect.right) / 2 ? 1 : 0);
  return {
    node: parent,
    offset
  };
}
function domPosInText(node, x, y) {
  let len = node.nodeValue.length;
  let closestOffset = -1,
    closestDY = 1e9,
    generalSide = 0;
  for (let i = 0; i < len; i++) {
    let rects = textRange(node, i, i + 1).getClientRects();
    for (let j = 0; j < rects.length; j++) {
      let rect = rects[j];
      if (rect.top == rect.bottom) continue;
      if (!generalSide) generalSide = x - rect.left;
      let dy = (rect.top > y ? rect.top - y : y - rect.bottom) - 1;
      if (rect.left - 1 <= x && rect.right + 1 >= x && dy < closestDY) {
        let right = x >= (rect.left + rect.right) / 2,
          after = right;
        if (browser.chrome || browser.gecko) {
          // Check for RTL on browsers that support getting client
          // rects for empty ranges.
          let rectBefore = textRange(node, i).getBoundingClientRect();
          if (rectBefore.left == rect.right) after = !right;
        }
        if (dy <= 0) return {
          node,
          offset: i + (after ? 1 : 0)
        };
        closestOffset = i + (after ? 1 : 0);
        closestDY = dy;
      }
    }
  }
  return {
    node,
    offset: closestOffset > -1 ? closestOffset : generalSide > 0 ? node.nodeValue.length : 0
  };
}
function posAtCoords(view, coords, precise, bias = -1) {
  var _a, _b;
  let content = view.contentDOM.getBoundingClientRect(),
    docTop = content.top + view.viewState.paddingTop;
  let block,
    {
      docHeight
    } = view.viewState;
  let {
      x,
      y
    } = coords,
    yOffset = y - docTop;
  if (yOffset < 0) return 0;
  if (yOffset > docHeight) return view.state.doc.length;
  // Scan for a text block near the queried y position
  for (let halfLine = view.defaultLineHeight / 2, bounced = false;;) {
    block = view.elementAtHeight(yOffset);
    if (block.type == BlockType.Text) break;
    for (;;) {
      // Move the y position out of this block
      yOffset = bias > 0 ? block.bottom + halfLine : block.top - halfLine;
      if (yOffset >= 0 && yOffset <= docHeight) break;
      // If the document consists entirely of replaced widgets, we
      // won't find a text block, so return 0
      if (bounced) return precise ? null : 0;
      bounced = true;
      bias = -bias;
    }
  }
  y = docTop + yOffset;
  let lineStart = block.from;
  // If this is outside of the rendered viewport, we can't determine a position
  if (lineStart < view.viewport.from) return view.viewport.from == 0 ? 0 : precise ? null : posAtCoordsImprecise(view, content, block, x, y);
  if (lineStart > view.viewport.to) return view.viewport.to == view.state.doc.length ? view.state.doc.length : precise ? null : posAtCoordsImprecise(view, content, block, x, y);
  // Prefer ShadowRootOrDocument.elementFromPoint if present, fall back to document if not
  let doc = view.dom.ownerDocument;
  let root = view.root.elementFromPoint ? view.root : doc;
  let element = root.elementFromPoint(x, y);
  if (element && !view.contentDOM.contains(element)) element = null;
  // If the element is unexpected, clip x at the sides of the content area and try again
  if (!element) {
    x = Math.max(content.left + 1, Math.min(content.right - 1, x));
    element = root.elementFromPoint(x, y);
    if (element && !view.contentDOM.contains(element)) element = null;
  }
  // There's visible editor content under the point, so we can try
  // using caret(Position|Range)FromPoint as a shortcut
  let node,
    offset = -1;
  if (element && ((_a = view.docView.nearest(element)) === null || _a === void 0 ? void 0 : _a.isEditable) != false) {
    if (doc.caretPositionFromPoint) {
      let pos = doc.caretPositionFromPoint(x, y);
      if (pos) ({
        offsetNode: node,
        offset
      } = pos);
    } else if (doc.caretRangeFromPoint) {
      let range = doc.caretRangeFromPoint(x, y);
      if (range) {
        ({
          startContainer: node,
          startOffset: offset
        } = range);
        if (!view.contentDOM.contains(node) || browser.safari && isSuspiciousSafariCaretResult(node, offset, x) || browser.chrome && isSuspiciousChromeCaretResult(node, offset, x)) node = undefined;
      }
    }
  }
  // No luck, do our own (potentially expensive) search
  if (!node || !view.docView.dom.contains(node)) {
    let line = LineView.find(view.docView, lineStart);
    if (!line) return yOffset > block.top + block.height / 2 ? block.to : block.from;
    ({
      node,
      offset
    } = domPosAtCoords(line.dom, x, y));
  }
  let nearest = view.docView.nearest(node);
  if (!nearest) return null;
  if (nearest.isWidget && ((_b = nearest.dom) === null || _b === void 0 ? void 0 : _b.nodeType) == 1) {
    let rect = nearest.dom.getBoundingClientRect();
    return coords.y < rect.top || coords.y <= rect.bottom && coords.x <= (rect.left + rect.right) / 2 ? nearest.posAtStart : nearest.posAtEnd;
  } else {
    return nearest.localPosFromDOM(node, offset) + nearest.posAtStart;
  }
}
function posAtCoordsImprecise(view, contentRect, block, x, y) {
  let into = Math.round((x - contentRect.left) * view.defaultCharacterWidth);
  if (view.lineWrapping && block.height > view.defaultLineHeight * 1.5) {
    let line = Math.floor((y - block.top) / view.defaultLineHeight);
    into += line * view.viewState.heightOracle.lineLength;
  }
  let content = view.state.sliceDoc(block.from, block.to);
  return block.from + (0, _state.findColumn)(content, into, view.state.tabSize);
}
// In case of a high line height, Safari's caretRangeFromPoint treats
// the space between lines as belonging to the last character of the
// line before. This is used to detect such a result so that it can be
// ignored (issue #401).
function isSuspiciousSafariCaretResult(node, offset, x) {
  let len;
  if (node.nodeType != 3 || offset != (len = node.nodeValue.length)) return false;
  for (let next = node.nextSibling; next; next = next.nextSibling) if (next.nodeType != 1 || next.nodeName != "BR") return false;
  return textRange(node, len - 1, len).getBoundingClientRect().left > x;
}
// Chrome will move positions between lines to the start of the next line
function isSuspiciousChromeCaretResult(node, offset, x) {
  if (offset != 0) return false;
  for (let cur = node;;) {
    let parent = cur.parentNode;
    if (!parent || parent.nodeType != 1 || parent.firstChild != cur) return false;
    if (parent.classList.contains("cm-line")) break;
    cur = parent;
  }
  let rect = node.nodeType == 1 ? node.getBoundingClientRect() : textRange(node, 0, Math.max(node.nodeValue.length, 1)).getBoundingClientRect();
  return x - rect.left > 5;
}
function moveToLineBoundary(view, start, forward, includeWrap) {
  let line = view.state.doc.lineAt(start.head);
  let coords = !includeWrap || !view.lineWrapping ? null : view.coordsAtPos(start.assoc < 0 && start.head > line.from ? start.head - 1 : start.head);
  if (coords) {
    let editorRect = view.dom.getBoundingClientRect();
    let direction = view.textDirectionAt(line.from);
    let pos = view.posAtCoords({
      x: forward == (direction == Direction.LTR) ? editorRect.right - 1 : editorRect.left + 1,
      y: (coords.top + coords.bottom) / 2
    });
    if (pos != null) return _state.EditorSelection.cursor(pos, forward ? -1 : 1);
  }
  let lineView = LineView.find(view.docView, start.head);
  let end = lineView ? forward ? lineView.posAtEnd : lineView.posAtStart : forward ? line.to : line.from;
  return _state.EditorSelection.cursor(end, forward ? -1 : 1);
}
function moveByChar(view, start, forward, by) {
  let line = view.state.doc.lineAt(start.head),
    spans = view.bidiSpans(line);
  let direction = view.textDirectionAt(line.from);
  for (let cur = start, check = null;;) {
    let next = moveVisually(line, spans, direction, cur, forward),
      char = movedOver;
    if (!next) {
      if (line.number == (forward ? view.state.doc.lines : 1)) return cur;
      char = "\n";
      line = view.state.doc.line(line.number + (forward ? 1 : -1));
      spans = view.bidiSpans(line);
      next = _state.EditorSelection.cursor(forward ? line.from : line.to);
    }
    if (!check) {
      if (!by) return next;
      check = by(char);
    } else if (!check(char)) {
      return cur;
    }
    cur = next;
  }
}
function byGroup(view, pos, start) {
  let categorize = view.state.charCategorizer(pos);
  let cat = categorize(start);
  return next => {
    let nextCat = categorize(next);
    if (cat == _state.CharCategory.Space) cat = nextCat;
    return cat == nextCat;
  };
}
function moveVertically(view, start, forward, distance) {
  let startPos = start.head,
    dir = forward ? 1 : -1;
  if (startPos == (forward ? view.state.doc.length : 0)) return _state.EditorSelection.cursor(startPos, start.assoc);
  let goal = start.goalColumn,
    startY;
  let rect = view.contentDOM.getBoundingClientRect();
  let startCoords = view.coordsAtPos(startPos),
    docTop = view.documentTop;
  if (startCoords) {
    if (goal == null) goal = startCoords.left - rect.left;
    startY = dir < 0 ? startCoords.top : startCoords.bottom;
  } else {
    let line = view.viewState.lineBlockAt(startPos);
    if (goal == null) goal = Math.min(rect.right - rect.left, view.defaultCharacterWidth * (startPos - line.from));
    startY = (dir < 0 ? line.top : line.bottom) + docTop;
  }
  let resolvedGoal = rect.left + goal;
  let dist = distance !== null && distance !== void 0 ? distance : view.defaultLineHeight >> 1;
  for (let extra = 0;; extra += 10) {
    let curY = startY + (dist + extra) * dir;
    let pos = posAtCoords(view, {
      x: resolvedGoal,
      y: curY
    }, false, dir);
    if (curY < rect.top || curY > rect.bottom || (dir < 0 ? pos < startPos : pos > startPos)) return _state.EditorSelection.cursor(pos, start.assoc, undefined, goal);
  }
}
function skipAtoms(view, oldPos, pos) {
  let atoms = view.state.facet(atomicRanges).map(f => f(view));
  for (;;) {
    let moved = false;
    for (let set of atoms) {
      set.between(pos.from - 1, pos.from + 1, (from, to, value) => {
        if (pos.from > from && pos.from < to) {
          pos = oldPos.head > pos.from ? _state.EditorSelection.cursor(from, 1) : _state.EditorSelection.cursor(to, -1);
          moved = true;
        }
      });
    }
    if (!moved) return pos;
  }
}

// This will also be where dragging info and such goes
class InputState {
  constructor(view) {
    this.lastKeyCode = 0;
    this.lastKeyTime = 0;
    this.lastTouchTime = 0;
    this.lastFocusTime = 0;
    this.lastScrollTop = 0;
    this.lastScrollLeft = 0;
    this.chromeScrollHack = -1;
    // On iOS, some keys need to have their default behavior happen
    // (after which we retroactively handle them and reset the DOM) to
    // avoid messing up the virtual keyboard state.
    this.pendingIOSKey = undefined;
    this.lastSelectionOrigin = null;
    this.lastSelectionTime = 0;
    this.lastEscPress = 0;
    this.lastContextMenu = 0;
    this.scrollHandlers = [];
    this.registeredEvents = [];
    this.customHandlers = [];
    // -1 means not in a composition. Otherwise, this counts the number
    // of changes made during the composition. The count is used to
    // avoid treating the start state of the composition, before any
    // changes have been made, as part of the composition.
    this.composing = -1;
    // Tracks whether the next change should be marked as starting the
    // composition (null means no composition, true means next is the
    // first, false means first has already been marked for this
    // composition)
    this.compositionFirstChange = null;
    // End time of the previous composition
    this.compositionEndedAt = 0;
    // Used in a kludge to detect when an Enter keypress should be
    // considered part of the composition on Safari, which fires events
    // in the wrong order
    this.compositionPendingKey = false;
    // Used to categorize changes as part of a composition, even when
    // the mutation events fire shortly after the compositionend event
    this.compositionPendingChange = false;
    this.mouseSelection = null;
    let handleEvent = (handler, event) => {
      if (this.ignoreDuringComposition(event)) return;
      if (event.type == "keydown" && this.keydown(view, event)) return;
      if (this.mustFlushObserver(event)) view.observer.forceFlush();
      if (this.runCustomHandlers(event.type, view, event)) event.preventDefault();else handler(view, event);
    };
    for (let type in handlers) {
      let handler = handlers[type];
      view.contentDOM.addEventListener(type, event => {
        if (eventBelongsToEditor(view, event)) handleEvent(handler, event);
      }, handlerOptions[type]);
      this.registeredEvents.push(type);
    }
    view.scrollDOM.addEventListener("mousedown", event => {
      if (event.target == view.scrollDOM && event.clientY > view.contentDOM.getBoundingClientRect().bottom) {
        handleEvent(handlers.mousedown, event);
        if (!event.defaultPrevented && event.button == 2) {
          // Make sure the content covers the entire scroller height, in order
          // to catch a native context menu click below it
          let start = view.contentDOM.style.minHeight;
          view.contentDOM.style.minHeight = "100%";
          setTimeout(() => view.contentDOM.style.minHeight = start, 200);
        }
      }
    });
    if (browser.chrome && browser.chrome_version == 102) {
      // FIXME remove at some point
      // On Chrome 102, viewport updates somehow stop wheel-based
      // scrolling. Turning off pointer events during the scroll seems
      // to avoid the issue.
      view.scrollDOM.addEventListener("wheel", () => {
        if (this.chromeScrollHack < 0) view.contentDOM.style.pointerEvents = "none";else window.clearTimeout(this.chromeScrollHack);
        this.chromeScrollHack = setTimeout(() => {
          this.chromeScrollHack = -1;
          view.contentDOM.style.pointerEvents = "";
        }, 100);
      }, {
        passive: true
      });
    }
    this.notifiedFocused = view.hasFocus;
    // On Safari adding an input event handler somehow prevents an
    // issue where the composition vanishes when you press enter.
    if (browser.safari) view.contentDOM.addEventListener("input", () => null);
  }
  setSelectionOrigin(origin) {
    this.lastSelectionOrigin = origin;
    this.lastSelectionTime = Date.now();
  }
  ensureHandlers(view, plugins) {
    var _a;
    let handlers;
    this.customHandlers = [];
    for (let plugin of plugins) if (handlers = (_a = plugin.update(view).spec) === null || _a === void 0 ? void 0 : _a.domEventHandlers) {
      this.customHandlers.push({
        plugin: plugin.value,
        handlers
      });
      for (let type in handlers) if (this.registeredEvents.indexOf(type) < 0 && type != "scroll") {
        this.registeredEvents.push(type);
        view.contentDOM.addEventListener(type, event => {
          if (!eventBelongsToEditor(view, event)) return;
          if (this.runCustomHandlers(type, view, event)) event.preventDefault();
        });
      }
    }
  }
  runCustomHandlers(type, view, event) {
    for (let set of this.customHandlers) {
      let handler = set.handlers[type];
      if (handler) {
        try {
          if (handler.call(set.plugin, event, view) || event.defaultPrevented) return true;
        } catch (e) {
          logException(view.state, e);
        }
      }
    }
    return false;
  }
  runScrollHandlers(view, event) {
    this.lastScrollTop = view.scrollDOM.scrollTop;
    this.lastScrollLeft = view.scrollDOM.scrollLeft;
    for (let set of this.customHandlers) {
      let handler = set.handlers.scroll;
      if (handler) {
        try {
          handler.call(set.plugin, event, view);
        } catch (e) {
          logException(view.state, e);
        }
      }
    }
  }
  keydown(view, event) {
    // Must always run, even if a custom handler handled the event
    this.lastKeyCode = event.keyCode;
    this.lastKeyTime = Date.now();
    if (event.keyCode == 9 && Date.now() < this.lastEscPress + 2000) return true;
    if (event.keyCode != 27 && modifierCodes.indexOf(event.keyCode) < 0) view.inputState.lastEscPress = 0;
    // Chrome for Android usually doesn't fire proper key events, but
    // occasionally does, usually surrounded by a bunch of complicated
    // composition changes. When an enter or backspace key event is
    // seen, hold off on handling DOM events for a bit, and then
    // dispatch it.
    if (browser.android && browser.chrome && !event.synthetic && (event.keyCode == 13 || event.keyCode == 8)) {
      view.observer.delayAndroidKey(event.key, event.keyCode);
      return true;
    }
    // Prevent the default behavior of Enter on iOS makes the
    // virtual keyboard get stuck in the wrong (lowercase)
    // state. So we let it go through, and then, in
    // applyDOMChange, notify key handlers of it and reset to
    // the state they produce.
    let pending;
    if (browser.ios && !event.synthetic && !event.altKey && !event.metaKey && ((pending = PendingKeys.find(key => key.keyCode == event.keyCode)) && !event.ctrlKey || EmacsyPendingKeys.indexOf(event.key) > -1 && event.ctrlKey && !event.shiftKey)) {
      this.pendingIOSKey = pending || event;
      setTimeout(() => this.flushIOSKey(view), 250);
      return true;
    }
    return false;
  }
  flushIOSKey(view) {
    let key = this.pendingIOSKey;
    if (!key) return false;
    this.pendingIOSKey = undefined;
    return dispatchKey(view.contentDOM, key.key, key.keyCode);
  }
  ignoreDuringComposition(event) {
    if (!/^key/.test(event.type)) return false;
    if (this.composing > 0) return true;
    // See https://www.stum.de/2016/06/24/handling-ime-events-in-javascript/.
    // On some input method editors (IMEs), the Enter key is used to
    // confirm character selection. On Safari, when Enter is pressed,
    // compositionend and keydown events are sometimes emitted in the
    // wrong order. The key event should still be ignored, even when
    // it happens after the compositionend event.
    if (browser.safari && !browser.ios && this.compositionPendingKey && Date.now() - this.compositionEndedAt < 100) {
      this.compositionPendingKey = false;
      return true;
    }
    return false;
  }
  mustFlushObserver(event) {
    return event.type == "keydown" && event.keyCode != 229;
  }
  startMouseSelection(mouseSelection) {
    if (this.mouseSelection) this.mouseSelection.destroy();
    this.mouseSelection = mouseSelection;
  }
  update(update) {
    if (this.mouseSelection) this.mouseSelection.update(update);
    if (update.transactions.length) this.lastKeyCode = this.lastSelectionTime = 0;
  }
  destroy() {
    if (this.mouseSelection) this.mouseSelection.destroy();
  }
}
const PendingKeys = [{
  key: "Backspace",
  keyCode: 8,
  inputType: "deleteContentBackward"
}, {
  key: "Enter",
  keyCode: 13,
  inputType: "insertParagraph"
}, {
  key: "Delete",
  keyCode: 46,
  inputType: "deleteContentForward"
}];
const EmacsyPendingKeys = "dthko";
// Key codes for modifier keys
const modifierCodes = [16, 17, 18, 20, 91, 92, 224, 225];
const dragScrollMargin = 6;
function dragScrollSpeed(dist) {
  return Math.max(0, dist) * 0.7 + 8;
}
class MouseSelection {
  constructor(view, startEvent, style, mustSelect) {
    this.view = view;
    this.style = style;
    this.mustSelect = mustSelect;
    this.scrollSpeed = {
      x: 0,
      y: 0
    };
    this.scrolling = -1;
    this.lastEvent = startEvent;
    this.scrollParent = scrollableParent(view.contentDOM);
    let doc = view.contentDOM.ownerDocument;
    doc.addEventListener("mousemove", this.move = this.move.bind(this));
    doc.addEventListener("mouseup", this.up = this.up.bind(this));
    this.extend = startEvent.shiftKey;
    this.multiple = view.state.facet(_state.EditorState.allowMultipleSelections) && addsSelectionRange(view, startEvent);
    this.dragMove = dragMovesSelection(view, startEvent);
    this.dragging = isInPrimarySelection(view, startEvent) && getClickType(startEvent) == 1 ? null : false;
  }
  start(event) {
    // When clicking outside of the selection, immediately apply the
    // effect of starting the selection
    if (this.dragging === false) {
      event.preventDefault();
      this.select(event);
    }
  }
  move(event) {
    var _a;
    if (event.buttons == 0) return this.destroy();
    if (this.dragging !== false) return;
    this.select(this.lastEvent = event);
    let sx = 0,
      sy = 0;
    let rect = ((_a = this.scrollParent) === null || _a === void 0 ? void 0 : _a.getBoundingClientRect()) || {
      left: 0,
      top: 0,
      right: this.view.win.innerWidth,
      bottom: this.view.win.innerHeight
    };
    if (event.clientX <= rect.left + dragScrollMargin) sx = -dragScrollSpeed(rect.left - event.clientX);else if (event.clientX >= rect.right - dragScrollMargin) sx = dragScrollSpeed(event.clientX - rect.right);
    if (event.clientY <= rect.top + dragScrollMargin) sy = -dragScrollSpeed(rect.top - event.clientY);else if (event.clientY >= rect.bottom - dragScrollMargin) sy = dragScrollSpeed(event.clientY - rect.bottom);
    this.setScrollSpeed(sx, sy);
  }
  up(event) {
    if (this.dragging == null) this.select(this.lastEvent);
    if (!this.dragging) event.preventDefault();
    this.destroy();
  }
  destroy() {
    this.setScrollSpeed(0, 0);
    let doc = this.view.contentDOM.ownerDocument;
    doc.removeEventListener("mousemove", this.move);
    doc.removeEventListener("mouseup", this.up);
    this.view.inputState.mouseSelection = null;
  }
  setScrollSpeed(sx, sy) {
    this.scrollSpeed = {
      x: sx,
      y: sy
    };
    if (sx || sy) {
      if (this.scrolling < 0) this.scrolling = setInterval(() => this.scroll(), 50);
    } else if (this.scrolling > -1) {
      clearInterval(this.scrolling);
      this.scrolling = -1;
    }
  }
  scroll() {
    if (this.scrollParent) {
      this.scrollParent.scrollLeft += this.scrollSpeed.x;
      this.scrollParent.scrollTop += this.scrollSpeed.y;
    } else {
      this.view.win.scrollBy(this.scrollSpeed.x, this.scrollSpeed.y);
    }
    if (this.dragging === false) this.select(this.lastEvent);
  }
  select(event) {
    let selection = this.style.get(event, this.extend, this.multiple);
    if (this.mustSelect || !selection.eq(this.view.state.selection) || selection.main.assoc != this.view.state.selection.main.assoc) this.view.dispatch({
      selection,
      userEvent: "select.pointer"
    });
    this.mustSelect = false;
  }
  update(update) {
    if (update.docChanged && this.dragging) this.dragging = this.dragging.map(update.changes);
    if (this.style.update(update)) setTimeout(() => this.select(this.lastEvent), 20);
  }
}
function addsSelectionRange(view, event) {
  let facet = view.state.facet(clickAddsSelectionRange);
  return facet.length ? facet[0](event) : browser.mac ? event.metaKey : event.ctrlKey;
}
function dragMovesSelection(view, event) {
  let facet = view.state.facet(dragMovesSelection$1);
  return facet.length ? facet[0](event) : browser.mac ? !event.altKey : !event.ctrlKey;
}
function isInPrimarySelection(view, event) {
  let {
    main
  } = view.state.selection;
  if (main.empty) return false;
  // On boundary clicks, check whether the coordinates are inside the
  // selection's client rectangles
  let sel = getSelection(view.root);
  if (!sel || sel.rangeCount == 0) return true;
  let rects = sel.getRangeAt(0).getClientRects();
  for (let i = 0; i < rects.length; i++) {
    let rect = rects[i];
    if (rect.left <= event.clientX && rect.right >= event.clientX && rect.top <= event.clientY && rect.bottom >= event.clientY) return true;
  }
  return false;
}
function eventBelongsToEditor(view, event) {
  if (!event.bubbles) return true;
  if (event.defaultPrevented) return false;
  for (let node = event.target, cView; node != view.contentDOM; node = node.parentNode) if (!node || node.nodeType == 11 || (cView = ContentView.get(node)) && cView.ignoreEvent(event)) return false;
  return true;
}
const handlers = /*@__PURE__*/Object.create(null);
const handlerOptions = /*@__PURE__*/Object.create(null);
// This is very crude, but unfortunately both these browsers _pretend_
// that they have a clipboard API—all the objects and methods are
// there, they just don't work, and they are hard to test.
const brokenClipboardAPI = browser.ie && browser.ie_version < 15 || browser.ios && browser.webkit_version < 604;
function capturePaste(view) {
  let parent = view.dom.parentNode;
  if (!parent) return;
  let target = parent.appendChild(document.createElement("textarea"));
  target.style.cssText = "position: fixed; left: -10000px; top: 10px";
  target.focus();
  setTimeout(() => {
    view.focus();
    target.remove();
    doPaste(view, target.value);
  }, 50);
}
function doPaste(view, input) {
  let {
      state
    } = view,
    changes,
    i = 1,
    text = state.toText(input);
  let byLine = text.lines == state.selection.ranges.length;
  let linewise = lastLinewiseCopy != null && state.selection.ranges.every(r => r.empty) && lastLinewiseCopy == text.toString();
  if (linewise) {
    let lastLine = -1;
    changes = state.changeByRange(range => {
      let line = state.doc.lineAt(range.from);
      if (line.from == lastLine) return {
        range
      };
      lastLine = line.from;
      let insert = state.toText((byLine ? text.line(i++).text : input) + state.lineBreak);
      return {
        changes: {
          from: line.from,
          insert
        },
        range: _state.EditorSelection.cursor(range.from + insert.length)
      };
    });
  } else if (byLine) {
    changes = state.changeByRange(range => {
      let line = text.line(i++);
      return {
        changes: {
          from: range.from,
          to: range.to,
          insert: line.text
        },
        range: _state.EditorSelection.cursor(range.from + line.length)
      };
    });
  } else {
    changes = state.replaceSelection(text);
  }
  view.dispatch(changes, {
    userEvent: "input.paste",
    scrollIntoView: true
  });
}
handlers.keydown = (view, event) => {
  view.inputState.setSelectionOrigin("select");
  if (event.keyCode == 27) view.inputState.lastEscPress = Date.now();
};
handlers.touchstart = (view, e) => {
  view.inputState.lastTouchTime = Date.now();
  view.inputState.setSelectionOrigin("select.pointer");
};
handlers.touchmove = view => {
  view.inputState.setSelectionOrigin("select.pointer");
};
handlerOptions.touchstart = handlerOptions.touchmove = {
  passive: true
};
handlers.mousedown = (view, event) => {
  view.observer.flush();
  if (view.inputState.lastTouchTime > Date.now() - 2000) return; // Ignore touch interaction
  let style = null;
  for (let makeStyle of view.state.facet(mouseSelectionStyle)) {
    style = makeStyle(view, event);
    if (style) break;
  }
  if (!style && event.button == 0) style = basicMouseSelection(view, event);
  if (style) {
    let mustFocus = view.root.activeElement != view.contentDOM;
    view.inputState.startMouseSelection(new MouseSelection(view, event, style, mustFocus));
    if (mustFocus) view.observer.ignore(() => focusPreventScroll(view.contentDOM));
    if (view.inputState.mouseSelection) view.inputState.mouseSelection.start(event);
  }
};
function rangeForClick(view, pos, bias, type) {
  if (type == 1) {
    // Single click
    return _state.EditorSelection.cursor(pos, bias);
  } else if (type == 2) {
    // Double click
    return groupAt(view.state, pos, bias);
  } else {
    // Triple click
    let visual = LineView.find(view.docView, pos),
      line = view.state.doc.lineAt(visual ? visual.posAtEnd : pos);
    let from = visual ? visual.posAtStart : line.from,
      to = visual ? visual.posAtEnd : line.to;
    if (to < view.state.doc.length && to == line.to) to++;
    return _state.EditorSelection.range(from, to);
  }
}
let insideY = (y, rect) => y >= rect.top && y <= rect.bottom;
let inside = (x, y, rect) => insideY(y, rect) && x >= rect.left && x <= rect.right;
// Try to determine, for the given coordinates, associated with the
// given position, whether they are related to the element before or
// the element after the position.
function findPositionSide(view, pos, x, y) {
  let line = LineView.find(view.docView, pos);
  if (!line) return 1;
  let off = pos - line.posAtStart;
  // Line boundaries point into the line
  if (off == 0) return 1;
  if (off == line.length) return -1;
  // Positions on top of an element point at that element
  let before = line.coordsAt(off, -1);
  if (before && inside(x, y, before)) return -1;
  let after = line.coordsAt(off, 1);
  if (after && inside(x, y, after)) return 1;
  // This is probably a line wrap point. Pick before if the point is
  // beside it.
  return before && insideY(y, before) ? -1 : 1;
}
function queryPos(view, event) {
  let pos = view.posAtCoords({
    x: event.clientX,
    y: event.clientY
  }, false);
  return {
    pos,
    bias: findPositionSide(view, pos, event.clientX, event.clientY)
  };
}
const BadMouseDetail = browser.ie && browser.ie_version <= 11;
let lastMouseDown = null,
  lastMouseDownCount = 0,
  lastMouseDownTime = 0;
function getClickType(event) {
  if (!BadMouseDetail) return event.detail;
  let last = lastMouseDown,
    lastTime = lastMouseDownTime;
  lastMouseDown = event;
  lastMouseDownTime = Date.now();
  return lastMouseDownCount = !last || lastTime > Date.now() - 400 && Math.abs(last.clientX - event.clientX) < 2 && Math.abs(last.clientY - event.clientY) < 2 ? (lastMouseDownCount + 1) % 3 : 1;
}
function basicMouseSelection(view, event) {
  let start = queryPos(view, event),
    type = getClickType(event);
  let startSel = view.state.selection;
  return {
    update(update) {
      if (update.docChanged) {
        start.pos = update.changes.mapPos(start.pos);
        startSel = startSel.map(update.changes);
      }
    },
    get(event, extend, multiple) {
      let cur = queryPos(view, event),
        removed;
      let range = rangeForClick(view, cur.pos, cur.bias, type);
      if (start.pos != cur.pos && !extend) {
        let startRange = rangeForClick(view, start.pos, start.bias, type);
        let from = Math.min(startRange.from, range.from),
          to = Math.max(startRange.to, range.to);
        range = from < range.from ? _state.EditorSelection.range(from, to) : _state.EditorSelection.range(to, from);
      }
      if (extend) return startSel.replaceRange(startSel.main.extend(range.from, range.to));else if (multiple && type == 1 && startSel.ranges.length > 1 && (removed = removeRangeAround(startSel, cur.pos))) return removed;else if (multiple) return startSel.addRange(range);else return _state.EditorSelection.create([range]);
    }
  };
}
function removeRangeAround(sel, pos) {
  for (let i = 0; i < sel.ranges.length; i++) {
    let {
      from,
      to
    } = sel.ranges[i];
    if (from <= pos && to >= pos) return _state.EditorSelection.create(sel.ranges.slice(0, i).concat(sel.ranges.slice(i + 1)), sel.mainIndex == i ? 0 : sel.mainIndex - (sel.mainIndex > i ? 1 : 0));
  }
  return null;
}
handlers.dragstart = (view, event) => {
  let {
    selection: {
      main
    }
  } = view.state;
  let {
    mouseSelection
  } = view.inputState;
  if (mouseSelection) mouseSelection.dragging = main;
  if (event.dataTransfer) {
    event.dataTransfer.setData("Text", view.state.sliceDoc(main.from, main.to));
    event.dataTransfer.effectAllowed = "copyMove";
  }
};
function dropText(view, event, text, direct) {
  if (!text) return;
  let dropPos = view.posAtCoords({
    x: event.clientX,
    y: event.clientY
  }, false);
  event.preventDefault();
  let {
    mouseSelection
  } = view.inputState;
  let del = direct && mouseSelection && mouseSelection.dragging && mouseSelection.dragMove ? {
    from: mouseSelection.dragging.from,
    to: mouseSelection.dragging.to
  } : null;
  let ins = {
    from: dropPos,
    insert: text
  };
  let changes = view.state.changes(del ? [del, ins] : ins);
  view.focus();
  view.dispatch({
    changes,
    selection: {
      anchor: changes.mapPos(dropPos, -1),
      head: changes.mapPos(dropPos, 1)
    },
    userEvent: del ? "move.drop" : "input.drop"
  });
}
handlers.drop = (view, event) => {
  if (!event.dataTransfer) return;
  if (view.state.readOnly) return event.preventDefault();
  let files = event.dataTransfer.files;
  if (files && files.length) {
    // For a file drop, read the file's text.
    event.preventDefault();
    let text = Array(files.length),
      read = 0;
    let finishFile = () => {
      if (++read == files.length) dropText(view, event, text.filter(s => s != null).join(view.state.lineBreak), false);
    };
    for (let i = 0; i < files.length; i++) {
      let reader = new FileReader();
      reader.onerror = finishFile;
      reader.onload = () => {
        if (!/[\x00-\x08\x0e-\x1f]{2}/.test(reader.result)) text[i] = reader.result;
        finishFile();
      };
      reader.readAsText(files[i]);
    }
  } else {
    dropText(view, event, event.dataTransfer.getData("Text"), true);
  }
};
handlers.paste = (view, event) => {
  if (view.state.readOnly) return event.preventDefault();
  view.observer.flush();
  let data = brokenClipboardAPI ? null : event.clipboardData;
  if (data) {
    doPaste(view, data.getData("text/plain") || data.getData("text/uri-text"));
    event.preventDefault();
  } else {
    capturePaste(view);
  }
};
function captureCopy(view, text) {
  // The extra wrapper is somehow necessary on IE/Edge to prevent the
  // content from being mangled when it is put onto the clipboard
  let parent = view.dom.parentNode;
  if (!parent) return;
  let target = parent.appendChild(document.createElement("textarea"));
  target.style.cssText = "position: fixed; left: -10000px; top: 10px";
  target.value = text;
  target.focus();
  target.selectionEnd = text.length;
  target.selectionStart = 0;
  setTimeout(() => {
    target.remove();
    view.focus();
  }, 50);
}
function copiedRange(state) {
  let content = [],
    ranges = [],
    linewise = false;
  for (let range of state.selection.ranges) if (!range.empty) {
    content.push(state.sliceDoc(range.from, range.to));
    ranges.push(range);
  }
  if (!content.length) {
    // Nothing selected, do a line-wise copy
    let upto = -1;
    for (let {
      from
    } of state.selection.ranges) {
      let line = state.doc.lineAt(from);
      if (line.number > upto) {
        content.push(line.text);
        ranges.push({
          from: line.from,
          to: Math.min(state.doc.length, line.to + 1)
        });
      }
      upto = line.number;
    }
    linewise = true;
  }
  return {
    text: content.join(state.lineBreak),
    ranges,
    linewise
  };
}
let lastLinewiseCopy = null;
handlers.copy = handlers.cut = (view, event) => {
  let {
    text,
    ranges,
    linewise
  } = copiedRange(view.state);
  if (!text && !linewise) return;
  lastLinewiseCopy = linewise ? text : null;
  let data = brokenClipboardAPI ? null : event.clipboardData;
  if (data) {
    event.preventDefault();
    data.clearData();
    data.setData("text/plain", text);
  } else {
    captureCopy(view, text);
  }
  if (event.type == "cut" && !view.state.readOnly) view.dispatch({
    changes: ranges,
    scrollIntoView: true,
    userEvent: "delete.cut"
  });
};
const isFocusChange = /*@__PURE__*/_state.Annotation.define();
function focusChangeTransaction(state, focus) {
  let effects = [];
  for (let getEffect of state.facet(focusChangeEffect)) {
    let effect = getEffect(state, focus);
    if (effect) effects.push(effect);
  }
  return effects ? state.update({
    effects,
    annotations: isFocusChange.of(true)
  }) : null;
}
function updateForFocusChange(view) {
  setTimeout(() => {
    let focus = view.hasFocus;
    if (focus != view.inputState.notifiedFocused) {
      let tr = focusChangeTransaction(view.state, focus);
      if (tr) view.dispatch(tr);else view.update([]);
    }
  }, 10);
}
handlers.focus = view => {
  view.inputState.lastFocusTime = Date.now();
  // When focusing reset the scroll position, move it back to where it was
  if (!view.scrollDOM.scrollTop && (view.inputState.lastScrollTop || view.inputState.lastScrollLeft)) {
    view.scrollDOM.scrollTop = view.inputState.lastScrollTop;
    view.scrollDOM.scrollLeft = view.inputState.lastScrollLeft;
  }
  updateForFocusChange(view);
};
handlers.blur = view => {
  view.observer.clearSelectionRange();
  updateForFocusChange(view);
};
handlers.compositionstart = handlers.compositionupdate = view => {
  if (view.inputState.compositionFirstChange == null) view.inputState.compositionFirstChange = true;
  if (view.inputState.composing < 0) {
    // FIXME possibly set a timeout to clear it again on Android
    view.inputState.composing = 0;
  }
};
handlers.compositionend = view => {
  view.inputState.composing = -1;
  view.inputState.compositionEndedAt = Date.now();
  view.inputState.compositionPendingKey = true;
  view.inputState.compositionPendingChange = view.observer.pendingRecords().length > 0;
  view.inputState.compositionFirstChange = null;
  if (browser.chrome && browser.android) {
    // Delay flushing for a bit on Android because it'll often fire a
    // bunch of contradictory changes in a row at end of compositon
    view.observer.flushSoon();
  } else if (view.inputState.compositionPendingChange) {
    // If we found pending records, schedule a flush.
    Promise.resolve().then(() => view.observer.flush());
  } else {
    // Otherwise, make sure that, if no changes come in soon, the
    // composition view is cleared.
    setTimeout(() => {
      if (view.inputState.composing < 0 && view.docView.compositionDeco.size) view.update([]);
    }, 50);
  }
};
handlers.contextmenu = view => {
  view.inputState.lastContextMenu = Date.now();
};
handlers.beforeinput = (view, event) => {
  var _a;
  // Because Chrome Android doesn't fire useful key events, use
  // beforeinput to detect backspace (and possibly enter and delete,
  // but those usually don't even seem to fire beforeinput events at
  // the moment) and fake a key event for it.
  //
  // (preventDefault on beforeinput, though supported in the spec,
  // seems to do nothing at all on Chrome).
  let pending;
  if (browser.chrome && browser.android && (pending = PendingKeys.find(key => key.inputType == event.inputType))) {
    view.observer.delayAndroidKey(pending.key, pending.keyCode);
    if (pending.key == "Backspace" || pending.key == "Delete") {
      let startViewHeight = ((_a = window.visualViewport) === null || _a === void 0 ? void 0 : _a.height) || 0;
      setTimeout(() => {
        var _a;
        // Backspacing near uneditable nodes on Chrome Android sometimes
        // closes the virtual keyboard. This tries to crudely detect
        // that and refocus to get it back.
        if ((((_a = window.visualViewport) === null || _a === void 0 ? void 0 : _a.height) || 0) > startViewHeight + 10 && view.hasFocus) {
          view.contentDOM.blur();
          view.focus();
        }
      }, 100);
    }
  }
};
const wrappingWhiteSpace = ["pre-wrap", "normal", "pre-line", "break-spaces"];
class HeightOracle {
  constructor(lineWrapping) {
    this.lineWrapping = lineWrapping;
    this.doc = _state.Text.empty;
    this.heightSamples = {};
    this.lineHeight = 14; // The height of an entire line (line-height)
    this.charWidth = 7;
    this.textHeight = 14; // The height of the actual font (font-size)
    this.lineLength = 30;
    // Used to track, during updateHeight, if any actual heights changed
    this.heightChanged = false;
  }
  heightForGap(from, to) {
    let lines = this.doc.lineAt(to).number - this.doc.lineAt(from).number + 1;
    if (this.lineWrapping) lines += Math.max(0, Math.ceil((to - from - lines * this.lineLength * 0.5) / this.lineLength));
    return this.lineHeight * lines;
  }
  heightForLine(length) {
    if (!this.lineWrapping) return this.lineHeight;
    let lines = 1 + Math.max(0, Math.ceil((length - this.lineLength) / (this.lineLength - 5)));
    return lines * this.lineHeight;
  }
  setDoc(doc) {
    this.doc = doc;
    return this;
  }
  mustRefreshForWrapping(whiteSpace) {
    return wrappingWhiteSpace.indexOf(whiteSpace) > -1 != this.lineWrapping;
  }
  mustRefreshForHeights(lineHeights) {
    let newHeight = false;
    for (let i = 0; i < lineHeights.length; i++) {
      let h = lineHeights[i];
      if (h < 0) {
        i++;
      } else if (!this.heightSamples[Math.floor(h * 10)]) {
        // Round to .1 pixels
        newHeight = true;
        this.heightSamples[Math.floor(h * 10)] = true;
      }
    }
    return newHeight;
  }
  refresh(whiteSpace, lineHeight, charWidth, textHeight, lineLength, knownHeights) {
    let lineWrapping = wrappingWhiteSpace.indexOf(whiteSpace) > -1;
    let changed = Math.round(lineHeight) != Math.round(this.lineHeight) || this.lineWrapping != lineWrapping;
    this.lineWrapping = lineWrapping;
    this.lineHeight = lineHeight;
    this.charWidth = charWidth;
    this.textHeight = textHeight;
    this.lineLength = lineLength;
    if (changed) {
      this.heightSamples = {};
      for (let i = 0; i < knownHeights.length; i++) {
        let h = knownHeights[i];
        if (h < 0) i++;else this.heightSamples[Math.floor(h * 10)] = true;
      }
    }
    return changed;
  }
}
// This object is used by `updateHeight` to make DOM measurements
// arrive at the right nides. The `heights` array is a sequence of
// block heights, starting from position `from`.
class MeasuredHeights {
  constructor(from, heights) {
    this.from = from;
    this.heights = heights;
    this.index = 0;
  }
  get more() {
    return this.index < this.heights.length;
  }
}
/**
Record used to represent information about a block-level element
in the editor view.
*/
class BlockInfo {
  /**
  @internal
  */
  constructor(
  /**
  The start of the element in the document.
  */
  from,
  /**
  The length of the element.
  */
  length,
  /**
  The top position of the element (relative to the top of the
  document).
  */
  top,
  /**
  Its height.
  */
  height,
  /**
  The type of element this is. When querying lines, this may be
  an array of all the blocks that make up the line.
  */
  type) {
    this.from = from;
    this.length = length;
    this.top = top;
    this.height = height;
    this.type = type;
  }
  /**
  The end of the element as a document position.
  */
  get to() {
    return this.from + this.length;
  }
  /**
  The bottom position of the element.
  */
  get bottom() {
    return this.top + this.height;
  }
  /**
  @internal
  */
  join(other) {
    let detail = (Array.isArray(this.type) ? this.type : [this]).concat(Array.isArray(other.type) ? other.type : [other]);
    return new BlockInfo(this.from, this.length + other.length, this.top, this.height + other.height, detail);
  }
}
exports.BlockInfo = BlockInfo;
var QueryType = /*@__PURE__*/function (QueryType) {
  QueryType[QueryType["ByPos"] = 0] = "ByPos";
  QueryType[QueryType["ByHeight"] = 1] = "ByHeight";
  QueryType[QueryType["ByPosNoHeight"] = 2] = "ByPosNoHeight";
  return QueryType;
}(QueryType || (QueryType = {}));
const Epsilon = 1e-3;
class HeightMap {
  constructor(length,
  // The number of characters covered
  height,
  // Height of this part of the document
  flags = 2 /* Flag.Outdated */) {
    this.length = length;
    this.height = height;
    this.flags = flags;
  }
  get outdated() {
    return (this.flags & 2 /* Flag.Outdated */) > 0;
  }
  set outdated(value) {
    this.flags = (value ? 2 /* Flag.Outdated */ : 0) | this.flags & ~2 /* Flag.Outdated */;
  }
  setHeight(oracle, height) {
    if (this.height != height) {
      if (Math.abs(this.height - height) > Epsilon) oracle.heightChanged = true;
      this.height = height;
    }
  }
  // Base case is to replace a leaf node, which simply builds a tree
  // from the new nodes and returns that (HeightMapBranch and
  // HeightMapGap override this to actually use from/to)
  replace(_from, _to, nodes) {
    return HeightMap.of(nodes);
  }
  // Again, these are base cases, and are overridden for branch and gap nodes.
  decomposeLeft(_to, result) {
    result.push(this);
  }
  decomposeRight(_from, result) {
    result.push(this);
  }
  applyChanges(decorations, oldDoc, oracle, changes) {
    let me = this,
      doc = oracle.doc;
    for (let i = changes.length - 1; i >= 0; i--) {
      let {
        fromA,
        toA,
        fromB,
        toB
      } = changes[i];
      let start = me.lineAt(fromA, QueryType.ByPosNoHeight, oracle.setDoc(oldDoc), 0, 0);
      let end = start.to >= toA ? start : me.lineAt(toA, QueryType.ByPosNoHeight, oracle, 0, 0);
      toB += end.to - toA;
      toA = end.to;
      while (i > 0 && start.from <= changes[i - 1].toA) {
        fromA = changes[i - 1].fromA;
        fromB = changes[i - 1].fromB;
        i--;
        if (fromA < start.from) start = me.lineAt(fromA, QueryType.ByPosNoHeight, oracle, 0, 0);
      }
      fromB += start.from - fromA;
      fromA = start.from;
      let nodes = NodeBuilder.build(oracle.setDoc(doc), decorations, fromB, toB);
      me = me.replace(fromA, toA, nodes);
    }
    return me.updateHeight(oracle, 0);
  }
  static empty() {
    return new HeightMapText(0, 0);
  }
  // nodes uses null values to indicate the position of line breaks.
  // There are never line breaks at the start or end of the array, or
  // two line breaks next to each other, and the array isn't allowed
  // to be empty (same restrictions as return value from the builder).
  static of(nodes) {
    if (nodes.length == 1) return nodes[0];
    let i = 0,
      j = nodes.length,
      before = 0,
      after = 0;
    for (;;) {
      if (i == j) {
        if (before > after * 2) {
          let split = nodes[i - 1];
          if (split.break) nodes.splice(--i, 1, split.left, null, split.right);else nodes.splice(--i, 1, split.left, split.right);
          j += 1 + split.break;
          before -= split.size;
        } else if (after > before * 2) {
          let split = nodes[j];
          if (split.break) nodes.splice(j, 1, split.left, null, split.right);else nodes.splice(j, 1, split.left, split.right);
          j += 2 + split.break;
          after -= split.size;
        } else {
          break;
        }
      } else if (before < after) {
        let next = nodes[i++];
        if (next) before += next.size;
      } else {
        let next = nodes[--j];
        if (next) after += next.size;
      }
    }
    let brk = 0;
    if (nodes[i - 1] == null) {
      brk = 1;
      i--;
    } else if (nodes[i] == null) {
      brk = 1;
      j++;
    }
    return new HeightMapBranch(HeightMap.of(nodes.slice(0, i)), brk, HeightMap.of(nodes.slice(j)));
  }
}
HeightMap.prototype.size = 1;
class HeightMapBlock extends HeightMap {
  constructor(length, height, type) {
    super(length, height);
    this.type = type;
  }
  blockAt(_height, _oracle, top, offset) {
    return new BlockInfo(offset, this.length, top, this.height, this.type);
  }
  lineAt(_value, _type, oracle, top, offset) {
    return this.blockAt(0, oracle, top, offset);
  }
  forEachLine(from, to, oracle, top, offset, f) {
    if (from <= offset + this.length && to >= offset) f(this.blockAt(0, oracle, top, offset));
  }
  updateHeight(oracle, offset = 0, _force = false, measured) {
    if (measured && measured.from <= offset && measured.more) this.setHeight(oracle, measured.heights[measured.index++]);
    this.outdated = false;
    return this;
  }
  toString() {
    return `block(${this.length})`;
  }
}
class HeightMapText extends HeightMapBlock {
  constructor(length, height) {
    super(length, height, BlockType.Text);
    this.collapsed = 0; // Amount of collapsed content in the line
    this.widgetHeight = 0; // Maximum inline widget height
  }

  replace(_from, _to, nodes) {
    let node = nodes[0];
    if (nodes.length == 1 && (node instanceof HeightMapText || node instanceof HeightMapGap && node.flags & 4 /* Flag.SingleLine */) && Math.abs(this.length - node.length) < 10) {
      if (node instanceof HeightMapGap) node = new HeightMapText(node.length, this.height);else node.height = this.height;
      if (!this.outdated) node.outdated = false;
      return node;
    } else {
      return HeightMap.of(nodes);
    }
  }
  updateHeight(oracle, offset = 0, force = false, measured) {
    if (measured && measured.from <= offset && measured.more) this.setHeight(oracle, measured.heights[measured.index++]);else if (force || this.outdated) this.setHeight(oracle, Math.max(this.widgetHeight, oracle.heightForLine(this.length - this.collapsed)));
    this.outdated = false;
    return this;
  }
  toString() {
    return `line(${this.length}${this.collapsed ? -this.collapsed : ""}${this.widgetHeight ? ":" + this.widgetHeight : ""})`;
  }
}
class HeightMapGap extends HeightMap {
  constructor(length) {
    super(length, 0);
  }
  heightMetrics(oracle, offset) {
    let firstLine = oracle.doc.lineAt(offset).number,
      lastLine = oracle.doc.lineAt(offset + this.length).number;
    let lines = lastLine - firstLine + 1;
    let perLine,
      perChar = 0;
    if (oracle.lineWrapping) {
      let totalPerLine = Math.min(this.height, oracle.lineHeight * lines);
      perLine = totalPerLine / lines;
      if (this.length > lines + 1) perChar = (this.height - totalPerLine) / (this.length - lines - 1);
    } else {
      perLine = this.height / lines;
    }
    return {
      firstLine,
      lastLine,
      perLine,
      perChar
    };
  }
  blockAt(height, oracle, top, offset) {
    let {
      firstLine,
      lastLine,
      perLine,
      perChar
    } = this.heightMetrics(oracle, offset);
    if (oracle.lineWrapping) {
      let guess = offset + Math.round(Math.max(0, Math.min(1, (height - top) / this.height)) * this.length);
      let line = oracle.doc.lineAt(guess),
        lineHeight = perLine + line.length * perChar;
      let lineTop = Math.max(top, height - lineHeight / 2);
      return new BlockInfo(line.from, line.length, lineTop, lineHeight, BlockType.Text);
    } else {
      let line = Math.max(0, Math.min(lastLine - firstLine, Math.floor((height - top) / perLine)));
      let {
        from,
        length
      } = oracle.doc.line(firstLine + line);
      return new BlockInfo(from, length, top + perLine * line, perLine, BlockType.Text);
    }
  }
  lineAt(value, type, oracle, top, offset) {
    if (type == QueryType.ByHeight) return this.blockAt(value, oracle, top, offset);
    if (type == QueryType.ByPosNoHeight) {
      let {
        from,
        to
      } = oracle.doc.lineAt(value);
      return new BlockInfo(from, to - from, 0, 0, BlockType.Text);
    }
    let {
      firstLine,
      perLine,
      perChar
    } = this.heightMetrics(oracle, offset);
    let line = oracle.doc.lineAt(value),
      lineHeight = perLine + line.length * perChar;
    let linesAbove = line.number - firstLine;
    let lineTop = top + perLine * linesAbove + perChar * (line.from - offset - linesAbove);
    return new BlockInfo(line.from, line.length, Math.max(top, Math.min(lineTop, top + this.height - lineHeight)), lineHeight, BlockType.Text);
  }
  forEachLine(from, to, oracle, top, offset, f) {
    from = Math.max(from, offset);
    to = Math.min(to, offset + this.length);
    let {
      firstLine,
      perLine,
      perChar
    } = this.heightMetrics(oracle, offset);
    for (let pos = from, lineTop = top; pos <= to;) {
      let line = oracle.doc.lineAt(pos);
      if (pos == from) {
        let linesAbove = line.number - firstLine;
        lineTop += perLine * linesAbove + perChar * (from - offset - linesAbove);
      }
      let lineHeight = perLine + perChar * line.length;
      f(new BlockInfo(line.from, line.length, lineTop, lineHeight, BlockType.Text));
      lineTop += lineHeight;
      pos = line.to + 1;
    }
  }
  replace(from, to, nodes) {
    let after = this.length - to;
    if (after > 0) {
      let last = nodes[nodes.length - 1];
      if (last instanceof HeightMapGap) nodes[nodes.length - 1] = new HeightMapGap(last.length + after);else nodes.push(null, new HeightMapGap(after - 1));
    }
    if (from > 0) {
      let first = nodes[0];
      if (first instanceof HeightMapGap) nodes[0] = new HeightMapGap(from + first.length);else nodes.unshift(new HeightMapGap(from - 1), null);
    }
    return HeightMap.of(nodes);
  }
  decomposeLeft(to, result) {
    result.push(new HeightMapGap(to - 1), null);
  }
  decomposeRight(from, result) {
    result.push(null, new HeightMapGap(this.length - from - 1));
  }
  updateHeight(oracle, offset = 0, force = false, measured) {
    let end = offset + this.length;
    if (measured && measured.from <= offset + this.length && measured.more) {
      // Fill in part of this gap with measured lines. We know there
      // can't be widgets or collapsed ranges in those lines, because
      // they would already have been added to the heightmap (gaps
      // only contain plain text).
      let nodes = [],
        pos = Math.max(offset, measured.from),
        singleHeight = -1;
      if (measured.from > offset) nodes.push(new HeightMapGap(measured.from - offset - 1).updateHeight(oracle, offset));
      while (pos <= end && measured.more) {
        let len = oracle.doc.lineAt(pos).length;
        if (nodes.length) nodes.push(null);
        let height = measured.heights[measured.index++];
        if (singleHeight == -1) singleHeight = height;else if (Math.abs(height - singleHeight) >= Epsilon) singleHeight = -2;
        let line = new HeightMapText(len, height);
        line.outdated = false;
        nodes.push(line);
        pos += len + 1;
      }
      if (pos <= end) nodes.push(null, new HeightMapGap(end - pos).updateHeight(oracle, pos));
      let result = HeightMap.of(nodes);
      if (singleHeight < 0 || Math.abs(result.height - this.height) >= Epsilon || Math.abs(singleHeight - this.heightMetrics(oracle, offset).perLine) >= Epsilon) oracle.heightChanged = true;
      return result;
    } else if (force || this.outdated) {
      this.setHeight(oracle, oracle.heightForGap(offset, offset + this.length));
      this.outdated = false;
    }
    return this;
  }
  toString() {
    return `gap(${this.length})`;
  }
}
class HeightMapBranch extends HeightMap {
  constructor(left, brk, right) {
    super(left.length + brk + right.length, left.height + right.height, brk | (left.outdated || right.outdated ? 2 /* Flag.Outdated */ : 0));
    this.left = left;
    this.right = right;
    this.size = left.size + right.size;
  }
  get break() {
    return this.flags & 1 /* Flag.Break */;
  }
  blockAt(height, oracle, top, offset) {
    let mid = top + this.left.height;
    return height < mid ? this.left.blockAt(height, oracle, top, offset) : this.right.blockAt(height, oracle, mid, offset + this.left.length + this.break);
  }
  lineAt(value, type, oracle, top, offset) {
    let rightTop = top + this.left.height,
      rightOffset = offset + this.left.length + this.break;
    let left = type == QueryType.ByHeight ? value < rightTop : value < rightOffset;
    let base = left ? this.left.lineAt(value, type, oracle, top, offset) : this.right.lineAt(value, type, oracle, rightTop, rightOffset);
    if (this.break || (left ? base.to < rightOffset : base.from > rightOffset)) return base;
    let subQuery = type == QueryType.ByPosNoHeight ? QueryType.ByPosNoHeight : QueryType.ByPos;
    if (left) return base.join(this.right.lineAt(rightOffset, subQuery, oracle, rightTop, rightOffset));else return this.left.lineAt(rightOffset, subQuery, oracle, top, offset).join(base);
  }
  forEachLine(from, to, oracle, top, offset, f) {
    let rightTop = top + this.left.height,
      rightOffset = offset + this.left.length + this.break;
    if (this.break) {
      if (from < rightOffset) this.left.forEachLine(from, to, oracle, top, offset, f);
      if (to >= rightOffset) this.right.forEachLine(from, to, oracle, rightTop, rightOffset, f);
    } else {
      let mid = this.lineAt(rightOffset, QueryType.ByPos, oracle, top, offset);
      if (from < mid.from) this.left.forEachLine(from, mid.from - 1, oracle, top, offset, f);
      if (mid.to >= from && mid.from <= to) f(mid);
      if (to > mid.to) this.right.forEachLine(mid.to + 1, to, oracle, rightTop, rightOffset, f);
    }
  }
  replace(from, to, nodes) {
    let rightStart = this.left.length + this.break;
    if (to < rightStart) return this.balanced(this.left.replace(from, to, nodes), this.right);
    if (from > this.left.length) return this.balanced(this.left, this.right.replace(from - rightStart, to - rightStart, nodes));
    let result = [];
    if (from > 0) this.decomposeLeft(from, result);
    let left = result.length;
    for (let node of nodes) result.push(node);
    if (from > 0) mergeGaps(result, left - 1);
    if (to < this.length) {
      let right = result.length;
      this.decomposeRight(to, result);
      mergeGaps(result, right);
    }
    return HeightMap.of(result);
  }
  decomposeLeft(to, result) {
    let left = this.left.length;
    if (to <= left) return this.left.decomposeLeft(to, result);
    result.push(this.left);
    if (this.break) {
      left++;
      if (to >= left) result.push(null);
    }
    if (to > left) this.right.decomposeLeft(to - left, result);
  }
  decomposeRight(from, result) {
    let left = this.left.length,
      right = left + this.break;
    if (from >= right) return this.right.decomposeRight(from - right, result);
    if (from < left) this.left.decomposeRight(from, result);
    if (this.break && from < right) result.push(null);
    result.push(this.right);
  }
  balanced(left, right) {
    if (left.size > 2 * right.size || right.size > 2 * left.size) return HeightMap.of(this.break ? [left, null, right] : [left, right]);
    this.left = left;
    this.right = right;
    this.height = left.height + right.height;
    this.outdated = left.outdated || right.outdated;
    this.size = left.size + right.size;
    this.length = left.length + this.break + right.length;
    return this;
  }
  updateHeight(oracle, offset = 0, force = false, measured) {
    let {
        left,
        right
      } = this,
      rightStart = offset + left.length + this.break,
      rebalance = null;
    if (measured && measured.from <= offset + left.length && measured.more) rebalance = left = left.updateHeight(oracle, offset, force, measured);else left.updateHeight(oracle, offset, force);
    if (measured && measured.from <= rightStart + right.length && measured.more) rebalance = right = right.updateHeight(oracle, rightStart, force, measured);else right.updateHeight(oracle, rightStart, force);
    if (rebalance) return this.balanced(left, right);
    this.height = this.left.height + this.right.height;
    this.outdated = false;
    return this;
  }
  toString() {
    return this.left + (this.break ? " " : "-") + this.right;
  }
}
function mergeGaps(nodes, around) {
  let before, after;
  if (nodes[around] == null && (before = nodes[around - 1]) instanceof HeightMapGap && (after = nodes[around + 1]) instanceof HeightMapGap) nodes.splice(around - 1, 3, new HeightMapGap(before.length + 1 + after.length));
}
const relevantWidgetHeight = 5;
class NodeBuilder {
  constructor(pos, oracle) {
    this.pos = pos;
    this.oracle = oracle;
    this.nodes = [];
    this.lineStart = -1;
    this.lineEnd = -1;
    this.covering = null;
    this.writtenTo = pos;
  }
  get isCovered() {
    return this.covering && this.nodes[this.nodes.length - 1] == this.covering;
  }
  span(_from, to) {
    if (this.lineStart > -1) {
      let end = Math.min(to, this.lineEnd),
        last = this.nodes[this.nodes.length - 1];
      if (last instanceof HeightMapText) last.length += end - this.pos;else if (end > this.pos || !this.isCovered) this.nodes.push(new HeightMapText(end - this.pos, -1));
      this.writtenTo = end;
      if (to > end) {
        this.nodes.push(null);
        this.writtenTo++;
        this.lineStart = -1;
      }
    }
    this.pos = to;
  }
  point(from, to, deco) {
    if (from < to || deco.heightRelevant) {
      let height = deco.widget ? deco.widget.estimatedHeight : 0;
      if (height < 0) height = this.oracle.lineHeight;
      let len = to - from;
      if (deco.block) {
        this.addBlock(new HeightMapBlock(len, height, deco.type));
      } else if (len || height >= relevantWidgetHeight) {
        this.addLineDeco(height, len);
      }
    } else if (to > from) {
      this.span(from, to);
    }
    if (this.lineEnd > -1 && this.lineEnd < this.pos) this.lineEnd = this.oracle.doc.lineAt(this.pos).to;
  }
  enterLine() {
    if (this.lineStart > -1) return;
    let {
      from,
      to
    } = this.oracle.doc.lineAt(this.pos);
    this.lineStart = from;
    this.lineEnd = to;
    if (this.writtenTo < from) {
      if (this.writtenTo < from - 1 || this.nodes[this.nodes.length - 1] == null) this.nodes.push(this.blankContent(this.writtenTo, from - 1));
      this.nodes.push(null);
    }
    if (this.pos > from) this.nodes.push(new HeightMapText(this.pos - from, -1));
    this.writtenTo = this.pos;
  }
  blankContent(from, to) {
    let gap = new HeightMapGap(to - from);
    if (this.oracle.doc.lineAt(from).to == to) gap.flags |= 4 /* Flag.SingleLine */;
    return gap;
  }
  ensureLine() {
    this.enterLine();
    let last = this.nodes.length ? this.nodes[this.nodes.length - 1] : null;
    if (last instanceof HeightMapText) return last;
    let line = new HeightMapText(0, -1);
    this.nodes.push(line);
    return line;
  }
  addBlock(block) {
    this.enterLine();
    if (block.type == BlockType.WidgetAfter && !this.isCovered) this.ensureLine();
    this.nodes.push(block);
    this.writtenTo = this.pos = this.pos + block.length;
    if (block.type != BlockType.WidgetBefore) this.covering = block;
  }
  addLineDeco(height, length) {
    let line = this.ensureLine();
    line.length += length;
    line.collapsed += length;
    line.widgetHeight = Math.max(line.widgetHeight, height);
    this.writtenTo = this.pos = this.pos + length;
  }
  finish(from) {
    let last = this.nodes.length == 0 ? null : this.nodes[this.nodes.length - 1];
    if (this.lineStart > -1 && !(last instanceof HeightMapText) && !this.isCovered) this.nodes.push(new HeightMapText(0, -1));else if (this.writtenTo < this.pos || last == null) this.nodes.push(this.blankContent(this.writtenTo, this.pos));
    let pos = from;
    for (let node of this.nodes) {
      if (node instanceof HeightMapText) node.updateHeight(this.oracle, pos);
      pos += node ? node.length : 1;
    }
    return this.nodes;
  }
  // Always called with a region that on both sides either stretches
  // to a line break or the end of the document.
  // The returned array uses null to indicate line breaks, but never
  // starts or ends in a line break, or has multiple line breaks next
  // to each other.
  static build(oracle, decorations, from, to) {
    let builder = new NodeBuilder(from, oracle);
    _state.RangeSet.spans(decorations, from, to, builder, 0);
    return builder.finish(from);
  }
}
function heightRelevantDecoChanges(a, b, diff) {
  let comp = new DecorationComparator();
  _state.RangeSet.compare(a, b, diff, comp, 0);
  return comp.changes;
}
class DecorationComparator {
  constructor() {
    this.changes = [];
  }
  compareRange() {}
  comparePoint(from, to, a, b) {
    if (from < to || a && a.heightRelevant || b && b.heightRelevant) addRange(from, to, this.changes, 5);
  }
}
function visiblePixelRange(dom, paddingTop) {
  let rect = dom.getBoundingClientRect();
  let doc = dom.ownerDocument,
    win = doc.defaultView || window;
  let left = Math.max(0, rect.left),
    right = Math.min(win.innerWidth, rect.right);
  let top = Math.max(0, rect.top),
    bottom = Math.min(win.innerHeight, rect.bottom);
  for (let parent = dom.parentNode; parent && parent != doc.body;) {
    if (parent.nodeType == 1) {
      let elt = parent;
      let style = window.getComputedStyle(elt);
      if ((elt.scrollHeight > elt.clientHeight || elt.scrollWidth > elt.clientWidth) && style.overflow != "visible") {
        let parentRect = elt.getBoundingClientRect();
        left = Math.max(left, parentRect.left);
        right = Math.min(right, parentRect.right);
        top = Math.max(top, parentRect.top);
        bottom = parent == dom.parentNode ? parentRect.bottom : Math.min(bottom, parentRect.bottom);
      }
      parent = style.position == "absolute" || style.position == "fixed" ? elt.offsetParent : elt.parentNode;
    } else if (parent.nodeType == 11) {
      // Shadow root
      parent = parent.host;
    } else {
      break;
    }
  }
  return {
    left: left - rect.left,
    right: Math.max(left, right) - rect.left,
    top: top - (rect.top + paddingTop),
    bottom: Math.max(top, bottom) - (rect.top + paddingTop)
  };
}
function fullPixelRange(dom, paddingTop) {
  let rect = dom.getBoundingClientRect();
  return {
    left: 0,
    right: rect.right - rect.left,
    top: paddingTop,
    bottom: rect.bottom - (rect.top + paddingTop)
  };
}
// Line gaps are placeholder widgets used to hide pieces of overlong
// lines within the viewport, as a kludge to keep the editor
// responsive when a ridiculously long line is loaded into it.
class LineGap {
  constructor(from, to, size) {
    this.from = from;
    this.to = to;
    this.size = size;
  }
  static same(a, b) {
    if (a.length != b.length) return false;
    for (let i = 0; i < a.length; i++) {
      let gA = a[i],
        gB = b[i];
      if (gA.from != gB.from || gA.to != gB.to || gA.size != gB.size) return false;
    }
    return true;
  }
  draw(wrapping) {
    return Decoration.replace({
      widget: new LineGapWidget(this.size, wrapping)
    }).range(this.from, this.to);
  }
}
class LineGapWidget extends WidgetType {
  constructor(size, vertical) {
    super();
    this.size = size;
    this.vertical = vertical;
  }
  eq(other) {
    return other.size == this.size && other.vertical == this.vertical;
  }
  toDOM() {
    let elt = document.createElement("div");
    if (this.vertical) {
      elt.style.height = this.size + "px";
    } else {
      elt.style.width = this.size + "px";
      elt.style.height = "2px";
      elt.style.display = "inline-block";
    }
    return elt;
  }
  get estimatedHeight() {
    return this.vertical ? this.size : -1;
  }
}
class ViewState {
  constructor(state) {
    this.state = state;
    // These are contentDOM-local coordinates
    this.pixelViewport = {
      left: 0,
      right: window.innerWidth,
      top: 0,
      bottom: 0
    };
    this.inView = true;
    this.paddingTop = 0;
    this.paddingBottom = 0;
    this.contentDOMWidth = 0;
    this.contentDOMHeight = 0;
    this.editorHeight = 0;
    this.editorWidth = 0;
    // See VP.MaxDOMHeight
    this.scaler = IdScaler;
    this.scrollTarget = null;
    // Briefly set to true when printing, to disable viewport limiting
    this.printing = false;
    // Flag set when editor content was redrawn, so that the next
    // measure stage knows it must read DOM layout
    this.mustMeasureContent = true;
    this.defaultTextDirection = Direction.LTR;
    this.visibleRanges = [];
    // Cursor 'assoc' is only significant when the cursor is on a line
    // wrap point, where it must stick to the character that it is
    // associated with. Since browsers don't provide a reasonable
    // interface to set or query this, when a selection is set that
    // might cause this to be significant, this flag is set. The next
    // measure phase will check whether the cursor is on a line-wrapping
    // boundary and, if so, reset it to make sure it is positioned in
    // the right place.
    this.mustEnforceCursorAssoc = false;
    let guessWrapping = state.facet(contentAttributes).some(v => typeof v != "function" && v.class == "cm-lineWrapping");
    this.heightOracle = new HeightOracle(guessWrapping);
    this.stateDeco = state.facet(decorations).filter(d => typeof d != "function");
    this.heightMap = HeightMap.empty().applyChanges(this.stateDeco, _state.Text.empty, this.heightOracle.setDoc(state.doc), [new ChangedRange(0, 0, 0, state.doc.length)]);
    this.viewport = this.getViewport(0, null);
    this.updateViewportLines();
    this.updateForViewport();
    this.lineGaps = this.ensureLineGaps([]);
    this.lineGapDeco = Decoration.set(this.lineGaps.map(gap => gap.draw(false)));
    this.computeVisibleRanges();
  }
  updateForViewport() {
    let viewports = [this.viewport],
      {
        main
      } = this.state.selection;
    for (let i = 0; i <= 1; i++) {
      let pos = i ? main.head : main.anchor;
      if (!viewports.some(({
        from,
        to
      }) => pos >= from && pos <= to)) {
        let {
          from,
          to
        } = this.lineBlockAt(pos);
        viewports.push(new Viewport(from, to));
      }
    }
    this.viewports = viewports.sort((a, b) => a.from - b.from);
    this.scaler = this.heightMap.height <= 7000000 /* VP.MaxDOMHeight */ ? IdScaler : new BigScaler(this.heightOracle, this.heightMap, this.viewports);
  }
  updateViewportLines() {
    this.viewportLines = [];
    this.heightMap.forEachLine(this.viewport.from, this.viewport.to, this.heightOracle.setDoc(this.state.doc), 0, 0, block => {
      this.viewportLines.push(this.scaler.scale == 1 ? block : scaleBlock(block, this.scaler));
    });
  }
  update(update, scrollTarget = null) {
    this.state = update.state;
    let prevDeco = this.stateDeco;
    this.stateDeco = this.state.facet(decorations).filter(d => typeof d != "function");
    let contentChanges = update.changedRanges;
    let heightChanges = ChangedRange.extendWithRanges(contentChanges, heightRelevantDecoChanges(prevDeco, this.stateDeco, update ? update.changes : _state.ChangeSet.empty(this.state.doc.length)));
    let prevHeight = this.heightMap.height;
    this.heightMap = this.heightMap.applyChanges(this.stateDeco, update.startState.doc, this.heightOracle.setDoc(this.state.doc), heightChanges);
    if (this.heightMap.height != prevHeight) update.flags |= 2 /* UpdateFlag.Height */;
    let viewport = heightChanges.length ? this.mapViewport(this.viewport, update.changes) : this.viewport;
    if (scrollTarget && (scrollTarget.range.head < viewport.from || scrollTarget.range.head > viewport.to) || !this.viewportIsAppropriate(viewport)) viewport = this.getViewport(0, scrollTarget);
    let updateLines = !update.changes.empty || update.flags & 2 /* UpdateFlag.Height */ || viewport.from != this.viewport.from || viewport.to != this.viewport.to;
    this.viewport = viewport;
    this.updateForViewport();
    if (updateLines) this.updateViewportLines();
    if (this.lineGaps.length || this.viewport.to - this.viewport.from > 2000 /* LG.Margin */ << 1) this.updateLineGaps(this.ensureLineGaps(this.mapLineGaps(this.lineGaps, update.changes)));
    update.flags |= this.computeVisibleRanges();
    if (scrollTarget) this.scrollTarget = scrollTarget;
    if (!this.mustEnforceCursorAssoc && update.selectionSet && update.view.lineWrapping && update.state.selection.main.empty && update.state.selection.main.assoc && !update.state.facet(nativeSelectionHidden)) this.mustEnforceCursorAssoc = true;
  }
  measure(view) {
    let dom = view.contentDOM,
      style = window.getComputedStyle(dom);
    let oracle = this.heightOracle;
    let whiteSpace = style.whiteSpace;
    this.defaultTextDirection = style.direction == "rtl" ? Direction.RTL : Direction.LTR;
    let refresh = this.heightOracle.mustRefreshForWrapping(whiteSpace);
    let domRect = dom.getBoundingClientRect();
    let measureContent = refresh || this.mustMeasureContent || this.contentDOMHeight != domRect.height;
    this.contentDOMHeight = domRect.height;
    this.mustMeasureContent = false;
    let result = 0,
      bias = 0;
    // Vertical padding
    let paddingTop = parseInt(style.paddingTop) || 0,
      paddingBottom = parseInt(style.paddingBottom) || 0;
    if (this.paddingTop != paddingTop || this.paddingBottom != paddingBottom) {
      this.paddingTop = paddingTop;
      this.paddingBottom = paddingBottom;
      result |= 8 /* UpdateFlag.Geometry */ | 2 /* UpdateFlag.Height */;
    }

    if (this.editorWidth != view.scrollDOM.clientWidth) {
      if (oracle.lineWrapping) measureContent = true;
      this.editorWidth = view.scrollDOM.clientWidth;
      result |= 8 /* UpdateFlag.Geometry */;
    }
    // Pixel viewport
    let pixelViewport = (this.printing ? fullPixelRange : visiblePixelRange)(dom, this.paddingTop);
    let dTop = pixelViewport.top - this.pixelViewport.top,
      dBottom = pixelViewport.bottom - this.pixelViewport.bottom;
    this.pixelViewport = pixelViewport;
    let inView = this.pixelViewport.bottom > this.pixelViewport.top && this.pixelViewport.right > this.pixelViewport.left;
    if (inView != this.inView) {
      this.inView = inView;
      if (inView) measureContent = true;
    }
    if (!this.inView && !this.scrollTarget) return 0;
    let contentWidth = domRect.width;
    if (this.contentDOMWidth != contentWidth || this.editorHeight != view.scrollDOM.clientHeight) {
      this.contentDOMWidth = domRect.width;
      this.editorHeight = view.scrollDOM.clientHeight;
      result |= 8 /* UpdateFlag.Geometry */;
    }

    if (measureContent) {
      let lineHeights = view.docView.measureVisibleLineHeights(this.viewport);
      if (oracle.mustRefreshForHeights(lineHeights)) refresh = true;
      if (refresh || oracle.lineWrapping && Math.abs(contentWidth - this.contentDOMWidth) > oracle.charWidth) {
        let {
          lineHeight,
          charWidth,
          textHeight
        } = view.docView.measureTextSize();
        refresh = lineHeight > 0 && oracle.refresh(whiteSpace, lineHeight, charWidth, textHeight, contentWidth / charWidth, lineHeights);
        if (refresh) {
          view.docView.minWidth = 0;
          result |= 8 /* UpdateFlag.Geometry */;
        }
      }

      if (dTop > 0 && dBottom > 0) bias = Math.max(dTop, dBottom);else if (dTop < 0 && dBottom < 0) bias = Math.min(dTop, dBottom);
      oracle.heightChanged = false;
      for (let vp of this.viewports) {
        let heights = vp.from == this.viewport.from ? lineHeights : view.docView.measureVisibleLineHeights(vp);
        this.heightMap = (refresh ? HeightMap.empty().applyChanges(this.stateDeco, _state.Text.empty, this.heightOracle, [new ChangedRange(0, 0, 0, view.state.doc.length)]) : this.heightMap).updateHeight(oracle, 0, refresh, new MeasuredHeights(vp.from, heights));
      }
      if (oracle.heightChanged) result |= 2 /* UpdateFlag.Height */;
    }

    let viewportChange = !this.viewportIsAppropriate(this.viewport, bias) || this.scrollTarget && (this.scrollTarget.range.head < this.viewport.from || this.scrollTarget.range.head > this.viewport.to);
    if (viewportChange) this.viewport = this.getViewport(bias, this.scrollTarget);
    this.updateForViewport();
    if (result & 2 /* UpdateFlag.Height */ || viewportChange) this.updateViewportLines();
    if (this.lineGaps.length || this.viewport.to - this.viewport.from > 2000 /* LG.Margin */ << 1) this.updateLineGaps(this.ensureLineGaps(refresh ? [] : this.lineGaps, view));
    result |= this.computeVisibleRanges();
    if (this.mustEnforceCursorAssoc) {
      this.mustEnforceCursorAssoc = false;
      // This is done in the read stage, because moving the selection
      // to a line end is going to trigger a layout anyway, so it
      // can't be a pure write. It should be rare that it does any
      // writing.
      view.docView.enforceCursorAssoc();
    }
    return result;
  }
  get visibleTop() {
    return this.scaler.fromDOM(this.pixelViewport.top);
  }
  get visibleBottom() {
    return this.scaler.fromDOM(this.pixelViewport.bottom);
  }
  getViewport(bias, scrollTarget) {
    // This will divide VP.Margin between the top and the
    // bottom, depending on the bias (the change in viewport position
    // since the last update). It'll hold a number between 0 and 1
    let marginTop = 0.5 - Math.max(-0.5, Math.min(0.5, bias / 1000 /* VP.Margin */ / 2));
    let map = this.heightMap,
      oracle = this.heightOracle;
    let {
      visibleTop,
      visibleBottom
    } = this;
    let viewport = new Viewport(map.lineAt(visibleTop - marginTop * 1000 /* VP.Margin */, QueryType.ByHeight, oracle, 0, 0).from, map.lineAt(visibleBottom + (1 - marginTop) * 1000 /* VP.Margin */, QueryType.ByHeight, oracle, 0, 0).to);
    // If scrollTarget is given, make sure the viewport includes that position
    if (scrollTarget) {
      let {
        head
      } = scrollTarget.range;
      if (head < viewport.from || head > viewport.to) {
        let viewHeight = Math.min(this.editorHeight, this.pixelViewport.bottom - this.pixelViewport.top);
        let block = map.lineAt(head, QueryType.ByPos, oracle, 0, 0),
          topPos;
        if (scrollTarget.y == "center") topPos = (block.top + block.bottom) / 2 - viewHeight / 2;else if (scrollTarget.y == "start" || scrollTarget.y == "nearest" && head < viewport.from) topPos = block.top;else topPos = block.bottom - viewHeight;
        viewport = new Viewport(map.lineAt(topPos - 1000 /* VP.Margin */ / 2, QueryType.ByHeight, oracle, 0, 0).from, map.lineAt(topPos + viewHeight + 1000 /* VP.Margin */ / 2, QueryType.ByHeight, oracle, 0, 0).to);
      }
    }
    return viewport;
  }
  mapViewport(viewport, changes) {
    let from = changes.mapPos(viewport.from, -1),
      to = changes.mapPos(viewport.to, 1);
    return new Viewport(this.heightMap.lineAt(from, QueryType.ByPos, this.heightOracle, 0, 0).from, this.heightMap.lineAt(to, QueryType.ByPos, this.heightOracle, 0, 0).to);
  }
  // Checks if a given viewport covers the visible part of the
  // document and not too much beyond that.
  viewportIsAppropriate({
    from,
    to
  }, bias = 0) {
    if (!this.inView) return true;
    let {
      top
    } = this.heightMap.lineAt(from, QueryType.ByPos, this.heightOracle, 0, 0);
    let {
      bottom
    } = this.heightMap.lineAt(to, QueryType.ByPos, this.heightOracle, 0, 0);
    let {
      visibleTop,
      visibleBottom
    } = this;
    return (from == 0 || top <= visibleTop - Math.max(10 /* VP.MinCoverMargin */, Math.min(-bias, 250 /* VP.MaxCoverMargin */))) && (to == this.state.doc.length || bottom >= visibleBottom + Math.max(10 /* VP.MinCoverMargin */, Math.min(bias, 250 /* VP.MaxCoverMargin */))) && top > visibleTop - 2 * 1000 /* VP.Margin */ && bottom < visibleBottom + 2 * 1000 /* VP.Margin */;
  }

  mapLineGaps(gaps, changes) {
    if (!gaps.length || changes.empty) return gaps;
    let mapped = [];
    for (let gap of gaps) if (!changes.touchesRange(gap.from, gap.to)) mapped.push(new LineGap(changes.mapPos(gap.from), changes.mapPos(gap.to), gap.size));
    return mapped;
  }
  // Computes positions in the viewport where the start or end of a
  // line should be hidden, trying to reuse existing line gaps when
  // appropriate to avoid unneccesary redraws.
  // Uses crude character-counting for the positioning and sizing,
  // since actual DOM coordinates aren't always available and
  // predictable. Relies on generous margins (see LG.Margin) to hide
  // the artifacts this might produce from the user.
  ensureLineGaps(current, mayMeasure) {
    let wrapping = this.heightOracle.lineWrapping;
    let margin = wrapping ? 10000 /* LG.MarginWrap */ : 2000 /* LG.Margin */,
      halfMargin = margin >> 1,
      doubleMargin = margin << 1;
    // The non-wrapping logic won't work at all in predominantly right-to-left text.
    if (this.defaultTextDirection != Direction.LTR && !wrapping) return [];
    let gaps = [];
    let addGap = (from, to, line, structure) => {
      if (to - from < halfMargin) return;
      let sel = this.state.selection.main,
        avoid = [sel.from];
      if (!sel.empty) avoid.push(sel.to);
      for (let pos of avoid) {
        if (pos > from && pos < to) {
          addGap(from, pos - 10 /* LG.SelectionMargin */, line, structure);
          addGap(pos + 10 /* LG.SelectionMargin */, to, line, structure);
          return;
        }
      }
      let gap = find(current, gap => gap.from >= line.from && gap.to <= line.to && Math.abs(gap.from - from) < halfMargin && Math.abs(gap.to - to) < halfMargin && !avoid.some(pos => gap.from < pos && gap.to > pos));
      if (!gap) {
        // When scrolling down, snap gap ends to line starts to avoid shifts in wrapping
        if (to < line.to && mayMeasure && wrapping && mayMeasure.visibleRanges.some(r => r.from <= to && r.to >= to)) {
          let lineStart = mayMeasure.moveToLineBoundary(_state.EditorSelection.cursor(to), false, true).head;
          if (lineStart > from) to = lineStart;
        }
        gap = new LineGap(from, to, this.gapSize(line, from, to, structure));
      }
      gaps.push(gap);
    };
    for (let line of this.viewportLines) {
      if (line.length < doubleMargin) continue;
      let structure = lineStructure(line.from, line.to, this.stateDeco);
      if (structure.total < doubleMargin) continue;
      let target = this.scrollTarget ? this.scrollTarget.range.head : null;
      let viewFrom, viewTo;
      if (wrapping) {
        let marginHeight = margin / this.heightOracle.lineLength * this.heightOracle.lineHeight;
        let top, bot;
        if (target != null) {
          let targetFrac = findFraction(structure, target);
          let spaceFrac = ((this.visibleBottom - this.visibleTop) / 2 + marginHeight) / line.height;
          top = targetFrac - spaceFrac;
          bot = targetFrac + spaceFrac;
        } else {
          top = (this.visibleTop - line.top - marginHeight) / line.height;
          bot = (this.visibleBottom - line.top + marginHeight) / line.height;
        }
        viewFrom = findPosition(structure, top);
        viewTo = findPosition(structure, bot);
      } else {
        let totalWidth = structure.total * this.heightOracle.charWidth;
        let marginWidth = margin * this.heightOracle.charWidth;
        let left, right;
        if (target != null) {
          let targetFrac = findFraction(structure, target);
          let spaceFrac = ((this.pixelViewport.right - this.pixelViewport.left) / 2 + marginWidth) / totalWidth;
          left = targetFrac - spaceFrac;
          right = targetFrac + spaceFrac;
        } else {
          left = (this.pixelViewport.left - marginWidth) / totalWidth;
          right = (this.pixelViewport.right + marginWidth) / totalWidth;
        }
        viewFrom = findPosition(structure, left);
        viewTo = findPosition(structure, right);
      }
      if (viewFrom > line.from) addGap(line.from, viewFrom, line, structure);
      if (viewTo < line.to) addGap(viewTo, line.to, line, structure);
    }
    return gaps;
  }
  gapSize(line, from, to, structure) {
    let fraction = findFraction(structure, to) - findFraction(structure, from);
    if (this.heightOracle.lineWrapping) {
      return line.height * fraction;
    } else {
      return structure.total * this.heightOracle.charWidth * fraction;
    }
  }
  updateLineGaps(gaps) {
    if (!LineGap.same(gaps, this.lineGaps)) {
      this.lineGaps = gaps;
      this.lineGapDeco = Decoration.set(gaps.map(gap => gap.draw(this.heightOracle.lineWrapping)));
    }
  }
  computeVisibleRanges() {
    let deco = this.stateDeco;
    if (this.lineGaps.length) deco = deco.concat(this.lineGapDeco);
    let ranges = [];
    _state.RangeSet.spans(deco, this.viewport.from, this.viewport.to, {
      span(from, to) {
        ranges.push({
          from,
          to
        });
      },
      point() {}
    }, 20);
    let changed = ranges.length != this.visibleRanges.length || this.visibleRanges.some((r, i) => r.from != ranges[i].from || r.to != ranges[i].to);
    this.visibleRanges = ranges;
    return changed ? 4 /* UpdateFlag.Viewport */ : 0;
  }
  lineBlockAt(pos) {
    return pos >= this.viewport.from && pos <= this.viewport.to && this.viewportLines.find(b => b.from <= pos && b.to >= pos) || scaleBlock(this.heightMap.lineAt(pos, QueryType.ByPos, this.heightOracle, 0, 0), this.scaler);
  }
  lineBlockAtHeight(height) {
    return scaleBlock(this.heightMap.lineAt(this.scaler.fromDOM(height), QueryType.ByHeight, this.heightOracle, 0, 0), this.scaler);
  }
  elementAtHeight(height) {
    return scaleBlock(this.heightMap.blockAt(this.scaler.fromDOM(height), this.heightOracle, 0, 0), this.scaler);
  }
  get docHeight() {
    return this.scaler.toDOM(this.heightMap.height);
  }
  get contentHeight() {
    return this.docHeight + this.paddingTop + this.paddingBottom;
  }
}
class Viewport {
  constructor(from, to) {
    this.from = from;
    this.to = to;
  }
}
function lineStructure(from, to, stateDeco) {
  let ranges = [],
    pos = from,
    total = 0;
  _state.RangeSet.spans(stateDeco, from, to, {
    span() {},
    point(from, to) {
      if (from > pos) {
        ranges.push({
          from: pos,
          to: from
        });
        total += from - pos;
      }
      pos = to;
    }
  }, 20); // We're only interested in collapsed ranges of a significant size
  if (pos < to) {
    ranges.push({
      from: pos,
      to
    });
    total += to - pos;
  }
  return {
    total,
    ranges
  };
}
function findPosition({
  total,
  ranges
}, ratio) {
  if (ratio <= 0) return ranges[0].from;
  if (ratio >= 1) return ranges[ranges.length - 1].to;
  let dist = Math.floor(total * ratio);
  for (let i = 0;; i++) {
    let {
        from,
        to
      } = ranges[i],
      size = to - from;
    if (dist <= size) return from + dist;
    dist -= size;
  }
}
function findFraction(structure, pos) {
  let counted = 0;
  for (let {
    from,
    to
  } of structure.ranges) {
    if (pos <= to) {
      counted += pos - from;
      break;
    }
    counted += to - from;
  }
  return counted / structure.total;
}
function find(array, f) {
  for (let val of array) if (f(val)) return val;
  return undefined;
}
// Don't scale when the document height is within the range of what
// the DOM can handle.
const IdScaler = {
  toDOM(n) {
    return n;
  },
  fromDOM(n) {
    return n;
  },
  scale: 1
};
// When the height is too big (> VP.MaxDOMHeight), scale down the
// regions outside the viewports so that the total height is
// VP.MaxDOMHeight.
class BigScaler {
  constructor(oracle, heightMap, viewports) {
    let vpHeight = 0,
      base = 0,
      domBase = 0;
    this.viewports = viewports.map(({
      from,
      to
    }) => {
      let top = heightMap.lineAt(from, QueryType.ByPos, oracle, 0, 0).top;
      let bottom = heightMap.lineAt(to, QueryType.ByPos, oracle, 0, 0).bottom;
      vpHeight += bottom - top;
      return {
        from,
        to,
        top,
        bottom,
        domTop: 0,
        domBottom: 0
      };
    });
    this.scale = (7000000 /* VP.MaxDOMHeight */ - vpHeight) / (heightMap.height - vpHeight);
    for (let obj of this.viewports) {
      obj.domTop = domBase + (obj.top - base) * this.scale;
      domBase = obj.domBottom = obj.domTop + (obj.bottom - obj.top);
      base = obj.bottom;
    }
  }
  toDOM(n) {
    for (let i = 0, base = 0, domBase = 0;; i++) {
      let vp = i < this.viewports.length ? this.viewports[i] : null;
      if (!vp || n < vp.top) return domBase + (n - base) * this.scale;
      if (n <= vp.bottom) return vp.domTop + (n - vp.top);
      base = vp.bottom;
      domBase = vp.domBottom;
    }
  }
  fromDOM(n) {
    for (let i = 0, base = 0, domBase = 0;; i++) {
      let vp = i < this.viewports.length ? this.viewports[i] : null;
      if (!vp || n < vp.domTop) return base + (n - domBase) / this.scale;
      if (n <= vp.domBottom) return vp.top + (n - vp.domTop);
      base = vp.bottom;
      domBase = vp.domBottom;
    }
  }
}
function scaleBlock(block, scaler) {
  if (scaler.scale == 1) return block;
  let bTop = scaler.toDOM(block.top),
    bBottom = scaler.toDOM(block.bottom);
  return new BlockInfo(block.from, block.length, bTop, bBottom - bTop, Array.isArray(block.type) ? block.type.map(b => scaleBlock(b, scaler)) : block.type);
}
const theme = /*@__PURE__*/_state.Facet.define({
  combine: strs => strs.join(" ")
});
const darkTheme = /*@__PURE__*/_state.Facet.define({
  combine: values => values.indexOf(true) > -1
});
const baseThemeID = /*@__PURE__*/_styleMod.StyleModule.newName(),
  baseLightID = /*@__PURE__*/_styleMod.StyleModule.newName(),
  baseDarkID = /*@__PURE__*/_styleMod.StyleModule.newName();
const lightDarkIDs = {
  "&light": "." + baseLightID,
  "&dark": "." + baseDarkID
};
function buildTheme(main, spec, scopes) {
  return new _styleMod.StyleModule(spec, {
    finish(sel) {
      return /&/.test(sel) ? sel.replace(/&\w*/, m => {
        if (m == "&") return main;
        if (!scopes || !scopes[m]) throw new RangeError(`Unsupported selector: ${m}`);
        return scopes[m];
      }) : main + " " + sel;
    }
  });
}
const baseTheme$1 = /*@__PURE__*/buildTheme("." + baseThemeID, {
  "&": {
    position: "relative !important",
    boxSizing: "border-box",
    "&.cm-focused": {
      // Provide a simple default outline to make sure a focused
      // editor is visually distinct. Can't leave the default behavior
      // because that will apply to the content element, which is
      // inside the scrollable container and doesn't include the
      // gutters. We also can't use an 'auto' outline, since those
      // are, for some reason, drawn behind the element content, which
      // will cause things like the active line background to cover
      // the outline (#297).
      outline: "1px dotted #212121"
    },
    display: "flex !important",
    flexDirection: "column"
  },
  ".cm-scroller": {
    display: "flex !important",
    alignItems: "flex-start !important",
    fontFamily: "monospace",
    lineHeight: 1.4,
    height: "100%",
    overflowX: "auto",
    position: "relative",
    zIndex: 0
  },
  ".cm-content": {
    margin: 0,
    flexGrow: 2,
    flexShrink: 0,
    display: "block",
    whiteSpace: "pre",
    wordWrap: "normal",
    boxSizing: "border-box",
    padding: "4px 0",
    outline: "none",
    "&[contenteditable=true]": {
      WebkitUserModify: "read-write-plaintext-only"
    }
  },
  ".cm-lineWrapping": {
    whiteSpace_fallback: "pre-wrap",
    whiteSpace: "break-spaces",
    wordBreak: "break-word",
    overflowWrap: "anywhere",
    flexShrink: 1
  },
  "&light .cm-content": {
    caretColor: "black"
  },
  "&dark .cm-content": {
    caretColor: "white"
  },
  ".cm-line": {
    display: "block",
    padding: "0 2px 0 6px"
  },
  ".cm-layer": {
    position: "absolute",
    left: 0,
    top: 0,
    contain: "size style",
    "& > *": {
      position: "absolute"
    }
  },
  "&light .cm-selectionBackground": {
    background: "#d9d9d9"
  },
  "&dark .cm-selectionBackground": {
    background: "#222"
  },
  "&light.cm-focused > .cm-scroller > .cm-selectionLayer .cm-selectionBackground": {
    background: "#d7d4f0"
  },
  "&dark.cm-focused > .cm-scroller > .cm-selectionLayer .cm-selectionBackground": {
    background: "#233"
  },
  ".cm-cursorLayer": {
    pointerEvents: "none"
  },
  "&.cm-focused > .cm-scroller > .cm-cursorLayer": {
    animation: "steps(1) cm-blink 1.2s infinite"
  },
  // Two animations defined so that we can switch between them to
  // restart the animation without forcing another style
  // recomputation.
  "@keyframes cm-blink": {
    "0%": {},
    "50%": {
      opacity: 0
    },
    "100%": {}
  },
  "@keyframes cm-blink2": {
    "0%": {},
    "50%": {
      opacity: 0
    },
    "100%": {}
  },
  ".cm-cursor, .cm-dropCursor": {
    borderLeft: "1.2px solid black",
    marginLeft: "-0.6px",
    pointerEvents: "none"
  },
  ".cm-cursor": {
    display: "none"
  },
  "&dark .cm-cursor": {
    borderLeftColor: "#444"
  },
  ".cm-dropCursor": {
    position: "absolute"
  },
  "&.cm-focused > .cm-scroller > .cm-cursorLayer .cm-cursor": {
    display: "block"
  },
  "&light .cm-activeLine": {
    backgroundColor: "#cceeff44"
  },
  "&dark .cm-activeLine": {
    backgroundColor: "#99eeff33"
  },
  "&light .cm-specialChar": {
    color: "red"
  },
  "&dark .cm-specialChar": {
    color: "#f78"
  },
  ".cm-gutters": {
    flexShrink: 0,
    display: "flex",
    height: "100%",
    boxSizing: "border-box",
    left: 0,
    zIndex: 200
  },
  "&light .cm-gutters": {
    backgroundColor: "#f5f5f5",
    color: "#6c6c6c",
    borderRight: "1px solid #ddd"
  },
  "&dark .cm-gutters": {
    backgroundColor: "#333338",
    color: "#ccc"
  },
  ".cm-gutter": {
    display: "flex !important",
    flexDirection: "column",
    flexShrink: 0,
    boxSizing: "border-box",
    minHeight: "100%",
    overflow: "hidden"
  },
  ".cm-gutterElement": {
    boxSizing: "border-box"
  },
  ".cm-lineNumbers .cm-gutterElement": {
    padding: "0 3px 0 5px",
    minWidth: "20px",
    textAlign: "right",
    whiteSpace: "nowrap"
  },
  "&light .cm-activeLineGutter": {
    backgroundColor: "#e2f2ff"
  },
  "&dark .cm-activeLineGutter": {
    backgroundColor: "#222227"
  },
  ".cm-panels": {
    boxSizing: "border-box",
    position: "sticky",
    left: 0,
    right: 0
  },
  "&light .cm-panels": {
    backgroundColor: "#f5f5f5",
    color: "black"
  },
  "&light .cm-panels-top": {
    borderBottom: "1px solid #ddd"
  },
  "&light .cm-panels-bottom": {
    borderTop: "1px solid #ddd"
  },
  "&dark .cm-panels": {
    backgroundColor: "#333338",
    color: "white"
  },
  ".cm-tab": {
    display: "inline-block",
    overflow: "hidden",
    verticalAlign: "bottom"
  },
  ".cm-widgetBuffer": {
    verticalAlign: "text-top",
    height: "1em",
    width: 0,
    display: "inline"
  },
  ".cm-placeholder": {
    color: "#888",
    display: "inline-block",
    verticalAlign: "top"
  },
  ".cm-highlightSpace:before": {
    content: "attr(data-display)",
    position: "absolute",
    pointerEvents: "none",
    color: "#888"
  },
  ".cm-highlightTab": {
    backgroundImage: `url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="200" height="20"><path stroke="%23888" stroke-width="1" fill="none" d="M1 10H196L190 5M190 15L196 10M197 4L197 16"/></svg>')`,
    backgroundSize: "auto 100%",
    backgroundPosition: "right 90%",
    backgroundRepeat: "no-repeat"
  },
  ".cm-trailingSpace": {
    backgroundColor: "#ff332255"
  },
  ".cm-button": {
    verticalAlign: "middle",
    color: "inherit",
    fontSize: "70%",
    padding: ".2em 1em",
    borderRadius: "1px"
  },
  "&light .cm-button": {
    backgroundImage: "linear-gradient(#eff1f5, #d9d9df)",
    border: "1px solid #888",
    "&:active": {
      backgroundImage: "linear-gradient(#b4b4b4, #d0d3d6)"
    }
  },
  "&dark .cm-button": {
    backgroundImage: "linear-gradient(#393939, #111)",
    border: "1px solid #888",
    "&:active": {
      backgroundImage: "linear-gradient(#111, #333)"
    }
  },
  ".cm-textfield": {
    verticalAlign: "middle",
    color: "inherit",
    fontSize: "70%",
    border: "1px solid silver",
    padding: ".2em .5em"
  },
  "&light .cm-textfield": {
    backgroundColor: "white"
  },
  "&dark .cm-textfield": {
    border: "1px solid #555",
    backgroundColor: "inherit"
  }
}, lightDarkIDs);
class DOMChange {
  constructor(view, start, end, typeOver) {
    this.typeOver = typeOver;
    this.bounds = null;
    this.text = "";
    let {
      impreciseHead: iHead,
      impreciseAnchor: iAnchor
    } = view.docView;
    if (view.state.readOnly && start > -1) {
      // Ignore changes when the editor is read-only
      this.newSel = null;
    } else if (start > -1 && (this.bounds = view.docView.domBoundsAround(start, end, 0))) {
      let selPoints = iHead || iAnchor ? [] : selectionPoints(view);
      let reader = new DOMReader(selPoints, view.state);
      reader.readRange(this.bounds.startDOM, this.bounds.endDOM);
      this.text = reader.text;
      this.newSel = selectionFromPoints(selPoints, this.bounds.from);
    } else {
      let domSel = view.observer.selectionRange;
      let head = iHead && iHead.node == domSel.focusNode && iHead.offset == domSel.focusOffset || !contains(view.contentDOM, domSel.focusNode) ? view.state.selection.main.head : view.docView.posFromDOM(domSel.focusNode, domSel.focusOffset);
      let anchor = iAnchor && iAnchor.node == domSel.anchorNode && iAnchor.offset == domSel.anchorOffset || !contains(view.contentDOM, domSel.anchorNode) ? view.state.selection.main.anchor : view.docView.posFromDOM(domSel.anchorNode, domSel.anchorOffset);
      this.newSel = _state.EditorSelection.single(anchor, head);
    }
  }
}
function applyDOMChange(view, domChange) {
  let change;
  let {
      newSel
    } = domChange,
    sel = view.state.selection.main;
  if (domChange.bounds) {
    let {
      from,
      to
    } = domChange.bounds;
    let preferredPos = sel.from,
      preferredSide = null;
    // Prefer anchoring to end when Backspace is pressed (or, on
    // Android, when something was deleted)
    if (view.inputState.lastKeyCode === 8 && view.inputState.lastKeyTime > Date.now() - 100 || browser.android && domChange.text.length < to - from) {
      preferredPos = sel.to;
      preferredSide = "end";
    }
    let diff = findDiff(view.state.doc.sliceString(from, to, LineBreakPlaceholder), domChange.text, preferredPos - from, preferredSide);
    if (diff) {
      // Chrome inserts two newlines when pressing shift-enter at the
      // end of a line. DomChange drops one of those.
      if (browser.chrome && view.inputState.lastKeyCode == 13 && diff.toB == diff.from + 2 && domChange.text.slice(diff.from, diff.toB) == LineBreakPlaceholder + LineBreakPlaceholder) diff.toB--;
      change = {
        from: from + diff.from,
        to: from + diff.toA,
        insert: _state.Text.of(domChange.text.slice(diff.from, diff.toB).split(LineBreakPlaceholder))
      };
    }
  } else if (newSel && (!view.hasFocus && view.state.facet(editable) || newSel.main.eq(sel))) {
    newSel = null;
  }
  if (!change && !newSel) return false;
  if (!change && domChange.typeOver && !sel.empty && newSel && newSel.main.empty) {
    // Heuristic to notice typing over a selected character
    change = {
      from: sel.from,
      to: sel.to,
      insert: view.state.doc.slice(sel.from, sel.to)
    };
  } else if (change && change.from >= sel.from && change.to <= sel.to && (change.from != sel.from || change.to != sel.to) && sel.to - sel.from - (change.to - change.from) <= 4) {
    // If the change is inside the selection and covers most of it,
    // assume it is a selection replace (with identical characters at
    // the start/end not included in the diff)
    change = {
      from: sel.from,
      to: sel.to,
      insert: view.state.doc.slice(sel.from, change.from).append(change.insert).append(view.state.doc.slice(change.to, sel.to))
    };
  } else if ((browser.mac || browser.android) && change && change.from == change.to && change.from == sel.head - 1 && /^\. ?$/.test(change.insert.toString()) && view.contentDOM.getAttribute("autocorrect") == "off") {
    // Detect insert-period-on-double-space Mac and Android behavior,
    // and transform it into a regular space insert.
    if (newSel && change.insert.length == 2) newSel = _state.EditorSelection.single(newSel.main.anchor - 1, newSel.main.head - 1);
    change = {
      from: sel.from,
      to: sel.to,
      insert: _state.Text.of([" "])
    };
  } else if (browser.chrome && change && change.from == change.to && change.from == sel.head && change.insert.toString() == "\n " && view.lineWrapping) {
    // In Chrome, if you insert a space at the start of a wrapped
    // line, it will actually insert a newline and a space, causing a
    // bogus new line to be created in CodeMirror (#968)
    if (newSel) newSel = _state.EditorSelection.single(newSel.main.anchor - 1, newSel.main.head - 1);
    change = {
      from: sel.from,
      to: sel.to,
      insert: _state.Text.of([" "])
    };
  }
  if (change) {
    let startState = view.state;
    if (browser.ios && view.inputState.flushIOSKey(view)) return true;
    // Android browsers don't fire reasonable key events for enter,
    // backspace, or delete. So this detects changes that look like
    // they're caused by those keys, and reinterprets them as key
    // events. (Some of these keys are also handled by beforeinput
    // events and the pendingAndroidKey mechanism, but that's not
    // reliable in all situations.)
    if (browser.android && (change.from == sel.from && change.to == sel.to && change.insert.length == 1 && change.insert.lines == 2 && dispatchKey(view.contentDOM, "Enter", 13) || change.from == sel.from - 1 && change.to == sel.to && change.insert.length == 0 && dispatchKey(view.contentDOM, "Backspace", 8) || change.from == sel.from && change.to == sel.to + 1 && change.insert.length == 0 && dispatchKey(view.contentDOM, "Delete", 46))) return true;
    let text = change.insert.toString();
    if (view.state.facet(inputHandler).some(h => h(view, change.from, change.to, text))) return true;
    if (view.inputState.composing >= 0) view.inputState.composing++;
    let tr;
    if (change.from >= sel.from && change.to <= sel.to && change.to - change.from >= (sel.to - sel.from) / 3 && (!newSel || newSel.main.empty && newSel.main.from == change.from + change.insert.length) && view.inputState.composing < 0) {
      let before = sel.from < change.from ? startState.sliceDoc(sel.from, change.from) : "";
      let after = sel.to > change.to ? startState.sliceDoc(change.to, sel.to) : "";
      tr = startState.replaceSelection(view.state.toText(before + change.insert.sliceString(0, undefined, view.state.lineBreak) + after));
    } else {
      let changes = startState.changes(change);
      let mainSel = newSel && newSel.main.to <= changes.newLength ? newSel.main : undefined;
      // Try to apply a composition change to all cursors
      if (startState.selection.ranges.length > 1 && view.inputState.composing >= 0 && change.to <= sel.to && change.to >= sel.to - 10) {
        let replaced = view.state.sliceDoc(change.from, change.to);
        let compositionRange = compositionSurroundingNode(view) || view.state.doc.lineAt(sel.head);
        let offset = sel.to - change.to,
          size = sel.to - sel.from;
        tr = startState.changeByRange(range => {
          if (range.from == sel.from && range.to == sel.to) return {
            changes,
            range: mainSel || range.map(changes)
          };
          let to = range.to - offset,
            from = to - replaced.length;
          if (range.to - range.from != size || view.state.sliceDoc(from, to) != replaced ||
          // Unfortunately, there's no way to make multiple
          // changes in the same node work without aborting
          // composition, so cursors in the composition range are
          // ignored.
          compositionRange && range.to >= compositionRange.from && range.from <= compositionRange.to) return {
            range
          };
          let rangeChanges = startState.changes({
              from,
              to,
              insert: change.insert
            }),
            selOff = range.to - sel.to;
          return {
            changes: rangeChanges,
            range: !mainSel ? range.map(rangeChanges) : _state.EditorSelection.range(Math.max(0, mainSel.anchor + selOff), Math.max(0, mainSel.head + selOff))
          };
        });
      } else {
        tr = {
          changes,
          selection: mainSel && startState.selection.replaceRange(mainSel)
        };
      }
    }
    let userEvent = "input.type";
    if (view.composing || view.inputState.compositionPendingChange && view.inputState.compositionEndedAt > Date.now() - 50) {
      view.inputState.compositionPendingChange = false;
      userEvent += ".compose";
      if (view.inputState.compositionFirstChange) {
        userEvent += ".start";
        view.inputState.compositionFirstChange = false;
      }
    }
    view.dispatch(tr, {
      scrollIntoView: true,
      userEvent
    });
    return true;
  } else if (newSel && !newSel.main.eq(sel)) {
    let scrollIntoView = false,
      userEvent = "select";
    if (view.inputState.lastSelectionTime > Date.now() - 50) {
      if (view.inputState.lastSelectionOrigin == "select") scrollIntoView = true;
      userEvent = view.inputState.lastSelectionOrigin;
    }
    view.dispatch({
      selection: newSel,
      scrollIntoView,
      userEvent
    });
    return true;
  } else {
    return false;
  }
}
function findDiff(a, b, preferredPos, preferredSide) {
  let minLen = Math.min(a.length, b.length);
  let from = 0;
  while (from < minLen && a.charCodeAt(from) == b.charCodeAt(from)) from++;
  if (from == minLen && a.length == b.length) return null;
  let toA = a.length,
    toB = b.length;
  while (toA > 0 && toB > 0 && a.charCodeAt(toA - 1) == b.charCodeAt(toB - 1)) {
    toA--;
    toB--;
  }
  if (preferredSide == "end") {
    let adjust = Math.max(0, from - Math.min(toA, toB));
    preferredPos -= toA + adjust - from;
  }
  if (toA < from && a.length < b.length) {
    let move = preferredPos <= from && preferredPos >= toA ? from - preferredPos : 0;
    from -= move;
    toB = from + (toB - toA);
    toA = from;
  } else if (toB < from) {
    let move = preferredPos <= from && preferredPos >= toB ? from - preferredPos : 0;
    from -= move;
    toA = from + (toA - toB);
    toB = from;
  }
  return {
    from,
    toA,
    toB
  };
}
function selectionPoints(view) {
  let result = [];
  if (view.root.activeElement != view.contentDOM) return result;
  let {
    anchorNode,
    anchorOffset,
    focusNode,
    focusOffset
  } = view.observer.selectionRange;
  if (anchorNode) {
    result.push(new DOMPoint(anchorNode, anchorOffset));
    if (focusNode != anchorNode || focusOffset != anchorOffset) result.push(new DOMPoint(focusNode, focusOffset));
  }
  return result;
}
function selectionFromPoints(points, base) {
  if (points.length == 0) return null;
  let anchor = points[0].pos,
    head = points.length == 2 ? points[1].pos : anchor;
  return anchor > -1 && head > -1 ? _state.EditorSelection.single(anchor + base, head + base) : null;
}
const observeOptions = {
  childList: true,
  characterData: true,
  subtree: true,
  attributes: true,
  characterDataOldValue: true
};
// IE11 has very broken mutation observers, so we also listen to
// DOMCharacterDataModified there
const useCharData = browser.ie && browser.ie_version <= 11;
class DOMObserver {
  constructor(view) {
    this.view = view;
    this.active = false;
    // The known selection. Kept in our own object, as opposed to just
    // directly accessing the selection because:
    //  - Safari doesn't report the right selection in shadow DOM
    //  - Reading from the selection forces a DOM layout
    //  - This way, we can ignore selectionchange events if we have
    //    already seen the 'new' selection
    this.selectionRange = new DOMSelectionState();
    // Set when a selection change is detected, cleared on flush
    this.selectionChanged = false;
    this.delayedFlush = -1;
    this.resizeTimeout = -1;
    this.queue = [];
    this.delayedAndroidKey = null;
    this.flushingAndroidKey = -1;
    this.lastChange = 0;
    this.scrollTargets = [];
    this.intersection = null;
    this.resizeScroll = null;
    this.resizeContent = null;
    this.intersecting = false;
    this.gapIntersection = null;
    this.gaps = [];
    // Timeout for scheduling check of the parents that need scroll handlers
    this.parentCheck = -1;
    this.dom = view.contentDOM;
    this.observer = new MutationObserver(mutations => {
      for (let mut of mutations) this.queue.push(mut);
      // IE11 will sometimes (on typing over a selection or
      // backspacing out a single character text node) call the
      // observer callback before actually updating the DOM.
      //
      // Unrelatedly, iOS Safari will, when ending a composition,
      // sometimes first clear it, deliver the mutations, and then
      // reinsert the finished text. CodeMirror's handling of the
      // deletion will prevent the reinsertion from happening,
      // breaking composition.
      if ((browser.ie && browser.ie_version <= 11 || browser.ios && view.composing) && mutations.some(m => m.type == "childList" && m.removedNodes.length || m.type == "characterData" && m.oldValue.length > m.target.nodeValue.length)) this.flushSoon();else this.flush();
    });
    if (useCharData) this.onCharData = event => {
      this.queue.push({
        target: event.target,
        type: "characterData",
        oldValue: event.prevValue
      });
      this.flushSoon();
    };
    this.onSelectionChange = this.onSelectionChange.bind(this);
    this.onResize = this.onResize.bind(this);
    this.onPrint = this.onPrint.bind(this);
    this.onScroll = this.onScroll.bind(this);
    if (typeof ResizeObserver == "function") {
      this.resizeScroll = new ResizeObserver(() => {
        var _a;
        if (((_a = this.view.docView) === null || _a === void 0 ? void 0 : _a.lastUpdate) < Date.now() - 75) this.onResize();
      });
      this.resizeScroll.observe(view.scrollDOM);
      this.resizeContent = new ResizeObserver(() => this.view.requestMeasure());
      this.resizeContent.observe(view.contentDOM);
    }
    this.addWindowListeners(this.win = view.win);
    this.start();
    if (typeof IntersectionObserver == "function") {
      this.intersection = new IntersectionObserver(entries => {
        if (this.parentCheck < 0) this.parentCheck = setTimeout(this.listenForScroll.bind(this), 1000);
        if (entries.length > 0 && entries[entries.length - 1].intersectionRatio > 0 != this.intersecting) {
          this.intersecting = !this.intersecting;
          if (this.intersecting != this.view.inView) this.onScrollChanged(document.createEvent("Event"));
        }
      }, {});
      this.intersection.observe(this.dom);
      this.gapIntersection = new IntersectionObserver(entries => {
        if (entries.length > 0 && entries[entries.length - 1].intersectionRatio > 0) this.onScrollChanged(document.createEvent("Event"));
      }, {});
    }
    this.listenForScroll();
    this.readSelectionRange();
  }
  onScrollChanged(e) {
    this.view.inputState.runScrollHandlers(this.view, e);
    if (this.intersecting) this.view.measure();
  }
  onScroll(e) {
    if (this.intersecting) this.flush(false);
    this.onScrollChanged(e);
  }
  onResize() {
    if (this.resizeTimeout < 0) this.resizeTimeout = setTimeout(() => {
      this.resizeTimeout = -1;
      this.view.requestMeasure();
    }, 50);
  }
  onPrint() {
    this.view.viewState.printing = true;
    this.view.measure();
    setTimeout(() => {
      this.view.viewState.printing = false;
      this.view.requestMeasure();
    }, 500);
  }
  updateGaps(gaps) {
    if (this.gapIntersection && (gaps.length != this.gaps.length || this.gaps.some((g, i) => g != gaps[i]))) {
      this.gapIntersection.disconnect();
      for (let gap of gaps) this.gapIntersection.observe(gap);
      this.gaps = gaps;
    }
  }
  onSelectionChange(event) {
    let wasChanged = this.selectionChanged;
    if (!this.readSelectionRange() || this.delayedAndroidKey) return;
    let {
        view
      } = this,
      sel = this.selectionRange;
    if (view.state.facet(editable) ? view.root.activeElement != this.dom : !hasSelection(view.dom, sel)) return;
    let context = sel.anchorNode && view.docView.nearest(sel.anchorNode);
    if (context && context.ignoreEvent(event)) {
      if (!wasChanged) this.selectionChanged = false;
      return;
    }
    // Deletions on IE11 fire their events in the wrong order, giving
    // us a selection change event before the DOM changes are
    // reported.
    // Chrome Android has a similar issue when backspacing out a
    // selection (#645).
    if ((browser.ie && browser.ie_version <= 11 || browser.android && browser.chrome) && !view.state.selection.main.empty &&
    // (Selection.isCollapsed isn't reliable on IE)
    sel.focusNode && isEquivalentPosition(sel.focusNode, sel.focusOffset, sel.anchorNode, sel.anchorOffset)) this.flushSoon();else this.flush(false);
  }
  readSelectionRange() {
    let {
      view
    } = this;
    // The Selection object is broken in shadow roots in Safari. See
    // https://github.com/codemirror/dev/issues/414
    let range = browser.safari && view.root.nodeType == 11 && deepActiveElement(this.dom.ownerDocument) == this.dom && safariSelectionRangeHack(this.view) || getSelection(view.root);
    if (!range || this.selectionRange.eq(range)) return false;
    let local = hasSelection(this.dom, range);
    // Detect the situation where the browser has, on focus, moved the
    // selection to the start of the content element. Reset it to the
    // position from the editor state.
    if (local && !this.selectionChanged && view.inputState.lastFocusTime > Date.now() - 200 && view.inputState.lastTouchTime < Date.now() - 300 && atElementStart(this.dom, range)) {
      this.view.inputState.lastFocusTime = 0;
      view.docView.updateSelection();
      return false;
    }
    this.selectionRange.setRange(range);
    if (local) this.selectionChanged = true;
    return true;
  }
  setSelectionRange(anchor, head) {
    this.selectionRange.set(anchor.node, anchor.offset, head.node, head.offset);
    this.selectionChanged = false;
  }
  clearSelectionRange() {
    this.selectionRange.set(null, 0, null, 0);
  }
  listenForScroll() {
    this.parentCheck = -1;
    let i = 0,
      changed = null;
    for (let dom = this.dom; dom;) {
      if (dom.nodeType == 1) {
        if (!changed && i < this.scrollTargets.length && this.scrollTargets[i] == dom) i++;else if (!changed) changed = this.scrollTargets.slice(0, i);
        if (changed) changed.push(dom);
        dom = dom.assignedSlot || dom.parentNode;
      } else if (dom.nodeType == 11) {
        // Shadow root
        dom = dom.host;
      } else {
        break;
      }
    }
    if (i < this.scrollTargets.length && !changed) changed = this.scrollTargets.slice(0, i);
    if (changed) {
      for (let dom of this.scrollTargets) dom.removeEventListener("scroll", this.onScroll);
      for (let dom of this.scrollTargets = changed) dom.addEventListener("scroll", this.onScroll);
    }
  }
  ignore(f) {
    if (!this.active) return f();
    try {
      this.stop();
      return f();
    } finally {
      this.start();
      this.clear();
    }
  }
  start() {
    if (this.active) return;
    this.observer.observe(this.dom, observeOptions);
    if (useCharData) this.dom.addEventListener("DOMCharacterDataModified", this.onCharData);
    this.active = true;
  }
  stop() {
    if (!this.active) return;
    this.active = false;
    this.observer.disconnect();
    if (useCharData) this.dom.removeEventListener("DOMCharacterDataModified", this.onCharData);
  }
  // Throw away any pending changes
  clear() {
    this.processRecords();
    this.queue.length = 0;
    this.selectionChanged = false;
  }
  // Chrome Android, especially in combination with GBoard, not only
  // doesn't reliably fire regular key events, but also often
  // surrounds the effect of enter or backspace with a bunch of
  // composition events that, when interrupted, cause text duplication
  // or other kinds of corruption. This hack makes the editor back off
  // from handling DOM changes for a moment when such a key is
  // detected (via beforeinput or keydown), and then tries to flush
  // them or, if that has no effect, dispatches the given key.
  delayAndroidKey(key, keyCode) {
    var _a;
    if (!this.delayedAndroidKey) {
      let flush = () => {
        let key = this.delayedAndroidKey;
        if (key) {
          this.clearDelayedAndroidKey();
          if (!this.flush() && key.force) dispatchKey(this.dom, key.key, key.keyCode);
        }
      };
      this.flushingAndroidKey = this.view.win.requestAnimationFrame(flush);
    }
    // Since backspace beforeinput is sometimes signalled spuriously,
    // Enter always takes precedence.
    if (!this.delayedAndroidKey || key == "Enter") this.delayedAndroidKey = {
      key,
      keyCode,
      // Only run the key handler when no changes are detected if
      // this isn't coming right after another change, in which case
      // it is probably part of a weird chain of updates, and should
      // be ignored if it returns the DOM to its previous state.
      force: this.lastChange < Date.now() - 50 || !!((_a = this.delayedAndroidKey) === null || _a === void 0 ? void 0 : _a.force)
    };
  }
  clearDelayedAndroidKey() {
    this.win.cancelAnimationFrame(this.flushingAndroidKey);
    this.delayedAndroidKey = null;
    this.flushingAndroidKey = -1;
  }
  flushSoon() {
    if (this.delayedFlush < 0) this.delayedFlush = this.view.win.requestAnimationFrame(() => {
      this.delayedFlush = -1;
      this.flush();
    });
  }
  forceFlush() {
    if (this.delayedFlush >= 0) {
      this.view.win.cancelAnimationFrame(this.delayedFlush);
      this.delayedFlush = -1;
    }
    this.flush();
  }
  pendingRecords() {
    for (let mut of this.observer.takeRecords()) this.queue.push(mut);
    return this.queue;
  }
  processRecords() {
    let records = this.pendingRecords();
    if (records.length) this.queue = [];
    let from = -1,
      to = -1,
      typeOver = false;
    for (let record of records) {
      let range = this.readMutation(record);
      if (!range) continue;
      if (range.typeOver) typeOver = true;
      if (from == -1) {
        ({
          from,
          to
        } = range);
      } else {
        from = Math.min(range.from, from);
        to = Math.max(range.to, to);
      }
    }
    return {
      from,
      to,
      typeOver
    };
  }
  readChange() {
    let {
      from,
      to,
      typeOver
    } = this.processRecords();
    let newSel = this.selectionChanged && hasSelection(this.dom, this.selectionRange);
    if (from < 0 && !newSel) return null;
    if (from > -1) this.lastChange = Date.now();
    this.view.inputState.lastFocusTime = 0;
    this.selectionChanged = false;
    return new DOMChange(this.view, from, to, typeOver);
  }
  // Apply pending changes, if any
  flush(readSelection = true) {
    // Completely hold off flushing when pending keys are set—the code
    // managing those will make sure processRecords is called and the
    // view is resynchronized after
    if (this.delayedFlush >= 0 || this.delayedAndroidKey) return false;
    if (readSelection) this.readSelectionRange();
    let domChange = this.readChange();
    if (!domChange) return false;
    let startState = this.view.state;
    let handled = applyDOMChange(this.view, domChange);
    // The view wasn't updated
    if (this.view.state == startState) this.view.update([]);
    return handled;
  }
  readMutation(rec) {
    let cView = this.view.docView.nearest(rec.target);
    if (!cView || cView.ignoreMutation(rec)) return null;
    cView.markDirty(rec.type == "attributes");
    if (rec.type == "attributes") cView.dirty |= 4 /* Dirty.Attrs */;
    if (rec.type == "childList") {
      let childBefore = findChild(cView, rec.previousSibling || rec.target.previousSibling, -1);
      let childAfter = findChild(cView, rec.nextSibling || rec.target.nextSibling, 1);
      return {
        from: childBefore ? cView.posAfter(childBefore) : cView.posAtStart,
        to: childAfter ? cView.posBefore(childAfter) : cView.posAtEnd,
        typeOver: false
      };
    } else if (rec.type == "characterData") {
      return {
        from: cView.posAtStart,
        to: cView.posAtEnd,
        typeOver: rec.target.nodeValue == rec.oldValue
      };
    } else {
      return null;
    }
  }
  setWindow(win) {
    if (win != this.win) {
      this.removeWindowListeners(this.win);
      this.win = win;
      this.addWindowListeners(this.win);
    }
  }
  addWindowListeners(win) {
    win.addEventListener("resize", this.onResize);
    win.addEventListener("beforeprint", this.onPrint);
    win.addEventListener("scroll", this.onScroll);
    win.document.addEventListener("selectionchange", this.onSelectionChange);
  }
  removeWindowListeners(win) {
    win.removeEventListener("scroll", this.onScroll);
    win.removeEventListener("resize", this.onResize);
    win.removeEventListener("beforeprint", this.onPrint);
    win.document.removeEventListener("selectionchange", this.onSelectionChange);
  }
  destroy() {
    var _a, _b, _c, _d;
    this.stop();
    (_a = this.intersection) === null || _a === void 0 ? void 0 : _a.disconnect();
    (_b = this.gapIntersection) === null || _b === void 0 ? void 0 : _b.disconnect();
    (_c = this.resizeScroll) === null || _c === void 0 ? void 0 : _c.disconnect();
    (_d = this.resizeContent) === null || _d === void 0 ? void 0 : _d.disconnect();
    for (let dom of this.scrollTargets) dom.removeEventListener("scroll", this.onScroll);
    this.removeWindowListeners(this.win);
    clearTimeout(this.parentCheck);
    clearTimeout(this.resizeTimeout);
    this.win.cancelAnimationFrame(this.delayedFlush);
    this.win.cancelAnimationFrame(this.flushingAndroidKey);
  }
}
function findChild(cView, dom, dir) {
  while (dom) {
    let curView = ContentView.get(dom);
    if (curView && curView.parent == cView) return curView;
    let parent = dom.parentNode;
    dom = parent != cView.dom ? parent : dir > 0 ? dom.nextSibling : dom.previousSibling;
  }
  return null;
}
// Used to work around a Safari Selection/shadow DOM bug (#414)
function safariSelectionRangeHack(view) {
  let found = null;
  // Because Safari (at least in 2018-2021) doesn't provide regular
  // access to the selection inside a shadowroot, we have to perform a
  // ridiculous hack to get at it—using `execCommand` to trigger a
  // `beforeInput` event so that we can read the target range from the
  // event.
  function read(event) {
    event.preventDefault();
    event.stopImmediatePropagation();
    found = event.getTargetRanges()[0];
  }
  view.contentDOM.addEventListener("beforeinput", read, true);
  view.dom.ownerDocument.execCommand("indent");
  view.contentDOM.removeEventListener("beforeinput", read, true);
  if (!found) return null;
  let anchorNode = found.startContainer,
    anchorOffset = found.startOffset;
  let focusNode = found.endContainer,
    focusOffset = found.endOffset;
  let curAnchor = view.docView.domAtPos(view.state.selection.main.anchor);
  // Since such a range doesn't distinguish between anchor and head,
  // use a heuristic that flips it around if its end matches the
  // current anchor.
  if (isEquivalentPosition(curAnchor.node, curAnchor.offset, focusNode, focusOffset)) [anchorNode, anchorOffset, focusNode, focusOffset] = [focusNode, focusOffset, anchorNode, anchorOffset];
  return {
    anchorNode,
    anchorOffset,
    focusNode,
    focusOffset
  };
}

// The editor's update state machine looks something like this:
//
//     Idle → Updating ⇆ Idle (unchecked) → Measuring → Idle
//                                         ↑      ↓
//                                         Updating (measure)
//
// The difference between 'Idle' and 'Idle (unchecked)' lies in
// whether a layout check has been scheduled. A regular update through
// the `update` method updates the DOM in a write-only fashion, and
// relies on a check (scheduled with `requestAnimationFrame`) to make
// sure everything is where it should be and the viewport covers the
// visible code. That check continues to measure and then optionally
// update until it reaches a coherent state.
/**
An editor view represents the editor's user interface. It holds
the editable DOM surface, and possibly other elements such as the
line number gutter. It handles events and dispatches state
transactions for editing actions.
*/
class EditorView {
  /**
  Construct a new view. You'll want to either provide a `parent`
  option, or put `view.dom` into your document after creating a
  view, so that the user can see the editor.
  */
  constructor(config = {}) {
    this.plugins = [];
    this.pluginMap = new Map();
    this.editorAttrs = {};
    this.contentAttrs = {};
    this.bidiCache = [];
    this.destroyed = false;
    /**
    @internal
    */
    this.updateState = 2 /* UpdateState.Updating */;
    /**
    @internal
    */
    this.measureScheduled = -1;
    /**
    @internal
    */
    this.measureRequests = [];
    this.contentDOM = document.createElement("div");
    this.scrollDOM = document.createElement("div");
    this.scrollDOM.tabIndex = -1;
    this.scrollDOM.className = "cm-scroller";
    this.scrollDOM.appendChild(this.contentDOM);
    this.announceDOM = document.createElement("div");
    this.announceDOM.style.cssText = "position: fixed; top: -10000px";
    this.announceDOM.setAttribute("aria-live", "polite");
    this.dom = document.createElement("div");
    this.dom.appendChild(this.announceDOM);
    this.dom.appendChild(this.scrollDOM);
    this._dispatch = config.dispatch || (tr => this.update([tr]));
    this.dispatch = this.dispatch.bind(this);
    this._root = config.root || getRoot(config.parent) || document;
    this.viewState = new ViewState(config.state || _state.EditorState.create(config));
    this.plugins = this.state.facet(viewPlugin).map(spec => new PluginInstance(spec));
    for (let plugin of this.plugins) plugin.update(this);
    this.observer = new DOMObserver(this);
    this.inputState = new InputState(this);
    this.inputState.ensureHandlers(this, this.plugins);
    this.docView = new DocView(this);
    this.mountStyles();
    this.updateAttrs();
    this.updateState = 0 /* UpdateState.Idle */;
    this.requestMeasure();
    if (config.parent) config.parent.appendChild(this.dom);
  }
  /**
  The current editor state.
  */
  get state() {
    return this.viewState.state;
  }
  /**
  To be able to display large documents without consuming too much
  memory or overloading the browser, CodeMirror only draws the
  code that is visible (plus a margin around it) to the DOM. This
  property tells you the extent of the current drawn viewport, in
  document positions.
  */
  get viewport() {
    return this.viewState.viewport;
  }
  /**
  When there are, for example, large collapsed ranges in the
  viewport, its size can be a lot bigger than the actual visible
  content. Thus, if you are doing something like styling the
  content in the viewport, it is preferable to only do so for
  these ranges, which are the subset of the viewport that is
  actually drawn.
  */
  get visibleRanges() {
    return this.viewState.visibleRanges;
  }
  /**
  Returns false when the editor is entirely scrolled out of view
  or otherwise hidden.
  */
  get inView() {
    return this.viewState.inView;
  }
  /**
  Indicates whether the user is currently composing text via
  [IME](https://en.wikipedia.org/wiki/Input_method), and at least
  one change has been made in the current composition.
  */
  get composing() {
    return this.inputState.composing > 0;
  }
  /**
  Indicates whether the user is currently in composing state. Note
  that on some platforms, like Android, this will be the case a
  lot, since just putting the cursor on a word starts a
  composition there.
  */
  get compositionStarted() {
    return this.inputState.composing >= 0;
  }
  /**
  The document or shadow root that the view lives in.
  */
  get root() {
    return this._root;
  }
  /**
  @internal
  */
  get win() {
    return this.dom.ownerDocument.defaultView || window;
  }
  dispatch(...input) {
    this._dispatch(input.length == 1 && input[0] instanceof _state.Transaction ? input[0] : this.state.update(...input));
  }
  /**
  Update the view for the given array of transactions. This will
  update the visible document and selection to match the state
  produced by the transactions, and notify view plugins of the
  change. You should usually call
  [`dispatch`](https://codemirror.net/6/docs/ref/#view.EditorView.dispatch) instead, which uses this
  as a primitive.
  */
  update(transactions) {
    if (this.updateState != 0 /* UpdateState.Idle */) throw new Error("Calls to EditorView.update are not allowed while an update is in progress");
    let redrawn = false,
      attrsChanged = false,
      update;
    let state = this.state;
    for (let tr of transactions) {
      if (tr.startState != state) throw new RangeError("Trying to update state with a transaction that doesn't start from the previous state.");
      state = tr.state;
    }
    if (this.destroyed) {
      this.viewState.state = state;
      return;
    }
    let focus = this.hasFocus,
      focusFlag = 0,
      dispatchFocus = null;
    if (transactions.some(tr => tr.annotation(isFocusChange))) {
      this.inputState.notifiedFocused = focus;
      // If a focus-change transaction is being dispatched, set this update flag.
      focusFlag = 1 /* UpdateFlag.Focus */;
    } else if (focus != this.inputState.notifiedFocused) {
      this.inputState.notifiedFocused = focus;
      // Schedule a separate focus transaction if necessary, otherwise
      // add a flag to this update
      dispatchFocus = focusChangeTransaction(state, focus);
      if (!dispatchFocus) focusFlag = 1 /* UpdateFlag.Focus */;
    }
    // If there was a pending DOM change, eagerly read it and try to
    // apply it after the given transactions.
    let pendingKey = this.observer.delayedAndroidKey,
      domChange = null;
    if (pendingKey) {
      this.observer.clearDelayedAndroidKey();
      domChange = this.observer.readChange();
      // Only try to apply DOM changes if the transactions didn't
      // change the doc or selection.
      if (domChange && !this.state.doc.eq(state.doc) || !this.state.selection.eq(state.selection)) domChange = null;
    } else {
      this.observer.clear();
    }
    // When the phrases change, redraw the editor
    if (state.facet(_state.EditorState.phrases) != this.state.facet(_state.EditorState.phrases)) return this.setState(state);
    update = ViewUpdate.create(this, state, transactions);
    update.flags |= focusFlag;
    let scrollTarget = this.viewState.scrollTarget;
    try {
      this.updateState = 2 /* UpdateState.Updating */;
      for (let tr of transactions) {
        if (scrollTarget) scrollTarget = scrollTarget.map(tr.changes);
        if (tr.scrollIntoView) {
          let {
            main
          } = tr.state.selection;
          scrollTarget = new ScrollTarget(main.empty ? main : _state.EditorSelection.cursor(main.head, main.head > main.anchor ? -1 : 1));
        }
        for (let e of tr.effects) if (e.is(scrollIntoView)) scrollTarget = e.value;
      }
      this.viewState.update(update, scrollTarget);
      this.bidiCache = CachedOrder.update(this.bidiCache, update.changes);
      if (!update.empty) {
        this.updatePlugins(update);
        this.inputState.update(update);
      }
      redrawn = this.docView.update(update);
      if (this.state.facet(styleModule) != this.styleModules) this.mountStyles();
      attrsChanged = this.updateAttrs();
      this.showAnnouncements(transactions);
      this.docView.updateSelection(redrawn, transactions.some(tr => tr.isUserEvent("select.pointer")));
    } finally {
      this.updateState = 0 /* UpdateState.Idle */;
    }

    if (update.startState.facet(theme) != update.state.facet(theme)) this.viewState.mustMeasureContent = true;
    if (redrawn || attrsChanged || scrollTarget || this.viewState.mustEnforceCursorAssoc || this.viewState.mustMeasureContent) this.requestMeasure();
    if (!update.empty) for (let listener of this.state.facet(updateListener)) listener(update);
    if (dispatchFocus || domChange) Promise.resolve().then(() => {
      if (dispatchFocus && this.state == dispatchFocus.startState) this.dispatch(dispatchFocus);
      if (domChange) {
        if (!applyDOMChange(this, domChange) && pendingKey.force) dispatchKey(this.contentDOM, pendingKey.key, pendingKey.keyCode);
      }
    });
  }
  /**
  Reset the view to the given state. (This will cause the entire
  document to be redrawn and all view plugins to be reinitialized,
  so you should probably only use it when the new state isn't
  derived from the old state. Otherwise, use
  [`dispatch`](https://codemirror.net/6/docs/ref/#view.EditorView.dispatch) instead.)
  */
  setState(newState) {
    if (this.updateState != 0 /* UpdateState.Idle */) throw new Error("Calls to EditorView.setState are not allowed while an update is in progress");
    if (this.destroyed) {
      this.viewState.state = newState;
      return;
    }
    this.updateState = 2 /* UpdateState.Updating */;
    let hadFocus = this.hasFocus;
    try {
      for (let plugin of this.plugins) plugin.destroy(this);
      this.viewState = new ViewState(newState);
      this.plugins = newState.facet(viewPlugin).map(spec => new PluginInstance(spec));
      this.pluginMap.clear();
      for (let plugin of this.plugins) plugin.update(this);
      this.docView = new DocView(this);
      this.inputState.ensureHandlers(this, this.plugins);
      this.mountStyles();
      this.updateAttrs();
      this.bidiCache = [];
    } finally {
      this.updateState = 0 /* UpdateState.Idle */;
    }

    if (hadFocus) this.focus();
    this.requestMeasure();
  }
  updatePlugins(update) {
    let prevSpecs = update.startState.facet(viewPlugin),
      specs = update.state.facet(viewPlugin);
    if (prevSpecs != specs) {
      let newPlugins = [];
      for (let spec of specs) {
        let found = prevSpecs.indexOf(spec);
        if (found < 0) {
          newPlugins.push(new PluginInstance(spec));
        } else {
          let plugin = this.plugins[found];
          plugin.mustUpdate = update;
          newPlugins.push(plugin);
        }
      }
      for (let plugin of this.plugins) if (plugin.mustUpdate != update) plugin.destroy(this);
      this.plugins = newPlugins;
      this.pluginMap.clear();
      this.inputState.ensureHandlers(this, this.plugins);
    } else {
      for (let p of this.plugins) p.mustUpdate = update;
    }
    for (let i = 0; i < this.plugins.length; i++) this.plugins[i].update(this);
  }
  /**
  @internal
  */
  measure(flush = true) {
    if (this.destroyed) return;
    if (this.measureScheduled > -1) this.win.cancelAnimationFrame(this.measureScheduled);
    this.measureScheduled = 0; // Prevent requestMeasure calls from scheduling another animation frame
    if (flush) this.observer.forceFlush();
    let updated = null;
    let {
      scrollHeight,
      scrollTop,
      clientHeight
    } = this.scrollDOM;
    let refHeight = scrollTop > scrollHeight - clientHeight - 4 ? scrollHeight : scrollTop;
    try {
      for (let i = 0;; i++) {
        this.updateState = 1 /* UpdateState.Measuring */;
        let oldViewport = this.viewport;
        let refBlock = this.viewState.lineBlockAtHeight(refHeight);
        let changed = this.viewState.measure(this);
        if (!changed && !this.measureRequests.length && this.viewState.scrollTarget == null) break;
        if (i > 5) {
          console.warn(this.measureRequests.length ? "Measure loop restarted more than 5 times" : "Viewport failed to stabilize");
          break;
        }
        let measuring = [];
        // Only run measure requests in this cycle when the viewport didn't change
        if (!(changed & 4 /* UpdateFlag.Viewport */)) [this.measureRequests, measuring] = [measuring, this.measureRequests];
        let measured = measuring.map(m => {
          try {
            return m.read(this);
          } catch (e) {
            logException(this.state, e);
            return BadMeasure;
          }
        });
        let update = ViewUpdate.create(this, this.state, []),
          redrawn = false,
          scrolled = false;
        update.flags |= changed;
        if (!updated) updated = update;else updated.flags |= changed;
        this.updateState = 2 /* UpdateState.Updating */;
        if (!update.empty) {
          this.updatePlugins(update);
          this.inputState.update(update);
          this.updateAttrs();
          redrawn = this.docView.update(update);
        }
        for (let i = 0; i < measuring.length; i++) if (measured[i] != BadMeasure) {
          try {
            let m = measuring[i];
            if (m.write) m.write(measured[i], this);
          } catch (e) {
            logException(this.state, e);
          }
        }
        if (this.viewState.editorHeight) {
          if (this.viewState.scrollTarget) {
            this.docView.scrollIntoView(this.viewState.scrollTarget);
            this.viewState.scrollTarget = null;
            scrolled = true;
          } else {
            let diff = this.viewState.lineBlockAt(refBlock.from).top - refBlock.top;
            if (diff > 1 || diff < -1) {
              this.scrollDOM.scrollTop += diff;
              scrolled = true;
            }
          }
        }
        if (redrawn) this.docView.updateSelection(true);
        if (this.viewport.from == oldViewport.from && this.viewport.to == oldViewport.to && !scrolled && this.measureRequests.length == 0) break;
      }
    } finally {
      this.updateState = 0 /* UpdateState.Idle */;
      this.measureScheduled = -1;
    }
    if (updated && !updated.empty) for (let listener of this.state.facet(updateListener)) listener(updated);
  }
  /**
  Get the CSS classes for the currently active editor themes.
  */
  get themeClasses() {
    return baseThemeID + " " + (this.state.facet(darkTheme) ? baseDarkID : baseLightID) + " " + this.state.facet(theme);
  }
  updateAttrs() {
    let editorAttrs = attrsFromFacet(this, editorAttributes, {
      class: "cm-editor" + (this.hasFocus ? " cm-focused " : " ") + this.themeClasses
    });
    let contentAttrs = {
      spellcheck: "false",
      autocorrect: "off",
      autocapitalize: "off",
      translate: "no",
      contenteditable: !this.state.facet(editable) ? "false" : "true",
      class: "cm-content",
      style: `${browser.tabSize}: ${this.state.tabSize}`,
      role: "textbox",
      "aria-multiline": "true"
    };
    if (this.state.readOnly) contentAttrs["aria-readonly"] = "true";
    attrsFromFacet(this, contentAttributes, contentAttrs);
    let changed = this.observer.ignore(() => {
      let changedContent = updateAttrs(this.contentDOM, this.contentAttrs, contentAttrs);
      let changedEditor = updateAttrs(this.dom, this.editorAttrs, editorAttrs);
      return changedContent || changedEditor;
    });
    this.editorAttrs = editorAttrs;
    this.contentAttrs = contentAttrs;
    return changed;
  }
  showAnnouncements(trs) {
    let first = true;
    for (let tr of trs) for (let effect of tr.effects) if (effect.is(EditorView.announce)) {
      if (first) this.announceDOM.textContent = "";
      first = false;
      let div = this.announceDOM.appendChild(document.createElement("div"));
      div.textContent = effect.value;
    }
  }
  mountStyles() {
    this.styleModules = this.state.facet(styleModule);
    _styleMod.StyleModule.mount(this.root, this.styleModules.concat(baseTheme$1).reverse());
  }
  readMeasured() {
    if (this.updateState == 2 /* UpdateState.Updating */) throw new Error("Reading the editor layout isn't allowed during an update");
    if (this.updateState == 0 /* UpdateState.Idle */ && this.measureScheduled > -1) this.measure(false);
  }
  /**
  Schedule a layout measurement, optionally providing callbacks to
  do custom DOM measuring followed by a DOM write phase. Using
  this is preferable reading DOM layout directly from, for
  example, an event handler, because it'll make sure measuring and
  drawing done by other components is synchronized, avoiding
  unnecessary DOM layout computations.
  */
  requestMeasure(request) {
    if (this.measureScheduled < 0) this.measureScheduled = this.win.requestAnimationFrame(() => this.measure());
    if (request) {
      if (this.measureRequests.indexOf(request) > -1) return;
      if (request.key != null) for (let i = 0; i < this.measureRequests.length; i++) {
        if (this.measureRequests[i].key === request.key) {
          this.measureRequests[i] = request;
          return;
        }
      }
      this.measureRequests.push(request);
    }
  }
  /**
  Get the value of a specific plugin, if present. Note that
  plugins that crash can be dropped from a view, so even when you
  know you registered a given plugin, it is recommended to check
  the return value of this method.
  */
  plugin(plugin) {
    let known = this.pluginMap.get(plugin);
    if (known === undefined || known && known.spec != plugin) this.pluginMap.set(plugin, known = this.plugins.find(p => p.spec == plugin) || null);
    return known && known.update(this).value;
  }
  /**
  The top position of the document, in screen coordinates. This
  may be negative when the editor is scrolled down. Points
  directly to the top of the first line, not above the padding.
  */
  get documentTop() {
    return this.contentDOM.getBoundingClientRect().top + this.viewState.paddingTop;
  }
  /**
  Reports the padding above and below the document.
  */
  get documentPadding() {
    return {
      top: this.viewState.paddingTop,
      bottom: this.viewState.paddingBottom
    };
  }
  /**
  Find the text line or block widget at the given vertical
  position (which is interpreted as relative to the [top of the
  document](https://codemirror.net/6/docs/ref/#view.EditorView.documentTop)).
  */
  elementAtHeight(height) {
    this.readMeasured();
    return this.viewState.elementAtHeight(height);
  }
  /**
  Find the line block (see
  [`lineBlockAt`](https://codemirror.net/6/docs/ref/#view.EditorView.lineBlockAt) at the given
  height, again interpreted relative to the [top of the
  document](https://codemirror.net/6/docs/ref/#view.EditorView.documentTop).
  */
  lineBlockAtHeight(height) {
    this.readMeasured();
    return this.viewState.lineBlockAtHeight(height);
  }
  /**
  Get the extent and vertical position of all [line
  blocks](https://codemirror.net/6/docs/ref/#view.EditorView.lineBlockAt) in the viewport. Positions
  are relative to the [top of the
  document](https://codemirror.net/6/docs/ref/#view.EditorView.documentTop);
  */
  get viewportLineBlocks() {
    return this.viewState.viewportLines;
  }
  /**
  Find the line block around the given document position. A line
  block is a range delimited on both sides by either a
  non-[hidden](https://codemirror.net/6/docs/ref/#view.Decoration^replace) line breaks, or the
  start/end of the document. It will usually just hold a line of
  text, but may be broken into multiple textblocks by block
  widgets.
  */
  lineBlockAt(pos) {
    return this.viewState.lineBlockAt(pos);
  }
  /**
  The editor's total content height.
  */
  get contentHeight() {
    return this.viewState.contentHeight;
  }
  /**
  Move a cursor position by [grapheme
  cluster](https://codemirror.net/6/docs/ref/#state.findClusterBreak). `forward` determines whether
  the motion is away from the line start, or towards it. In
  bidirectional text, the line is traversed in visual order, using
  the editor's [text direction](https://codemirror.net/6/docs/ref/#view.EditorView.textDirection).
  When the start position was the last one on the line, the
  returned position will be across the line break. If there is no
  further line, the original position is returned.
  
  By default, this method moves over a single cluster. The
  optional `by` argument can be used to move across more. It will
  be called with the first cluster as argument, and should return
  a predicate that determines, for each subsequent cluster,
  whether it should also be moved over.
  */
  moveByChar(start, forward, by) {
    return skipAtoms(this, start, moveByChar(this, start, forward, by));
  }
  /**
  Move a cursor position across the next group of either
  [letters](https://codemirror.net/6/docs/ref/#state.EditorState.charCategorizer) or non-letter
  non-whitespace characters.
  */
  moveByGroup(start, forward) {
    return skipAtoms(this, start, moveByChar(this, start, forward, initial => byGroup(this, start.head, initial)));
  }
  /**
  Move to the next line boundary in the given direction. If
  `includeWrap` is true, line wrapping is on, and there is a
  further wrap point on the current line, the wrap point will be
  returned. Otherwise this function will return the start or end
  of the line.
  */
  moveToLineBoundary(start, forward, includeWrap = true) {
    return moveToLineBoundary(this, start, forward, includeWrap);
  }
  /**
  Move a cursor position vertically. When `distance` isn't given,
  it defaults to moving to the next line (including wrapped
  lines). Otherwise, `distance` should provide a positive distance
  in pixels.
  
  When `start` has a
  [`goalColumn`](https://codemirror.net/6/docs/ref/#state.SelectionRange.goalColumn), the vertical
  motion will use that as a target horizontal position. Otherwise,
  the cursor's own horizontal position is used. The returned
  cursor will have its goal column set to whichever column was
  used.
  */
  moveVertically(start, forward, distance) {
    return skipAtoms(this, start, moveVertically(this, start, forward, distance));
  }
  /**
  Find the DOM parent node and offset (child offset if `node` is
  an element, character offset when it is a text node) at the
  given document position.
  
  Note that for positions that aren't currently in
  `visibleRanges`, the resulting DOM position isn't necessarily
  meaningful (it may just point before or after a placeholder
  element).
  */
  domAtPos(pos) {
    return this.docView.domAtPos(pos);
  }
  /**
  Find the document position at the given DOM node. Can be useful
  for associating positions with DOM events. Will raise an error
  when `node` isn't part of the editor content.
  */
  posAtDOM(node, offset = 0) {
    return this.docView.posFromDOM(node, offset);
  }
  posAtCoords(coords, precise = true) {
    this.readMeasured();
    return posAtCoords(this, coords, precise);
  }
  /**
  Get the screen coordinates at the given document position.
  `side` determines whether the coordinates are based on the
  element before (-1) or after (1) the position (if no element is
  available on the given side, the method will transparently use
  another strategy to get reasonable coordinates).
  */
  coordsAtPos(pos, side = 1) {
    this.readMeasured();
    let rect = this.docView.coordsAt(pos, side);
    if (!rect || rect.left == rect.right) return rect;
    let line = this.state.doc.lineAt(pos),
      order = this.bidiSpans(line);
    let span = order[BidiSpan.find(order, pos - line.from, -1, side)];
    return flattenRect(rect, span.dir == Direction.LTR == side > 0);
  }
  /**
  The default width of a character in the editor. May not
  accurately reflect the width of all characters (given variable
  width fonts or styling of invididual ranges).
  */
  get defaultCharacterWidth() {
    return this.viewState.heightOracle.charWidth;
  }
  /**
  The default height of a line in the editor. May not be accurate
  for all lines.
  */
  get defaultLineHeight() {
    return this.viewState.heightOracle.lineHeight;
  }
  /**
  The text direction
  ([`direction`](https://developer.mozilla.org/en-US/docs/Web/CSS/direction)
  CSS property) of the editor's content element.
  */
  get textDirection() {
    return this.viewState.defaultTextDirection;
  }
  /**
  Find the text direction of the block at the given position, as
  assigned by CSS. If
  [`perLineTextDirection`](https://codemirror.net/6/docs/ref/#view.EditorView^perLineTextDirection)
  isn't enabled, or the given position is outside of the viewport,
  this will always return the same as
  [`textDirection`](https://codemirror.net/6/docs/ref/#view.EditorView.textDirection). Note that
  this may trigger a DOM layout.
  */
  textDirectionAt(pos) {
    let perLine = this.state.facet(perLineTextDirection);
    if (!perLine || pos < this.viewport.from || pos > this.viewport.to) return this.textDirection;
    this.readMeasured();
    return this.docView.textDirectionAt(pos);
  }
  /**
  Whether this editor [wraps lines](https://codemirror.net/6/docs/ref/#view.EditorView.lineWrapping)
  (as determined by the
  [`white-space`](https://developer.mozilla.org/en-US/docs/Web/CSS/white-space)
  CSS property of its content element).
  */
  get lineWrapping() {
    return this.viewState.heightOracle.lineWrapping;
  }
  /**
  Returns the bidirectional text structure of the given line
  (which should be in the current document) as an array of span
  objects. The order of these spans matches the [text
  direction](https://codemirror.net/6/docs/ref/#view.EditorView.textDirection)—if that is
  left-to-right, the leftmost spans come first, otherwise the
  rightmost spans come first.
  */
  bidiSpans(line) {
    if (line.length > MaxBidiLine) return trivialOrder(line.length);
    let dir = this.textDirectionAt(line.from);
    for (let entry of this.bidiCache) if (entry.from == line.from && entry.dir == dir) return entry.order;
    let order = computeOrder(line.text, dir);
    this.bidiCache.push(new CachedOrder(line.from, line.to, dir, order));
    return order;
  }
  /**
  Check whether the editor has focus.
  */
  get hasFocus() {
    var _a;
    // Safari return false for hasFocus when the context menu is open
    // or closing, which leads us to ignore selection changes from the
    // context menu because it looks like the editor isn't focused.
    // This kludges around that.
    return (this.dom.ownerDocument.hasFocus() || browser.safari && ((_a = this.inputState) === null || _a === void 0 ? void 0 : _a.lastContextMenu) > Date.now() - 3e4) && this.root.activeElement == this.contentDOM;
  }
  /**
  Put focus on the editor.
  */
  focus() {
    this.observer.ignore(() => {
      focusPreventScroll(this.contentDOM);
      this.docView.updateSelection();
    });
  }
  /**
  Update the [root](https://codemirror.net/6/docs/ref/##view.EditorViewConfig.root) in which the editor lives. This is only
  necessary when moving the editor's existing DOM to a new window or shadow root.
  */
  setRoot(root) {
    if (this._root != root) {
      this._root = root;
      this.observer.setWindow((root.nodeType == 9 ? root : root.ownerDocument).defaultView || window);
      this.mountStyles();
    }
  }
  /**
  Clean up this editor view, removing its element from the
  document, unregistering event handlers, and notifying
  plugins. The view instance can no longer be used after
  calling this.
  */
  destroy() {
    for (let plugin of this.plugins) plugin.destroy(this);
    this.plugins = [];
    this.inputState.destroy();
    this.dom.remove();
    this.observer.destroy();
    if (this.measureScheduled > -1) this.win.cancelAnimationFrame(this.measureScheduled);
    this.destroyed = true;
  }
  /**
  Returns an effect that can be
  [added](https://codemirror.net/6/docs/ref/#state.TransactionSpec.effects) to a transaction to
  cause it to scroll the given position or range into view.
  */
  static scrollIntoView(pos, options = {}) {
    return scrollIntoView.of(new ScrollTarget(typeof pos == "number" ? _state.EditorSelection.cursor(pos) : pos, options.y, options.x, options.yMargin, options.xMargin));
  }
  /**
  Returns an extension that can be used to add DOM event handlers.
  The value should be an object mapping event names to handler
  functions. For any given event, such functions are ordered by
  extension precedence, and the first handler to return true will
  be assumed to have handled that event, and no other handlers or
  built-in behavior will be activated for it. These are registered
  on the [content element](https://codemirror.net/6/docs/ref/#view.EditorView.contentDOM), except
  for `scroll` handlers, which will be called any time the
  editor's [scroll element](https://codemirror.net/6/docs/ref/#view.EditorView.scrollDOM) or one of
  its parent nodes is scrolled.
  */
  static domEventHandlers(handlers) {
    return ViewPlugin.define(() => ({}), {
      eventHandlers: handlers
    });
  }
  /**
  Create a theme extension. The first argument can be a
  [`style-mod`](https://github.com/marijnh/style-mod#documentation)
  style spec providing the styles for the theme. These will be
  prefixed with a generated class for the style.
  
  Because the selectors will be prefixed with a scope class, rule
  that directly match the editor's [wrapper
  element](https://codemirror.net/6/docs/ref/#view.EditorView.dom)—to which the scope class will be
  added—need to be explicitly differentiated by adding an `&` to
  the selector for that element—for example
  `&.cm-focused`.
  
  When `dark` is set to true, the theme will be marked as dark,
  which will cause the `&dark` rules from [base
  themes](https://codemirror.net/6/docs/ref/#view.EditorView^baseTheme) to be used (as opposed to
  `&light` when a light theme is active).
  */
  static theme(spec, options) {
    let prefix = _styleMod.StyleModule.newName();
    let result = [theme.of(prefix), styleModule.of(buildTheme(`.${prefix}`, spec))];
    if (options && options.dark) result.push(darkTheme.of(true));
    return result;
  }
  /**
  Create an extension that adds styles to the base theme. Like
  with [`theme`](https://codemirror.net/6/docs/ref/#view.EditorView^theme), use `&` to indicate the
  place of the editor wrapper element when directly targeting
  that. You can also use `&dark` or `&light` instead to only
  target editors with a dark or light theme.
  */
  static baseTheme(spec) {
    return _state.Prec.lowest(styleModule.of(buildTheme("." + baseThemeID, spec, lightDarkIDs)));
  }
  /**
  Retrieve an editor view instance from the view's DOM
  representation.
  */
  static findFromDOM(dom) {
    var _a;
    let content = dom.querySelector(".cm-content");
    let cView = content && ContentView.get(content) || ContentView.get(dom);
    return ((_a = cView === null || cView === void 0 ? void 0 : cView.rootView) === null || _a === void 0 ? void 0 : _a.view) || null;
  }
}
/**
Facet to add a [style
module](https://github.com/marijnh/style-mod#documentation) to
an editor view. The view will ensure that the module is
mounted in its [document
root](https://codemirror.net/6/docs/ref/#view.EditorView.constructor^config.root).
*/
exports.EditorView = EditorView;
EditorView.styleModule = styleModule;
/**
An input handler can override the way changes to the editable
DOM content are handled. Handlers are passed the document
positions between which the change was found, and the new
content. When one returns true, no further input handlers are
called and the default behavior is prevented.
*/
EditorView.inputHandler = inputHandler;
/**
This facet can be used to provide functions that create effects
to be dispatched when the editor's focus state changes.
*/
EditorView.focusChangeEffect = focusChangeEffect;
/**
By default, the editor assumes all its content has the same
[text direction](https://codemirror.net/6/docs/ref/#view.Direction). Configure this with a `true`
value to make it read the text direction of every (rendered)
line separately.
*/
EditorView.perLineTextDirection = perLineTextDirection;
/**
Allows you to provide a function that should be called when the
library catches an exception from an extension (mostly from view
plugins, but may be used by other extensions to route exceptions
from user-code-provided callbacks). This is mostly useful for
debugging and logging. See [`logException`](https://codemirror.net/6/docs/ref/#view.logException).
*/
EditorView.exceptionSink = exceptionSink;
/**
A facet that can be used to register a function to be called
every time the view updates.
*/
EditorView.updateListener = updateListener;
/**
Facet that controls whether the editor content DOM is editable.
When its highest-precedence value is `false`, the element will
not have its `contenteditable` attribute set. (Note that this
doesn't affect API calls that change the editor content, even
when those are bound to keys or buttons. See the
[`readOnly`](https://codemirror.net/6/docs/ref/#state.EditorState.readOnly) facet for that.)
*/
EditorView.editable = editable;
/**
Allows you to influence the way mouse selection happens. The
functions in this facet will be called for a `mousedown` event
on the editor, and can return an object that overrides the way a
selection is computed from that mouse click or drag.
*/
EditorView.mouseSelectionStyle = mouseSelectionStyle;
/**
Facet used to configure whether a given selection drag event
should move or copy the selection. The given predicate will be
called with the `mousedown` event, and can return `true` when
the drag should move the content.
*/
EditorView.dragMovesSelection = dragMovesSelection$1;
/**
Facet used to configure whether a given selecting click adds a
new range to the existing selection or replaces it entirely. The
default behavior is to check `event.metaKey` on macOS, and
`event.ctrlKey` elsewhere.
*/
EditorView.clickAddsSelectionRange = clickAddsSelectionRange;
/**
A facet that determines which [decorations](https://codemirror.net/6/docs/ref/#view.Decoration)
are shown in the view. Decorations can be provided in two
ways—directly, or via a function that takes an editor view.

Only decoration sets provided directly are allowed to influence
the editor's vertical layout structure. The ones provided as
functions are called _after_ the new viewport has been computed,
and thus **must not** introduce block widgets or replacing
decorations that cover line breaks.

If you want decorated ranges to behave like atomic units for
cursor motion and deletion purposes, also provide the range set
containing the decorations to
[`EditorView.atomicRanges`](https://codemirror.net/6/docs/ref/#view.EditorView^atomicRanges).
*/
EditorView.decorations = decorations;
/**
Used to provide ranges that should be treated as atoms as far as
cursor motion is concerned. This causes methods like
[`moveByChar`](https://codemirror.net/6/docs/ref/#view.EditorView.moveByChar) and
[`moveVertically`](https://codemirror.net/6/docs/ref/#view.EditorView.moveVertically) (and the
commands built on top of them) to skip across such regions when
a selection endpoint would enter them. This does _not_ prevent
direct programmatic [selection
updates](https://codemirror.net/6/docs/ref/#state.TransactionSpec.selection) from moving into such
regions.
*/
EditorView.atomicRanges = atomicRanges;
/**
Facet that allows extensions to provide additional scroll
margins (space around the sides of the scrolling element that
should be considered invisible). This can be useful when the
plugin introduces elements that cover part of that element (for
example a horizontally fixed gutter).
*/
EditorView.scrollMargins = scrollMargins;
/**
This facet records whether a dark theme is active. The extension
returned by [`theme`](https://codemirror.net/6/docs/ref/#view.EditorView^theme) automatically
includes an instance of this when the `dark` option is set to
true.
*/
EditorView.darkTheme = darkTheme;
/**
Facet that provides additional DOM attributes for the editor's
editable DOM element.
*/
EditorView.contentAttributes = contentAttributes;
/**
Facet that provides DOM attributes for the editor's outer
element.
*/
EditorView.editorAttributes = editorAttributes;
/**
An extension that enables line wrapping in the editor (by
setting CSS `white-space` to `pre-wrap` in the content).
*/
EditorView.lineWrapping = /*@__PURE__*/EditorView.contentAttributes.of({
  "class": "cm-lineWrapping"
});
/**
State effect used to include screen reader announcements in a
transaction. These will be added to the DOM in a visually hidden
element with `aria-live="polite"` set, and should be used to
describe effects that are visually obvious but may not be
noticed by screen reader users (such as moving to the next
search match).
*/
EditorView.announce = /*@__PURE__*/_state.StateEffect.define();
// Maximum line length for which we compute accurate bidi info
const MaxBidiLine = 4096;
const BadMeasure = {};
class CachedOrder {
  constructor(from, to, dir, order) {
    this.from = from;
    this.to = to;
    this.dir = dir;
    this.order = order;
  }
  static update(cache, changes) {
    if (changes.empty) return cache;
    let result = [],
      lastDir = cache.length ? cache[cache.length - 1].dir : Direction.LTR;
    for (let i = Math.max(0, cache.length - 10); i < cache.length; i++) {
      let entry = cache[i];
      if (entry.dir == lastDir && !changes.touchesRange(entry.from, entry.to)) result.push(new CachedOrder(changes.mapPos(entry.from, 1), changes.mapPos(entry.to, -1), entry.dir, entry.order));
    }
    return result;
  }
}
function attrsFromFacet(view, facet, base) {
  for (let sources = view.state.facet(facet), i = sources.length - 1; i >= 0; i--) {
    let source = sources[i],
      value = typeof source == "function" ? source(view) : source;
    if (value) combineAttrs(value, base);
  }
  return base;
}
const currentPlatform = browser.mac ? "mac" : browser.windows ? "win" : browser.linux ? "linux" : "key";
function normalizeKeyName(name, platform) {
  const parts = name.split(/-(?!$)/);
  let result = parts[parts.length - 1];
  if (result == "Space") result = " ";
  let alt, ctrl, shift, meta;
  for (let i = 0; i < parts.length - 1; ++i) {
    const mod = parts[i];
    if (/^(cmd|meta|m)$/i.test(mod)) meta = true;else if (/^a(lt)?$/i.test(mod)) alt = true;else if (/^(c|ctrl|control)$/i.test(mod)) ctrl = true;else if (/^s(hift)?$/i.test(mod)) shift = true;else if (/^mod$/i.test(mod)) {
      if (platform == "mac") meta = true;else ctrl = true;
    } else throw new Error("Unrecognized modifier name: " + mod);
  }
  if (alt) result = "Alt-" + result;
  if (ctrl) result = "Ctrl-" + result;
  if (meta) result = "Meta-" + result;
  if (shift) result = "Shift-" + result;
  return result;
}
function modifiers(name, event, shift) {
  if (event.altKey) name = "Alt-" + name;
  if (event.ctrlKey) name = "Ctrl-" + name;
  if (event.metaKey) name = "Meta-" + name;
  if (shift !== false && event.shiftKey) name = "Shift-" + name;
  return name;
}
const handleKeyEvents = /*@__PURE__*/_state.Prec.default( /*@__PURE__*/EditorView.domEventHandlers({
  keydown(event, view) {
    return runHandlers(getKeymap(view.state), event, view, "editor");
  }
}));
/**
Facet used for registering keymaps.

You can add multiple keymaps to an editor. Their priorities
determine their precedence (the ones specified early or with high
priority get checked first). When a handler has returned `true`
for a given key, no further handlers are called.
*/
const keymap = /*@__PURE__*/_state.Facet.define({
  enables: handleKeyEvents
});
exports.keymap = keymap;
const Keymaps = /*@__PURE__*/new WeakMap();
// This is hidden behind an indirection, rather than directly computed
// by the facet, to keep internal types out of the facet's type.
function getKeymap(state) {
  let bindings = state.facet(keymap);
  let map = Keymaps.get(bindings);
  if (!map) Keymaps.set(bindings, map = buildKeymap(bindings.reduce((a, b) => a.concat(b), [])));
  return map;
}
/**
Run the key handlers registered for a given scope. The event
object should be a `"keydown"` event. Returns true if any of the
handlers handled it.
*/
function runScopeHandlers(view, event, scope) {
  return runHandlers(getKeymap(view.state), event, view, scope);
}
let storedPrefix = null;
const PrefixTimeout = 4000;
function buildKeymap(bindings, platform = currentPlatform) {
  let bound = Object.create(null);
  let isPrefix = Object.create(null);
  let checkPrefix = (name, is) => {
    let current = isPrefix[name];
    if (current == null) isPrefix[name] = is;else if (current != is) throw new Error("Key binding " + name + " is used both as a regular binding and as a multi-stroke prefix");
  };
  let add = (scope, key, command, preventDefault) => {
    var _a, _b;
    let scopeObj = bound[scope] || (bound[scope] = Object.create(null));
    let parts = key.split(/ (?!$)/).map(k => normalizeKeyName(k, platform));
    for (let i = 1; i < parts.length; i++) {
      let prefix = parts.slice(0, i).join(" ");
      checkPrefix(prefix, true);
      if (!scopeObj[prefix]) scopeObj[prefix] = {
        preventDefault: true,
        run: [view => {
          let ourObj = storedPrefix = {
            view,
            prefix,
            scope
          };
          setTimeout(() => {
            if (storedPrefix == ourObj) storedPrefix = null;
          }, PrefixTimeout);
          return true;
        }]
      };
    }
    let full = parts.join(" ");
    checkPrefix(full, false);
    let binding = scopeObj[full] || (scopeObj[full] = {
      preventDefault: false,
      run: ((_b = (_a = scopeObj._any) === null || _a === void 0 ? void 0 : _a.run) === null || _b === void 0 ? void 0 : _b.slice()) || []
    });
    if (command) binding.run.push(command);
    if (preventDefault) binding.preventDefault = true;
  };
  for (let b of bindings) {
    let scopes = b.scope ? b.scope.split(" ") : ["editor"];
    if (b.any) for (let scope of scopes) {
      let scopeObj = bound[scope] || (bound[scope] = Object.create(null));
      if (!scopeObj._any) scopeObj._any = {
        preventDefault: false,
        run: []
      };
      for (let key in scopeObj) scopeObj[key].run.push(b.any);
    }
    let name = b[platform] || b.key;
    if (!name) continue;
    for (let scope of scopes) {
      add(scope, name, b.run, b.preventDefault);
      if (b.shift) add(scope, "Shift-" + name, b.shift, b.preventDefault);
    }
  }
  return bound;
}
function runHandlers(map, event, view, scope) {
  let name = (0, _w3cKeyname.keyName)(event);
  let charCode = (0, _state.codePointAt)(name, 0),
    isChar = (0, _state.codePointSize)(charCode) == name.length && name != " ";
  let prefix = "",
    fallthrough = false;
  if (storedPrefix && storedPrefix.view == view && storedPrefix.scope == scope) {
    prefix = storedPrefix.prefix + " ";
    if (fallthrough = modifierCodes.indexOf(event.keyCode) < 0) storedPrefix = null;
  }
  let ran = new Set();
  let runFor = binding => {
    if (binding) {
      for (let cmd of binding.run) if (!ran.has(cmd)) {
        ran.add(cmd);
        if (cmd(view, event)) return true;
      }
      if (binding.preventDefault) fallthrough = true;
    }
    return false;
  };
  let scopeObj = map[scope],
    baseName,
    shiftName;
  if (scopeObj) {
    if (runFor(scopeObj[prefix + modifiers(name, event, !isChar)])) return true;
    if (isChar && (event.altKey || event.metaKey || event.ctrlKey) &&
    // Ctrl-Alt may be used for AltGr on Windows
    !(browser.windows && event.ctrlKey && event.altKey) && (baseName = _w3cKeyname.base[event.keyCode]) && baseName != name) {
      if (runFor(scopeObj[prefix + modifiers(baseName, event, true)])) return true;else if (event.shiftKey && (shiftName = _w3cKeyname.shift[event.keyCode]) != name && shiftName != baseName && runFor(scopeObj[prefix + modifiers(shiftName, event, false)])) return true;
    } else if (isChar && event.shiftKey) {
      if (runFor(scopeObj[prefix + modifiers(name, event, true)])) return true;
    }
    if (runFor(scopeObj._any)) return true;
  }
  return fallthrough;
}

/**
Implementation of [`LayerMarker`](https://codemirror.net/6/docs/ref/#view.LayerMarker) that creates
a rectangle at a given set of coordinates.
*/
class RectangleMarker {
  /**
  Create a marker with the given class and dimensions. If `width`
  is null, the DOM element will get no width style.
  */
  constructor(className, left, top, width, height) {
    this.className = className;
    this.left = left;
    this.top = top;
    this.width = width;
    this.height = height;
  }
  draw() {
    let elt = document.createElement("div");
    elt.className = this.className;
    this.adjust(elt);
    return elt;
  }
  update(elt, prev) {
    if (prev.className != this.className) return false;
    this.adjust(elt);
    return true;
  }
  adjust(elt) {
    elt.style.left = this.left + "px";
    elt.style.top = this.top + "px";
    if (this.width != null) elt.style.width = this.width + "px";
    elt.style.height = this.height + "px";
  }
  eq(p) {
    return this.left == p.left && this.top == p.top && this.width == p.width && this.height == p.height && this.className == p.className;
  }
  /**
  Create a set of rectangles for the given selection range,
  assigning them theclass`className`. Will create a single
  rectangle for empty ranges, and a set of selection-style
  rectangles covering the range's content (in a bidi-aware
  way) for non-empty ones.
  */
  static forRange(view, className, range) {
    if (range.empty) {
      let pos = view.coordsAtPos(range.head, range.assoc || 1);
      if (!pos) return [];
      let base = getBase(view);
      return [new RectangleMarker(className, pos.left - base.left, pos.top - base.top, null, pos.bottom - pos.top)];
    } else {
      return rectanglesForRange(view, className, range);
    }
  }
}
exports.RectangleMarker = RectangleMarker;
function getBase(view) {
  let rect = view.scrollDOM.getBoundingClientRect();
  let left = view.textDirection == Direction.LTR ? rect.left : rect.right - view.scrollDOM.clientWidth;
  return {
    left: left - view.scrollDOM.scrollLeft,
    top: rect.top - view.scrollDOM.scrollTop
  };
}
function wrappedLine(view, pos, inside) {
  let range = _state.EditorSelection.cursor(pos);
  return {
    from: Math.max(inside.from, view.moveToLineBoundary(range, false, true).from),
    to: Math.min(inside.to, view.moveToLineBoundary(range, true, true).from),
    type: BlockType.Text
  };
}
function blockAt(view, pos) {
  let line = view.lineBlockAt(pos);
  if (Array.isArray(line.type)) for (let l of line.type) {
    if (l.to > pos || l.to == pos && (l.to == line.to || l.type == BlockType.Text)) return l;
  }
  return line;
}
function rectanglesForRange(view, className, range) {
  if (range.to <= view.viewport.from || range.from >= view.viewport.to) return [];
  let from = Math.max(range.from, view.viewport.from),
    to = Math.min(range.to, view.viewport.to);
  let ltr = view.textDirection == Direction.LTR;
  let content = view.contentDOM,
    contentRect = content.getBoundingClientRect(),
    base = getBase(view);
  let lineElt = content.querySelector(".cm-line"),
    lineStyle = lineElt && window.getComputedStyle(lineElt);
  let leftSide = contentRect.left + (lineStyle ? parseInt(lineStyle.paddingLeft) + Math.min(0, parseInt(lineStyle.textIndent)) : 0);
  let rightSide = contentRect.right - (lineStyle ? parseInt(lineStyle.paddingRight) : 0);
  let startBlock = blockAt(view, from),
    endBlock = blockAt(view, to);
  let visualStart = startBlock.type == BlockType.Text ? startBlock : null;
  let visualEnd = endBlock.type == BlockType.Text ? endBlock : null;
  if (view.lineWrapping) {
    if (visualStart) visualStart = wrappedLine(view, from, visualStart);
    if (visualEnd) visualEnd = wrappedLine(view, to, visualEnd);
  }
  if (visualStart && visualEnd && visualStart.from == visualEnd.from) {
    return pieces(drawForLine(range.from, range.to, visualStart));
  } else {
    let top = visualStart ? drawForLine(range.from, null, visualStart) : drawForWidget(startBlock, false);
    let bottom = visualEnd ? drawForLine(null, range.to, visualEnd) : drawForWidget(endBlock, true);
    let between = [];
    if ((visualStart || startBlock).to < (visualEnd || endBlock).from - 1) between.push(piece(leftSide, top.bottom, rightSide, bottom.top));else if (top.bottom < bottom.top && view.elementAtHeight((top.bottom + bottom.top) / 2).type == BlockType.Text) top.bottom = bottom.top = (top.bottom + bottom.top) / 2;
    return pieces(top).concat(between).concat(pieces(bottom));
  }
  function piece(left, top, right, bottom) {
    return new RectangleMarker(className, left - base.left, top - base.top - 0.01 /* C.Epsilon */, right - left, bottom - top + 0.01 /* C.Epsilon */);
  }

  function pieces({
    top,
    bottom,
    horizontal
  }) {
    let pieces = [];
    for (let i = 0; i < horizontal.length; i += 2) pieces.push(piece(horizontal[i], top, horizontal[i + 1], bottom));
    return pieces;
  }
  // Gets passed from/to in line-local positions
  function drawForLine(from, to, line) {
    let top = 1e9,
      bottom = -1e9,
      horizontal = [];
    function addSpan(from, fromOpen, to, toOpen, dir) {
      // Passing 2/-2 is a kludge to force the view to return
      // coordinates on the proper side of block widgets, since
      // normalizing the side there, though appropriate for most
      // coordsAtPos queries, would break selection drawing.
      let fromCoords = view.coordsAtPos(from, from == line.to ? -2 : 2);
      let toCoords = view.coordsAtPos(to, to == line.from ? 2 : -2);
      top = Math.min(fromCoords.top, toCoords.top, top);
      bottom = Math.max(fromCoords.bottom, toCoords.bottom, bottom);
      if (dir == Direction.LTR) horizontal.push(ltr && fromOpen ? leftSide : fromCoords.left, ltr && toOpen ? rightSide : toCoords.right);else horizontal.push(!ltr && toOpen ? leftSide : toCoords.left, !ltr && fromOpen ? rightSide : fromCoords.right);
    }
    let start = from !== null && from !== void 0 ? from : line.from,
      end = to !== null && to !== void 0 ? to : line.to;
    // Split the range by visible range and document line
    for (let r of view.visibleRanges) if (r.to > start && r.from < end) {
      for (let pos = Math.max(r.from, start), endPos = Math.min(r.to, end);;) {
        let docLine = view.state.doc.lineAt(pos);
        for (let span of view.bidiSpans(docLine)) {
          let spanFrom = span.from + docLine.from,
            spanTo = span.to + docLine.from;
          if (spanFrom >= endPos) break;
          if (spanTo > pos) addSpan(Math.max(spanFrom, pos), from == null && spanFrom <= start, Math.min(spanTo, endPos), to == null && spanTo >= end, span.dir);
        }
        pos = docLine.to + 1;
        if (pos >= endPos) break;
      }
    }
    if (horizontal.length == 0) addSpan(start, from == null, end, to == null, view.textDirection);
    return {
      top,
      bottom,
      horizontal
    };
  }
  function drawForWidget(block, top) {
    let y = contentRect.top + (top ? block.top : block.bottom);
    return {
      top: y,
      bottom: y,
      horizontal: []
    };
  }
}
function sameMarker(a, b) {
  return a.constructor == b.constructor && a.eq(b);
}
class LayerView {
  constructor(view, layer) {
    this.view = view;
    this.layer = layer;
    this.drawn = [];
    this.measureReq = {
      read: this.measure.bind(this),
      write: this.draw.bind(this)
    };
    this.dom = view.scrollDOM.appendChild(document.createElement("div"));
    this.dom.classList.add("cm-layer");
    if (layer.above) this.dom.classList.add("cm-layer-above");
    if (layer.class) this.dom.classList.add(layer.class);
    this.dom.setAttribute("aria-hidden", "true");
    this.setOrder(view.state);
    view.requestMeasure(this.measureReq);
    if (layer.mount) layer.mount(this.dom, view);
  }
  update(update) {
    if (update.startState.facet(layerOrder) != update.state.facet(layerOrder)) this.setOrder(update.state);
    if (this.layer.update(update, this.dom) || update.geometryChanged) update.view.requestMeasure(this.measureReq);
  }
  setOrder(state) {
    let pos = 0,
      order = state.facet(layerOrder);
    while (pos < order.length && order[pos] != this.layer) pos++;
    this.dom.style.zIndex = String((this.layer.above ? 150 : -1) - pos);
  }
  measure() {
    return this.layer.markers(this.view);
  }
  draw(markers) {
    if (markers.length != this.drawn.length || markers.some((p, i) => !sameMarker(p, this.drawn[i]))) {
      let old = this.dom.firstChild,
        oldI = 0;
      for (let marker of markers) {
        if (marker.update && old && marker.constructor && this.drawn[oldI].constructor && marker.update(old, this.drawn[oldI])) {
          old = old.nextSibling;
          oldI++;
        } else {
          this.dom.insertBefore(marker.draw(), old);
        }
      }
      while (old) {
        let next = old.nextSibling;
        old.remove();
        old = next;
      }
      this.drawn = markers;
    }
  }
  destroy() {
    if (this.layer.destroy) this.layer.destroy(this.dom, this.view);
    this.dom.remove();
  }
}
const layerOrder = /*@__PURE__*/_state.Facet.define();
/**
Define a layer.
*/
function layer(config) {
  return [ViewPlugin.define(v => new LayerView(v, config)), layerOrder.of(config)];
}
const CanHidePrimary = !browser.ios; // FIXME test IE
const selectionConfig = /*@__PURE__*/_state.Facet.define({
  combine(configs) {
    return (0, _state.combineConfig)(configs, {
      cursorBlinkRate: 1200,
      drawRangeCursor: true
    }, {
      cursorBlinkRate: (a, b) => Math.min(a, b),
      drawRangeCursor: (a, b) => a || b
    });
  }
});
/**
Returns an extension that hides the browser's native selection and
cursor, replacing the selection with a background behind the text
(with the `cm-selectionBackground` class), and the
cursors with elements overlaid over the code (using
`cm-cursor-primary` and `cm-cursor-secondary`).

This allows the editor to display secondary selection ranges, and
tends to produce a type of selection more in line with that users
expect in a text editor (the native selection styling will often
leave gaps between lines and won't fill the horizontal space after
a line when the selection continues past it).

It does have a performance cost, in that it requires an extra DOM
layout cycle for many updates (the selection is drawn based on DOM
layout information that's only available after laying out the
content).
*/
function drawSelection(config = {}) {
  return [selectionConfig.of(config), cursorLayer, selectionLayer, hideNativeSelection, nativeSelectionHidden.of(true)];
}
function configChanged(update) {
  return update.startState.facet(selectionConfig) != update.state.facet(selectionConfig);
}
const cursorLayer = /*@__PURE__*/layer({
  above: true,
  markers(view) {
    let {
        state
      } = view,
      conf = state.facet(selectionConfig);
    let cursors = [];
    for (let r of state.selection.ranges) {
      let prim = r == state.selection.main;
      if (r.empty ? !prim || CanHidePrimary : conf.drawRangeCursor) {
        let className = prim ? "cm-cursor cm-cursor-primary" : "cm-cursor cm-cursor-secondary";
        let cursor = r.empty ? r : _state.EditorSelection.cursor(r.head, r.head > r.anchor ? -1 : 1);
        for (let piece of RectangleMarker.forRange(view, className, cursor)) cursors.push(piece);
      }
    }
    return cursors;
  },
  update(update, dom) {
    if (update.transactions.some(tr => tr.selection)) dom.style.animationName = dom.style.animationName == "cm-blink" ? "cm-blink2" : "cm-blink";
    let confChange = configChanged(update);
    if (confChange) setBlinkRate(update.state, dom);
    return update.docChanged || update.selectionSet || confChange;
  },
  mount(dom, view) {
    setBlinkRate(view.state, dom);
  },
  class: "cm-cursorLayer"
});
function setBlinkRate(state, dom) {
  dom.style.animationDuration = state.facet(selectionConfig).cursorBlinkRate + "ms";
}
const selectionLayer = /*@__PURE__*/layer({
  above: false,
  markers(view) {
    return view.state.selection.ranges.map(r => r.empty ? [] : RectangleMarker.forRange(view, "cm-selectionBackground", r)).reduce((a, b) => a.concat(b));
  },
  update(update, dom) {
    return update.docChanged || update.selectionSet || update.viewportChanged || configChanged(update);
  },
  class: "cm-selectionLayer"
});
const themeSpec = {
  ".cm-line": {
    "& ::selection": {
      backgroundColor: "transparent !important"
    },
    "&::selection": {
      backgroundColor: "transparent !important"
    }
  }
};
if (CanHidePrimary) themeSpec[".cm-line"].caretColor = "transparent !important";
const hideNativeSelection = /*@__PURE__*/_state.Prec.highest( /*@__PURE__*/EditorView.theme(themeSpec));
const setDropCursorPos = /*@__PURE__*/_state.StateEffect.define({
  map(pos, mapping) {
    return pos == null ? null : mapping.mapPos(pos);
  }
});
const dropCursorPos = /*@__PURE__*/_state.StateField.define({
  create() {
    return null;
  },
  update(pos, tr) {
    if (pos != null) pos = tr.changes.mapPos(pos);
    return tr.effects.reduce((pos, e) => e.is(setDropCursorPos) ? e.value : pos, pos);
  }
});
const drawDropCursor = /*@__PURE__*/ViewPlugin.fromClass(class {
  constructor(view) {
    this.view = view;
    this.cursor = null;
    this.measureReq = {
      read: this.readPos.bind(this),
      write: this.drawCursor.bind(this)
    };
  }
  update(update) {
    var _a;
    let cursorPos = update.state.field(dropCursorPos);
    if (cursorPos == null) {
      if (this.cursor != null) {
        (_a = this.cursor) === null || _a === void 0 ? void 0 : _a.remove();
        this.cursor = null;
      }
    } else {
      if (!this.cursor) {
        this.cursor = this.view.scrollDOM.appendChild(document.createElement("div"));
        this.cursor.className = "cm-dropCursor";
      }
      if (update.startState.field(dropCursorPos) != cursorPos || update.docChanged || update.geometryChanged) this.view.requestMeasure(this.measureReq);
    }
  }
  readPos() {
    let pos = this.view.state.field(dropCursorPos);
    let rect = pos != null && this.view.coordsAtPos(pos);
    if (!rect) return null;
    let outer = this.view.scrollDOM.getBoundingClientRect();
    return {
      left: rect.left - outer.left + this.view.scrollDOM.scrollLeft,
      top: rect.top - outer.top + this.view.scrollDOM.scrollTop,
      height: rect.bottom - rect.top
    };
  }
  drawCursor(pos) {
    if (this.cursor) {
      if (pos) {
        this.cursor.style.left = pos.left + "px";
        this.cursor.style.top = pos.top + "px";
        this.cursor.style.height = pos.height + "px";
      } else {
        this.cursor.style.left = "-100000px";
      }
    }
  }
  destroy() {
    if (this.cursor) this.cursor.remove();
  }
  setDropPos(pos) {
    if (this.view.state.field(dropCursorPos) != pos) this.view.dispatch({
      effects: setDropCursorPos.of(pos)
    });
  }
}, {
  eventHandlers: {
    dragover(event) {
      this.setDropPos(this.view.posAtCoords({
        x: event.clientX,
        y: event.clientY
      }));
    },
    dragleave(event) {
      if (event.target == this.view.contentDOM || !this.view.contentDOM.contains(event.relatedTarget)) this.setDropPos(null);
    },
    dragend() {
      this.setDropPos(null);
    },
    drop() {
      this.setDropPos(null);
    }
  }
});
/**
Draws a cursor at the current drop position when something is
dragged over the editor.
*/
function dropCursor() {
  return [dropCursorPos, drawDropCursor];
}
function iterMatches(doc, re, from, to, f) {
  re.lastIndex = 0;
  for (let cursor = doc.iterRange(from, to), pos = from, m; !cursor.next().done; pos += cursor.value.length) {
    if (!cursor.lineBreak) while (m = re.exec(cursor.value)) f(pos + m.index, m);
  }
}
function matchRanges(view, maxLength) {
  let visible = view.visibleRanges;
  if (visible.length == 1 && visible[0].from == view.viewport.from && visible[0].to == view.viewport.to) return visible;
  let result = [];
  for (let {
    from,
    to
  } of visible) {
    from = Math.max(view.state.doc.lineAt(from).from, from - maxLength);
    to = Math.min(view.state.doc.lineAt(to).to, to + maxLength);
    if (result.length && result[result.length - 1].to >= from) result[result.length - 1].to = to;else result.push({
      from,
      to
    });
  }
  return result;
}
/**
Helper class used to make it easier to maintain decorations on
visible code that matches a given regular expression. To be used
in a [view plugin](https://codemirror.net/6/docs/ref/#view.ViewPlugin). Instances of this object
represent a matching configuration.
*/
class MatchDecorator {
  /**
  Create a decorator.
  */
  constructor(config) {
    const {
      regexp,
      decoration,
      decorate,
      boundary,
      maxLength = 1000
    } = config;
    if (!regexp.global) throw new RangeError("The regular expression given to MatchDecorator should have its 'g' flag set");
    this.regexp = regexp;
    if (decorate) {
      this.addMatch = (match, view, from, add) => decorate(add, from, from + match[0].length, match, view);
    } else if (typeof decoration == "function") {
      this.addMatch = (match, view, from, add) => {
        let deco = decoration(match, view, from);
        if (deco) add(from, from + match[0].length, deco);
      };
    } else if (decoration) {
      this.addMatch = (match, _view, from, add) => add(from, from + match[0].length, decoration);
    } else {
      throw new RangeError("Either 'decorate' or 'decoration' should be provided to MatchDecorator");
    }
    this.boundary = boundary;
    this.maxLength = maxLength;
  }
  /**
  Compute the full set of decorations for matches in the given
  view's viewport. You'll want to call this when initializing your
  plugin.
  */
  createDeco(view) {
    let build = new _state.RangeSetBuilder(),
      add = build.add.bind(build);
    for (let {
      from,
      to
    } of matchRanges(view, this.maxLength)) iterMatches(view.state.doc, this.regexp, from, to, (from, m) => this.addMatch(m, view, from, add));
    return build.finish();
  }
  /**
  Update a set of decorations for a view update. `deco` _must_ be
  the set of decorations produced by _this_ `MatchDecorator` for
  the view state before the update.
  */
  updateDeco(update, deco) {
    let changeFrom = 1e9,
      changeTo = -1;
    if (update.docChanged) update.changes.iterChanges((_f, _t, from, to) => {
      if (to > update.view.viewport.from && from < update.view.viewport.to) {
        changeFrom = Math.min(from, changeFrom);
        changeTo = Math.max(to, changeTo);
      }
    });
    if (update.viewportChanged || changeTo - changeFrom > 1000) return this.createDeco(update.view);
    if (changeTo > -1) return this.updateRange(update.view, deco.map(update.changes), changeFrom, changeTo);
    return deco;
  }
  updateRange(view, deco, updateFrom, updateTo) {
    for (let r of view.visibleRanges) {
      let from = Math.max(r.from, updateFrom),
        to = Math.min(r.to, updateTo);
      if (to > from) {
        let fromLine = view.state.doc.lineAt(from),
          toLine = fromLine.to < to ? view.state.doc.lineAt(to) : fromLine;
        let start = Math.max(r.from, fromLine.from),
          end = Math.min(r.to, toLine.to);
        if (this.boundary) {
          for (; from > fromLine.from; from--) if (this.boundary.test(fromLine.text[from - 1 - fromLine.from])) {
            start = from;
            break;
          }
          for (; to < toLine.to; to++) if (this.boundary.test(toLine.text[to - toLine.from])) {
            end = to;
            break;
          }
        }
        let ranges = [],
          m;
        let add = (from, to, deco) => ranges.push(deco.range(from, to));
        if (fromLine == toLine) {
          this.regexp.lastIndex = start - fromLine.from;
          while ((m = this.regexp.exec(fromLine.text)) && m.index < end - fromLine.from) this.addMatch(m, view, m.index + fromLine.from, add);
        } else {
          iterMatches(view.state.doc, this.regexp, start, end, (from, m) => this.addMatch(m, view, from, add));
        }
        deco = deco.update({
          filterFrom: start,
          filterTo: end,
          filter: (from, to) => from < start || to > end,
          add: ranges
        });
      }
    }
    return deco;
  }
}
exports.MatchDecorator = MatchDecorator;
const UnicodeRegexpSupport = /x/.unicode != null ? "gu" : "g";
const Specials = /*@__PURE__*/new RegExp("[\u0000-\u0008\u000a-\u001f\u007f-\u009f\u00ad\u061c\u200b\u200e\u200f\u2028\u2029\u202d\u202e\u2066\u2067\u2069\ufeff\ufff9-\ufffc]", UnicodeRegexpSupport);
const Names = {
  0: "null",
  7: "bell",
  8: "backspace",
  10: "newline",
  11: "vertical tab",
  13: "carriage return",
  27: "escape",
  8203: "zero width space",
  8204: "zero width non-joiner",
  8205: "zero width joiner",
  8206: "left-to-right mark",
  8207: "right-to-left mark",
  8232: "line separator",
  8237: "left-to-right override",
  8238: "right-to-left override",
  8294: "left-to-right isolate",
  8295: "right-to-left isolate",
  8297: "pop directional isolate",
  8233: "paragraph separator",
  65279: "zero width no-break space",
  65532: "object replacement"
};
let _supportsTabSize = null;
function supportsTabSize() {
  var _a;
  if (_supportsTabSize == null && typeof document != "undefined" && document.body) {
    let styles = document.body.style;
    _supportsTabSize = ((_a = styles.tabSize) !== null && _a !== void 0 ? _a : styles.MozTabSize) != null;
  }
  return _supportsTabSize || false;
}
const specialCharConfig = /*@__PURE__*/_state.Facet.define({
  combine(configs) {
    let config = (0, _state.combineConfig)(configs, {
      render: null,
      specialChars: Specials,
      addSpecialChars: null
    });
    if (config.replaceTabs = !supportsTabSize()) config.specialChars = new RegExp("\t|" + config.specialChars.source, UnicodeRegexpSupport);
    if (config.addSpecialChars) config.specialChars = new RegExp(config.specialChars.source + "|" + config.addSpecialChars.source, UnicodeRegexpSupport);
    return config;
  }
});
/**
Returns an extension that installs highlighting of special
characters.
*/
function highlightSpecialChars(
/**
Configuration options.
*/
config = {}) {
  return [specialCharConfig.of(config), specialCharPlugin()];
}
let _plugin = null;
function specialCharPlugin() {
  return _plugin || (_plugin = ViewPlugin.fromClass(class {
    constructor(view) {
      this.view = view;
      this.decorations = Decoration.none;
      this.decorationCache = Object.create(null);
      this.decorator = this.makeDecorator(view.state.facet(specialCharConfig));
      this.decorations = this.decorator.createDeco(view);
    }
    makeDecorator(conf) {
      return new MatchDecorator({
        regexp: conf.specialChars,
        decoration: (m, view, pos) => {
          let {
            doc
          } = view.state;
          let code = (0, _state.codePointAt)(m[0], 0);
          if (code == 9) {
            let line = doc.lineAt(pos);
            let size = view.state.tabSize,
              col = (0, _state.countColumn)(line.text, size, pos - line.from);
            return Decoration.replace({
              widget: new TabWidget((size - col % size) * this.view.defaultCharacterWidth)
            });
          }
          return this.decorationCache[code] || (this.decorationCache[code] = Decoration.replace({
            widget: new SpecialCharWidget(conf, code)
          }));
        },
        boundary: conf.replaceTabs ? undefined : /[^]/
      });
    }
    update(update) {
      let conf = update.state.facet(specialCharConfig);
      if (update.startState.facet(specialCharConfig) != conf) {
        this.decorator = this.makeDecorator(conf);
        this.decorations = this.decorator.createDeco(update.view);
      } else {
        this.decorations = this.decorator.updateDeco(update, this.decorations);
      }
    }
  }, {
    decorations: v => v.decorations
  }));
}
const DefaultPlaceholder = "\u2022";
// Assigns placeholder characters from the Control Pictures block to
// ASCII control characters
function placeholder$1(code) {
  if (code >= 32) return DefaultPlaceholder;
  if (code == 10) return "\u2424";
  return String.fromCharCode(9216 + code);
}
class SpecialCharWidget extends WidgetType {
  constructor(options, code) {
    super();
    this.options = options;
    this.code = code;
  }
  eq(other) {
    return other.code == this.code;
  }
  toDOM(view) {
    let ph = placeholder$1(this.code);
    let desc = view.state.phrase("Control character") + " " + (Names[this.code] || "0x" + this.code.toString(16));
    let custom = this.options.render && this.options.render(this.code, desc, ph);
    if (custom) return custom;
    let span = document.createElement("span");
    span.textContent = ph;
    span.title = desc;
    span.setAttribute("aria-label", desc);
    span.className = "cm-specialChar";
    return span;
  }
  ignoreEvent() {
    return false;
  }
}
class TabWidget extends WidgetType {
  constructor(width) {
    super();
    this.width = width;
  }
  eq(other) {
    return other.width == this.width;
  }
  toDOM() {
    let span = document.createElement("span");
    span.textContent = "\t";
    span.className = "cm-tab";
    span.style.width = this.width + "px";
    return span;
  }
  ignoreEvent() {
    return false;
  }
}
const plugin = /*@__PURE__*/ViewPlugin.fromClass(class {
  constructor() {
    this.height = 1000;
    this.attrs = {
      style: "padding-bottom: 1000px"
    };
  }
  update(update) {
    let {
      view
    } = update;
    let height = view.viewState.editorHeight - view.defaultLineHeight - view.documentPadding.top - 0.5;
    if (height != this.height) {
      this.height = height;
      this.attrs = {
        style: `padding-bottom: ${height}px`
      };
    }
  }
});
/**
Returns an extension that makes sure the content has a bottom
margin equivalent to the height of the editor, minus one line
height, so that every line in the document can be scrolled to the
top of the editor.

This is only meaningful when the editor is scrollable, and should
not be enabled in editors that take the size of their content.
*/
function scrollPastEnd() {
  return [plugin, contentAttributes.of(view => {
    var _a;
    return ((_a = view.plugin(plugin)) === null || _a === void 0 ? void 0 : _a.attrs) || null;
  })];
}

/**
Mark lines that have a cursor on them with the `"cm-activeLine"`
DOM class.
*/
function highlightActiveLine() {
  return activeLineHighlighter;
}
const lineDeco = /*@__PURE__*/Decoration.line({
  class: "cm-activeLine"
});
const activeLineHighlighter = /*@__PURE__*/ViewPlugin.fromClass(class {
  constructor(view) {
    this.decorations = this.getDeco(view);
  }
  update(update) {
    if (update.docChanged || update.selectionSet) this.decorations = this.getDeco(update.view);
  }
  getDeco(view) {
    let lastLineStart = -1,
      deco = [];
    for (let r of view.state.selection.ranges) {
      let line = view.lineBlockAt(r.head);
      if (line.from > lastLineStart) {
        deco.push(lineDeco.range(line.from));
        lastLineStart = line.from;
      }
    }
    return Decoration.set(deco);
  }
}, {
  decorations: v => v.decorations
});
class Placeholder extends WidgetType {
  constructor(content) {
    super();
    this.content = content;
  }
  toDOM() {
    let wrap = document.createElement("span");
    wrap.className = "cm-placeholder";
    wrap.style.pointerEvents = "none";
    wrap.appendChild(typeof this.content == "string" ? document.createTextNode(this.content) : this.content);
    if (typeof this.content == "string") wrap.setAttribute("aria-label", "placeholder " + this.content);else wrap.setAttribute("aria-hidden", "true");
    return wrap;
  }
  ignoreEvent() {
    return false;
  }
}
/**
Extension that enables a placeholder—a piece of example content
to show when the editor is empty.
*/
function placeholder(content) {
  return ViewPlugin.fromClass(class {
    constructor(view) {
      this.view = view;
      this.placeholder = Decoration.set([Decoration.widget({
        widget: new Placeholder(content),
        side: 1
      }).range(0)]);
    }
    get decorations() {
      return this.view.state.doc.length ? Decoration.none : this.placeholder;
    }
  }, {
    decorations: v => v.decorations
  });
}

// Don't compute precise column positions for line offsets above this
// (since it could get expensive). Assume offset==column for them.
const MaxOff = 2000;
function rectangleFor(state, a, b) {
  let startLine = Math.min(a.line, b.line),
    endLine = Math.max(a.line, b.line);
  let ranges = [];
  if (a.off > MaxOff || b.off > MaxOff || a.col < 0 || b.col < 0) {
    let startOff = Math.min(a.off, b.off),
      endOff = Math.max(a.off, b.off);
    for (let i = startLine; i <= endLine; i++) {
      let line = state.doc.line(i);
      if (line.length <= endOff) ranges.push(_state.EditorSelection.range(line.from + startOff, line.to + endOff));
    }
  } else {
    let startCol = Math.min(a.col, b.col),
      endCol = Math.max(a.col, b.col);
    for (let i = startLine; i <= endLine; i++) {
      let line = state.doc.line(i);
      let start = (0, _state.findColumn)(line.text, startCol, state.tabSize, true);
      if (start < 0) {
        ranges.push(_state.EditorSelection.cursor(line.to));
      } else {
        let end = (0, _state.findColumn)(line.text, endCol, state.tabSize);
        ranges.push(_state.EditorSelection.range(line.from + start, line.from + end));
      }
    }
  }
  return ranges;
}
function absoluteColumn(view, x) {
  let ref = view.coordsAtPos(view.viewport.from);
  return ref ? Math.round(Math.abs((ref.left - x) / view.defaultCharacterWidth)) : -1;
}
function getPos(view, event) {
  let offset = view.posAtCoords({
    x: event.clientX,
    y: event.clientY
  }, false);
  let line = view.state.doc.lineAt(offset),
    off = offset - line.from;
  let col = off > MaxOff ? -1 : off == line.length ? absoluteColumn(view, event.clientX) : (0, _state.countColumn)(line.text, view.state.tabSize, offset - line.from);
  return {
    line: line.number,
    col,
    off
  };
}
function rectangleSelectionStyle(view, event) {
  let start = getPos(view, event),
    startSel = view.state.selection;
  if (!start) return null;
  return {
    update(update) {
      if (update.docChanged) {
        let newStart = update.changes.mapPos(update.startState.doc.line(start.line).from);
        let newLine = update.state.doc.lineAt(newStart);
        start = {
          line: newLine.number,
          col: start.col,
          off: Math.min(start.off, newLine.length)
        };
        startSel = startSel.map(update.changes);
      }
    },
    get(event, _extend, multiple) {
      let cur = getPos(view, event);
      if (!cur) return startSel;
      let ranges = rectangleFor(view.state, start, cur);
      if (!ranges.length) return startSel;
      if (multiple) return _state.EditorSelection.create(ranges.concat(startSel.ranges));else return _state.EditorSelection.create(ranges);
    }
  };
}
/**
Create an extension that enables rectangular selections. By
default, it will react to left mouse drag with the Alt key held
down. When such a selection occurs, the text within the rectangle
that was dragged over will be selected, as one selection
[range](https://codemirror.net/6/docs/ref/#state.SelectionRange) per line.
*/
function rectangularSelection(options) {
  let filter = (options === null || options === void 0 ? void 0 : options.eventFilter) || (e => e.altKey && e.button == 0);
  return EditorView.mouseSelectionStyle.of((view, event) => filter(event) ? rectangleSelectionStyle(view, event) : null);
}
const keys = {
  Alt: [18, e => e.altKey],
  Control: [17, e => e.ctrlKey],
  Shift: [16, e => e.shiftKey],
  Meta: [91, e => e.metaKey]
};
const showCrosshair = {
  style: "cursor: crosshair"
};
/**
Returns an extension that turns the pointer cursor into a
crosshair when a given modifier key, defaulting to Alt, is held
down. Can serve as a visual hint that rectangular selection is
going to happen when paired with
[`rectangularSelection`](https://codemirror.net/6/docs/ref/#view.rectangularSelection).
*/
function crosshairCursor(options = {}) {
  let [code, getter] = keys[options.key || "Alt"];
  let plugin = ViewPlugin.fromClass(class {
    constructor(view) {
      this.view = view;
      this.isDown = false;
    }
    set(isDown) {
      if (this.isDown != isDown) {
        this.isDown = isDown;
        this.view.update([]);
      }
    }
  }, {
    eventHandlers: {
      keydown(e) {
        this.set(e.keyCode == code || getter(e));
      },
      keyup(e) {
        if (e.keyCode == code || !getter(e)) this.set(false);
      },
      mousemove(e) {
        this.set(getter(e));
      }
    }
  });
  return [plugin, EditorView.contentAttributes.of(view => {
    var _a;
    return ((_a = view.plugin(plugin)) === null || _a === void 0 ? void 0 : _a.isDown) ? showCrosshair : null;
  })];
}
const Outside = "-10000px";
class TooltipViewManager {
  constructor(view, facet, createTooltipView) {
    this.facet = facet;
    this.createTooltipView = createTooltipView;
    this.input = view.state.facet(facet);
    this.tooltips = this.input.filter(t => t);
    this.tooltipViews = this.tooltips.map(createTooltipView);
  }
  update(update) {
    var _a;
    let input = update.state.facet(this.facet);
    let tooltips = input.filter(x => x);
    if (input === this.input) {
      for (let t of this.tooltipViews) if (t.update) t.update(update);
      return false;
    }
    let tooltipViews = [];
    for (let i = 0; i < tooltips.length; i++) {
      let tip = tooltips[i],
        known = -1;
      if (!tip) continue;
      for (let i = 0; i < this.tooltips.length; i++) {
        let other = this.tooltips[i];
        if (other && other.create == tip.create) known = i;
      }
      if (known < 0) {
        tooltipViews[i] = this.createTooltipView(tip);
      } else {
        let tooltipView = tooltipViews[i] = this.tooltipViews[known];
        if (tooltipView.update) tooltipView.update(update);
      }
    }
    for (let t of this.tooltipViews) if (tooltipViews.indexOf(t) < 0) {
      t.dom.remove();
      (_a = t.destroy) === null || _a === void 0 ? void 0 : _a.call(t);
    }
    this.input = input;
    this.tooltips = tooltips;
    this.tooltipViews = tooltipViews;
    return true;
  }
}
/**
Creates an extension that configures tooltip behavior.
*/
function tooltips(config = {}) {
  return tooltipConfig.of(config);
}
function windowSpace(view) {
  let {
    win
  } = view;
  return {
    top: 0,
    left: 0,
    bottom: win.innerHeight,
    right: win.innerWidth
  };
}
const tooltipConfig = /*@__PURE__*/_state.Facet.define({
  combine: values => {
    var _a, _b, _c;
    return {
      position: browser.ios ? "absolute" : ((_a = values.find(conf => conf.position)) === null || _a === void 0 ? void 0 : _a.position) || "fixed",
      parent: ((_b = values.find(conf => conf.parent)) === null || _b === void 0 ? void 0 : _b.parent) || null,
      tooltipSpace: ((_c = values.find(conf => conf.tooltipSpace)) === null || _c === void 0 ? void 0 : _c.tooltipSpace) || windowSpace
    };
  }
});
const knownHeight = /*@__PURE__*/new WeakMap();
const tooltipPlugin = /*@__PURE__*/ViewPlugin.fromClass(class {
  constructor(view) {
    this.view = view;
    this.inView = true;
    this.lastTransaction = 0;
    this.measureTimeout = -1;
    let config = view.state.facet(tooltipConfig);
    this.position = config.position;
    this.parent = config.parent;
    this.classes = view.themeClasses;
    this.createContainer();
    this.measureReq = {
      read: this.readMeasure.bind(this),
      write: this.writeMeasure.bind(this),
      key: this
    };
    this.manager = new TooltipViewManager(view, showTooltip, t => this.createTooltip(t));
    this.intersectionObserver = typeof IntersectionObserver == "function" ? new IntersectionObserver(entries => {
      if (Date.now() > this.lastTransaction - 50 && entries.length > 0 && entries[entries.length - 1].intersectionRatio < 1) this.measureSoon();
    }, {
      threshold: [1]
    }) : null;
    this.observeIntersection();
    view.win.addEventListener("resize", this.measureSoon = this.measureSoon.bind(this));
    this.maybeMeasure();
  }
  createContainer() {
    if (this.parent) {
      this.container = document.createElement("div");
      this.container.style.position = "relative";
      this.container.className = this.view.themeClasses;
      this.parent.appendChild(this.container);
    } else {
      this.container = this.view.dom;
    }
  }
  observeIntersection() {
    if (this.intersectionObserver) {
      this.intersectionObserver.disconnect();
      for (let tooltip of this.manager.tooltipViews) this.intersectionObserver.observe(tooltip.dom);
    }
  }
  measureSoon() {
    if (this.measureTimeout < 0) this.measureTimeout = setTimeout(() => {
      this.measureTimeout = -1;
      this.maybeMeasure();
    }, 50);
  }
  update(update) {
    if (update.transactions.length) this.lastTransaction = Date.now();
    let updated = this.manager.update(update);
    if (updated) this.observeIntersection();
    let shouldMeasure = updated || update.geometryChanged;
    let newConfig = update.state.facet(tooltipConfig);
    if (newConfig.position != this.position) {
      this.position = newConfig.position;
      for (let t of this.manager.tooltipViews) t.dom.style.position = this.position;
      shouldMeasure = true;
    }
    if (newConfig.parent != this.parent) {
      if (this.parent) this.container.remove();
      this.parent = newConfig.parent;
      this.createContainer();
      for (let t of this.manager.tooltipViews) this.container.appendChild(t.dom);
      shouldMeasure = true;
    } else if (this.parent && this.view.themeClasses != this.classes) {
      this.classes = this.container.className = this.view.themeClasses;
    }
    if (shouldMeasure) this.maybeMeasure();
  }
  createTooltip(tooltip) {
    let tooltipView = tooltip.create(this.view);
    tooltipView.dom.classList.add("cm-tooltip");
    if (tooltip.arrow && !tooltipView.dom.querySelector(".cm-tooltip > .cm-tooltip-arrow")) {
      let arrow = document.createElement("div");
      arrow.className = "cm-tooltip-arrow";
      tooltipView.dom.appendChild(arrow);
    }
    tooltipView.dom.style.position = this.position;
    tooltipView.dom.style.top = Outside;
    this.container.appendChild(tooltipView.dom);
    if (tooltipView.mount) tooltipView.mount(this.view);
    return tooltipView;
  }
  destroy() {
    var _a, _b;
    this.view.win.removeEventListener("resize", this.measureSoon);
    for (let tooltipView of this.manager.tooltipViews) {
      tooltipView.dom.remove();
      (_a = tooltipView.destroy) === null || _a === void 0 ? void 0 : _a.call(tooltipView);
    }
    (_b = this.intersectionObserver) === null || _b === void 0 ? void 0 : _b.disconnect();
    clearTimeout(this.measureTimeout);
  }
  readMeasure() {
    let editor = this.view.dom.getBoundingClientRect();
    return {
      editor,
      parent: this.parent ? this.container.getBoundingClientRect() : editor,
      pos: this.manager.tooltips.map((t, i) => {
        let tv = this.manager.tooltipViews[i];
        return tv.getCoords ? tv.getCoords(t.pos) : this.view.coordsAtPos(t.pos);
      }),
      size: this.manager.tooltipViews.map(({
        dom
      }) => dom.getBoundingClientRect()),
      space: this.view.state.facet(tooltipConfig).tooltipSpace(this.view)
    };
  }
  writeMeasure(measured) {
    var _a;
    let {
      editor,
      space
    } = measured;
    let others = [];
    for (let i = 0; i < this.manager.tooltips.length; i++) {
      let tooltip = this.manager.tooltips[i],
        tView = this.manager.tooltipViews[i],
        {
          dom
        } = tView;
      let pos = measured.pos[i],
        size = measured.size[i];
      // Hide tooltips that are outside of the editor.
      if (!pos || pos.bottom <= Math.max(editor.top, space.top) || pos.top >= Math.min(editor.bottom, space.bottom) || pos.right < Math.max(editor.left, space.left) - .1 || pos.left > Math.min(editor.right, space.right) + .1) {
        dom.style.top = Outside;
        continue;
      }
      let arrow = tooltip.arrow ? tView.dom.querySelector(".cm-tooltip-arrow") : null;
      let arrowHeight = arrow ? 7 /* Arrow.Size */ : 0;
      let width = size.right - size.left,
        height = (_a = knownHeight.get(tView)) !== null && _a !== void 0 ? _a : size.bottom - size.top;
      let offset = tView.offset || noOffset,
        ltr = this.view.textDirection == Direction.LTR;
      let left = size.width > space.right - space.left ? ltr ? space.left : space.right - size.width : ltr ? Math.min(pos.left - (arrow ? 14 /* Arrow.Offset */ : 0) + offset.x, space.right - width) : Math.max(space.left, pos.left - width + (arrow ? 14 /* Arrow.Offset */ : 0) - offset.x);
      let above = !!tooltip.above;
      if (!tooltip.strictSide && (above ? pos.top - (size.bottom - size.top) - offset.y < space.top : pos.bottom + (size.bottom - size.top) + offset.y > space.bottom) && above == space.bottom - pos.bottom > pos.top - space.top) above = !above;
      let spaceVert = (above ? pos.top - space.top : space.bottom - pos.bottom) - arrowHeight;
      if (spaceVert < height && tView.resize !== false) {
        if (spaceVert < this.view.defaultLineHeight) {
          dom.style.top = Outside;
          continue;
        }
        knownHeight.set(tView, height);
        dom.style.height = (height = spaceVert) + "px";
      } else if (dom.style.height) {
        dom.style.height = "";
      }
      let top = above ? pos.top - height - arrowHeight - offset.y : pos.bottom + arrowHeight + offset.y;
      let right = left + width;
      if (tView.overlap !== true) for (let r of others) if (r.left < right && r.right > left && r.top < top + height && r.bottom > top) top = above ? r.top - height - 2 - arrowHeight : r.bottom + arrowHeight + 2;
      if (this.position == "absolute") {
        dom.style.top = top - measured.parent.top + "px";
        dom.style.left = left - measured.parent.left + "px";
      } else {
        dom.style.top = top + "px";
        dom.style.left = left + "px";
      }
      if (arrow) arrow.style.left = `${pos.left + (ltr ? offset.x : -offset.x) - (left + 14 /* Arrow.Offset */ - 7 /* Arrow.Size */)}px`;
      if (tView.overlap !== true) others.push({
        left,
        top,
        right,
        bottom: top + height
      });
      dom.classList.toggle("cm-tooltip-above", above);
      dom.classList.toggle("cm-tooltip-below", !above);
      if (tView.positioned) tView.positioned(measured.space);
    }
  }
  maybeMeasure() {
    if (this.manager.tooltips.length) {
      if (this.view.inView) this.view.requestMeasure(this.measureReq);
      if (this.inView != this.view.inView) {
        this.inView = this.view.inView;
        if (!this.inView) for (let tv of this.manager.tooltipViews) tv.dom.style.top = Outside;
      }
    }
  }
}, {
  eventHandlers: {
    scroll() {
      this.maybeMeasure();
    }
  }
});
const baseTheme = /*@__PURE__*/EditorView.baseTheme({
  ".cm-tooltip": {
    zIndex: 100,
    boxSizing: "border-box"
  },
  "&light .cm-tooltip": {
    border: "1px solid #bbb",
    backgroundColor: "#f5f5f5"
  },
  "&light .cm-tooltip-section:not(:first-child)": {
    borderTop: "1px solid #bbb"
  },
  "&dark .cm-tooltip": {
    backgroundColor: "#333338",
    color: "white"
  },
  ".cm-tooltip-arrow": {
    height: `${7 /* Arrow.Size */}px`,
    width: `${7 /* Arrow.Size */ * 2}px`,
    position: "absolute",
    zIndex: -1,
    overflow: "hidden",
    "&:before, &:after": {
      content: "''",
      position: "absolute",
      width: 0,
      height: 0,
      borderLeft: `${7 /* Arrow.Size */}px solid transparent`,
      borderRight: `${7 /* Arrow.Size */}px solid transparent`
    },
    ".cm-tooltip-above &": {
      bottom: `-${7 /* Arrow.Size */}px`,
      "&:before": {
        borderTop: `${7 /* Arrow.Size */}px solid #bbb`
      },
      "&:after": {
        borderTop: `${7 /* Arrow.Size */}px solid #f5f5f5`,
        bottom: "1px"
      }
    },
    ".cm-tooltip-below &": {
      top: `-${7 /* Arrow.Size */}px`,
      "&:before": {
        borderBottom: `${7 /* Arrow.Size */}px solid #bbb`
      },
      "&:after": {
        borderBottom: `${7 /* Arrow.Size */}px solid #f5f5f5`,
        top: "1px"
      }
    }
  },
  "&dark .cm-tooltip .cm-tooltip-arrow": {
    "&:before": {
      borderTopColor: "#333338",
      borderBottomColor: "#333338"
    },
    "&:after": {
      borderTopColor: "transparent",
      borderBottomColor: "transparent"
    }
  }
});
const noOffset = {
  x: 0,
  y: 0
};
/**
Facet to which an extension can add a value to show a tooltip.
*/
const showTooltip = /*@__PURE__*/_state.Facet.define({
  enables: [tooltipPlugin, baseTheme]
});
exports.showTooltip = showTooltip;
const showHoverTooltip = /*@__PURE__*/_state.Facet.define();
class HoverTooltipHost {
  constructor(view) {
    this.view = view;
    this.mounted = false;
    this.dom = document.createElement("div");
    this.dom.classList.add("cm-tooltip-hover");
    this.manager = new TooltipViewManager(view, showHoverTooltip, t => this.createHostedView(t));
  }
  // Needs to be static so that host tooltip instances always match
  static create(view) {
    return new HoverTooltipHost(view);
  }
  createHostedView(tooltip) {
    let hostedView = tooltip.create(this.view);
    hostedView.dom.classList.add("cm-tooltip-section");
    this.dom.appendChild(hostedView.dom);
    if (this.mounted && hostedView.mount) hostedView.mount(this.view);
    return hostedView;
  }
  mount(view) {
    for (let hostedView of this.manager.tooltipViews) {
      if (hostedView.mount) hostedView.mount(view);
    }
    this.mounted = true;
  }
  positioned(space) {
    for (let hostedView of this.manager.tooltipViews) {
      if (hostedView.positioned) hostedView.positioned(space);
    }
  }
  update(update) {
    this.manager.update(update);
  }
  destroy() {
    var _a;
    for (let t of this.manager.tooltipViews) (_a = t.destroy) === null || _a === void 0 ? void 0 : _a.call(t);
  }
}
const showHoverTooltipHost = /*@__PURE__*/showTooltip.compute([showHoverTooltip], state => {
  let tooltips = state.facet(showHoverTooltip).filter(t => t);
  if (tooltips.length === 0) return null;
  return {
    pos: Math.min(...tooltips.map(t => t.pos)),
    end: Math.max(...tooltips.filter(t => t.end != null).map(t => t.end)),
    create: HoverTooltipHost.create,
    above: tooltips[0].above,
    arrow: tooltips.some(t => t.arrow)
  };
});
class HoverPlugin {
  constructor(view, source, field, setHover, hoverTime) {
    this.view = view;
    this.source = source;
    this.field = field;
    this.setHover = setHover;
    this.hoverTime = hoverTime;
    this.hoverTimeout = -1;
    this.restartTimeout = -1;
    this.pending = null;
    this.lastMove = {
      x: 0,
      y: 0,
      target: view.dom,
      time: 0
    };
    this.checkHover = this.checkHover.bind(this);
    view.dom.addEventListener("mouseleave", this.mouseleave = this.mouseleave.bind(this));
    view.dom.addEventListener("mousemove", this.mousemove = this.mousemove.bind(this));
  }
  update() {
    if (this.pending) {
      this.pending = null;
      clearTimeout(this.restartTimeout);
      this.restartTimeout = setTimeout(() => this.startHover(), 20);
    }
  }
  get active() {
    return this.view.state.field(this.field);
  }
  checkHover() {
    this.hoverTimeout = -1;
    if (this.active) return;
    let hovered = Date.now() - this.lastMove.time;
    if (hovered < this.hoverTime) this.hoverTimeout = setTimeout(this.checkHover, this.hoverTime - hovered);else this.startHover();
  }
  startHover() {
    clearTimeout(this.restartTimeout);
    let {
      lastMove
    } = this;
    let pos = this.view.contentDOM.contains(lastMove.target) ? this.view.posAtCoords(lastMove) : null;
    if (pos == null) return;
    let posCoords = this.view.coordsAtPos(pos);
    if (posCoords == null || lastMove.y < posCoords.top || lastMove.y > posCoords.bottom || lastMove.x < posCoords.left - this.view.defaultCharacterWidth || lastMove.x > posCoords.right + this.view.defaultCharacterWidth) return;
    let bidi = this.view.bidiSpans(this.view.state.doc.lineAt(pos)).find(s => s.from <= pos && s.to >= pos);
    let rtl = bidi && bidi.dir == Direction.RTL ? -1 : 1;
    let open = this.source(this.view, pos, lastMove.x < posCoords.left ? -rtl : rtl);
    if (open === null || open === void 0 ? void 0 : open.then) {
      let pending = this.pending = {
        pos
      };
      open.then(result => {
        if (this.pending == pending) {
          this.pending = null;
          if (result) this.view.dispatch({
            effects: this.setHover.of(result)
          });
        }
      }, e => logException(this.view.state, e, "hover tooltip"));
    } else if (open) {
      this.view.dispatch({
        effects: this.setHover.of(open)
      });
    }
  }
  mousemove(event) {
    var _a;
    this.lastMove = {
      x: event.clientX,
      y: event.clientY,
      target: event.target,
      time: Date.now()
    };
    if (this.hoverTimeout < 0) this.hoverTimeout = setTimeout(this.checkHover, this.hoverTime);
    let tooltip = this.active;
    if (tooltip && !isInTooltip(this.lastMove.target) || this.pending) {
      let {
          pos
        } = tooltip || this.pending,
        end = (_a = tooltip === null || tooltip === void 0 ? void 0 : tooltip.end) !== null && _a !== void 0 ? _a : pos;
      if (pos == end ? this.view.posAtCoords(this.lastMove) != pos : !isOverRange(this.view, pos, end, event.clientX, event.clientY, 6 /* Hover.MaxDist */)) {
        this.view.dispatch({
          effects: this.setHover.of(null)
        });
        this.pending = null;
      }
    }
  }
  mouseleave(e) {
    clearTimeout(this.hoverTimeout);
    this.hoverTimeout = -1;
    if (this.active && !isInTooltip(e.relatedTarget)) this.view.dispatch({
      effects: this.setHover.of(null)
    });
  }
  destroy() {
    clearTimeout(this.hoverTimeout);
    this.view.dom.removeEventListener("mouseleave", this.mouseleave);
    this.view.dom.removeEventListener("mousemove", this.mousemove);
  }
}
function isInTooltip(elt) {
  for (let cur = elt; cur; cur = cur.parentNode) if (cur.nodeType == 1 && cur.classList.contains("cm-tooltip")) return true;
  return false;
}
function isOverRange(view, from, to, x, y, margin) {
  let range = document.createRange();
  let fromDOM = view.domAtPos(from),
    toDOM = view.domAtPos(to);
  range.setEnd(toDOM.node, toDOM.offset);
  range.setStart(fromDOM.node, fromDOM.offset);
  let rects = range.getClientRects();
  range.detach();
  for (let i = 0; i < rects.length; i++) {
    let rect = rects[i];
    let dist = Math.max(rect.top - y, y - rect.bottom, rect.left - x, x - rect.right);
    if (dist <= margin) return true;
  }
  return false;
}
/**
Set up a hover tooltip, which shows up when the pointer hovers
over ranges of text. The callback is called when the mouse hovers
over the document text. It should, if there is a tooltip
associated with position `pos`, return the tooltip description
(either directly or in a promise). The `side` argument indicates
on which side of the position the pointer is—it will be -1 if the
pointer is before the position, 1 if after the position.

Note that all hover tooltips are hosted within a single tooltip
container element. This allows multiple tooltips over the same
range to be "merged" together without overlapping.
*/
function hoverTooltip(source, options = {}) {
  let setHover = _state.StateEffect.define();
  let hoverState = _state.StateField.define({
    create() {
      return null;
    },
    update(value, tr) {
      if (value && (options.hideOnChange && (tr.docChanged || tr.selection) || options.hideOn && options.hideOn(tr, value))) return null;
      if (value && tr.docChanged) {
        let newPos = tr.changes.mapPos(value.pos, -1, _state.MapMode.TrackDel);
        if (newPos == null) return null;
        let copy = Object.assign(Object.create(null), value);
        copy.pos = newPos;
        if (value.end != null) copy.end = tr.changes.mapPos(value.end);
        value = copy;
      }
      for (let effect of tr.effects) {
        if (effect.is(setHover)) value = effect.value;
        if (effect.is(closeHoverTooltipEffect)) value = null;
      }
      return value;
    },
    provide: f => showHoverTooltip.from(f)
  });
  return [hoverState, ViewPlugin.define(view => new HoverPlugin(view, source, hoverState, setHover, options.hoverTime || 300 /* Hover.Time */)), showHoverTooltipHost];
}
/**
Get the active tooltip view for a given tooltip, if available.
*/
function getTooltip(view, tooltip) {
  let plugin = view.plugin(tooltipPlugin);
  if (!plugin) return null;
  let found = plugin.manager.tooltips.indexOf(tooltip);
  return found < 0 ? null : plugin.manager.tooltipViews[found];
}
/**
Returns true if any hover tooltips are currently active.
*/
function hasHoverTooltips(state) {
  return state.facet(showHoverTooltip).some(x => x);
}
const closeHoverTooltipEffect = /*@__PURE__*/_state.StateEffect.define();
/**
Transaction effect that closes all hover tooltips.
*/
const closeHoverTooltips = /*@__PURE__*/closeHoverTooltipEffect.of(null);
/**
Tell the tooltip extension to recompute the position of the active
tooltips. This can be useful when something happens (such as a
re-positioning or CSS change affecting the editor) that could
invalidate the existing tooltip positions.
*/
exports.closeHoverTooltips = closeHoverTooltips;
function repositionTooltips(view) {
  var _a;
  (_a = view.plugin(tooltipPlugin)) === null || _a === void 0 ? void 0 : _a.maybeMeasure();
}
const panelConfig = /*@__PURE__*/_state.Facet.define({
  combine(configs) {
    let topContainer, bottomContainer;
    for (let c of configs) {
      topContainer = topContainer || c.topContainer;
      bottomContainer = bottomContainer || c.bottomContainer;
    }
    return {
      topContainer,
      bottomContainer
    };
  }
});
/**
Configures the panel-managing extension.
*/
function panels(config) {
  return config ? [panelConfig.of(config)] : [];
}
/**
Get the active panel created by the given constructor, if any.
This can be useful when you need access to your panels' DOM
structure.
*/
function getPanel(view, panel) {
  let plugin = view.plugin(panelPlugin);
  let index = plugin ? plugin.specs.indexOf(panel) : -1;
  return index > -1 ? plugin.panels[index] : null;
}
const panelPlugin = /*@__PURE__*/ViewPlugin.fromClass(class {
  constructor(view) {
    this.input = view.state.facet(showPanel);
    this.specs = this.input.filter(s => s);
    this.panels = this.specs.map(spec => spec(view));
    let conf = view.state.facet(panelConfig);
    this.top = new PanelGroup(view, true, conf.topContainer);
    this.bottom = new PanelGroup(view, false, conf.bottomContainer);
    this.top.sync(this.panels.filter(p => p.top));
    this.bottom.sync(this.panels.filter(p => !p.top));
    for (let p of this.panels) {
      p.dom.classList.add("cm-panel");
      if (p.mount) p.mount();
    }
  }
  update(update) {
    let conf = update.state.facet(panelConfig);
    if (this.top.container != conf.topContainer) {
      this.top.sync([]);
      this.top = new PanelGroup(update.view, true, conf.topContainer);
    }
    if (this.bottom.container != conf.bottomContainer) {
      this.bottom.sync([]);
      this.bottom = new PanelGroup(update.view, false, conf.bottomContainer);
    }
    this.top.syncClasses();
    this.bottom.syncClasses();
    let input = update.state.facet(showPanel);
    if (input != this.input) {
      let specs = input.filter(x => x);
      let panels = [],
        top = [],
        bottom = [],
        mount = [];
      for (let spec of specs) {
        let known = this.specs.indexOf(spec),
          panel;
        if (known < 0) {
          panel = spec(update.view);
          mount.push(panel);
        } else {
          panel = this.panels[known];
          if (panel.update) panel.update(update);
        }
        panels.push(panel);
        (panel.top ? top : bottom).push(panel);
      }
      this.specs = specs;
      this.panels = panels;
      this.top.sync(top);
      this.bottom.sync(bottom);
      for (let p of mount) {
        p.dom.classList.add("cm-panel");
        if (p.mount) p.mount();
      }
    } else {
      for (let p of this.panels) if (p.update) p.update(update);
    }
  }
  destroy() {
    this.top.sync([]);
    this.bottom.sync([]);
  }
}, {
  provide: plugin => EditorView.scrollMargins.of(view => {
    let value = view.plugin(plugin);
    return value && {
      top: value.top.scrollMargin(),
      bottom: value.bottom.scrollMargin()
    };
  })
});
class PanelGroup {
  constructor(view, top, container) {
    this.view = view;
    this.top = top;
    this.container = container;
    this.dom = undefined;
    this.classes = "";
    this.panels = [];
    this.syncClasses();
  }
  sync(panels) {
    for (let p of this.panels) if (p.destroy && panels.indexOf(p) < 0) p.destroy();
    this.panels = panels;
    this.syncDOM();
  }
  syncDOM() {
    if (this.panels.length == 0) {
      if (this.dom) {
        this.dom.remove();
        this.dom = undefined;
      }
      return;
    }
    if (!this.dom) {
      this.dom = document.createElement("div");
      this.dom.className = this.top ? "cm-panels cm-panels-top" : "cm-panels cm-panels-bottom";
      this.dom.style[this.top ? "top" : "bottom"] = "0";
      let parent = this.container || this.view.dom;
      parent.insertBefore(this.dom, this.top ? parent.firstChild : null);
    }
    let curDOM = this.dom.firstChild;
    for (let panel of this.panels) {
      if (panel.dom.parentNode == this.dom) {
        while (curDOM != panel.dom) curDOM = rm(curDOM);
        curDOM = curDOM.nextSibling;
      } else {
        this.dom.insertBefore(panel.dom, curDOM);
      }
    }
    while (curDOM) curDOM = rm(curDOM);
  }
  scrollMargin() {
    return !this.dom || this.container ? 0 : Math.max(0, this.top ? this.dom.getBoundingClientRect().bottom - Math.max(0, this.view.scrollDOM.getBoundingClientRect().top) : Math.min(innerHeight, this.view.scrollDOM.getBoundingClientRect().bottom) - this.dom.getBoundingClientRect().top);
  }
  syncClasses() {
    if (!this.container || this.classes == this.view.themeClasses) return;
    for (let cls of this.classes.split(" ")) if (cls) this.container.classList.remove(cls);
    for (let cls of (this.classes = this.view.themeClasses).split(" ")) if (cls) this.container.classList.add(cls);
  }
}
function rm(node) {
  let next = node.nextSibling;
  node.remove();
  return next;
}
/**
Opening a panel is done by providing a constructor function for
the panel through this facet. (The panel is closed again when its
constructor is no longer provided.) Values of `null` are ignored.
*/
const showPanel = /*@__PURE__*/_state.Facet.define({
  enables: panelPlugin
});

/**
A gutter marker represents a bit of information attached to a line
in a specific gutter. Your own custom markers have to extend this
class.
*/
exports.showPanel = showPanel;
class GutterMarker extends _state.RangeValue {
  /**
  @internal
  */
  compare(other) {
    return this == other || this.constructor == other.constructor && this.eq(other);
  }
  /**
  Compare this marker to another marker of the same type.
  */
  eq(other) {
    return false;
  }
  /**
  Called if the marker has a `toDOM` method and its representation
  was removed from a gutter.
  */
  destroy(dom) {}
}
exports.GutterMarker = GutterMarker;
GutterMarker.prototype.elementClass = "";
GutterMarker.prototype.toDOM = undefined;
GutterMarker.prototype.mapMode = _state.MapMode.TrackBefore;
GutterMarker.prototype.startSide = GutterMarker.prototype.endSide = -1;
GutterMarker.prototype.point = true;
/**
Facet used to add a class to all gutter elements for a given line.
Markers given to this facet should _only_ define an
[`elementclass`](https://codemirror.net/6/docs/ref/#view.GutterMarker.elementClass), not a
[`toDOM`](https://codemirror.net/6/docs/ref/#view.GutterMarker.toDOM) (or the marker will appear
in all gutters for the line).
*/
const gutterLineClass = /*@__PURE__*/_state.Facet.define();
exports.gutterLineClass = gutterLineClass;
const defaults = {
  class: "",
  renderEmptyElements: false,
  elementStyle: "",
  markers: () => _state.RangeSet.empty,
  lineMarker: () => null,
  lineMarkerChange: null,
  initialSpacer: null,
  updateSpacer: null,
  domEventHandlers: {}
};
const activeGutters = /*@__PURE__*/_state.Facet.define();
/**
Define an editor gutter. The order in which the gutters appear is
determined by their extension priority.
*/
function gutter(config) {
  return [gutters(), activeGutters.of(Object.assign(Object.assign({}, defaults), config))];
}
const unfixGutters = /*@__PURE__*/_state.Facet.define({
  combine: values => values.some(x => x)
});
/**
The gutter-drawing plugin is automatically enabled when you add a
gutter, but you can use this function to explicitly configure it.

Unless `fixed` is explicitly set to `false`, the gutters are
fixed, meaning they don't scroll along with the content
horizontally (except on Internet Explorer, which doesn't support
CSS [`position:
sticky`](https://developer.mozilla.org/en-US/docs/Web/CSS/position#sticky)).
*/
function gutters(config) {
  let result = [gutterView];
  if (config && config.fixed === false) result.push(unfixGutters.of(true));
  return result;
}
const gutterView = /*@__PURE__*/ViewPlugin.fromClass(class {
  constructor(view) {
    this.view = view;
    this.prevViewport = view.viewport;
    this.dom = document.createElement("div");
    this.dom.className = "cm-gutters";
    this.dom.setAttribute("aria-hidden", "true");
    this.dom.style.minHeight = this.view.contentHeight + "px";
    this.gutters = view.state.facet(activeGutters).map(conf => new SingleGutterView(view, conf));
    for (let gutter of this.gutters) this.dom.appendChild(gutter.dom);
    this.fixed = !view.state.facet(unfixGutters);
    if (this.fixed) {
      // FIXME IE11 fallback, which doesn't support position: sticky,
      // by using position: relative + event handlers that realign the
      // gutter (or just force fixed=false on IE11?)
      this.dom.style.position = "sticky";
    }
    this.syncGutters(false);
    view.scrollDOM.insertBefore(this.dom, view.contentDOM);
  }
  update(update) {
    if (this.updateGutters(update)) {
      // Detach during sync when the viewport changed significantly
      // (such as during scrolling), since for large updates that is
      // faster.
      let vpA = this.prevViewport,
        vpB = update.view.viewport;
      let vpOverlap = Math.min(vpA.to, vpB.to) - Math.max(vpA.from, vpB.from);
      this.syncGutters(vpOverlap < (vpB.to - vpB.from) * 0.8);
    }
    if (update.geometryChanged) this.dom.style.minHeight = this.view.contentHeight + "px";
    if (this.view.state.facet(unfixGutters) != !this.fixed) {
      this.fixed = !this.fixed;
      this.dom.style.position = this.fixed ? "sticky" : "";
    }
    this.prevViewport = update.view.viewport;
  }
  syncGutters(detach) {
    let after = this.dom.nextSibling;
    if (detach) this.dom.remove();
    let lineClasses = _state.RangeSet.iter(this.view.state.facet(gutterLineClass), this.view.viewport.from);
    let classSet = [];
    let contexts = this.gutters.map(gutter => new UpdateContext(gutter, this.view.viewport, -this.view.documentPadding.top));
    for (let line of this.view.viewportLineBlocks) {
      let text;
      if (Array.isArray(line.type)) {
        for (let b of line.type) if (b.type == BlockType.Text) {
          text = b;
          break;
        }
      } else {
        text = line.type == BlockType.Text ? line : undefined;
      }
      if (!text) continue;
      if (classSet.length) classSet = [];
      advanceCursor(lineClasses, classSet, line.from);
      for (let cx of contexts) cx.line(this.view, text, classSet);
    }
    for (let cx of contexts) cx.finish();
    if (detach) this.view.scrollDOM.insertBefore(this.dom, after);
  }
  updateGutters(update) {
    let prev = update.startState.facet(activeGutters),
      cur = update.state.facet(activeGutters);
    let change = update.docChanged || update.heightChanged || update.viewportChanged || !_state.RangeSet.eq(update.startState.facet(gutterLineClass), update.state.facet(gutterLineClass), update.view.viewport.from, update.view.viewport.to);
    if (prev == cur) {
      for (let gutter of this.gutters) if (gutter.update(update)) change = true;
    } else {
      change = true;
      let gutters = [];
      for (let conf of cur) {
        let known = prev.indexOf(conf);
        if (known < 0) {
          gutters.push(new SingleGutterView(this.view, conf));
        } else {
          this.gutters[known].update(update);
          gutters.push(this.gutters[known]);
        }
      }
      for (let g of this.gutters) {
        g.dom.remove();
        if (gutters.indexOf(g) < 0) g.destroy();
      }
      for (let g of gutters) this.dom.appendChild(g.dom);
      this.gutters = gutters;
    }
    return change;
  }
  destroy() {
    for (let view of this.gutters) view.destroy();
    this.dom.remove();
  }
}, {
  provide: plugin => EditorView.scrollMargins.of(view => {
    let value = view.plugin(plugin);
    if (!value || value.gutters.length == 0 || !value.fixed) return null;
    return view.textDirection == Direction.LTR ? {
      left: value.dom.offsetWidth
    } : {
      right: value.dom.offsetWidth
    };
  })
});
function asArray(val) {
  return Array.isArray(val) ? val : [val];
}
function advanceCursor(cursor, collect, pos) {
  while (cursor.value && cursor.from <= pos) {
    if (cursor.from == pos) collect.push(cursor.value);
    cursor.next();
  }
}
class UpdateContext {
  constructor(gutter, viewport, height) {
    this.gutter = gutter;
    this.height = height;
    this.i = 0;
    this.cursor = _state.RangeSet.iter(gutter.markers, viewport.from);
  }
  line(view, line, extraMarkers) {
    let localMarkers = [];
    advanceCursor(this.cursor, localMarkers, line.from);
    if (extraMarkers.length) localMarkers = localMarkers.concat(extraMarkers);
    let forLine = this.gutter.config.lineMarker(view, line, localMarkers);
    if (forLine) localMarkers.unshift(forLine);
    let gutter = this.gutter;
    if (localMarkers.length == 0 && !gutter.config.renderEmptyElements) return;
    let above = line.top - this.height;
    if (this.i == gutter.elements.length) {
      let newElt = new GutterElement(view, line.height, above, localMarkers);
      gutter.elements.push(newElt);
      gutter.dom.appendChild(newElt.dom);
    } else {
      gutter.elements[this.i].update(view, line.height, above, localMarkers);
    }
    this.height = line.bottom;
    this.i++;
  }
  finish() {
    let gutter = this.gutter;
    while (gutter.elements.length > this.i) {
      let last = gutter.elements.pop();
      gutter.dom.removeChild(last.dom);
      last.destroy();
    }
  }
}
class SingleGutterView {
  constructor(view, config) {
    this.view = view;
    this.config = config;
    this.elements = [];
    this.spacer = null;
    this.dom = document.createElement("div");
    this.dom.className = "cm-gutter" + (this.config.class ? " " + this.config.class : "");
    for (let prop in config.domEventHandlers) {
      this.dom.addEventListener(prop, event => {
        let target = event.target,
          y;
        if (target != this.dom && this.dom.contains(target)) {
          while (target.parentNode != this.dom) target = target.parentNode;
          let rect = target.getBoundingClientRect();
          y = (rect.top + rect.bottom) / 2;
        } else {
          y = event.clientY;
        }
        let line = view.lineBlockAtHeight(y - view.documentTop);
        if (config.domEventHandlers[prop](view, line, event)) event.preventDefault();
      });
    }
    this.markers = asArray(config.markers(view));
    if (config.initialSpacer) {
      this.spacer = new GutterElement(view, 0, 0, [config.initialSpacer(view)]);
      this.dom.appendChild(this.spacer.dom);
      this.spacer.dom.style.cssText += "visibility: hidden; pointer-events: none";
    }
  }
  update(update) {
    let prevMarkers = this.markers;
    this.markers = asArray(this.config.markers(update.view));
    if (this.spacer && this.config.updateSpacer) {
      let updated = this.config.updateSpacer(this.spacer.markers[0], update);
      if (updated != this.spacer.markers[0]) this.spacer.update(update.view, 0, 0, [updated]);
    }
    let vp = update.view.viewport;
    return !_state.RangeSet.eq(this.markers, prevMarkers, vp.from, vp.to) || (this.config.lineMarkerChange ? this.config.lineMarkerChange(update) : false);
  }
  destroy() {
    for (let elt of this.elements) elt.destroy();
  }
}
class GutterElement {
  constructor(view, height, above, markers) {
    this.height = -1;
    this.above = 0;
    this.markers = [];
    this.dom = document.createElement("div");
    this.dom.className = "cm-gutterElement";
    this.update(view, height, above, markers);
  }
  update(view, height, above, markers) {
    if (this.height != height) this.dom.style.height = (this.height = height) + "px";
    if (this.above != above) this.dom.style.marginTop = (this.above = above) ? above + "px" : "";
    if (!sameMarkers(this.markers, markers)) this.setMarkers(view, markers);
  }
  setMarkers(view, markers) {
    let cls = "cm-gutterElement",
      domPos = this.dom.firstChild;
    for (let iNew = 0, iOld = 0;;) {
      let skipTo = iOld,
        marker = iNew < markers.length ? markers[iNew++] : null,
        matched = false;
      if (marker) {
        let c = marker.elementClass;
        if (c) cls += " " + c;
        for (let i = iOld; i < this.markers.length; i++) if (this.markers[i].compare(marker)) {
          skipTo = i;
          matched = true;
          break;
        }
      } else {
        skipTo = this.markers.length;
      }
      while (iOld < skipTo) {
        let next = this.markers[iOld++];
        if (next.toDOM) {
          next.destroy(domPos);
          let after = domPos.nextSibling;
          domPos.remove();
          domPos = after;
        }
      }
      if (!marker) break;
      if (marker.toDOM) {
        if (matched) domPos = domPos.nextSibling;else this.dom.insertBefore(marker.toDOM(view), domPos);
      }
      if (matched) iOld++;
    }
    this.dom.className = cls;
    this.markers = markers;
  }
  destroy() {
    this.setMarkers(null, []); // First argument not used unless creating markers
  }
}

function sameMarkers(a, b) {
  if (a.length != b.length) return false;
  for (let i = 0; i < a.length; i++) if (!a[i].compare(b[i])) return false;
  return true;
}
/**
Facet used to provide markers to the line number gutter.
*/
const lineNumberMarkers = /*@__PURE__*/_state.Facet.define();
exports.lineNumberMarkers = lineNumberMarkers;
const lineNumberConfig = /*@__PURE__*/_state.Facet.define({
  combine(values) {
    return (0, _state.combineConfig)(values, {
      formatNumber: String,
      domEventHandlers: {}
    }, {
      domEventHandlers(a, b) {
        let result = Object.assign({}, a);
        for (let event in b) {
          let exists = result[event],
            add = b[event];
          result[event] = exists ? (view, line, event) => exists(view, line, event) || add(view, line, event) : add;
        }
        return result;
      }
    });
  }
});
class NumberMarker extends GutterMarker {
  constructor(number) {
    super();
    this.number = number;
  }
  eq(other) {
    return this.number == other.number;
  }
  toDOM() {
    return document.createTextNode(this.number);
  }
}
function formatNumber(view, number) {
  return view.state.facet(lineNumberConfig).formatNumber(number, view.state);
}
const lineNumberGutter = /*@__PURE__*/activeGutters.compute([lineNumberConfig], state => ({
  class: "cm-lineNumbers",
  renderEmptyElements: false,
  markers(view) {
    return view.state.facet(lineNumberMarkers);
  },
  lineMarker(view, line, others) {
    if (others.some(m => m.toDOM)) return null;
    return new NumberMarker(formatNumber(view, view.state.doc.lineAt(line.from).number));
  },
  lineMarkerChange: update => update.startState.facet(lineNumberConfig) != update.state.facet(lineNumberConfig),
  initialSpacer(view) {
    return new NumberMarker(formatNumber(view, maxLineNumber(view.state.doc.lines)));
  },
  updateSpacer(spacer, update) {
    let max = formatNumber(update.view, maxLineNumber(update.view.state.doc.lines));
    return max == spacer.number ? spacer : new NumberMarker(max);
  },
  domEventHandlers: state.facet(lineNumberConfig).domEventHandlers
}));
/**
Create a line number gutter extension.
*/
function lineNumbers(config = {}) {
  return [lineNumberConfig.of(config), gutters(), lineNumberGutter];
}
function maxLineNumber(lines) {
  let last = 9;
  while (last < lines) last = last * 10 + 9;
  return last;
}
const activeLineGutterMarker = /*@__PURE__*/new class extends GutterMarker {
  constructor() {
    super(...arguments);
    this.elementClass = "cm-activeLineGutter";
  }
}();
const activeLineGutterHighlighter = /*@__PURE__*/gutterLineClass.compute(["selection"], state => {
  let marks = [],
    last = -1;
  for (let range of state.selection.ranges) {
    let linePos = state.doc.lineAt(range.head).from;
    if (linePos > last) {
      last = linePos;
      marks.push(activeLineGutterMarker.range(linePos));
    }
  }
  return _state.RangeSet.of(marks);
});
/**
Returns an extension that adds a `cm-activeLineGutter` class to
all gutter elements on the [active
line](https://codemirror.net/6/docs/ref/#view.highlightActiveLine).
*/
function highlightActiveLineGutter() {
  return activeLineGutterHighlighter;
}
const WhitespaceDeco = /*@__PURE__*/new Map();
function getWhitespaceDeco(space) {
  let deco = WhitespaceDeco.get(space);
  if (!deco) WhitespaceDeco.set(space, deco = Decoration.mark({
    attributes: space === "\t" ? {
      class: "cm-highlightTab"
    } : {
      class: "cm-highlightSpace",
      "data-display": space.replace(/ /g, "·")
    }
  }));
  return deco;
}
function matcher(decorator) {
  return ViewPlugin.define(view => ({
    decorations: decorator.createDeco(view),
    update(u) {
      this.decorations = decorator.updateDeco(u, this.decorations);
    }
  }), {
    decorations: v => v.decorations
  });
}
const whitespaceHighlighter = /*@__PURE__*/matcher( /*@__PURE__*/new MatchDecorator({
  regexp: /\t| +/g,
  decoration: match => getWhitespaceDeco(match[0]),
  boundary: /\S/
}));
/**
Returns an extension that highlights whitespace, adding a
`cm-highlightSpace` class to stretches of spaces, and a
`cm-highlightTab` class to individual tab characters. By default,
the former are shown as faint dots, and the latter as arrows.
*/
function highlightWhitespace() {
  return whitespaceHighlighter;
}
const trailingHighlighter = /*@__PURE__*/matcher( /*@__PURE__*/new MatchDecorator({
  regexp: /\s+$/g,
  decoration: /*@__PURE__*/Decoration.mark({
    class: "cm-trailingSpace"
  }),
  boundary: /\S/
}));
/**
Returns an extension that adds a `cm-trailingSpace` class to all
trailing whitespace.
*/
function highlightTrailingWhitespace() {
  return trailingHighlighter;
}

/**
@internal
*/
const __test = {
  HeightMap,
  HeightOracle,
  MeasuredHeights,
  QueryType,
  ChangedRange,
  computeOrder,
  moveVisually
};
exports.__test = __test;
},{"@codemirror/state":"node_modules/@codemirror/state/dist/index.js","style-mod":"node_modules/style-mod/src/style-mod.js","w3c-keyname":"node_modules/w3c-keyname/index.es.js"}],"node_modules/@lezer/common/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TreeFragment = exports.TreeCursor = exports.TreeBuffer = exports.Tree = exports.Parser = exports.NodeWeakMap = exports.NodeType = exports.NodeSet = exports.NodeProp = exports.MountedTree = exports.IterMode = exports.DefaultBufferLength = void 0;
exports.parseMixed = parseMixed;
// FIXME profile adding a per-Tree TreeNode cache, validating it by
// parent pointer
/// The default maximum length of a `TreeBuffer` node.
const DefaultBufferLength = 1024;
exports.DefaultBufferLength = DefaultBufferLength;
let nextPropID = 0;
class Range {
  constructor(from, to) {
    this.from = from;
    this.to = to;
  }
}
/// Each [node type](#common.NodeType) or [individual tree](#common.Tree)
/// can have metadata associated with it in props. Instances of this
/// class represent prop names.
class NodeProp {
  /// Create a new node prop type.
  constructor(config = {}) {
    this.id = nextPropID++;
    this.perNode = !!config.perNode;
    this.deserialize = config.deserialize || (() => {
      throw new Error("This node type doesn't define a deserialize function");
    });
  }
  /// This is meant to be used with
  /// [`NodeSet.extend`](#common.NodeSet.extend) or
  /// [`LRParser.configure`](#lr.ParserConfig.props) to compute
  /// prop values for each node type in the set. Takes a [match
  /// object](#common.NodeType^match) or function that returns undefined
  /// if the node type doesn't get this prop, and the prop's value if
  /// it does.
  add(match) {
    if (this.perNode) throw new RangeError("Can't add per-node props to node types");
    if (typeof match != "function") match = NodeType.match(match);
    return type => {
      let result = match(type);
      return result === undefined ? null : [this, result];
    };
  }
}
/// Prop that is used to describe matching delimiters. For opening
/// delimiters, this holds an array of node names (written as a
/// space-separated string when declaring this prop in a grammar)
/// for the node types of closing delimiters that match it.
exports.NodeProp = NodeProp;
NodeProp.closedBy = new NodeProp({
  deserialize: str => str.split(" ")
});
/// The inverse of [`closedBy`](#common.NodeProp^closedBy). This is
/// attached to closing delimiters, holding an array of node names
/// of types of matching opening delimiters.
NodeProp.openedBy = new NodeProp({
  deserialize: str => str.split(" ")
});
/// Used to assign node types to groups (for example, all node
/// types that represent an expression could be tagged with an
/// `"Expression"` group).
NodeProp.group = new NodeProp({
  deserialize: str => str.split(" ")
});
/// The hash of the [context](#lr.ContextTracker.constructor)
/// that the node was parsed in, if any. Used to limit reuse of
/// contextual nodes.
NodeProp.contextHash = new NodeProp({
  perNode: true
});
/// The distance beyond the end of the node that the tokenizer
/// looked ahead for any of the tokens inside the node. (The LR
/// parser only stores this when it is larger than 25, for
/// efficiency reasons.)
NodeProp.lookAhead = new NodeProp({
  perNode: true
});
/// This per-node prop is used to replace a given node, or part of a
/// node, with another tree. This is useful to include trees from
/// different languages in mixed-language parsers.
NodeProp.mounted = new NodeProp({
  perNode: true
});
/// A mounted tree, which can be [stored](#common.NodeProp^mounted) on
/// a tree node to indicate that parts of its content are
/// represented by another tree.
class MountedTree {
  constructor(
  /// The inner tree.
  tree,
  /// If this is null, this tree replaces the entire node (it will
  /// be included in the regular iteration instead of its host
  /// node). If not, only the given ranges are considered to be
  /// covered by this tree. This is used for trees that are mixed in
  /// a way that isn't strictly hierarchical. Such mounted trees are
  /// only entered by [`resolveInner`](#common.Tree.resolveInner)
  /// and [`enter`](#common.SyntaxNode.enter).
  overlay,
  /// The parser used to create this subtree.
  parser) {
    this.tree = tree;
    this.overlay = overlay;
    this.parser = parser;
  }
}
exports.MountedTree = MountedTree;
const noProps = Object.create(null);
/// Each node in a syntax tree has a node type associated with it.
class NodeType {
  /// @internal
  constructor(
  /// The name of the node type. Not necessarily unique, but if the
  /// grammar was written properly, different node types with the
  /// same name within a node set should play the same semantic
  /// role.
  name,
  /// @internal
  props,
  /// The id of this node in its set. Corresponds to the term ids
  /// used in the parser.
  id,
  /// @internal
  flags = 0) {
    this.name = name;
    this.props = props;
    this.id = id;
    this.flags = flags;
  }
  /// Define a node type.
  static define(spec) {
    let props = spec.props && spec.props.length ? Object.create(null) : noProps;
    let flags = (spec.top ? 1 /* NodeFlag.Top */ : 0) | (spec.skipped ? 2 /* NodeFlag.Skipped */ : 0) | (spec.error ? 4 /* NodeFlag.Error */ : 0) | (spec.name == null ? 8 /* NodeFlag.Anonymous */ : 0);
    let type = new NodeType(spec.name || "", props, spec.id, flags);
    if (spec.props) for (let src of spec.props) {
      if (!Array.isArray(src)) src = src(type);
      if (src) {
        if (src[0].perNode) throw new RangeError("Can't store a per-node prop on a node type");
        props[src[0].id] = src[1];
      }
    }
    return type;
  }
  /// Retrieves a node prop for this type. Will return `undefined` if
  /// the prop isn't present on this node.
  prop(prop) {
    return this.props[prop.id];
  }
  /// True when this is the top node of a grammar.
  get isTop() {
    return (this.flags & 1 /* NodeFlag.Top */) > 0;
  }
  /// True when this node is produced by a skip rule.
  get isSkipped() {
    return (this.flags & 2 /* NodeFlag.Skipped */) > 0;
  }
  /// Indicates whether this is an error node.
  get isError() {
    return (this.flags & 4 /* NodeFlag.Error */) > 0;
  }
  /// When true, this node type doesn't correspond to a user-declared
  /// named node, for example because it is used to cache repetition.
  get isAnonymous() {
    return (this.flags & 8 /* NodeFlag.Anonymous */) > 0;
  }
  /// Returns true when this node's name or one of its
  /// [groups](#common.NodeProp^group) matches the given string.
  is(name) {
    if (typeof name == 'string') {
      if (this.name == name) return true;
      let group = this.prop(NodeProp.group);
      return group ? group.indexOf(name) > -1 : false;
    }
    return this.id == name;
  }
  /// Create a function from node types to arbitrary values by
  /// specifying an object whose property names are node or
  /// [group](#common.NodeProp^group) names. Often useful with
  /// [`NodeProp.add`](#common.NodeProp.add). You can put multiple
  /// names, separated by spaces, in a single property name to map
  /// multiple node names to a single value.
  static match(map) {
    let direct = Object.create(null);
    for (let prop in map) for (let name of prop.split(" ")) direct[name] = map[prop];
    return node => {
      for (let groups = node.prop(NodeProp.group), i = -1; i < (groups ? groups.length : 0); i++) {
        let found = direct[i < 0 ? node.name : groups[i]];
        if (found) return found;
      }
    };
  }
}
/// An empty dummy node type to use when no actual type is available.
exports.NodeType = NodeType;
NodeType.none = new NodeType("", Object.create(null), 0, 8 /* NodeFlag.Anonymous */);
/// A node set holds a collection of node types. It is used to
/// compactly represent trees by storing their type ids, rather than a
/// full pointer to the type object, in a numeric array. Each parser
/// [has](#lr.LRParser.nodeSet) a node set, and [tree
/// buffers](#common.TreeBuffer) can only store collections of nodes
/// from the same set. A set can have a maximum of 2**16 (65536) node
/// types in it, so that the ids fit into 16-bit typed array slots.
class NodeSet {
  /// Create a set with the given types. The `id` property of each
  /// type should correspond to its position within the array.
  constructor(
  /// The node types in this set, by id.
  types) {
    this.types = types;
    for (let i = 0; i < types.length; i++) if (types[i].id != i) throw new RangeError("Node type ids should correspond to array positions when creating a node set");
  }
  /// Create a copy of this set with some node properties added. The
  /// arguments to this method can be created with
  /// [`NodeProp.add`](#common.NodeProp.add).
  extend(...props) {
    let newTypes = [];
    for (let type of this.types) {
      let newProps = null;
      for (let source of props) {
        let add = source(type);
        if (add) {
          if (!newProps) newProps = Object.assign({}, type.props);
          newProps[add[0].id] = add[1];
        }
      }
      newTypes.push(newProps ? new NodeType(type.name, newProps, type.id, type.flags) : type);
    }
    return new NodeSet(newTypes);
  }
}
exports.NodeSet = NodeSet;
const CachedNode = new WeakMap(),
  CachedInnerNode = new WeakMap();
/// Options that control iteration. Can be combined with the `|`
/// operator to enable multiple ones.
var IterMode;
exports.IterMode = IterMode;
(function (IterMode) {
  /// When enabled, iteration will only visit [`Tree`](#common.Tree)
  /// objects, not nodes packed into
  /// [`TreeBuffer`](#common.TreeBuffer)s.
  IterMode[IterMode["ExcludeBuffers"] = 1] = "ExcludeBuffers";
  /// Enable this to make iteration include anonymous nodes (such as
  /// the nodes that wrap repeated grammar constructs into a balanced
  /// tree).
  IterMode[IterMode["IncludeAnonymous"] = 2] = "IncludeAnonymous";
  /// By default, regular [mounted](#common.NodeProp^mounted) nodes
  /// replace their base node in iteration. Enable this to ignore them
  /// instead.
  IterMode[IterMode["IgnoreMounts"] = 4] = "IgnoreMounts";
  /// This option only applies in
  /// [`enter`](#common.SyntaxNode.enter)-style methods. It tells the
  /// library to not enter mounted overlays if one covers the given
  /// position.
  IterMode[IterMode["IgnoreOverlays"] = 8] = "IgnoreOverlays";
})(IterMode || (exports.IterMode = IterMode = {}));
/// A piece of syntax tree. There are two ways to approach these
/// trees: the way they are actually stored in memory, and the
/// convenient way.
///
/// Syntax trees are stored as a tree of `Tree` and `TreeBuffer`
/// objects. By packing detail information into `TreeBuffer` leaf
/// nodes, the representation is made a lot more memory-efficient.
///
/// However, when you want to actually work with tree nodes, this
/// representation is very awkward, so most client code will want to
/// use the [`TreeCursor`](#common.TreeCursor) or
/// [`SyntaxNode`](#common.SyntaxNode) interface instead, which provides
/// a view on some part of this data structure, and can be used to
/// move around to adjacent nodes.
class Tree {
  /// Construct a new tree. See also [`Tree.build`](#common.Tree^build).
  constructor(
  /// The type of the top node.
  type,
  /// This node's child nodes.
  children,
  /// The positions (offsets relative to the start of this tree) of
  /// the children.
  positions,
  /// The total length of this tree
  length,
  /// Per-node [node props](#common.NodeProp) to associate with this node.
  props) {
    this.type = type;
    this.children = children;
    this.positions = positions;
    this.length = length;
    /// @internal
    this.props = null;
    if (props && props.length) {
      this.props = Object.create(null);
      for (let [prop, value] of props) this.props[typeof prop == "number" ? prop : prop.id] = value;
    }
  }
  /// @internal
  toString() {
    let mounted = this.prop(NodeProp.mounted);
    if (mounted && !mounted.overlay) return mounted.tree.toString();
    let children = "";
    for (let ch of this.children) {
      let str = ch.toString();
      if (str) {
        if (children) children += ",";
        children += str;
      }
    }
    return !this.type.name ? children : (/\W/.test(this.type.name) && !this.type.isError ? JSON.stringify(this.type.name) : this.type.name) + (children.length ? "(" + children + ")" : "");
  }
  /// Get a [tree cursor](#common.TreeCursor) positioned at the top of
  /// the tree. Mode can be used to [control](#common.IterMode) which
  /// nodes the cursor visits.
  cursor(mode = 0) {
    return new TreeCursor(this.topNode, mode);
  }
  /// Get a [tree cursor](#common.TreeCursor) pointing into this tree
  /// at the given position and side (see
  /// [`moveTo`](#common.TreeCursor.moveTo).
  cursorAt(pos, side = 0, mode = 0) {
    let scope = CachedNode.get(this) || this.topNode;
    let cursor = new TreeCursor(scope);
    cursor.moveTo(pos, side);
    CachedNode.set(this, cursor._tree);
    return cursor;
  }
  /// Get a [syntax node](#common.SyntaxNode) object for the top of the
  /// tree.
  get topNode() {
    return new TreeNode(this, 0, 0, null);
  }
  /// Get the [syntax node](#common.SyntaxNode) at the given position.
  /// If `side` is -1, this will move into nodes that end at the
  /// position. If 1, it'll move into nodes that start at the
  /// position. With 0, it'll only enter nodes that cover the position
  /// from both sides.
  ///
  /// Note that this will not enter
  /// [overlays](#common.MountedTree.overlay), and you often want
  /// [`resolveInner`](#common.Tree.resolveInner) instead.
  resolve(pos, side = 0) {
    let node = resolveNode(CachedNode.get(this) || this.topNode, pos, side, false);
    CachedNode.set(this, node);
    return node;
  }
  /// Like [`resolve`](#common.Tree.resolve), but will enter
  /// [overlaid](#common.MountedTree.overlay) nodes, producing a syntax node
  /// pointing into the innermost overlaid tree at the given position
  /// (with parent links going through all parent structure, including
  /// the host trees).
  resolveInner(pos, side = 0) {
    let node = resolveNode(CachedInnerNode.get(this) || this.topNode, pos, side, true);
    CachedInnerNode.set(this, node);
    return node;
  }
  /// Iterate over the tree and its children, calling `enter` for any
  /// node that touches the `from`/`to` region (if given) before
  /// running over such a node's children, and `leave` (if given) when
  /// leaving the node. When `enter` returns `false`, that node will
  /// not have its children iterated over (or `leave` called).
  iterate(spec) {
    let {
      enter,
      leave,
      from = 0,
      to = this.length
    } = spec;
    for (let c = this.cursor((spec.mode || 0) | IterMode.IncludeAnonymous);;) {
      let entered = false;
      if (c.from <= to && c.to >= from && (c.type.isAnonymous || enter(c) !== false)) {
        if (c.firstChild()) continue;
        entered = true;
      }
      for (;;) {
        if (entered && leave && !c.type.isAnonymous) leave(c);
        if (c.nextSibling()) break;
        if (!c.parent()) return;
        entered = true;
      }
    }
  }
  /// Get the value of the given [node prop](#common.NodeProp) for this
  /// node. Works with both per-node and per-type props.
  prop(prop) {
    return !prop.perNode ? this.type.prop(prop) : this.props ? this.props[prop.id] : undefined;
  }
  /// Returns the node's [per-node props](#common.NodeProp.perNode) in a
  /// format that can be passed to the [`Tree`](#common.Tree)
  /// constructor.
  get propValues() {
    let result = [];
    if (this.props) for (let id in this.props) result.push([+id, this.props[id]]);
    return result;
  }
  /// Balance the direct children of this tree, producing a copy of
  /// which may have children grouped into subtrees with type
  /// [`NodeType.none`](#common.NodeType^none).
  balance(config = {}) {
    return this.children.length <= 8 /* Balance.BranchFactor */ ? this : balanceRange(NodeType.none, this.children, this.positions, 0, this.children.length, 0, this.length, (children, positions, length) => new Tree(this.type, children, positions, length, this.propValues), config.makeTree || ((children, positions, length) => new Tree(NodeType.none, children, positions, length)));
  }
  /// Build a tree from a postfix-ordered buffer of node information,
  /// or a cursor over such a buffer.
  static build(data) {
    return buildTree(data);
  }
}
/// The empty tree
exports.Tree = Tree;
Tree.empty = new Tree(NodeType.none, [], [], 0);
class FlatBufferCursor {
  constructor(buffer, index) {
    this.buffer = buffer;
    this.index = index;
  }
  get id() {
    return this.buffer[this.index - 4];
  }
  get start() {
    return this.buffer[this.index - 3];
  }
  get end() {
    return this.buffer[this.index - 2];
  }
  get size() {
    return this.buffer[this.index - 1];
  }
  get pos() {
    return this.index;
  }
  next() {
    this.index -= 4;
  }
  fork() {
    return new FlatBufferCursor(this.buffer, this.index);
  }
}
/// Tree buffers contain (type, start, end, endIndex) quads for each
/// node. In such a buffer, nodes are stored in prefix order (parents
/// before children, with the endIndex of the parent indicating which
/// children belong to it).
class TreeBuffer {
  /// Create a tree buffer.
  constructor(
  /// The buffer's content.
  buffer,
  /// The total length of the group of nodes in the buffer.
  length,
  /// The node set used in this buffer.
  set) {
    this.buffer = buffer;
    this.length = length;
    this.set = set;
  }
  /// @internal
  get type() {
    return NodeType.none;
  }
  /// @internal
  toString() {
    let result = [];
    for (let index = 0; index < this.buffer.length;) {
      result.push(this.childString(index));
      index = this.buffer[index + 3];
    }
    return result.join(",");
  }
  /// @internal
  childString(index) {
    let id = this.buffer[index],
      endIndex = this.buffer[index + 3];
    let type = this.set.types[id],
      result = type.name;
    if (/\W/.test(result) && !type.isError) result = JSON.stringify(result);
    index += 4;
    if (endIndex == index) return result;
    let children = [];
    while (index < endIndex) {
      children.push(this.childString(index));
      index = this.buffer[index + 3];
    }
    return result + "(" + children.join(",") + ")";
  }
  /// @internal
  findChild(startIndex, endIndex, dir, pos, side) {
    let {
        buffer
      } = this,
      pick = -1;
    for (let i = startIndex; i != endIndex; i = buffer[i + 3]) {
      if (checkSide(side, pos, buffer[i + 1], buffer[i + 2])) {
        pick = i;
        if (dir > 0) break;
      }
    }
    return pick;
  }
  /// @internal
  slice(startI, endI, from) {
    let b = this.buffer;
    let copy = new Uint16Array(endI - startI),
      len = 0;
    for (let i = startI, j = 0; i < endI;) {
      copy[j++] = b[i++];
      copy[j++] = b[i++] - from;
      let to = copy[j++] = b[i++] - from;
      copy[j++] = b[i++] - startI;
      len = Math.max(len, to);
    }
    return new TreeBuffer(copy, len, this.set);
  }
}
exports.TreeBuffer = TreeBuffer;
function checkSide(side, pos, from, to) {
  switch (side) {
    case -2 /* Side.Before */:
      return from < pos;
    case -1 /* Side.AtOrBefore */:
      return to >= pos && from < pos;
    case 0 /* Side.Around */:
      return from < pos && to > pos;
    case 1 /* Side.AtOrAfter */:
      return from <= pos && to > pos;
    case 2 /* Side.After */:
      return to > pos;
    case 4 /* Side.DontCare */:
      return true;
  }
}
function enterUnfinishedNodesBefore(node, pos) {
  let scan = node.childBefore(pos);
  while (scan) {
    let last = scan.lastChild;
    if (!last || last.to != scan.to) break;
    if (last.type.isError && last.from == last.to) {
      node = scan;
      scan = last.prevSibling;
    } else {
      scan = last;
    }
  }
  return node;
}
function resolveNode(node, pos, side, overlays) {
  var _a;
  // Move up to a node that actually holds the position, if possible
  while (node.from == node.to || (side < 1 ? node.from >= pos : node.from > pos) || (side > -1 ? node.to <= pos : node.to < pos)) {
    let parent = !overlays && node instanceof TreeNode && node.index < 0 ? null : node.parent;
    if (!parent) return node;
    node = parent;
  }
  let mode = overlays ? 0 : IterMode.IgnoreOverlays;
  // Must go up out of overlays when those do not overlap with pos
  if (overlays) for (let scan = node, parent = scan.parent; parent; scan = parent, parent = scan.parent) {
    if (scan instanceof TreeNode && scan.index < 0 && ((_a = parent.enter(pos, side, mode)) === null || _a === void 0 ? void 0 : _a.from) != scan.from) node = parent;
  }
  for (;;) {
    let inner = node.enter(pos, side, mode);
    if (!inner) return node;
    node = inner;
  }
}
class TreeNode {
  constructor(_tree, from,
  // Index in parent node, set to -1 if the node is not a direct child of _parent.node (overlay)
  index, _parent) {
    this._tree = _tree;
    this.from = from;
    this.index = index;
    this._parent = _parent;
  }
  get type() {
    return this._tree.type;
  }
  get name() {
    return this._tree.type.name;
  }
  get to() {
    return this.from + this._tree.length;
  }
  nextChild(i, dir, pos, side, mode = 0) {
    for (let parent = this;;) {
      for (let {
          children,
          positions
        } = parent._tree, e = dir > 0 ? children.length : -1; i != e; i += dir) {
        let next = children[i],
          start = positions[i] + parent.from;
        if (!checkSide(side, pos, start, start + next.length)) continue;
        if (next instanceof TreeBuffer) {
          if (mode & IterMode.ExcludeBuffers) continue;
          let index = next.findChild(0, next.buffer.length, dir, pos - start, side);
          if (index > -1) return new BufferNode(new BufferContext(parent, next, i, start), null, index);
        } else if (mode & IterMode.IncludeAnonymous || !next.type.isAnonymous || hasChild(next)) {
          let mounted;
          if (!(mode & IterMode.IgnoreMounts) && next.props && (mounted = next.prop(NodeProp.mounted)) && !mounted.overlay) return new TreeNode(mounted.tree, start, i, parent);
          let inner = new TreeNode(next, start, i, parent);
          return mode & IterMode.IncludeAnonymous || !inner.type.isAnonymous ? inner : inner.nextChild(dir < 0 ? next.children.length - 1 : 0, dir, pos, side);
        }
      }
      if (mode & IterMode.IncludeAnonymous || !parent.type.isAnonymous) return null;
      if (parent.index >= 0) i = parent.index + dir;else i = dir < 0 ? -1 : parent._parent._tree.children.length;
      parent = parent._parent;
      if (!parent) return null;
    }
  }
  get firstChild() {
    return this.nextChild(0, 1, 0, 4 /* Side.DontCare */);
  }
  get lastChild() {
    return this.nextChild(this._tree.children.length - 1, -1, 0, 4 /* Side.DontCare */);
  }
  childAfter(pos) {
    return this.nextChild(0, 1, pos, 2 /* Side.After */);
  }
  childBefore(pos) {
    return this.nextChild(this._tree.children.length - 1, -1, pos, -2 /* Side.Before */);
  }
  enter(pos, side, mode = 0) {
    let mounted;
    if (!(mode & IterMode.IgnoreOverlays) && (mounted = this._tree.prop(NodeProp.mounted)) && mounted.overlay) {
      let rPos = pos - this.from;
      for (let {
        from,
        to
      } of mounted.overlay) {
        if ((side > 0 ? from <= rPos : from < rPos) && (side < 0 ? to >= rPos : to > rPos)) return new TreeNode(mounted.tree, mounted.overlay[0].from + this.from, -1, this);
      }
    }
    return this.nextChild(0, 1, pos, side, mode);
  }
  nextSignificantParent() {
    let val = this;
    while (val.type.isAnonymous && val._parent) val = val._parent;
    return val;
  }
  get parent() {
    return this._parent ? this._parent.nextSignificantParent() : null;
  }
  get nextSibling() {
    return this._parent && this.index >= 0 ? this._parent.nextChild(this.index + 1, 1, 0, 4 /* Side.DontCare */) : null;
  }
  get prevSibling() {
    return this._parent && this.index >= 0 ? this._parent.nextChild(this.index - 1, -1, 0, 4 /* Side.DontCare */) : null;
  }
  cursor(mode = 0) {
    return new TreeCursor(this, mode);
  }
  get tree() {
    return this._tree;
  }
  toTree() {
    return this._tree;
  }
  resolve(pos, side = 0) {
    return resolveNode(this, pos, side, false);
  }
  resolveInner(pos, side = 0) {
    return resolveNode(this, pos, side, true);
  }
  enterUnfinishedNodesBefore(pos) {
    return enterUnfinishedNodesBefore(this, pos);
  }
  getChild(type, before = null, after = null) {
    let r = getChildren(this, type, before, after);
    return r.length ? r[0] : null;
  }
  getChildren(type, before = null, after = null) {
    return getChildren(this, type, before, after);
  }
  /// @internal
  toString() {
    return this._tree.toString();
  }
  get node() {
    return this;
  }
  matchContext(context) {
    return matchNodeContext(this, context);
  }
}
function getChildren(node, type, before, after) {
  let cur = node.cursor(),
    result = [];
  if (!cur.firstChild()) return result;
  if (before != null) while (!cur.type.is(before)) if (!cur.nextSibling()) return result;
  for (;;) {
    if (after != null && cur.type.is(after)) return result;
    if (cur.type.is(type)) result.push(cur.node);
    if (!cur.nextSibling()) return after == null ? result : [];
  }
}
function matchNodeContext(node, context, i = context.length - 1) {
  for (let p = node.parent; i >= 0; p = p.parent) {
    if (!p) return false;
    if (!p.type.isAnonymous) {
      if (context[i] && context[i] != p.name) return false;
      i--;
    }
  }
  return true;
}
class BufferContext {
  constructor(parent, buffer, index, start) {
    this.parent = parent;
    this.buffer = buffer;
    this.index = index;
    this.start = start;
  }
}
class BufferNode {
  get name() {
    return this.type.name;
  }
  get from() {
    return this.context.start + this.context.buffer.buffer[this.index + 1];
  }
  get to() {
    return this.context.start + this.context.buffer.buffer[this.index + 2];
  }
  constructor(context, _parent, index) {
    this.context = context;
    this._parent = _parent;
    this.index = index;
    this.type = context.buffer.set.types[context.buffer.buffer[index]];
  }
  child(dir, pos, side) {
    let {
      buffer
    } = this.context;
    let index = buffer.findChild(this.index + 4, buffer.buffer[this.index + 3], dir, pos - this.context.start, side);
    return index < 0 ? null : new BufferNode(this.context, this, index);
  }
  get firstChild() {
    return this.child(1, 0, 4 /* Side.DontCare */);
  }
  get lastChild() {
    return this.child(-1, 0, 4 /* Side.DontCare */);
  }
  childAfter(pos) {
    return this.child(1, pos, 2 /* Side.After */);
  }
  childBefore(pos) {
    return this.child(-1, pos, -2 /* Side.Before */);
  }
  enter(pos, side, mode = 0) {
    if (mode & IterMode.ExcludeBuffers) return null;
    let {
      buffer
    } = this.context;
    let index = buffer.findChild(this.index + 4, buffer.buffer[this.index + 3], side > 0 ? 1 : -1, pos - this.context.start, side);
    return index < 0 ? null : new BufferNode(this.context, this, index);
  }
  get parent() {
    return this._parent || this.context.parent.nextSignificantParent();
  }
  externalSibling(dir) {
    return this._parent ? null : this.context.parent.nextChild(this.context.index + dir, dir, 0, 4 /* Side.DontCare */);
  }

  get nextSibling() {
    let {
      buffer
    } = this.context;
    let after = buffer.buffer[this.index + 3];
    if (after < (this._parent ? buffer.buffer[this._parent.index + 3] : buffer.buffer.length)) return new BufferNode(this.context, this._parent, after);
    return this.externalSibling(1);
  }
  get prevSibling() {
    let {
      buffer
    } = this.context;
    let parentStart = this._parent ? this._parent.index + 4 : 0;
    if (this.index == parentStart) return this.externalSibling(-1);
    return new BufferNode(this.context, this._parent, buffer.findChild(parentStart, this.index, -1, 0, 4 /* Side.DontCare */));
  }

  cursor(mode = 0) {
    return new TreeCursor(this, mode);
  }
  get tree() {
    return null;
  }
  toTree() {
    let children = [],
      positions = [];
    let {
      buffer
    } = this.context;
    let startI = this.index + 4,
      endI = buffer.buffer[this.index + 3];
    if (endI > startI) {
      let from = buffer.buffer[this.index + 1];
      children.push(buffer.slice(startI, endI, from));
      positions.push(0);
    }
    return new Tree(this.type, children, positions, this.to - this.from);
  }
  resolve(pos, side = 0) {
    return resolveNode(this, pos, side, false);
  }
  resolveInner(pos, side = 0) {
    return resolveNode(this, pos, side, true);
  }
  enterUnfinishedNodesBefore(pos) {
    return enterUnfinishedNodesBefore(this, pos);
  }
  /// @internal
  toString() {
    return this.context.buffer.childString(this.index);
  }
  getChild(type, before = null, after = null) {
    let r = getChildren(this, type, before, after);
    return r.length ? r[0] : null;
  }
  getChildren(type, before = null, after = null) {
    return getChildren(this, type, before, after);
  }
  get node() {
    return this;
  }
  matchContext(context) {
    return matchNodeContext(this, context);
  }
}
/// A tree cursor object focuses on a given node in a syntax tree, and
/// allows you to move to adjacent nodes.
class TreeCursor {
  /// Shorthand for `.type.name`.
  get name() {
    return this.type.name;
  }
  /// @internal
  constructor(node,
  /// @internal
  mode = 0) {
    this.mode = mode;
    /// @internal
    this.buffer = null;
    this.stack = [];
    /// @internal
    this.index = 0;
    this.bufferNode = null;
    if (node instanceof TreeNode) {
      this.yieldNode(node);
    } else {
      this._tree = node.context.parent;
      this.buffer = node.context;
      for (let n = node._parent; n; n = n._parent) this.stack.unshift(n.index);
      this.bufferNode = node;
      this.yieldBuf(node.index);
    }
  }
  yieldNode(node) {
    if (!node) return false;
    this._tree = node;
    this.type = node.type;
    this.from = node.from;
    this.to = node.to;
    return true;
  }
  yieldBuf(index, type) {
    this.index = index;
    let {
      start,
      buffer
    } = this.buffer;
    this.type = type || buffer.set.types[buffer.buffer[index]];
    this.from = start + buffer.buffer[index + 1];
    this.to = start + buffer.buffer[index + 2];
    return true;
  }
  yield(node) {
    if (!node) return false;
    if (node instanceof TreeNode) {
      this.buffer = null;
      return this.yieldNode(node);
    }
    this.buffer = node.context;
    return this.yieldBuf(node.index, node.type);
  }
  /// @internal
  toString() {
    return this.buffer ? this.buffer.buffer.childString(this.index) : this._tree.toString();
  }
  /// @internal
  enterChild(dir, pos, side) {
    if (!this.buffer) return this.yield(this._tree.nextChild(dir < 0 ? this._tree._tree.children.length - 1 : 0, dir, pos, side, this.mode));
    let {
      buffer
    } = this.buffer;
    let index = buffer.findChild(this.index + 4, buffer.buffer[this.index + 3], dir, pos - this.buffer.start, side);
    if (index < 0) return false;
    this.stack.push(this.index);
    return this.yieldBuf(index);
  }
  /// Move the cursor to this node's first child. When this returns
  /// false, the node has no child, and the cursor has not been moved.
  firstChild() {
    return this.enterChild(1, 0, 4 /* Side.DontCare */);
  }
  /// Move the cursor to this node's last child.
  lastChild() {
    return this.enterChild(-1, 0, 4 /* Side.DontCare */);
  }
  /// Move the cursor to the first child that ends after `pos`.
  childAfter(pos) {
    return this.enterChild(1, pos, 2 /* Side.After */);
  }
  /// Move to the last child that starts before `pos`.
  childBefore(pos) {
    return this.enterChild(-1, pos, -2 /* Side.Before */);
  }
  /// Move the cursor to the child around `pos`. If side is -1 the
  /// child may end at that position, when 1 it may start there. This
  /// will also enter [overlaid](#common.MountedTree.overlay)
  /// [mounted](#common.NodeProp^mounted) trees unless `overlays` is
  /// set to false.
  enter(pos, side, mode = this.mode) {
    if (!this.buffer) return this.yield(this._tree.enter(pos, side, mode));
    return mode & IterMode.ExcludeBuffers ? false : this.enterChild(1, pos, side);
  }
  /// Move to the node's parent node, if this isn't the top node.
  parent() {
    if (!this.buffer) return this.yieldNode(this.mode & IterMode.IncludeAnonymous ? this._tree._parent : this._tree.parent);
    if (this.stack.length) return this.yieldBuf(this.stack.pop());
    let parent = this.mode & IterMode.IncludeAnonymous ? this.buffer.parent : this.buffer.parent.nextSignificantParent();
    this.buffer = null;
    return this.yieldNode(parent);
  }
  /// @internal
  sibling(dir) {
    if (!this.buffer) return !this._tree._parent ? false : this.yield(this._tree.index < 0 ? null : this._tree._parent.nextChild(this._tree.index + dir, dir, 0, 4 /* Side.DontCare */, this.mode));
    let {
        buffer
      } = this.buffer,
      d = this.stack.length - 1;
    if (dir < 0) {
      let parentStart = d < 0 ? 0 : this.stack[d] + 4;
      if (this.index != parentStart) return this.yieldBuf(buffer.findChild(parentStart, this.index, -1, 0, 4 /* Side.DontCare */));
    } else {
      let after = buffer.buffer[this.index + 3];
      if (after < (d < 0 ? buffer.buffer.length : buffer.buffer[this.stack[d] + 3])) return this.yieldBuf(after);
    }
    return d < 0 ? this.yield(this.buffer.parent.nextChild(this.buffer.index + dir, dir, 0, 4 /* Side.DontCare */, this.mode)) : false;
  }
  /// Move to this node's next sibling, if any.
  nextSibling() {
    return this.sibling(1);
  }
  /// Move to this node's previous sibling, if any.
  prevSibling() {
    return this.sibling(-1);
  }
  atLastNode(dir) {
    let index,
      parent,
      {
        buffer
      } = this;
    if (buffer) {
      if (dir > 0) {
        if (this.index < buffer.buffer.buffer.length) return false;
      } else {
        for (let i = 0; i < this.index; i++) if (buffer.buffer.buffer[i + 3] < this.index) return false;
      }
      ({
        index,
        parent
      } = buffer);
    } else {
      ({
        index,
        _parent: parent
      } = this._tree);
    }
    for (; parent; ({
      index,
      _parent: parent
    } = parent)) {
      if (index > -1) for (let i = index + dir, e = dir < 0 ? -1 : parent._tree.children.length; i != e; i += dir) {
        let child = parent._tree.children[i];
        if (this.mode & IterMode.IncludeAnonymous || child instanceof TreeBuffer || !child.type.isAnonymous || hasChild(child)) return false;
      }
    }
    return true;
  }
  move(dir, enter) {
    if (enter && this.enterChild(dir, 0, 4 /* Side.DontCare */)) return true;
    for (;;) {
      if (this.sibling(dir)) return true;
      if (this.atLastNode(dir) || !this.parent()) return false;
    }
  }
  /// Move to the next node in a
  /// [pre-order](https://en.wikipedia.org/wiki/Tree_traversal#Pre-order,_NLR)
  /// traversal, going from a node to its first child or, if the
  /// current node is empty or `enter` is false, its next sibling or
  /// the next sibling of the first parent node that has one.
  next(enter = true) {
    return this.move(1, enter);
  }
  /// Move to the next node in a last-to-first pre-order traveral. A
  /// node is followed by its last child or, if it has none, its
  /// previous sibling or the previous sibling of the first parent
  /// node that has one.
  prev(enter = true) {
    return this.move(-1, enter);
  }
  /// Move the cursor to the innermost node that covers `pos`. If
  /// `side` is -1, it will enter nodes that end at `pos`. If it is 1,
  /// it will enter nodes that start at `pos`.
  moveTo(pos, side = 0) {
    // Move up to a node that actually holds the position, if possible
    while (this.from == this.to || (side < 1 ? this.from >= pos : this.from > pos) || (side > -1 ? this.to <= pos : this.to < pos)) if (!this.parent()) break;
    // Then scan down into child nodes as far as possible
    while (this.enterChild(1, pos, side)) {}
    return this;
  }
  /// Get a [syntax node](#common.SyntaxNode) at the cursor's current
  /// position.
  get node() {
    if (!this.buffer) return this._tree;
    let cache = this.bufferNode,
      result = null,
      depth = 0;
    if (cache && cache.context == this.buffer) {
      scan: for (let index = this.index, d = this.stack.length; d >= 0;) {
        for (let c = cache; c; c = c._parent) if (c.index == index) {
          if (index == this.index) return c;
          result = c;
          depth = d + 1;
          break scan;
        }
        index = this.stack[--d];
      }
    }
    for (let i = depth; i < this.stack.length; i++) result = new BufferNode(this.buffer, result, this.stack[i]);
    return this.bufferNode = new BufferNode(this.buffer, result, this.index);
  }
  /// Get the [tree](#common.Tree) that represents the current node, if
  /// any. Will return null when the node is in a [tree
  /// buffer](#common.TreeBuffer).
  get tree() {
    return this.buffer ? null : this._tree._tree;
  }
  /// Iterate over the current node and all its descendants, calling
  /// `enter` when entering a node and `leave`, if given, when leaving
  /// one. When `enter` returns `false`, any children of that node are
  /// skipped, and `leave` isn't called for it.
  iterate(enter, leave) {
    for (let depth = 0;;) {
      let mustLeave = false;
      if (this.type.isAnonymous || enter(this) !== false) {
        if (this.firstChild()) {
          depth++;
          continue;
        }
        if (!this.type.isAnonymous) mustLeave = true;
      }
      for (;;) {
        if (mustLeave && leave) leave(this);
        mustLeave = this.type.isAnonymous;
        if (this.nextSibling()) break;
        if (!depth) return;
        this.parent();
        depth--;
        mustLeave = true;
      }
    }
  }
  /// Test whether the current node matches a given context—a sequence
  /// of direct parent node names. Empty strings in the context array
  /// are treated as wildcards.
  matchContext(context) {
    if (!this.buffer) return matchNodeContext(this.node, context);
    let {
        buffer
      } = this.buffer,
      {
        types
      } = buffer.set;
    for (let i = context.length - 1, d = this.stack.length - 1; i >= 0; d--) {
      if (d < 0) return matchNodeContext(this.node, context, i);
      let type = types[buffer.buffer[this.stack[d]]];
      if (!type.isAnonymous) {
        if (context[i] && context[i] != type.name) return false;
        i--;
      }
    }
    return true;
  }
}
exports.TreeCursor = TreeCursor;
function hasChild(tree) {
  return tree.children.some(ch => ch instanceof TreeBuffer || !ch.type.isAnonymous || hasChild(ch));
}
function buildTree(data) {
  var _a;
  let {
    buffer,
    nodeSet,
    maxBufferLength = DefaultBufferLength,
    reused = [],
    minRepeatType = nodeSet.types.length
  } = data;
  let cursor = Array.isArray(buffer) ? new FlatBufferCursor(buffer, buffer.length) : buffer;
  let types = nodeSet.types;
  let contextHash = 0,
    lookAhead = 0;
  function takeNode(parentStart, minPos, children, positions, inRepeat) {
    let {
      id,
      start,
      end,
      size
    } = cursor;
    let lookAheadAtStart = lookAhead;
    while (size < 0) {
      cursor.next();
      if (size == -1 /* SpecialRecord.Reuse */) {
        let node = reused[id];
        children.push(node);
        positions.push(start - parentStart);
        return;
      } else if (size == -3 /* SpecialRecord.ContextChange */) {
        // Context change
        contextHash = id;
        return;
      } else if (size == -4 /* SpecialRecord.LookAhead */) {
        lookAhead = id;
        return;
      } else {
        throw new RangeError(`Unrecognized record size: ${size}`);
      }
    }
    let type = types[id],
      node,
      buffer;
    let startPos = start - parentStart;
    if (end - start <= maxBufferLength && (buffer = findBufferSize(cursor.pos - minPos, inRepeat))) {
      // Small enough for a buffer, and no reused nodes inside
      let data = new Uint16Array(buffer.size - buffer.skip);
      let endPos = cursor.pos - buffer.size,
        index = data.length;
      while (cursor.pos > endPos) index = copyToBuffer(buffer.start, data, index);
      node = new TreeBuffer(data, end - buffer.start, nodeSet);
      startPos = buffer.start - parentStart;
    } else {
      // Make it a node
      let endPos = cursor.pos - size;
      cursor.next();
      let localChildren = [],
        localPositions = [];
      let localInRepeat = id >= minRepeatType ? id : -1;
      let lastGroup = 0,
        lastEnd = end;
      while (cursor.pos > endPos) {
        if (localInRepeat >= 0 && cursor.id == localInRepeat && cursor.size >= 0) {
          if (cursor.end <= lastEnd - maxBufferLength) {
            makeRepeatLeaf(localChildren, localPositions, start, lastGroup, cursor.end, lastEnd, localInRepeat, lookAheadAtStart);
            lastGroup = localChildren.length;
            lastEnd = cursor.end;
          }
          cursor.next();
        } else {
          takeNode(start, endPos, localChildren, localPositions, localInRepeat);
        }
      }
      if (localInRepeat >= 0 && lastGroup > 0 && lastGroup < localChildren.length) makeRepeatLeaf(localChildren, localPositions, start, lastGroup, start, lastEnd, localInRepeat, lookAheadAtStart);
      localChildren.reverse();
      localPositions.reverse();
      if (localInRepeat > -1 && lastGroup > 0) {
        let make = makeBalanced(type);
        node = balanceRange(type, localChildren, localPositions, 0, localChildren.length, 0, end - start, make, make);
      } else {
        node = makeTree(type, localChildren, localPositions, end - start, lookAheadAtStart - end);
      }
    }
    children.push(node);
    positions.push(startPos);
  }
  function makeBalanced(type) {
    return (children, positions, length) => {
      let lookAhead = 0,
        lastI = children.length - 1,
        last,
        lookAheadProp;
      if (lastI >= 0 && (last = children[lastI]) instanceof Tree) {
        if (!lastI && last.type == type && last.length == length) return last;
        if (lookAheadProp = last.prop(NodeProp.lookAhead)) lookAhead = positions[lastI] + last.length + lookAheadProp;
      }
      return makeTree(type, children, positions, length, lookAhead);
    };
  }
  function makeRepeatLeaf(children, positions, base, i, from, to, type, lookAhead) {
    let localChildren = [],
      localPositions = [];
    while (children.length > i) {
      localChildren.push(children.pop());
      localPositions.push(positions.pop() + base - from);
    }
    children.push(makeTree(nodeSet.types[type], localChildren, localPositions, to - from, lookAhead - to));
    positions.push(from - base);
  }
  function makeTree(type, children, positions, length, lookAhead = 0, props) {
    if (contextHash) {
      let pair = [NodeProp.contextHash, contextHash];
      props = props ? [pair].concat(props) : [pair];
    }
    if (lookAhead > 25) {
      let pair = [NodeProp.lookAhead, lookAhead];
      props = props ? [pair].concat(props) : [pair];
    }
    return new Tree(type, children, positions, length, props);
  }
  function findBufferSize(maxSize, inRepeat) {
    // Scan through the buffer to find previous siblings that fit
    // together in a TreeBuffer, and don't contain any reused nodes
    // (which can't be stored in a buffer).
    // If `inRepeat` is > -1, ignore node boundaries of that type for
    // nesting, but make sure the end falls either at the start
    // (`maxSize`) or before such a node.
    let fork = cursor.fork();
    let size = 0,
      start = 0,
      skip = 0,
      minStart = fork.end - maxBufferLength;
    let result = {
      size: 0,
      start: 0,
      skip: 0
    };
    scan: for (let minPos = fork.pos - maxSize; fork.pos > minPos;) {
      let nodeSize = fork.size;
      // Pretend nested repeat nodes of the same type don't exist
      if (fork.id == inRepeat && nodeSize >= 0) {
        // Except that we store the current state as a valid return
        // value.
        result.size = size;
        result.start = start;
        result.skip = skip;
        skip += 4;
        size += 4;
        fork.next();
        continue;
      }
      let startPos = fork.pos - nodeSize;
      if (nodeSize < 0 || startPos < minPos || fork.start < minStart) break;
      let localSkipped = fork.id >= minRepeatType ? 4 : 0;
      let nodeStart = fork.start;
      fork.next();
      while (fork.pos > startPos) {
        if (fork.size < 0) {
          if (fork.size == -3 /* SpecialRecord.ContextChange */) localSkipped += 4;else break scan;
        } else if (fork.id >= minRepeatType) {
          localSkipped += 4;
        }
        fork.next();
      }
      start = nodeStart;
      size += nodeSize;
      skip += localSkipped;
    }
    if (inRepeat < 0 || size == maxSize) {
      result.size = size;
      result.start = start;
      result.skip = skip;
    }
    return result.size > 4 ? result : undefined;
  }
  function copyToBuffer(bufferStart, buffer, index) {
    let {
      id,
      start,
      end,
      size
    } = cursor;
    cursor.next();
    if (size >= 0 && id < minRepeatType) {
      let startIndex = index;
      if (size > 4) {
        let endPos = cursor.pos - (size - 4);
        while (cursor.pos > endPos) index = copyToBuffer(bufferStart, buffer, index);
      }
      buffer[--index] = startIndex;
      buffer[--index] = end - bufferStart;
      buffer[--index] = start - bufferStart;
      buffer[--index] = id;
    } else if (size == -3 /* SpecialRecord.ContextChange */) {
      contextHash = id;
    } else if (size == -4 /* SpecialRecord.LookAhead */) {
      lookAhead = id;
    }
    return index;
  }
  let children = [],
    positions = [];
  while (cursor.pos > 0) takeNode(data.start || 0, data.bufferStart || 0, children, positions, -1);
  let length = (_a = data.length) !== null && _a !== void 0 ? _a : children.length ? positions[0] + children[0].length : 0;
  return new Tree(types[data.topID], children.reverse(), positions.reverse(), length);
}
const nodeSizeCache = new WeakMap();
function nodeSize(balanceType, node) {
  if (!balanceType.isAnonymous || node instanceof TreeBuffer || node.type != balanceType) return 1;
  let size = nodeSizeCache.get(node);
  if (size == null) {
    size = 1;
    for (let child of node.children) {
      if (child.type != balanceType || !(child instanceof Tree)) {
        size = 1;
        break;
      }
      size += nodeSize(balanceType, child);
    }
    nodeSizeCache.set(node, size);
  }
  return size;
}
function balanceRange(
// The type the balanced tree's inner nodes.
balanceType,
// The direct children and their positions
children, positions,
// The index range in children/positions to use
from, to,
// The start position of the nodes, relative to their parent.
start,
// Length of the outer node
length,
// Function to build the top node of the balanced tree
mkTop,
// Function to build internal nodes for the balanced tree
mkTree) {
  let total = 0;
  for (let i = from; i < to; i++) total += nodeSize(balanceType, children[i]);
  let maxChild = Math.ceil(total * 1.5 / 8 /* Balance.BranchFactor */);
  let localChildren = [],
    localPositions = [];
  function divide(children, positions, from, to, offset) {
    for (let i = from; i < to;) {
      let groupFrom = i,
        groupStart = positions[i],
        groupSize = nodeSize(balanceType, children[i]);
      i++;
      for (; i < to; i++) {
        let nextSize = nodeSize(balanceType, children[i]);
        if (groupSize + nextSize >= maxChild) break;
        groupSize += nextSize;
      }
      if (i == groupFrom + 1) {
        if (groupSize > maxChild) {
          let only = children[groupFrom]; // Only trees can have a size > 1
          divide(only.children, only.positions, 0, only.children.length, positions[groupFrom] + offset);
          continue;
        }
        localChildren.push(children[groupFrom]);
      } else {
        let length = positions[i - 1] + children[i - 1].length - groupStart;
        localChildren.push(balanceRange(balanceType, children, positions, groupFrom, i, groupStart, length, null, mkTree));
      }
      localPositions.push(groupStart + offset - start);
    }
  }
  divide(children, positions, from, to, 0);
  return (mkTop || mkTree)(localChildren, localPositions, length);
}
/// Provides a way to associate values with pieces of trees. As long
/// as that part of the tree is reused, the associated values can be
/// retrieved from an updated tree.
class NodeWeakMap {
  constructor() {
    this.map = new WeakMap();
  }
  setBuffer(buffer, index, value) {
    let inner = this.map.get(buffer);
    if (!inner) this.map.set(buffer, inner = new Map());
    inner.set(index, value);
  }
  getBuffer(buffer, index) {
    let inner = this.map.get(buffer);
    return inner && inner.get(index);
  }
  /// Set the value for this syntax node.
  set(node, value) {
    if (node instanceof BufferNode) this.setBuffer(node.context.buffer, node.index, value);else if (node instanceof TreeNode) this.map.set(node.tree, value);
  }
  /// Retrieve value for this syntax node, if it exists in the map.
  get(node) {
    return node instanceof BufferNode ? this.getBuffer(node.context.buffer, node.index) : node instanceof TreeNode ? this.map.get(node.tree) : undefined;
  }
  /// Set the value for the node that a cursor currently points to.
  cursorSet(cursor, value) {
    if (cursor.buffer) this.setBuffer(cursor.buffer.buffer, cursor.index, value);else this.map.set(cursor.tree, value);
  }
  /// Retrieve the value for the node that a cursor currently points
  /// to.
  cursorGet(cursor) {
    return cursor.buffer ? this.getBuffer(cursor.buffer.buffer, cursor.index) : this.map.get(cursor.tree);
  }
}

/// Tree fragments are used during [incremental
/// parsing](#common.Parser.startParse) to track parts of old trees
/// that can be reused in a new parse. An array of fragments is used
/// to track regions of an old tree whose nodes might be reused in new
/// parses. Use the static
/// [`applyChanges`](#common.TreeFragment^applyChanges) method to
/// update fragments for document changes.
exports.NodeWeakMap = NodeWeakMap;
class TreeFragment {
  /// Construct a tree fragment. You'll usually want to use
  /// [`addTree`](#common.TreeFragment^addTree) and
  /// [`applyChanges`](#common.TreeFragment^applyChanges) instead of
  /// calling this directly.
  constructor(
  /// The start of the unchanged range pointed to by this fragment.
  /// This refers to an offset in the _updated_ document (as opposed
  /// to the original tree).
  from,
  /// The end of the unchanged range.
  to,
  /// The tree that this fragment is based on.
  tree,
  /// The offset between the fragment's tree and the document that
  /// this fragment can be used against. Add this when going from
  /// document to tree positions, subtract it to go from tree to
  /// document positions.
  offset, openStart = false, openEnd = false) {
    this.from = from;
    this.to = to;
    this.tree = tree;
    this.offset = offset;
    this.open = (openStart ? 1 /* Open.Start */ : 0) | (openEnd ? 2 /* Open.End */ : 0);
  }
  /// Whether the start of the fragment represents the start of a
  /// parse, or the end of a change. (In the second case, it may not
  /// be safe to reuse some nodes at the start, depending on the
  /// parsing algorithm.)
  get openStart() {
    return (this.open & 1 /* Open.Start */) > 0;
  }
  /// Whether the end of the fragment represents the end of a
  /// full-document parse, or the start of a change.
  get openEnd() {
    return (this.open & 2 /* Open.End */) > 0;
  }
  /// Create a set of fragments from a freshly parsed tree, or update
  /// an existing set of fragments by replacing the ones that overlap
  /// with a tree with content from the new tree. When `partial` is
  /// true, the parse is treated as incomplete, and the resulting
  /// fragment has [`openEnd`](#common.TreeFragment.openEnd) set to
  /// true.
  static addTree(tree, fragments = [], partial = false) {
    let result = [new TreeFragment(0, tree.length, tree, 0, false, partial)];
    for (let f of fragments) if (f.to > tree.length) result.push(f);
    return result;
  }
  /// Apply a set of edits to an array of fragments, removing or
  /// splitting fragments as necessary to remove edited ranges, and
  /// adjusting offsets for fragments that moved.
  static applyChanges(fragments, changes, minGap = 128) {
    if (!changes.length) return fragments;
    let result = [];
    let fI = 1,
      nextF = fragments.length ? fragments[0] : null;
    for (let cI = 0, pos = 0, off = 0;; cI++) {
      let nextC = cI < changes.length ? changes[cI] : null;
      let nextPos = nextC ? nextC.fromA : 1e9;
      if (nextPos - pos >= minGap) while (nextF && nextF.from < nextPos) {
        let cut = nextF;
        if (pos >= cut.from || nextPos <= cut.to || off) {
          let fFrom = Math.max(cut.from, pos) - off,
            fTo = Math.min(cut.to, nextPos) - off;
          cut = fFrom >= fTo ? null : new TreeFragment(fFrom, fTo, cut.tree, cut.offset + off, cI > 0, !!nextC);
        }
        if (cut) result.push(cut);
        if (nextF.to > nextPos) break;
        nextF = fI < fragments.length ? fragments[fI++] : null;
      }
      if (!nextC) break;
      pos = nextC.toA;
      off = nextC.toA - nextC.toB;
    }
    return result;
  }
}
/// A superclass that parsers should extend.
exports.TreeFragment = TreeFragment;
class Parser {
  /// Start a parse, returning a [partial parse](#common.PartialParse)
  /// object. [`fragments`](#common.TreeFragment) can be passed in to
  /// make the parse incremental.
  ///
  /// By default, the entire input is parsed. You can pass `ranges`,
  /// which should be a sorted array of non-empty, non-overlapping
  /// ranges, to parse only those ranges. The tree returned in that
  /// case will start at `ranges[0].from`.
  startParse(input, fragments, ranges) {
    if (typeof input == "string") input = new StringInput(input);
    ranges = !ranges ? [new Range(0, input.length)] : ranges.length ? ranges.map(r => new Range(r.from, r.to)) : [new Range(0, 0)];
    return this.createParse(input, fragments || [], ranges);
  }
  /// Run a full parse, returning the resulting tree.
  parse(input, fragments, ranges) {
    let parse = this.startParse(input, fragments, ranges);
    for (;;) {
      let done = parse.advance();
      if (done) return done;
    }
  }
}
exports.Parser = Parser;
class StringInput {
  constructor(string) {
    this.string = string;
  }
  get length() {
    return this.string.length;
  }
  chunk(from) {
    return this.string.slice(from);
  }
  get lineChunks() {
    return false;
  }
  read(from, to) {
    return this.string.slice(from, to);
  }
}

/// Create a parse wrapper that, after the inner parse completes,
/// scans its tree for mixed language regions with the `nest`
/// function, runs the resulting [inner parses](#common.NestedParse),
/// and then [mounts](#common.NodeProp^mounted) their results onto the
/// tree.
function parseMixed(nest) {
  return (parse, input, fragments, ranges) => new MixedParse(parse, nest, input, fragments, ranges);
}
class InnerParse {
  constructor(parser, parse, overlay, target, ranges) {
    this.parser = parser;
    this.parse = parse;
    this.overlay = overlay;
    this.target = target;
    this.ranges = ranges;
  }
}
class ActiveOverlay {
  constructor(parser, predicate, mounts, index, start, target, prev) {
    this.parser = parser;
    this.predicate = predicate;
    this.mounts = mounts;
    this.index = index;
    this.start = start;
    this.target = target;
    this.prev = prev;
    this.depth = 0;
    this.ranges = [];
  }
}
const stoppedInner = new NodeProp({
  perNode: true
});
class MixedParse {
  constructor(base, nest, input, fragments, ranges) {
    this.nest = nest;
    this.input = input;
    this.fragments = fragments;
    this.ranges = ranges;
    this.inner = [];
    this.innerDone = 0;
    this.baseTree = null;
    this.stoppedAt = null;
    this.baseParse = base;
  }
  advance() {
    if (this.baseParse) {
      let done = this.baseParse.advance();
      if (!done) return null;
      this.baseParse = null;
      this.baseTree = done;
      this.startInner();
      if (this.stoppedAt != null) for (let inner of this.inner) inner.parse.stopAt(this.stoppedAt);
    }
    if (this.innerDone == this.inner.length) {
      let result = this.baseTree;
      if (this.stoppedAt != null) result = new Tree(result.type, result.children, result.positions, result.length, result.propValues.concat([[stoppedInner, this.stoppedAt]]));
      return result;
    }
    let inner = this.inner[this.innerDone],
      done = inner.parse.advance();
    if (done) {
      this.innerDone++;
      // This is a somewhat dodgy but super helpful hack where we
      // patch up nodes created by the inner parse (and thus
      // presumably not aliased anywhere else) to hold the information
      // about the inner parse.
      let props = Object.assign(Object.create(null), inner.target.props);
      props[NodeProp.mounted.id] = new MountedTree(done, inner.overlay, inner.parser);
      inner.target.props = props;
    }
    return null;
  }
  get parsedPos() {
    if (this.baseParse) return 0;
    let pos = this.input.length;
    for (let i = this.innerDone; i < this.inner.length; i++) {
      if (this.inner[i].ranges[0].from < pos) pos = Math.min(pos, this.inner[i].parse.parsedPos);
    }
    return pos;
  }
  stopAt(pos) {
    this.stoppedAt = pos;
    if (this.baseParse) this.baseParse.stopAt(pos);else for (let i = this.innerDone; i < this.inner.length; i++) this.inner[i].parse.stopAt(pos);
  }
  startInner() {
    let fragmentCursor = new FragmentCursor(this.fragments);
    let overlay = null;
    let covered = null;
    let cursor = new TreeCursor(new TreeNode(this.baseTree, this.ranges[0].from, 0, null), IterMode.IncludeAnonymous | IterMode.IgnoreMounts);
    scan: for (let nest, isCovered; this.stoppedAt == null || cursor.from < this.stoppedAt;) {
      let enter = true,
        range;
      if (fragmentCursor.hasNode(cursor)) {
        if (overlay) {
          let match = overlay.mounts.find(m => m.frag.from <= cursor.from && m.frag.to >= cursor.to && m.mount.overlay);
          if (match) for (let r of match.mount.overlay) {
            let from = r.from + match.pos,
              to = r.to + match.pos;
            if (from >= cursor.from && to <= cursor.to && !overlay.ranges.some(r => r.from < to && r.to > from)) overlay.ranges.push({
              from,
              to
            });
          }
        }
        enter = false;
      } else if (covered && (isCovered = checkCover(covered.ranges, cursor.from, cursor.to))) {
        enter = isCovered != 2 /* Cover.Full */;
      } else if (!cursor.type.isAnonymous && cursor.from < cursor.to && (nest = this.nest(cursor, this.input))) {
        if (!cursor.tree) materialize(cursor);
        let oldMounts = fragmentCursor.findMounts(cursor.from, nest.parser);
        if (typeof nest.overlay == "function") {
          overlay = new ActiveOverlay(nest.parser, nest.overlay, oldMounts, this.inner.length, cursor.from, cursor.tree, overlay);
        } else {
          let ranges = punchRanges(this.ranges, nest.overlay || [new Range(cursor.from, cursor.to)]);
          if (ranges.length) this.inner.push(new InnerParse(nest.parser, nest.parser.startParse(this.input, enterFragments(oldMounts, ranges), ranges), nest.overlay ? nest.overlay.map(r => new Range(r.from - cursor.from, r.to - cursor.from)) : null, cursor.tree, ranges));
          if (!nest.overlay) enter = false;else if (ranges.length) covered = {
            ranges,
            depth: 0,
            prev: covered
          };
        }
      } else if (overlay && (range = overlay.predicate(cursor))) {
        if (range === true) range = new Range(cursor.from, cursor.to);
        if (range.from < range.to) overlay.ranges.push(range);
      }
      if (enter && cursor.firstChild()) {
        if (overlay) overlay.depth++;
        if (covered) covered.depth++;
      } else {
        for (;;) {
          if (cursor.nextSibling()) break;
          if (!cursor.parent()) break scan;
          if (overlay && ! --overlay.depth) {
            let ranges = punchRanges(this.ranges, overlay.ranges);
            if (ranges.length) this.inner.splice(overlay.index, 0, new InnerParse(overlay.parser, overlay.parser.startParse(this.input, enterFragments(overlay.mounts, ranges), ranges), overlay.ranges.map(r => new Range(r.from - overlay.start, r.to - overlay.start)), overlay.target, ranges));
            overlay = overlay.prev;
          }
          if (covered && ! --covered.depth) covered = covered.prev;
        }
      }
    }
  }
}
function checkCover(covered, from, to) {
  for (let range of covered) {
    if (range.from >= to) break;
    if (range.to > from) return range.from <= from && range.to >= to ? 2 /* Cover.Full */ : 1 /* Cover.Partial */;
  }

  return 0 /* Cover.None */;
}
// Take a piece of buffer and convert it into a stand-alone
// TreeBuffer.
function sliceBuf(buf, startI, endI, nodes, positions, off) {
  if (startI < endI) {
    let from = buf.buffer[startI + 1];
    nodes.push(buf.slice(startI, endI, from));
    positions.push(from - off);
  }
}
// This function takes a node that's in a buffer, and converts it, and
// its parent buffer nodes, into a Tree. This is again acting on the
// assumption that the trees and buffers have been constructed by the
// parse that was ran via the mix parser, and thus aren't shared with
// any other code, making violations of the immutability safe.
function materialize(cursor) {
  let {
      node
    } = cursor,
    depth = 0;
  // Scan up to the nearest tree
  do {
    cursor.parent();
    depth++;
  } while (!cursor.tree);
  // Find the index of the buffer in that tree
  let i = 0,
    base = cursor.tree,
    off = 0;
  for (;; i++) {
    off = base.positions[i] + cursor.from;
    if (off <= node.from && off + base.children[i].length >= node.to) break;
  }
  let buf = base.children[i],
    b = buf.buffer;
  // Split a level in the buffer, putting the nodes before and after
  // the child that contains `node` into new buffers.
  function split(startI, endI, type, innerOffset, length) {
    let i = startI;
    while (b[i + 2] + off <= node.from) i = b[i + 3];
    let children = [],
      positions = [];
    sliceBuf(buf, startI, i, children, positions, innerOffset);
    let from = b[i + 1],
      to = b[i + 2];
    let isTarget = from + off == node.from && to + off == node.to && b[i] == node.type.id;
    children.push(isTarget ? node.toTree() : split(i + 4, b[i + 3], buf.set.types[b[i]], from, to - from));
    positions.push(from - innerOffset);
    sliceBuf(buf, b[i + 3], endI, children, positions, innerOffset);
    return new Tree(type, children, positions, length);
  }
  base.children[i] = split(0, b.length, NodeType.none, 0, buf.length);
  // Move the cursor back to the target node
  for (let d = 0; d <= depth; d++) cursor.childAfter(node.from);
}
class StructureCursor {
  constructor(root, offset) {
    this.offset = offset;
    this.done = false;
    this.cursor = root.cursor(IterMode.IncludeAnonymous | IterMode.IgnoreMounts);
  }
  // Move to the first node (in pre-order) that starts at or after `pos`.
  moveTo(pos) {
    let {
        cursor
      } = this,
      p = pos - this.offset;
    while (!this.done && cursor.from < p) {
      if (cursor.to >= pos && cursor.enter(p, 1, IterMode.IgnoreOverlays | IterMode.ExcludeBuffers)) ;else if (!cursor.next(false)) this.done = true;
    }
  }
  hasNode(cursor) {
    this.moveTo(cursor.from);
    if (!this.done && this.cursor.from + this.offset == cursor.from && this.cursor.tree) {
      for (let tree = this.cursor.tree;;) {
        if (tree == cursor.tree) return true;
        if (tree.children.length && tree.positions[0] == 0 && tree.children[0] instanceof Tree) tree = tree.children[0];else break;
      }
    }
    return false;
  }
}
class FragmentCursor {
  constructor(fragments) {
    var _a;
    this.fragments = fragments;
    this.curTo = 0;
    this.fragI = 0;
    if (fragments.length) {
      let first = this.curFrag = fragments[0];
      this.curTo = (_a = first.tree.prop(stoppedInner)) !== null && _a !== void 0 ? _a : first.to;
      this.inner = new StructureCursor(first.tree, -first.offset);
    } else {
      this.curFrag = this.inner = null;
    }
  }
  hasNode(node) {
    while (this.curFrag && node.from >= this.curTo) this.nextFrag();
    return this.curFrag && this.curFrag.from <= node.from && this.curTo >= node.to && this.inner.hasNode(node);
  }
  nextFrag() {
    var _a;
    this.fragI++;
    if (this.fragI == this.fragments.length) {
      this.curFrag = this.inner = null;
    } else {
      let frag = this.curFrag = this.fragments[this.fragI];
      this.curTo = (_a = frag.tree.prop(stoppedInner)) !== null && _a !== void 0 ? _a : frag.to;
      this.inner = new StructureCursor(frag.tree, -frag.offset);
    }
  }
  findMounts(pos, parser) {
    var _a;
    let result = [];
    if (this.inner) {
      this.inner.cursor.moveTo(pos, 1);
      for (let pos = this.inner.cursor.node; pos; pos = pos.parent) {
        let mount = (_a = pos.tree) === null || _a === void 0 ? void 0 : _a.prop(NodeProp.mounted);
        if (mount && mount.parser == parser) {
          for (let i = this.fragI; i < this.fragments.length; i++) {
            let frag = this.fragments[i];
            if (frag.from >= pos.to) break;
            if (frag.tree == this.curFrag.tree) result.push({
              frag,
              pos: pos.from - frag.offset,
              mount
            });
          }
        }
      }
    }
    return result;
  }
}
function punchRanges(outer, ranges) {
  let copy = null,
    current = ranges;
  for (let i = 1, j = 0; i < outer.length; i++) {
    let gapFrom = outer[i - 1].to,
      gapTo = outer[i].from;
    for (; j < current.length; j++) {
      let r = current[j];
      if (r.from >= gapTo) break;
      if (r.to <= gapFrom) continue;
      if (!copy) current = copy = ranges.slice();
      if (r.from < gapFrom) {
        copy[j] = new Range(r.from, gapFrom);
        if (r.to > gapTo) copy.splice(j + 1, 0, new Range(gapTo, r.to));
      } else if (r.to > gapTo) {
        copy[j--] = new Range(gapTo, r.to);
      } else {
        copy.splice(j--, 1);
      }
    }
  }
  return current;
}
function findCoverChanges(a, b, from, to) {
  let iA = 0,
    iB = 0,
    inA = false,
    inB = false,
    pos = -1e9;
  let result = [];
  for (;;) {
    let nextA = iA == a.length ? 1e9 : inA ? a[iA].to : a[iA].from;
    let nextB = iB == b.length ? 1e9 : inB ? b[iB].to : b[iB].from;
    if (inA != inB) {
      let start = Math.max(pos, from),
        end = Math.min(nextA, nextB, to);
      if (start < end) result.push(new Range(start, end));
    }
    pos = Math.min(nextA, nextB);
    if (pos == 1e9) break;
    if (nextA == pos) {
      if (!inA) inA = true;else {
        inA = false;
        iA++;
      }
    }
    if (nextB == pos) {
      if (!inB) inB = true;else {
        inB = false;
        iB++;
      }
    }
  }
  return result;
}
// Given a number of fragments for the outer tree, and a set of ranges
// to parse, find fragments for inner trees mounted around those
// ranges, if any.
function enterFragments(mounts, ranges) {
  let result = [];
  for (let {
    pos,
    mount,
    frag
  } of mounts) {
    let startPos = pos + (mount.overlay ? mount.overlay[0].from : 0),
      endPos = startPos + mount.tree.length;
    let from = Math.max(frag.from, startPos),
      to = Math.min(frag.to, endPos);
    if (mount.overlay) {
      let overlay = mount.overlay.map(r => new Range(r.from + pos, r.to + pos));
      let changes = findCoverChanges(ranges, overlay, from, to);
      for (let i = 0, pos = from;; i++) {
        let last = i == changes.length,
          end = last ? to : changes[i].from;
        if (end > pos) result.push(new TreeFragment(pos, end, mount.tree, -startPos, frag.from >= pos || frag.openStart, frag.to <= end || frag.openEnd));
        if (last) break;
        pos = changes[i].to;
      }
    } else {
      result.push(new TreeFragment(from, to, mount.tree, -startPos, frag.from >= startPos || frag.openStart, frag.to <= endPos || frag.openEnd));
    }
  }
  return result;
}
},{}],"node_modules/@lezer/highlight/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.classHighlighter = exports.Tag = void 0;
exports.getStyleTags = getStyleTags;
exports.highlightTree = highlightTree;
exports.styleTags = styleTags;
exports.tagHighlighter = tagHighlighter;
exports.tags = void 0;
var _common = require("@lezer/common");
let nextTagID = 0;
/**
Highlighting tags are markers that denote a highlighting category.
They are [associated](#highlight.styleTags) with parts of a syntax
tree by a language mode, and then mapped to an actual CSS style by
a [highlighter](#highlight.Highlighter).

Because syntax tree node types and highlight styles have to be
able to talk the same language, CodeMirror uses a mostly _closed_
[vocabulary](#highlight.tags) of syntax tags (as opposed to
traditional open string-based systems, which make it hard for
highlighting themes to cover all the tokens produced by the
various languages).

It _is_ possible to [define](#highlight.Tag^define) your own
highlighting tags for system-internal use (where you control both
the language package and the highlighter), but such tags will not
be picked up by regular highlighters (though you can derive them
from standard tags to allow highlighters to fall back to those).
*/
class Tag {
  /**
  @internal
  */
  constructor(
  /**
  The set of this tag and all its parent tags, starting with
  this one itself and sorted in order of decreasing specificity.
  */
  set,
  /**
  The base unmodified tag that this one is based on, if it's
  modified @internal
  */
  base,
  /**
  The modifiers applied to this.base @internal
  */
  modified) {
    this.set = set;
    this.base = base;
    this.modified = modified;
    /**
    @internal
    */
    this.id = nextTagID++;
  }
  /**
  Define a new tag. If `parent` is given, the tag is treated as a
  sub-tag of that parent, and
  [highlighters](#highlight.tagHighlighter) that don't mention
  this tag will try to fall back to the parent tag (or grandparent
  tag, etc).
  */
  static define(parent) {
    if (parent === null || parent === void 0 ? void 0 : parent.base) throw new Error("Can not derive from a modified tag");
    let tag = new Tag([], null, []);
    tag.set.push(tag);
    if (parent) for (let t of parent.set) tag.set.push(t);
    return tag;
  }
  /**
  Define a tag _modifier_, which is a function that, given a tag,
  will return a tag that is a subtag of the original. Applying the
  same modifier to a twice tag will return the same value (`m1(t1)
  == m1(t1)`) and applying multiple modifiers will, regardless or
  order, produce the same tag (`m1(m2(t1)) == m2(m1(t1))`).
  
  When multiple modifiers are applied to a given base tag, each
  smaller set of modifiers is registered as a parent, so that for
  example `m1(m2(m3(t1)))` is a subtype of `m1(m2(t1))`,
  `m1(m3(t1)`, and so on.
  */
  static defineModifier() {
    let mod = new Modifier();
    return tag => {
      if (tag.modified.indexOf(mod) > -1) return tag;
      return Modifier.get(tag.base || tag, tag.modified.concat(mod).sort((a, b) => a.id - b.id));
    };
  }
}
exports.Tag = Tag;
let nextModifierID = 0;
class Modifier {
  constructor() {
    this.instances = [];
    this.id = nextModifierID++;
  }
  static get(base, mods) {
    if (!mods.length) return base;
    let exists = mods[0].instances.find(t => t.base == base && sameArray(mods, t.modified));
    if (exists) return exists;
    let set = [],
      tag = new Tag(set, base, mods);
    for (let m of mods) m.instances.push(tag);
    let configs = powerSet(mods);
    for (let parent of base.set) if (!parent.modified.length) for (let config of configs) set.push(Modifier.get(parent, config));
    return tag;
  }
}
function sameArray(a, b) {
  return a.length == b.length && a.every((x, i) => x == b[i]);
}
function powerSet(array) {
  let sets = [[]];
  for (let i = 0; i < array.length; i++) {
    for (let j = 0, e = sets.length; j < e; j++) {
      sets.push(sets[j].concat(array[i]));
    }
  }
  return sets.sort((a, b) => b.length - a.length);
}
/**
This function is used to add a set of tags to a language syntax
via [`NodeSet.extend`](#common.NodeSet.extend) or
[`LRParser.configure`](#lr.LRParser.configure).

The argument object maps node selectors to [highlighting
tags](#highlight.Tag) or arrays of tags.

Node selectors may hold one or more (space-separated) node paths.
Such a path can be a [node name](#common.NodeType.name), or
multiple node names (or `*` wildcards) separated by slash
characters, as in `"Block/Declaration/VariableName"`. Such a path
matches the final node but only if its direct parent nodes are the
other nodes mentioned. A `*` in such a path matches any parent,
but only a single level—wildcards that match multiple parents
aren't supported, both for efficiency reasons and because Lezer
trees make it rather hard to reason about what they would match.)

A path can be ended with `/...` to indicate that the tag assigned
to the node should also apply to all child nodes, even if they
match their own style (by default, only the innermost style is
used).

When a path ends in `!`, as in `Attribute!`, no further matching
happens for the node's child nodes, and the entire node gets the
given style.

In this notation, node names that contain `/`, `!`, `*`, or `...`
must be quoted as JSON strings.

For example:

```javascript
parser.withProps(
  styleTags({
    // Style Number and BigNumber nodes
    "Number BigNumber": tags.number,
    // Style Escape nodes whose parent is String
    "String/Escape": tags.escape,
    // Style anything inside Attributes nodes
    "Attributes!": tags.meta,
    // Add a style to all content inside Italic nodes
    "Italic/...": tags.emphasis,
    // Style InvalidString nodes as both `string` and `invalid`
    "InvalidString": [tags.string, tags.invalid],
    // Style the node named "/" as punctuation
    '"/"': tags.punctuation
  })
)
```
*/
function styleTags(spec) {
  let byName = Object.create(null);
  for (let prop in spec) {
    let tags = spec[prop];
    if (!Array.isArray(tags)) tags = [tags];
    for (let part of prop.split(" ")) if (part) {
      let pieces = [],
        mode = 2 /* Normal */,
        rest = part;
      for (let pos = 0;;) {
        if (rest == "..." && pos > 0 && pos + 3 == part.length) {
          mode = 1 /* Inherit */;
          break;
        }
        let m = /^"(?:[^"\\]|\\.)*?"|[^\/!]+/.exec(rest);
        if (!m) throw new RangeError("Invalid path: " + part);
        pieces.push(m[0] == "*" ? "" : m[0][0] == '"' ? JSON.parse(m[0]) : m[0]);
        pos += m[0].length;
        if (pos == part.length) break;
        let next = part[pos++];
        if (pos == part.length && next == "!") {
          mode = 0 /* Opaque */;
          break;
        }
        if (next != "/") throw new RangeError("Invalid path: " + part);
        rest = part.slice(pos);
      }
      let last = pieces.length - 1,
        inner = pieces[last];
      if (!inner) throw new RangeError("Invalid path: " + part);
      let rule = new Rule(tags, mode, last > 0 ? pieces.slice(0, last) : null);
      byName[inner] = rule.sort(byName[inner]);
    }
  }
  return ruleNodeProp.add(byName);
}
const ruleNodeProp = new _common.NodeProp();
class Rule {
  constructor(tags, mode, context, next) {
    this.tags = tags;
    this.mode = mode;
    this.context = context;
    this.next = next;
  }
  get opaque() {
    return this.mode == 0 /* Opaque */;
  }
  get inherit() {
    return this.mode == 1 /* Inherit */;
  }
  sort(other) {
    if (!other || other.depth < this.depth) {
      this.next = other;
      return this;
    }
    other.next = this.sort(other.next);
    return other;
  }
  get depth() {
    return this.context ? this.context.length : 0;
  }
}
Rule.empty = new Rule([], 2 /* Normal */, null);
/**
Define a [highlighter](#highlight.Highlighter) from an array of
tag/class pairs. Classes associated with more specific tags will
take precedence.
*/
function tagHighlighter(tags, options) {
  let map = Object.create(null);
  for (let style of tags) {
    if (!Array.isArray(style.tag)) map[style.tag.id] = style.class;else for (let tag of style.tag) map[tag.id] = style.class;
  }
  let {
    scope,
    all = null
  } = options || {};
  return {
    style: tags => {
      let cls = all;
      for (let tag of tags) {
        for (let sub of tag.set) {
          let tagClass = map[sub.id];
          if (tagClass) {
            cls = cls ? cls + " " + tagClass : tagClass;
            break;
          }
        }
      }
      return cls;
    },
    scope
  };
}
function highlightTags(highlighters, tags) {
  let result = null;
  for (let highlighter of highlighters) {
    let value = highlighter.style(tags);
    if (value) result = result ? result + " " + value : value;
  }
  return result;
}
/**
Highlight the given [tree](#common.Tree) with the given
[highlighter](#highlight.Highlighter).
*/
function highlightTree(tree, highlighter,
/**
Assign styling to a region of the text. Will be called, in order
of position, for any ranges where more than zero classes apply.
`classes` is a space separated string of CSS classes.
*/
putStyle,
/**
The start of the range to highlight.
*/
from = 0,
/**
The end of the range.
*/
to = tree.length) {
  let builder = new HighlightBuilder(from, Array.isArray(highlighter) ? highlighter : [highlighter], putStyle);
  builder.highlightRange(tree.cursor(), from, to, "", builder.highlighters);
  builder.flush(to);
}
class HighlightBuilder {
  constructor(at, highlighters, span) {
    this.at = at;
    this.highlighters = highlighters;
    this.span = span;
    this.class = "";
  }
  startSpan(at, cls) {
    if (cls != this.class) {
      this.flush(at);
      if (at > this.at) this.at = at;
      this.class = cls;
    }
  }
  flush(to) {
    if (to > this.at && this.class) this.span(this.at, to, this.class);
  }
  highlightRange(cursor, from, to, inheritedClass, highlighters) {
    let {
      type,
      from: start,
      to: end
    } = cursor;
    if (start >= to || end <= from) return;
    if (type.isTop) highlighters = this.highlighters.filter(h => !h.scope || h.scope(type));
    let cls = inheritedClass;
    let rule = getStyleTags(cursor) || Rule.empty;
    let tagCls = highlightTags(highlighters, rule.tags);
    if (tagCls) {
      if (cls) cls += " ";
      cls += tagCls;
      if (rule.mode == 1 /* Inherit */) inheritedClass += (inheritedClass ? " " : "") + tagCls;
    }
    this.startSpan(cursor.from, cls);
    if (rule.opaque) return;
    let mounted = cursor.tree && cursor.tree.prop(_common.NodeProp.mounted);
    if (mounted && mounted.overlay) {
      let inner = cursor.node.enter(mounted.overlay[0].from + start, 1);
      let innerHighlighters = this.highlighters.filter(h => !h.scope || h.scope(mounted.tree.type));
      let hasChild = cursor.firstChild();
      for (let i = 0, pos = start;; i++) {
        let next = i < mounted.overlay.length ? mounted.overlay[i] : null;
        let nextPos = next ? next.from + start : end;
        let rangeFrom = Math.max(from, pos),
          rangeTo = Math.min(to, nextPos);
        if (rangeFrom < rangeTo && hasChild) {
          while (cursor.from < rangeTo) {
            this.highlightRange(cursor, rangeFrom, rangeTo, inheritedClass, highlighters);
            this.startSpan(Math.min(rangeTo, cursor.to), cls);
            if (cursor.to >= nextPos || !cursor.nextSibling()) break;
          }
        }
        if (!next || nextPos > to) break;
        pos = next.to + start;
        if (pos > from) {
          this.highlightRange(inner.cursor(), Math.max(from, next.from + start), Math.min(to, pos), inheritedClass, innerHighlighters);
          this.startSpan(pos, cls);
        }
      }
      if (hasChild) cursor.parent();
    } else if (cursor.firstChild()) {
      do {
        if (cursor.to <= from) continue;
        if (cursor.from >= to) break;
        this.highlightRange(cursor, from, to, inheritedClass, highlighters);
        this.startSpan(Math.min(to, cursor.to), cls);
      } while (cursor.nextSibling());
      cursor.parent();
    }
  }
}
/**
Match a syntax node's [highlight rules](#highlight.styleTags). If
there's a match, return its set of tags, and whether it is
opaque (uses a `!`) or applies to all child nodes (`/...`).
*/
function getStyleTags(node) {
  let rule = node.type.prop(ruleNodeProp);
  while (rule && rule.context && !node.matchContext(rule.context)) rule = rule.next;
  return rule || null;
}
const t = Tag.define;
const comment = t(),
  name = t(),
  typeName = t(name),
  propertyName = t(name),
  literal = t(),
  string = t(literal),
  number = t(literal),
  content = t(),
  heading = t(content),
  keyword = t(),
  operator = t(),
  punctuation = t(),
  bracket = t(punctuation),
  meta = t();
/**
The default set of highlighting [tags](#highlight.Tag).

This collection is heavily biased towards programming languages,
and necessarily incomplete. A full ontology of syntactic
constructs would fill a stack of books, and be impractical to
write themes for. So try to make do with this set. If all else
fails, [open an
issue](https://github.com/codemirror/codemirror.next) to propose a
new tag, or [define](#highlight.Tag^define) a local custom tag for
your use case.

Note that it is not obligatory to always attach the most specific
tag possible to an element—if your grammar can't easily
distinguish a certain type of element (such as a local variable),
it is okay to style it as its more general variant (a variable).

For tags that extend some parent tag, the documentation links to
the parent.
*/
const tags = {
  /**
  A comment.
  */
  comment,
  /**
  A line [comment](#highlight.tags.comment).
  */
  lineComment: t(comment),
  /**
  A block [comment](#highlight.tags.comment).
  */
  blockComment: t(comment),
  /**
  A documentation [comment](#highlight.tags.comment).
  */
  docComment: t(comment),
  /**
  Any kind of identifier.
  */
  name,
  /**
  The [name](#highlight.tags.name) of a variable.
  */
  variableName: t(name),
  /**
  A type [name](#highlight.tags.name).
  */
  typeName: typeName,
  /**
  A tag name (subtag of [`typeName`](#highlight.tags.typeName)).
  */
  tagName: t(typeName),
  /**
  A property or field [name](#highlight.tags.name).
  */
  propertyName: propertyName,
  /**
  An attribute name (subtag of [`propertyName`](#highlight.tags.propertyName)).
  */
  attributeName: t(propertyName),
  /**
  The [name](#highlight.tags.name) of a class.
  */
  className: t(name),
  /**
  A label [name](#highlight.tags.name).
  */
  labelName: t(name),
  /**
  A namespace [name](#highlight.tags.name).
  */
  namespace: t(name),
  /**
  The [name](#highlight.tags.name) of a macro.
  */
  macroName: t(name),
  /**
  A literal value.
  */
  literal,
  /**
  A string [literal](#highlight.tags.literal).
  */
  string,
  /**
  A documentation [string](#highlight.tags.string).
  */
  docString: t(string),
  /**
  A character literal (subtag of [string](#highlight.tags.string)).
  */
  character: t(string),
  /**
  An attribute value (subtag of [string](#highlight.tags.string)).
  */
  attributeValue: t(string),
  /**
  A number [literal](#highlight.tags.literal).
  */
  number,
  /**
  An integer [number](#highlight.tags.number) literal.
  */
  integer: t(number),
  /**
  A floating-point [number](#highlight.tags.number) literal.
  */
  float: t(number),
  /**
  A boolean [literal](#highlight.tags.literal).
  */
  bool: t(literal),
  /**
  Regular expression [literal](#highlight.tags.literal).
  */
  regexp: t(literal),
  /**
  An escape [literal](#highlight.tags.literal), for example a
  backslash escape in a string.
  */
  escape: t(literal),
  /**
  A color [literal](#highlight.tags.literal).
  */
  color: t(literal),
  /**
  A URL [literal](#highlight.tags.literal).
  */
  url: t(literal),
  /**
  A language keyword.
  */
  keyword,
  /**
  The [keyword](#highlight.tags.keyword) for the self or this
  object.
  */
  self: t(keyword),
  /**
  The [keyword](#highlight.tags.keyword) for null.
  */
  null: t(keyword),
  /**
  A [keyword](#highlight.tags.keyword) denoting some atomic value.
  */
  atom: t(keyword),
  /**
  A [keyword](#highlight.tags.keyword) that represents a unit.
  */
  unit: t(keyword),
  /**
  A modifier [keyword](#highlight.tags.keyword).
  */
  modifier: t(keyword),
  /**
  A [keyword](#highlight.tags.keyword) that acts as an operator.
  */
  operatorKeyword: t(keyword),
  /**
  A control-flow related [keyword](#highlight.tags.keyword).
  */
  controlKeyword: t(keyword),
  /**
  A [keyword](#highlight.tags.keyword) that defines something.
  */
  definitionKeyword: t(keyword),
  /**
  A [keyword](#highlight.tags.keyword) related to defining or
  interfacing with modules.
  */
  moduleKeyword: t(keyword),
  /**
  An operator.
  */
  operator,
  /**
  An [operator](#highlight.tags.operator) that dereferences something.
  */
  derefOperator: t(operator),
  /**
  Arithmetic-related [operator](#highlight.tags.operator).
  */
  arithmeticOperator: t(operator),
  /**
  Logical [operator](#highlight.tags.operator).
  */
  logicOperator: t(operator),
  /**
  Bit [operator](#highlight.tags.operator).
  */
  bitwiseOperator: t(operator),
  /**
  Comparison [operator](#highlight.tags.operator).
  */
  compareOperator: t(operator),
  /**
  [Operator](#highlight.tags.operator) that updates its operand.
  */
  updateOperator: t(operator),
  /**
  [Operator](#highlight.tags.operator) that defines something.
  */
  definitionOperator: t(operator),
  /**
  Type-related [operator](#highlight.tags.operator).
  */
  typeOperator: t(operator),
  /**
  Control-flow [operator](#highlight.tags.operator).
  */
  controlOperator: t(operator),
  /**
  Program or markup punctuation.
  */
  punctuation,
  /**
  [Punctuation](#highlight.tags.punctuation) that separates
  things.
  */
  separator: t(punctuation),
  /**
  Bracket-style [punctuation](#highlight.tags.punctuation).
  */
  bracket,
  /**
  Angle [brackets](#highlight.tags.bracket) (usually `<` and `>`
  tokens).
  */
  angleBracket: t(bracket),
  /**
  Square [brackets](#highlight.tags.bracket) (usually `[` and `]`
  tokens).
  */
  squareBracket: t(bracket),
  /**
  Parentheses (usually `(` and `)` tokens). Subtag of
  [bracket](#highlight.tags.bracket).
  */
  paren: t(bracket),
  /**
  Braces (usually `{` and `}` tokens). Subtag of
  [bracket](#highlight.tags.bracket).
  */
  brace: t(bracket),
  /**
  Content, for example plain text in XML or markup documents.
  */
  content,
  /**
  [Content](#highlight.tags.content) that represents a heading.
  */
  heading,
  /**
  A level 1 [heading](#highlight.tags.heading).
  */
  heading1: t(heading),
  /**
  A level 2 [heading](#highlight.tags.heading).
  */
  heading2: t(heading),
  /**
  A level 3 [heading](#highlight.tags.heading).
  */
  heading3: t(heading),
  /**
  A level 4 [heading](#highlight.tags.heading).
  */
  heading4: t(heading),
  /**
  A level 5 [heading](#highlight.tags.heading).
  */
  heading5: t(heading),
  /**
  A level 6 [heading](#highlight.tags.heading).
  */
  heading6: t(heading),
  /**
  A prose separator (such as a horizontal rule).
  */
  contentSeparator: t(content),
  /**
  [Content](#highlight.tags.content) that represents a list.
  */
  list: t(content),
  /**
  [Content](#highlight.tags.content) that represents a quote.
  */
  quote: t(content),
  /**
  [Content](#highlight.tags.content) that is emphasized.
  */
  emphasis: t(content),
  /**
  [Content](#highlight.tags.content) that is styled strong.
  */
  strong: t(content),
  /**
  [Content](#highlight.tags.content) that is part of a link.
  */
  link: t(content),
  /**
  [Content](#highlight.tags.content) that is styled as code or
  monospace.
  */
  monospace: t(content),
  /**
  [Content](#highlight.tags.content) that has a strike-through
  style.
  */
  strikethrough: t(content),
  /**
  Inserted text in a change-tracking format.
  */
  inserted: t(),
  /**
  Deleted text.
  */
  deleted: t(),
  /**
  Changed text.
  */
  changed: t(),
  /**
  An invalid or unsyntactic element.
  */
  invalid: t(),
  /**
  Metadata or meta-instruction.
  */
  meta,
  /**
  [Metadata](#highlight.tags.meta) that applies to the entire
  document.
  */
  documentMeta: t(meta),
  /**
  [Metadata](#highlight.tags.meta) that annotates or adds
  attributes to a given syntactic element.
  */
  annotation: t(meta),
  /**
  Processing instruction or preprocessor directive. Subtag of
  [meta](#highlight.tags.meta).
  */
  processingInstruction: t(meta),
  /**
  [Modifier](#highlight.Tag^defineModifier) that indicates that a
  given element is being defined. Expected to be used with the
  various [name](#highlight.tags.name) tags.
  */
  definition: Tag.defineModifier(),
  /**
  [Modifier](#highlight.Tag^defineModifier) that indicates that
  something is constant. Mostly expected to be used with
  [variable names](#highlight.tags.variableName).
  */
  constant: Tag.defineModifier(),
  /**
  [Modifier](#highlight.Tag^defineModifier) used to indicate that
  a [variable](#highlight.tags.variableName) or [property
  name](#highlight.tags.propertyName) is being called or defined
  as a function.
  */
  function: Tag.defineModifier(),
  /**
  [Modifier](#highlight.Tag^defineModifier) that can be applied to
  [names](#highlight.tags.name) to indicate that they belong to
  the language's standard environment.
  */
  standard: Tag.defineModifier(),
  /**
  [Modifier](#highlight.Tag^defineModifier) that indicates a given
  [names](#highlight.tags.name) is local to some scope.
  */
  local: Tag.defineModifier(),
  /**
  A generic variant [modifier](#highlight.Tag^defineModifier) that
  can be used to tag language-specific alternative variants of
  some common tag. It is recommended for themes to define special
  forms of at least the [string](#highlight.tags.string) and
  [variable name](#highlight.tags.variableName) tags, since those
  come up a lot.
  */
  special: Tag.defineModifier()
};
/**
This is a highlighter that adds stable, predictable classes to
tokens, for styling with external CSS.

The following tags are mapped to their name prefixed with `"tok-"`
(for example `"tok-comment"`):

* [`link`](#highlight.tags.link)
* [`heading`](#highlight.tags.heading)
* [`emphasis`](#highlight.tags.emphasis)
* [`strong`](#highlight.tags.strong)
* [`keyword`](#highlight.tags.keyword)
* [`atom`](#highlight.tags.atom)
* [`bool`](#highlight.tags.bool)
* [`url`](#highlight.tags.url)
* [`labelName`](#highlight.tags.labelName)
* [`inserted`](#highlight.tags.inserted)
* [`deleted`](#highlight.tags.deleted)
* [`literal`](#highlight.tags.literal)
* [`string`](#highlight.tags.string)
* [`number`](#highlight.tags.number)
* [`variableName`](#highlight.tags.variableName)
* [`typeName`](#highlight.tags.typeName)
* [`namespace`](#highlight.tags.namespace)
* [`className`](#highlight.tags.className)
* [`macroName`](#highlight.tags.macroName)
* [`propertyName`](#highlight.tags.propertyName)
* [`operator`](#highlight.tags.operator)
* [`comment`](#highlight.tags.comment)
* [`meta`](#highlight.tags.meta)
* [`punctuation`](#highlight.tags.punctuation)
* [`invalid`](#highlight.tags.invalid)

In addition, these mappings are provided:

* [`regexp`](#highlight.tags.regexp),
  [`escape`](#highlight.tags.escape), and
  [`special`](#highlight.tags.special)[`(string)`](#highlight.tags.string)
  are mapped to `"tok-string2"`
* [`special`](#highlight.tags.special)[`(variableName)`](#highlight.tags.variableName)
  to `"tok-variableName2"`
* [`local`](#highlight.tags.local)[`(variableName)`](#highlight.tags.variableName)
  to `"tok-variableName tok-local"`
* [`definition`](#highlight.tags.definition)[`(variableName)`](#highlight.tags.variableName)
  to `"tok-variableName tok-definition"`
* [`definition`](#highlight.tags.definition)[`(propertyName)`](#highlight.tags.propertyName)
  to `"tok-propertyName tok-definition"`
*/
exports.tags = tags;
const classHighlighter = tagHighlighter([{
  tag: tags.link,
  class: "tok-link"
}, {
  tag: tags.heading,
  class: "tok-heading"
}, {
  tag: tags.emphasis,
  class: "tok-emphasis"
}, {
  tag: tags.strong,
  class: "tok-strong"
}, {
  tag: tags.keyword,
  class: "tok-keyword"
}, {
  tag: tags.atom,
  class: "tok-atom"
}, {
  tag: tags.bool,
  class: "tok-bool"
}, {
  tag: tags.url,
  class: "tok-url"
}, {
  tag: tags.labelName,
  class: "tok-labelName"
}, {
  tag: tags.inserted,
  class: "tok-inserted"
}, {
  tag: tags.deleted,
  class: "tok-deleted"
}, {
  tag: tags.literal,
  class: "tok-literal"
}, {
  tag: tags.string,
  class: "tok-string"
}, {
  tag: tags.number,
  class: "tok-number"
}, {
  tag: [tags.regexp, tags.escape, tags.special(tags.string)],
  class: "tok-string2"
}, {
  tag: tags.variableName,
  class: "tok-variableName"
}, {
  tag: tags.local(tags.variableName),
  class: "tok-variableName tok-local"
}, {
  tag: tags.definition(tags.variableName),
  class: "tok-variableName tok-definition"
}, {
  tag: tags.special(tags.variableName),
  class: "tok-variableName2"
}, {
  tag: tags.definition(tags.propertyName),
  class: "tok-propertyName tok-definition"
}, {
  tag: tags.typeName,
  class: "tok-typeName"
}, {
  tag: tags.namespace,
  class: "tok-namespace"
}, {
  tag: tags.className,
  class: "tok-className"
}, {
  tag: tags.macroName,
  class: "tok-macroName"
}, {
  tag: tags.propertyName,
  class: "tok-propertyName"
}, {
  tag: tags.operator,
  class: "tok-operator"
}, {
  tag: tags.comment,
  class: "tok-comment"
}, {
  tag: tags.meta,
  class: "tok-meta"
}, {
  tag: tags.invalid,
  class: "tok-invalid"
}, {
  tag: tags.punctuation,
  class: "tok-punctuation"
}]);
exports.classHighlighter = classHighlighter;
},{"@lezer/common":"node_modules/@lezer/common/dist/index.js"}],"node_modules/@codemirror/language/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TreeIndentContext = exports.StringStream = exports.StreamLanguage = exports.ParseContext = exports.LanguageSupport = exports.LanguageDescription = exports.Language = exports.LRLanguage = exports.IndentContext = exports.HighlightStyle = void 0;
exports.bracketMatching = bracketMatching;
exports.bracketMatchingHandle = void 0;
exports.codeFolding = codeFolding;
exports.continuedIndent = continuedIndent;
exports.defaultHighlightStyle = void 0;
exports.defineLanguageFacet = defineLanguageFacet;
exports.delimitedIndent = delimitedIndent;
exports.ensureSyntaxTree = ensureSyntaxTree;
exports.foldEffect = exports.foldCode = exports.foldAll = exports.flatIndent = void 0;
exports.foldGutter = foldGutter;
exports.foldInside = foldInside;
exports.foldState = exports.foldService = exports.foldNodeProp = exports.foldKeymap = void 0;
exports.foldable = foldable;
exports.foldedRanges = foldedRanges;
exports.forceParsing = forceParsing;
exports.getIndentUnit = getIndentUnit;
exports.getIndentation = getIndentation;
exports.highlightingFor = highlightingFor;
exports.indentNodeProp = void 0;
exports.indentOnInput = indentOnInput;
exports.indentRange = indentRange;
exports.indentService = void 0;
exports.indentString = indentString;
exports.languageDataProp = exports.language = exports.indentUnit = void 0;
exports.matchBrackets = matchBrackets;
exports.sublanguageProp = void 0;
exports.syntaxHighlighting = syntaxHighlighting;
exports.syntaxParserRunning = syntaxParserRunning;
exports.syntaxTree = syntaxTree;
exports.syntaxTreeAvailable = syntaxTreeAvailable;
exports.unfoldEffect = exports.unfoldCode = exports.unfoldAll = exports.toggleFold = void 0;
var _common = require("@lezer/common");
var _state2 = require("@codemirror/state");
var _view = require("@codemirror/view");
var _highlight = require("@lezer/highlight");
var _styleMod = require("style-mod");
var _a;
/**
Node prop stored in a parser's top syntax node to provide the
facet that stores language-specific data for that language.
*/
const languageDataProp = /*@__PURE__*/new _common.NodeProp();
/**
Helper function to define a facet (to be added to the top syntax
node(s) for a language via
[`languageDataProp`](https://codemirror.net/6/docs/ref/#language.languageDataProp)), that will be
used to associate language data with the language. You
probably only need this when subclassing
[`Language`](https://codemirror.net/6/docs/ref/#language.Language).
*/
exports.languageDataProp = languageDataProp;
function defineLanguageFacet(baseData) {
  return _state2.Facet.define({
    combine: baseData ? values => values.concat(baseData) : undefined
  });
}
/**
Syntax node prop used to register sublangauges. Should be added to
the top level node type for the language.
*/
const sublanguageProp = /*@__PURE__*/new _common.NodeProp();
/**
A language object manages parsing and per-language
[metadata](https://codemirror.net/6/docs/ref/#state.EditorState.languageDataAt). Parse data is
managed as a [Lezer](https://lezer.codemirror.net) tree. The class
can be used directly, via the [`LRLanguage`](https://codemirror.net/6/docs/ref/#language.LRLanguage)
subclass for [Lezer](https://lezer.codemirror.net/) LR parsers, or
via the [`StreamLanguage`](https://codemirror.net/6/docs/ref/#language.StreamLanguage) subclass
for stream parsers.
*/
exports.sublanguageProp = sublanguageProp;
class Language {
  /**
  Construct a language object. If you need to invoke this
  directly, first define a data facet with
  [`defineLanguageFacet`](https://codemirror.net/6/docs/ref/#language.defineLanguageFacet), and then
  configure your parser to [attach](https://codemirror.net/6/docs/ref/#language.languageDataProp) it
  to the language's outer syntax node.
  */
  constructor(
  /**
  The [language data](https://codemirror.net/6/docs/ref/#state.EditorState.languageDataAt) facet
  used for this language.
  */
  data, parser, extraExtensions = [],
  /**
  A language name.
  */
  name = "") {
    this.data = data;
    this.name = name;
    // Kludge to define EditorState.tree as a debugging helper,
    // without the EditorState package actually knowing about
    // languages and lezer trees.
    if (!_state2.EditorState.prototype.hasOwnProperty("tree")) Object.defineProperty(_state2.EditorState.prototype, "tree", {
      get() {
        return syntaxTree(this);
      }
    });
    this.parser = parser;
    this.extension = [language.of(this), _state2.EditorState.languageData.of((state, pos, side) => {
      let top = topNodeAt(state, pos, side),
        data = top.type.prop(languageDataProp);
      if (!data) return [];
      let base = state.facet(data),
        sub = top.type.prop(sublanguageProp);
      if (sub) {
        let innerNode = top.resolve(pos - top.from, side);
        for (let sublang of sub) if (sublang.test(innerNode, state)) {
          let data = state.facet(sublang.facet);
          return sublang.type == "replace" ? data : data.concat(base);
        }
      }
      return base;
    })].concat(extraExtensions);
  }
  /**
  Query whether this language is active at the given position.
  */
  isActiveAt(state, pos, side = -1) {
    return topNodeAt(state, pos, side).type.prop(languageDataProp) == this.data;
  }
  /**
  Find the document regions that were parsed using this language.
  The returned regions will _include_ any nested languages rooted
  in this language, when those exist.
  */
  findRegions(state) {
    let lang = state.facet(language);
    if ((lang === null || lang === void 0 ? void 0 : lang.data) == this.data) return [{
      from: 0,
      to: state.doc.length
    }];
    if (!lang || !lang.allowsNesting) return [];
    let result = [];
    let explore = (tree, from) => {
      if (tree.prop(languageDataProp) == this.data) {
        result.push({
          from,
          to: from + tree.length
        });
        return;
      }
      let mount = tree.prop(_common.NodeProp.mounted);
      if (mount) {
        if (mount.tree.prop(languageDataProp) == this.data) {
          if (mount.overlay) for (let r of mount.overlay) result.push({
            from: r.from + from,
            to: r.to + from
          });else result.push({
            from: from,
            to: from + tree.length
          });
          return;
        } else if (mount.overlay) {
          let size = result.length;
          explore(mount.tree, mount.overlay[0].from + from);
          if (result.length > size) return;
        }
      }
      for (let i = 0; i < tree.children.length; i++) {
        let ch = tree.children[i];
        if (ch instanceof _common.Tree) explore(ch, tree.positions[i] + from);
      }
    };
    explore(syntaxTree(state), 0);
    return result;
  }
  /**
  Indicates whether this language allows nested languages. The
  default implementation returns true.
  */
  get allowsNesting() {
    return true;
  }
}
/**
@internal
*/
exports.Language = Language;
Language.setState = /*@__PURE__*/_state2.StateEffect.define();
function topNodeAt(state, pos, side) {
  let topLang = state.facet(language),
    tree = syntaxTree(state).topNode;
  if (!topLang || topLang.allowsNesting) {
    for (let node = tree; node; node = node.enter(pos, side, _common.IterMode.ExcludeBuffers)) if (node.type.isTop) tree = node;
  }
  return tree;
}
/**
A subclass of [`Language`](https://codemirror.net/6/docs/ref/#language.Language) for use with Lezer
[LR parsers](https://lezer.codemirror.net/docs/ref#lr.LRParser)
parsers.
*/
class LRLanguage extends Language {
  constructor(data, parser, name) {
    super(data, parser, [], name);
    this.parser = parser;
  }
  /**
  Define a language from a parser.
  */
  static define(spec) {
    let data = defineLanguageFacet(spec.languageData);
    return new LRLanguage(data, spec.parser.configure({
      props: [languageDataProp.add(type => type.isTop ? data : undefined)]
    }), spec.name);
  }
  /**
  Create a new instance of this language with a reconfigured
  version of its parser and optionally a new name.
  */
  configure(options, name) {
    return new LRLanguage(this.data, this.parser.configure(options), name || this.name);
  }
  get allowsNesting() {
    return this.parser.hasWrappers();
  }
}
/**
Get the syntax tree for a state, which is the current (possibly
incomplete) parse tree of the active
[language](https://codemirror.net/6/docs/ref/#language.Language), or the empty tree if there is no
language available.
*/
exports.LRLanguage = LRLanguage;
function syntaxTree(state) {
  let field = state.field(Language.state, false);
  return field ? field.tree : _common.Tree.empty;
}
/**
Try to get a parse tree that spans at least up to `upto`. The
method will do at most `timeout` milliseconds of work to parse
up to that point if the tree isn't already available.
*/
function ensureSyntaxTree(state, upto, timeout = 50) {
  var _a;
  let parse = (_a = state.field(Language.state, false)) === null || _a === void 0 ? void 0 : _a.context;
  if (!parse) return null;
  let oldVieport = parse.viewport;
  parse.updateViewport({
    from: 0,
    to: upto
  });
  let result = parse.isDone(upto) || parse.work(timeout, upto) ? parse.tree : null;
  parse.updateViewport(oldVieport);
  return result;
}
/**
Queries whether there is a full syntax tree available up to the
given document position. If there isn't, the background parse
process _might_ still be working and update the tree further, but
there is no guarantee of that—the parser will [stop
working](https://codemirror.net/6/docs/ref/#language.syntaxParserRunning) when it has spent a
certain amount of time or has moved beyond the visible viewport.
Always returns false if no language has been enabled.
*/
function syntaxTreeAvailable(state, upto = state.doc.length) {
  var _a;
  return ((_a = state.field(Language.state, false)) === null || _a === void 0 ? void 0 : _a.context.isDone(upto)) || false;
}
/**
Move parsing forward, and update the editor state afterwards to
reflect the new tree. Will work for at most `timeout`
milliseconds. Returns true if the parser managed get to the given
position in that time.
*/
function forceParsing(view, upto = view.viewport.to, timeout = 100) {
  let success = ensureSyntaxTree(view.state, upto, timeout);
  if (success != syntaxTree(view.state)) view.dispatch({});
  return !!success;
}
/**
Tells you whether the language parser is planning to do more
parsing work (in a `requestIdleCallback` pseudo-thread) or has
stopped running, either because it parsed the entire document,
because it spent too much time and was cut off, or because there
is no language parser enabled.
*/
function syntaxParserRunning(view) {
  var _a;
  return ((_a = view.plugin(parseWorker)) === null || _a === void 0 ? void 0 : _a.isWorking()) || false;
}
// Lezer-style Input object for a Text document.
class DocInput {
  constructor(doc) {
    this.doc = doc;
    this.cursorPos = 0;
    this.string = "";
    this.cursor = doc.iter();
  }
  get length() {
    return this.doc.length;
  }
  syncTo(pos) {
    this.string = this.cursor.next(pos - this.cursorPos).value;
    this.cursorPos = pos + this.string.length;
    return this.cursorPos - this.string.length;
  }
  chunk(pos) {
    this.syncTo(pos);
    return this.string;
  }
  get lineChunks() {
    return true;
  }
  read(from, to) {
    let stringStart = this.cursorPos - this.string.length;
    if (from < stringStart || to >= this.cursorPos) return this.doc.sliceString(from, to);else return this.string.slice(from - stringStart, to - stringStart);
  }
}
let currentContext = null;
/**
A parse context provided to parsers working on the editor content.
*/
class ParseContext {
  constructor(parser,
  /**
  The current editor state.
  */
  state,
  /**
  Tree fragments that can be reused by incremental re-parses.
  */
  fragments = [],
  /**
  @internal
  */
  tree,
  /**
  @internal
  */
  treeLen,
  /**
  The current editor viewport (or some overapproximation
  thereof). Intended to be used for opportunistically avoiding
  work (in which case
  [`skipUntilInView`](https://codemirror.net/6/docs/ref/#language.ParseContext.skipUntilInView)
  should be called to make sure the parser is restarted when the
  skipped region becomes visible).
  */
  viewport,
  /**
  @internal
  */
  skipped,
  /**
  This is where skipping parsers can register a promise that,
  when resolved, will schedule a new parse. It is cleared when
  the parse worker picks up the promise. @internal
  */
  scheduleOn) {
    this.parser = parser;
    this.state = state;
    this.fragments = fragments;
    this.tree = tree;
    this.treeLen = treeLen;
    this.viewport = viewport;
    this.skipped = skipped;
    this.scheduleOn = scheduleOn;
    this.parse = null;
    /**
    @internal
    */
    this.tempSkipped = [];
  }
  /**
  @internal
  */
  static create(parser, state, viewport) {
    return new ParseContext(parser, state, [], _common.Tree.empty, 0, viewport, [], null);
  }
  startParse() {
    return this.parser.startParse(new DocInput(this.state.doc), this.fragments);
  }
  /**
  @internal
  */
  work(until, upto) {
    if (upto != null && upto >= this.state.doc.length) upto = undefined;
    if (this.tree != _common.Tree.empty && this.isDone(upto !== null && upto !== void 0 ? upto : this.state.doc.length)) {
      this.takeTree();
      return true;
    }
    return this.withContext(() => {
      var _a;
      if (typeof until == "number") {
        let endTime = Date.now() + until;
        until = () => Date.now() > endTime;
      }
      if (!this.parse) this.parse = this.startParse();
      if (upto != null && (this.parse.stoppedAt == null || this.parse.stoppedAt > upto) && upto < this.state.doc.length) this.parse.stopAt(upto);
      for (;;) {
        let done = this.parse.advance();
        if (done) {
          this.fragments = this.withoutTempSkipped(_common.TreeFragment.addTree(done, this.fragments, this.parse.stoppedAt != null));
          this.treeLen = (_a = this.parse.stoppedAt) !== null && _a !== void 0 ? _a : this.state.doc.length;
          this.tree = done;
          this.parse = null;
          if (this.treeLen < (upto !== null && upto !== void 0 ? upto : this.state.doc.length)) this.parse = this.startParse();else return true;
        }
        if (until()) return false;
      }
    });
  }
  /**
  @internal
  */
  takeTree() {
    let pos, tree;
    if (this.parse && (pos = this.parse.parsedPos) >= this.treeLen) {
      if (this.parse.stoppedAt == null || this.parse.stoppedAt > pos) this.parse.stopAt(pos);
      this.withContext(() => {
        while (!(tree = this.parse.advance())) {}
      });
      this.treeLen = pos;
      this.tree = tree;
      this.fragments = this.withoutTempSkipped(_common.TreeFragment.addTree(this.tree, this.fragments, true));
      this.parse = null;
    }
  }
  withContext(f) {
    let prev = currentContext;
    currentContext = this;
    try {
      return f();
    } finally {
      currentContext = prev;
    }
  }
  withoutTempSkipped(fragments) {
    for (let r; r = this.tempSkipped.pop();) fragments = cutFragments(fragments, r.from, r.to);
    return fragments;
  }
  /**
  @internal
  */
  changes(changes, newState) {
    let {
      fragments,
      tree,
      treeLen,
      viewport,
      skipped
    } = this;
    this.takeTree();
    if (!changes.empty) {
      let ranges = [];
      changes.iterChangedRanges((fromA, toA, fromB, toB) => ranges.push({
        fromA,
        toA,
        fromB,
        toB
      }));
      fragments = _common.TreeFragment.applyChanges(fragments, ranges);
      tree = _common.Tree.empty;
      treeLen = 0;
      viewport = {
        from: changes.mapPos(viewport.from, -1),
        to: changes.mapPos(viewport.to, 1)
      };
      if (this.skipped.length) {
        skipped = [];
        for (let r of this.skipped) {
          let from = changes.mapPos(r.from, 1),
            to = changes.mapPos(r.to, -1);
          if (from < to) skipped.push({
            from,
            to
          });
        }
      }
    }
    return new ParseContext(this.parser, newState, fragments, tree, treeLen, viewport, skipped, this.scheduleOn);
  }
  /**
  @internal
  */
  updateViewport(viewport) {
    if (this.viewport.from == viewport.from && this.viewport.to == viewport.to) return false;
    this.viewport = viewport;
    let startLen = this.skipped.length;
    for (let i = 0; i < this.skipped.length; i++) {
      let {
        from,
        to
      } = this.skipped[i];
      if (from < viewport.to && to > viewport.from) {
        this.fragments = cutFragments(this.fragments, from, to);
        this.skipped.splice(i--, 1);
      }
    }
    if (this.skipped.length >= startLen) return false;
    this.reset();
    return true;
  }
  /**
  @internal
  */
  reset() {
    if (this.parse) {
      this.takeTree();
      this.parse = null;
    }
  }
  /**
  Notify the parse scheduler that the given region was skipped
  because it wasn't in view, and the parse should be restarted
  when it comes into view.
  */
  skipUntilInView(from, to) {
    this.skipped.push({
      from,
      to
    });
  }
  /**
  Returns a parser intended to be used as placeholder when
  asynchronously loading a nested parser. It'll skip its input and
  mark it as not-really-parsed, so that the next update will parse
  it again.
  
  When `until` is given, a reparse will be scheduled when that
  promise resolves.
  */
  static getSkippingParser(until) {
    return new class extends _common.Parser {
      createParse(input, fragments, ranges) {
        let from = ranges[0].from,
          to = ranges[ranges.length - 1].to;
        let parser = {
          parsedPos: from,
          advance() {
            let cx = currentContext;
            if (cx) {
              for (let r of ranges) cx.tempSkipped.push(r);
              if (until) cx.scheduleOn = cx.scheduleOn ? Promise.all([cx.scheduleOn, until]) : until;
            }
            this.parsedPos = to;
            return new _common.Tree(_common.NodeType.none, [], [], to - from);
          },
          stoppedAt: null,
          stopAt() {}
        };
        return parser;
      }
    }();
  }
  /**
  @internal
  */
  isDone(upto) {
    upto = Math.min(upto, this.state.doc.length);
    let frags = this.fragments;
    return this.treeLen >= upto && frags.length && frags[0].from == 0 && frags[0].to >= upto;
  }
  /**
  Get the context for the current parse, or `null` if no editor
  parse is in progress.
  */
  static get() {
    return currentContext;
  }
}
exports.ParseContext = ParseContext;
function cutFragments(fragments, from, to) {
  return _common.TreeFragment.applyChanges(fragments, [{
    fromA: from,
    toA: to,
    fromB: from,
    toB: to
  }]);
}
class LanguageState {
  constructor(
  // A mutable parse state that is used to preserve work done during
  // the lifetime of a state when moving to the next state.
  context) {
    this.context = context;
    this.tree = context.tree;
  }
  apply(tr) {
    if (!tr.docChanged && this.tree == this.context.tree) return this;
    let newCx = this.context.changes(tr.changes, tr.state);
    // If the previous parse wasn't done, go forward only up to its
    // end position or the end of the viewport, to avoid slowing down
    // state updates with parse work beyond the viewport.
    let upto = this.context.treeLen == tr.startState.doc.length ? undefined : Math.max(tr.changes.mapPos(this.context.treeLen), newCx.viewport.to);
    if (!newCx.work(20 /* Work.Apply */, upto)) newCx.takeTree();
    return new LanguageState(newCx);
  }
  static init(state) {
    let vpTo = Math.min(3000 /* Work.InitViewport */, state.doc.length);
    let parseState = ParseContext.create(state.facet(language).parser, state, {
      from: 0,
      to: vpTo
    });
    if (!parseState.work(20 /* Work.Apply */, vpTo)) parseState.takeTree();
    return new LanguageState(parseState);
  }
}
Language.state = /*@__PURE__*/_state2.StateField.define({
  create: LanguageState.init,
  update(value, tr) {
    for (let e of tr.effects) if (e.is(Language.setState)) return e.value;
    if (tr.startState.facet(language) != tr.state.facet(language)) return LanguageState.init(tr.state);
    return value.apply(tr);
  }
});
let requestIdle = callback => {
  let timeout = setTimeout(() => callback(), 500 /* Work.MaxPause */);
  return () => clearTimeout(timeout);
};
if (typeof requestIdleCallback != "undefined") requestIdle = callback => {
  let idle = -1,
    timeout = setTimeout(() => {
      idle = requestIdleCallback(callback, {
        timeout: 500 /* Work.MaxPause */ - 100 /* Work.MinPause */
      });
    }, 100 /* Work.MinPause */);
  return () => idle < 0 ? clearTimeout(timeout) : cancelIdleCallback(idle);
};
const isInputPending = typeof navigator != "undefined" && ((_a = navigator.scheduling) === null || _a === void 0 ? void 0 : _a.isInputPending) ? () => navigator.scheduling.isInputPending() : null;
const parseWorker = /*@__PURE__*/_view.ViewPlugin.fromClass(class ParseWorker {
  constructor(view) {
    this.view = view;
    this.working = null;
    this.workScheduled = 0;
    // End of the current time chunk
    this.chunkEnd = -1;
    // Milliseconds of budget left for this chunk
    this.chunkBudget = -1;
    this.work = this.work.bind(this);
    this.scheduleWork();
  }
  update(update) {
    let cx = this.view.state.field(Language.state).context;
    if (cx.updateViewport(update.view.viewport) || this.view.viewport.to > cx.treeLen) this.scheduleWork();
    if (update.docChanged) {
      if (this.view.hasFocus) this.chunkBudget += 50 /* Work.ChangeBonus */;
      this.scheduleWork();
    }
    this.checkAsyncSchedule(cx);
  }
  scheduleWork() {
    if (this.working) return;
    let {
        state
      } = this.view,
      field = state.field(Language.state);
    if (field.tree != field.context.tree || !field.context.isDone(state.doc.length)) this.working = requestIdle(this.work);
  }
  work(deadline) {
    this.working = null;
    let now = Date.now();
    if (this.chunkEnd < now && (this.chunkEnd < 0 || this.view.hasFocus)) {
      // Start a new chunk
      this.chunkEnd = now + 30000 /* Work.ChunkTime */;
      this.chunkBudget = 3000 /* Work.ChunkBudget */;
    }

    if (this.chunkBudget <= 0) return; // No more budget
    let {
        state,
        viewport: {
          to: vpTo
        }
      } = this.view,
      field = state.field(Language.state);
    if (field.tree == field.context.tree && field.context.isDone(vpTo + 100000 /* Work.MaxParseAhead */)) return;
    let endTime = Date.now() + Math.min(this.chunkBudget, 100 /* Work.Slice */, deadline && !isInputPending ? Math.max(25 /* Work.MinSlice */, deadline.timeRemaining() - 5) : 1e9);
    let viewportFirst = field.context.treeLen < vpTo && state.doc.length > vpTo + 1000;
    let done = field.context.work(() => {
      return isInputPending && isInputPending() || Date.now() > endTime;
    }, vpTo + (viewportFirst ? 0 : 100000 /* Work.MaxParseAhead */));
    this.chunkBudget -= Date.now() - now;
    if (done || this.chunkBudget <= 0) {
      field.context.takeTree();
      this.view.dispatch({
        effects: Language.setState.of(new LanguageState(field.context))
      });
    }
    if (this.chunkBudget > 0 && !(done && !viewportFirst)) this.scheduleWork();
    this.checkAsyncSchedule(field.context);
  }
  checkAsyncSchedule(cx) {
    if (cx.scheduleOn) {
      this.workScheduled++;
      cx.scheduleOn.then(() => this.scheduleWork()).catch(err => (0, _view.logException)(this.view.state, err)).then(() => this.workScheduled--);
      cx.scheduleOn = null;
    }
  }
  destroy() {
    if (this.working) this.working();
  }
  isWorking() {
    return !!(this.working || this.workScheduled > 0);
  }
}, {
  eventHandlers: {
    focus() {
      this.scheduleWork();
    }
  }
});
/**
The facet used to associate a language with an editor state. Used
by `Language` object's `extension` property (so you don't need to
manually wrap your languages in this). Can be used to access the
current language on a state.
*/
const language = /*@__PURE__*/_state2.Facet.define({
  combine(languages) {
    return languages.length ? languages[0] : null;
  },
  enables: language => [Language.state, parseWorker, _view.EditorView.contentAttributes.compute([language], state => {
    let lang = state.facet(language);
    return lang && lang.name ? {
      "data-language": lang.name
    } : {};
  })]
});
/**
This class bundles a [language](https://codemirror.net/6/docs/ref/#language.Language) with an
optional set of supporting extensions. Language packages are
encouraged to export a function that optionally takes a
configuration object and returns a `LanguageSupport` instance, as
the main way for client code to use the package.
*/
exports.language = language;
class LanguageSupport {
  /**
  Create a language support object.
  */
  constructor(
  /**
  The language object.
  */
  language,
  /**
  An optional set of supporting extensions. When nesting a
  language in another language, the outer language is encouraged
  to include the supporting extensions for its inner languages
  in its own set of support extensions.
  */
  support = []) {
    this.language = language;
    this.support = support;
    this.extension = [language, support];
  }
}
/**
Language descriptions are used to store metadata about languages
and to dynamically load them. Their main role is finding the
appropriate language for a filename or dynamically loading nested
parsers.
*/
exports.LanguageSupport = LanguageSupport;
class LanguageDescription {
  constructor(
  /**
  The name of this language.
  */
  name,
  /**
  Alternative names for the mode (lowercased, includes `this.name`).
  */
  alias,
  /**
  File extensions associated with this language.
  */
  extensions,
  /**
  Optional filename pattern that should be associated with this
  language.
  */
  filename, loadFunc,
  /**
  If the language has been loaded, this will hold its value.
  */
  support = undefined) {
    this.name = name;
    this.alias = alias;
    this.extensions = extensions;
    this.filename = filename;
    this.loadFunc = loadFunc;
    this.support = support;
    this.loading = null;
  }
  /**
  Start loading the the language. Will return a promise that
  resolves to a [`LanguageSupport`](https://codemirror.net/6/docs/ref/#language.LanguageSupport)
  object when the language successfully loads.
  */
  load() {
    return this.loading || (this.loading = this.loadFunc().then(support => this.support = support, err => {
      this.loading = null;
      throw err;
    }));
  }
  /**
  Create a language description.
  */
  static of(spec) {
    let {
      load,
      support
    } = spec;
    if (!load) {
      if (!support) throw new RangeError("Must pass either 'load' or 'support' to LanguageDescription.of");
      load = () => Promise.resolve(support);
    }
    return new LanguageDescription(spec.name, (spec.alias || []).concat(spec.name).map(s => s.toLowerCase()), spec.extensions || [], spec.filename, load, support);
  }
  /**
  Look for a language in the given array of descriptions that
  matches the filename. Will first match
  [`filename`](https://codemirror.net/6/docs/ref/#language.LanguageDescription.filename) patterns,
  and then [extensions](https://codemirror.net/6/docs/ref/#language.LanguageDescription.extensions),
  and return the first language that matches.
  */
  static matchFilename(descs, filename) {
    for (let d of descs) if (d.filename && d.filename.test(filename)) return d;
    let ext = /\.([^.]+)$/.exec(filename);
    if (ext) for (let d of descs) if (d.extensions.indexOf(ext[1]) > -1) return d;
    return null;
  }
  /**
  Look for a language whose name or alias matches the the given
  name (case-insensitively). If `fuzzy` is true, and no direct
  matchs is found, this'll also search for a language whose name
  or alias occurs in the string (for names shorter than three
  characters, only when surrounded by non-word characters).
  */
  static matchLanguageName(descs, name, fuzzy = true) {
    name = name.toLowerCase();
    for (let d of descs) if (d.alias.some(a => a == name)) return d;
    if (fuzzy) for (let d of descs) for (let a of d.alias) {
      let found = name.indexOf(a);
      if (found > -1 && (a.length > 2 || !/\w/.test(name[found - 1]) && !/\w/.test(name[found + a.length]))) return d;
    }
    return null;
  }
}

/**
Facet that defines a way to provide a function that computes the
appropriate indentation depth, as a column number (see
[`indentString`](https://codemirror.net/6/docs/ref/#language.indentString)), at the start of a given
line. A return value of `null` indicates no indentation can be
determined, and the line should inherit the indentation of the one
above it. A return value of `undefined` defers to the next indent
service.
*/
exports.LanguageDescription = LanguageDescription;
const indentService = /*@__PURE__*/_state2.Facet.define();
/**
Facet for overriding the unit by which indentation happens. Should
be a string consisting either entirely of the same whitespace
character. When not set, this defaults to 2 spaces.
*/
exports.indentService = indentService;
const indentUnit = /*@__PURE__*/_state2.Facet.define({
  combine: values => {
    if (!values.length) return "  ";
    let unit = values[0];
    if (!unit || /\S/.test(unit) || Array.from(unit).some(e => e != unit[0])) throw new Error("Invalid indent unit: " + JSON.stringify(values[0]));
    return unit;
  }
});
/**
Return the _column width_ of an indent unit in the state.
Determined by the [`indentUnit`](https://codemirror.net/6/docs/ref/#language.indentUnit)
facet, and [`tabSize`](https://codemirror.net/6/docs/ref/#state.EditorState^tabSize) when that
contains tabs.
*/
exports.indentUnit = indentUnit;
function getIndentUnit(state) {
  let unit = state.facet(indentUnit);
  return unit.charCodeAt(0) == 9 ? state.tabSize * unit.length : unit.length;
}
/**
Create an indentation string that covers columns 0 to `cols`.
Will use tabs for as much of the columns as possible when the
[`indentUnit`](https://codemirror.net/6/docs/ref/#language.indentUnit) facet contains
tabs.
*/
function indentString(state, cols) {
  let result = "",
    ts = state.tabSize,
    ch = state.facet(indentUnit)[0];
  if (ch == "\t") {
    while (cols >= ts) {
      result += "\t";
      cols -= ts;
    }
    ch = " ";
  }
  for (let i = 0; i < cols; i++) result += ch;
  return result;
}
/**
Get the indentation, as a column number, at the given position.
Will first consult any [indent services](https://codemirror.net/6/docs/ref/#language.indentService)
that are registered, and if none of those return an indentation,
this will check the syntax tree for the [indent node
prop](https://codemirror.net/6/docs/ref/#language.indentNodeProp) and use that if found. Returns a
number when an indentation could be determined, and null
otherwise.
*/
function getIndentation(context, pos) {
  if (context instanceof _state2.EditorState) context = new IndentContext(context);
  for (let service of context.state.facet(indentService)) {
    let result = service(context, pos);
    if (result !== undefined) return result;
  }
  let tree = syntaxTree(context.state);
  return tree ? syntaxIndentation(context, tree, pos) : null;
}
/**
Create a change set that auto-indents all lines touched by the
given document range.
*/
function indentRange(state, from, to) {
  let updated = Object.create(null);
  let context = new IndentContext(state, {
    overrideIndentation: start => {
      var _a;
      return (_a = updated[start]) !== null && _a !== void 0 ? _a : -1;
    }
  });
  let changes = [];
  for (let pos = from; pos <= to;) {
    let line = state.doc.lineAt(pos);
    pos = line.to + 1;
    let indent = getIndentation(context, line.from);
    if (indent == null) continue;
    if (!/\S/.test(line.text)) indent = 0;
    let cur = /^\s*/.exec(line.text)[0];
    let norm = indentString(state, indent);
    if (cur != norm) {
      updated[line.from] = indent;
      changes.push({
        from: line.from,
        to: line.from + cur.length,
        insert: norm
      });
    }
  }
  return state.changes(changes);
}
/**
Indentation contexts are used when calling [indentation
services](https://codemirror.net/6/docs/ref/#language.indentService). They provide helper utilities
useful in indentation logic, and can selectively override the
indentation reported for some lines.
*/
class IndentContext {
  /**
  Create an indent context.
  */
  constructor(
  /**
  The editor state.
  */
  state,
  /**
  @internal
  */
  options = {}) {
    this.state = state;
    this.options = options;
    this.unit = getIndentUnit(state);
  }
  /**
  Get a description of the line at the given position, taking
  [simulated line
  breaks](https://codemirror.net/6/docs/ref/#language.IndentContext.constructor^options.simulateBreak)
  into account. If there is such a break at `pos`, the `bias`
  argument determines whether the part of the line line before or
  after the break is used.
  */
  lineAt(pos, bias = 1) {
    let line = this.state.doc.lineAt(pos);
    let {
      simulateBreak,
      simulateDoubleBreak
    } = this.options;
    if (simulateBreak != null && simulateBreak >= line.from && simulateBreak <= line.to) {
      if (simulateDoubleBreak && simulateBreak == pos) return {
        text: "",
        from: pos
      };else if (bias < 0 ? simulateBreak < pos : simulateBreak <= pos) return {
        text: line.text.slice(simulateBreak - line.from),
        from: simulateBreak
      };else return {
        text: line.text.slice(0, simulateBreak - line.from),
        from: line.from
      };
    }
    return line;
  }
  /**
  Get the text directly after `pos`, either the entire line
  or the next 100 characters, whichever is shorter.
  */
  textAfterPos(pos, bias = 1) {
    if (this.options.simulateDoubleBreak && pos == this.options.simulateBreak) return "";
    let {
      text,
      from
    } = this.lineAt(pos, bias);
    return text.slice(pos - from, Math.min(text.length, pos + 100 - from));
  }
  /**
  Find the column for the given position.
  */
  column(pos, bias = 1) {
    let {
      text,
      from
    } = this.lineAt(pos, bias);
    let result = this.countColumn(text, pos - from);
    let override = this.options.overrideIndentation ? this.options.overrideIndentation(from) : -1;
    if (override > -1) result += override - this.countColumn(text, text.search(/\S|$/));
    return result;
  }
  /**
  Find the column position (taking tabs into account) of the given
  position in the given string.
  */
  countColumn(line, pos = line.length) {
    return (0, _state2.countColumn)(line, this.state.tabSize, pos);
  }
  /**
  Find the indentation column of the line at the given point.
  */
  lineIndent(pos, bias = 1) {
    let {
      text,
      from
    } = this.lineAt(pos, bias);
    let override = this.options.overrideIndentation;
    if (override) {
      let overriden = override(from);
      if (overriden > -1) return overriden;
    }
    return this.countColumn(text, text.search(/\S|$/));
  }
  /**
  Returns the [simulated line
  break](https://codemirror.net/6/docs/ref/#language.IndentContext.constructor^options.simulateBreak)
  for this context, if any.
  */
  get simulatedBreak() {
    return this.options.simulateBreak || null;
  }
}
/**
A syntax tree node prop used to associate indentation strategies
with node types. Such a strategy is a function from an indentation
context to a column number (see also
[`indentString`](https://codemirror.net/6/docs/ref/#language.indentString)) or null, where null
indicates that no definitive indentation can be determined.
*/
exports.IndentContext = IndentContext;
const indentNodeProp = /*@__PURE__*/new _common.NodeProp();
// Compute the indentation for a given position from the syntax tree.
exports.indentNodeProp = indentNodeProp;
function syntaxIndentation(cx, ast, pos) {
  return indentFrom(ast.resolveInner(pos).enterUnfinishedNodesBefore(pos), pos, cx);
}
function ignoreClosed(cx) {
  return cx.pos == cx.options.simulateBreak && cx.options.simulateDoubleBreak;
}
function indentStrategy(tree) {
  let strategy = tree.type.prop(indentNodeProp);
  if (strategy) return strategy;
  let first = tree.firstChild,
    close;
  if (first && (close = first.type.prop(_common.NodeProp.closedBy))) {
    let last = tree.lastChild,
      closed = last && close.indexOf(last.name) > -1;
    return cx => delimitedStrategy(cx, true, 1, undefined, closed && !ignoreClosed(cx) ? last.from : undefined);
  }
  return tree.parent == null ? topIndent : null;
}
function indentFrom(node, pos, base) {
  for (; node; node = node.parent) {
    let strategy = indentStrategy(node);
    if (strategy) return strategy(TreeIndentContext.create(base, pos, node));
  }
  return null;
}
function topIndent() {
  return 0;
}
/**
Objects of this type provide context information and helper
methods to indentation functions registered on syntax nodes.
*/
class TreeIndentContext extends IndentContext {
  constructor(base,
  /**
  The position at which indentation is being computed.
  */
  pos,
  /**
  The syntax tree node to which the indentation strategy
  applies.
  */
  node) {
    super(base.state, base.options);
    this.base = base;
    this.pos = pos;
    this.node = node;
  }
  /**
  @internal
  */
  static create(base, pos, node) {
    return new TreeIndentContext(base, pos, node);
  }
  /**
  Get the text directly after `this.pos`, either the entire line
  or the next 100 characters, whichever is shorter.
  */
  get textAfter() {
    return this.textAfterPos(this.pos);
  }
  /**
  Get the indentation at the reference line for `this.node`, which
  is the line on which it starts, unless there is a node that is
  _not_ a parent of this node covering the start of that line. If
  so, the line at the start of that node is tried, again skipping
  on if it is covered by another such node.
  */
  get baseIndent() {
    let line = this.state.doc.lineAt(this.node.from);
    // Skip line starts that are covered by a sibling (or cousin, etc)
    for (;;) {
      let atBreak = this.node.resolve(line.from);
      while (atBreak.parent && atBreak.parent.from == atBreak.from) atBreak = atBreak.parent;
      if (isParent(atBreak, this.node)) break;
      line = this.state.doc.lineAt(atBreak.from);
    }
    return this.lineIndent(line.from);
  }
  /**
  Continue looking for indentations in the node's parent nodes,
  and return the result of that.
  */
  continue() {
    let parent = this.node.parent;
    return parent ? indentFrom(parent, this.pos, this.base) : 0;
  }
}
exports.TreeIndentContext = TreeIndentContext;
function isParent(parent, of) {
  for (let cur = of; cur; cur = cur.parent) if (parent == cur) return true;
  return false;
}
// Check whether a delimited node is aligned (meaning there are
// non-skipped nodes on the same line as the opening delimiter). And
// if so, return the opening token.
function bracketedAligned(context) {
  let tree = context.node;
  let openToken = tree.childAfter(tree.from),
    last = tree.lastChild;
  if (!openToken) return null;
  let sim = context.options.simulateBreak;
  let openLine = context.state.doc.lineAt(openToken.from);
  let lineEnd = sim == null || sim <= openLine.from ? openLine.to : Math.min(openLine.to, sim);
  for (let pos = openToken.to;;) {
    let next = tree.childAfter(pos);
    if (!next || next == last) return null;
    if (!next.type.isSkipped) return next.from < lineEnd ? openToken : null;
    pos = next.to;
  }
}
/**
An indentation strategy for delimited (usually bracketed) nodes.
Will, by default, indent one unit more than the parent's base
indent unless the line starts with a closing token. When `align`
is true and there are non-skipped nodes on the node's opening
line, the content of the node will be aligned with the end of the
opening node, like this:

    foo(bar,
        baz)
*/
function delimitedIndent({
  closing,
  align = true,
  units = 1
}) {
  return context => delimitedStrategy(context, align, units, closing);
}
function delimitedStrategy(context, align, units, closing, closedAt) {
  let after = context.textAfter,
    space = after.match(/^\s*/)[0].length;
  let closed = closing && after.slice(space, space + closing.length) == closing || closedAt == context.pos + space;
  let aligned = align ? bracketedAligned(context) : null;
  if (aligned) return closed ? context.column(aligned.from) : context.column(aligned.to);
  return context.baseIndent + (closed ? 0 : context.unit * units);
}
/**
An indentation strategy that aligns a node's content to its base
indentation.
*/
const flatIndent = context => context.baseIndent;
/**
Creates an indentation strategy that, by default, indents
continued lines one unit more than the node's base indentation.
You can provide `except` to prevent indentation of lines that
match a pattern (for example `/^else\b/` in `if`/`else`
constructs), and you can change the amount of units used with the
`units` option.
*/
exports.flatIndent = flatIndent;
function continuedIndent({
  except,
  units = 1
} = {}) {
  return context => {
    let matchExcept = except && except.test(context.textAfter);
    return context.baseIndent + (matchExcept ? 0 : units * context.unit);
  };
}
const DontIndentBeyond = 200;
/**
Enables reindentation on input. When a language defines an
`indentOnInput` field in its [language
data](https://codemirror.net/6/docs/ref/#state.EditorState.languageDataAt), which must hold a regular
expression, the line at the cursor will be reindented whenever new
text is typed and the input from the start of the line up to the
cursor matches that regexp.

To avoid unneccesary reindents, it is recommended to start the
regexp with `^` (usually followed by `\s*`), and end it with `$`.
For example, `/^\s*\}$/` will reindent when a closing brace is
added at the start of a line.
*/
function indentOnInput() {
  return _state2.EditorState.transactionFilter.of(tr => {
    if (!tr.docChanged || !tr.isUserEvent("input.type") && !tr.isUserEvent("input.complete")) return tr;
    let rules = tr.startState.languageDataAt("indentOnInput", tr.startState.selection.main.head);
    if (!rules.length) return tr;
    let doc = tr.newDoc,
      {
        head
      } = tr.newSelection.main,
      line = doc.lineAt(head);
    if (head > line.from + DontIndentBeyond) return tr;
    let lineStart = doc.sliceString(line.from, head);
    if (!rules.some(r => r.test(lineStart))) return tr;
    let {
        state
      } = tr,
      last = -1,
      changes = [];
    for (let {
      head
    } of state.selection.ranges) {
      let line = state.doc.lineAt(head);
      if (line.from == last) continue;
      last = line.from;
      let indent = getIndentation(state, line.from);
      if (indent == null) continue;
      let cur = /^\s*/.exec(line.text)[0];
      let norm = indentString(state, indent);
      if (cur != norm) changes.push({
        from: line.from,
        to: line.from + cur.length,
        insert: norm
      });
    }
    return changes.length ? [tr, {
      changes,
      sequential: true
    }] : tr;
  });
}

/**
A facet that registers a code folding service. When called with
the extent of a line, such a function should return a foldable
range that starts on that line (but continues beyond it), if one
can be found.
*/
const foldService = /*@__PURE__*/_state2.Facet.define();
/**
This node prop is used to associate folding information with
syntax node types. Given a syntax node, it should check whether
that tree is foldable and return the range that can be collapsed
when it is.
*/
exports.foldService = foldService;
const foldNodeProp = /*@__PURE__*/new _common.NodeProp();
/**
[Fold](https://codemirror.net/6/docs/ref/#language.foldNodeProp) function that folds everything but
the first and the last child of a syntax node. Useful for nodes
that start and end with delimiters.
*/
exports.foldNodeProp = foldNodeProp;
function foldInside(node) {
  let first = node.firstChild,
    last = node.lastChild;
  return first && first.to < last.from ? {
    from: first.to,
    to: last.type.isError ? node.to : last.from
  } : null;
}
function syntaxFolding(state, start, end) {
  let tree = syntaxTree(state);
  if (tree.length < end) return null;
  let inner = tree.resolveInner(end, 1);
  let found = null;
  for (let cur = inner; cur; cur = cur.parent) {
    if (cur.to <= end || cur.from > end) continue;
    if (found && cur.from < start) break;
    let prop = cur.type.prop(foldNodeProp);
    if (prop && (cur.to < tree.length - 50 || tree.length == state.doc.length || !isUnfinished(cur))) {
      let value = prop(cur, state);
      if (value && value.from <= end && value.from >= start && value.to > end) found = value;
    }
  }
  return found;
}
function isUnfinished(node) {
  let ch = node.lastChild;
  return ch && ch.to == node.to && ch.type.isError;
}
/**
Check whether the given line is foldable. First asks any fold
services registered through
[`foldService`](https://codemirror.net/6/docs/ref/#language.foldService), and if none of them return
a result, tries to query the [fold node
prop](https://codemirror.net/6/docs/ref/#language.foldNodeProp) of syntax nodes that cover the end
of the line.
*/
function foldable(state, lineStart, lineEnd) {
  for (let service of state.facet(foldService)) {
    let result = service(state, lineStart, lineEnd);
    if (result) return result;
  }
  return syntaxFolding(state, lineStart, lineEnd);
}
function mapRange(range, mapping) {
  let from = mapping.mapPos(range.from, 1),
    to = mapping.mapPos(range.to, -1);
  return from >= to ? undefined : {
    from,
    to
  };
}
/**
State effect that can be attached to a transaction to fold the
given range. (You probably only need this in exceptional
circumstances—usually you'll just want to let
[`foldCode`](https://codemirror.net/6/docs/ref/#language.foldCode) and the [fold
gutter](https://codemirror.net/6/docs/ref/#language.foldGutter) create the transactions.)
*/
const foldEffect = /*@__PURE__*/_state2.StateEffect.define({
  map: mapRange
});
/**
State effect that unfolds the given range (if it was folded).
*/
exports.foldEffect = foldEffect;
const unfoldEffect = /*@__PURE__*/_state2.StateEffect.define({
  map: mapRange
});
exports.unfoldEffect = unfoldEffect;
function selectedLines(view) {
  let lines = [];
  for (let {
    head
  } of view.state.selection.ranges) {
    if (lines.some(l => l.from <= head && l.to >= head)) continue;
    lines.push(view.lineBlockAt(head));
  }
  return lines;
}
/**
The state field that stores the folded ranges (as a [decoration
set](https://codemirror.net/6/docs/ref/#view.DecorationSet)). Can be passed to
[`EditorState.toJSON`](https://codemirror.net/6/docs/ref/#state.EditorState.toJSON) and
[`fromJSON`](https://codemirror.net/6/docs/ref/#state.EditorState^fromJSON) to serialize the fold
state.
*/
const foldState = /*@__PURE__*/_state2.StateField.define({
  create() {
    return _view.Decoration.none;
  },
  update(folded, tr) {
    folded = folded.map(tr.changes);
    for (let e of tr.effects) {
      if (e.is(foldEffect) && !foldExists(folded, e.value.from, e.value.to)) folded = folded.update({
        add: [foldWidget.range(e.value.from, e.value.to)]
      });else if (e.is(unfoldEffect)) folded = folded.update({
        filter: (from, to) => e.value.from != from || e.value.to != to,
        filterFrom: e.value.from,
        filterTo: e.value.to
      });
    }
    // Clear folded ranges that cover the selection head
    if (tr.selection) {
      let onSelection = false,
        {
          head
        } = tr.selection.main;
      folded.between(head, head, (a, b) => {
        if (a < head && b > head) onSelection = true;
      });
      if (onSelection) folded = folded.update({
        filterFrom: head,
        filterTo: head,
        filter: (a, b) => b <= head || a >= head
      });
    }
    return folded;
  },
  provide: f => _view.EditorView.decorations.from(f),
  toJSON(folded, state) {
    let ranges = [];
    folded.between(0, state.doc.length, (from, to) => {
      ranges.push(from, to);
    });
    return ranges;
  },
  fromJSON(value) {
    if (!Array.isArray(value) || value.length % 2) throw new RangeError("Invalid JSON for fold state");
    let ranges = [];
    for (let i = 0; i < value.length;) {
      let from = value[i++],
        to = value[i++];
      if (typeof from != "number" || typeof to != "number") throw new RangeError("Invalid JSON for fold state");
      ranges.push(foldWidget.range(from, to));
    }
    return _view.Decoration.set(ranges, true);
  }
});
/**
Get a [range set](https://codemirror.net/6/docs/ref/#state.RangeSet) containing the folded ranges
in the given state.
*/
exports.foldState = foldState;
function foldedRanges(state) {
  return state.field(foldState, false) || _state2.RangeSet.empty;
}
function findFold(state, from, to) {
  var _a;
  let found = null;
  (_a = state.field(foldState, false)) === null || _a === void 0 ? void 0 : _a.between(from, to, (from, to) => {
    if (!found || found.from > from) found = {
      from,
      to
    };
  });
  return found;
}
function foldExists(folded, from, to) {
  let found = false;
  folded.between(from, from, (a, b) => {
    if (a == from && b == to) found = true;
  });
  return found;
}
function maybeEnable(state, other) {
  return state.field(foldState, false) ? other : other.concat(_state2.StateEffect.appendConfig.of(codeFolding()));
}
/**
Fold the lines that are selected, if possible.
*/
const foldCode = view => {
  for (let line of selectedLines(view)) {
    let range = foldable(view.state, line.from, line.to);
    if (range) {
      view.dispatch({
        effects: maybeEnable(view.state, [foldEffect.of(range), announceFold(view, range)])
      });
      return true;
    }
  }
  return false;
};
/**
Unfold folded ranges on selected lines.
*/
exports.foldCode = foldCode;
const unfoldCode = view => {
  if (!view.state.field(foldState, false)) return false;
  let effects = [];
  for (let line of selectedLines(view)) {
    let folded = findFold(view.state, line.from, line.to);
    if (folded) effects.push(unfoldEffect.of(folded), announceFold(view, folded, false));
  }
  if (effects.length) view.dispatch({
    effects
  });
  return effects.length > 0;
};
exports.unfoldCode = unfoldCode;
function announceFold(view, range, fold = true) {
  let lineFrom = view.state.doc.lineAt(range.from).number,
    lineTo = view.state.doc.lineAt(range.to).number;
  return _view.EditorView.announce.of(`${view.state.phrase(fold ? "Folded lines" : "Unfolded lines")} ${lineFrom} ${view.state.phrase("to")} ${lineTo}.`);
}
/**
Fold all top-level foldable ranges. Note that, in most cases,
folding information will depend on the [syntax
tree](https://codemirror.net/6/docs/ref/#language.syntaxTree), and folding everything may not work
reliably when the document hasn't been fully parsed (either
because the editor state was only just initialized, or because the
document is so big that the parser decided not to parse it
entirely).
*/
const foldAll = view => {
  let {
      state
    } = view,
    effects = [];
  for (let pos = 0; pos < state.doc.length;) {
    let line = view.lineBlockAt(pos),
      range = foldable(state, line.from, line.to);
    if (range) effects.push(foldEffect.of(range));
    pos = (range ? view.lineBlockAt(range.to) : line).to + 1;
  }
  if (effects.length) view.dispatch({
    effects: maybeEnable(view.state, effects)
  });
  return !!effects.length;
};
/**
Unfold all folded code.
*/
exports.foldAll = foldAll;
const unfoldAll = view => {
  let field = view.state.field(foldState, false);
  if (!field || !field.size) return false;
  let effects = [];
  field.between(0, view.state.doc.length, (from, to) => {
    effects.push(unfoldEffect.of({
      from,
      to
    }));
  });
  view.dispatch({
    effects
  });
  return true;
};
// Find the foldable region containing the given line, if one exists
exports.unfoldAll = unfoldAll;
function foldableContainer(view, lineBlock) {
  // Look backwards through line blocks until we find a foldable region that
  // intersects with the line
  for (let line = lineBlock;;) {
    let foldableRegion = foldable(view.state, line.from, line.to);
    if (foldableRegion && foldableRegion.to > lineBlock.from) return foldableRegion;
    if (!line.from) return null;
    line = view.lineBlockAt(line.from - 1);
  }
}
/**
Toggle folding at cursors. Unfolds if there is an existing fold
starting in that line, tries to find a foldable range around it
otherwise.
*/
const toggleFold = view => {
  let effects = [];
  for (let line of selectedLines(view)) {
    let folded = findFold(view.state, line.from, line.to);
    if (folded) {
      effects.push(unfoldEffect.of(folded), announceFold(view, folded, false));
    } else {
      let foldRange = foldableContainer(view, line);
      if (foldRange) effects.push(foldEffect.of(foldRange), announceFold(view, foldRange));
    }
  }
  if (effects.length > 0) view.dispatch({
    effects: maybeEnable(view.state, effects)
  });
  return !!effects.length;
};
/**
Default fold-related key bindings.

 - Ctrl-Shift-[ (Cmd-Alt-[ on macOS): [`foldCode`](https://codemirror.net/6/docs/ref/#language.foldCode).
 - Ctrl-Shift-] (Cmd-Alt-] on macOS): [`unfoldCode`](https://codemirror.net/6/docs/ref/#language.unfoldCode).
 - Ctrl-Alt-[: [`foldAll`](https://codemirror.net/6/docs/ref/#language.foldAll).
 - Ctrl-Alt-]: [`unfoldAll`](https://codemirror.net/6/docs/ref/#language.unfoldAll).
*/
exports.toggleFold = toggleFold;
const foldKeymap = [{
  key: "Ctrl-Shift-[",
  mac: "Cmd-Alt-[",
  run: foldCode
}, {
  key: "Ctrl-Shift-]",
  mac: "Cmd-Alt-]",
  run: unfoldCode
}, {
  key: "Ctrl-Alt-[",
  run: foldAll
}, {
  key: "Ctrl-Alt-]",
  run: unfoldAll
}];
exports.foldKeymap = foldKeymap;
const defaultConfig = {
  placeholderDOM: null,
  placeholderText: "…"
};
const foldConfig = /*@__PURE__*/_state2.Facet.define({
  combine(values) {
    return (0, _state2.combineConfig)(values, defaultConfig);
  }
});
/**
Create an extension that configures code folding.
*/
function codeFolding(config) {
  let result = [foldState, baseTheme$1];
  if (config) result.push(foldConfig.of(config));
  return result;
}
const foldWidget = /*@__PURE__*/_view.Decoration.replace({
  widget: /*@__PURE__*/new class extends _view.WidgetType {
    toDOM(view) {
      let {
          state
        } = view,
        conf = state.facet(foldConfig);
      let onclick = event => {
        let line = view.lineBlockAt(view.posAtDOM(event.target));
        let folded = findFold(view.state, line.from, line.to);
        if (folded) view.dispatch({
          effects: unfoldEffect.of(folded)
        });
        event.preventDefault();
      };
      if (conf.placeholderDOM) return conf.placeholderDOM(view, onclick);
      let element = document.createElement("span");
      element.textContent = conf.placeholderText;
      element.setAttribute("aria-label", state.phrase("folded code"));
      element.title = state.phrase("unfold");
      element.className = "cm-foldPlaceholder";
      element.onclick = onclick;
      return element;
    }
  }()
});
const foldGutterDefaults = {
  openText: "⌄",
  closedText: "›",
  markerDOM: null,
  domEventHandlers: {},
  foldingChanged: () => false
};
class FoldMarker extends _view.GutterMarker {
  constructor(config, open) {
    super();
    this.config = config;
    this.open = open;
  }
  eq(other) {
    return this.config == other.config && this.open == other.open;
  }
  toDOM(view) {
    if (this.config.markerDOM) return this.config.markerDOM(this.open);
    let span = document.createElement("span");
    span.textContent = this.open ? this.config.openText : this.config.closedText;
    span.title = view.state.phrase(this.open ? "Fold line" : "Unfold line");
    return span;
  }
}
/**
Create an extension that registers a fold gutter, which shows a
fold status indicator before foldable lines (which can be clicked
to fold or unfold the line).
*/
function foldGutter(config = {}) {
  let fullConfig = Object.assign(Object.assign({}, foldGutterDefaults), config);
  let canFold = new FoldMarker(fullConfig, true),
    canUnfold = new FoldMarker(fullConfig, false);
  let markers = _view.ViewPlugin.fromClass(class {
    constructor(view) {
      this.from = view.viewport.from;
      this.markers = this.buildMarkers(view);
    }
    update(update) {
      if (update.docChanged || update.viewportChanged || update.startState.facet(language) != update.state.facet(language) || update.startState.field(foldState, false) != update.state.field(foldState, false) || syntaxTree(update.startState) != syntaxTree(update.state) || fullConfig.foldingChanged(update)) this.markers = this.buildMarkers(update.view);
    }
    buildMarkers(view) {
      let builder = new _state2.RangeSetBuilder();
      for (let line of view.viewportLineBlocks) {
        let mark = findFold(view.state, line.from, line.to) ? canUnfold : foldable(view.state, line.from, line.to) ? canFold : null;
        if (mark) builder.add(line.from, line.from, mark);
      }
      return builder.finish();
    }
  });
  let {
    domEventHandlers
  } = fullConfig;
  return [markers, (0, _view.gutter)({
    class: "cm-foldGutter",
    markers(view) {
      var _a;
      return ((_a = view.plugin(markers)) === null || _a === void 0 ? void 0 : _a.markers) || _state2.RangeSet.empty;
    },
    initialSpacer() {
      return new FoldMarker(fullConfig, false);
    },
    domEventHandlers: Object.assign(Object.assign({}, domEventHandlers), {
      click: (view, line, event) => {
        if (domEventHandlers.click && domEventHandlers.click(view, line, event)) return true;
        let folded = findFold(view.state, line.from, line.to);
        if (folded) {
          view.dispatch({
            effects: unfoldEffect.of(folded)
          });
          return true;
        }
        let range = foldable(view.state, line.from, line.to);
        if (range) {
          view.dispatch({
            effects: foldEffect.of(range)
          });
          return true;
        }
        return false;
      }
    })
  }), codeFolding()];
}
const baseTheme$1 = /*@__PURE__*/_view.EditorView.baseTheme({
  ".cm-foldPlaceholder": {
    backgroundColor: "#eee",
    border: "1px solid #ddd",
    color: "#888",
    borderRadius: ".2em",
    margin: "0 1px",
    padding: "0 1px",
    cursor: "pointer"
  },
  ".cm-foldGutter span": {
    padding: "0 1px",
    cursor: "pointer"
  }
});

/**
A highlight style associates CSS styles with higlighting
[tags](https://lezer.codemirror.net/docs/ref#highlight.Tag).
*/
class HighlightStyle {
  constructor(
  /**
  The tag styles used to create this highlight style.
  */
  specs, options) {
    this.specs = specs;
    let modSpec;
    function def(spec) {
      let cls = _styleMod.StyleModule.newName();
      (modSpec || (modSpec = Object.create(null)))["." + cls] = spec;
      return cls;
    }
    const all = typeof options.all == "string" ? options.all : options.all ? def(options.all) : undefined;
    const scopeOpt = options.scope;
    this.scope = scopeOpt instanceof Language ? type => type.prop(languageDataProp) == scopeOpt.data : scopeOpt ? type => type == scopeOpt : undefined;
    this.style = (0, _highlight.tagHighlighter)(specs.map(style => ({
      tag: style.tag,
      class: style.class || def(Object.assign({}, style, {
        tag: null
      }))
    })), {
      all
    }).style;
    this.module = modSpec ? new _styleMod.StyleModule(modSpec) : null;
    this.themeType = options.themeType;
  }
  /**
  Create a highlighter style that associates the given styles to
  the given tags. The specs must be objects that hold a style tag
  or array of tags in their `tag` property, and either a single
  `class` property providing a static CSS class (for highlighter
  that rely on external styling), or a
  [`style-mod`](https://github.com/marijnh/style-mod#documentation)-style
  set of CSS properties (which define the styling for those tags).
  
  The CSS rules created for a highlighter will be emitted in the
  order of the spec's properties. That means that for elements that
  have multiple tags associated with them, styles defined further
  down in the list will have a higher CSS precedence than styles
  defined earlier.
  */
  static define(specs, options) {
    return new HighlightStyle(specs, options || {});
  }
}
exports.HighlightStyle = HighlightStyle;
const highlighterFacet = /*@__PURE__*/_state2.Facet.define();
const fallbackHighlighter = /*@__PURE__*/_state2.Facet.define({
  combine(values) {
    return values.length ? [values[0]] : null;
  }
});
function getHighlighters(state) {
  let main = state.facet(highlighterFacet);
  return main.length ? main : state.facet(fallbackHighlighter);
}
/**
Wrap a highlighter in an editor extension that uses it to apply
syntax highlighting to the editor content.

When multiple (non-fallback) styles are provided, the styling
applied is the union of the classes they emit.
*/
function syntaxHighlighting(highlighter, options) {
  let ext = [treeHighlighter],
    themeType;
  if (highlighter instanceof HighlightStyle) {
    if (highlighter.module) ext.push(_view.EditorView.styleModule.of(highlighter.module));
    themeType = highlighter.themeType;
  }
  if (options === null || options === void 0 ? void 0 : options.fallback) ext.push(fallbackHighlighter.of(highlighter));else if (themeType) ext.push(highlighterFacet.computeN([_view.EditorView.darkTheme], state => {
    return state.facet(_view.EditorView.darkTheme) == (themeType == "dark") ? [highlighter] : [];
  }));else ext.push(highlighterFacet.of(highlighter));
  return ext;
}
/**
Returns the CSS classes (if any) that the highlighters active in
the state would assign to the given style
[tags](https://lezer.codemirror.net/docs/ref#highlight.Tag) and
(optional) language
[scope](https://codemirror.net/6/docs/ref/#language.HighlightStyle^define^options.scope).
*/
function highlightingFor(state, tags, scope) {
  let highlighters = getHighlighters(state);
  let result = null;
  if (highlighters) for (let highlighter of highlighters) {
    if (!highlighter.scope || scope && highlighter.scope(scope)) {
      let cls = highlighter.style(tags);
      if (cls) result = result ? result + " " + cls : cls;
    }
  }
  return result;
}
class TreeHighlighter {
  constructor(view) {
    this.markCache = Object.create(null);
    this.tree = syntaxTree(view.state);
    this.decorations = this.buildDeco(view, getHighlighters(view.state));
  }
  update(update) {
    let tree = syntaxTree(update.state),
      highlighters = getHighlighters(update.state);
    let styleChange = highlighters != getHighlighters(update.startState);
    if (tree.length < update.view.viewport.to && !styleChange && tree.type == this.tree.type) {
      this.decorations = this.decorations.map(update.changes);
    } else if (tree != this.tree || update.viewportChanged || styleChange) {
      this.tree = tree;
      this.decorations = this.buildDeco(update.view, highlighters);
    }
  }
  buildDeco(view, highlighters) {
    if (!highlighters || !this.tree.length) return _view.Decoration.none;
    let builder = new _state2.RangeSetBuilder();
    for (let {
      from,
      to
    } of view.visibleRanges) {
      (0, _highlight.highlightTree)(this.tree, highlighters, (from, to, style) => {
        builder.add(from, to, this.markCache[style] || (this.markCache[style] = _view.Decoration.mark({
          class: style
        })));
      }, from, to);
    }
    return builder.finish();
  }
}
const treeHighlighter = /*@__PURE__*/_state2.Prec.high( /*@__PURE__*/_view.ViewPlugin.fromClass(TreeHighlighter, {
  decorations: v => v.decorations
}));
/**
A default highlight style (works well with light themes).
*/
const defaultHighlightStyle = /*@__PURE__*/HighlightStyle.define([{
  tag: _highlight.tags.meta,
  color: "#404740"
}, {
  tag: _highlight.tags.link,
  textDecoration: "underline"
}, {
  tag: _highlight.tags.heading,
  textDecoration: "underline",
  fontWeight: "bold"
}, {
  tag: _highlight.tags.emphasis,
  fontStyle: "italic"
}, {
  tag: _highlight.tags.strong,
  fontWeight: "bold"
}, {
  tag: _highlight.tags.strikethrough,
  textDecoration: "line-through"
}, {
  tag: _highlight.tags.keyword,
  color: "#708"
}, {
  tag: [_highlight.tags.atom, _highlight.tags.bool, _highlight.tags.url, _highlight.tags.contentSeparator, _highlight.tags.labelName],
  color: "#219"
}, {
  tag: [_highlight.tags.literal, _highlight.tags.inserted],
  color: "#164"
}, {
  tag: [_highlight.tags.string, _highlight.tags.deleted],
  color: "#a11"
}, {
  tag: [_highlight.tags.regexp, _highlight.tags.escape, /*@__PURE__*/_highlight.tags.special(_highlight.tags.string)],
  color: "#e40"
}, {
  tag: /*@__PURE__*/_highlight.tags.definition(_highlight.tags.variableName),
  color: "#00f"
}, {
  tag: /*@__PURE__*/_highlight.tags.local(_highlight.tags.variableName),
  color: "#30a"
}, {
  tag: [_highlight.tags.typeName, _highlight.tags.namespace],
  color: "#085"
}, {
  tag: _highlight.tags.className,
  color: "#167"
}, {
  tag: [/*@__PURE__*/_highlight.tags.special(_highlight.tags.variableName), _highlight.tags.macroName],
  color: "#256"
}, {
  tag: /*@__PURE__*/_highlight.tags.definition(_highlight.tags.propertyName),
  color: "#00c"
}, {
  tag: _highlight.tags.comment,
  color: "#940"
}, {
  tag: _highlight.tags.invalid,
  color: "#f00"
}]);
exports.defaultHighlightStyle = defaultHighlightStyle;
const baseTheme = /*@__PURE__*/_view.EditorView.baseTheme({
  "&.cm-focused .cm-matchingBracket": {
    backgroundColor: "#328c8252"
  },
  "&.cm-focused .cm-nonmatchingBracket": {
    backgroundColor: "#bb555544"
  }
});
const DefaultScanDist = 10000,
  DefaultBrackets = "()[]{}";
const bracketMatchingConfig = /*@__PURE__*/_state2.Facet.define({
  combine(configs) {
    return (0, _state2.combineConfig)(configs, {
      afterCursor: true,
      brackets: DefaultBrackets,
      maxScanDistance: DefaultScanDist,
      renderMatch: defaultRenderMatch
    });
  }
});
const matchingMark = /*@__PURE__*/_view.Decoration.mark({
    class: "cm-matchingBracket"
  }),
  nonmatchingMark = /*@__PURE__*/_view.Decoration.mark({
    class: "cm-nonmatchingBracket"
  });
function defaultRenderMatch(match) {
  let decorations = [];
  let mark = match.matched ? matchingMark : nonmatchingMark;
  decorations.push(mark.range(match.start.from, match.start.to));
  if (match.end) decorations.push(mark.range(match.end.from, match.end.to));
  return decorations;
}
const bracketMatchingState = /*@__PURE__*/_state2.StateField.define({
  create() {
    return _view.Decoration.none;
  },
  update(deco, tr) {
    if (!tr.docChanged && !tr.selection) return deco;
    let decorations = [];
    let config = tr.state.facet(bracketMatchingConfig);
    for (let range of tr.state.selection.ranges) {
      if (!range.empty) continue;
      let match = matchBrackets(tr.state, range.head, -1, config) || range.head > 0 && matchBrackets(tr.state, range.head - 1, 1, config) || config.afterCursor && (matchBrackets(tr.state, range.head, 1, config) || range.head < tr.state.doc.length && matchBrackets(tr.state, range.head + 1, -1, config));
      if (match) decorations = decorations.concat(config.renderMatch(match, tr.state));
    }
    return _view.Decoration.set(decorations, true);
  },
  provide: f => _view.EditorView.decorations.from(f)
});
const bracketMatchingUnique = [bracketMatchingState, baseTheme];
/**
Create an extension that enables bracket matching. Whenever the
cursor is next to a bracket, that bracket and the one it matches
are highlighted. Or, when no matching bracket is found, another
highlighting style is used to indicate this.
*/
function bracketMatching(config = {}) {
  return [bracketMatchingConfig.of(config), bracketMatchingUnique];
}
/**
When larger syntax nodes, such as HTML tags, are marked as
opening/closing, it can be a bit messy to treat the whole node as
a matchable bracket. This node prop allows you to define, for such
a node, a ‘handle’—the part of the node that is highlighted, and
that the cursor must be on to activate highlighting in the first
place.
*/
const bracketMatchingHandle = /*@__PURE__*/new _common.NodeProp();
exports.bracketMatchingHandle = bracketMatchingHandle;
function matchingNodes(node, dir, brackets) {
  let byProp = node.prop(dir < 0 ? _common.NodeProp.openedBy : _common.NodeProp.closedBy);
  if (byProp) return byProp;
  if (node.name.length == 1) {
    let index = brackets.indexOf(node.name);
    if (index > -1 && index % 2 == (dir < 0 ? 1 : 0)) return [brackets[index + dir]];
  }
  return null;
}
function findHandle(node) {
  let hasHandle = node.type.prop(bracketMatchingHandle);
  return hasHandle ? hasHandle(node.node) : node;
}
/**
Find the matching bracket for the token at `pos`, scanning
direction `dir`. Only the `brackets` and `maxScanDistance`
properties are used from `config`, if given. Returns null if no
bracket was found at `pos`, or a match result otherwise.
*/
function matchBrackets(state, pos, dir, config = {}) {
  let maxScanDistance = config.maxScanDistance || DefaultScanDist,
    brackets = config.brackets || DefaultBrackets;
  let tree = syntaxTree(state),
    node = tree.resolveInner(pos, dir);
  for (let cur = node; cur; cur = cur.parent) {
    let matches = matchingNodes(cur.type, dir, brackets);
    if (matches && cur.from < cur.to) {
      let handle = findHandle(cur);
      if (handle && (dir > 0 ? pos >= handle.from && pos < handle.to : pos > handle.from && pos <= handle.to)) return matchMarkedBrackets(state, pos, dir, cur, handle, matches, brackets);
    }
  }
  return matchPlainBrackets(state, pos, dir, tree, node.type, maxScanDistance, brackets);
}
function matchMarkedBrackets(_state, _pos, dir, token, handle, matching, brackets) {
  let parent = token.parent,
    firstToken = {
      from: handle.from,
      to: handle.to
    };
  let depth = 0,
    cursor = parent === null || parent === void 0 ? void 0 : parent.cursor();
  if (cursor && (dir < 0 ? cursor.childBefore(token.from) : cursor.childAfter(token.to))) do {
    if (dir < 0 ? cursor.to <= token.from : cursor.from >= token.to) {
      if (depth == 0 && matching.indexOf(cursor.type.name) > -1 && cursor.from < cursor.to) {
        let endHandle = findHandle(cursor);
        return {
          start: firstToken,
          end: endHandle ? {
            from: endHandle.from,
            to: endHandle.to
          } : undefined,
          matched: true
        };
      } else if (matchingNodes(cursor.type, dir, brackets)) {
        depth++;
      } else if (matchingNodes(cursor.type, -dir, brackets)) {
        if (depth == 0) {
          let endHandle = findHandle(cursor);
          return {
            start: firstToken,
            end: endHandle && endHandle.from < endHandle.to ? {
              from: endHandle.from,
              to: endHandle.to
            } : undefined,
            matched: false
          };
        }
        depth--;
      }
    }
  } while (dir < 0 ? cursor.prevSibling() : cursor.nextSibling());
  return {
    start: firstToken,
    matched: false
  };
}
function matchPlainBrackets(state, pos, dir, tree, tokenType, maxScanDistance, brackets) {
  let startCh = dir < 0 ? state.sliceDoc(pos - 1, pos) : state.sliceDoc(pos, pos + 1);
  let bracket = brackets.indexOf(startCh);
  if (bracket < 0 || bracket % 2 == 0 != dir > 0) return null;
  let startToken = {
    from: dir < 0 ? pos - 1 : pos,
    to: dir > 0 ? pos + 1 : pos
  };
  let iter = state.doc.iterRange(pos, dir > 0 ? state.doc.length : 0),
    depth = 0;
  for (let distance = 0; !iter.next().done && distance <= maxScanDistance;) {
    let text = iter.value;
    if (dir < 0) distance += text.length;
    let basePos = pos + distance * dir;
    for (let pos = dir > 0 ? 0 : text.length - 1, end = dir > 0 ? text.length : -1; pos != end; pos += dir) {
      let found = brackets.indexOf(text[pos]);
      if (found < 0 || tree.resolveInner(basePos + pos, 1).type != tokenType) continue;
      if (found % 2 == 0 == dir > 0) {
        depth++;
      } else if (depth == 1) {
        // Closing
        return {
          start: startToken,
          end: {
            from: basePos + pos,
            to: basePos + pos + 1
          },
          matched: found >> 1 == bracket >> 1
        };
      } else {
        depth--;
      }
    }
    if (dir > 0) distance += text.length;
  }
  return iter.done ? {
    start: startToken,
    matched: false
  } : null;
}

// Counts the column offset in a string, taking tabs into account.
// Used mostly to find indentation.
function countCol(string, end, tabSize, startIndex = 0, startValue = 0) {
  if (end == null) {
    end = string.search(/[^\s\u00a0]/);
    if (end == -1) end = string.length;
  }
  let n = startValue;
  for (let i = startIndex; i < end; i++) {
    if (string.charCodeAt(i) == 9) n += tabSize - n % tabSize;else n++;
  }
  return n;
}
/**
Encapsulates a single line of input. Given to stream syntax code,
which uses it to tokenize the content.
*/
class StringStream {
  /**
  Create a stream.
  */
  constructor(
  /**
  The line.
  */
  string, tabSize,
  /**
  The current indent unit size.
  */
  indentUnit, overrideIndent) {
    this.string = string;
    this.tabSize = tabSize;
    this.indentUnit = indentUnit;
    this.overrideIndent = overrideIndent;
    /**
    The current position on the line.
    */
    this.pos = 0;
    /**
    The start position of the current token.
    */
    this.start = 0;
    this.lastColumnPos = 0;
    this.lastColumnValue = 0;
  }
  /**
  True if we are at the end of the line.
  */
  eol() {
    return this.pos >= this.string.length;
  }
  /**
  True if we are at the start of the line.
  */
  sol() {
    return this.pos == 0;
  }
  /**
  Get the next code unit after the current position, or undefined
  if we're at the end of the line.
  */
  peek() {
    return this.string.charAt(this.pos) || undefined;
  }
  /**
  Read the next code unit and advance `this.pos`.
  */
  next() {
    if (this.pos < this.string.length) return this.string.charAt(this.pos++);
  }
  /**
  Match the next character against the given string, regular
  expression, or predicate. Consume and return it if it matches.
  */
  eat(match) {
    let ch = this.string.charAt(this.pos);
    let ok;
    if (typeof match == "string") ok = ch == match;else ok = ch && (match instanceof RegExp ? match.test(ch) : match(ch));
    if (ok) {
      ++this.pos;
      return ch;
    }
  }
  /**
  Continue matching characters that match the given string,
  regular expression, or predicate function. Return true if any
  characters were consumed.
  */
  eatWhile(match) {
    let start = this.pos;
    while (this.eat(match)) {}
    return this.pos > start;
  }
  /**
  Consume whitespace ahead of `this.pos`. Return true if any was
  found.
  */
  eatSpace() {
    let start = this.pos;
    while (/[\s\u00a0]/.test(this.string.charAt(this.pos))) ++this.pos;
    return this.pos > start;
  }
  /**
  Move to the end of the line.
  */
  skipToEnd() {
    this.pos = this.string.length;
  }
  /**
  Move to directly before the given character, if found on the
  current line.
  */
  skipTo(ch) {
    let found = this.string.indexOf(ch, this.pos);
    if (found > -1) {
      this.pos = found;
      return true;
    }
  }
  /**
  Move back `n` characters.
  */
  backUp(n) {
    this.pos -= n;
  }
  /**
  Get the column position at `this.pos`.
  */
  column() {
    if (this.lastColumnPos < this.start) {
      this.lastColumnValue = countCol(this.string, this.start, this.tabSize, this.lastColumnPos, this.lastColumnValue);
      this.lastColumnPos = this.start;
    }
    return this.lastColumnValue;
  }
  /**
  Get the indentation column of the current line.
  */
  indentation() {
    var _a;
    return (_a = this.overrideIndent) !== null && _a !== void 0 ? _a : countCol(this.string, null, this.tabSize);
  }
  /**
  Match the input against the given string or regular expression
  (which should start with a `^`). Return true or the regexp match
  if it matches.
  
  Unless `consume` is set to `false`, this will move `this.pos`
  past the matched text.
  
  When matching a string `caseInsensitive` can be set to true to
  make the match case-insensitive.
  */
  match(pattern, consume, caseInsensitive) {
    if (typeof pattern == "string") {
      let cased = str => caseInsensitive ? str.toLowerCase() : str;
      let substr = this.string.substr(this.pos, pattern.length);
      if (cased(substr) == cased(pattern)) {
        if (consume !== false) this.pos += pattern.length;
        return true;
      } else return null;
    } else {
      let match = this.string.slice(this.pos).match(pattern);
      if (match && match.index > 0) return null;
      if (match && consume !== false) this.pos += match[0].length;
      return match;
    }
  }
  /**
  Get the current token.
  */
  current() {
    return this.string.slice(this.start, this.pos);
  }
}
exports.StringStream = StringStream;
function fullParser(spec) {
  return {
    name: spec.name || "",
    token: spec.token,
    blankLine: spec.blankLine || (() => {}),
    startState: spec.startState || (() => true),
    copyState: spec.copyState || defaultCopyState,
    indent: spec.indent || (() => null),
    languageData: spec.languageData || {},
    tokenTable: spec.tokenTable || noTokens
  };
}
function defaultCopyState(state) {
  if (typeof state != "object") return state;
  let newState = {};
  for (let prop in state) {
    let val = state[prop];
    newState[prop] = val instanceof Array ? val.slice() : val;
  }
  return newState;
}
const IndentedFrom = /*@__PURE__*/new WeakMap();
/**
A [language](https://codemirror.net/6/docs/ref/#language.Language) class based on a CodeMirror
5-style [streaming parser](https://codemirror.net/6/docs/ref/#language.StreamParser).
*/
class StreamLanguage extends Language {
  constructor(parser) {
    let data = defineLanguageFacet(parser.languageData);
    let p = fullParser(parser),
      self;
    let impl = new class extends _common.Parser {
      createParse(input, fragments, ranges) {
        return new Parse(self, input, fragments, ranges);
      }
    }();
    super(data, impl, [indentService.of((cx, pos) => this.getIndent(cx, pos))], parser.name);
    this.topNode = docID(data);
    self = this;
    this.streamParser = p;
    this.stateAfter = new _common.NodeProp({
      perNode: true
    });
    this.tokenTable = parser.tokenTable ? new TokenTable(p.tokenTable) : defaultTokenTable;
  }
  /**
  Define a stream language.
  */
  static define(spec) {
    return new StreamLanguage(spec);
  }
  getIndent(cx, pos) {
    let tree = syntaxTree(cx.state),
      at = tree.resolve(pos);
    while (at && at.type != this.topNode) at = at.parent;
    if (!at) return null;
    let from = undefined;
    let {
      overrideIndentation
    } = cx.options;
    if (overrideIndentation) {
      from = IndentedFrom.get(cx.state);
      if (from != null && from < pos - 1e4) from = undefined;
    }
    let start = findState(this, tree, 0, at.from, from !== null && from !== void 0 ? from : pos),
      statePos,
      state;
    if (start) {
      state = start.state;
      statePos = start.pos + 1;
    } else {
      state = this.streamParser.startState(cx.unit);
      statePos = 0;
    }
    if (pos - statePos > 10000 /* C.MaxIndentScanDist */) return null;
    while (statePos < pos) {
      let line = cx.state.doc.lineAt(statePos),
        end = Math.min(pos, line.to);
      if (line.length) {
        let indentation = overrideIndentation ? overrideIndentation(line.from) : -1;
        let stream = new StringStream(line.text, cx.state.tabSize, cx.unit, indentation < 0 ? undefined : indentation);
        while (stream.pos < end - line.from) readToken(this.streamParser.token, stream, state);
      } else {
        this.streamParser.blankLine(state, cx.unit);
      }
      if (end == pos) break;
      statePos = line.to + 1;
    }
    let line = cx.lineAt(pos);
    if (overrideIndentation && from == null) IndentedFrom.set(cx.state, line.from);
    return this.streamParser.indent(state, /^\s*(.*)/.exec(line.text)[1], cx);
  }
  get allowsNesting() {
    return false;
  }
}
exports.StreamLanguage = StreamLanguage;
function findState(lang, tree, off, startPos, before) {
  let state = off >= startPos && off + tree.length <= before && tree.prop(lang.stateAfter);
  if (state) return {
    state: lang.streamParser.copyState(state),
    pos: off + tree.length
  };
  for (let i = tree.children.length - 1; i >= 0; i--) {
    let child = tree.children[i],
      pos = off + tree.positions[i];
    let found = child instanceof _common.Tree && pos < before && findState(lang, child, pos, startPos, before);
    if (found) return found;
  }
  return null;
}
function cutTree(lang, tree, from, to, inside) {
  if (inside && from <= 0 && to >= tree.length) return tree;
  if (!inside && tree.type == lang.topNode) inside = true;
  for (let i = tree.children.length - 1; i >= 0; i--) {
    let pos = tree.positions[i],
      child = tree.children[i],
      inner;
    if (pos < to && child instanceof _common.Tree) {
      if (!(inner = cutTree(lang, child, from - pos, to - pos, inside))) break;
      return !inside ? inner : new _common.Tree(tree.type, tree.children.slice(0, i).concat(inner), tree.positions.slice(0, i + 1), pos + inner.length);
    }
  }
  return null;
}
function findStartInFragments(lang, fragments, startPos, editorState) {
  for (let f of fragments) {
    let from = f.from + (f.openStart ? 25 : 0),
      to = f.to - (f.openEnd ? 25 : 0);
    let found = from <= startPos && to > startPos && findState(lang, f.tree, 0 - f.offset, startPos, to),
      tree;
    if (found && (tree = cutTree(lang, f.tree, startPos + f.offset, found.pos + f.offset, false))) return {
      state: found.state,
      tree
    };
  }
  return {
    state: lang.streamParser.startState(editorState ? getIndentUnit(editorState) : 4),
    tree: _common.Tree.empty
  };
}
class Parse {
  constructor(lang, input, fragments, ranges) {
    this.lang = lang;
    this.input = input;
    this.fragments = fragments;
    this.ranges = ranges;
    this.stoppedAt = null;
    this.chunks = [];
    this.chunkPos = [];
    this.chunk = [];
    this.chunkReused = undefined;
    this.rangeIndex = 0;
    this.to = ranges[ranges.length - 1].to;
    let context = ParseContext.get(),
      from = ranges[0].from;
    let {
      state,
      tree
    } = findStartInFragments(lang, fragments, from, context === null || context === void 0 ? void 0 : context.state);
    this.state = state;
    this.parsedPos = this.chunkStart = from + tree.length;
    for (let i = 0; i < tree.children.length; i++) {
      this.chunks.push(tree.children[i]);
      this.chunkPos.push(tree.positions[i]);
    }
    if (context && this.parsedPos < context.viewport.from - 100000 /* C.MaxDistanceBeforeViewport */) {
      this.state = this.lang.streamParser.startState(getIndentUnit(context.state));
      context.skipUntilInView(this.parsedPos, context.viewport.from);
      this.parsedPos = context.viewport.from;
    }
    this.moveRangeIndex();
  }
  advance() {
    let context = ParseContext.get();
    let parseEnd = this.stoppedAt == null ? this.to : Math.min(this.to, this.stoppedAt);
    let end = Math.min(parseEnd, this.chunkStart + 2048 /* C.ChunkSize */);
    if (context) end = Math.min(end, context.viewport.to);
    while (this.parsedPos < end) this.parseLine(context);
    if (this.chunkStart < this.parsedPos) this.finishChunk();
    if (this.parsedPos >= parseEnd) return this.finish();
    if (context && this.parsedPos >= context.viewport.to) {
      context.skipUntilInView(this.parsedPos, parseEnd);
      return this.finish();
    }
    return null;
  }
  stopAt(pos) {
    this.stoppedAt = pos;
  }
  lineAfter(pos) {
    let chunk = this.input.chunk(pos);
    if (!this.input.lineChunks) {
      let eol = chunk.indexOf("\n");
      if (eol > -1) chunk = chunk.slice(0, eol);
    } else if (chunk == "\n") {
      chunk = "";
    }
    return pos + chunk.length <= this.to ? chunk : chunk.slice(0, this.to - pos);
  }
  nextLine() {
    let from = this.parsedPos,
      line = this.lineAfter(from),
      end = from + line.length;
    for (let index = this.rangeIndex;;) {
      let rangeEnd = this.ranges[index].to;
      if (rangeEnd >= end) break;
      line = line.slice(0, rangeEnd - (end - line.length));
      index++;
      if (index == this.ranges.length) break;
      let rangeStart = this.ranges[index].from;
      let after = this.lineAfter(rangeStart);
      line += after;
      end = rangeStart + after.length;
    }
    return {
      line,
      end
    };
  }
  skipGapsTo(pos, offset, side) {
    for (;;) {
      let end = this.ranges[this.rangeIndex].to,
        offPos = pos + offset;
      if (side > 0 ? end > offPos : end >= offPos) break;
      let start = this.ranges[++this.rangeIndex].from;
      offset += start - end;
    }
    return offset;
  }
  moveRangeIndex() {
    while (this.ranges[this.rangeIndex].to < this.parsedPos) this.rangeIndex++;
  }
  emitToken(id, from, to, size, offset) {
    if (this.ranges.length > 1) {
      offset = this.skipGapsTo(from, offset, 1);
      from += offset;
      let len0 = this.chunk.length;
      offset = this.skipGapsTo(to, offset, -1);
      to += offset;
      size += this.chunk.length - len0;
    }
    this.chunk.push(id, from, to, size);
    return offset;
  }
  parseLine(context) {
    let {
        line,
        end
      } = this.nextLine(),
      offset = 0,
      {
        streamParser
      } = this.lang;
    let stream = new StringStream(line, context ? context.state.tabSize : 4, context ? getIndentUnit(context.state) : 2);
    if (stream.eol()) {
      streamParser.blankLine(this.state, stream.indentUnit);
    } else {
      while (!stream.eol()) {
        let token = readToken(streamParser.token, stream, this.state);
        if (token) offset = this.emitToken(this.lang.tokenTable.resolve(token), this.parsedPos + stream.start, this.parsedPos + stream.pos, 4, offset);
        if (stream.start > 10000 /* C.MaxLineLength */) break;
      }
    }
    this.parsedPos = end;
    this.moveRangeIndex();
    if (this.parsedPos < this.to) this.parsedPos++;
  }
  finishChunk() {
    let tree = _common.Tree.build({
      buffer: this.chunk,
      start: this.chunkStart,
      length: this.parsedPos - this.chunkStart,
      nodeSet,
      topID: 0,
      maxBufferLength: 2048 /* C.ChunkSize */,
      reused: this.chunkReused
    });
    tree = new _common.Tree(tree.type, tree.children, tree.positions, tree.length, [[this.lang.stateAfter, this.lang.streamParser.copyState(this.state)]]);
    this.chunks.push(tree);
    this.chunkPos.push(this.chunkStart - this.ranges[0].from);
    this.chunk = [];
    this.chunkReused = undefined;
    this.chunkStart = this.parsedPos;
  }
  finish() {
    return new _common.Tree(this.lang.topNode, this.chunks, this.chunkPos, this.parsedPos - this.ranges[0].from).balance();
  }
}
function readToken(token, stream, state) {
  stream.start = stream.pos;
  for (let i = 0; i < 10; i++) {
    let result = token(stream, state);
    if (stream.pos > stream.start) return result;
  }
  throw new Error("Stream parser failed to advance stream.");
}
const noTokens = /*@__PURE__*/Object.create(null);
const typeArray = [_common.NodeType.none];
const nodeSet = /*@__PURE__*/new _common.NodeSet(typeArray);
const warned = [];
const defaultTable = /*@__PURE__*/Object.create(null);
for (let [legacyName, name] of [["variable", "variableName"], ["variable-2", "variableName.special"], ["string-2", "string.special"], ["def", "variableName.definition"], ["tag", "tagName"], ["attribute", "attributeName"], ["type", "typeName"], ["builtin", "variableName.standard"], ["qualifier", "modifier"], ["error", "invalid"], ["header", "heading"], ["property", "propertyName"]]) defaultTable[legacyName] = /*@__PURE__*/createTokenType(noTokens, name);
class TokenTable {
  constructor(extra) {
    this.extra = extra;
    this.table = Object.assign(Object.create(null), defaultTable);
  }
  resolve(tag) {
    return !tag ? 0 : this.table[tag] || (this.table[tag] = createTokenType(this.extra, tag));
  }
}
const defaultTokenTable = /*@__PURE__*/new TokenTable(noTokens);
function warnForPart(part, msg) {
  if (warned.indexOf(part) > -1) return;
  warned.push(part);
  console.warn(msg);
}
function createTokenType(extra, tagStr) {
  let tag = null;
  for (let part of tagStr.split(".")) {
    let value = extra[part] || _highlight.tags[part];
    if (!value) {
      warnForPart(part, `Unknown highlighting tag ${part}`);
    } else if (typeof value == "function") {
      if (!tag) warnForPart(part, `Modifier ${part} used at start of tag`);else tag = value(tag);
    } else {
      if (tag) warnForPart(part, `Tag ${part} used as modifier`);else tag = value;
    }
  }
  if (!tag) return 0;
  let name = tagStr.replace(/ /g, "_"),
    type = _common.NodeType.define({
      id: typeArray.length,
      name,
      props: [(0, _highlight.styleTags)({
        [name]: tag
      })]
    });
  typeArray.push(type);
  return type.id;
}
function docID(data) {
  let type = _common.NodeType.define({
    id: typeArray.length,
    name: "Document",
    props: [languageDataProp.add(() => data)]
  });
  typeArray.push(type);
  return type;
}
},{"@lezer/common":"node_modules/@lezer/common/dist/index.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js","@codemirror/view":"node_modules/@codemirror/view/dist/index.js","@lezer/highlight":"node_modules/@lezer/highlight/dist/index.js","style-mod":"node_modules/style-mod/src/style-mod.js"}],"node_modules/@codemirror/commands/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.emacsStyleKeymap = exports.deleteTrailingWhitespace = exports.deleteToLineStart = exports.deleteToLineEnd = exports.deleteLine = exports.deleteGroupForward = exports.deleteGroupBackward = exports.deleteCharForward = exports.deleteCharBackward = exports.defaultKeymap = exports.cursorSyntaxRight = exports.cursorSyntaxLeft = exports.cursorSubwordForward = exports.cursorSubwordBackward = exports.cursorPageUp = exports.cursorPageDown = exports.cursorMatchingBracket = exports.cursorLineUp = exports.cursorLineStart = exports.cursorLineEnd = exports.cursorLineDown = exports.cursorLineBoundaryRight = exports.cursorLineBoundaryLeft = exports.cursorLineBoundaryForward = exports.cursorLineBoundaryBackward = exports.cursorGroupRight = exports.cursorGroupLeft = exports.cursorGroupForward = exports.cursorGroupBackward = exports.cursorDocStart = exports.cursorDocEnd = exports.cursorCharRight = exports.cursorCharLeft = exports.cursorCharForward = exports.cursorCharBackward = exports.copyLineUp = exports.copyLineDown = exports.blockUncomment = exports.blockComment = void 0;
exports.history = history;
exports.undoSelection = exports.undoDepth = exports.undo = exports.transposeChars = exports.toggleLineComment = exports.toggleComment = exports.toggleBlockCommentByLine = exports.toggleBlockComment = exports.standardKeymap = exports.splitLine = exports.simplifySelection = exports.selectSyntaxRight = exports.selectSyntaxLeft = exports.selectSubwordForward = exports.selectSubwordBackward = exports.selectParentSyntax = exports.selectPageUp = exports.selectPageDown = exports.selectMatchingBracket = exports.selectLineUp = exports.selectLineStart = exports.selectLineEnd = exports.selectLineDown = exports.selectLineBoundaryRight = exports.selectLineBoundaryLeft = exports.selectLineBoundaryForward = exports.selectLineBoundaryBackward = exports.selectLine = exports.selectGroupRight = exports.selectGroupLeft = exports.selectGroupForward = exports.selectGroupBackward = exports.selectDocStart = exports.selectDocEnd = exports.selectCharRight = exports.selectCharLeft = exports.selectCharForward = exports.selectCharBackward = exports.selectAll = exports.redoSelection = exports.redoDepth = exports.redo = exports.moveLineUp = exports.moveLineDown = exports.lineUncomment = exports.lineComment = exports.isolateHistory = exports.invertedEffects = exports.insertTab = exports.insertNewlineAndIndent = exports.insertNewline = exports.insertBlankLine = exports.indentWithTab = exports.indentSelection = exports.indentMore = exports.indentLess = exports.historyKeymap = exports.historyField = void 0;
var _state = require("@codemirror/state");
var _view = require("@codemirror/view");
var _language = require("@codemirror/language");
var _common = require("@lezer/common");
/**
Comment or uncomment the current selection. Will use line comments
if available, otherwise falling back to block comments.
*/
const toggleComment = target => {
  let {
      state
    } = target,
    line = state.doc.lineAt(state.selection.main.from),
    config = getConfig(target.state, line.from);
  return config.line ? toggleLineComment(target) : config.block ? toggleBlockCommentByLine(target) : false;
};
exports.toggleComment = toggleComment;
function command(f, option) {
  return ({
    state,
    dispatch
  }) => {
    if (state.readOnly) return false;
    let tr = f(option, state);
    if (!tr) return false;
    dispatch(state.update(tr));
    return true;
  };
}
/**
Comment or uncomment the current selection using line comments.
The line comment syntax is taken from the
[`commentTokens`](https://codemirror.net/6/docs/ref/#commands.CommentTokens) [language
data](https://codemirror.net/6/docs/ref/#state.EditorState.languageDataAt).
*/
const toggleLineComment = /*@__PURE__*/command(changeLineComment, 0 /* CommentOption.Toggle */);
/**
Comment the current selection using line comments.
*/
exports.toggleLineComment = toggleLineComment;
const lineComment = /*@__PURE__*/command(changeLineComment, 1 /* CommentOption.Comment */);
/**
Uncomment the current selection using line comments.
*/
exports.lineComment = lineComment;
const lineUncomment = /*@__PURE__*/command(changeLineComment, 2 /* CommentOption.Uncomment */);
/**
Comment or uncomment the current selection using block comments.
The block comment syntax is taken from the
[`commentTokens`](https://codemirror.net/6/docs/ref/#commands.CommentTokens) [language
data](https://codemirror.net/6/docs/ref/#state.EditorState.languageDataAt).
*/
exports.lineUncomment = lineUncomment;
const toggleBlockComment = /*@__PURE__*/command(changeBlockComment, 0 /* CommentOption.Toggle */);
/**
Comment the current selection using block comments.
*/
exports.toggleBlockComment = toggleBlockComment;
const blockComment = /*@__PURE__*/command(changeBlockComment, 1 /* CommentOption.Comment */);
/**
Uncomment the current selection using block comments.
*/
exports.blockComment = blockComment;
const blockUncomment = /*@__PURE__*/command(changeBlockComment, 2 /* CommentOption.Uncomment */);
/**
Comment or uncomment the lines around the current selection using
block comments.
*/
exports.blockUncomment = blockUncomment;
const toggleBlockCommentByLine = /*@__PURE__*/command((o, s) => changeBlockComment(o, s, selectedLineRanges(s)), 0 /* CommentOption.Toggle */);
exports.toggleBlockCommentByLine = toggleBlockCommentByLine;
function getConfig(state, pos) {
  let data = state.languageDataAt("commentTokens", pos);
  return data.length ? data[0] : {};
}
const SearchMargin = 50;
/**
Determines if the given range is block-commented in the given
state.
*/
function findBlockComment(state, {
  open,
  close
}, from, to) {
  let textBefore = state.sliceDoc(from - SearchMargin, from);
  let textAfter = state.sliceDoc(to, to + SearchMargin);
  let spaceBefore = /\s*$/.exec(textBefore)[0].length,
    spaceAfter = /^\s*/.exec(textAfter)[0].length;
  let beforeOff = textBefore.length - spaceBefore;
  if (textBefore.slice(beforeOff - open.length, beforeOff) == open && textAfter.slice(spaceAfter, spaceAfter + close.length) == close) {
    return {
      open: {
        pos: from - spaceBefore,
        margin: spaceBefore && 1
      },
      close: {
        pos: to + spaceAfter,
        margin: spaceAfter && 1
      }
    };
  }
  let startText, endText;
  if (to - from <= 2 * SearchMargin) {
    startText = endText = state.sliceDoc(from, to);
  } else {
    startText = state.sliceDoc(from, from + SearchMargin);
    endText = state.sliceDoc(to - SearchMargin, to);
  }
  let startSpace = /^\s*/.exec(startText)[0].length,
    endSpace = /\s*$/.exec(endText)[0].length;
  let endOff = endText.length - endSpace - close.length;
  if (startText.slice(startSpace, startSpace + open.length) == open && endText.slice(endOff, endOff + close.length) == close) {
    return {
      open: {
        pos: from + startSpace + open.length,
        margin: /\s/.test(startText.charAt(startSpace + open.length)) ? 1 : 0
      },
      close: {
        pos: to - endSpace - close.length,
        margin: /\s/.test(endText.charAt(endOff - 1)) ? 1 : 0
      }
    };
  }
  return null;
}
function selectedLineRanges(state) {
  let ranges = [];
  for (let r of state.selection.ranges) {
    let fromLine = state.doc.lineAt(r.from);
    let toLine = r.to <= fromLine.to ? fromLine : state.doc.lineAt(r.to);
    let last = ranges.length - 1;
    if (last >= 0 && ranges[last].to > fromLine.from) ranges[last].to = toLine.to;else ranges.push({
      from: fromLine.from,
      to: toLine.to
    });
  }
  return ranges;
}
// Performs toggle, comment and uncomment of block comments in
// languages that support them.
function changeBlockComment(option, state, ranges = state.selection.ranges) {
  let tokens = ranges.map(r => getConfig(state, r.from).block);
  if (!tokens.every(c => c)) return null;
  let comments = ranges.map((r, i) => findBlockComment(state, tokens[i], r.from, r.to));
  if (option != 2 /* CommentOption.Uncomment */ && !comments.every(c => c)) {
    return {
      changes: state.changes(ranges.map((range, i) => {
        if (comments[i]) return [];
        return [{
          from: range.from,
          insert: tokens[i].open + " "
        }, {
          from: range.to,
          insert: " " + tokens[i].close
        }];
      }))
    };
  } else if (option != 1 /* CommentOption.Comment */ && comments.some(c => c)) {
    let changes = [];
    for (let i = 0, comment; i < comments.length; i++) if (comment = comments[i]) {
      let token = tokens[i],
        {
          open,
          close
        } = comment;
      changes.push({
        from: open.pos - token.open.length,
        to: open.pos + open.margin
      }, {
        from: close.pos - close.margin,
        to: close.pos + token.close.length
      });
    }
    return {
      changes
    };
  }
  return null;
}
// Performs toggle, comment and uncomment of line comments.
function changeLineComment(option, state, ranges = state.selection.ranges) {
  let lines = [];
  let prevLine = -1;
  for (let {
    from,
    to
  } of ranges) {
    let startI = lines.length,
      minIndent = 1e9;
    let token = getConfig(state, from).line;
    if (!token) continue;
    for (let pos = from; pos <= to;) {
      let line = state.doc.lineAt(pos);
      if (line.from > prevLine && (from == to || to > line.from)) {
        prevLine = line.from;
        let indent = /^\s*/.exec(line.text)[0].length;
        let empty = indent == line.length;
        let comment = line.text.slice(indent, indent + token.length) == token ? indent : -1;
        if (indent < line.text.length && indent < minIndent) minIndent = indent;
        lines.push({
          line,
          comment,
          token,
          indent,
          empty,
          single: false
        });
      }
      pos = line.to + 1;
    }
    if (minIndent < 1e9) for (let i = startI; i < lines.length; i++) if (lines[i].indent < lines[i].line.text.length) lines[i].indent = minIndent;
    if (lines.length == startI + 1) lines[startI].single = true;
  }
  if (option != 2 /* CommentOption.Uncomment */ && lines.some(l => l.comment < 0 && (!l.empty || l.single))) {
    let changes = [];
    for (let {
      line,
      token,
      indent,
      empty,
      single
    } of lines) if (single || !empty) changes.push({
      from: line.from + indent,
      insert: token + " "
    });
    let changeSet = state.changes(changes);
    return {
      changes: changeSet,
      selection: state.selection.map(changeSet, 1)
    };
  } else if (option != 1 /* CommentOption.Comment */ && lines.some(l => l.comment >= 0)) {
    let changes = [];
    for (let {
      line,
      comment,
      token
    } of lines) if (comment >= 0) {
      let from = line.from + comment,
        to = from + token.length;
      if (line.text[to - line.from] == " ") to++;
      changes.push({
        from,
        to
      });
    }
    return {
      changes
    };
  }
  return null;
}
const fromHistory = /*@__PURE__*/_state.Annotation.define();
/**
Transaction annotation that will prevent that transaction from
being combined with other transactions in the undo history. Given
`"before"`, it'll prevent merging with previous transactions. With
`"after"`, subsequent transactions won't be combined with this
one. With `"full"`, the transaction is isolated on both sides.
*/
const isolateHistory = /*@__PURE__*/_state.Annotation.define();
/**
This facet provides a way to register functions that, given a
transaction, provide a set of effects that the history should
store when inverting the transaction. This can be used to
integrate some kinds of effects in the history, so that they can
be undone (and redone again).
*/
exports.isolateHistory = isolateHistory;
const invertedEffects = /*@__PURE__*/_state.Facet.define();
exports.invertedEffects = invertedEffects;
const historyConfig = /*@__PURE__*/_state.Facet.define({
  combine(configs) {
    return (0, _state.combineConfig)(configs, {
      minDepth: 100,
      newGroupDelay: 500,
      joinToEvent: (_t, isAdjacent) => isAdjacent
    }, {
      minDepth: Math.max,
      newGroupDelay: Math.min,
      joinToEvent: (a, b) => (tr, adj) => a(tr, adj) || b(tr, adj)
    });
  }
});
function changeEnd(changes) {
  let end = 0;
  changes.iterChangedRanges((_, to) => end = to);
  return end;
}
const historyField_ = /*@__PURE__*/_state.StateField.define({
  create() {
    return HistoryState.empty;
  },
  update(state, tr) {
    let config = tr.state.facet(historyConfig);
    let fromHist = tr.annotation(fromHistory);
    if (fromHist) {
      let selection = tr.docChanged ? _state.EditorSelection.single(changeEnd(tr.changes)) : undefined;
      let item = HistEvent.fromTransaction(tr, selection),
        from = fromHist.side;
      let other = from == 0 /* BranchName.Done */ ? state.undone : state.done;
      if (item) other = updateBranch(other, other.length, config.minDepth, item);else other = addSelection(other, tr.startState.selection);
      return new HistoryState(from == 0 /* BranchName.Done */ ? fromHist.rest : other, from == 0 /* BranchName.Done */ ? other : fromHist.rest);
    }
    let isolate = tr.annotation(isolateHistory);
    if (isolate == "full" || isolate == "before") state = state.isolate();
    if (tr.annotation(_state.Transaction.addToHistory) === false) return !tr.changes.empty ? state.addMapping(tr.changes.desc) : state;
    let event = HistEvent.fromTransaction(tr);
    let time = tr.annotation(_state.Transaction.time),
      userEvent = tr.annotation(_state.Transaction.userEvent);
    if (event) state = state.addChanges(event, time, userEvent, config, tr);else if (tr.selection) state = state.addSelection(tr.startState.selection, time, userEvent, config.newGroupDelay);
    if (isolate == "full" || isolate == "after") state = state.isolate();
    return state;
  },
  toJSON(value) {
    return {
      done: value.done.map(e => e.toJSON()),
      undone: value.undone.map(e => e.toJSON())
    };
  },
  fromJSON(json) {
    return new HistoryState(json.done.map(HistEvent.fromJSON), json.undone.map(HistEvent.fromJSON));
  }
});
/**
Create a history extension with the given configuration.
*/
function history(config = {}) {
  return [historyField_, historyConfig.of(config), _view.EditorView.domEventHandlers({
    beforeinput(e, view) {
      let command = e.inputType == "historyUndo" ? undo : e.inputType == "historyRedo" ? redo : null;
      if (!command) return false;
      e.preventDefault();
      return command(view);
    }
  })];
}
/**
The state field used to store the history data. Should probably
only be used when you want to
[serialize](https://codemirror.net/6/docs/ref/#state.EditorState.toJSON) or
[deserialize](https://codemirror.net/6/docs/ref/#state.EditorState^fromJSON) state objects in a way
that preserves history.
*/
const historyField = historyField_;
exports.historyField = historyField;
function cmd(side, selection) {
  return function ({
    state,
    dispatch
  }) {
    if (!selection && state.readOnly) return false;
    let historyState = state.field(historyField_, false);
    if (!historyState) return false;
    let tr = historyState.pop(side, state, selection);
    if (!tr) return false;
    dispatch(tr);
    return true;
  };
}
/**
Undo a single group of history events. Returns false if no group
was available.
*/
const undo = /*@__PURE__*/cmd(0 /* BranchName.Done */, false);
/**
Redo a group of history events. Returns false if no group was
available.
*/
exports.undo = undo;
const redo = /*@__PURE__*/cmd(1 /* BranchName.Undone */, false);
/**
Undo a change or selection change.
*/
exports.redo = redo;
const undoSelection = /*@__PURE__*/cmd(0 /* BranchName.Done */, true);
/**
Redo a change or selection change.
*/
exports.undoSelection = undoSelection;
const redoSelection = /*@__PURE__*/cmd(1 /* BranchName.Undone */, true);
exports.redoSelection = redoSelection;
function depth(side) {
  return function (state) {
    let histState = state.field(historyField_, false);
    if (!histState) return 0;
    let branch = side == 0 /* BranchName.Done */ ? histState.done : histState.undone;
    return branch.length - (branch.length && !branch[0].changes ? 1 : 0);
  };
}
/**
The amount of undoable change events available in a given state.
*/
const undoDepth = /*@__PURE__*/depth(0 /* BranchName.Done */);
/**
The amount of redoable change events available in a given state.
*/
exports.undoDepth = undoDepth;
const redoDepth = /*@__PURE__*/depth(1 /* BranchName.Undone */);
// History events store groups of changes or effects that need to be
// undone/redone together.
exports.redoDepth = redoDepth;
class HistEvent {
  constructor(
  // The changes in this event. Normal events hold at least one
  // change or effect. But it may be necessary to store selection
  // events before the first change, in which case a special type of
  // instance is created which doesn't hold any changes, with
  // changes == startSelection == undefined
  changes,
  // The effects associated with this event
  effects,
  // Accumulated mapping (from addToHistory==false) that should be
  // applied to events below this one.
  mapped,
  // The selection before this event
  startSelection,
  // Stores selection changes after this event, to be used for
  // selection undo/redo.
  selectionsAfter) {
    this.changes = changes;
    this.effects = effects;
    this.mapped = mapped;
    this.startSelection = startSelection;
    this.selectionsAfter = selectionsAfter;
  }
  setSelAfter(after) {
    return new HistEvent(this.changes, this.effects, this.mapped, this.startSelection, after);
  }
  toJSON() {
    var _a, _b, _c;
    return {
      changes: (_a = this.changes) === null || _a === void 0 ? void 0 : _a.toJSON(),
      mapped: (_b = this.mapped) === null || _b === void 0 ? void 0 : _b.toJSON(),
      startSelection: (_c = this.startSelection) === null || _c === void 0 ? void 0 : _c.toJSON(),
      selectionsAfter: this.selectionsAfter.map(s => s.toJSON())
    };
  }
  static fromJSON(json) {
    return new HistEvent(json.changes && _state.ChangeSet.fromJSON(json.changes), [], json.mapped && _state.ChangeDesc.fromJSON(json.mapped), json.startSelection && _state.EditorSelection.fromJSON(json.startSelection), json.selectionsAfter.map(_state.EditorSelection.fromJSON));
  }
  // This does not check `addToHistory` and such, it assumes the
  // transaction needs to be converted to an item. Returns null when
  // there are no changes or effects in the transaction.
  static fromTransaction(tr, selection) {
    let effects = none;
    for (let invert of tr.startState.facet(invertedEffects)) {
      let result = invert(tr);
      if (result.length) effects = effects.concat(result);
    }
    if (!effects.length && tr.changes.empty) return null;
    return new HistEvent(tr.changes.invert(tr.startState.doc), effects, undefined, selection || tr.startState.selection, none);
  }
  static selection(selections) {
    return new HistEvent(undefined, none, undefined, undefined, selections);
  }
}
function updateBranch(branch, to, maxLen, newEvent) {
  let start = to + 1 > maxLen + 20 ? to - maxLen - 1 : 0;
  let newBranch = branch.slice(start, to);
  newBranch.push(newEvent);
  return newBranch;
}
function isAdjacent(a, b) {
  let ranges = [],
    isAdjacent = false;
  a.iterChangedRanges((f, t) => ranges.push(f, t));
  b.iterChangedRanges((_f, _t, f, t) => {
    for (let i = 0; i < ranges.length;) {
      let from = ranges[i++],
        to = ranges[i++];
      if (t >= from && f <= to) isAdjacent = true;
    }
  });
  return isAdjacent;
}
function eqSelectionShape(a, b) {
  return a.ranges.length == b.ranges.length && a.ranges.filter((r, i) => r.empty != b.ranges[i].empty).length === 0;
}
function conc(a, b) {
  return !a.length ? b : !b.length ? a : a.concat(b);
}
const none = [];
const MaxSelectionsPerEvent = 200;
function addSelection(branch, selection) {
  if (!branch.length) {
    return [HistEvent.selection([selection])];
  } else {
    let lastEvent = branch[branch.length - 1];
    let sels = lastEvent.selectionsAfter.slice(Math.max(0, lastEvent.selectionsAfter.length - MaxSelectionsPerEvent));
    if (sels.length && sels[sels.length - 1].eq(selection)) return branch;
    sels.push(selection);
    return updateBranch(branch, branch.length - 1, 1e9, lastEvent.setSelAfter(sels));
  }
}
// Assumes the top item has one or more selectionAfter values
function popSelection(branch) {
  let last = branch[branch.length - 1];
  let newBranch = branch.slice();
  newBranch[branch.length - 1] = last.setSelAfter(last.selectionsAfter.slice(0, last.selectionsAfter.length - 1));
  return newBranch;
}
// Add a mapping to the top event in the given branch. If this maps
// away all the changes and effects in that item, drop it and
// propagate the mapping to the next item.
function addMappingToBranch(branch, mapping) {
  if (!branch.length) return branch;
  let length = branch.length,
    selections = none;
  while (length) {
    let event = mapEvent(branch[length - 1], mapping, selections);
    if (event.changes && !event.changes.empty || event.effects.length) {
      // Event survived mapping
      let result = branch.slice(0, length);
      result[length - 1] = event;
      return result;
    } else {
      // Drop this event, since there's no changes or effects left
      mapping = event.mapped;
      length--;
      selections = event.selectionsAfter;
    }
  }
  return selections.length ? [HistEvent.selection(selections)] : none;
}
function mapEvent(event, mapping, extraSelections) {
  let selections = conc(event.selectionsAfter.length ? event.selectionsAfter.map(s => s.map(mapping)) : none, extraSelections);
  // Change-less events don't store mappings (they are always the last event in a branch)
  if (!event.changes) return HistEvent.selection(selections);
  let mappedChanges = event.changes.map(mapping),
    before = mapping.mapDesc(event.changes, true);
  let fullMapping = event.mapped ? event.mapped.composeDesc(before) : before;
  return new HistEvent(mappedChanges, _state.StateEffect.mapEffects(event.effects, mapping), fullMapping, event.startSelection.map(before), selections);
}
const joinableUserEvent = /^(input\.type|delete)($|\.)/;
class HistoryState {
  constructor(done, undone, prevTime = 0, prevUserEvent = undefined) {
    this.done = done;
    this.undone = undone;
    this.prevTime = prevTime;
    this.prevUserEvent = prevUserEvent;
  }
  isolate() {
    return this.prevTime ? new HistoryState(this.done, this.undone) : this;
  }
  addChanges(event, time, userEvent, config, tr) {
    let done = this.done,
      lastEvent = done[done.length - 1];
    if (lastEvent && lastEvent.changes && !lastEvent.changes.empty && event.changes && (!userEvent || joinableUserEvent.test(userEvent)) && (!lastEvent.selectionsAfter.length && time - this.prevTime < config.newGroupDelay && config.joinToEvent(tr, isAdjacent(lastEvent.changes, event.changes)) ||
    // For compose (but not compose.start) events, always join with previous event
    userEvent == "input.type.compose")) {
      done = updateBranch(done, done.length - 1, config.minDepth, new HistEvent(event.changes.compose(lastEvent.changes), conc(event.effects, lastEvent.effects), lastEvent.mapped, lastEvent.startSelection, none));
    } else {
      done = updateBranch(done, done.length, config.minDepth, event);
    }
    return new HistoryState(done, none, time, userEvent);
  }
  addSelection(selection, time, userEvent, newGroupDelay) {
    let last = this.done.length ? this.done[this.done.length - 1].selectionsAfter : none;
    if (last.length > 0 && time - this.prevTime < newGroupDelay && userEvent == this.prevUserEvent && userEvent && /^select($|\.)/.test(userEvent) && eqSelectionShape(last[last.length - 1], selection)) return this;
    return new HistoryState(addSelection(this.done, selection), this.undone, time, userEvent);
  }
  addMapping(mapping) {
    return new HistoryState(addMappingToBranch(this.done, mapping), addMappingToBranch(this.undone, mapping), this.prevTime, this.prevUserEvent);
  }
  pop(side, state, selection) {
    let branch = side == 0 /* BranchName.Done */ ? this.done : this.undone;
    if (branch.length == 0) return null;
    let event = branch[branch.length - 1];
    if (selection && event.selectionsAfter.length) {
      return state.update({
        selection: event.selectionsAfter[event.selectionsAfter.length - 1],
        annotations: fromHistory.of({
          side,
          rest: popSelection(branch)
        }),
        userEvent: side == 0 /* BranchName.Done */ ? "select.undo" : "select.redo",
        scrollIntoView: true
      });
    } else if (!event.changes) {
      return null;
    } else {
      let rest = branch.length == 1 ? none : branch.slice(0, branch.length - 1);
      if (event.mapped) rest = addMappingToBranch(rest, event.mapped);
      return state.update({
        changes: event.changes,
        selection: event.startSelection,
        effects: event.effects,
        annotations: fromHistory.of({
          side,
          rest
        }),
        filter: false,
        userEvent: side == 0 /* BranchName.Done */ ? "undo" : "redo",
        scrollIntoView: true
      });
    }
  }
}
HistoryState.empty = /*@__PURE__*/new HistoryState(none, none);
/**
Default key bindings for the undo history.

- Mod-z: [`undo`](https://codemirror.net/6/docs/ref/#commands.undo).
- Mod-y (Mod-Shift-z on macOS) + Ctrl-Shift-z on Linux: [`redo`](https://codemirror.net/6/docs/ref/#commands.redo).
- Mod-u: [`undoSelection`](https://codemirror.net/6/docs/ref/#commands.undoSelection).
- Alt-u (Mod-Shift-u on macOS): [`redoSelection`](https://codemirror.net/6/docs/ref/#commands.redoSelection).
*/
const historyKeymap = [{
  key: "Mod-z",
  run: undo,
  preventDefault: true
}, {
  key: "Mod-y",
  mac: "Mod-Shift-z",
  run: redo,
  preventDefault: true
}, {
  linux: "Ctrl-Shift-z",
  run: redo,
  preventDefault: true
}, {
  key: "Mod-u",
  run: undoSelection,
  preventDefault: true
}, {
  key: "Alt-u",
  mac: "Mod-Shift-u",
  run: redoSelection,
  preventDefault: true
}];
exports.historyKeymap = historyKeymap;
function updateSel(sel, by) {
  return _state.EditorSelection.create(sel.ranges.map(by), sel.mainIndex);
}
function setSel(state, selection) {
  return state.update({
    selection,
    scrollIntoView: true,
    userEvent: "select"
  });
}
function moveSel({
  state,
  dispatch
}, how) {
  let selection = updateSel(state.selection, how);
  if (selection.eq(state.selection)) return false;
  dispatch(setSel(state, selection));
  return true;
}
function rangeEnd(range, forward) {
  return _state.EditorSelection.cursor(forward ? range.to : range.from);
}
function cursorByChar(view, forward) {
  return moveSel(view, range => range.empty ? view.moveByChar(range, forward) : rangeEnd(range, forward));
}
function ltrAtCursor(view) {
  return view.textDirectionAt(view.state.selection.main.head) == _view.Direction.LTR;
}
/**
Move the selection one character to the left (which is backward in
left-to-right text, forward in right-to-left text).
*/
const cursorCharLeft = view => cursorByChar(view, !ltrAtCursor(view));
/**
Move the selection one character to the right.
*/
exports.cursorCharLeft = cursorCharLeft;
const cursorCharRight = view => cursorByChar(view, ltrAtCursor(view));
/**
Move the selection one character forward.
*/
exports.cursorCharRight = cursorCharRight;
const cursorCharForward = view => cursorByChar(view, true);
/**
Move the selection one character backward.
*/
exports.cursorCharForward = cursorCharForward;
const cursorCharBackward = view => cursorByChar(view, false);
exports.cursorCharBackward = cursorCharBackward;
function cursorByGroup(view, forward) {
  return moveSel(view, range => range.empty ? view.moveByGroup(range, forward) : rangeEnd(range, forward));
}
/**
Move the selection to the left across one group of word or
non-word (but also non-space) characters.
*/
const cursorGroupLeft = view => cursorByGroup(view, !ltrAtCursor(view));
/**
Move the selection one group to the right.
*/
exports.cursorGroupLeft = cursorGroupLeft;
const cursorGroupRight = view => cursorByGroup(view, ltrAtCursor(view));
/**
Move the selection one group forward.
*/
exports.cursorGroupRight = cursorGroupRight;
const cursorGroupForward = view => cursorByGroup(view, true);
/**
Move the selection one group backward.
*/
exports.cursorGroupForward = cursorGroupForward;
const cursorGroupBackward = view => cursorByGroup(view, false);
exports.cursorGroupBackward = cursorGroupBackward;
function moveBySubword(view, range, forward) {
  let categorize = view.state.charCategorizer(range.from);
  return view.moveByChar(range, forward, start => {
    let cat = _state.CharCategory.Space,
      pos = range.from;
    let done = false,
      sawUpper = false,
      sawLower = false;
    let step = next => {
      if (done) return false;
      pos += forward ? next.length : -next.length;
      let nextCat = categorize(next),
        ahead;
      if (cat == _state.CharCategory.Space) cat = nextCat;
      if (cat != nextCat) return false;
      if (cat == _state.CharCategory.Word) {
        if (next.toLowerCase() == next) {
          if (!forward && sawUpper) return false;
          sawLower = true;
        } else if (sawLower) {
          if (forward) return false;
          done = true;
        } else {
          if (sawUpper && forward && categorize(ahead = view.state.sliceDoc(pos, pos + 1)) == _state.CharCategory.Word && ahead.toLowerCase() == ahead) return false;
          sawUpper = true;
        }
      }
      return true;
    };
    step(start);
    return step;
  });
}
function cursorBySubword(view, forward) {
  return moveSel(view, range => range.empty ? moveBySubword(view, range, forward) : rangeEnd(range, forward));
}
/**
Move the selection one group or camel-case subword forward.
*/
const cursorSubwordForward = view => cursorBySubword(view, true);
/**
Move the selection one group or camel-case subword backward.
*/
exports.cursorSubwordForward = cursorSubwordForward;
const cursorSubwordBackward = view => cursorBySubword(view, false);
exports.cursorSubwordBackward = cursorSubwordBackward;
function interestingNode(state, node, bracketProp) {
  if (node.type.prop(bracketProp)) return true;
  let len = node.to - node.from;
  return len && (len > 2 || /[^\s,.;:]/.test(state.sliceDoc(node.from, node.to))) || node.firstChild;
}
function moveBySyntax(state, start, forward) {
  let pos = (0, _language.syntaxTree)(state).resolveInner(start.head);
  let bracketProp = forward ? _common.NodeProp.closedBy : _common.NodeProp.openedBy;
  // Scan forward through child nodes to see if there's an interesting
  // node ahead.
  for (let at = start.head;;) {
    let next = forward ? pos.childAfter(at) : pos.childBefore(at);
    if (!next) break;
    if (interestingNode(state, next, bracketProp)) pos = next;else at = forward ? next.to : next.from;
  }
  let bracket = pos.type.prop(bracketProp),
    match,
    newPos;
  if (bracket && (match = forward ? (0, _language.matchBrackets)(state, pos.from, 1) : (0, _language.matchBrackets)(state, pos.to, -1)) && match.matched) newPos = forward ? match.end.to : match.end.from;else newPos = forward ? pos.to : pos.from;
  return _state.EditorSelection.cursor(newPos, forward ? -1 : 1);
}
/**
Move the cursor over the next syntactic element to the left.
*/
const cursorSyntaxLeft = view => moveSel(view, range => moveBySyntax(view.state, range, !ltrAtCursor(view)));
/**
Move the cursor over the next syntactic element to the right.
*/
exports.cursorSyntaxLeft = cursorSyntaxLeft;
const cursorSyntaxRight = view => moveSel(view, range => moveBySyntax(view.state, range, ltrAtCursor(view)));
exports.cursorSyntaxRight = cursorSyntaxRight;
function cursorByLine(view, forward) {
  return moveSel(view, range => {
    if (!range.empty) return rangeEnd(range, forward);
    let moved = view.moveVertically(range, forward);
    return moved.head != range.head ? moved : view.moveToLineBoundary(range, forward);
  });
}
/**
Move the selection one line up.
*/
const cursorLineUp = view => cursorByLine(view, false);
/**
Move the selection one line down.
*/
exports.cursorLineUp = cursorLineUp;
const cursorLineDown = view => cursorByLine(view, true);
exports.cursorLineDown = cursorLineDown;
function pageInfo(view) {
  let selfScroll = view.scrollDOM.clientHeight < view.scrollDOM.scrollHeight - 2;
  let marginTop = 0,
    marginBottom = 0,
    height;
  if (selfScroll) {
    for (let source of view.state.facet(_view.EditorView.scrollMargins)) {
      let margins = source(view);
      if (margins === null || margins === void 0 ? void 0 : margins.top) marginTop = Math.max(margins === null || margins === void 0 ? void 0 : margins.top, marginTop);
      if (margins === null || margins === void 0 ? void 0 : margins.bottom) marginBottom = Math.max(margins === null || margins === void 0 ? void 0 : margins.bottom, marginBottom);
    }
    height = view.scrollDOM.clientHeight - marginTop - marginBottom;
  } else {
    height = (view.dom.ownerDocument.defaultView || window).innerHeight;
  }
  return {
    marginTop,
    marginBottom,
    selfScroll,
    height: Math.max(view.defaultLineHeight, height - 5)
  };
}
function cursorByPage(view, forward) {
  let page = pageInfo(view);
  let {
      state
    } = view,
    selection = updateSel(state.selection, range => {
      return range.empty ? view.moveVertically(range, forward, page.height) : rangeEnd(range, forward);
    });
  if (selection.eq(state.selection)) return false;
  let effect;
  if (page.selfScroll) {
    let startPos = view.coordsAtPos(state.selection.main.head);
    let scrollRect = view.scrollDOM.getBoundingClientRect();
    let scrollTop = scrollRect.top + page.marginTop,
      scrollBottom = scrollRect.bottom - page.marginBottom;
    if (startPos && startPos.top > scrollTop && startPos.bottom < scrollBottom) effect = _view.EditorView.scrollIntoView(selection.main.head, {
      y: "start",
      yMargin: startPos.top - scrollTop
    });
  }
  view.dispatch(setSel(state, selection), {
    effects: effect
  });
  return true;
}
/**
Move the selection one page up.
*/
const cursorPageUp = view => cursorByPage(view, false);
/**
Move the selection one page down.
*/
exports.cursorPageUp = cursorPageUp;
const cursorPageDown = view => cursorByPage(view, true);
exports.cursorPageDown = cursorPageDown;
function moveByLineBoundary(view, start, forward) {
  let line = view.lineBlockAt(start.head),
    moved = view.moveToLineBoundary(start, forward);
  if (moved.head == start.head && moved.head != (forward ? line.to : line.from)) moved = view.moveToLineBoundary(start, forward, false);
  if (!forward && moved.head == line.from && line.length) {
    let space = /^\s*/.exec(view.state.sliceDoc(line.from, Math.min(line.from + 100, line.to)))[0].length;
    if (space && start.head != line.from + space) moved = _state.EditorSelection.cursor(line.from + space);
  }
  return moved;
}
/**
Move the selection to the next line wrap point, or to the end of
the line if there isn't one left on this line.
*/
const cursorLineBoundaryForward = view => moveSel(view, range => moveByLineBoundary(view, range, true));
/**
Move the selection to previous line wrap point, or failing that to
the start of the line. If the line is indented, and the cursor
isn't already at the end of the indentation, this will move to the
end of the indentation instead of the start of the line.
*/
exports.cursorLineBoundaryForward = cursorLineBoundaryForward;
const cursorLineBoundaryBackward = view => moveSel(view, range => moveByLineBoundary(view, range, false));
/**
Move the selection one line wrap point to the left.
*/
exports.cursorLineBoundaryBackward = cursorLineBoundaryBackward;
const cursorLineBoundaryLeft = view => moveSel(view, range => moveByLineBoundary(view, range, !ltrAtCursor(view)));
/**
Move the selection one line wrap point to the right.
*/
exports.cursorLineBoundaryLeft = cursorLineBoundaryLeft;
const cursorLineBoundaryRight = view => moveSel(view, range => moveByLineBoundary(view, range, ltrAtCursor(view)));
/**
Move the selection to the start of the line.
*/
exports.cursorLineBoundaryRight = cursorLineBoundaryRight;
const cursorLineStart = view => moveSel(view, range => _state.EditorSelection.cursor(view.lineBlockAt(range.head).from, 1));
/**
Move the selection to the end of the line.
*/
exports.cursorLineStart = cursorLineStart;
const cursorLineEnd = view => moveSel(view, range => _state.EditorSelection.cursor(view.lineBlockAt(range.head).to, -1));
exports.cursorLineEnd = cursorLineEnd;
function toMatchingBracket(state, dispatch, extend) {
  let found = false,
    selection = updateSel(state.selection, range => {
      let matching = (0, _language.matchBrackets)(state, range.head, -1) || (0, _language.matchBrackets)(state, range.head, 1) || range.head > 0 && (0, _language.matchBrackets)(state, range.head - 1, 1) || range.head < state.doc.length && (0, _language.matchBrackets)(state, range.head + 1, -1);
      if (!matching || !matching.end) return range;
      found = true;
      let head = matching.start.from == range.head ? matching.end.to : matching.end.from;
      return extend ? _state.EditorSelection.range(range.anchor, head) : _state.EditorSelection.cursor(head);
    });
  if (!found) return false;
  dispatch(setSel(state, selection));
  return true;
}
/**
Move the selection to the bracket matching the one it is currently
on, if any.
*/
const cursorMatchingBracket = ({
  state,
  dispatch
}) => toMatchingBracket(state, dispatch, false);
/**
Extend the selection to the bracket matching the one the selection
head is currently on, if any.
*/
exports.cursorMatchingBracket = cursorMatchingBracket;
const selectMatchingBracket = ({
  state,
  dispatch
}) => toMatchingBracket(state, dispatch, true);
exports.selectMatchingBracket = selectMatchingBracket;
function extendSel(view, how) {
  let selection = updateSel(view.state.selection, range => {
    let head = how(range);
    return _state.EditorSelection.range(range.anchor, head.head, head.goalColumn, head.bidiLevel || undefined);
  });
  if (selection.eq(view.state.selection)) return false;
  view.dispatch(setSel(view.state, selection));
  return true;
}
function selectByChar(view, forward) {
  return extendSel(view, range => view.moveByChar(range, forward));
}
/**
Move the selection head one character to the left, while leaving
the anchor in place.
*/
const selectCharLeft = view => selectByChar(view, !ltrAtCursor(view));
/**
Move the selection head one character to the right.
*/
exports.selectCharLeft = selectCharLeft;
const selectCharRight = view => selectByChar(view, ltrAtCursor(view));
/**
Move the selection head one character forward.
*/
exports.selectCharRight = selectCharRight;
const selectCharForward = view => selectByChar(view, true);
/**
Move the selection head one character backward.
*/
exports.selectCharForward = selectCharForward;
const selectCharBackward = view => selectByChar(view, false);
exports.selectCharBackward = selectCharBackward;
function selectByGroup(view, forward) {
  return extendSel(view, range => view.moveByGroup(range, forward));
}
/**
Move the selection head one [group](https://codemirror.net/6/docs/ref/#commands.cursorGroupLeft) to
the left.
*/
const selectGroupLeft = view => selectByGroup(view, !ltrAtCursor(view));
/**
Move the selection head one group to the right.
*/
exports.selectGroupLeft = selectGroupLeft;
const selectGroupRight = view => selectByGroup(view, ltrAtCursor(view));
/**
Move the selection head one group forward.
*/
exports.selectGroupRight = selectGroupRight;
const selectGroupForward = view => selectByGroup(view, true);
/**
Move the selection head one group backward.
*/
exports.selectGroupForward = selectGroupForward;
const selectGroupBackward = view => selectByGroup(view, false);
exports.selectGroupBackward = selectGroupBackward;
function selectBySubword(view, forward) {
  return extendSel(view, range => moveBySubword(view, range, forward));
}
/**
Move the selection head one group or camel-case subword forward.
*/
const selectSubwordForward = view => selectBySubword(view, true);
/**
Move the selection head one group or subword backward.
*/
exports.selectSubwordForward = selectSubwordForward;
const selectSubwordBackward = view => selectBySubword(view, false);
/**
Move the selection head over the next syntactic element to the left.
*/
exports.selectSubwordBackward = selectSubwordBackward;
const selectSyntaxLeft = view => extendSel(view, range => moveBySyntax(view.state, range, !ltrAtCursor(view)));
/**
Move the selection head over the next syntactic element to the right.
*/
exports.selectSyntaxLeft = selectSyntaxLeft;
const selectSyntaxRight = view => extendSel(view, range => moveBySyntax(view.state, range, ltrAtCursor(view)));
exports.selectSyntaxRight = selectSyntaxRight;
function selectByLine(view, forward) {
  return extendSel(view, range => view.moveVertically(range, forward));
}
/**
Move the selection head one line up.
*/
const selectLineUp = view => selectByLine(view, false);
/**
Move the selection head one line down.
*/
exports.selectLineUp = selectLineUp;
const selectLineDown = view => selectByLine(view, true);
exports.selectLineDown = selectLineDown;
function selectByPage(view, forward) {
  return extendSel(view, range => view.moveVertically(range, forward, pageInfo(view).height));
}
/**
Move the selection head one page up.
*/
const selectPageUp = view => selectByPage(view, false);
/**
Move the selection head one page down.
*/
exports.selectPageUp = selectPageUp;
const selectPageDown = view => selectByPage(view, true);
/**
Move the selection head to the next line boundary.
*/
exports.selectPageDown = selectPageDown;
const selectLineBoundaryForward = view => extendSel(view, range => moveByLineBoundary(view, range, true));
/**
Move the selection head to the previous line boundary.
*/
exports.selectLineBoundaryForward = selectLineBoundaryForward;
const selectLineBoundaryBackward = view => extendSel(view, range => moveByLineBoundary(view, range, false));
/**
Move the selection head one line boundary to the left.
*/
exports.selectLineBoundaryBackward = selectLineBoundaryBackward;
const selectLineBoundaryLeft = view => extendSel(view, range => moveByLineBoundary(view, range, !ltrAtCursor(view)));
/**
Move the selection head one line boundary to the right.
*/
exports.selectLineBoundaryLeft = selectLineBoundaryLeft;
const selectLineBoundaryRight = view => extendSel(view, range => moveByLineBoundary(view, range, ltrAtCursor(view)));
/**
Move the selection head to the start of the line.
*/
exports.selectLineBoundaryRight = selectLineBoundaryRight;
const selectLineStart = view => extendSel(view, range => _state.EditorSelection.cursor(view.lineBlockAt(range.head).from));
/**
Move the selection head to the end of the line.
*/
exports.selectLineStart = selectLineStart;
const selectLineEnd = view => extendSel(view, range => _state.EditorSelection.cursor(view.lineBlockAt(range.head).to));
/**
Move the selection to the start of the document.
*/
exports.selectLineEnd = selectLineEnd;
const cursorDocStart = ({
  state,
  dispatch
}) => {
  dispatch(setSel(state, {
    anchor: 0
  }));
  return true;
};
/**
Move the selection to the end of the document.
*/
exports.cursorDocStart = cursorDocStart;
const cursorDocEnd = ({
  state,
  dispatch
}) => {
  dispatch(setSel(state, {
    anchor: state.doc.length
  }));
  return true;
};
/**
Move the selection head to the start of the document.
*/
exports.cursorDocEnd = cursorDocEnd;
const selectDocStart = ({
  state,
  dispatch
}) => {
  dispatch(setSel(state, {
    anchor: state.selection.main.anchor,
    head: 0
  }));
  return true;
};
/**
Move the selection head to the end of the document.
*/
exports.selectDocStart = selectDocStart;
const selectDocEnd = ({
  state,
  dispatch
}) => {
  dispatch(setSel(state, {
    anchor: state.selection.main.anchor,
    head: state.doc.length
  }));
  return true;
};
/**
Select the entire document.
*/
exports.selectDocEnd = selectDocEnd;
const selectAll = ({
  state,
  dispatch
}) => {
  dispatch(state.update({
    selection: {
      anchor: 0,
      head: state.doc.length
    },
    userEvent: "select"
  }));
  return true;
};
/**
Expand the selection to cover entire lines.
*/
exports.selectAll = selectAll;
const selectLine = ({
  state,
  dispatch
}) => {
  let ranges = selectedLineBlocks(state).map(({
    from,
    to
  }) => _state.EditorSelection.range(from, Math.min(to + 1, state.doc.length)));
  dispatch(state.update({
    selection: _state.EditorSelection.create(ranges),
    userEvent: "select"
  }));
  return true;
};
/**
Select the next syntactic construct that is larger than the
selection. Note that this will only work insofar as the language
[provider](https://codemirror.net/6/docs/ref/#language.language) you use builds up a full
syntax tree.
*/
exports.selectLine = selectLine;
const selectParentSyntax = ({
  state,
  dispatch
}) => {
  let selection = updateSel(state.selection, range => {
    var _a;
    let context = (0, _language.syntaxTree)(state).resolveInner(range.head, 1);
    while (!(context.from < range.from && context.to >= range.to || context.to > range.to && context.from <= range.from || !((_a = context.parent) === null || _a === void 0 ? void 0 : _a.parent))) context = context.parent;
    return _state.EditorSelection.range(context.to, context.from);
  });
  dispatch(setSel(state, selection));
  return true;
};
/**
Simplify the current selection. When multiple ranges are selected,
reduce it to its main range. Otherwise, if the selection is
non-empty, convert it to a cursor selection.
*/
exports.selectParentSyntax = selectParentSyntax;
const simplifySelection = ({
  state,
  dispatch
}) => {
  let cur = state.selection,
    selection = null;
  if (cur.ranges.length > 1) selection = _state.EditorSelection.create([cur.main]);else if (!cur.main.empty) selection = _state.EditorSelection.create([_state.EditorSelection.cursor(cur.main.head)]);
  if (!selection) return false;
  dispatch(setSel(state, selection));
  return true;
};
exports.simplifySelection = simplifySelection;
function deleteBy(target, by) {
  if (target.state.readOnly) return false;
  let event = "delete.selection",
    {
      state
    } = target;
  let changes = state.changeByRange(range => {
    let {
      from,
      to
    } = range;
    if (from == to) {
      let towards = by(from);
      if (towards < from) {
        event = "delete.backward";
        towards = skipAtomic(target, towards, false);
      } else if (towards > from) {
        event = "delete.forward";
        towards = skipAtomic(target, towards, true);
      }
      from = Math.min(from, towards);
      to = Math.max(to, towards);
    } else {
      from = skipAtomic(target, from, false);
      to = skipAtomic(target, to, true);
    }
    return from == to ? {
      range
    } : {
      changes: {
        from,
        to
      },
      range: _state.EditorSelection.cursor(from)
    };
  });
  if (changes.changes.empty) return false;
  target.dispatch(state.update(changes, {
    scrollIntoView: true,
    userEvent: event,
    effects: event == "delete.selection" ? _view.EditorView.announce.of(state.phrase("Selection deleted")) : undefined
  }));
  return true;
}
function skipAtomic(target, pos, forward) {
  if (target instanceof _view.EditorView) for (let ranges of target.state.facet(_view.EditorView.atomicRanges).map(f => f(target))) ranges.between(pos, pos, (from, to) => {
    if (from < pos && to > pos) pos = forward ? to : from;
  });
  return pos;
}
const deleteByChar = (target, forward) => deleteBy(target, pos => {
  let {
      state
    } = target,
    line = state.doc.lineAt(pos),
    before,
    targetPos;
  if (!forward && pos > line.from && pos < line.from + 200 && !/[^ \t]/.test(before = line.text.slice(0, pos - line.from))) {
    if (before[before.length - 1] == "\t") return pos - 1;
    let col = (0, _state.countColumn)(before, state.tabSize),
      drop = col % (0, _language.getIndentUnit)(state) || (0, _language.getIndentUnit)(state);
    for (let i = 0; i < drop && before[before.length - 1 - i] == " "; i++) pos--;
    targetPos = pos;
  } else {
    targetPos = (0, _state.findClusterBreak)(line.text, pos - line.from, forward, forward) + line.from;
    if (targetPos == pos && line.number != (forward ? state.doc.lines : 1)) targetPos += forward ? 1 : -1;
  }
  return targetPos;
});
/**
Delete the selection, or, for cursor selections, the character
before the cursor.
*/
const deleteCharBackward = view => deleteByChar(view, false);
/**
Delete the selection or the character after the cursor.
*/
exports.deleteCharBackward = deleteCharBackward;
const deleteCharForward = view => deleteByChar(view, true);
exports.deleteCharForward = deleteCharForward;
const deleteByGroup = (target, forward) => deleteBy(target, start => {
  let pos = start,
    {
      state
    } = target,
    line = state.doc.lineAt(pos);
  let categorize = state.charCategorizer(pos);
  for (let cat = null;;) {
    if (pos == (forward ? line.to : line.from)) {
      if (pos == start && line.number != (forward ? state.doc.lines : 1)) pos += forward ? 1 : -1;
      break;
    }
    let next = (0, _state.findClusterBreak)(line.text, pos - line.from, forward) + line.from;
    let nextChar = line.text.slice(Math.min(pos, next) - line.from, Math.max(pos, next) - line.from);
    let nextCat = categorize(nextChar);
    if (cat != null && nextCat != cat) break;
    if (nextChar != " " || pos != start) cat = nextCat;
    pos = next;
  }
  return pos;
});
/**
Delete the selection or backward until the end of the next
[group](https://codemirror.net/6/docs/ref/#view.EditorView.moveByGroup), only skipping groups of
whitespace when they consist of a single space.
*/
const deleteGroupBackward = target => deleteByGroup(target, false);
/**
Delete the selection or forward until the end of the next group.
*/
exports.deleteGroupBackward = deleteGroupBackward;
const deleteGroupForward = target => deleteByGroup(target, true);
/**
Delete the selection, or, if it is a cursor selection, delete to
the end of the line. If the cursor is directly at the end of the
line, delete the line break after it.
*/
exports.deleteGroupForward = deleteGroupForward;
const deleteToLineEnd = view => deleteBy(view, pos => {
  let lineEnd = view.lineBlockAt(pos).to;
  return pos < lineEnd ? lineEnd : Math.min(view.state.doc.length, pos + 1);
});
/**
Delete the selection, or, if it is a cursor selection, delete to
the start of the line. If the cursor is directly at the start of the
line, delete the line break before it.
*/
exports.deleteToLineEnd = deleteToLineEnd;
const deleteToLineStart = view => deleteBy(view, pos => {
  let lineStart = view.lineBlockAt(pos).from;
  return pos > lineStart ? lineStart : Math.max(0, pos - 1);
});
/**
Delete all whitespace directly before a line end from the
document.
*/
exports.deleteToLineStart = deleteToLineStart;
const deleteTrailingWhitespace = ({
  state,
  dispatch
}) => {
  if (state.readOnly) return false;
  let changes = [];
  for (let pos = 0, prev = "", iter = state.doc.iter();;) {
    iter.next();
    if (iter.lineBreak || iter.done) {
      let trailing = prev.search(/\s+$/);
      if (trailing > -1) changes.push({
        from: pos - (prev.length - trailing),
        to: pos
      });
      if (iter.done) break;
      prev = "";
    } else {
      prev = iter.value;
    }
    pos += iter.value.length;
  }
  if (!changes.length) return false;
  dispatch(state.update({
    changes,
    userEvent: "delete"
  }));
  return true;
};
/**
Replace each selection range with a line break, leaving the cursor
on the line before the break.
*/
exports.deleteTrailingWhitespace = deleteTrailingWhitespace;
const splitLine = ({
  state,
  dispatch
}) => {
  if (state.readOnly) return false;
  let changes = state.changeByRange(range => {
    return {
      changes: {
        from: range.from,
        to: range.to,
        insert: _state.Text.of(["", ""])
      },
      range: _state.EditorSelection.cursor(range.from)
    };
  });
  dispatch(state.update(changes, {
    scrollIntoView: true,
    userEvent: "input"
  }));
  return true;
};
/**
Flip the characters before and after the cursor(s).
*/
exports.splitLine = splitLine;
const transposeChars = ({
  state,
  dispatch
}) => {
  if (state.readOnly) return false;
  let changes = state.changeByRange(range => {
    if (!range.empty || range.from == 0 || range.from == state.doc.length) return {
      range
    };
    let pos = range.from,
      line = state.doc.lineAt(pos);
    let from = pos == line.from ? pos - 1 : (0, _state.findClusterBreak)(line.text, pos - line.from, false) + line.from;
    let to = pos == line.to ? pos + 1 : (0, _state.findClusterBreak)(line.text, pos - line.from, true) + line.from;
    return {
      changes: {
        from,
        to,
        insert: state.doc.slice(pos, to).append(state.doc.slice(from, pos))
      },
      range: _state.EditorSelection.cursor(to)
    };
  });
  if (changes.changes.empty) return false;
  dispatch(state.update(changes, {
    scrollIntoView: true,
    userEvent: "move.character"
  }));
  return true;
};
exports.transposeChars = transposeChars;
function selectedLineBlocks(state) {
  let blocks = [],
    upto = -1;
  for (let range of state.selection.ranges) {
    let startLine = state.doc.lineAt(range.from),
      endLine = state.doc.lineAt(range.to);
    if (!range.empty && range.to == endLine.from) endLine = state.doc.lineAt(range.to - 1);
    if (upto >= startLine.number) {
      let prev = blocks[blocks.length - 1];
      prev.to = endLine.to;
      prev.ranges.push(range);
    } else {
      blocks.push({
        from: startLine.from,
        to: endLine.to,
        ranges: [range]
      });
    }
    upto = endLine.number + 1;
  }
  return blocks;
}
function moveLine(state, dispatch, forward) {
  if (state.readOnly) return false;
  let changes = [],
    ranges = [];
  for (let block of selectedLineBlocks(state)) {
    if (forward ? block.to == state.doc.length : block.from == 0) continue;
    let nextLine = state.doc.lineAt(forward ? block.to + 1 : block.from - 1);
    let size = nextLine.length + 1;
    if (forward) {
      changes.push({
        from: block.to,
        to: nextLine.to
      }, {
        from: block.from,
        insert: nextLine.text + state.lineBreak
      });
      for (let r of block.ranges) ranges.push(_state.EditorSelection.range(Math.min(state.doc.length, r.anchor + size), Math.min(state.doc.length, r.head + size)));
    } else {
      changes.push({
        from: nextLine.from,
        to: block.from
      }, {
        from: block.to,
        insert: state.lineBreak + nextLine.text
      });
      for (let r of block.ranges) ranges.push(_state.EditorSelection.range(r.anchor - size, r.head - size));
    }
  }
  if (!changes.length) return false;
  dispatch(state.update({
    changes,
    scrollIntoView: true,
    selection: _state.EditorSelection.create(ranges, state.selection.mainIndex),
    userEvent: "move.line"
  }));
  return true;
}
/**
Move the selected lines up one line.
*/
const moveLineUp = ({
  state,
  dispatch
}) => moveLine(state, dispatch, false);
/**
Move the selected lines down one line.
*/
exports.moveLineUp = moveLineUp;
const moveLineDown = ({
  state,
  dispatch
}) => moveLine(state, dispatch, true);
exports.moveLineDown = moveLineDown;
function copyLine(state, dispatch, forward) {
  if (state.readOnly) return false;
  let changes = [];
  for (let block of selectedLineBlocks(state)) {
    if (forward) changes.push({
      from: block.from,
      insert: state.doc.slice(block.from, block.to) + state.lineBreak
    });else changes.push({
      from: block.to,
      insert: state.lineBreak + state.doc.slice(block.from, block.to)
    });
  }
  dispatch(state.update({
    changes,
    scrollIntoView: true,
    userEvent: "input.copyline"
  }));
  return true;
}
/**
Create a copy of the selected lines. Keep the selection in the top copy.
*/
const copyLineUp = ({
  state,
  dispatch
}) => copyLine(state, dispatch, false);
/**
Create a copy of the selected lines. Keep the selection in the bottom copy.
*/
exports.copyLineUp = copyLineUp;
const copyLineDown = ({
  state,
  dispatch
}) => copyLine(state, dispatch, true);
/**
Delete selected lines.
*/
exports.copyLineDown = copyLineDown;
const deleteLine = view => {
  if (view.state.readOnly) return false;
  let {
      state
    } = view,
    changes = state.changes(selectedLineBlocks(state).map(({
      from,
      to
    }) => {
      if (from > 0) from--;else if (to < state.doc.length) to++;
      return {
        from,
        to
      };
    }));
  let selection = updateSel(state.selection, range => view.moveVertically(range, true)).map(changes);
  view.dispatch({
    changes,
    selection,
    scrollIntoView: true,
    userEvent: "delete.line"
  });
  return true;
};
/**
Replace the selection with a newline.
*/
exports.deleteLine = deleteLine;
const insertNewline = ({
  state,
  dispatch
}) => {
  dispatch(state.update(state.replaceSelection(state.lineBreak), {
    scrollIntoView: true,
    userEvent: "input"
  }));
  return true;
};
exports.insertNewline = insertNewline;
function isBetweenBrackets(state, pos) {
  if (/\(\)|\[\]|\{\}/.test(state.sliceDoc(pos - 1, pos + 1))) return {
    from: pos,
    to: pos
  };
  let context = (0, _language.syntaxTree)(state).resolveInner(pos);
  let before = context.childBefore(pos),
    after = context.childAfter(pos),
    closedBy;
  if (before && after && before.to <= pos && after.from >= pos && (closedBy = before.type.prop(_common.NodeProp.closedBy)) && closedBy.indexOf(after.name) > -1 && state.doc.lineAt(before.to).from == state.doc.lineAt(after.from).from) return {
    from: before.to,
    to: after.from
  };
  return null;
}
/**
Replace the selection with a newline and indent the newly created
line(s). If the current line consists only of whitespace, this
will also delete that whitespace. When the cursor is between
matching brackets, an additional newline will be inserted after
the cursor.
*/
const insertNewlineAndIndent = /*@__PURE__*/newlineAndIndent(false);
/**
Create a blank, indented line below the current line.
*/
exports.insertNewlineAndIndent = insertNewlineAndIndent;
const insertBlankLine = /*@__PURE__*/newlineAndIndent(true);
exports.insertBlankLine = insertBlankLine;
function newlineAndIndent(atEof) {
  return ({
    state,
    dispatch
  }) => {
    if (state.readOnly) return false;
    let changes = state.changeByRange(range => {
      let {
          from,
          to
        } = range,
        line = state.doc.lineAt(from);
      let explode = !atEof && from == to && isBetweenBrackets(state, from);
      if (atEof) from = to = (to <= line.to ? line : state.doc.lineAt(to)).to;
      let cx = new _language.IndentContext(state, {
        simulateBreak: from,
        simulateDoubleBreak: !!explode
      });
      let indent = (0, _language.getIndentation)(cx, from);
      if (indent == null) indent = /^\s*/.exec(state.doc.lineAt(from).text)[0].length;
      while (to < line.to && /\s/.test(line.text[to - line.from])) to++;
      if (explode) ({
        from,
        to
      } = explode);else if (from > line.from && from < line.from + 100 && !/\S/.test(line.text.slice(0, from))) from = line.from;
      let insert = ["", (0, _language.indentString)(state, indent)];
      if (explode) insert.push((0, _language.indentString)(state, cx.lineIndent(line.from, -1)));
      return {
        changes: {
          from,
          to,
          insert: _state.Text.of(insert)
        },
        range: _state.EditorSelection.cursor(from + 1 + insert[1].length)
      };
    });
    dispatch(state.update(changes, {
      scrollIntoView: true,
      userEvent: "input"
    }));
    return true;
  };
}
function changeBySelectedLine(state, f) {
  let atLine = -1;
  return state.changeByRange(range => {
    let changes = [];
    for (let pos = range.from; pos <= range.to;) {
      let line = state.doc.lineAt(pos);
      if (line.number > atLine && (range.empty || range.to > line.from)) {
        f(line, changes, range);
        atLine = line.number;
      }
      pos = line.to + 1;
    }
    let changeSet = state.changes(changes);
    return {
      changes,
      range: _state.EditorSelection.range(changeSet.mapPos(range.anchor, 1), changeSet.mapPos(range.head, 1))
    };
  });
}
/**
Auto-indent the selected lines. This uses the [indentation service
facet](https://codemirror.net/6/docs/ref/#language.indentService) as source for auto-indent
information.
*/
const indentSelection = ({
  state,
  dispatch
}) => {
  if (state.readOnly) return false;
  let updated = Object.create(null);
  let context = new _language.IndentContext(state, {
    overrideIndentation: start => {
      let found = updated[start];
      return found == null ? -1 : found;
    }
  });
  let changes = changeBySelectedLine(state, (line, changes, range) => {
    let indent = (0, _language.getIndentation)(context, line.from);
    if (indent == null) return;
    if (!/\S/.test(line.text)) indent = 0;
    let cur = /^\s*/.exec(line.text)[0];
    let norm = (0, _language.indentString)(state, indent);
    if (cur != norm || range.from < line.from + cur.length) {
      updated[line.from] = indent;
      changes.push({
        from: line.from,
        to: line.from + cur.length,
        insert: norm
      });
    }
  });
  if (!changes.changes.empty) dispatch(state.update(changes, {
    userEvent: "indent"
  }));
  return true;
};
/**
Add a [unit](https://codemirror.net/6/docs/ref/#language.indentUnit) of indentation to all selected
lines.
*/
exports.indentSelection = indentSelection;
const indentMore = ({
  state,
  dispatch
}) => {
  if (state.readOnly) return false;
  dispatch(state.update(changeBySelectedLine(state, (line, changes) => {
    changes.push({
      from: line.from,
      insert: state.facet(_language.indentUnit)
    });
  }), {
    userEvent: "input.indent"
  }));
  return true;
};
/**
Remove a [unit](https://codemirror.net/6/docs/ref/#language.indentUnit) of indentation from all
selected lines.
*/
exports.indentMore = indentMore;
const indentLess = ({
  state,
  dispatch
}) => {
  if (state.readOnly) return false;
  dispatch(state.update(changeBySelectedLine(state, (line, changes) => {
    let space = /^\s*/.exec(line.text)[0];
    if (!space) return;
    let col = (0, _state.countColumn)(space, state.tabSize),
      keep = 0;
    let insert = (0, _language.indentString)(state, Math.max(0, col - (0, _language.getIndentUnit)(state)));
    while (keep < space.length && keep < insert.length && space.charCodeAt(keep) == insert.charCodeAt(keep)) keep++;
    changes.push({
      from: line.from + keep,
      to: line.from + space.length,
      insert: insert.slice(keep)
    });
  }), {
    userEvent: "delete.dedent"
  }));
  return true;
};
/**
Insert a tab character at the cursor or, if something is selected,
use [`indentMore`](https://codemirror.net/6/docs/ref/#commands.indentMore) to indent the entire
selection.
*/
exports.indentLess = indentLess;
const insertTab = ({
  state,
  dispatch
}) => {
  if (state.selection.ranges.some(r => !r.empty)) return indentMore({
    state,
    dispatch
  });
  dispatch(state.update(state.replaceSelection("\t"), {
    scrollIntoView: true,
    userEvent: "input"
  }));
  return true;
};
/**
Array of key bindings containing the Emacs-style bindings that are
available on macOS by default.

 - Ctrl-b: [`cursorCharLeft`](https://codemirror.net/6/docs/ref/#commands.cursorCharLeft) ([`selectCharLeft`](https://codemirror.net/6/docs/ref/#commands.selectCharLeft) with Shift)
 - Ctrl-f: [`cursorCharRight`](https://codemirror.net/6/docs/ref/#commands.cursorCharRight) ([`selectCharRight`](https://codemirror.net/6/docs/ref/#commands.selectCharRight) with Shift)
 - Ctrl-p: [`cursorLineUp`](https://codemirror.net/6/docs/ref/#commands.cursorLineUp) ([`selectLineUp`](https://codemirror.net/6/docs/ref/#commands.selectLineUp) with Shift)
 - Ctrl-n: [`cursorLineDown`](https://codemirror.net/6/docs/ref/#commands.cursorLineDown) ([`selectLineDown`](https://codemirror.net/6/docs/ref/#commands.selectLineDown) with Shift)
 - Ctrl-a: [`cursorLineStart`](https://codemirror.net/6/docs/ref/#commands.cursorLineStart) ([`selectLineStart`](https://codemirror.net/6/docs/ref/#commands.selectLineStart) with Shift)
 - Ctrl-e: [`cursorLineEnd`](https://codemirror.net/6/docs/ref/#commands.cursorLineEnd) ([`selectLineEnd`](https://codemirror.net/6/docs/ref/#commands.selectLineEnd) with Shift)
 - Ctrl-d: [`deleteCharForward`](https://codemirror.net/6/docs/ref/#commands.deleteCharForward)
 - Ctrl-h: [`deleteCharBackward`](https://codemirror.net/6/docs/ref/#commands.deleteCharBackward)
 - Ctrl-k: [`deleteToLineEnd`](https://codemirror.net/6/docs/ref/#commands.deleteToLineEnd)
 - Ctrl-Alt-h: [`deleteGroupBackward`](https://codemirror.net/6/docs/ref/#commands.deleteGroupBackward)
 - Ctrl-o: [`splitLine`](https://codemirror.net/6/docs/ref/#commands.splitLine)
 - Ctrl-t: [`transposeChars`](https://codemirror.net/6/docs/ref/#commands.transposeChars)
 - Ctrl-v: [`cursorPageDown`](https://codemirror.net/6/docs/ref/#commands.cursorPageDown)
 - Alt-v: [`cursorPageUp`](https://codemirror.net/6/docs/ref/#commands.cursorPageUp)
*/
exports.insertTab = insertTab;
const emacsStyleKeymap = [{
  key: "Ctrl-b",
  run: cursorCharLeft,
  shift: selectCharLeft,
  preventDefault: true
}, {
  key: "Ctrl-f",
  run: cursorCharRight,
  shift: selectCharRight
}, {
  key: "Ctrl-p",
  run: cursorLineUp,
  shift: selectLineUp
}, {
  key: "Ctrl-n",
  run: cursorLineDown,
  shift: selectLineDown
}, {
  key: "Ctrl-a",
  run: cursorLineStart,
  shift: selectLineStart
}, {
  key: "Ctrl-e",
  run: cursorLineEnd,
  shift: selectLineEnd
}, {
  key: "Ctrl-d",
  run: deleteCharForward
}, {
  key: "Ctrl-h",
  run: deleteCharBackward
}, {
  key: "Ctrl-k",
  run: deleteToLineEnd
}, {
  key: "Ctrl-Alt-h",
  run: deleteGroupBackward
}, {
  key: "Ctrl-o",
  run: splitLine
}, {
  key: "Ctrl-t",
  run: transposeChars
}, {
  key: "Ctrl-v",
  run: cursorPageDown
}];
/**
An array of key bindings closely sticking to platform-standard or
widely used bindings. (This includes the bindings from
[`emacsStyleKeymap`](https://codemirror.net/6/docs/ref/#commands.emacsStyleKeymap), with their `key`
property changed to `mac`.)

 - ArrowLeft: [`cursorCharLeft`](https://codemirror.net/6/docs/ref/#commands.cursorCharLeft) ([`selectCharLeft`](https://codemirror.net/6/docs/ref/#commands.selectCharLeft) with Shift)
 - ArrowRight: [`cursorCharRight`](https://codemirror.net/6/docs/ref/#commands.cursorCharRight) ([`selectCharRight`](https://codemirror.net/6/docs/ref/#commands.selectCharRight) with Shift)
 - Ctrl-ArrowLeft (Alt-ArrowLeft on macOS): [`cursorGroupLeft`](https://codemirror.net/6/docs/ref/#commands.cursorGroupLeft) ([`selectGroupLeft`](https://codemirror.net/6/docs/ref/#commands.selectGroupLeft) with Shift)
 - Ctrl-ArrowRight (Alt-ArrowRight on macOS): [`cursorGroupRight`](https://codemirror.net/6/docs/ref/#commands.cursorGroupRight) ([`selectGroupRight`](https://codemirror.net/6/docs/ref/#commands.selectGroupRight) with Shift)
 - Cmd-ArrowLeft (on macOS): [`cursorLineStart`](https://codemirror.net/6/docs/ref/#commands.cursorLineStart) ([`selectLineStart`](https://codemirror.net/6/docs/ref/#commands.selectLineStart) with Shift)
 - Cmd-ArrowRight (on macOS): [`cursorLineEnd`](https://codemirror.net/6/docs/ref/#commands.cursorLineEnd) ([`selectLineEnd`](https://codemirror.net/6/docs/ref/#commands.selectLineEnd) with Shift)
 - ArrowUp: [`cursorLineUp`](https://codemirror.net/6/docs/ref/#commands.cursorLineUp) ([`selectLineUp`](https://codemirror.net/6/docs/ref/#commands.selectLineUp) with Shift)
 - ArrowDown: [`cursorLineDown`](https://codemirror.net/6/docs/ref/#commands.cursorLineDown) ([`selectLineDown`](https://codemirror.net/6/docs/ref/#commands.selectLineDown) with Shift)
 - Cmd-ArrowUp (on macOS): [`cursorDocStart`](https://codemirror.net/6/docs/ref/#commands.cursorDocStart) ([`selectDocStart`](https://codemirror.net/6/docs/ref/#commands.selectDocStart) with Shift)
 - Cmd-ArrowDown (on macOS): [`cursorDocEnd`](https://codemirror.net/6/docs/ref/#commands.cursorDocEnd) ([`selectDocEnd`](https://codemirror.net/6/docs/ref/#commands.selectDocEnd) with Shift)
 - Ctrl-ArrowUp (on macOS): [`cursorPageUp`](https://codemirror.net/6/docs/ref/#commands.cursorPageUp) ([`selectPageUp`](https://codemirror.net/6/docs/ref/#commands.selectPageUp) with Shift)
 - Ctrl-ArrowDown (on macOS): [`cursorPageDown`](https://codemirror.net/6/docs/ref/#commands.cursorPageDown) ([`selectPageDown`](https://codemirror.net/6/docs/ref/#commands.selectPageDown) with Shift)
 - PageUp: [`cursorPageUp`](https://codemirror.net/6/docs/ref/#commands.cursorPageUp) ([`selectPageUp`](https://codemirror.net/6/docs/ref/#commands.selectPageUp) with Shift)
 - PageDown: [`cursorPageDown`](https://codemirror.net/6/docs/ref/#commands.cursorPageDown) ([`selectPageDown`](https://codemirror.net/6/docs/ref/#commands.selectPageDown) with Shift)
 - Home: [`cursorLineBoundaryBackward`](https://codemirror.net/6/docs/ref/#commands.cursorLineBoundaryBackward) ([`selectLineBoundaryBackward`](https://codemirror.net/6/docs/ref/#commands.selectLineBoundaryBackward) with Shift)
 - End: [`cursorLineBoundaryForward`](https://codemirror.net/6/docs/ref/#commands.cursorLineBoundaryForward) ([`selectLineBoundaryForward`](https://codemirror.net/6/docs/ref/#commands.selectLineBoundaryForward) with Shift)
 - Ctrl-Home (Cmd-Home on macOS): [`cursorDocStart`](https://codemirror.net/6/docs/ref/#commands.cursorDocStart) ([`selectDocStart`](https://codemirror.net/6/docs/ref/#commands.selectDocStart) with Shift)
 - Ctrl-End (Cmd-Home on macOS): [`cursorDocEnd`](https://codemirror.net/6/docs/ref/#commands.cursorDocEnd) ([`selectDocEnd`](https://codemirror.net/6/docs/ref/#commands.selectDocEnd) with Shift)
 - Enter: [`insertNewlineAndIndent`](https://codemirror.net/6/docs/ref/#commands.insertNewlineAndIndent)
 - Ctrl-a (Cmd-a on macOS): [`selectAll`](https://codemirror.net/6/docs/ref/#commands.selectAll)
 - Backspace: [`deleteCharBackward`](https://codemirror.net/6/docs/ref/#commands.deleteCharBackward)
 - Delete: [`deleteCharForward`](https://codemirror.net/6/docs/ref/#commands.deleteCharForward)
 - Ctrl-Backspace (Alt-Backspace on macOS): [`deleteGroupBackward`](https://codemirror.net/6/docs/ref/#commands.deleteGroupBackward)
 - Ctrl-Delete (Alt-Delete on macOS): [`deleteGroupForward`](https://codemirror.net/6/docs/ref/#commands.deleteGroupForward)
 - Cmd-Backspace (macOS): [`deleteToLineStart`](https://codemirror.net/6/docs/ref/#commands.deleteToLineStart).
 - Cmd-Delete (macOS): [`deleteToLineEnd`](https://codemirror.net/6/docs/ref/#commands.deleteToLineEnd).
*/
exports.emacsStyleKeymap = emacsStyleKeymap;
const standardKeymap = /*@__PURE__*/[{
  key: "ArrowLeft",
  run: cursorCharLeft,
  shift: selectCharLeft,
  preventDefault: true
}, {
  key: "Mod-ArrowLeft",
  mac: "Alt-ArrowLeft",
  run: cursorGroupLeft,
  shift: selectGroupLeft,
  preventDefault: true
}, {
  mac: "Cmd-ArrowLeft",
  run: cursorLineBoundaryLeft,
  shift: selectLineBoundaryLeft,
  preventDefault: true
}, {
  key: "ArrowRight",
  run: cursorCharRight,
  shift: selectCharRight,
  preventDefault: true
}, {
  key: "Mod-ArrowRight",
  mac: "Alt-ArrowRight",
  run: cursorGroupRight,
  shift: selectGroupRight,
  preventDefault: true
}, {
  mac: "Cmd-ArrowRight",
  run: cursorLineBoundaryRight,
  shift: selectLineBoundaryRight,
  preventDefault: true
}, {
  key: "ArrowUp",
  run: cursorLineUp,
  shift: selectLineUp,
  preventDefault: true
}, {
  mac: "Cmd-ArrowUp",
  run: cursorDocStart,
  shift: selectDocStart
}, {
  mac: "Ctrl-ArrowUp",
  run: cursorPageUp,
  shift: selectPageUp
}, {
  key: "ArrowDown",
  run: cursorLineDown,
  shift: selectLineDown,
  preventDefault: true
}, {
  mac: "Cmd-ArrowDown",
  run: cursorDocEnd,
  shift: selectDocEnd
}, {
  mac: "Ctrl-ArrowDown",
  run: cursorPageDown,
  shift: selectPageDown
}, {
  key: "PageUp",
  run: cursorPageUp,
  shift: selectPageUp
}, {
  key: "PageDown",
  run: cursorPageDown,
  shift: selectPageDown
}, {
  key: "Home",
  run: cursorLineBoundaryBackward,
  shift: selectLineBoundaryBackward,
  preventDefault: true
}, {
  key: "Mod-Home",
  run: cursorDocStart,
  shift: selectDocStart
}, {
  key: "End",
  run: cursorLineBoundaryForward,
  shift: selectLineBoundaryForward,
  preventDefault: true
}, {
  key: "Mod-End",
  run: cursorDocEnd,
  shift: selectDocEnd
}, {
  key: "Enter",
  run: insertNewlineAndIndent
}, {
  key: "Mod-a",
  run: selectAll
}, {
  key: "Backspace",
  run: deleteCharBackward,
  shift: deleteCharBackward
}, {
  key: "Delete",
  run: deleteCharForward
}, {
  key: "Mod-Backspace",
  mac: "Alt-Backspace",
  run: deleteGroupBackward
}, {
  key: "Mod-Delete",
  mac: "Alt-Delete",
  run: deleteGroupForward
}, {
  mac: "Mod-Backspace",
  run: deleteToLineStart
}, {
  mac: "Mod-Delete",
  run: deleteToLineEnd
}].concat( /*@__PURE__*/emacsStyleKeymap.map(b => ({
  mac: b.key,
  run: b.run,
  shift: b.shift
})));
/**
The default keymap. Includes all bindings from
[`standardKeymap`](https://codemirror.net/6/docs/ref/#commands.standardKeymap) plus the following:

- Alt-ArrowLeft (Ctrl-ArrowLeft on macOS): [`cursorSyntaxLeft`](https://codemirror.net/6/docs/ref/#commands.cursorSyntaxLeft) ([`selectSyntaxLeft`](https://codemirror.net/6/docs/ref/#commands.selectSyntaxLeft) with Shift)
- Alt-ArrowRight (Ctrl-ArrowRight on macOS): [`cursorSyntaxRight`](https://codemirror.net/6/docs/ref/#commands.cursorSyntaxRight) ([`selectSyntaxRight`](https://codemirror.net/6/docs/ref/#commands.selectSyntaxRight) with Shift)
- Alt-ArrowUp: [`moveLineUp`](https://codemirror.net/6/docs/ref/#commands.moveLineUp)
- Alt-ArrowDown: [`moveLineDown`](https://codemirror.net/6/docs/ref/#commands.moveLineDown)
- Shift-Alt-ArrowUp: [`copyLineUp`](https://codemirror.net/6/docs/ref/#commands.copyLineUp)
- Shift-Alt-ArrowDown: [`copyLineDown`](https://codemirror.net/6/docs/ref/#commands.copyLineDown)
- Escape: [`simplifySelection`](https://codemirror.net/6/docs/ref/#commands.simplifySelection)
- Ctrl-Enter (Comd-Enter on macOS): [`insertBlankLine`](https://codemirror.net/6/docs/ref/#commands.insertBlankLine)
- Alt-l (Ctrl-l on macOS): [`selectLine`](https://codemirror.net/6/docs/ref/#commands.selectLine)
- Ctrl-i (Cmd-i on macOS): [`selectParentSyntax`](https://codemirror.net/6/docs/ref/#commands.selectParentSyntax)
- Ctrl-[ (Cmd-[ on macOS): [`indentLess`](https://codemirror.net/6/docs/ref/#commands.indentLess)
- Ctrl-] (Cmd-] on macOS): [`indentMore`](https://codemirror.net/6/docs/ref/#commands.indentMore)
- Ctrl-Alt-\\ (Cmd-Alt-\\ on macOS): [`indentSelection`](https://codemirror.net/6/docs/ref/#commands.indentSelection)
- Shift-Ctrl-k (Shift-Cmd-k on macOS): [`deleteLine`](https://codemirror.net/6/docs/ref/#commands.deleteLine)
- Shift-Ctrl-\\ (Shift-Cmd-\\ on macOS): [`cursorMatchingBracket`](https://codemirror.net/6/docs/ref/#commands.cursorMatchingBracket)
- Ctrl-/ (Cmd-/ on macOS): [`toggleComment`](https://codemirror.net/6/docs/ref/#commands.toggleComment).
- Shift-Alt-a: [`toggleBlockComment`](https://codemirror.net/6/docs/ref/#commands.toggleBlockComment).
*/
exports.standardKeymap = standardKeymap;
const defaultKeymap = /*@__PURE__*/[{
  key: "Alt-ArrowLeft",
  mac: "Ctrl-ArrowLeft",
  run: cursorSyntaxLeft,
  shift: selectSyntaxLeft
}, {
  key: "Alt-ArrowRight",
  mac: "Ctrl-ArrowRight",
  run: cursorSyntaxRight,
  shift: selectSyntaxRight
}, {
  key: "Alt-ArrowUp",
  run: moveLineUp
}, {
  key: "Shift-Alt-ArrowUp",
  run: copyLineUp
}, {
  key: "Alt-ArrowDown",
  run: moveLineDown
}, {
  key: "Shift-Alt-ArrowDown",
  run: copyLineDown
}, {
  key: "Escape",
  run: simplifySelection
}, {
  key: "Mod-Enter",
  run: insertBlankLine
}, {
  key: "Alt-l",
  mac: "Ctrl-l",
  run: selectLine
}, {
  key: "Mod-i",
  run: selectParentSyntax,
  preventDefault: true
}, {
  key: "Mod-[",
  run: indentLess
}, {
  key: "Mod-]",
  run: indentMore
}, {
  key: "Mod-Alt-\\",
  run: indentSelection
}, {
  key: "Shift-Mod-k",
  run: deleteLine
}, {
  key: "Shift-Mod-\\",
  run: cursorMatchingBracket
}, {
  key: "Mod-/",
  run: toggleComment
}, {
  key: "Alt-A",
  run: toggleBlockComment
}].concat(standardKeymap);
/**
A binding that binds Tab to [`indentMore`](https://codemirror.net/6/docs/ref/#commands.indentMore) and
Shift-Tab to [`indentLess`](https://codemirror.net/6/docs/ref/#commands.indentLess).
Please see the [Tab example](../../examples/tab/) before using
this.
*/
exports.defaultKeymap = defaultKeymap;
const indentWithTab = {
  key: "Tab",
  run: indentMore,
  shift: indentLess
};
exports.indentWithTab = indentWithTab;
},{"@codemirror/state":"node_modules/@codemirror/state/dist/index.js","@codemirror/view":"node_modules/@codemirror/view/dist/index.js","@codemirror/language":"node_modules/@codemirror/language/dist/index.js","@lezer/common":"node_modules/@lezer/common/dist/index.js"}],"node_modules/crelt/index.es.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = crelt;
function crelt() {
  var elt = arguments[0];
  if (typeof elt == "string") elt = document.createElement(elt);
  var i = 1,
    next = arguments[1];
  if (next && typeof next == "object" && next.nodeType == null && !Array.isArray(next)) {
    for (var name in next) if (Object.prototype.hasOwnProperty.call(next, name)) {
      var value = next[name];
      if (typeof value == "string") elt.setAttribute(name, value);else if (value != null) elt[name] = value;
    }
    i++;
  }
  for (; i < arguments.length; i++) add(elt, arguments[i]);
  return elt;
}
function add(elt, child) {
  if (typeof child == "string") {
    elt.appendChild(document.createTextNode(child));
  } else if (child == null) {} else if (child.nodeType != null) {
    elt.appendChild(child);
  } else if (Array.isArray(child)) {
    for (var i = 0; i < child.length; i++) add(elt, child[i]);
  } else {
    throw new RangeError("Unsupported child node: " + child);
  }
}
},{}],"node_modules/@codemirror/search/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.findPrevious = exports.findNext = exports.closeSearchPanel = exports.SearchQuery = exports.SearchCursor = exports.RegExpCursor = void 0;
exports.getSearchQuery = getSearchQuery;
exports.gotoLine = void 0;
exports.highlightSelectionMatches = highlightSelectionMatches;
exports.replaceNext = exports.replaceAll = exports.openSearchPanel = void 0;
exports.search = search;
exports.searchKeymap = void 0;
exports.searchPanelOpen = searchPanelOpen;
exports.setSearchQuery = exports.selectSelectionMatches = exports.selectNextOccurrence = exports.selectMatches = void 0;
var _view = require("@codemirror/view");
var _state = require("@codemirror/state");
var _crelt = _interopRequireDefault(require("crelt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const basicNormalize = typeof String.prototype.normalize == "function" ? x => x.normalize("NFKD") : x => x;
/**
A search cursor provides an iterator over text matches in a
document.
*/
class SearchCursor {
  /**
  Create a text cursor. The query is the search string, `from` to
  `to` provides the region to search.
  
  When `normalize` is given, it will be called, on both the query
  string and the content it is matched against, before comparing.
  You can, for example, create a case-insensitive search by
  passing `s => s.toLowerCase()`.
  
  Text is always normalized with
  [`.normalize("NFKD")`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/normalize)
  (when supported).
  */
  constructor(text, query, from = 0, to = text.length, normalize, test) {
    this.test = test;
    /**
    The current match (only holds a meaningful value after
    [`next`](https://codemirror.net/6/docs/ref/#search.SearchCursor.next) has been called and when
    `done` is false).
    */
    this.value = {
      from: 0,
      to: 0
    };
    /**
    Whether the end of the iterated region has been reached.
    */
    this.done = false;
    this.matches = [];
    this.buffer = "";
    this.bufferPos = 0;
    this.iter = text.iterRange(from, to);
    this.bufferStart = from;
    this.normalize = normalize ? x => normalize(basicNormalize(x)) : basicNormalize;
    this.query = this.normalize(query);
  }
  peek() {
    if (this.bufferPos == this.buffer.length) {
      this.bufferStart += this.buffer.length;
      this.iter.next();
      if (this.iter.done) return -1;
      this.bufferPos = 0;
      this.buffer = this.iter.value;
    }
    return (0, _state.codePointAt)(this.buffer, this.bufferPos);
  }
  /**
  Look for the next match. Updates the iterator's
  [`value`](https://codemirror.net/6/docs/ref/#search.SearchCursor.value) and
  [`done`](https://codemirror.net/6/docs/ref/#search.SearchCursor.done) properties. Should be called
  at least once before using the cursor.
  */
  next() {
    while (this.matches.length) this.matches.pop();
    return this.nextOverlapping();
  }
  /**
  The `next` method will ignore matches that partially overlap a
  previous match. This method behaves like `next`, but includes
  such matches.
  */
  nextOverlapping() {
    for (;;) {
      let next = this.peek();
      if (next < 0) {
        this.done = true;
        return this;
      }
      let str = (0, _state.fromCodePoint)(next),
        start = this.bufferStart + this.bufferPos;
      this.bufferPos += (0, _state.codePointSize)(next);
      let norm = this.normalize(str);
      for (let i = 0, pos = start;; i++) {
        let code = norm.charCodeAt(i);
        let match = this.match(code, pos);
        if (match) {
          this.value = match;
          return this;
        }
        if (i == norm.length - 1) break;
        if (pos == start && i < str.length && str.charCodeAt(i) == code) pos++;
      }
    }
  }
  match(code, pos) {
    let match = null;
    for (let i = 0; i < this.matches.length; i += 2) {
      let index = this.matches[i],
        keep = false;
      if (this.query.charCodeAt(index) == code) {
        if (index == this.query.length - 1) {
          match = {
            from: this.matches[i + 1],
            to: pos + 1
          };
        } else {
          this.matches[i]++;
          keep = true;
        }
      }
      if (!keep) {
        this.matches.splice(i, 2);
        i -= 2;
      }
    }
    if (this.query.charCodeAt(0) == code) {
      if (this.query.length == 1) match = {
        from: pos,
        to: pos + 1
      };else this.matches.push(1, pos);
    }
    if (match && this.test && !this.test(match.from, match.to, this.buffer, this.bufferPos)) match = null;
    return match;
  }
}
exports.SearchCursor = SearchCursor;
if (typeof Symbol != "undefined") SearchCursor.prototype[Symbol.iterator] = function () {
  return this;
};
const empty = {
  from: -1,
  to: -1,
  match: /*@__PURE__*/ /.*/.exec("")
};
const baseFlags = "gm" + (/x/.unicode == null ? "" : "u");
/**
This class is similar to [`SearchCursor`](https://codemirror.net/6/docs/ref/#search.SearchCursor)
but searches for a regular expression pattern instead of a plain
string.
*/
class RegExpCursor {
  /**
  Create a cursor that will search the given range in the given
  document. `query` should be the raw pattern (as you'd pass it to
  `new RegExp`).
  */
  constructor(text, query, options, from = 0, to = text.length) {
    this.text = text;
    this.to = to;
    this.curLine = "";
    /**
    Set to `true` when the cursor has reached the end of the search
    range.
    */
    this.done = false;
    /**
    Will contain an object with the extent of the match and the
    match object when [`next`](https://codemirror.net/6/docs/ref/#search.RegExpCursor.next)
    sucessfully finds a match.
    */
    this.value = empty;
    if (/\\[sWDnr]|\n|\r|\[\^/.test(query)) return new MultilineRegExpCursor(text, query, options, from, to);
    this.re = new RegExp(query, baseFlags + ((options === null || options === void 0 ? void 0 : options.ignoreCase) ? "i" : ""));
    this.test = options === null || options === void 0 ? void 0 : options.test;
    this.iter = text.iter();
    let startLine = text.lineAt(from);
    this.curLineStart = startLine.from;
    this.matchPos = toCharEnd(text, from);
    this.getLine(this.curLineStart);
  }
  getLine(skip) {
    this.iter.next(skip);
    if (this.iter.lineBreak) {
      this.curLine = "";
    } else {
      this.curLine = this.iter.value;
      if (this.curLineStart + this.curLine.length > this.to) this.curLine = this.curLine.slice(0, this.to - this.curLineStart);
      this.iter.next();
    }
  }
  nextLine() {
    this.curLineStart = this.curLineStart + this.curLine.length + 1;
    if (this.curLineStart > this.to) this.curLine = "";else this.getLine(0);
  }
  /**
  Move to the next match, if there is one.
  */
  next() {
    for (let off = this.matchPos - this.curLineStart;;) {
      this.re.lastIndex = off;
      let match = this.matchPos <= this.to && this.re.exec(this.curLine);
      if (match) {
        let from = this.curLineStart + match.index,
          to = from + match[0].length;
        this.matchPos = toCharEnd(this.text, to + (from == to ? 1 : 0));
        if (from == this.curLineStart + this.curLine.length) this.nextLine();
        if ((from < to || from > this.value.to) && (!this.test || this.test(from, to, match))) {
          this.value = {
            from,
            to,
            match
          };
          return this;
        }
        off = this.matchPos - this.curLineStart;
      } else if (this.curLineStart + this.curLine.length < this.to) {
        this.nextLine();
        off = 0;
      } else {
        this.done = true;
        return this;
      }
    }
  }
}
exports.RegExpCursor = RegExpCursor;
const flattened = /*@__PURE__*/new WeakMap();
// Reusable (partially) flattened document strings
class FlattenedDoc {
  constructor(from, text) {
    this.from = from;
    this.text = text;
  }
  get to() {
    return this.from + this.text.length;
  }
  static get(doc, from, to) {
    let cached = flattened.get(doc);
    if (!cached || cached.from >= to || cached.to <= from) {
      let flat = new FlattenedDoc(from, doc.sliceString(from, to));
      flattened.set(doc, flat);
      return flat;
    }
    if (cached.from == from && cached.to == to) return cached;
    let {
      text,
      from: cachedFrom
    } = cached;
    if (cachedFrom > from) {
      text = doc.sliceString(from, cachedFrom) + text;
      cachedFrom = from;
    }
    if (cached.to < to) text += doc.sliceString(cached.to, to);
    flattened.set(doc, new FlattenedDoc(cachedFrom, text));
    return new FlattenedDoc(from, text.slice(from - cachedFrom, to - cachedFrom));
  }
}
class MultilineRegExpCursor {
  constructor(text, query, options, from, to) {
    this.text = text;
    this.to = to;
    this.done = false;
    this.value = empty;
    this.matchPos = toCharEnd(text, from);
    this.re = new RegExp(query, baseFlags + ((options === null || options === void 0 ? void 0 : options.ignoreCase) ? "i" : ""));
    this.test = options === null || options === void 0 ? void 0 : options.test;
    this.flat = FlattenedDoc.get(text, from, this.chunkEnd(from + 5000 /* Chunk.Base */));
  }

  chunkEnd(pos) {
    return pos >= this.to ? this.to : this.text.lineAt(pos).to;
  }
  next() {
    for (;;) {
      let off = this.re.lastIndex = this.matchPos - this.flat.from;
      let match = this.re.exec(this.flat.text);
      // Skip empty matches directly after the last match
      if (match && !match[0] && match.index == off) {
        this.re.lastIndex = off + 1;
        match = this.re.exec(this.flat.text);
      }
      if (match) {
        let from = this.flat.from + match.index,
          to = from + match[0].length;
        // If a match goes almost to the end of a noncomplete chunk, try
        // again, since it'll likely be able to match more
        if ((this.flat.to >= this.to || match.index + match[0].length <= this.flat.text.length - 10) && (!this.test || this.test(from, to, match))) {
          this.value = {
            from,
            to,
            match
          };
          this.matchPos = toCharEnd(this.text, to + (from == to ? 1 : 0));
          return this;
        }
      }
      if (this.flat.to == this.to) {
        this.done = true;
        return this;
      }
      // Grow the flattened doc
      this.flat = FlattenedDoc.get(this.text, this.flat.from, this.chunkEnd(this.flat.from + this.flat.text.length * 2));
    }
  }
}
if (typeof Symbol != "undefined") {
  RegExpCursor.prototype[Symbol.iterator] = MultilineRegExpCursor.prototype[Symbol.iterator] = function () {
    return this;
  };
}
function validRegExp(source) {
  try {
    new RegExp(source, baseFlags);
    return true;
  } catch (_a) {
    return false;
  }
}
function toCharEnd(text, pos) {
  if (pos >= text.length) return pos;
  let line = text.lineAt(pos),
    next;
  while (pos < line.to && (next = line.text.charCodeAt(pos - line.from)) >= 0xDC00 && next < 0xE000) pos++;
  return pos;
}
function createLineDialog(view) {
  let input = (0, _crelt.default)("input", {
    class: "cm-textfield",
    name: "line"
  });
  let dom = (0, _crelt.default)("form", {
    class: "cm-gotoLine",
    onkeydown: event => {
      if (event.keyCode == 27) {
        // Escape
        event.preventDefault();
        view.dispatch({
          effects: dialogEffect.of(false)
        });
        view.focus();
      } else if (event.keyCode == 13) {
        // Enter
        event.preventDefault();
        go();
      }
    },
    onsubmit: event => {
      event.preventDefault();
      go();
    }
  }, (0, _crelt.default)("label", view.state.phrase("Go to line"), ": ", input), " ", (0, _crelt.default)("button", {
    class: "cm-button",
    type: "submit"
  }, view.state.phrase("go")));
  function go() {
    let match = /^([+-])?(\d+)?(:\d+)?(%)?$/.exec(input.value);
    if (!match) return;
    let {
        state
      } = view,
      startLine = state.doc.lineAt(state.selection.main.head);
    let [, sign, ln, cl, percent] = match;
    let col = cl ? +cl.slice(1) : 0;
    let line = ln ? +ln : startLine.number;
    if (ln && percent) {
      let pc = line / 100;
      if (sign) pc = pc * (sign == "-" ? -1 : 1) + startLine.number / state.doc.lines;
      line = Math.round(state.doc.lines * pc);
    } else if (ln && sign) {
      line = line * (sign == "-" ? -1 : 1) + startLine.number;
    }
    let docLine = state.doc.line(Math.max(1, Math.min(state.doc.lines, line)));
    view.dispatch({
      effects: dialogEffect.of(false),
      selection: _state.EditorSelection.cursor(docLine.from + Math.max(0, Math.min(col, docLine.length))),
      scrollIntoView: true
    });
    view.focus();
  }
  return {
    dom
  };
}
const dialogEffect = /*@__PURE__*/_state.StateEffect.define();
const dialogField = /*@__PURE__*/_state.StateField.define({
  create() {
    return true;
  },
  update(value, tr) {
    for (let e of tr.effects) if (e.is(dialogEffect)) value = e.value;
    return value;
  },
  provide: f => _view.showPanel.from(f, val => val ? createLineDialog : null)
});
/**
Command that shows a dialog asking the user for a line number, and
when a valid position is provided, moves the cursor to that line.

Supports line numbers, relative line offsets prefixed with `+` or
`-`, document percentages suffixed with `%`, and an optional
column position by adding `:` and a second number after the line
number.
*/
const gotoLine = view => {
  let panel = (0, _view.getPanel)(view, createLineDialog);
  if (!panel) {
    let effects = [dialogEffect.of(true)];
    if (view.state.field(dialogField, false) == null) effects.push(_state.StateEffect.appendConfig.of([dialogField, baseTheme$1]));
    view.dispatch({
      effects
    });
    panel = (0, _view.getPanel)(view, createLineDialog);
  }
  if (panel) panel.dom.querySelector("input").focus();
  return true;
};
exports.gotoLine = gotoLine;
const baseTheme$1 = /*@__PURE__*/_view.EditorView.baseTheme({
  ".cm-panel.cm-gotoLine": {
    padding: "2px 6px 4px",
    "& label": {
      fontSize: "80%"
    }
  }
});
const defaultHighlightOptions = {
  highlightWordAroundCursor: false,
  minSelectionLength: 1,
  maxMatches: 100,
  wholeWords: false
};
const highlightConfig = /*@__PURE__*/_state.Facet.define({
  combine(options) {
    return (0, _state.combineConfig)(options, defaultHighlightOptions, {
      highlightWordAroundCursor: (a, b) => a || b,
      minSelectionLength: Math.min,
      maxMatches: Math.min
    });
  }
});
/**
This extension highlights text that matches the selection. It uses
the `"cm-selectionMatch"` class for the highlighting. When
`highlightWordAroundCursor` is enabled, the word at the cursor
itself will be highlighted with `"cm-selectionMatch-main"`.
*/
function highlightSelectionMatches(options) {
  let ext = [defaultTheme, matchHighlighter];
  if (options) ext.push(highlightConfig.of(options));
  return ext;
}
const matchDeco = /*@__PURE__*/_view.Decoration.mark({
  class: "cm-selectionMatch"
});
const mainMatchDeco = /*@__PURE__*/_view.Decoration.mark({
  class: "cm-selectionMatch cm-selectionMatch-main"
});
// Whether the characters directly outside the given positions are non-word characters
function insideWordBoundaries(check, state, from, to) {
  return (from == 0 || check(state.sliceDoc(from - 1, from)) != _state.CharCategory.Word) && (to == state.doc.length || check(state.sliceDoc(to, to + 1)) != _state.CharCategory.Word);
}
// Whether the characters directly at the given positions are word characters
function insideWord(check, state, from, to) {
  return check(state.sliceDoc(from, from + 1)) == _state.CharCategory.Word && check(state.sliceDoc(to - 1, to)) == _state.CharCategory.Word;
}
const matchHighlighter = /*@__PURE__*/_view.ViewPlugin.fromClass(class {
  constructor(view) {
    this.decorations = this.getDeco(view);
  }
  update(update) {
    if (update.selectionSet || update.docChanged || update.viewportChanged) this.decorations = this.getDeco(update.view);
  }
  getDeco(view) {
    let conf = view.state.facet(highlightConfig);
    let {
        state
      } = view,
      sel = state.selection;
    if (sel.ranges.length > 1) return _view.Decoration.none;
    let range = sel.main,
      query,
      check = null;
    if (range.empty) {
      if (!conf.highlightWordAroundCursor) return _view.Decoration.none;
      let word = state.wordAt(range.head);
      if (!word) return _view.Decoration.none;
      check = state.charCategorizer(range.head);
      query = state.sliceDoc(word.from, word.to);
    } else {
      let len = range.to - range.from;
      if (len < conf.minSelectionLength || len > 200) return _view.Decoration.none;
      if (conf.wholeWords) {
        query = state.sliceDoc(range.from, range.to); // TODO: allow and include leading/trailing space?
        check = state.charCategorizer(range.head);
        if (!(insideWordBoundaries(check, state, range.from, range.to) && insideWord(check, state, range.from, range.to))) return _view.Decoration.none;
      } else {
        query = state.sliceDoc(range.from, range.to).trim();
        if (!query) return _view.Decoration.none;
      }
    }
    let deco = [];
    for (let part of view.visibleRanges) {
      let cursor = new SearchCursor(state.doc, query, part.from, part.to);
      while (!cursor.next().done) {
        let {
          from,
          to
        } = cursor.value;
        if (!check || insideWordBoundaries(check, state, from, to)) {
          if (range.empty && from <= range.from && to >= range.to) deco.push(mainMatchDeco.range(from, to));else if (from >= range.to || to <= range.from) deco.push(matchDeco.range(from, to));
          if (deco.length > conf.maxMatches) return _view.Decoration.none;
        }
      }
    }
    return _view.Decoration.set(deco);
  }
}, {
  decorations: v => v.decorations
});
const defaultTheme = /*@__PURE__*/_view.EditorView.baseTheme({
  ".cm-selectionMatch": {
    backgroundColor: "#99ff7780"
  },
  ".cm-searchMatch .cm-selectionMatch": {
    backgroundColor: "transparent"
  }
});
// Select the words around the cursors.
const selectWord = ({
  state,
  dispatch
}) => {
  let {
    selection
  } = state;
  let newSel = _state.EditorSelection.create(selection.ranges.map(range => state.wordAt(range.head) || _state.EditorSelection.cursor(range.head)), selection.mainIndex);
  if (newSel.eq(selection)) return false;
  dispatch(state.update({
    selection: newSel
  }));
  return true;
};
// Find next occurrence of query relative to last cursor. Wrap around
// the document if there are no more matches.
function findNextOccurrence(state, query) {
  let {
    main,
    ranges
  } = state.selection;
  let word = state.wordAt(main.head),
    fullWord = word && word.from == main.from && word.to == main.to;
  for (let cycled = false, cursor = new SearchCursor(state.doc, query, ranges[ranges.length - 1].to);;) {
    cursor.next();
    if (cursor.done) {
      if (cycled) return null;
      cursor = new SearchCursor(state.doc, query, 0, Math.max(0, ranges[ranges.length - 1].from - 1));
      cycled = true;
    } else {
      if (cycled && ranges.some(r => r.from == cursor.value.from)) continue;
      if (fullWord) {
        let word = state.wordAt(cursor.value.from);
        if (!word || word.from != cursor.value.from || word.to != cursor.value.to) continue;
      }
      return cursor.value;
    }
  }
}
/**
Select next occurrence of the current selection. Expand selection
to the surrounding word when the selection is empty.
*/
const selectNextOccurrence = ({
  state,
  dispatch
}) => {
  let {
    ranges
  } = state.selection;
  if (ranges.some(sel => sel.from === sel.to)) return selectWord({
    state,
    dispatch
  });
  let searchedText = state.sliceDoc(ranges[0].from, ranges[0].to);
  if (state.selection.ranges.some(r => state.sliceDoc(r.from, r.to) != searchedText)) return false;
  let range = findNextOccurrence(state, searchedText);
  if (!range) return false;
  dispatch(state.update({
    selection: state.selection.addRange(_state.EditorSelection.range(range.from, range.to), false),
    effects: _view.EditorView.scrollIntoView(range.to)
  }));
  return true;
};
exports.selectNextOccurrence = selectNextOccurrence;
const searchConfigFacet = /*@__PURE__*/_state.Facet.define({
  combine(configs) {
    return (0, _state.combineConfig)(configs, {
      top: false,
      caseSensitive: false,
      literal: false,
      wholeWord: false,
      createPanel: view => new SearchPanel(view),
      scrollToMatch: range => _view.EditorView.scrollIntoView(range)
    });
  }
});
/**
Add search state to the editor configuration, and optionally
configure the search extension.
([`openSearchPanel`](https://codemirror.net/6/docs/ref/#search.openSearchPanel) will automatically
enable this if it isn't already on).
*/
function search(config) {
  return config ? [searchConfigFacet.of(config), searchExtensions] : searchExtensions;
}
/**
A search query. Part of the editor's search state.
*/
class SearchQuery {
  /**
  Create a query object.
  */
  constructor(config) {
    this.search = config.search;
    this.caseSensitive = !!config.caseSensitive;
    this.literal = !!config.literal;
    this.regexp = !!config.regexp;
    this.replace = config.replace || "";
    this.valid = !!this.search && (!this.regexp || validRegExp(this.search));
    this.unquoted = this.unquote(this.search);
    this.wholeWord = !!config.wholeWord;
  }
  /**
  @internal
  */
  unquote(text) {
    return this.literal ? text : text.replace(/\\([nrt\\])/g, (_, ch) => ch == "n" ? "\n" : ch == "r" ? "\r" : ch == "t" ? "\t" : "\\");
  }
  /**
  Compare this query to another query.
  */
  eq(other) {
    return this.search == other.search && this.replace == other.replace && this.caseSensitive == other.caseSensitive && this.regexp == other.regexp && this.wholeWord == other.wholeWord;
  }
  /**
  @internal
  */
  create() {
    return this.regexp ? new RegExpQuery(this) : new StringQuery(this);
  }
  /**
  Get a search cursor for this query, searching through the given
  range in the given state.
  */
  getCursor(state, from = 0, to) {
    let st = state.doc ? state : _state.EditorState.create({
      doc: state
    });
    if (to == null) to = st.doc.length;
    return this.regexp ? regexpCursor(this, st, from, to) : stringCursor(this, st, from, to);
  }
}
exports.SearchQuery = SearchQuery;
class QueryType {
  constructor(spec) {
    this.spec = spec;
  }
}
function stringCursor(spec, state, from, to) {
  return new SearchCursor(state.doc, spec.unquoted, from, to, spec.caseSensitive ? undefined : x => x.toLowerCase(), spec.wholeWord ? stringWordTest(state.doc, state.charCategorizer(state.selection.main.head)) : undefined);
}
function stringWordTest(doc, categorizer) {
  return (from, to, buf, bufPos) => {
    if (bufPos > from || bufPos + buf.length < to) {
      bufPos = Math.max(0, from - 2);
      buf = doc.sliceString(bufPos, Math.min(doc.length, to + 2));
    }
    return (categorizer(charBefore(buf, from - bufPos)) != _state.CharCategory.Word || categorizer(charAfter(buf, from - bufPos)) != _state.CharCategory.Word) && (categorizer(charAfter(buf, to - bufPos)) != _state.CharCategory.Word || categorizer(charBefore(buf, to - bufPos)) != _state.CharCategory.Word);
  };
}
class StringQuery extends QueryType {
  constructor(spec) {
    super(spec);
  }
  nextMatch(state, curFrom, curTo) {
    let cursor = stringCursor(this.spec, state, curTo, state.doc.length).nextOverlapping();
    if (cursor.done) cursor = stringCursor(this.spec, state, 0, curFrom).nextOverlapping();
    return cursor.done ? null : cursor.value;
  }
  // Searching in reverse is, rather than implementing inverted search
  // cursor, done by scanning chunk after chunk forward.
  prevMatchInRange(state, from, to) {
    for (let pos = to;;) {
      let start = Math.max(from, pos - 10000 /* FindPrev.ChunkSize */ - this.spec.unquoted.length);
      let cursor = stringCursor(this.spec, state, start, pos),
        range = null;
      while (!cursor.nextOverlapping().done) range = cursor.value;
      if (range) return range;
      if (start == from) return null;
      pos -= 10000 /* FindPrev.ChunkSize */;
    }
  }

  prevMatch(state, curFrom, curTo) {
    return this.prevMatchInRange(state, 0, curFrom) || this.prevMatchInRange(state, curTo, state.doc.length);
  }
  getReplacement(_result) {
    return this.spec.unquote(this.spec.replace);
  }
  matchAll(state, limit) {
    let cursor = stringCursor(this.spec, state, 0, state.doc.length),
      ranges = [];
    while (!cursor.next().done) {
      if (ranges.length >= limit) return null;
      ranges.push(cursor.value);
    }
    return ranges;
  }
  highlight(state, from, to, add) {
    let cursor = stringCursor(this.spec, state, Math.max(0, from - this.spec.unquoted.length), Math.min(to + this.spec.unquoted.length, state.doc.length));
    while (!cursor.next().done) add(cursor.value.from, cursor.value.to);
  }
}
function regexpCursor(spec, state, from, to) {
  return new RegExpCursor(state.doc, spec.search, {
    ignoreCase: !spec.caseSensitive,
    test: spec.wholeWord ? regexpWordTest(state.charCategorizer(state.selection.main.head)) : undefined
  }, from, to);
}
function charBefore(str, index) {
  return str.slice((0, _state.findClusterBreak)(str, index, false), index);
}
function charAfter(str, index) {
  return str.slice(index, (0, _state.findClusterBreak)(str, index));
}
function regexpWordTest(categorizer) {
  return (_from, _to, match) => !match[0].length || (categorizer(charBefore(match.input, match.index)) != _state.CharCategory.Word || categorizer(charAfter(match.input, match.index)) != _state.CharCategory.Word) && (categorizer(charAfter(match.input, match.index + match[0].length)) != _state.CharCategory.Word || categorizer(charBefore(match.input, match.index + match[0].length)) != _state.CharCategory.Word);
}
class RegExpQuery extends QueryType {
  nextMatch(state, curFrom, curTo) {
    let cursor = regexpCursor(this.spec, state, curTo, state.doc.length).next();
    if (cursor.done) cursor = regexpCursor(this.spec, state, 0, curFrom).next();
    return cursor.done ? null : cursor.value;
  }
  prevMatchInRange(state, from, to) {
    for (let size = 1;; size++) {
      let start = Math.max(from, to - size * 10000 /* FindPrev.ChunkSize */);
      let cursor = regexpCursor(this.spec, state, start, to),
        range = null;
      while (!cursor.next().done) range = cursor.value;
      if (range && (start == from || range.from > start + 10)) return range;
      if (start == from) return null;
    }
  }
  prevMatch(state, curFrom, curTo) {
    return this.prevMatchInRange(state, 0, curFrom) || this.prevMatchInRange(state, curTo, state.doc.length);
  }
  getReplacement(result) {
    return this.spec.unquote(this.spec.replace.replace(/\$([$&\d+])/g, (m, i) => i == "$" ? "$" : i == "&" ? result.match[0] : i != "0" && +i < result.match.length ? result.match[i] : m));
  }
  matchAll(state, limit) {
    let cursor = regexpCursor(this.spec, state, 0, state.doc.length),
      ranges = [];
    while (!cursor.next().done) {
      if (ranges.length >= limit) return null;
      ranges.push(cursor.value);
    }
    return ranges;
  }
  highlight(state, from, to, add) {
    let cursor = regexpCursor(this.spec, state, Math.max(0, from - 250 /* RegExp.HighlightMargin */), Math.min(to + 250 /* RegExp.HighlightMargin */, state.doc.length));
    while (!cursor.next().done) add(cursor.value.from, cursor.value.to);
  }
}
/**
A state effect that updates the current search query. Note that
this only has an effect if the search state has been initialized
(by including [`search`](https://codemirror.net/6/docs/ref/#search.search) in your configuration or
by running [`openSearchPanel`](https://codemirror.net/6/docs/ref/#search.openSearchPanel) at least
once).
*/
const setSearchQuery = /*@__PURE__*/_state.StateEffect.define();
exports.setSearchQuery = setSearchQuery;
const togglePanel = /*@__PURE__*/_state.StateEffect.define();
const searchState = /*@__PURE__*/_state.StateField.define({
  create(state) {
    return new SearchState(defaultQuery(state).create(), null);
  },
  update(value, tr) {
    for (let effect of tr.effects) {
      if (effect.is(setSearchQuery)) value = new SearchState(effect.value.create(), value.panel);else if (effect.is(togglePanel)) value = new SearchState(value.query, effect.value ? createSearchPanel : null);
    }
    return value;
  },
  provide: f => _view.showPanel.from(f, val => val.panel)
});
/**
Get the current search query from an editor state.
*/
function getSearchQuery(state) {
  let curState = state.field(searchState, false);
  return curState ? curState.query.spec : defaultQuery(state);
}
/**
Query whether the search panel is open in the given editor state.
*/
function searchPanelOpen(state) {
  var _a;
  return ((_a = state.field(searchState, false)) === null || _a === void 0 ? void 0 : _a.panel) != null;
}
class SearchState {
  constructor(query, panel) {
    this.query = query;
    this.panel = panel;
  }
}
const matchMark = /*@__PURE__*/_view.Decoration.mark({
    class: "cm-searchMatch"
  }),
  selectedMatchMark = /*@__PURE__*/_view.Decoration.mark({
    class: "cm-searchMatch cm-searchMatch-selected"
  });
const searchHighlighter = /*@__PURE__*/_view.ViewPlugin.fromClass(class {
  constructor(view) {
    this.view = view;
    this.decorations = this.highlight(view.state.field(searchState));
  }
  update(update) {
    let state = update.state.field(searchState);
    if (state != update.startState.field(searchState) || update.docChanged || update.selectionSet || update.viewportChanged) this.decorations = this.highlight(state);
  }
  highlight({
    query,
    panel
  }) {
    if (!panel || !query.spec.valid) return _view.Decoration.none;
    let {
      view
    } = this;
    let builder = new _state.RangeSetBuilder();
    for (let i = 0, ranges = view.visibleRanges, l = ranges.length; i < l; i++) {
      let {
        from,
        to
      } = ranges[i];
      while (i < l - 1 && to > ranges[i + 1].from - 2 * 250 /* RegExp.HighlightMargin */) to = ranges[++i].to;
      query.highlight(view.state, from, to, (from, to) => {
        let selected = view.state.selection.ranges.some(r => r.from == from && r.to == to);
        builder.add(from, to, selected ? selectedMatchMark : matchMark);
      });
    }
    return builder.finish();
  }
}, {
  decorations: v => v.decorations
});
function searchCommand(f) {
  return view => {
    let state = view.state.field(searchState, false);
    return state && state.query.spec.valid ? f(view, state) : openSearchPanel(view);
  };
}
/**
Open the search panel if it isn't already open, and move the
selection to the first match after the current main selection.
Will wrap around to the start of the document when it reaches the
end.
*/
const findNext = /*@__PURE__*/searchCommand((view, {
  query
}) => {
  let {
    to
  } = view.state.selection.main;
  let next = query.nextMatch(view.state, to, to);
  if (!next) return false;
  let selection = _state.EditorSelection.single(next.from, next.to);
  let config = view.state.facet(searchConfigFacet);
  view.dispatch({
    selection,
    effects: [announceMatch(view, next), config.scrollToMatch(selection.main)],
    userEvent: "select.search"
  });
  return true;
});
/**
Move the selection to the previous instance of the search query,
before the current main selection. Will wrap past the start
of the document to start searching at the end again.
*/
exports.findNext = findNext;
const findPrevious = /*@__PURE__*/searchCommand((view, {
  query
}) => {
  let {
      state
    } = view,
    {
      from
    } = state.selection.main;
  let prev = query.prevMatch(state, from, from);
  if (!prev) return false;
  let selection = _state.EditorSelection.single(prev.from, prev.to);
  let config = view.state.facet(searchConfigFacet);
  view.dispatch({
    selection,
    effects: [announceMatch(view, prev), config.scrollToMatch(selection.main)],
    userEvent: "select.search"
  });
  return true;
});
/**
Select all instances of the search query.
*/
exports.findPrevious = findPrevious;
const selectMatches = /*@__PURE__*/searchCommand((view, {
  query
}) => {
  let ranges = query.matchAll(view.state, 1000);
  if (!ranges || !ranges.length) return false;
  view.dispatch({
    selection: _state.EditorSelection.create(ranges.map(r => _state.EditorSelection.range(r.from, r.to))),
    userEvent: "select.search.matches"
  });
  return true;
});
/**
Select all instances of the currently selected text.
*/
exports.selectMatches = selectMatches;
const selectSelectionMatches = ({
  state,
  dispatch
}) => {
  let sel = state.selection;
  if (sel.ranges.length > 1 || sel.main.empty) return false;
  let {
    from,
    to
  } = sel.main;
  let ranges = [],
    main = 0;
  for (let cur = new SearchCursor(state.doc, state.sliceDoc(from, to)); !cur.next().done;) {
    if (ranges.length > 1000) return false;
    if (cur.value.from == from) main = ranges.length;
    ranges.push(_state.EditorSelection.range(cur.value.from, cur.value.to));
  }
  dispatch(state.update({
    selection: _state.EditorSelection.create(ranges, main),
    userEvent: "select.search.matches"
  }));
  return true;
};
/**
Replace the current match of the search query.
*/
exports.selectSelectionMatches = selectSelectionMatches;
const replaceNext = /*@__PURE__*/searchCommand((view, {
  query
}) => {
  let {
      state
    } = view,
    {
      from,
      to
    } = state.selection.main;
  if (state.readOnly) return false;
  let next = query.nextMatch(state, from, from);
  if (!next) return false;
  let changes = [],
    selection,
    replacement;
  let effects = [];
  if (next.from == from && next.to == to) {
    replacement = state.toText(query.getReplacement(next));
    changes.push({
      from: next.from,
      to: next.to,
      insert: replacement
    });
    next = query.nextMatch(state, next.from, next.to);
    effects.push(_view.EditorView.announce.of(state.phrase("replaced match on line $", state.doc.lineAt(from).number) + "."));
  }
  if (next) {
    let off = changes.length == 0 || changes[0].from >= next.to ? 0 : next.to - next.from - replacement.length;
    selection = _state.EditorSelection.single(next.from - off, next.to - off);
    effects.push(announceMatch(view, next));
    effects.push(state.facet(searchConfigFacet).scrollToMatch(selection.main));
  }
  view.dispatch({
    changes,
    selection,
    effects,
    userEvent: "input.replace"
  });
  return true;
});
/**
Replace all instances of the search query with the given
replacement.
*/
exports.replaceNext = replaceNext;
const replaceAll = /*@__PURE__*/searchCommand((view, {
  query
}) => {
  if (view.state.readOnly) return false;
  let changes = query.matchAll(view.state, 1e9).map(match => {
    let {
      from,
      to
    } = match;
    return {
      from,
      to,
      insert: query.getReplacement(match)
    };
  });
  if (!changes.length) return false;
  let announceText = view.state.phrase("replaced $ matches", changes.length) + ".";
  view.dispatch({
    changes,
    effects: _view.EditorView.announce.of(announceText),
    userEvent: "input.replace.all"
  });
  return true;
});
exports.replaceAll = replaceAll;
function createSearchPanel(view) {
  return view.state.facet(searchConfigFacet).createPanel(view);
}
function defaultQuery(state, fallback) {
  var _a, _b, _c, _d;
  let sel = state.selection.main;
  let selText = sel.empty || sel.to > sel.from + 100 ? "" : state.sliceDoc(sel.from, sel.to);
  if (fallback && !selText) return fallback;
  let config = state.facet(searchConfigFacet);
  return new SearchQuery({
    search: ((_a = fallback === null || fallback === void 0 ? void 0 : fallback.literal) !== null && _a !== void 0 ? _a : config.literal) ? selText : selText.replace(/\n/g, "\\n"),
    caseSensitive: (_b = fallback === null || fallback === void 0 ? void 0 : fallback.caseSensitive) !== null && _b !== void 0 ? _b : config.caseSensitive,
    literal: (_c = fallback === null || fallback === void 0 ? void 0 : fallback.literal) !== null && _c !== void 0 ? _c : config.literal,
    wholeWord: (_d = fallback === null || fallback === void 0 ? void 0 : fallback.wholeWord) !== null && _d !== void 0 ? _d : config.wholeWord
  });
}
/**
Make sure the search panel is open and focused.
*/
const openSearchPanel = view => {
  let state = view.state.field(searchState, false);
  if (state && state.panel) {
    let panel = (0, _view.getPanel)(view, createSearchPanel);
    if (!panel) return false;
    let searchInput = panel.dom.querySelector("[main-field]");
    if (searchInput && searchInput != view.root.activeElement) {
      let query = defaultQuery(view.state, state.query.spec);
      if (query.valid) view.dispatch({
        effects: setSearchQuery.of(query)
      });
      searchInput.focus();
      searchInput.select();
    }
  } else {
    view.dispatch({
      effects: [togglePanel.of(true), state ? setSearchQuery.of(defaultQuery(view.state, state.query.spec)) : _state.StateEffect.appendConfig.of(searchExtensions)]
    });
  }
  return true;
};
/**
Close the search panel.
*/
exports.openSearchPanel = openSearchPanel;
const closeSearchPanel = view => {
  let state = view.state.field(searchState, false);
  if (!state || !state.panel) return false;
  let panel = (0, _view.getPanel)(view, createSearchPanel);
  if (panel && panel.dom.contains(view.root.activeElement)) view.focus();
  view.dispatch({
    effects: togglePanel.of(false)
  });
  return true;
};
/**
Default search-related key bindings.

 - Mod-f: [`openSearchPanel`](https://codemirror.net/6/docs/ref/#search.openSearchPanel)
 - F3, Mod-g: [`findNext`](https://codemirror.net/6/docs/ref/#search.findNext)
 - Shift-F3, Shift-Mod-g: [`findPrevious`](https://codemirror.net/6/docs/ref/#search.findPrevious)
 - Alt-g: [`gotoLine`](https://codemirror.net/6/docs/ref/#search.gotoLine)
 - Mod-d: [`selectNextOccurrence`](https://codemirror.net/6/docs/ref/#search.selectNextOccurrence)
*/
exports.closeSearchPanel = closeSearchPanel;
const searchKeymap = [{
  key: "Mod-f",
  run: openSearchPanel,
  scope: "editor search-panel"
}, {
  key: "F3",
  run: findNext,
  shift: findPrevious,
  scope: "editor search-panel",
  preventDefault: true
}, {
  key: "Mod-g",
  run: findNext,
  shift: findPrevious,
  scope: "editor search-panel",
  preventDefault: true
}, {
  key: "Escape",
  run: closeSearchPanel,
  scope: "editor search-panel"
}, {
  key: "Mod-Shift-l",
  run: selectSelectionMatches
}, {
  key: "Alt-g",
  run: gotoLine
}, {
  key: "Mod-d",
  run: selectNextOccurrence,
  preventDefault: true
}];
exports.searchKeymap = searchKeymap;
class SearchPanel {
  constructor(view) {
    this.view = view;
    let query = this.query = view.state.field(searchState).query.spec;
    this.commit = this.commit.bind(this);
    this.searchField = (0, _crelt.default)("input", {
      value: query.search,
      placeholder: phrase(view, "Find"),
      "aria-label": phrase(view, "Find"),
      class: "cm-textfield",
      name: "search",
      form: "",
      "main-field": "true",
      onchange: this.commit,
      onkeyup: this.commit
    });
    this.replaceField = (0, _crelt.default)("input", {
      value: query.replace,
      placeholder: phrase(view, "Replace"),
      "aria-label": phrase(view, "Replace"),
      class: "cm-textfield",
      name: "replace",
      form: "",
      onchange: this.commit,
      onkeyup: this.commit
    });
    this.caseField = (0, _crelt.default)("input", {
      type: "checkbox",
      name: "case",
      form: "",
      checked: query.caseSensitive,
      onchange: this.commit
    });
    this.reField = (0, _crelt.default)("input", {
      type: "checkbox",
      name: "re",
      form: "",
      checked: query.regexp,
      onchange: this.commit
    });
    this.wordField = (0, _crelt.default)("input", {
      type: "checkbox",
      name: "word",
      form: "",
      checked: query.wholeWord,
      onchange: this.commit
    });
    function button(name, onclick, content) {
      return (0, _crelt.default)("button", {
        class: "cm-button",
        name,
        onclick,
        type: "button"
      }, content);
    }
    this.dom = (0, _crelt.default)("div", {
      onkeydown: e => this.keydown(e),
      class: "cm-search"
    }, [this.searchField, button("next", () => findNext(view), [phrase(view, "next")]), button("prev", () => findPrevious(view), [phrase(view, "previous")]), button("select", () => selectMatches(view), [phrase(view, "all")]), (0, _crelt.default)("label", null, [this.caseField, phrase(view, "match case")]), (0, _crelt.default)("label", null, [this.reField, phrase(view, "regexp")]), (0, _crelt.default)("label", null, [this.wordField, phrase(view, "by word")]), ...(view.state.readOnly ? [] : [(0, _crelt.default)("br"), this.replaceField, button("replace", () => replaceNext(view), [phrase(view, "replace")]), button("replaceAll", () => replaceAll(view), [phrase(view, "replace all")])]), (0, _crelt.default)("button", {
      name: "close",
      onclick: () => closeSearchPanel(view),
      "aria-label": phrase(view, "close"),
      type: "button"
    }, ["×"])]);
  }
  commit() {
    let query = new SearchQuery({
      search: this.searchField.value,
      caseSensitive: this.caseField.checked,
      regexp: this.reField.checked,
      wholeWord: this.wordField.checked,
      replace: this.replaceField.value
    });
    if (!query.eq(this.query)) {
      this.query = query;
      this.view.dispatch({
        effects: setSearchQuery.of(query)
      });
    }
  }
  keydown(e) {
    if ((0, _view.runScopeHandlers)(this.view, e, "search-panel")) {
      e.preventDefault();
    } else if (e.keyCode == 13 && e.target == this.searchField) {
      e.preventDefault();
      (e.shiftKey ? findPrevious : findNext)(this.view);
    } else if (e.keyCode == 13 && e.target == this.replaceField) {
      e.preventDefault();
      replaceNext(this.view);
    }
  }
  update(update) {
    for (let tr of update.transactions) for (let effect of tr.effects) {
      if (effect.is(setSearchQuery) && !effect.value.eq(this.query)) this.setQuery(effect.value);
    }
  }
  setQuery(query) {
    this.query = query;
    this.searchField.value = query.search;
    this.replaceField.value = query.replace;
    this.caseField.checked = query.caseSensitive;
    this.reField.checked = query.regexp;
    this.wordField.checked = query.wholeWord;
  }
  mount() {
    this.searchField.select();
  }
  get pos() {
    return 80;
  }
  get top() {
    return this.view.state.facet(searchConfigFacet).top;
  }
}
function phrase(view, phrase) {
  return view.state.phrase(phrase);
}
const AnnounceMargin = 30;
const Break = /[\s\.,:;?!]/;
function announceMatch(view, {
  from,
  to
}) {
  let line = view.state.doc.lineAt(from),
    lineEnd = view.state.doc.lineAt(to).to;
  let start = Math.max(line.from, from - AnnounceMargin),
    end = Math.min(lineEnd, to + AnnounceMargin);
  let text = view.state.sliceDoc(start, end);
  if (start != line.from) {
    for (let i = 0; i < AnnounceMargin; i++) if (!Break.test(text[i + 1]) && Break.test(text[i])) {
      text = text.slice(i);
      break;
    }
  }
  if (end != lineEnd) {
    for (let i = text.length - 1; i > text.length - AnnounceMargin; i--) if (!Break.test(text[i - 1]) && Break.test(text[i])) {
      text = text.slice(0, i);
      break;
    }
  }
  return _view.EditorView.announce.of(`${view.state.phrase("current match")}. ${text} ${view.state.phrase("on line")} ${line.number}.`);
}
const baseTheme = /*@__PURE__*/_view.EditorView.baseTheme({
  ".cm-panel.cm-search": {
    padding: "2px 6px 4px",
    position: "relative",
    "& [name=close]": {
      position: "absolute",
      top: "0",
      right: "4px",
      backgroundColor: "inherit",
      border: "none",
      font: "inherit",
      padding: 0,
      margin: 0
    },
    "& input, & button, & label": {
      margin: ".2em .6em .2em 0"
    },
    "& input[type=checkbox]": {
      marginRight: ".2em"
    },
    "& label": {
      fontSize: "80%",
      whiteSpace: "pre"
    }
  },
  "&light .cm-searchMatch": {
    backgroundColor: "#ffff0054"
  },
  "&dark .cm-searchMatch": {
    backgroundColor: "#00ffff8a"
  },
  "&light .cm-searchMatch-selected": {
    backgroundColor: "#ff6a0054"
  },
  "&dark .cm-searchMatch-selected": {
    backgroundColor: "#ff00ff8a"
  }
});
const searchExtensions = [searchState, /*@__PURE__*/_state.Prec.lowest(searchHighlighter), baseTheme];
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js","crelt":"node_modules/crelt/index.es.js"}],"node_modules/@codemirror/autocomplete/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.acceptCompletion = exports.CompletionContext = void 0;
exports.autocompletion = autocompletion;
exports.clearSnippet = void 0;
exports.closeBrackets = closeBrackets;
exports.completeAnyWord = exports.closeCompletion = exports.closeBracketsKeymap = void 0;
exports.completeFromList = completeFromList;
exports.completionKeymap = void 0;
exports.completionStatus = completionStatus;
exports.currentCompletions = currentCompletions;
exports.deleteBracketPair = void 0;
exports.ifIn = ifIn;
exports.ifNotIn = ifNotIn;
exports.insertBracket = insertBracket;
exports.insertCompletionText = insertCompletionText;
exports.moveCompletionSelection = moveCompletionSelection;
exports.prevSnippetField = exports.pickedCompletion = exports.nextSnippetField = void 0;
exports.selectedCompletion = selectedCompletion;
exports.selectedCompletionIndex = selectedCompletionIndex;
exports.setSelectedCompletion = setSelectedCompletion;
exports.snippet = snippet;
exports.snippetCompletion = snippetCompletion;
exports.startCompletion = exports.snippetKeymap = void 0;
var _state = require("@codemirror/state");
var _view = require("@codemirror/view");
var _language = require("@codemirror/language");
/**
An instance of this is passed to completion source functions.
*/
class CompletionContext {
  /**
  Create a new completion context. (Mostly useful for testing
  completion sources—in the editor, the extension will create
  these for you.)
  */
  constructor(
  /**
  The editor state that the completion happens in.
  */
  state,
  /**
  The position at which the completion is happening.
  */
  pos,
  /**
  Indicates whether completion was activated explicitly, or
  implicitly by typing. The usual way to respond to this is to
  only return completions when either there is part of a
  completable entity before the cursor, or `explicit` is true.
  */
  explicit) {
    this.state = state;
    this.pos = pos;
    this.explicit = explicit;
    /**
    @internal
    */
    this.abortListeners = [];
  }
  /**
  Get the extent, content, and (if there is a token) type of the
  token before `this.pos`.
  */
  tokenBefore(types) {
    let token = (0, _language.syntaxTree)(this.state).resolveInner(this.pos, -1);
    while (token && types.indexOf(token.name) < 0) token = token.parent;
    return token ? {
      from: token.from,
      to: this.pos,
      text: this.state.sliceDoc(token.from, this.pos),
      type: token.type
    } : null;
  }
  /**
  Get the match of the given expression directly before the
  cursor.
  */
  matchBefore(expr) {
    let line = this.state.doc.lineAt(this.pos);
    let start = Math.max(line.from, this.pos - 250);
    let str = line.text.slice(start - line.from, this.pos - line.from);
    let found = str.search(ensureAnchor(expr, false));
    return found < 0 ? null : {
      from: start + found,
      to: this.pos,
      text: str.slice(found)
    };
  }
  /**
  Yields true when the query has been aborted. Can be useful in
  asynchronous queries to avoid doing work that will be ignored.
  */
  get aborted() {
    return this.abortListeners == null;
  }
  /**
  Allows you to register abort handlers, which will be called when
  the query is
  [aborted](https://codemirror.net/6/docs/ref/#autocomplete.CompletionContext.aborted).
  */
  addEventListener(type, listener) {
    if (type == "abort" && this.abortListeners) this.abortListeners.push(listener);
  }
}
exports.CompletionContext = CompletionContext;
function toSet(chars) {
  let flat = Object.keys(chars).join("");
  let words = /\w/.test(flat);
  if (words) flat = flat.replace(/\w/g, "");
  return `[${words ? "\\w" : ""}${flat.replace(/[^\w\s]/g, "\\$&")}]`;
}
function prefixMatch(options) {
  let first = Object.create(null),
    rest = Object.create(null);
  for (let {
    label
  } of options) {
    first[label[0]] = true;
    for (let i = 1; i < label.length; i++) rest[label[i]] = true;
  }
  let source = toSet(first) + toSet(rest) + "*$";
  return [new RegExp("^" + source), new RegExp(source)];
}
/**
Given a a fixed array of options, return an autocompleter that
completes them.
*/
function completeFromList(list) {
  let options = list.map(o => typeof o == "string" ? {
    label: o
  } : o);
  let [validFor, match] = options.every(o => /^\w+$/.test(o.label)) ? [/\w*$/, /\w+$/] : prefixMatch(options);
  return context => {
    let token = context.matchBefore(match);
    return token || context.explicit ? {
      from: token ? token.from : context.pos,
      options,
      validFor
    } : null;
  };
}
/**
Wrap the given completion source so that it will only fire when the
cursor is in a syntax node with one of the given names.
*/
function ifIn(nodes, source) {
  return context => {
    for (let pos = (0, _language.syntaxTree)(context.state).resolveInner(context.pos, -1); pos; pos = pos.parent) {
      if (nodes.indexOf(pos.name) > -1) return source(context);
      if (pos.type.isTop) break;
    }
    return null;
  };
}
/**
Wrap the given completion source so that it will not fire when the
cursor is in a syntax node with one of the given names.
*/
function ifNotIn(nodes, source) {
  return context => {
    for (let pos = (0, _language.syntaxTree)(context.state).resolveInner(context.pos, -1); pos; pos = pos.parent) {
      if (nodes.indexOf(pos.name) > -1) return null;
      if (pos.type.isTop) break;
    }
    return source(context);
  };
}
class Option {
  constructor(completion, source, match, score) {
    this.completion = completion;
    this.source = source;
    this.match = match;
    this.score = score;
  }
}
function cur(state) {
  return state.selection.main.from;
}
// Make sure the given regexp has a $ at its end and, if `start` is
// true, a ^ at its start.
function ensureAnchor(expr, start) {
  var _a;
  let {
    source
  } = expr;
  let addStart = start && source[0] != "^",
    addEnd = source[source.length - 1] != "$";
  if (!addStart && !addEnd) return expr;
  return new RegExp(`${addStart ? "^" : ""}(?:${source})${addEnd ? "$" : ""}`, (_a = expr.flags) !== null && _a !== void 0 ? _a : expr.ignoreCase ? "i" : "");
}
/**
This annotation is added to transactions that are produced by
picking a completion.
*/
const pickedCompletion = /*@__PURE__*/_state.Annotation.define();
/**
Helper function that returns a transaction spec which inserts a
completion's text in the main selection range, and any other
selection range that has the same text in front of it.
*/
exports.pickedCompletion = pickedCompletion;
function insertCompletionText(state, text, from, to) {
  let {
      main
    } = state.selection,
    len = to - from;
  return Object.assign(Object.assign({}, state.changeByRange(range => {
    if (range != main && len && state.sliceDoc(range.from - len, range.from + to - main.from) != state.sliceDoc(from, to)) return {
      range
    };
    return {
      changes: {
        from: range.from - len,
        to: to == main.from ? range.to : range.from + to - main.from,
        insert: text
      },
      range: _state.EditorSelection.cursor(range.from - len + text.length)
    };
  })), {
    userEvent: "input.complete"
  });
}
function applyCompletion(view, option) {
  const apply = option.completion.apply || option.completion.label;
  let result = option.source;
  if (typeof apply == "string") view.dispatch(Object.assign(Object.assign({}, insertCompletionText(view.state, apply, result.from, result.to)), {
    annotations: pickedCompletion.of(option.completion)
  }));else apply(view, option.completion, result.from, result.to);
}
const SourceCache = /*@__PURE__*/new WeakMap();
function asSource(source) {
  if (!Array.isArray(source)) return source;
  let known = SourceCache.get(source);
  if (!known) SourceCache.set(source, known = completeFromList(source));
  return known;
}
const startCompletionEffect = /*@__PURE__*/_state.StateEffect.define();
const closeCompletionEffect = /*@__PURE__*/_state.StateEffect.define();

// A pattern matcher for fuzzy completion matching. Create an instance
// once for a pattern, and then use that to match any number of
// completions.
class FuzzyMatcher {
  constructor(pattern) {
    this.pattern = pattern;
    this.chars = [];
    this.folded = [];
    // Buffers reused by calls to `match` to track matched character
    // positions.
    this.any = [];
    this.precise = [];
    this.byWord = [];
    for (let p = 0; p < pattern.length;) {
      let char = (0, _state.codePointAt)(pattern, p),
        size = (0, _state.codePointSize)(char);
      this.chars.push(char);
      let part = pattern.slice(p, p + size),
        upper = part.toUpperCase();
      this.folded.push((0, _state.codePointAt)(upper == part ? part.toLowerCase() : upper, 0));
      p += size;
    }
    this.astral = pattern.length != this.chars.length;
  }
  // Matches a given word (completion) against the pattern (input).
  // Will return null for no match, and otherwise an array that starts
  // with the match score, followed by any number of `from, to` pairs
  // indicating the matched parts of `word`.
  //
  // The score is a number that is more negative the worse the match
  // is. See `Penalty` above.
  match(word) {
    if (this.pattern.length == 0) return [0];
    if (word.length < this.pattern.length) return null;
    let {
      chars,
      folded,
      any,
      precise,
      byWord
    } = this;
    // For single-character queries, only match when they occur right
    // at the start
    if (chars.length == 1) {
      let first = (0, _state.codePointAt)(word, 0),
        firstSize = (0, _state.codePointSize)(first);
      let score = firstSize == word.length ? 0 : -100 /* Penalty.NotFull */;
      if (first == chars[0]) ;else if (first == folded[0]) score += -200 /* Penalty.CaseFold */;else return null;
      return [score, 0, firstSize];
    }
    let direct = word.indexOf(this.pattern);
    if (direct == 0) return [word.length == this.pattern.length ? 0 : -100 /* Penalty.NotFull */, 0, this.pattern.length];
    let len = chars.length,
      anyTo = 0;
    if (direct < 0) {
      for (let i = 0, e = Math.min(word.length, 200); i < e && anyTo < len;) {
        let next = (0, _state.codePointAt)(word, i);
        if (next == chars[anyTo] || next == folded[anyTo]) any[anyTo++] = i;
        i += (0, _state.codePointSize)(next);
      }
      // No match, exit immediately
      if (anyTo < len) return null;
    }
    // This tracks the extent of the precise (non-folded, not
    // necessarily adjacent) match
    let preciseTo = 0;
    // Tracks whether there is a match that hits only characters that
    // appear to be starting words. `byWordFolded` is set to true when
    // a case folded character is encountered in such a match
    let byWordTo = 0,
      byWordFolded = false;
    // If we've found a partial adjacent match, these track its state
    let adjacentTo = 0,
      adjacentStart = -1,
      adjacentEnd = -1;
    let hasLower = /[a-z]/.test(word),
      wordAdjacent = true;
    // Go over the option's text, scanning for the various kinds of matches
    for (let i = 0, e = Math.min(word.length, 200), prevType = 0 /* Tp.NonWord */; i < e && byWordTo < len;) {
      let next = (0, _state.codePointAt)(word, i);
      if (direct < 0) {
        if (preciseTo < len && next == chars[preciseTo]) precise[preciseTo++] = i;
        if (adjacentTo < len) {
          if (next == chars[adjacentTo] || next == folded[adjacentTo]) {
            if (adjacentTo == 0) adjacentStart = i;
            adjacentEnd = i + 1;
            adjacentTo++;
          } else {
            adjacentTo = 0;
          }
        }
      }
      let ch,
        type = next < 0xff ? next >= 48 && next <= 57 || next >= 97 && next <= 122 ? 2 /* Tp.Lower */ : next >= 65 && next <= 90 ? 1 /* Tp.Upper */ : 0 /* Tp.NonWord */ : (ch = (0, _state.fromCodePoint)(next)) != ch.toLowerCase() ? 1 /* Tp.Upper */ : ch != ch.toUpperCase() ? 2 /* Tp.Lower */ : 0 /* Tp.NonWord */;
      if (!i || type == 1 /* Tp.Upper */ && hasLower || prevType == 0 /* Tp.NonWord */ && type != 0 /* Tp.NonWord */) {
        if (chars[byWordTo] == next || folded[byWordTo] == next && (byWordFolded = true)) byWord[byWordTo++] = i;else if (byWord.length) wordAdjacent = false;
      }
      prevType = type;
      i += (0, _state.codePointSize)(next);
    }
    if (byWordTo == len && byWord[0] == 0 && wordAdjacent) return this.result(-100 /* Penalty.ByWord */ + (byWordFolded ? -200 /* Penalty.CaseFold */ : 0), byWord, word);
    if (adjacentTo == len && adjacentStart == 0) return [-200 /* Penalty.CaseFold */ - word.length + (adjacentEnd == word.length ? 0 : -100 /* Penalty.NotFull */), 0, adjacentEnd];
    if (direct > -1) return [-700 /* Penalty.NotStart */ - word.length, direct, direct + this.pattern.length];
    if (adjacentTo == len) return [-200 /* Penalty.CaseFold */ + -700 /* Penalty.NotStart */ - word.length, adjacentStart, adjacentEnd];
    if (byWordTo == len) return this.result(-100 /* Penalty.ByWord */ + (byWordFolded ? -200 /* Penalty.CaseFold */ : 0) + -700 /* Penalty.NotStart */ + (wordAdjacent ? 0 : -1100 /* Penalty.Gap */), byWord, word);
    return chars.length == 2 ? null : this.result((any[0] ? -700 /* Penalty.NotStart */ : 0) + -200 /* Penalty.CaseFold */ + -1100 /* Penalty.Gap */, any, word);
  }
  result(score, positions, word) {
    let result = [score - word.length],
      i = 1;
    for (let pos of positions) {
      let to = pos + (this.astral ? (0, _state.codePointSize)((0, _state.codePointAt)(word, pos)) : 1);
      if (i > 1 && result[i - 1] == pos) result[i - 1] = to;else {
        result[i++] = pos;
        result[i++] = to;
      }
    }
    return result;
  }
}
const completionConfig = /*@__PURE__*/_state.Facet.define({
  combine(configs) {
    return (0, _state.combineConfig)(configs, {
      activateOnTyping: true,
      selectOnOpen: true,
      override: null,
      closeOnBlur: true,
      maxRenderedOptions: 100,
      defaultKeymap: true,
      tooltipClass: () => "",
      optionClass: () => "",
      aboveCursor: false,
      icons: true,
      addToOptions: [],
      positionInfo: defaultPositionInfo,
      compareCompletions: (a, b) => a.label.localeCompare(b.label),
      interactionDelay: 75
    }, {
      defaultKeymap: (a, b) => a && b,
      closeOnBlur: (a, b) => a && b,
      icons: (a, b) => a && b,
      tooltipClass: (a, b) => c => joinClass(a(c), b(c)),
      optionClass: (a, b) => c => joinClass(a(c), b(c)),
      addToOptions: (a, b) => a.concat(b)
    });
  }
});
function joinClass(a, b) {
  return a ? b ? a + " " + b : a : b;
}
function defaultPositionInfo(view, list, option, info, space) {
  let rtl = view.textDirection == _view.Direction.RTL,
    left = rtl,
    narrow = false;
  let side = "top",
    offset,
    maxWidth;
  let spaceLeft = list.left - space.left,
    spaceRight = space.right - list.right;
  let infoWidth = info.right - info.left,
    infoHeight = info.bottom - info.top;
  if (left && spaceLeft < Math.min(infoWidth, spaceRight)) left = false;else if (!left && spaceRight < Math.min(infoWidth, spaceLeft)) left = true;
  if (infoWidth <= (left ? spaceLeft : spaceRight)) {
    offset = Math.max(space.top, Math.min(option.top, space.bottom - infoHeight)) - list.top;
    maxWidth = Math.min(400 /* Info.Width */, left ? spaceLeft : spaceRight);
  } else {
    narrow = true;
    maxWidth = Math.min(400 /* Info.Width */, (rtl ? list.right : space.right - list.left) - 30 /* Info.Margin */);
    let spaceBelow = space.bottom - list.bottom;
    if (spaceBelow >= infoHeight || spaceBelow > list.top) {
      // Below the completion
      offset = option.bottom - list.top;
    } else {
      // Above it
      side = "bottom";
      offset = list.bottom - option.top;
    }
  }
  return {
    style: `${side}: ${offset}px; max-width: ${maxWidth}px`,
    class: "cm-completionInfo-" + (narrow ? rtl ? "left-narrow" : "right-narrow" : left ? "left" : "right")
  };
}
function optionContent(config) {
  let content = config.addToOptions.slice();
  if (config.icons) content.push({
    render(completion) {
      let icon = document.createElement("div");
      icon.classList.add("cm-completionIcon");
      if (completion.type) icon.classList.add(...completion.type.split(/\s+/g).map(cls => "cm-completionIcon-" + cls));
      icon.setAttribute("aria-hidden", "true");
      return icon;
    },
    position: 20
  });
  content.push({
    render(completion, _s, match) {
      let labelElt = document.createElement("span");
      labelElt.className = "cm-completionLabel";
      let {
          label
        } = completion,
        off = 0;
      for (let j = 1; j < match.length;) {
        let from = match[j++],
          to = match[j++];
        if (from > off) labelElt.appendChild(document.createTextNode(label.slice(off, from)));
        let span = labelElt.appendChild(document.createElement("span"));
        span.appendChild(document.createTextNode(label.slice(from, to)));
        span.className = "cm-completionMatchedText";
        off = to;
      }
      if (off < label.length) labelElt.appendChild(document.createTextNode(label.slice(off)));
      return labelElt;
    },
    position: 50
  }, {
    render(completion) {
      if (!completion.detail) return null;
      let detailElt = document.createElement("span");
      detailElt.className = "cm-completionDetail";
      detailElt.textContent = completion.detail;
      return detailElt;
    },
    position: 80
  });
  return content.sort((a, b) => a.position - b.position).map(a => a.render);
}
function rangeAroundSelected(total, selected, max) {
  if (total <= max) return {
    from: 0,
    to: total
  };
  if (selected < 0) selected = 0;
  if (selected <= total >> 1) {
    let off = Math.floor(selected / max);
    return {
      from: off * max,
      to: (off + 1) * max
    };
  }
  let off = Math.floor((total - selected) / max);
  return {
    from: total - (off + 1) * max,
    to: total - off * max
  };
}
class CompletionTooltip {
  constructor(view, stateField) {
    this.view = view;
    this.stateField = stateField;
    this.info = null;
    this.placeInfoReq = {
      read: () => this.measureInfo(),
      write: pos => this.placeInfo(pos),
      key: this
    };
    this.space = null;
    this.currentClass = "";
    let cState = view.state.field(stateField);
    let {
      options,
      selected
    } = cState.open;
    let config = view.state.facet(completionConfig);
    this.optionContent = optionContent(config);
    this.optionClass = config.optionClass;
    this.tooltipClass = config.tooltipClass;
    this.range = rangeAroundSelected(options.length, selected, config.maxRenderedOptions);
    this.dom = document.createElement("div");
    this.dom.className = "cm-tooltip-autocomplete";
    this.updateTooltipClass(view.state);
    this.dom.addEventListener("mousedown", e => {
      for (let dom = e.target, match; dom && dom != this.dom; dom = dom.parentNode) {
        if (dom.nodeName == "LI" && (match = /-(\d+)$/.exec(dom.id)) && +match[1] < options.length) {
          applyCompletion(view, options[+match[1]]);
          e.preventDefault();
          return;
        }
      }
    });
    this.dom.addEventListener("focusout", e => {
      let state = view.state.field(this.stateField, false);
      if (state && state.tooltip && view.state.facet(completionConfig).closeOnBlur && e.relatedTarget != view.contentDOM) view.dispatch({
        effects: closeCompletionEffect.of(null)
      });
    });
    this.list = this.dom.appendChild(this.createListBox(options, cState.id, this.range));
    this.list.addEventListener("scroll", () => {
      if (this.info) this.view.requestMeasure(this.placeInfoReq);
    });
  }
  mount() {
    this.updateSel();
  }
  update(update) {
    var _a, _b, _c;
    let cState = update.state.field(this.stateField);
    let prevState = update.startState.field(this.stateField);
    this.updateTooltipClass(update.state);
    if (cState != prevState) {
      this.updateSel();
      if (((_a = cState.open) === null || _a === void 0 ? void 0 : _a.disabled) != ((_b = prevState.open) === null || _b === void 0 ? void 0 : _b.disabled)) this.dom.classList.toggle("cm-tooltip-autocomplete-disabled", !!((_c = cState.open) === null || _c === void 0 ? void 0 : _c.disabled));
    }
  }
  updateTooltipClass(state) {
    let cls = this.tooltipClass(state);
    if (cls != this.currentClass) {
      for (let c of this.currentClass.split(" ")) if (c) this.dom.classList.remove(c);
      for (let c of cls.split(" ")) if (c) this.dom.classList.add(c);
      this.currentClass = cls;
    }
  }
  positioned(space) {
    this.space = space;
    if (this.info) this.view.requestMeasure(this.placeInfoReq);
  }
  updateSel() {
    let cState = this.view.state.field(this.stateField),
      open = cState.open;
    if (open.selected > -1 && open.selected < this.range.from || open.selected >= this.range.to) {
      this.range = rangeAroundSelected(open.options.length, open.selected, this.view.state.facet(completionConfig).maxRenderedOptions);
      this.list.remove();
      this.list = this.dom.appendChild(this.createListBox(open.options, cState.id, this.range));
      this.list.addEventListener("scroll", () => {
        if (this.info) this.view.requestMeasure(this.placeInfoReq);
      });
    }
    if (this.updateSelectedOption(open.selected)) {
      if (this.info) {
        this.info.remove();
        this.info = null;
      }
      let {
        completion
      } = open.options[open.selected];
      let {
        info
      } = completion;
      if (!info) return;
      let infoResult = typeof info === 'string' ? document.createTextNode(info) : info(completion);
      if (!infoResult) return;
      if ('then' in infoResult) {
        infoResult.then(node => {
          if (node && this.view.state.field(this.stateField, false) == cState) this.addInfoPane(node);
        }).catch(e => (0, _view.logException)(this.view.state, e, "completion info"));
      } else {
        this.addInfoPane(infoResult);
      }
    }
  }
  addInfoPane(content) {
    let dom = this.info = document.createElement("div");
    dom.className = "cm-tooltip cm-completionInfo";
    dom.appendChild(content);
    this.dom.appendChild(dom);
    this.view.requestMeasure(this.placeInfoReq);
  }
  updateSelectedOption(selected) {
    let set = null;
    for (let opt = this.list.firstChild, i = this.range.from; opt; opt = opt.nextSibling, i++) {
      if (opt.nodeName != "LI" || !opt.id) {
        i--; // A section header
      } else if (i == selected) {
        if (!opt.hasAttribute("aria-selected")) {
          opt.setAttribute("aria-selected", "true");
          set = opt;
        }
      } else {
        if (opt.hasAttribute("aria-selected")) opt.removeAttribute("aria-selected");
      }
    }
    if (set) scrollIntoView(this.list, set);
    return set;
  }
  measureInfo() {
    let sel = this.dom.querySelector("[aria-selected]");
    if (!sel || !this.info) return null;
    let listRect = this.dom.getBoundingClientRect();
    let infoRect = this.info.getBoundingClientRect();
    let selRect = sel.getBoundingClientRect();
    let space = this.space;
    if (!space) {
      let win = this.dom.ownerDocument.defaultView || window;
      space = {
        left: 0,
        top: 0,
        right: win.innerWidth,
        bottom: win.innerHeight
      };
    }
    if (selRect.top > Math.min(space.bottom, listRect.bottom) - 10 || selRect.bottom < Math.max(space.top, listRect.top) + 10) return null;
    return this.view.state.facet(completionConfig).positionInfo(this.view, listRect, selRect, infoRect, space);
  }
  placeInfo(pos) {
    if (this.info) {
      if (pos) {
        if (pos.style) this.info.style.cssText = pos.style;
        this.info.className = "cm-tooltip cm-completionInfo " + (pos.class || "");
      } else {
        this.info.style.cssText = "top: -1e6px";
      }
    }
  }
  createListBox(options, id, range) {
    const ul = document.createElement("ul");
    ul.id = id;
    ul.setAttribute("role", "listbox");
    ul.setAttribute("aria-expanded", "true");
    ul.setAttribute("aria-label", this.view.state.phrase("Completions"));
    let curSection = null;
    for (let i = range.from; i < range.to; i++) {
      let {
          completion,
          match
        } = options[i],
        {
          section
        } = completion;
      if (section) {
        let name = typeof section == "string" ? section : section.name;
        if (name != curSection && (i > range.from || range.from == 0)) {
          curSection = name;
          if (typeof section != "string" && section.header) {
            ul.appendChild(section.header(section));
          } else {
            let header = ul.appendChild(document.createElement("completion-section"));
            header.textContent = name;
          }
        }
      }
      const li = ul.appendChild(document.createElement("li"));
      li.id = id + "-" + i;
      li.setAttribute("role", "option");
      let cls = this.optionClass(completion);
      if (cls) li.className = cls;
      for (let source of this.optionContent) {
        let node = source(completion, this.view.state, match);
        if (node) li.appendChild(node);
      }
    }
    if (range.from) ul.classList.add("cm-completionListIncompleteTop");
    if (range.to < options.length) ul.classList.add("cm-completionListIncompleteBottom");
    return ul;
  }
}
// We allocate a new function instance every time the completion
// changes to force redrawing/repositioning of the tooltip
function completionTooltip(stateField) {
  return view => new CompletionTooltip(view, stateField);
}
function scrollIntoView(container, element) {
  let parent = container.getBoundingClientRect();
  let self = element.getBoundingClientRect();
  if (self.top < parent.top) container.scrollTop -= parent.top - self.top;else if (self.bottom > parent.bottom) container.scrollTop += self.bottom - parent.bottom;
}

// Used to pick a preferred option when two options with the same
// label occur in the result.
function score(option) {
  return (option.boost || 0) * 100 + (option.apply ? 10 : 0) + (option.info ? 5 : 0) + (option.type ? 1 : 0);
}
function sortOptions(active, state) {
  let options = [];
  let sections = null;
  let addOption = option => {
    options.push(option);
    let {
      section
    } = option.completion;
    if (section) {
      if (!sections) sections = [];
      let name = typeof section == "string" ? section : section.name;
      if (!sections.some(s => s.name == name)) sections.push(typeof section == "string" ? {
        name
      } : section);
    }
  };
  for (let a of active) if (a.hasResult()) {
    if (a.result.filter === false) {
      let getMatch = a.result.getMatch;
      for (let option of a.result.options) {
        let match = [1e9 - options.length];
        if (getMatch) for (let n of getMatch(option)) match.push(n);
        addOption(new Option(option, a, match, match[0]));
      }
    } else {
      let matcher = new FuzzyMatcher(state.sliceDoc(a.from, a.to)),
        match;
      for (let option of a.result.options) if (match = matcher.match(option.label)) {
        addOption(new Option(option, a, match, match[0] + (option.boost || 0)));
      }
    }
  }
  if (sections) {
    let sectionOrder = Object.create(null),
      pos = 0;
    let cmp = (a, b) => {
      var _a, _b;
      return ((_a = a.rank) !== null && _a !== void 0 ? _a : 1e9) - ((_b = b.rank) !== null && _b !== void 0 ? _b : 1e9) || (a.name < b.name ? -1 : 1);
    };
    for (let s of sections.sort(cmp)) {
      pos -= 1e5;
      sectionOrder[s.name] = pos;
    }
    for (let option of options) {
      let {
        section
      } = option.completion;
      if (section) option.score += sectionOrder[typeof section == "string" ? section : section.name];
    }
  }
  let result = [],
    prev = null;
  let compare = state.facet(completionConfig).compareCompletions;
  for (let opt of options.sort((a, b) => b.score - a.score || compare(a.completion, b.completion))) {
    if (!prev || prev.label != opt.completion.label || prev.detail != opt.completion.detail || prev.type != null && opt.completion.type != null && prev.type != opt.completion.type || prev.apply != opt.completion.apply) result.push(opt);else if (score(opt.completion) > score(prev)) result[result.length - 1] = opt;
    prev = opt.completion;
  }
  return result;
}
class CompletionDialog {
  constructor(options, attrs, tooltip, timestamp, selected, disabled) {
    this.options = options;
    this.attrs = attrs;
    this.tooltip = tooltip;
    this.timestamp = timestamp;
    this.selected = selected;
    this.disabled = disabled;
  }
  setSelected(selected, id) {
    return selected == this.selected || selected >= this.options.length ? this : new CompletionDialog(this.options, makeAttrs(id, selected), this.tooltip, this.timestamp, selected, this.disabled);
  }
  static build(active, state, id, prev, conf) {
    let options = sortOptions(active, state);
    if (!options.length) {
      return prev && active.some(a => a.state == 1 /* State.Pending */) ? new CompletionDialog(prev.options, prev.attrs, prev.tooltip, prev.timestamp, prev.selected, true) : null;
    }
    let selected = state.facet(completionConfig).selectOnOpen ? 0 : -1;
    if (prev && prev.selected != selected && prev.selected != -1) {
      let selectedValue = prev.options[prev.selected].completion;
      for (let i = 0; i < options.length; i++) if (options[i].completion == selectedValue) {
        selected = i;
        break;
      }
    }
    return new CompletionDialog(options, makeAttrs(id, selected), {
      pos: active.reduce((a, b) => b.hasResult() ? Math.min(a, b.from) : a, 1e8),
      create: completionTooltip(completionState),
      above: conf.aboveCursor
    }, prev ? prev.timestamp : Date.now(), selected, false);
  }
  map(changes) {
    return new CompletionDialog(this.options, this.attrs, Object.assign(Object.assign({}, this.tooltip), {
      pos: changes.mapPos(this.tooltip.pos)
    }), this.timestamp, this.selected, this.disabled);
  }
}
class CompletionState {
  constructor(active, id, open) {
    this.active = active;
    this.id = id;
    this.open = open;
  }
  static start() {
    return new CompletionState(none, "cm-ac-" + Math.floor(Math.random() * 2e6).toString(36), null);
  }
  update(tr) {
    let {
        state
      } = tr,
      conf = state.facet(completionConfig);
    let sources = conf.override || state.languageDataAt("autocomplete", cur(state)).map(asSource);
    let active = sources.map(source => {
      let value = this.active.find(s => s.source == source) || new ActiveSource(source, this.active.some(a => a.state != 0 /* State.Inactive */) ? 1 /* State.Pending */ : 0 /* State.Inactive */);
      return value.update(tr, conf);
    });
    if (active.length == this.active.length && active.every((a, i) => a == this.active[i])) active = this.active;
    let open = this.open;
    if (open && tr.docChanged) open = open.map(tr.changes);
    if (tr.selection || active.some(a => a.hasResult() && tr.changes.touchesRange(a.from, a.to)) || !sameResults(active, this.active)) open = CompletionDialog.build(active, state, this.id, open, conf);else if (open && open.disabled && !active.some(a => a.state == 1 /* State.Pending */)) open = null;
    if (!open && active.every(a => a.state != 1 /* State.Pending */) && active.some(a => a.hasResult())) active = active.map(a => a.hasResult() ? new ActiveSource(a.source, 0 /* State.Inactive */) : a);
    for (let effect of tr.effects) if (effect.is(setSelectedEffect)) open = open && open.setSelected(effect.value, this.id);
    return active == this.active && open == this.open ? this : new CompletionState(active, this.id, open);
  }
  get tooltip() {
    return this.open ? this.open.tooltip : null;
  }
  get attrs() {
    return this.open ? this.open.attrs : baseAttrs;
  }
}
function sameResults(a, b) {
  if (a == b) return true;
  for (let iA = 0, iB = 0;;) {
    while (iA < a.length && !a[iA].hasResult) iA++;
    while (iB < b.length && !b[iB].hasResult) iB++;
    let endA = iA == a.length,
      endB = iB == b.length;
    if (endA || endB) return endA == endB;
    if (a[iA++].result != b[iB++].result) return false;
  }
}
const baseAttrs = {
  "aria-autocomplete": "list"
};
function makeAttrs(id, selected) {
  let result = {
    "aria-autocomplete": "list",
    "aria-haspopup": "listbox",
    "aria-controls": id
  };
  if (selected > -1) result["aria-activedescendant"] = id + "-" + selected;
  return result;
}
const none = [];
function getUserEvent(tr) {
  return tr.isUserEvent("input.type") ? "input" : tr.isUserEvent("delete.backward") ? "delete" : null;
}
class ActiveSource {
  constructor(source, state, explicitPos = -1) {
    this.source = source;
    this.state = state;
    this.explicitPos = explicitPos;
  }
  hasResult() {
    return false;
  }
  update(tr, conf) {
    let event = getUserEvent(tr),
      value = this;
    if (event) value = value.handleUserEvent(tr, event, conf);else if (tr.docChanged) value = value.handleChange(tr);else if (tr.selection && value.state != 0 /* State.Inactive */) value = new ActiveSource(value.source, 0 /* State.Inactive */);
    for (let effect of tr.effects) {
      if (effect.is(startCompletionEffect)) value = new ActiveSource(value.source, 1 /* State.Pending */, effect.value ? cur(tr.state) : -1);else if (effect.is(closeCompletionEffect)) value = new ActiveSource(value.source, 0 /* State.Inactive */);else if (effect.is(setActiveEffect)) for (let active of effect.value) if (active.source == value.source) value = active;
    }
    return value;
  }
  handleUserEvent(tr, type, conf) {
    return type == "delete" || !conf.activateOnTyping ? this.map(tr.changes) : new ActiveSource(this.source, 1 /* State.Pending */);
  }

  handleChange(tr) {
    return tr.changes.touchesRange(cur(tr.startState)) ? new ActiveSource(this.source, 0 /* State.Inactive */) : this.map(tr.changes);
  }
  map(changes) {
    return changes.empty || this.explicitPos < 0 ? this : new ActiveSource(this.source, this.state, changes.mapPos(this.explicitPos));
  }
}
class ActiveResult extends ActiveSource {
  constructor(source, explicitPos, result, from, to) {
    super(source, 2 /* State.Result */, explicitPos);
    this.result = result;
    this.from = from;
    this.to = to;
  }
  hasResult() {
    return true;
  }
  handleUserEvent(tr, type, conf) {
    var _a;
    let from = tr.changes.mapPos(this.from),
      to = tr.changes.mapPos(this.to, 1);
    let pos = cur(tr.state);
    if ((this.explicitPos < 0 ? pos <= from : pos < this.from) || pos > to || type == "delete" && cur(tr.startState) == this.from) return new ActiveSource(this.source, type == "input" && conf.activateOnTyping ? 1 /* State.Pending */ : 0 /* State.Inactive */);
    let explicitPos = this.explicitPos < 0 ? -1 : tr.changes.mapPos(this.explicitPos),
      updated;
    if (checkValid(this.result.validFor, tr.state, from, to)) return new ActiveResult(this.source, explicitPos, this.result, from, to);
    if (this.result.update && (updated = this.result.update(this.result, from, to, new CompletionContext(tr.state, pos, explicitPos >= 0)))) return new ActiveResult(this.source, explicitPos, updated, updated.from, (_a = updated.to) !== null && _a !== void 0 ? _a : cur(tr.state));
    return new ActiveSource(this.source, 1 /* State.Pending */, explicitPos);
  }
  handleChange(tr) {
    return tr.changes.touchesRange(this.from, this.to) ? new ActiveSource(this.source, 0 /* State.Inactive */) : this.map(tr.changes);
  }
  map(mapping) {
    return mapping.empty ? this : new ActiveResult(this.source, this.explicitPos < 0 ? -1 : mapping.mapPos(this.explicitPos), this.result, mapping.mapPos(this.from), mapping.mapPos(this.to, 1));
  }
}
function checkValid(validFor, state, from, to) {
  if (!validFor) return false;
  let text = state.sliceDoc(from, to);
  return typeof validFor == "function" ? validFor(text, from, to, state) : ensureAnchor(validFor, true).test(text);
}
const setActiveEffect = /*@__PURE__*/_state.StateEffect.define({
  map(sources, mapping) {
    return sources.map(s => s.map(mapping));
  }
});
const setSelectedEffect = /*@__PURE__*/_state.StateEffect.define();
const completionState = /*@__PURE__*/_state.StateField.define({
  create() {
    return CompletionState.start();
  },
  update(value, tr) {
    return value.update(tr);
  },
  provide: f => [_view.showTooltip.from(f, val => val.tooltip), _view.EditorView.contentAttributes.from(f, state => state.attrs)]
});

/**
Returns a command that moves the completion selection forward or
backward by the given amount.
*/
function moveCompletionSelection(forward, by = "option") {
  return view => {
    let cState = view.state.field(completionState, false);
    if (!cState || !cState.open || cState.open.disabled || Date.now() - cState.open.timestamp < view.state.facet(completionConfig).interactionDelay) return false;
    let step = 1,
      tooltip;
    if (by == "page" && (tooltip = (0, _view.getTooltip)(view, cState.open.tooltip))) step = Math.max(2, Math.floor(tooltip.dom.offsetHeight / tooltip.dom.querySelector("li").offsetHeight) - 1);
    let {
      length
    } = cState.open.options;
    let selected = cState.open.selected > -1 ? cState.open.selected + step * (forward ? 1 : -1) : forward ? 0 : length - 1;
    if (selected < 0) selected = by == "page" ? 0 : length - 1;else if (selected >= length) selected = by == "page" ? length - 1 : 0;
    view.dispatch({
      effects: setSelectedEffect.of(selected)
    });
    return true;
  };
}
/**
Accept the current completion.
*/
const acceptCompletion = view => {
  let cState = view.state.field(completionState, false);
  if (view.state.readOnly || !cState || !cState.open || cState.open.selected < 0 || Date.now() - cState.open.timestamp < view.state.facet(completionConfig).interactionDelay) return false;
  if (!cState.open.disabled) applyCompletion(view, cState.open.options[cState.open.selected]);
  return true;
};
/**
Explicitly start autocompletion.
*/
exports.acceptCompletion = acceptCompletion;
const startCompletion = view => {
  let cState = view.state.field(completionState, false);
  if (!cState) return false;
  view.dispatch({
    effects: startCompletionEffect.of(true)
  });
  return true;
};
/**
Close the currently active completion.
*/
exports.startCompletion = startCompletion;
const closeCompletion = view => {
  let cState = view.state.field(completionState, false);
  if (!cState || !cState.active.some(a => a.state != 0 /* State.Inactive */)) return false;
  view.dispatch({
    effects: closeCompletionEffect.of(null)
  });
  return true;
};
exports.closeCompletion = closeCompletion;
class RunningQuery {
  constructor(active, context) {
    this.active = active;
    this.context = context;
    this.time = Date.now();
    this.updates = [];
    // Note that 'undefined' means 'not done yet', whereas 'null' means
    // 'query returned null'.
    this.done = undefined;
  }
}
const DebounceTime = 50,
  MaxUpdateCount = 50,
  MinAbortTime = 1000;
const completionPlugin = /*@__PURE__*/_view.ViewPlugin.fromClass(class {
  constructor(view) {
    this.view = view;
    this.debounceUpdate = -1;
    this.running = [];
    this.debounceAccept = -1;
    this.composing = 0 /* CompositionState.None */;
    for (let active of view.state.field(completionState).active) if (active.state == 1 /* State.Pending */) this.startQuery(active);
  }
  update(update) {
    let cState = update.state.field(completionState);
    if (!update.selectionSet && !update.docChanged && update.startState.field(completionState) == cState) return;
    let doesReset = update.transactions.some(tr => {
      return (tr.selection || tr.docChanged) && !getUserEvent(tr);
    });
    for (let i = 0; i < this.running.length; i++) {
      let query = this.running[i];
      if (doesReset || query.updates.length + update.transactions.length > MaxUpdateCount && Date.now() - query.time > MinAbortTime) {
        for (let handler of query.context.abortListeners) {
          try {
            handler();
          } catch (e) {
            (0, _view.logException)(this.view.state, e);
          }
        }
        query.context.abortListeners = null;
        this.running.splice(i--, 1);
      } else {
        query.updates.push(...update.transactions);
      }
    }
    if (this.debounceUpdate > -1) clearTimeout(this.debounceUpdate);
    this.debounceUpdate = cState.active.some(a => a.state == 1 /* State.Pending */ && !this.running.some(q => q.active.source == a.source)) ? setTimeout(() => this.startUpdate(), DebounceTime) : -1;
    if (this.composing != 0 /* CompositionState.None */) for (let tr of update.transactions) {
      if (getUserEvent(tr) == "input") this.composing = 2 /* CompositionState.Changed */;else if (this.composing == 2 /* CompositionState.Changed */ && tr.selection) this.composing = 3 /* CompositionState.ChangedAndMoved */;
    }
  }

  startUpdate() {
    this.debounceUpdate = -1;
    let {
        state
      } = this.view,
      cState = state.field(completionState);
    for (let active of cState.active) {
      if (active.state == 1 /* State.Pending */ && !this.running.some(r => r.active.source == active.source)) this.startQuery(active);
    }
  }
  startQuery(active) {
    let {
        state
      } = this.view,
      pos = cur(state);
    let context = new CompletionContext(state, pos, active.explicitPos == pos);
    let pending = new RunningQuery(active, context);
    this.running.push(pending);
    Promise.resolve(active.source(context)).then(result => {
      if (!pending.context.aborted) {
        pending.done = result || null;
        this.scheduleAccept();
      }
    }, err => {
      this.view.dispatch({
        effects: closeCompletionEffect.of(null)
      });
      (0, _view.logException)(this.view.state, err);
    });
  }
  scheduleAccept() {
    if (this.running.every(q => q.done !== undefined)) this.accept();else if (this.debounceAccept < 0) this.debounceAccept = setTimeout(() => this.accept(), DebounceTime);
  }
  // For each finished query in this.running, try to create a result
  // or, if appropriate, restart the query.
  accept() {
    var _a;
    if (this.debounceAccept > -1) clearTimeout(this.debounceAccept);
    this.debounceAccept = -1;
    let updated = [];
    let conf = this.view.state.facet(completionConfig);
    for (let i = 0; i < this.running.length; i++) {
      let query = this.running[i];
      if (query.done === undefined) continue;
      this.running.splice(i--, 1);
      if (query.done) {
        let active = new ActiveResult(query.active.source, query.active.explicitPos, query.done, query.done.from, (_a = query.done.to) !== null && _a !== void 0 ? _a : cur(query.updates.length ? query.updates[0].startState : this.view.state));
        // Replay the transactions that happened since the start of
        // the request and see if that preserves the result
        for (let tr of query.updates) active = active.update(tr, conf);
        if (active.hasResult()) {
          updated.push(active);
          continue;
        }
      }
      let current = this.view.state.field(completionState).active.find(a => a.source == query.active.source);
      if (current && current.state == 1 /* State.Pending */) {
        if (query.done == null) {
          // Explicitly failed. Should clear the pending status if it
          // hasn't been re-set in the meantime.
          let active = new ActiveSource(query.active.source, 0 /* State.Inactive */);
          for (let tr of query.updates) active = active.update(tr, conf);
          if (active.state != 1 /* State.Pending */) updated.push(active);
        } else {
          // Cleared by subsequent transactions. Restart.
          this.startQuery(current);
        }
      }
    }
    if (updated.length) this.view.dispatch({
      effects: setActiveEffect.of(updated)
    });
  }
}, {
  eventHandlers: {
    blur(event) {
      let state = this.view.state.field(completionState, false);
      if (state && state.tooltip && this.view.state.facet(completionConfig).closeOnBlur) {
        let dialog = state.open && (0, _view.getTooltip)(this.view, state.open.tooltip);
        if (!dialog || !dialog.dom.contains(event.relatedTarget)) this.view.dispatch({
          effects: closeCompletionEffect.of(null)
        });
      }
    },
    compositionstart() {
      this.composing = 1 /* CompositionState.Started */;
    },

    compositionend() {
      if (this.composing == 3 /* CompositionState.ChangedAndMoved */) {
        // Safari fires compositionend events synchronously, possibly
        // from inside an update, so dispatch asynchronously to avoid reentrancy
        setTimeout(() => this.view.dispatch({
          effects: startCompletionEffect.of(false)
        }), 20);
      }
      this.composing = 0 /* CompositionState.None */;
    }
  }
});

const baseTheme = /*@__PURE__*/_view.EditorView.baseTheme({
  ".cm-tooltip.cm-tooltip-autocomplete": {
    "& > ul": {
      fontFamily: "monospace",
      whiteSpace: "nowrap",
      overflow: "hidden auto",
      maxWidth_fallback: "700px",
      maxWidth: "min(700px, 95vw)",
      minWidth: "250px",
      maxHeight: "10em",
      height: "100%",
      listStyle: "none",
      margin: 0,
      padding: 0,
      "& > li, & > completion-section": {
        padding: "1px 3px",
        lineHeight: 1.2
      },
      "& > li": {
        overflowX: "hidden",
        textOverflow: "ellipsis",
        cursor: "pointer"
      },
      "& > completion-section": {
        display: "list-item",
        borderBottom: "1px solid silver",
        paddingLeft: "0.5em",
        opacity: 0.7
      }
    }
  },
  "&light .cm-tooltip-autocomplete ul li[aria-selected]": {
    background: "#17c",
    color: "white"
  },
  "&light .cm-tooltip-autocomplete-disabled ul li[aria-selected]": {
    background: "#777"
  },
  "&dark .cm-tooltip-autocomplete ul li[aria-selected]": {
    background: "#347",
    color: "white"
  },
  "&dark .cm-tooltip-autocomplete-disabled ul li[aria-selected]": {
    background: "#444"
  },
  ".cm-completionListIncompleteTop:before, .cm-completionListIncompleteBottom:after": {
    content: '"···"',
    opacity: 0.5,
    display: "block",
    textAlign: "center"
  },
  ".cm-tooltip.cm-completionInfo": {
    position: "absolute",
    padding: "3px 9px",
    width: "max-content",
    maxWidth: `${400 /* Info.Width */}px`,
    boxSizing: "border-box"
  },
  ".cm-completionInfo.cm-completionInfo-left": {
    right: "100%"
  },
  ".cm-completionInfo.cm-completionInfo-right": {
    left: "100%"
  },
  ".cm-completionInfo.cm-completionInfo-left-narrow": {
    right: `${30 /* Info.Margin */}px`
  },
  ".cm-completionInfo.cm-completionInfo-right-narrow": {
    left: `${30 /* Info.Margin */}px`
  },
  "&light .cm-snippetField": {
    backgroundColor: "#00000022"
  },
  "&dark .cm-snippetField": {
    backgroundColor: "#ffffff22"
  },
  ".cm-snippetFieldPosition": {
    verticalAlign: "text-top",
    width: 0,
    height: "1.15em",
    display: "inline-block",
    margin: "0 -0.7px -.7em",
    borderLeft: "1.4px dotted #888"
  },
  ".cm-completionMatchedText": {
    textDecoration: "underline"
  },
  ".cm-completionDetail": {
    marginLeft: "0.5em",
    fontStyle: "italic"
  },
  ".cm-completionIcon": {
    fontSize: "90%",
    width: ".8em",
    display: "inline-block",
    textAlign: "center",
    paddingRight: ".6em",
    opacity: "0.6",
    boxSizing: "content-box"
  },
  ".cm-completionIcon-function, .cm-completionIcon-method": {
    "&:after": {
      content: "'ƒ'"
    }
  },
  ".cm-completionIcon-class": {
    "&:after": {
      content: "'○'"
    }
  },
  ".cm-completionIcon-interface": {
    "&:after": {
      content: "'◌'"
    }
  },
  ".cm-completionIcon-variable": {
    "&:after": {
      content: "'𝑥'"
    }
  },
  ".cm-completionIcon-constant": {
    "&:after": {
      content: "'𝐶'"
    }
  },
  ".cm-completionIcon-type": {
    "&:after": {
      content: "'𝑡'"
    }
  },
  ".cm-completionIcon-enum": {
    "&:after": {
      content: "'∪'"
    }
  },
  ".cm-completionIcon-property": {
    "&:after": {
      content: "'□'"
    }
  },
  ".cm-completionIcon-keyword": {
    "&:after": {
      content: "'🔑\uFE0E'"
    } // Disable emoji rendering
  },

  ".cm-completionIcon-namespace": {
    "&:after": {
      content: "'▢'"
    }
  },
  ".cm-completionIcon-text": {
    "&:after": {
      content: "'abc'",
      fontSize: "50%",
      verticalAlign: "middle"
    }
  }
});
class FieldPos {
  constructor(field, line, from, to) {
    this.field = field;
    this.line = line;
    this.from = from;
    this.to = to;
  }
}
class FieldRange {
  constructor(field, from, to) {
    this.field = field;
    this.from = from;
    this.to = to;
  }
  map(changes) {
    let from = changes.mapPos(this.from, -1, _state.MapMode.TrackDel);
    let to = changes.mapPos(this.to, 1, _state.MapMode.TrackDel);
    return from == null || to == null ? null : new FieldRange(this.field, from, to);
  }
}
class Snippet {
  constructor(lines, fieldPositions) {
    this.lines = lines;
    this.fieldPositions = fieldPositions;
  }
  instantiate(state, pos) {
    let text = [],
      lineStart = [pos];
    let lineObj = state.doc.lineAt(pos),
      baseIndent = /^\s*/.exec(lineObj.text)[0];
    for (let line of this.lines) {
      if (text.length) {
        let indent = baseIndent,
          tabs = /^\t*/.exec(line)[0].length;
        for (let i = 0; i < tabs; i++) indent += state.facet(_language.indentUnit);
        lineStart.push(pos + indent.length - tabs);
        line = indent + line.slice(tabs);
      }
      text.push(line);
      pos += line.length + 1;
    }
    let ranges = this.fieldPositions.map(pos => new FieldRange(pos.field, lineStart[pos.line] + pos.from, lineStart[pos.line] + pos.to));
    return {
      text,
      ranges
    };
  }
  static parse(template) {
    let fields = [];
    let lines = [],
      positions = [],
      m;
    for (let line of template.split(/\r\n?|\n/)) {
      while (m = /[#$]\{(?:(\d+)(?::([^}]*))?|([^}]*))\}/.exec(line)) {
        let seq = m[1] ? +m[1] : null,
          name = m[2] || m[3] || "",
          found = -1;
        for (let i = 0; i < fields.length; i++) {
          if (seq != null ? fields[i].seq == seq : name ? fields[i].name == name : false) found = i;
        }
        if (found < 0) {
          let i = 0;
          while (i < fields.length && (seq == null || fields[i].seq != null && fields[i].seq < seq)) i++;
          fields.splice(i, 0, {
            seq,
            name
          });
          found = i;
          for (let pos of positions) if (pos.field >= found) pos.field++;
        }
        positions.push(new FieldPos(found, lines.length, m.index, m.index + name.length));
        line = line.slice(0, m.index) + name + line.slice(m.index + m[0].length);
      }
      for (let esc; esc = /\\([{}])/.exec(line);) {
        line = line.slice(0, esc.index) + esc[1] + line.slice(esc.index + esc[0].length);
        for (let pos of positions) if (pos.line == lines.length && pos.from > esc.index) {
          pos.from--;
          pos.to--;
        }
      }
      lines.push(line);
    }
    return new Snippet(lines, positions);
  }
}
let fieldMarker = /*@__PURE__*/_view.Decoration.widget({
  widget: /*@__PURE__*/new class extends _view.WidgetType {
    toDOM() {
      let span = document.createElement("span");
      span.className = "cm-snippetFieldPosition";
      return span;
    }
    ignoreEvent() {
      return false;
    }
  }()
});
let fieldRange = /*@__PURE__*/_view.Decoration.mark({
  class: "cm-snippetField"
});
class ActiveSnippet {
  constructor(ranges, active) {
    this.ranges = ranges;
    this.active = active;
    this.deco = _view.Decoration.set(ranges.map(r => (r.from == r.to ? fieldMarker : fieldRange).range(r.from, r.to)));
  }
  map(changes) {
    let ranges = [];
    for (let r of this.ranges) {
      let mapped = r.map(changes);
      if (!mapped) return null;
      ranges.push(mapped);
    }
    return new ActiveSnippet(ranges, this.active);
  }
  selectionInsideField(sel) {
    return sel.ranges.every(range => this.ranges.some(r => r.field == this.active && r.from <= range.from && r.to >= range.to));
  }
}
const setActive = /*@__PURE__*/_state.StateEffect.define({
  map(value, changes) {
    return value && value.map(changes);
  }
});
const moveToField = /*@__PURE__*/_state.StateEffect.define();
const snippetState = /*@__PURE__*/_state.StateField.define({
  create() {
    return null;
  },
  update(value, tr) {
    for (let effect of tr.effects) {
      if (effect.is(setActive)) return effect.value;
      if (effect.is(moveToField) && value) return new ActiveSnippet(value.ranges, effect.value);
    }
    if (value && tr.docChanged) value = value.map(tr.changes);
    if (value && tr.selection && !value.selectionInsideField(tr.selection)) value = null;
    return value;
  },
  provide: f => _view.EditorView.decorations.from(f, val => val ? val.deco : _view.Decoration.none)
});
function fieldSelection(ranges, field) {
  return _state.EditorSelection.create(ranges.filter(r => r.field == field).map(r => _state.EditorSelection.range(r.from, r.to)));
}
/**
Convert a snippet template to a function that can
[apply](https://codemirror.net/6/docs/ref/#autocomplete.Completion.apply) it. Snippets are written
using syntax like this:

    "for (let ${index} = 0; ${index} < ${end}; ${index}++) {\n\t${}\n}"

Each `${}` placeholder (you may also use `#{}`) indicates a field
that the user can fill in. Its name, if any, will be the default
content for the field.

When the snippet is activated by calling the returned function,
the code is inserted at the given position. Newlines in the
template are indented by the indentation of the start line, plus
one [indent unit](https://codemirror.net/6/docs/ref/#language.indentUnit) per tab character after
the newline.

On activation, (all instances of) the first field are selected.
The user can move between fields with Tab and Shift-Tab as long as
the fields are active. Moving to the last field or moving the
cursor out of the current field deactivates the fields.

The order of fields defaults to textual order, but you can add
numbers to placeholders (`${1}` or `${1:defaultText}`) to provide
a custom order.

To include a literal `{` or `}` in your template, put a backslash
in front of it. This will be removed and the brace will not be
interpreted as indicating a placeholder.
*/
function snippet(template) {
  let snippet = Snippet.parse(template);
  return (editor, completion, from, to) => {
    let {
      text,
      ranges
    } = snippet.instantiate(editor.state, from);
    let spec = {
      changes: {
        from,
        to,
        insert: _state.Text.of(text)
      },
      scrollIntoView: true,
      annotations: pickedCompletion.of(completion)
    };
    if (ranges.length) spec.selection = fieldSelection(ranges, 0);
    if (ranges.length > 1) {
      let active = new ActiveSnippet(ranges, 0);
      let effects = spec.effects = [setActive.of(active)];
      if (editor.state.field(snippetState, false) === undefined) effects.push(_state.StateEffect.appendConfig.of([snippetState, addSnippetKeymap, snippetPointerHandler, baseTheme]));
    }
    editor.dispatch(editor.state.update(spec));
  };
}
function moveField(dir) {
  return ({
    state,
    dispatch
  }) => {
    let active = state.field(snippetState, false);
    if (!active || dir < 0 && active.active == 0) return false;
    let next = active.active + dir,
      last = dir > 0 && !active.ranges.some(r => r.field == next + dir);
    dispatch(state.update({
      selection: fieldSelection(active.ranges, next),
      effects: setActive.of(last ? null : new ActiveSnippet(active.ranges, next))
    }));
    return true;
  };
}
/**
A command that clears the active snippet, if any.
*/
const clearSnippet = ({
  state,
  dispatch
}) => {
  let active = state.field(snippetState, false);
  if (!active) return false;
  dispatch(state.update({
    effects: setActive.of(null)
  }));
  return true;
};
/**
Move to the next snippet field, if available.
*/
exports.clearSnippet = clearSnippet;
const nextSnippetField = /*@__PURE__*/moveField(1);
/**
Move to the previous snippet field, if available.
*/
exports.nextSnippetField = nextSnippetField;
const prevSnippetField = /*@__PURE__*/moveField(-1);
exports.prevSnippetField = prevSnippetField;
const defaultSnippetKeymap = [{
  key: "Tab",
  run: nextSnippetField,
  shift: prevSnippetField
}, {
  key: "Escape",
  run: clearSnippet
}];
/**
A facet that can be used to configure the key bindings used by
snippets. The default binds Tab to
[`nextSnippetField`](https://codemirror.net/6/docs/ref/#autocomplete.nextSnippetField), Shift-Tab to
[`prevSnippetField`](https://codemirror.net/6/docs/ref/#autocomplete.prevSnippetField), and Escape
to [`clearSnippet`](https://codemirror.net/6/docs/ref/#autocomplete.clearSnippet).
*/
const snippetKeymap = /*@__PURE__*/_state.Facet.define({
  combine(maps) {
    return maps.length ? maps[0] : defaultSnippetKeymap;
  }
});
exports.snippetKeymap = snippetKeymap;
const addSnippetKeymap = /*@__PURE__*/_state.Prec.highest( /*@__PURE__*/_view.keymap.compute([snippetKeymap], state => state.facet(snippetKeymap)));
/**
Create a completion from a snippet. Returns an object with the
properties from `completion`, plus an `apply` function that
applies the snippet.
*/
function snippetCompletion(template, completion) {
  return Object.assign(Object.assign({}, completion), {
    apply: snippet(template)
  });
}
const snippetPointerHandler = /*@__PURE__*/_view.EditorView.domEventHandlers({
  mousedown(event, view) {
    let active = view.state.field(snippetState, false),
      pos;
    if (!active || (pos = view.posAtCoords({
      x: event.clientX,
      y: event.clientY
    })) == null) return false;
    let match = active.ranges.find(r => r.from <= pos && r.to >= pos);
    if (!match || match.field == active.active) return false;
    view.dispatch({
      selection: fieldSelection(active.ranges, match.field),
      effects: setActive.of(active.ranges.some(r => r.field > match.field) ? new ActiveSnippet(active.ranges, match.field) : null)
    });
    return true;
  }
});
function wordRE(wordChars) {
  let escaped = wordChars.replace(/[\\[.+*?(){|^$]/g, "\\$&");
  try {
    return new RegExp(`[\\p{Alphabetic}\\p{Number}_${escaped}]+`, "ug");
  } catch (_a) {
    return new RegExp(`[\w${escaped}]`, "g");
  }
}
function mapRE(re, f) {
  return new RegExp(f(re.source), re.unicode ? "u" : "");
}
const wordCaches = /*@__PURE__*/Object.create(null);
function wordCache(wordChars) {
  return wordCaches[wordChars] || (wordCaches[wordChars] = new WeakMap());
}
function storeWords(doc, wordRE, result, seen, ignoreAt) {
  for (let lines = doc.iterLines(), pos = 0; !lines.next().done;) {
    let {
        value
      } = lines,
      m;
    wordRE.lastIndex = 0;
    while (m = wordRE.exec(value)) {
      if (!seen[m[0]] && pos + m.index != ignoreAt) {
        result.push({
          type: "text",
          label: m[0]
        });
        seen[m[0]] = true;
        if (result.length >= 2000 /* C.MaxList */) return;
      }
    }
    pos += value.length + 1;
  }
}
function collectWords(doc, cache, wordRE, to, ignoreAt) {
  let big = doc.length >= 1000 /* C.MinCacheLen */;
  let cached = big && cache.get(doc);
  if (cached) return cached;
  let result = [],
    seen = Object.create(null);
  if (doc.children) {
    let pos = 0;
    for (let ch of doc.children) {
      if (ch.length >= 1000 /* C.MinCacheLen */) {
        for (let c of collectWords(ch, cache, wordRE, to - pos, ignoreAt - pos)) {
          if (!seen[c.label]) {
            seen[c.label] = true;
            result.push(c);
          }
        }
      } else {
        storeWords(ch, wordRE, result, seen, ignoreAt - pos);
      }
      pos += ch.length + 1;
    }
  } else {
    storeWords(doc, wordRE, result, seen, ignoreAt);
  }
  if (big && result.length < 2000 /* C.MaxList */) cache.set(doc, result);
  return result;
}
/**
A completion source that will scan the document for words (using a
[character categorizer](https://codemirror.net/6/docs/ref/#state.EditorState.charCategorizer)), and
return those as completions.
*/
const completeAnyWord = context => {
  let wordChars = context.state.languageDataAt("wordChars", context.pos).join("");
  let re = wordRE(wordChars);
  let token = context.matchBefore(mapRE(re, s => s + "$"));
  if (!token && !context.explicit) return null;
  let from = token ? token.from : context.pos;
  let options = collectWords(context.state.doc, wordCache(wordChars), re, 50000 /* C.Range */, from);
  return {
    from,
    options,
    validFor: mapRE(re, s => "^" + s)
  };
};
exports.completeAnyWord = completeAnyWord;
const defaults = {
  brackets: ["(", "[", "{", "'", '"'],
  before: ")]}:;>",
  stringPrefixes: []
};
const closeBracketEffect = /*@__PURE__*/_state.StateEffect.define({
  map(value, mapping) {
    let mapped = mapping.mapPos(value, -1, _state.MapMode.TrackAfter);
    return mapped == null ? undefined : mapped;
  }
});
const closedBracket = /*@__PURE__*/new class extends _state.RangeValue {}();
closedBracket.startSide = 1;
closedBracket.endSide = -1;
const bracketState = /*@__PURE__*/_state.StateField.define({
  create() {
    return _state.RangeSet.empty;
  },
  update(value, tr) {
    if (tr.selection) {
      let lineStart = tr.state.doc.lineAt(tr.selection.main.head).from;
      let prevLineStart = tr.startState.doc.lineAt(tr.startState.selection.main.head).from;
      if (lineStart != tr.changes.mapPos(prevLineStart, -1)) value = _state.RangeSet.empty;
    }
    value = value.map(tr.changes);
    for (let effect of tr.effects) if (effect.is(closeBracketEffect)) value = value.update({
      add: [closedBracket.range(effect.value, effect.value + 1)]
    });
    return value;
  }
});
/**
Extension to enable bracket-closing behavior. When a closeable
bracket is typed, its closing bracket is immediately inserted
after the cursor. When closing a bracket directly in front of a
closing bracket inserted by the extension, the cursor moves over
that bracket.
*/
function closeBrackets() {
  return [inputHandler, bracketState];
}
const definedClosing = "()[]{}<>";
function closing(ch) {
  for (let i = 0; i < definedClosing.length; i += 2) if (definedClosing.charCodeAt(i) == ch) return definedClosing.charAt(i + 1);
  return (0, _state.fromCodePoint)(ch < 128 ? ch : ch + 1);
}
function config(state, pos) {
  return state.languageDataAt("closeBrackets", pos)[0] || defaults;
}
const android = typeof navigator == "object" && /*@__PURE__*/ /Android\b/.test(navigator.userAgent);
const inputHandler = /*@__PURE__*/_view.EditorView.inputHandler.of((view, from, to, insert) => {
  if ((android ? view.composing : view.compositionStarted) || view.state.readOnly) return false;
  let sel = view.state.selection.main;
  if (insert.length > 2 || insert.length == 2 && (0, _state.codePointSize)((0, _state.codePointAt)(insert, 0)) == 1 || from != sel.from || to != sel.to) return false;
  let tr = insertBracket(view.state, insert);
  if (!tr) return false;
  view.dispatch(tr);
  return true;
});
/**
Command that implements deleting a pair of matching brackets when
the cursor is between them.
*/
const deleteBracketPair = ({
  state,
  dispatch
}) => {
  if (state.readOnly) return false;
  let conf = config(state, state.selection.main.head);
  let tokens = conf.brackets || defaults.brackets;
  let dont = null,
    changes = state.changeByRange(range => {
      if (range.empty) {
        let before = prevChar(state.doc, range.head);
        for (let token of tokens) {
          if (token == before && nextChar(state.doc, range.head) == closing((0, _state.codePointAt)(token, 0))) return {
            changes: {
              from: range.head - token.length,
              to: range.head + token.length
            },
            range: _state.EditorSelection.cursor(range.head - token.length)
          };
        }
      }
      return {
        range: dont = range
      };
    });
  if (!dont) dispatch(state.update(changes, {
    scrollIntoView: true,
    userEvent: "delete.backward"
  }));
  return !dont;
};
/**
Close-brackets related key bindings. Binds Backspace to
[`deleteBracketPair`](https://codemirror.net/6/docs/ref/#autocomplete.deleteBracketPair).
*/
exports.deleteBracketPair = deleteBracketPair;
const closeBracketsKeymap = [{
  key: "Backspace",
  run: deleteBracketPair
}];
/**
Implements the extension's behavior on text insertion. If the
given string counts as a bracket in the language around the
selection, and replacing the selection with it requires custom
behavior (inserting a closing version or skipping past a
previously-closed bracket), this function returns a transaction
representing that custom behavior. (You only need this if you want
to programmatically insert brackets—the
[`closeBrackets`](https://codemirror.net/6/docs/ref/#autocomplete.closeBrackets) extension will
take care of running this for user input.)
*/
exports.closeBracketsKeymap = closeBracketsKeymap;
function insertBracket(state, bracket) {
  let conf = config(state, state.selection.main.head);
  let tokens = conf.brackets || defaults.brackets;
  for (let tok of tokens) {
    let closed = closing((0, _state.codePointAt)(tok, 0));
    if (bracket == tok) return closed == tok ? handleSame(state, tok, tokens.indexOf(tok + tok + tok) > -1, conf) : handleOpen(state, tok, closed, conf.before || defaults.before);
    if (bracket == closed && closedBracketAt(state, state.selection.main.from)) return handleClose(state, tok, closed);
  }
  return null;
}
function closedBracketAt(state, pos) {
  let found = false;
  state.field(bracketState).between(0, state.doc.length, from => {
    if (from == pos) found = true;
  });
  return found;
}
function nextChar(doc, pos) {
  let next = doc.sliceString(pos, pos + 2);
  return next.slice(0, (0, _state.codePointSize)((0, _state.codePointAt)(next, 0)));
}
function prevChar(doc, pos) {
  let prev = doc.sliceString(pos - 2, pos);
  return (0, _state.codePointSize)((0, _state.codePointAt)(prev, 0)) == prev.length ? prev : prev.slice(1);
}
function handleOpen(state, open, close, closeBefore) {
  let dont = null,
    changes = state.changeByRange(range => {
      if (!range.empty) return {
        changes: [{
          insert: open,
          from: range.from
        }, {
          insert: close,
          from: range.to
        }],
        effects: closeBracketEffect.of(range.to + open.length),
        range: _state.EditorSelection.range(range.anchor + open.length, range.head + open.length)
      };
      let next = nextChar(state.doc, range.head);
      if (!next || /\s/.test(next) || closeBefore.indexOf(next) > -1) return {
        changes: {
          insert: open + close,
          from: range.head
        },
        effects: closeBracketEffect.of(range.head + open.length),
        range: _state.EditorSelection.cursor(range.head + open.length)
      };
      return {
        range: dont = range
      };
    });
  return dont ? null : state.update(changes, {
    scrollIntoView: true,
    userEvent: "input.type"
  });
}
function handleClose(state, _open, close) {
  let dont = null,
    changes = state.changeByRange(range => {
      if (range.empty && nextChar(state.doc, range.head) == close) return {
        changes: {
          from: range.head,
          to: range.head + close.length,
          insert: close
        },
        range: _state.EditorSelection.cursor(range.head + close.length)
      };
      return dont = {
        range
      };
    });
  return dont ? null : state.update(changes, {
    scrollIntoView: true,
    userEvent: "input.type"
  });
}
// Handles cases where the open and close token are the same, and
// possibly triple quotes (as in `"""abc"""`-style quoting).
function handleSame(state, token, allowTriple, config) {
  let stringPrefixes = config.stringPrefixes || defaults.stringPrefixes;
  let dont = null,
    changes = state.changeByRange(range => {
      if (!range.empty) return {
        changes: [{
          insert: token,
          from: range.from
        }, {
          insert: token,
          from: range.to
        }],
        effects: closeBracketEffect.of(range.to + token.length),
        range: _state.EditorSelection.range(range.anchor + token.length, range.head + token.length)
      };
      let pos = range.head,
        next = nextChar(state.doc, pos),
        start;
      if (next == token) {
        if (nodeStart(state, pos)) {
          return {
            changes: {
              insert: token + token,
              from: pos
            },
            effects: closeBracketEffect.of(pos + token.length),
            range: _state.EditorSelection.cursor(pos + token.length)
          };
        } else if (closedBracketAt(state, pos)) {
          let isTriple = allowTriple && state.sliceDoc(pos, pos + token.length * 3) == token + token + token;
          let content = isTriple ? token + token + token : token;
          return {
            changes: {
              from: pos,
              to: pos + content.length,
              insert: content
            },
            range: _state.EditorSelection.cursor(pos + content.length)
          };
        }
      } else if (allowTriple && state.sliceDoc(pos - 2 * token.length, pos) == token + token && (start = canStartStringAt(state, pos - 2 * token.length, stringPrefixes)) > -1 && nodeStart(state, start)) {
        return {
          changes: {
            insert: token + token + token + token,
            from: pos
          },
          effects: closeBracketEffect.of(pos + token.length),
          range: _state.EditorSelection.cursor(pos + token.length)
        };
      } else if (state.charCategorizer(pos)(next) != _state.CharCategory.Word) {
        if (canStartStringAt(state, pos, stringPrefixes) > -1 && !probablyInString(state, pos, token, stringPrefixes)) return {
          changes: {
            insert: token + token,
            from: pos
          },
          effects: closeBracketEffect.of(pos + token.length),
          range: _state.EditorSelection.cursor(pos + token.length)
        };
      }
      return {
        range: dont = range
      };
    });
  return dont ? null : state.update(changes, {
    scrollIntoView: true,
    userEvent: "input.type"
  });
}
function nodeStart(state, pos) {
  let tree = (0, _language.syntaxTree)(state).resolveInner(pos + 1);
  return tree.parent && tree.from == pos;
}
function probablyInString(state, pos, quoteToken, prefixes) {
  let node = (0, _language.syntaxTree)(state).resolveInner(pos, -1);
  let maxPrefix = prefixes.reduce((m, p) => Math.max(m, p.length), 0);
  for (let i = 0; i < 5; i++) {
    let start = state.sliceDoc(node.from, Math.min(node.to, node.from + quoteToken.length + maxPrefix));
    let quotePos = start.indexOf(quoteToken);
    if (!quotePos || quotePos > -1 && prefixes.indexOf(start.slice(0, quotePos)) > -1) {
      let first = node.firstChild;
      while (first && first.from == node.from && first.to - first.from > quoteToken.length + quotePos) {
        if (state.sliceDoc(first.to - quoteToken.length, first.to) == quoteToken) return false;
        first = first.firstChild;
      }
      return true;
    }
    let parent = node.to == pos && node.parent;
    if (!parent) break;
    node = parent;
  }
  return false;
}
function canStartStringAt(state, pos, prefixes) {
  let charCat = state.charCategorizer(pos);
  if (charCat(state.sliceDoc(pos - 1, pos)) != _state.CharCategory.Word) return pos;
  for (let prefix of prefixes) {
    let start = pos - prefix.length;
    if (state.sliceDoc(start, pos) == prefix && charCat(state.sliceDoc(start - 1, start)) != _state.CharCategory.Word) return start;
  }
  return -1;
}

/**
Returns an extension that enables autocompletion.
*/
function autocompletion(config = {}) {
  return [completionState, completionConfig.of(config), completionPlugin, completionKeymapExt, baseTheme];
}
/**
Basic keybindings for autocompletion.

 - Ctrl-Space: [`startCompletion`](https://codemirror.net/6/docs/ref/#autocomplete.startCompletion)
 - Escape: [`closeCompletion`](https://codemirror.net/6/docs/ref/#autocomplete.closeCompletion)
 - ArrowDown: [`moveCompletionSelection`](https://codemirror.net/6/docs/ref/#autocomplete.moveCompletionSelection)`(true)`
 - ArrowUp: [`moveCompletionSelection`](https://codemirror.net/6/docs/ref/#autocomplete.moveCompletionSelection)`(false)`
 - PageDown: [`moveCompletionSelection`](https://codemirror.net/6/docs/ref/#autocomplete.moveCompletionSelection)`(true, "page")`
 - PageDown: [`moveCompletionSelection`](https://codemirror.net/6/docs/ref/#autocomplete.moveCompletionSelection)`(true, "page")`
 - Enter: [`acceptCompletion`](https://codemirror.net/6/docs/ref/#autocomplete.acceptCompletion)
*/
const completionKeymap = [{
  key: "Ctrl-Space",
  run: startCompletion
}, {
  key: "Escape",
  run: closeCompletion
}, {
  key: "ArrowDown",
  run: /*@__PURE__*/moveCompletionSelection(true)
}, {
  key: "ArrowUp",
  run: /*@__PURE__*/moveCompletionSelection(false)
}, {
  key: "PageDown",
  run: /*@__PURE__*/moveCompletionSelection(true, "page")
}, {
  key: "PageUp",
  run: /*@__PURE__*/moveCompletionSelection(false, "page")
}, {
  key: "Enter",
  run: acceptCompletion
}];
exports.completionKeymap = completionKeymap;
const completionKeymapExt = /*@__PURE__*/_state.Prec.highest( /*@__PURE__*/_view.keymap.computeN([completionConfig], state => state.facet(completionConfig).defaultKeymap ? [completionKeymap] : []));
/**
Get the current completion status. When completions are available,
this will return `"active"`. When completions are pending (in the
process of being queried), this returns `"pending"`. Otherwise, it
returns `null`.
*/
function completionStatus(state) {
  let cState = state.field(completionState, false);
  return cState && cState.active.some(a => a.state == 1 /* State.Pending */) ? "pending" : cState && cState.active.some(a => a.state != 0 /* State.Inactive */) ? "active" : null;
}
const completionArrayCache = /*@__PURE__*/new WeakMap();
/**
Returns the available completions as an array.
*/
function currentCompletions(state) {
  var _a;
  let open = (_a = state.field(completionState, false)) === null || _a === void 0 ? void 0 : _a.open;
  if (!open || open.disabled) return [];
  let completions = completionArrayCache.get(open.options);
  if (!completions) completionArrayCache.set(open.options, completions = open.options.map(o => o.completion));
  return completions;
}
/**
Return the currently selected completion, if any.
*/
function selectedCompletion(state) {
  var _a;
  let open = (_a = state.field(completionState, false)) === null || _a === void 0 ? void 0 : _a.open;
  return open && !open.disabled && open.selected >= 0 ? open.options[open.selected].completion : null;
}
/**
Returns the currently selected position in the active completion
list, or null if no completions are active.
*/
function selectedCompletionIndex(state) {
  var _a;
  let open = (_a = state.field(completionState, false)) === null || _a === void 0 ? void 0 : _a.open;
  return open && !open.disabled && open.selected >= 0 ? open.selected : null;
}
/**
Create an effect that can be attached to a transaction to change
the currently selected completion.
*/
function setSelectedCompletion(index) {
  return setSelectedEffect.of(index);
}
},{"@codemirror/state":"node_modules/@codemirror/state/dist/index.js","@codemirror/view":"node_modules/@codemirror/view/dist/index.js","@codemirror/language":"node_modules/@codemirror/language/dist/index.js"}],"node_modules/@codemirror/lint/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.closeLintPanel = void 0;
exports.diagnosticCount = diagnosticCount;
exports.forEachDiagnostic = forEachDiagnostic;
exports.forceLinting = forceLinting;
exports.lintGutter = lintGutter;
exports.lintKeymap = void 0;
exports.linter = linter;
exports.openLintPanel = exports.nextDiagnostic = void 0;
exports.setDiagnostics = setDiagnostics;
exports.setDiagnosticsEffect = void 0;
var _view = require("@codemirror/view");
var _state = require("@codemirror/state");
var _crelt = _interopRequireDefault(require("crelt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class SelectedDiagnostic {
  constructor(from, to, diagnostic) {
    this.from = from;
    this.to = to;
    this.diagnostic = diagnostic;
  }
}
class LintState {
  constructor(diagnostics, panel, selected) {
    this.diagnostics = diagnostics;
    this.panel = panel;
    this.selected = selected;
  }
  static init(diagnostics, panel, state) {
    // Filter the list of diagnostics for which to create markers
    let markedDiagnostics = diagnostics;
    let diagnosticFilter = state.facet(lintConfig).markerFilter;
    if (diagnosticFilter) markedDiagnostics = diagnosticFilter(markedDiagnostics);
    let ranges = _view.Decoration.set(markedDiagnostics.map(d => {
      // For zero-length ranges or ranges covering only a line break, create a widget
      return d.from == d.to || d.from == d.to - 1 && state.doc.lineAt(d.from).to == d.from ? _view.Decoration.widget({
        widget: new DiagnosticWidget(d),
        diagnostic: d
      }).range(d.from) : _view.Decoration.mark({
        attributes: {
          class: "cm-lintRange cm-lintRange-" + d.severity
        },
        diagnostic: d
      }).range(d.from, d.to);
    }), true);
    return new LintState(ranges, panel, findDiagnostic(ranges));
  }
}
function findDiagnostic(diagnostics, diagnostic = null, after = 0) {
  let found = null;
  diagnostics.between(after, 1e9, (from, to, {
    spec
  }) => {
    if (diagnostic && spec.diagnostic != diagnostic) return;
    found = new SelectedDiagnostic(from, to, spec.diagnostic);
    return false;
  });
  return found;
}
function hideTooltip(tr, tooltip) {
  return !!(tr.effects.some(e => e.is(setDiagnosticsEffect)) || tr.changes.touchesRange(tooltip.pos));
}
function maybeEnableLint(state, effects) {
  return state.field(lintState, false) ? effects : effects.concat(_state.StateEffect.appendConfig.of(lintExtensions));
}
/**
Returns a transaction spec which updates the current set of
diagnostics, and enables the lint extension if if wasn't already
active.
*/
function setDiagnostics(state, diagnostics) {
  return {
    effects: maybeEnableLint(state, [setDiagnosticsEffect.of(diagnostics)])
  };
}
/**
The state effect that updates the set of active diagnostics. Can
be useful when writing an extension that needs to track these.
*/
const setDiagnosticsEffect = /*@__PURE__*/_state.StateEffect.define();
exports.setDiagnosticsEffect = setDiagnosticsEffect;
const togglePanel = /*@__PURE__*/_state.StateEffect.define();
const movePanelSelection = /*@__PURE__*/_state.StateEffect.define();
const lintState = /*@__PURE__*/_state.StateField.define({
  create() {
    return new LintState(_view.Decoration.none, null, null);
  },
  update(value, tr) {
    if (tr.docChanged) {
      let mapped = value.diagnostics.map(tr.changes),
        selected = null;
      if (value.selected) {
        let selPos = tr.changes.mapPos(value.selected.from, 1);
        selected = findDiagnostic(mapped, value.selected.diagnostic, selPos) || findDiagnostic(mapped, null, selPos);
      }
      value = new LintState(mapped, value.panel, selected);
    }
    for (let effect of tr.effects) {
      if (effect.is(setDiagnosticsEffect)) {
        value = LintState.init(effect.value, value.panel, tr.state);
      } else if (effect.is(togglePanel)) {
        value = new LintState(value.diagnostics, effect.value ? LintPanel.open : null, value.selected);
      } else if (effect.is(movePanelSelection)) {
        value = new LintState(value.diagnostics, value.panel, effect.value);
      }
    }
    return value;
  },
  provide: f => [_view.showPanel.from(f, val => val.panel), _view.EditorView.decorations.from(f, s => s.diagnostics)]
});
/**
Returns the number of active lint diagnostics in the given state.
*/
function diagnosticCount(state) {
  let lint = state.field(lintState, false);
  return lint ? lint.diagnostics.size : 0;
}
const activeMark = /*@__PURE__*/_view.Decoration.mark({
  class: "cm-lintRange cm-lintRange-active"
});
function lintTooltip(view, pos, side) {
  let {
    diagnostics
  } = view.state.field(lintState);
  let found = [],
    stackStart = 2e8,
    stackEnd = 0;
  diagnostics.between(pos - (side < 0 ? 1 : 0), pos + (side > 0 ? 1 : 0), (from, to, {
    spec
  }) => {
    if (pos >= from && pos <= to && (from == to || (pos > from || side > 0) && (pos < to || side < 0))) {
      found.push(spec.diagnostic);
      stackStart = Math.min(from, stackStart);
      stackEnd = Math.max(to, stackEnd);
    }
  });
  let diagnosticFilter = view.state.facet(lintConfig).tooltipFilter;
  if (diagnosticFilter) found = diagnosticFilter(found);
  if (!found.length) return null;
  return {
    pos: stackStart,
    end: stackEnd,
    above: view.state.doc.lineAt(stackStart).to < stackEnd,
    create() {
      return {
        dom: diagnosticsTooltip(view, found)
      };
    }
  };
}
function diagnosticsTooltip(view, diagnostics) {
  return (0, _crelt.default)("ul", {
    class: "cm-tooltip-lint"
  }, diagnostics.map(d => renderDiagnostic(view, d, false)));
}
/**
Command to open and focus the lint panel.
*/
const openLintPanel = view => {
  let field = view.state.field(lintState, false);
  if (!field || !field.panel) view.dispatch({
    effects: maybeEnableLint(view.state, [togglePanel.of(true)])
  });
  let panel = (0, _view.getPanel)(view, LintPanel.open);
  if (panel) panel.dom.querySelector(".cm-panel-lint ul").focus();
  return true;
};
/**
Command to close the lint panel, when open.
*/
exports.openLintPanel = openLintPanel;
const closeLintPanel = view => {
  let field = view.state.field(lintState, false);
  if (!field || !field.panel) return false;
  view.dispatch({
    effects: togglePanel.of(false)
  });
  return true;
};
/**
Move the selection to the next diagnostic.
*/
exports.closeLintPanel = closeLintPanel;
const nextDiagnostic = view => {
  let field = view.state.field(lintState, false);
  if (!field) return false;
  let sel = view.state.selection.main,
    next = field.diagnostics.iter(sel.to + 1);
  if (!next.value) {
    next = field.diagnostics.iter(0);
    if (!next.value || next.from == sel.from && next.to == sel.to) return false;
  }
  view.dispatch({
    selection: {
      anchor: next.from,
      head: next.to
    },
    scrollIntoView: true
  });
  return true;
};
/**
A set of default key bindings for the lint functionality.

- Ctrl-Shift-m (Cmd-Shift-m on macOS): [`openLintPanel`](https://codemirror.net/6/docs/ref/#lint.openLintPanel)
- F8: [`nextDiagnostic`](https://codemirror.net/6/docs/ref/#lint.nextDiagnostic)
*/
exports.nextDiagnostic = nextDiagnostic;
const lintKeymap = [{
  key: "Mod-Shift-m",
  run: openLintPanel,
  preventDefault: true
}, {
  key: "F8",
  run: nextDiagnostic
}];
exports.lintKeymap = lintKeymap;
const lintPlugin = /*@__PURE__*/_view.ViewPlugin.fromClass(class {
  constructor(view) {
    this.view = view;
    this.timeout = -1;
    this.set = true;
    let {
      delay
    } = view.state.facet(lintConfig);
    this.lintTime = Date.now() + delay;
    this.run = this.run.bind(this);
    this.timeout = setTimeout(this.run, delay);
  }
  run() {
    let now = Date.now();
    if (now < this.lintTime - 10) {
      setTimeout(this.run, this.lintTime - now);
    } else {
      this.set = false;
      let {
          state
        } = this.view,
        {
          sources
        } = state.facet(lintConfig);
      Promise.all(sources.map(source => Promise.resolve(source(this.view)))).then(annotations => {
        let all = annotations.reduce((a, b) => a.concat(b));
        if (this.view.state.doc == state.doc) this.view.dispatch(setDiagnostics(this.view.state, all));
      }, error => {
        (0, _view.logException)(this.view.state, error);
      });
    }
  }
  update(update) {
    let config = update.state.facet(lintConfig);
    if (update.docChanged || config != update.startState.facet(lintConfig) || config.needsRefresh && config.needsRefresh(update)) {
      this.lintTime = Date.now() + config.delay;
      if (!this.set) {
        this.set = true;
        this.timeout = setTimeout(this.run, config.delay);
      }
    }
  }
  force() {
    if (this.set) {
      this.lintTime = Date.now();
      this.run();
    }
  }
  destroy() {
    clearTimeout(this.timeout);
  }
});
const lintConfig = /*@__PURE__*/_state.Facet.define({
  combine(input) {
    return Object.assign({
      sources: input.map(i => i.source)
    }, (0, _state.combineConfig)(input.map(i => i.config), {
      delay: 750,
      markerFilter: null,
      tooltipFilter: null,
      needsRefresh: null
    }, {
      needsRefresh: (a, b) => !a ? b : !b ? a : u => a(u) || b(u)
    }));
  }
});
/**
Given a diagnostic source, this function returns an extension that
enables linting with that source. It will be called whenever the
editor is idle (after its content changed).
*/
function linter(source, config = {}) {
  return [lintConfig.of({
    source,
    config
  }), lintPlugin, lintExtensions];
}
/**
Forces any linters [configured](https://codemirror.net/6/docs/ref/#lint.linter) to run when the
editor is idle to run right away.
*/
function forceLinting(view) {
  let plugin = view.plugin(lintPlugin);
  if (plugin) plugin.force();
}
function assignKeys(actions) {
  let assigned = [];
  if (actions) actions: for (let {
    name
  } of actions) {
    for (let i = 0; i < name.length; i++) {
      let ch = name[i];
      if (/[a-zA-Z]/.test(ch) && !assigned.some(c => c.toLowerCase() == ch.toLowerCase())) {
        assigned.push(ch);
        continue actions;
      }
    }
    assigned.push("");
  }
  return assigned;
}
function renderDiagnostic(view, diagnostic, inPanel) {
  var _a;
  let keys = inPanel ? assignKeys(diagnostic.actions) : [];
  return (0, _crelt.default)("li", {
    class: "cm-diagnostic cm-diagnostic-" + diagnostic.severity
  }, (0, _crelt.default)("span", {
    class: "cm-diagnosticText"
  }, diagnostic.renderMessage ? diagnostic.renderMessage() : diagnostic.message), (_a = diagnostic.actions) === null || _a === void 0 ? void 0 : _a.map((action, i) => {
    let fired = false,
      click = e => {
        e.preventDefault();
        if (fired) return;
        fired = true;
        let found = findDiagnostic(view.state.field(lintState).diagnostics, diagnostic);
        if (found) action.apply(view, found.from, found.to);
      };
    let {
        name
      } = action,
      keyIndex = keys[i] ? name.indexOf(keys[i]) : -1;
    let nameElt = keyIndex < 0 ? name : [name.slice(0, keyIndex), (0, _crelt.default)("u", name.slice(keyIndex, keyIndex + 1)), name.slice(keyIndex + 1)];
    return (0, _crelt.default)("button", {
      type: "button",
      class: "cm-diagnosticAction",
      onclick: click,
      onmousedown: click,
      "aria-label": ` Action: ${name}${keyIndex < 0 ? "" : ` (access key "${keys[i]})"`}.`
    }, nameElt);
  }), diagnostic.source && (0, _crelt.default)("div", {
    class: "cm-diagnosticSource"
  }, diagnostic.source));
}
class DiagnosticWidget extends _view.WidgetType {
  constructor(diagnostic) {
    super();
    this.diagnostic = diagnostic;
  }
  eq(other) {
    return other.diagnostic == this.diagnostic;
  }
  toDOM() {
    return (0, _crelt.default)("span", {
      class: "cm-lintPoint cm-lintPoint-" + this.diagnostic.severity
    });
  }
}
class PanelItem {
  constructor(view, diagnostic) {
    this.diagnostic = diagnostic;
    this.id = "item_" + Math.floor(Math.random() * 0xffffffff).toString(16);
    this.dom = renderDiagnostic(view, diagnostic, true);
    this.dom.id = this.id;
    this.dom.setAttribute("role", "option");
  }
}
class LintPanel {
  constructor(view) {
    this.view = view;
    this.items = [];
    let onkeydown = event => {
      if (event.keyCode == 27) {
        // Escape
        closeLintPanel(this.view);
        this.view.focus();
      } else if (event.keyCode == 38 || event.keyCode == 33) {
        // ArrowUp, PageUp
        this.moveSelection((this.selectedIndex - 1 + this.items.length) % this.items.length);
      } else if (event.keyCode == 40 || event.keyCode == 34) {
        // ArrowDown, PageDown
        this.moveSelection((this.selectedIndex + 1) % this.items.length);
      } else if (event.keyCode == 36) {
        // Home
        this.moveSelection(0);
      } else if (event.keyCode == 35) {
        // End
        this.moveSelection(this.items.length - 1);
      } else if (event.keyCode == 13) {
        // Enter
        this.view.focus();
      } else if (event.keyCode >= 65 && event.keyCode <= 90 && this.selectedIndex >= 0) {
        // A-Z
        let {
            diagnostic
          } = this.items[this.selectedIndex],
          keys = assignKeys(diagnostic.actions);
        for (let i = 0; i < keys.length; i++) if (keys[i].toUpperCase().charCodeAt(0) == event.keyCode) {
          let found = findDiagnostic(this.view.state.field(lintState).diagnostics, diagnostic);
          if (found) diagnostic.actions[i].apply(view, found.from, found.to);
        }
      } else {
        return;
      }
      event.preventDefault();
    };
    let onclick = event => {
      for (let i = 0; i < this.items.length; i++) {
        if (this.items[i].dom.contains(event.target)) this.moveSelection(i);
      }
    };
    this.list = (0, _crelt.default)("ul", {
      tabIndex: 0,
      role: "listbox",
      "aria-label": this.view.state.phrase("Diagnostics"),
      onkeydown,
      onclick
    });
    this.dom = (0, _crelt.default)("div", {
      class: "cm-panel-lint"
    }, this.list, (0, _crelt.default)("button", {
      type: "button",
      name: "close",
      "aria-label": this.view.state.phrase("close"),
      onclick: () => closeLintPanel(this.view)
    }, "×"));
    this.update();
  }
  get selectedIndex() {
    let selected = this.view.state.field(lintState).selected;
    if (!selected) return -1;
    for (let i = 0; i < this.items.length; i++) if (this.items[i].diagnostic == selected.diagnostic) return i;
    return -1;
  }
  update() {
    let {
      diagnostics,
      selected
    } = this.view.state.field(lintState);
    let i = 0,
      needsSync = false,
      newSelectedItem = null;
    diagnostics.between(0, this.view.state.doc.length, (_start, _end, {
      spec
    }) => {
      let found = -1,
        item;
      for (let j = i; j < this.items.length; j++) if (this.items[j].diagnostic == spec.diagnostic) {
        found = j;
        break;
      }
      if (found < 0) {
        item = new PanelItem(this.view, spec.diagnostic);
        this.items.splice(i, 0, item);
        needsSync = true;
      } else {
        item = this.items[found];
        if (found > i) {
          this.items.splice(i, found - i);
          needsSync = true;
        }
      }
      if (selected && item.diagnostic == selected.diagnostic) {
        if (!item.dom.hasAttribute("aria-selected")) {
          item.dom.setAttribute("aria-selected", "true");
          newSelectedItem = item;
        }
      } else if (item.dom.hasAttribute("aria-selected")) {
        item.dom.removeAttribute("aria-selected");
      }
      i++;
    });
    while (i < this.items.length && !(this.items.length == 1 && this.items[0].diagnostic.from < 0)) {
      needsSync = true;
      this.items.pop();
    }
    if (this.items.length == 0) {
      this.items.push(new PanelItem(this.view, {
        from: -1,
        to: -1,
        severity: "info",
        message: this.view.state.phrase("No diagnostics")
      }));
      needsSync = true;
    }
    if (newSelectedItem) {
      this.list.setAttribute("aria-activedescendant", newSelectedItem.id);
      this.view.requestMeasure({
        key: this,
        read: () => ({
          sel: newSelectedItem.dom.getBoundingClientRect(),
          panel: this.list.getBoundingClientRect()
        }),
        write: ({
          sel,
          panel
        }) => {
          if (sel.top < panel.top) this.list.scrollTop -= panel.top - sel.top;else if (sel.bottom > panel.bottom) this.list.scrollTop += sel.bottom - panel.bottom;
        }
      });
    } else if (this.selectedIndex < 0) {
      this.list.removeAttribute("aria-activedescendant");
    }
    if (needsSync) this.sync();
  }
  sync() {
    let domPos = this.list.firstChild;
    function rm() {
      let prev = domPos;
      domPos = prev.nextSibling;
      prev.remove();
    }
    for (let item of this.items) {
      if (item.dom.parentNode == this.list) {
        while (domPos != item.dom) rm();
        domPos = item.dom.nextSibling;
      } else {
        this.list.insertBefore(item.dom, domPos);
      }
    }
    while (domPos) rm();
  }
  moveSelection(selectedIndex) {
    if (this.selectedIndex < 0) return;
    let field = this.view.state.field(lintState);
    let selection = findDiagnostic(field.diagnostics, this.items[selectedIndex].diagnostic);
    if (!selection) return;
    this.view.dispatch({
      selection: {
        anchor: selection.from,
        head: selection.to
      },
      scrollIntoView: true,
      effects: movePanelSelection.of(selection)
    });
  }
  static open(view) {
    return new LintPanel(view);
  }
}
function svg(content, attrs = `viewBox="0 0 40 40"`) {
  return `url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" ${attrs}>${encodeURIComponent(content)}</svg>')`;
}
function underline(color) {
  return svg(`<path d="m0 2.5 l2 -1.5 l1 0 l2 1.5 l1 0" stroke="${color}" fill="none" stroke-width=".7"/>`, `width="6" height="3"`);
}
const baseTheme = /*@__PURE__*/_view.EditorView.baseTheme({
  ".cm-diagnostic": {
    padding: "3px 6px 3px 8px",
    marginLeft: "-1px",
    display: "block",
    whiteSpace: "pre-wrap"
  },
  ".cm-diagnostic-error": {
    borderLeft: "5px solid #d11"
  },
  ".cm-diagnostic-warning": {
    borderLeft: "5px solid orange"
  },
  ".cm-diagnostic-info": {
    borderLeft: "5px solid #999"
  },
  ".cm-diagnosticAction": {
    font: "inherit",
    border: "none",
    padding: "2px 4px",
    backgroundColor: "#444",
    color: "white",
    borderRadius: "3px",
    marginLeft: "8px",
    cursor: "pointer"
  },
  ".cm-diagnosticSource": {
    fontSize: "70%",
    opacity: .7
  },
  ".cm-lintRange": {
    backgroundPosition: "left bottom",
    backgroundRepeat: "repeat-x",
    paddingBottom: "0.7px"
  },
  ".cm-lintRange-error": {
    backgroundImage: /*@__PURE__*/underline("#d11")
  },
  ".cm-lintRange-warning": {
    backgroundImage: /*@__PURE__*/underline("orange")
  },
  ".cm-lintRange-info": {
    backgroundImage: /*@__PURE__*/underline("#999")
  },
  ".cm-lintRange-active": {
    backgroundColor: "#ffdd9980"
  },
  ".cm-tooltip-lint": {
    padding: 0,
    margin: 0
  },
  ".cm-lintPoint": {
    position: "relative",
    "&:after": {
      content: '""',
      position: "absolute",
      bottom: 0,
      left: "-2px",
      borderLeft: "3px solid transparent",
      borderRight: "3px solid transparent",
      borderBottom: "4px solid #d11"
    }
  },
  ".cm-lintPoint-warning": {
    "&:after": {
      borderBottomColor: "orange"
    }
  },
  ".cm-lintPoint-info": {
    "&:after": {
      borderBottomColor: "#999"
    }
  },
  ".cm-panel.cm-panel-lint": {
    position: "relative",
    "& ul": {
      maxHeight: "100px",
      overflowY: "auto",
      "& [aria-selected]": {
        backgroundColor: "#ddd",
        "& u": {
          textDecoration: "underline"
        }
      },
      "&:focus [aria-selected]": {
        background_fallback: "#bdf",
        backgroundColor: "Highlight",
        color_fallback: "white",
        color: "HighlightText"
      },
      "& u": {
        textDecoration: "none"
      },
      padding: 0,
      margin: 0
    },
    "& [name=close]": {
      position: "absolute",
      top: "0",
      right: "2px",
      background: "inherit",
      border: "none",
      font: "inherit",
      padding: 0,
      margin: 0
    }
  }
});
class LintGutterMarker extends _view.GutterMarker {
  constructor(diagnostics) {
    super();
    this.diagnostics = diagnostics;
    this.severity = diagnostics.reduce((max, d) => {
      let s = d.severity;
      return s == "error" || s == "warning" && max == "info" ? s : max;
    }, "info");
  }
  toDOM(view) {
    let elt = document.createElement("div");
    elt.className = "cm-lint-marker cm-lint-marker-" + this.severity;
    let diagnostics = this.diagnostics;
    let diagnosticsFilter = view.state.facet(lintGutterConfig).tooltipFilter;
    if (diagnosticsFilter) diagnostics = diagnosticsFilter(diagnostics);
    if (diagnostics.length) elt.onmouseover = () => gutterMarkerMouseOver(view, elt, diagnostics);
    return elt;
  }
}
function trackHoverOn(view, marker) {
  let mousemove = event => {
    let rect = marker.getBoundingClientRect();
    if (event.clientX > rect.left - 10 /* Hover.Margin */ && event.clientX < rect.right + 10 /* Hover.Margin */ && event.clientY > rect.top - 10 /* Hover.Margin */ && event.clientY < rect.bottom + 10 /* Hover.Margin */) return;
    for (let target = event.target; target; target = target.parentNode) {
      if (target.nodeType == 1 && target.classList.contains("cm-tooltip-lint")) return;
    }
    window.removeEventListener("mousemove", mousemove);
    if (view.state.field(lintGutterTooltip)) view.dispatch({
      effects: setLintGutterTooltip.of(null)
    });
  };
  window.addEventListener("mousemove", mousemove);
}
function gutterMarkerMouseOver(view, marker, diagnostics) {
  function hovered() {
    let line = view.elementAtHeight(marker.getBoundingClientRect().top + 5 - view.documentTop);
    const linePos = view.coordsAtPos(line.from);
    if (linePos) {
      view.dispatch({
        effects: setLintGutterTooltip.of({
          pos: line.from,
          above: false,
          create() {
            return {
              dom: diagnosticsTooltip(view, diagnostics),
              getCoords: () => marker.getBoundingClientRect()
            };
          }
        })
      });
    }
    marker.onmouseout = marker.onmousemove = null;
    trackHoverOn(view, marker);
  }
  let {
    hoverTime
  } = view.state.facet(lintGutterConfig);
  let hoverTimeout = setTimeout(hovered, hoverTime);
  marker.onmouseout = () => {
    clearTimeout(hoverTimeout);
    marker.onmouseout = marker.onmousemove = null;
  };
  marker.onmousemove = () => {
    clearTimeout(hoverTimeout);
    hoverTimeout = setTimeout(hovered, hoverTime);
  };
}
function markersForDiagnostics(doc, diagnostics) {
  let byLine = Object.create(null);
  for (let diagnostic of diagnostics) {
    let line = doc.lineAt(diagnostic.from);
    (byLine[line.from] || (byLine[line.from] = [])).push(diagnostic);
  }
  let markers = [];
  for (let line in byLine) {
    markers.push(new LintGutterMarker(byLine[line]).range(+line));
  }
  return _state.RangeSet.of(markers, true);
}
const lintGutterExtension = /*@__PURE__*/(0, _view.gutter)({
  class: "cm-gutter-lint",
  markers: view => view.state.field(lintGutterMarkers)
});
const lintGutterMarkers = /*@__PURE__*/_state.StateField.define({
  create() {
    return _state.RangeSet.empty;
  },
  update(markers, tr) {
    markers = markers.map(tr.changes);
    let diagnosticFilter = tr.state.facet(lintGutterConfig).markerFilter;
    for (let effect of tr.effects) {
      if (effect.is(setDiagnosticsEffect)) {
        let diagnostics = effect.value;
        if (diagnosticFilter) diagnostics = diagnosticFilter(diagnostics || []);
        markers = markersForDiagnostics(tr.state.doc, diagnostics.slice(0));
      }
    }
    return markers;
  }
});
const setLintGutterTooltip = /*@__PURE__*/_state.StateEffect.define();
const lintGutterTooltip = /*@__PURE__*/_state.StateField.define({
  create() {
    return null;
  },
  update(tooltip, tr) {
    if (tooltip && tr.docChanged) tooltip = hideTooltip(tr, tooltip) ? null : Object.assign(Object.assign({}, tooltip), {
      pos: tr.changes.mapPos(tooltip.pos)
    });
    return tr.effects.reduce((t, e) => e.is(setLintGutterTooltip) ? e.value : t, tooltip);
  },
  provide: field => _view.showTooltip.from(field)
});
const lintGutterTheme = /*@__PURE__*/_view.EditorView.baseTheme({
  ".cm-gutter-lint": {
    width: "1.4em",
    "& .cm-gutterElement": {
      padding: ".2em"
    }
  },
  ".cm-lint-marker": {
    width: "1em",
    height: "1em"
  },
  ".cm-lint-marker-info": {
    content: /*@__PURE__*/svg(`<path fill="#aaf" stroke="#77e" stroke-width="6" stroke-linejoin="round" d="M5 5L35 5L35 35L5 35Z"/>`)
  },
  ".cm-lint-marker-warning": {
    content: /*@__PURE__*/svg(`<path fill="#fe8" stroke="#fd7" stroke-width="6" stroke-linejoin="round" d="M20 6L37 35L3 35Z"/>`)
  },
  ".cm-lint-marker-error": {
    content: /*@__PURE__*/svg(`<circle cx="20" cy="20" r="15" fill="#f87" stroke="#f43" stroke-width="6"/>`)
  }
});
const lintExtensions = [lintState, /*@__PURE__*/_view.EditorView.decorations.compute([lintState], state => {
  let {
    selected,
    panel
  } = state.field(lintState);
  return !selected || !panel || selected.from == selected.to ? _view.Decoration.none : _view.Decoration.set([activeMark.range(selected.from, selected.to)]);
}), /*@__PURE__*/(0, _view.hoverTooltip)(lintTooltip, {
  hideOn: hideTooltip
}), baseTheme];
const lintGutterConfig = /*@__PURE__*/_state.Facet.define({
  combine(configs) {
    return (0, _state.combineConfig)(configs, {
      hoverTime: 300 /* Hover.Time */,
      markerFilter: null,
      tooltipFilter: null
    });
  }
});
/**
Returns an extension that installs a gutter showing markers for
each line that has diagnostics, which can be hovered over to see
the diagnostics.
*/
function lintGutter(config = {}) {
  return [lintGutterConfig.of(config), lintGutterMarkers, lintGutterExtension, lintGutterTheme, lintGutterTooltip];
}
/**
Iterate over the marked diagnostics for the given editor state,
calling `f` for each of them. Note that, if the document changed
since the diagnostics were created, the `Diagnostic` object will
hold the original outdated position, whereas the `to` and `from`
arguments hold the diagnostic's current position.
*/
function forEachDiagnostic(state, f) {
  let lState = state.field(lintState, false);
  if (lState && lState.diagnostics.size) for (let iter = _state.RangeSet.iter([lState.diagnostics]); iter.value; iter.next()) f(iter.value.spec.diagnostic, iter.from, iter.to);
}
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js","crelt":"node_modules/crelt/index.es.js"}],"node_modules/codemirror/dist/index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "EditorView", {
  enumerable: true,
  get: function () {
    return _view.EditorView;
  }
});
exports.minimalSetup = exports.basicSetup = void 0;
var _view = require("@codemirror/view");
var _state = require("@codemirror/state");
var _language = require("@codemirror/language");
var _commands = require("@codemirror/commands");
var _search = require("@codemirror/search");
var _autocomplete = require("@codemirror/autocomplete");
var _lint = require("@codemirror/lint");
// (The superfluous function calls around the list of extensions work
// around current limitations in tree-shaking software.)
/**
This is an extension value that just pulls together a number of
extensions that you might want in a basic editor. It is meant as a
convenient helper to quickly set up CodeMirror without installing
and importing a lot of separate packages.

Specifically, it includes...

 - [the default command bindings](https://codemirror.net/6/docs/ref/#commands.defaultKeymap)
 - [line numbers](https://codemirror.net/6/docs/ref/#view.lineNumbers)
 - [special character highlighting](https://codemirror.net/6/docs/ref/#view.highlightSpecialChars)
 - [the undo history](https://codemirror.net/6/docs/ref/#commands.history)
 - [a fold gutter](https://codemirror.net/6/docs/ref/#language.foldGutter)
 - [custom selection drawing](https://codemirror.net/6/docs/ref/#view.drawSelection)
 - [drop cursor](https://codemirror.net/6/docs/ref/#view.dropCursor)
 - [multiple selections](https://codemirror.net/6/docs/ref/#state.EditorState^allowMultipleSelections)
 - [reindentation on input](https://codemirror.net/6/docs/ref/#language.indentOnInput)
 - [the default highlight style](https://codemirror.net/6/docs/ref/#language.defaultHighlightStyle) (as fallback)
 - [bracket matching](https://codemirror.net/6/docs/ref/#language.bracketMatching)
 - [bracket closing](https://codemirror.net/6/docs/ref/#autocomplete.closeBrackets)
 - [autocompletion](https://codemirror.net/6/docs/ref/#autocomplete.autocompletion)
 - [rectangular selection](https://codemirror.net/6/docs/ref/#view.rectangularSelection) and [crosshair cursor](https://codemirror.net/6/docs/ref/#view.crosshairCursor)
 - [active line highlighting](https://codemirror.net/6/docs/ref/#view.highlightActiveLine)
 - [active line gutter highlighting](https://codemirror.net/6/docs/ref/#view.highlightActiveLineGutter)
 - [selection match highlighting](https://codemirror.net/6/docs/ref/#search.highlightSelectionMatches)
 - [search](https://codemirror.net/6/docs/ref/#search.searchKeymap)
 - [linting](https://codemirror.net/6/docs/ref/#lint.lintKeymap)

(You'll probably want to add some language package to your setup
too.)

This extension does not allow customization. The idea is that,
once you decide you want to configure your editor more precisely,
you take this package's source (which is just a bunch of imports
and an array literal), copy it into your own code, and adjust it
as desired.
*/
const basicSetup = /*@__PURE__*/(() => [(0, _view.lineNumbers)(), (0, _view.highlightActiveLineGutter)(), (0, _view.highlightSpecialChars)(), (0, _commands.history)(), (0, _language.foldGutter)(), (0, _view.drawSelection)(), (0, _view.dropCursor)(), _state.EditorState.allowMultipleSelections.of(true), (0, _language.indentOnInput)(), (0, _language.syntaxHighlighting)(_language.defaultHighlightStyle, {
  fallback: true
}), (0, _language.bracketMatching)(), (0, _autocomplete.closeBrackets)(), (0, _autocomplete.autocompletion)(), (0, _view.rectangularSelection)(), (0, _view.crosshairCursor)(), (0, _view.highlightActiveLine)(), (0, _search.highlightSelectionMatches)(), _view.keymap.of([..._autocomplete.closeBracketsKeymap, ..._commands.defaultKeymap, ..._search.searchKeymap, ..._commands.historyKeymap, ..._language.foldKeymap, ..._autocomplete.completionKeymap, ..._lint.lintKeymap])])();
/**
A minimal set of extensions to create a functional editor. Only
includes [the default keymap](https://codemirror.net/6/docs/ref/#commands.defaultKeymap), [undo
history](https://codemirror.net/6/docs/ref/#commands.history), [special character
highlighting](https://codemirror.net/6/docs/ref/#view.highlightSpecialChars), [custom selection
drawing](https://codemirror.net/6/docs/ref/#view.drawSelection), and [default highlight
style](https://codemirror.net/6/docs/ref/#language.defaultHighlightStyle).
*/
exports.basicSetup = basicSetup;
const minimalSetup = /*@__PURE__*/(() => [(0, _view.highlightSpecialChars)(), (0, _commands.history)(), (0, _view.drawSelection)(), (0, _language.syntaxHighlighting)(_language.defaultHighlightStyle, {
  fallback: true
}), _view.keymap.of([..._commands.defaultKeymap, ..._commands.historyKeymap])])();
exports.minimalSetup = minimalSetup;
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js","@codemirror/language":"node_modules/@codemirror/language/dist/index.js","@codemirror/commands":"node_modules/@codemirror/commands/dist/index.js","@codemirror/search":"node_modules/@codemirror/search/dist/index.js","@codemirror/autocomplete":"node_modules/@codemirror/autocomplete/dist/index.js","@codemirror/lint":"node_modules/@codemirror/lint/dist/index.js"}],"src/mathematica/functions.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.functions = void 0;
/*

Take[Drop[Names["System`*"], 110 + 6], All];
Map[If[! (KeyExistsQ[Information[#] // First, "Usage"] // TrueQ), 
    Missing[], <|"label" -> #, "type" -> "keyword", 
     "info" -> StringLimitTake[
       Information[#]["Usage"] // TextString // ToString, 
       100]|>] &, %];
ExportString[% // DeleteMissing, "JSON"]

*/

/*
{"$[CapitalAlpha]", "$[CapitalBeta]", "$[CapitalGamma]", 
  "$[CapitalDelta]", "$[CapitalEpsilon]", "$[CapitalZeta]", 
  "$[CapitalEta]", "$[CapitalTheta]", "$[CapitalIota]", 
  "$[CapitalKappa]", "$[CapitalLambda]", "$[CapitalMu]", 
  "$[CapitalNu]", "$[CapitalXi]", "$[CapitalOmicron]", "$[CapitalPi]",
   "$[CapitalRho]", "$[CapitalSigma]", "$[CapitalTau]", 
  "$[CapitalUpsilon]", "$[CapitalPhi]", "$[CapitalChi]", 
  "$[CapitalPsi]", "$[CapitalOmega]", "$[Alpha]", "$[Beta]", 
  "$[Gamma]", "$[Delta]", "$[CurlyEpsilon]", "$[Zeta]", "$[Eta]", 
  "$[Theta]", "$[Iota]", "$[Kappa]", "$[Lambda]", "$[Mu]", "$[Nu]", 
  "$[Xi]", "$[Omicron]", "$[Pi]", "$[Rho]", "$[FinalSigma]", 
  "$[Sigma]", "$[Tau]", "$[Upsilon]", "$[CurlyPhi]", "$[Chi]", 
  "$[Psi]", "$[Omega]", "$[CurlyTheta]", "$[CurlyCapitalUpsilon]", 
  "$[Phi]", "$[CurlyPi]", "$[CapitalStigma]", "$[Stigma]", 
  "$[CapitalDigamma]", "$[Digamma]", "$[CapitalKoppa]", "$[Koppa]", 
  "$[CapitalSampi]", "$[Sampi]", "$[CurlyKappa]", "$[CurlyRho]", 
  "$[Epsilon]"};
With[{s = #},
    <|"label" -> Switch[StringDrop[StringTake[s, 4], 2],
       
       "Ca", 
       ToLowerCase[
        StringDrop[StringTake[s, 3], 2] <> 
         StringDrop[StringTake[s, 10], 9]], "Cu", 
       ToLowerCase[
        StringDrop[StringTake[s, 3], 2] <> 
         StringDrop[StringTake[s, 10 - 2], 9 - 2]], _, 
       ToLowerCase[StringDrop[StringTake[s, 3], 2]]],
     "type" -> "text", "apply" -> #, 
     "detail" -> StringDrop[StringDrop[#, 2], -1]
     |>
    
    ] & /@ %;
ExportString[%, "JSON"
*/

var functions = [{
  "label": "AASTriangle",
  "type": "keyword",
  "info": "AASTriangle[Î\\[PlusMinus], Îb2, a] returns a filled triangle with angles Î\\[PlusMinus] and Î\.b2 and side length a, where a is adj"
}, {
  "label": "AbelianGroup",
  "type": "keyword",
  "info": "AbelianGroup[{n , n , â¦}] represents the direct product of the cyclic groups of degrees n , n , â¦.\n "
}, {
  "label": "Abort",
  "type": "keyword",
  "info": "Abort[] generates an interrupt to abort a computation. "
}, {
  "label": "AbortKernels",
  "type": "keyword",
  "info": "AbortKernels[] aborts evaluations running in all parallel subkernels."
}, {
  "label": "AbortProtect",
  "type": "keyword",
  "info": "AbortProtect[expr] evaluates expr, saving any aborts until the evaluation is complete. "
}, {
  "label": "AbortScheduledTask",
  "type": "keyword",
  "info": "AbortScheduledTask[task] interrupts any currently evaluating instances of the cloud task task."
}, {
  "label": "Above",
  "type": "keyword",
  "info": "Above is a symbol that represents the region above an object for purposes of placement."
}, {
  "label": "Abs",
  "type": "keyword",
  "info": "Abs[z] gives the absolute value of the real or complex number z. "
}, {
  "label": "AbsArg",
  "type": "keyword",
  "info": "AbsArg[z] gives the list {Abs[z], Arg[z]} of the number z."
}, {
  "label": "AbsArgPlot",
  "type": "keyword",
  "info": "AbsArgPlot[f, {x, x   , x   }] generates a plot of Abs[f] colored by Arg[f] as a function of x â ï\\[Micro] f"
}, {
  "label": "Absolute",
  "type": "keyword",
  "info": "System`Absolute"
}, {
  "label": "AbsoluteCorrelation",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "AbsoluteCorrelationFunction",
  "type": "keyword",
  "info": "AbsoluteCorrelationFunction[data, hspec] estimates the absolute correlation function at lags hspec f"
}, {
  "label": "AbsoluteCurrentValue",
  "type": "keyword",
  "info": "AbsoluteCurrentValue[item] gives the absolute current value of item at a location in the Wolfram Sys"
}, {
  "label": "AbsoluteDashing",
  "type": "keyword",
  "info": "AbsoluteDashing[{d , d , â¦}] is a graphics directive which specifies that lines which follow are to "
}, {
  "label": "AbsoluteFileName",
  "type": "keyword",
  "info": "AbsoluteFileName[\"name\"] gives the full absolute version of the name for a file in your filesystem."
}, {
  "label": "AbsoluteOptions",
  "type": "keyword",
  "info": "AbsoluteOptions[expr] gives the absolute settings of options specified in an expression such as a gr"
}, {
  "label": "AbsolutePointSize",
  "type": "keyword",
  "info": "AbsolutePointSize[d] is a graphics directive which specifies that points which follow are to be show"
}, {
  "label": "AbsoluteThickness",
  "type": "keyword",
  "info": "AbsoluteThickness[d] is a graphics directive which specifies that lines which follow are to be drawn"
}, {
  "label": "AbsoluteTime",
  "type": "keyword",
  "info": "AbsoluteTime[] gives the total number of seconds since the beginning of January 1, 1900, in your tim"
}, {
  "label": "AbsoluteTiming",
  "type": "keyword",
  "info": "AbsoluteTiming[expr] evaluates expr, returning a list of the absolute number of seconds in real time"
}, {
  "label": "AcceptanceThreshold",
  "type": "keyword",
  "info": "AcceptanceThreshold is an option that specifies the minimum threshold at which a result is considere"
}, {
  "label": "AccountingForm",
  "type": "keyword",
  "info": "AccountingForm[expr] prints with all numbers in expr given in standard accounting notation. Accounti"
}, {
  "label": "Accumulate",
  "type": "keyword",
  "info": "Accumulate[list] gives a list of the successive accumulated totals of elements in list. "
}, {
  "label": "Accuracy",
  "type": "keyword",
  "info": "Accuracy[x] gives the effective number of digits to the right of the decimal point in the number x. "
}, {
  "label": "AccuracyGoal",
  "type": "keyword",
  "info": "AccuracyGoal is an option for various numerical operations which specifies how many effective digits"
}, {
  "label": "AcousticAbsorbingValue",
  "type": "keyword",
  "info": "AcousticAbsorbingValue[pred, vars, pars] represents a time or frequency domain absorbing boundary co"
}, {
  "label": "AcousticImpedanceValue",
  "type": "keyword",
  "info": "AcousticImpedanceValue[pred, vars, pars] represents a time or frequency domain impedance boundary co"
}, {
  "label": "AcousticNormalVelocityValue",
  "type": "keyword",
  "info": "AcousticNormalVelocityValue[pred, vars, pars] represents a time or frequency domain normal velocity "
}, {
  "label": "AcousticPDEComponent",
  "type": "keyword",
  "info": "AcousticPDEComponent[vars, pars] yields an acoustic PDE term component with variables vars and param"
}, {
  "label": "AcousticPressureCondition",
  "type": "keyword",
  "info": "AcousticPressureCondition[pred, vars, pars] represents a time or frequency domain pressure boundary "
}, {
  "label": "AcousticRadiationValue",
  "type": "keyword",
  "info": "AcousticRadiationValue[pred, vars, pars] represents a time or frequency radiation boundary condition"
}, {
  "label": "AcousticSoundHardValue",
  "type": "keyword",
  "info": "AcousticSoundHardValue[pred, vars, pars] represents a time or frequency domain sound hard boundary c"
}, {
  "label": "AcousticSoundSoftCondition",
  "type": "keyword",
  "info": "AcousticSoundSoftCondition[pred, vars, pars] represents a time or frequency domain sound soft bounda"
}, {
  "label": "ActionDelay",
  "type": "keyword",
  "info": "System`ActionDelay"
}, {
  "label": "ActionMenu",
  "type": "keyword",
  "info": "ActionMenu[name, {lbl  :> act , lbl  :> act , â¦}] represents an action menu with label name and with"
}, {
  "label": "ActionMenuBox",
  "type": "keyword",
  "info": "System`ActionMenuBox"
}, {
  "label": "ActionMenuBoxOptions",
  "type": "keyword",
  "info": "ActionMenuBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Action"
}, {
  "label": "Activate",
  "type": "keyword",
  "info": "Activate[expr] replaces all instances of Inactive[f] in expr with f.Activate[expr, patt] replaces on"
}, {
  "label": "Active",
  "type": "keyword",
  "info": "Active is an option for ButtonBox, Cell, and Notebook that specifies whether a button should be acti"
}, {
  "label": "ActiveClassification",
  "type": "keyword",
  "info": "ActiveClassification[f, {conf , conf , â¦}] gives an object representing the result of active classif"
}, {
  "label": "ActiveClassificationObject",
  "type": "keyword",
  "info": "ActiveClassificationObject[â¦] represents the result of an ActiveClassification process."
}, {
  "label": "ActiveItem",
  "type": "keyword",
  "info": "System`ActiveItem"
}, {
  "label": "ActivePrediction",
  "type": "keyword",
  "info": "ActivePrediction[f, {conf , conf , â¦}] gives an object representing the result of active prediction "
}, {
  "label": "ActivePredictionObject",
  "type": "keyword",
  "info": "ActivePredictionObject[â¦] represents the result of an ActivePrediction process."
}, {
  "label": "ActiveStyle",
  "type": "keyword",
  "info": "ActiveStyle is an option for Hyperlink and related constructs that specifies styles to add when the "
}, {
  "label": "AcyclicGraphQ",
  "type": "keyword",
  "info": "AcyclicGraphQ[g] yields True if the graph g is an acyclic graph and False otherwise."
}, {
  "label": "AddOnHelpPath",
  "type": "keyword",
  "info": "AddOnHelpPath is a global option that specifies which directories are searched for additional help f"
}, {
  "label": "AddSides",
  "type": "keyword",
  "info": "AddSides[rel, x] adds x to each side of the equation or inequality rel.AddSides[rel , rel ] adds the"
}, {
  "label": "AddTo",
  "type": "keyword",
  "info": "x += dx adds dx to x and returns the new value of x. "
}, {
  "label": "AddToSearchIndex",
  "type": "keyword",
  "info": "AddToSearchIndex[obj, content] adds the specified content to the existing search index object obj. A"
}, {
  "label": "AddUsers",
  "type": "keyword",
  "info": "AddUsers[group, {user , â¦}] adds the users user  to the permissions group group. \n                  "
}, {
  "label": "AdjacencyGraph",
  "type": "keyword",
  "info": "AdjacencyGraph[amat] gives the graph with adjacency matrix amat.AdjacencyGraph[{v , v , â¦}, amat] gi"
}, {
  "label": "AdjacencyList",
  "type": "keyword",
  "info": "AdjacencyList[g, v] gives a list of vertices adjacent to vertex v.AdjacencyList[g, patt] gives a lis"
}, {
  "label": "AdjacencyMatrix",
  "type": "keyword",
  "info": "AdjacencyMatrix[g] gives the vertexâvertex adjacency matrix of the graph g.AdjacencyMatrix[{v ï¢ w, â¦"
}, {
  "label": "AdjacentMeshCells",
  "type": "keyword",
  "info": "AdjacentMeshCells[mr, cellspec, d] gives cells of dimension d adjacent to the cell specified by cell"
}, {
  "label": "Adjugate",
  "type": "keyword",
  "info": "Adjugate[m] gives the adjugate of a square matrix m."
}, {
  "label": "AdjustmentBox",
  "type": "keyword",
  "info": "AdjustmentBox[box, opts] is a low-level box construct which displays with the placement of box adjus"
}, {
  "label": "AdjustmentBoxOptions",
  "type": "keyword",
  "info": "AdjustmentBoxOptions is an option that specifies settings for AdjustmentBox objects."
}, {
  "label": "AdjustTimeSeriesForecast",
  "type": "keyword",
  "info": "AdjustTimeSeriesForecast[tproc, forecast, newdata] adjusts forecast using new observations newdata a"
}, {
  "label": "AdministrativeDivisionData",
  "type": "keyword",
  "info": "AdministrativeDivisionData[entity, property] gives the value of the specified property for the admin"
}, {
  "label": "AffineHalfSpace",
  "type": "keyword",
  "info": "AffineHalfSpace[{p , â¦, p     }, w] represents AffineSpace[{p , â¦, p     }] extended in the directio"
}, {
  "label": "AffineSpace",
  "type": "keyword",
  "info": "AffineSpace[{p , â¦, p     }] represents the affine space passing through the points p .AffineSpace[p"
}, {
  "label": "AffineStateSpaceModel",
  "type": "keyword",
  "info": "AffineStateSpaceModel[{a, b, c, d}, x] represents the affine state-space model x ' (t) ï\\[PlusMinus] a(x(t)) + b"
}, {
  "label": "AffineTransform",
  "type": "keyword",
  "info": "AffineTransform[m] gives a TransformationFunction that represents an affine transform that maps r to"
}, {
  "label": "After",
  "type": "keyword",
  "info": "After is a symbol that represents the region after an object for purposes of placement."
}, {
  "label": "AggregatedEntityClass",
  "type": "keyword",
  "info": "AggregatedEntityClass[class, \"prop\" ï¢ f] represents an entity class containing a single entity with "
}, {
  "label": "AggregationLayer",
  "type": "keyword",
  "info": "AggregationLayer[f] represents a layer that aggregates an array of arbitrary rank into a vector, usi"
}, {
  "label": "AircraftData",
  "type": "keyword",
  "info": "AircraftData[entity, property] gives the value of the specified property for the aircraft entity.Air"
}, {
  "label": "AirportData",
  "type": "keyword",
  "info": "AirportData[entity, property] gives the value of the specified property for the airport entity.Airpo"
}, {
  "label": "AirPressureData",
  "type": "keyword",
  "info": "AirPressureData[] gives the most recent measurement for air pressure near the current location.AirPr"
}, {
  "label": "AirSoundAttenuation",
  "type": "keyword",
  "info": "AirSoundAttenuation[spec, frequency] returns the sound attenuation coefficient in moist air for the "
}, {
  "label": "AirTemperatureData",
  "type": "keyword",
  "info": "AirTemperatureData[] gives the most recent measurement for air temperature near the current location"
}, {
  "label": "AiryAi",
  "type": "keyword",
  "info": "AiryAi[z] gives the Airy function Ai(z). "
}, {
  "label": "AiryAiPrime",
  "type": "keyword",
  "info": "                                                           â\.b2\nAiryAiPrime[z] gives the derivative of "
}, {
  "label": "AiryAiZero",
  "type": "keyword",
  "info": "                               th                                                                   "
}, {
  "label": "AiryBi",
  "type": "keyword",
  "info": "AiryBi[z] gives the Airy function Bi(z). "
}, {
  "label": "AiryBiPrime",
  "type": "keyword",
  "info": "                                                           â\.b2\nAiryBiPrime[z] gives the derivative of "
}, {
  "label": "AiryBiZero",
  "type": "keyword",
  "info": "                               th                                                                   "
}, {
  "label": "AlgebraicIntegerQ",
  "type": "keyword",
  "info": "AlgebraicIntegerQ[a] yields True if a is an algebraic integer, and yields False otherwise."
}, {
  "label": "AlgebraicNumber",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "AlgebraicNumberDenominator",
  "type": "keyword",
  "info": "AlgebraicNumberDenominator[a] gives the smallest positive integer n such that n a is an algebraic in"
}, {
  "label": "AlgebraicNumberNorm",
  "type": "keyword",
  "info": "AlgebraicNumberNorm[a] gives the norm of the algebraic number a."
}, {
  "label": "AlgebraicNumberPolynomial",
  "type": "keyword",
  "info": "AlgebraicNumberPolynomial[a, x] gives the polynomial in x corresponding to the AlgebraicNumber objec"
}, {
  "label": "AlgebraicNumberTrace",
  "type": "keyword",
  "info": "AlgebraicNumberTrace[a] gives the trace of the algebraic number a."
}, {
  "label": "AlgebraicRules",
  "type": "keyword",
  "info": "System`AlgebraicRules"
}, {
  "label": "AlgebraicRulesData",
  "type": "keyword",
  "info": "AlgebraicRulesData is an object returned by AlgebraicRules. Its OutputForm appears to be a list of r"
}, {
  "label": "Algebraics",
  "type": "keyword",
  "info": "Algebraics represents the domain of algebraic numbers, as in x â Algebraics. "
}, {
  "label": "AlgebraicUnitQ",
  "type": "keyword",
  "info": "AlgebraicUnitQ[a] yields True if a is an algebraic unit, and yields False otherwise."
}, {
  "label": "Alignment",
  "type": "keyword",
  "info": "Alignment is an option which specifies how the contents of a displayed object should be aligned with"
}, {
  "label": "AlignmentMarker",
  "type": "keyword",
  "info": "System`AlignmentMarker"
}, {
  "label": "AlignmentPoint",
  "type": "keyword",
  "info": "AlignmentPoint is an option which specifies how objects should by default be aligned when they appea"
}, {
  "label": "All",
  "type": "keyword",
  "info": "All is a setting used for certain options. In Part and related functions, All specifies all parts at"
}, {
  "label": "AllowAdultContent",
  "type": "keyword",
  "info": "System`AllowAdultContent"
}, {
  "label": "AllowedCloudExtraParameters",
  "type": "keyword",
  "info": "AllowedCloudExtraParameters is an option for APIFunction and related functions that specifies whethe"
}, {
  "label": "AllowedCloudParameterExtensions",
  "type": "keyword",
  "info": "AllowedCloudParameterExtensions is an option for APIFunction and related functions that specifies wh"
}, {
  "label": "AllowedDimensions",
  "type": "keyword",
  "info": "AllowedDimensions is an option for Grid and related functions that specifies the allowed minimum and"
}, {
  "label": "AllowedFrequencyRange",
  "type": "keyword",
  "info": "AllowedFrequencyRange is an option for audio and signal processing functions that specifies the rang"
}, {
  "label": "AllowedHeads",
  "type": "keyword",
  "info": "AllowedHeads is an option that specifies the heads of subexpressions into which a function may desce"
}, {
  "label": "AllowGroupClose",
  "type": "keyword",
  "info": "AllowGroupClose is an option for Cell that specifies whether a cell group can be closed normally."
}, {
  "label": "AllowIncomplete",
  "type": "keyword",
  "info": "System`AllowIncomplete"
}, {
  "label": "AllowInlineCells",
  "type": "keyword",
  "info": "AllowInlineCells is an option for SelectedCells, Cell, and related constructs that specifies whether"
}, {
  "label": "AllowKernelInitialization",
  "type": "keyword",
  "info": "System`AllowKernelInitialization"
}, {
  "label": "AllowLooseGrammar",
  "type": "keyword",
  "info": "AllowLooseGrammar is an option for GrammarRules and related functions that specifies whether grammat"
}, {
  "label": "AllowReverseGroupClose",
  "type": "keyword",
  "info": "AllowReverseGroupClose is an option for Cell that specifies whether a cell group can be reverse clos"
}, {
  "label": "AllowScriptLevelChange",
  "type": "keyword",
  "info": "AllowScriptLevelChange is an option for fractions and grids that controls whether certain operators,"
}, {
  "label": "AllowVersionUpdate",
  "type": "keyword",
  "info": "AllowVersionUpdate is an option for PacletInstall and PacletInstallSubmit that specifies whether a n"
}, {
  "label": "AllTrue",
  "type": "keyword",
  "info": "AllTrue[{e , e , â¦}, test] yields True if test[e ] is True for all of the e .AllTrue[expr, test, lev"
}, {
  "label": "Alphabet",
  "type": "keyword",
  "info": "Alphabet[] gives a list of the lowercase letters a through z in the English alphabet.Alphabet[type] "
}, {
  "label": "AlphabeticOrder",
  "type": "keyword",
  "info": "AlphabeticOrder[string , string ] gives 1 if \"string \" appears before \"string \" in alphabetical orde"
}, {
  "label": "AlphabeticSort",
  "type": "keyword",
  "info": "AlphabeticSort[list] sorts the elements of list into alphabetical order.AlphabeticSort[list, lang] s"
}, {
  "label": "AlphaChannel",
  "type": "keyword",
  "info": "AlphaChannel[color] returns the opacity of color.AlphaChannel[image] returns the alpha channel of im"
}, {
  "label": "AlternateImage",
  "type": "keyword",
  "info": "AlternateImage is an option to CDFInformation that specifies an image that should be used if the plu"
}, {
  "label": "AlternatingFactorial",
  "type": "keyword",
  "info": "AlternatingFactorial[n] gives the alternating factorial a(n)."
}, {
  "label": "AlternatingGroup",
  "type": "keyword",
  "info": "AlternatingGroup[n] represents the alternating group of degree n."
}, {
  "label": "AlternativeHypothesis",
  "type": "keyword",
  "info": "AlternativeHypothesis is an option for hypothesis testing functions like LocationTest that specifies"
}, {
  "label": "Alternatives",
  "type": "keyword",
  "info": "p  | p  | â¦ is a pattern object that represents any of the patterns p . \n 1    2                    "
}, {
  "label": "AltitudeMethod",
  "type": "keyword",
  "info": "AltitudeMethod is an option for SunPosition, MoonPosition, and related functions that determines whe"
}, {
  "label": "AmbientLight",
  "type": "keyword",
  "info": "AmbientLight[col] is a three-dimensional graphics directive that specifies the uniform ambient light"
}, {
  "label": "AmbiguityFunction",
  "type": "keyword",
  "info": "AmbiguityFunction is an option for SemanticInterpretation, Interpreter, and related functions that s"
}, {
  "label": "AmbiguityList",
  "type": "keyword",
  "info": "AmbiguityList[{expr , expr , â¦}] represents possible results derived from an ambiguous semantic inte"
}, {
  "label": "Analytic",
  "type": "keyword",
  "info": "Analytic is an option for Limit and Series. With Analytic -> True, unrecognized functions are treate"
}, {
  "label": "AnatomyData",
  "type": "keyword",
  "info": "AnatomyData[entity, property] gives the value of the specified property for the anatomical structure"
}, {
  "label": "AnatomyForm",
  "type": "keyword",
  "info": "AnatomyForm[g] is a graphics directive used in AnatomyPlot3D that specifies how anatomy entityâbased"
}, {
  "label": "AnatomyPlot3D",
  "type": "keyword",
  "info": "AnatomyPlot3D[primitives, options] represents a three-dimensional graphical image that works with an"
}, {
  "label": "AnatomySkinStyle",
  "type": "keyword",
  "info": "AnatomySkinStyle is an option of AnatomyPlot3D that specifies what style to use for automatically in"
}, {
  "label": "AnatomyStyling",
  "type": "keyword",
  "info": "AnatomyStyling[g] is a graphics directive used in AnatomyPlot3D that specifies how anatomy entityâba"
}, {
  "label": "AnchoredSearch",
  "type": "keyword",
  "info": "AnchoredSearch is an option for Find and FindList that specifies whether the text searched for must "
}, {
  "label": "And",
  "type": "keyword",
  "info": "e  && e  && â¦ is the logical AND function. It evaluates its arguments in order, giving False immedia"
}, {
  "label": "AndersonDarlingTest",
  "type": "keyword",
  "info": "AndersonDarlingTest[data] tests whether data is normally distributed using the AndersonâDarling test"
}, {
  "label": "AngerJ",
  "type": "keyword",
  "info": "                                                                                                 Î¼\nA"
}, {
  "label": "AngleBisector",
  "type": "keyword",
  "info": "AngleBisector[{q , p, q }] gives the bisector of the interior angle at p formed by the triangle with"
}, {
  "label": "AngleBracket",
  "type": "keyword",
  "info": "AngleBracket[x, y, â¦] displays as â© x, y, â¦ âª."
}, {
  "label": "AnglePath",
  "type": "keyword",
  "info": "AnglePath[{Î¸ , Î¸ , Î¸ , â¦}] gives the list of 2D coordinates corresponding to a path that starts at {"
}, {
  "label": "AnglePath3D",
  "type": "keyword",
  "info": "AnglePath3D[{{Î\\[PlusMinus] , Î\.b2 , Î\.b3 }, {Î\\[PlusMinus] , Î\.b2 , Î\.b3 }, â¦}] gives the list of 3D coordinates of a path of an object"
}, {
  "label": "AngleVector",
  "type": "keyword",
  "info": "AngleVector[Î¸] gives the list representing the 2D unit vector at angle Î¸ relative to the x axis.Angl"
}, {
  "label": "AngularGauge",
  "type": "keyword",
  "info": "AngularGauge[value] draws a gauge showing value in the range 0 to 1.AngularGauge[value, {min, max}] "
}, {
  "label": "Animate",
  "type": "keyword",
  "info": "Animate[expr, {u, u   , u   }] generates an animation of expr in which u varies continuously from u "
}, {
  "label": "AnimatedImage",
  "type": "keyword",
  "info": "AnimatedImage[{image , image , â¦}] generates an animation whose frames are the successive image . An"
}, {
  "label": "AnimationCycleOffset",
  "type": "keyword",
  "info": "AnimationCycleOffset is an option for cells that specifies the relative position of the next graphic"
}, {
  "label": "AnimationCycleRepetitions",
  "type": "keyword",
  "info": "AnimationCycleRepetitions is an option for cells that specifies the number of times a given animatio"
}, {
  "label": "AnimationDirection",
  "type": "keyword",
  "info": "AnimationDirection is an option which specifies the direction to run an animation. "
}, {
  "label": "AnimationDisplayTime",
  "type": "keyword",
  "info": "AnimationDisplayTime is an option for Cell that specifies the minimum time in seconds for which a ce"
}, {
  "label": "AnimationRate",
  "type": "keyword",
  "info": "AnimationRate is an option for Animate and Animator that specifies at what rate an animation should "
}, {
  "label": "AnimationRepetitions",
  "type": "keyword",
  "info": "AnimationRepetitions is an option to Animate and related functions that specifies how many times the"
}, {
  "label": "AnimationRunning",
  "type": "keyword",
  "info": "AnimationRunning is an option to Animate and related functions that specifies whether the animation "
}, {
  "label": "AnimationRunTime",
  "type": "keyword",
  "info": "AnimationRunTime is an option to Animator and related functions that indicates how long the animatio"
}, {
  "label": "AnimationTimeIndex",
  "type": "keyword",
  "info": "AnimationTimeIndex is an option to Animator and related functions that specifies the current time in"
}, {
  "label": "AnimationVideo",
  "type": "keyword",
  "info": "AnimationVideo[fexpr, {u, u   , u   }] generates a video of fexpr in which u varies from u    to u  "
}, {
  "label": "Animator",
  "type": "keyword",
  "info": "Animator[u] represents an object that displays with the value of u being continually increased from "
}, {
  "label": "AnimatorBox",
  "type": "keyword",
  "info": "System`AnimatorBox"
}, {
  "label": "AnimatorBoxOptions",
  "type": "keyword",
  "info": "AnimatorBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Animator"
}, {
  "label": "AnimatorElements",
  "type": "keyword",
  "info": "System`AnimatorElements"
}, {
  "label": "Annotate",
  "type": "keyword",
  "info": "Annotate[obj, key ï¢ value] sets the annotation key ï¢ value for the object obj.Annotate[{obj, itemspe"
}, {
  "label": "Annotation",
  "type": "keyword",
  "info": "Annotation[expr, data] represents an expression expr, with annotation data.Annotation[expr, data, \"t"
}, {
  "label": "AnnotationDelete",
  "type": "keyword",
  "info": "AnnotationDelete[obj] deletes all annotations of the object obj.AnnotationDelete[{obj, itemspec}] de"
}, {
  "label": "AnnotationKeys",
  "type": "keyword",
  "info": "AnnotationKeys[obj] lists all annotation keys available for the object obj.AnnotationKeys[{obj, item"
}, {
  "label": "AnnotationRules",
  "type": "keyword",
  "info": "AnnotationRules is an option that allows specification of annotations to objects and items in object"
}, {
  "label": "AnnotationValue",
  "type": "keyword",
  "info": "AnnotationValue[obj, key] gives the annotation value associated with key for the object obj.Annotati"
}, {
  "label": "Annuity",
  "type": "keyword",
  "info": "Annuity[p, t] represents an annuity of fixed payments p made over t periods.Annuity[p, t, q] represe"
}, {
  "label": "AnnuityDue",
  "type": "keyword",
  "info": "AnnuityDue[p, t] represents an annuity due of fixed payments p made over t periods.AnnuityDue[p, t, "
}, {
  "label": "Annulus",
  "type": "keyword",
  "info": "Annulus[{x, y}, {r     , r     }] represents an annulus centered at {x, y} with inner radius r      "
}, {
  "label": "AnomalyDetection",
  "type": "keyword",
  "info": "AnomalyDetection[{example , example , â¦}] generates an AnomalyDetectorFunction[â¦] based on the examp"
}, {
  "label": "AnomalyDetector",
  "type": "keyword",
  "info": "AnomalyDetector is an option for functions such as Classify that specifies an anomaly detector for t"
}, {
  "label": "AnomalyDetectorFunction",
  "type": "keyword",
  "info": "AnomalyDetectorFunction[â¦] represents a function generated by AnomalyDetection for detecting whether"
}, {
  "label": "Anonymous",
  "type": "keyword",
  "info": "Anonymous represents an option or other value that indicates the absence of a name."
}, {
  "label": "Antialiasing",
  "type": "keyword",
  "info": "Antialiasing is an option that specifies whether antialiasing should be done."
}, {
  "label": "Antihermitian",
  "type": "keyword",
  "info": "Antihermitian[{1, 2}] represents the symmetry of an antihermitian matrix."
}, {
  "label": "AntihermitianMatrixQ",
  "type": "keyword",
  "info": "AntihermitianMatrixQ[m] gives True if m is explicitly antihermitian, and False otherwise."
}, {
  "label": "Antisymmetric",
  "type": "keyword",
  "info": "Antisymmetric[{s , â¦, s }] represents the symmetry of a tensor that is antisymmetric in the slots s "
}, {
  "label": "AntisymmetricMatrixQ",
  "type": "keyword",
  "info": "AntisymmetricMatrixQ[m] gives True if m is explicitly antisymmetric, and False otherwise."
}, {
  "label": "Antonyms",
  "type": "keyword",
  "info": "Antonyms[\"word\"] returns the antonyms associated with the specified word."
}, {
  "label": "AnyOrder",
  "type": "keyword",
  "info": "AnyOrder[p , p , â¦] is a grammar rules pattern object that represents a sequence of elements matchin"
}, {
  "label": "AnySubset",
  "type": "keyword",
  "info": "AnySubset[{c , c , â¦}] represents an element in an interpreter or form that accepts any subset of th"
}, {
  "label": "AnyTrue",
  "type": "keyword",
  "info": "AnyTrue[{e , e , â¦}, test] yields True if test[e ] is True for any of the e .AnyTrue[expr, test, lev"
}, {
  "label": "Apart",
  "type": "keyword",
  "info": "Apart[expr] rewrites a rational expression as a sum of terms with minimal denominators. Apart[expr, "
}, {
  "label": "ApartSquareFree",
  "type": "keyword",
  "info": "ApartSquareFree[expr] rewrites a rational expression as a sum of terms whose denominators are powers"
}, {
  "label": "APIFunction",
  "type": "keyword",
  "info": "APIFunction[{name  ï¢ type , name  ï¢ type , â¦}, fun] represents an API with parameters name  that eva"
}, {
  "label": "Appearance",
  "type": "keyword",
  "info": "Appearance is an option for displayed objects such as Button and Slider that specifies the general t"
}, {
  "label": "AppearanceElements",
  "type": "keyword",
  "info": "AppearanceElements is an option for functions like Manipulate that specifies what elements should be"
}, {
  "label": "AppearanceRules",
  "type": "keyword",
  "info": "AppearanceRules is an option for form and page generation functions that specifies the overall appea"
}, {
  "label": "AppellF1",
  "type": "keyword",
  "info": "AppellF1[a, b , b , c, x, y] is the Appell hypergeometric function of two variables F  (a ; b , b  ;"
}, {
  "label": "Append",
  "type": "keyword",
  "info": "Append[expr, elem] gives expr with elem appended. Append[elem] represents an operator form of Append"
}, {
  "label": "AppendCheck",
  "type": "keyword",
  "info": "System`AppendCheck"
}, {
  "label": "AppendLayer",
  "type": "keyword",
  "info": "AppendLayer[] represents a net layer that takes an input array and appends another array to it."
}, {
  "label": "AppendTo",
  "type": "keyword",
  "info": "AppendTo[x, elem] appends elem to the value of x, and resets x to the result. "
}, {
  "label": "Application",
  "type": "keyword",
  "info": "f ï\\[Degree] g or Application[f, g] represents the formal application of f to g."
}, {
  "label": "ApplicationIdentificationKey",
  "type": "keyword",
  "info": "System`ApplicationIdentificationKey"
}, {
  "label": "Apply",
  "type": "keyword",
  "info": "f @@ expr or Apply[f, expr] replaces the head of expr by f. f@@@expr or Apply[f, expr, {1}] replaces"
}, {
  "label": "ApplySides",
  "type": "keyword",
  "info": "ApplySides[f, rel] applies f to each side of the equation or inequality rel."
}, {
  "label": "ApplyTo",
  "type": "keyword",
  "info": "ApplyTo[x, f] or x\/\/= f computes f[x] and resets x to the result."
}, {
  "label": "ArcCos",
  "type": "keyword",
  "info": "                                  -1\nArcCos[z] gives the arc cosine cos  (z) of the complex number z"
}, {
  "label": "ArcCosh",
  "type": "keyword",
  "info": "                                                   -1\nArcCosh[z] gives the inverse hyperbolic cosine"
}, {
  "label": "ArcCot",
  "type": "keyword",
  "info": "                                     -1\nArcCot[z] gives the arc cotangent cot  (z) of the complex nu"
}, {
  "label": "ArcCoth",
  "type": "keyword",
  "info": "                                                      -1\nArcCoth[z] gives the inverse hyperbolic cot"
}, {
  "label": "ArcCsc",
  "type": "keyword",
  "info": "                                    -1\nArcCsc[z] gives the arc cosecant csc  (z) of the complex numb"
}, {
  "label": "ArcCsch",
  "type": "keyword",
  "info": "                                                     -1\nArcCsch[z] gives the inverse hyperbolic cose"
}, {
  "label": "ArcCurvature",
  "type": "keyword",
  "info": "ArcCurvature[{x , â¦, x }, t] gives the curvature of the parametrized curve whose Cartesian coordinat"
}, {
  "label": "ARCHProcess",
  "type": "keyword",
  "info": "ARCHProcess[Îº, {Î\\[PlusMinus] , â¦, Î\\[PlusMinus] }] represents an autoregressive conditionally heteroscedastic process of or"
}, {
  "label": "ArcLength",
  "type": "keyword",
  "info": "ArcLength[reg] gives the length of the one-dimensional region reg.ArcLength[{x , â¦, x }, {t, t   , t"
}, {
  "label": "ArcSec",
  "type": "keyword",
  "info": "                                  -1\nArcSec[z] gives the arc secant sec  (z) of the complex number z"
}, {
  "label": "ArcSech",
  "type": "keyword",
  "info": "                                                   -1\nArcSech[z] gives the inverse hyperbolic secant"
}, {
  "label": "ArcSin",
  "type": "keyword",
  "info": "                                -1\nArcSin[z] gives the arc sine sin  (z) of the complex number z. "
}, {
  "label": "ArcSinDistribution",
  "type": "keyword",
  "info": "ArcSinDistribution[{x   , x   }] represents the arc sine distribution supported between x    and x  "
}, {
  "label": "ArcSinh",
  "type": "keyword",
  "info": "                                                 -1\nArcSinh[z] gives the inverse hyperbolic sine sin"
}, {
  "label": "ArcTan",
  "type": "keyword",
  "info": "                                   -1                                                               "
}, {
  "label": "ArcTanh",
  "type": "keyword",
  "info": "                                                    -1\nArcTanh[z] gives the inverse hyperbolic tange"
}, {
  "label": "Area",
  "type": "keyword",
  "info": "Area[reg] gives the area of the two-dimensional region reg.Area[{x , â¦, x }, {s, s   , s   }, {t, t "
}, {
  "label": "Arg",
  "type": "keyword",
  "info": "Arg[z] gives the argument of the complex number z. "
}, {
  "label": "ArgMax",
  "type": "keyword",
  "info": "ArgMax[f, x] gives a position x    at which f is maximized.ArgMax[f, {x, y, â¦}] gives a position {x "
}, {
  "label": "ArgMin",
  "type": "keyword",
  "info": "ArgMin[f, x] gives a position x    at which f is minimized.ArgMin[f, {x, y, â¦}] gives a position {x "
}, {
  "label": "ArgumentCountQ",
  "type": "keyword",
  "info": "ArgumentCountQ[head, len, min, max] tests whether the number len of arguments of a function head is "
}, {
  "label": "ArgumentsOptions",
  "type": "keyword",
  "info": "ArgumentsOptions[f[args], n] tries to separate args into a list of n positional arguments followed b"
}, {
  "label": "ARIMAProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ArithmeticGeometricMean",
  "type": "keyword",
  "info": "ArithmeticGeometricMean[a, b] gives the arithmeticâgeometric mean of a and b. "
}, {
  "label": "ARMAProcess",
  "type": "keyword",
  "info": "ARMAProcess[{a , â¦, a }, {b , â¦, b }, v] represents a weakly stationary autoregressive moving-averag"
}, {
  "label": "Around",
  "type": "keyword",
  "info": "Around[x, Î\.b4] represents an approximate number or quantity with a value around x and an uncertainty Î\.b4"
}, {
  "label": "AroundReplace",
  "type": "keyword",
  "info": "AroundReplace[expr, {s  ï¢ Around[x , Î\.b4 ], s  ï¢ Around[x , Î\.b4 ], â¦}] propagates uncertainty in expr by"
}, {
  "label": "ARProcess",
  "type": "keyword",
  "info": "ARProcess[{a , â¦, a }, v] represents a weakly stationary autoregressive process of order p with norm"
}, {
  "label": "Array",
  "type": "keyword",
  "info": "Array[f, n] generates a list of length n, with elements f[i]. Array[f, n, r] generates a list using "
}, {
  "label": "ArrayComponents",
  "type": "keyword",
  "info": "ArrayComponents[array] gives an array in which all identical elements of array are replaced by an in"
}, {
  "label": "ArrayDepth",
  "type": "keyword",
  "info": "ArrayDepth[expr] gives the depth to which expr is a full array, with all the parts at a particular l"
}, {
  "label": "ArrayFilter",
  "type": "keyword",
  "info": "ArrayFilter[f, array, r] applies f to all range-r blocks in the specified array.ArrayFilter[f, array"
}, {
  "label": "ArrayFlatten",
  "type": "keyword",
  "info": "ArrayFlatten[{{m  , m  , â¦}, {m  , m  , â¦}, â¦}] creates a single flattened matrix from a matrix of m"
}, {
  "label": "ArrayMesh",
  "type": "keyword",
  "info": "ArrayMesh[array] generates a mesh region from an array of rank d in which each cell has a geometric "
}, {
  "label": "ArrayPad",
  "type": "keyword",
  "info": "ArrayPad[array, m] gives an array with m zeros of padding on every side. ArrayPad[array, m, padding]"
}, {
  "label": "ArrayPlot",
  "type": "keyword",
  "info": "ArrayPlot[array] generates a plot in which the values in an array are shown in a discrete array of s"
}, {
  "label": "ArrayPlot3D",
  "type": "keyword",
  "info": "ArrayPlot3D[array] generates a plot in which the values in an array are shown in a discrete array of"
}, {
  "label": "ArrayQ",
  "type": "keyword",
  "info": "ArrayQ[expr] gives True if expr is a full array or a SparseArray object, and gives False otherwise. "
}, {
  "label": "ArrayReduce",
  "type": "keyword",
  "info": "ArrayReduce[f, array, n] reduces dimension n of array by applying f.ArrayReduce[f, array, n  ;; n ] "
}, {
  "label": "ArrayResample",
  "type": "keyword",
  "info": "ArrayResample[array, {n , n , â¦}] resamples array to have dimensions {n , n , â¦}.ArrayResample[array"
}, {
  "label": "ArrayReshape",
  "type": "keyword",
  "info": "ArrayReshape[list, dims] arranges the elements of list into a rectangular array with dimensions dims"
}, {
  "label": "ArrayRules",
  "type": "keyword",
  "info": "ArrayRules[SparseArray[â¦]] gives the rules {pos  ï¢ val , pos  ï¢ val , â¦} specifying elements in a sp"
}, {
  "label": "Arrays",
  "type": "keyword",
  "info": "Arrays[{d , â¦, d }] represents the domain of arrays of rank r and dimensions d .Arrays[{d , â¦, d }, "
}, {
  "label": "Arrow",
  "type": "keyword",
  "info": "Arrow[{pt , pt }] is a graphics primitive that represents an arrow from pt  to pt .Arrow[{pt , pt },"
}, {
  "label": "Arrow3DBox",
  "type": "keyword",
  "info": "System`Arrow3DBox"
}, {
  "label": "ArrowBox",
  "type": "keyword",
  "info": "System`ArrowBox"
}, {
  "label": "Arrowheads",
  "type": "keyword",
  "info": "Arrowheads[spec] is a graphics directive specifying that arrows that follow should have arrowheads w"
}, {
  "label": "ASATriangle",
  "type": "keyword",
  "info": "ASATriangle[Î\\[PlusMinus], c, Î\.b2] returns a filled triangle with angles Î\\[PlusMinus] and Î\.b2 and side length c, and c is adjac"
}, {
  "label": "Ask",
  "type": "keyword",
  "info": "Ask[\"key\"] is a construct for use inside AskFunction that gives the value associated with key, or in"
}, {
  "label": "AskAppend",
  "type": "keyword",
  "info": "AskAppend[\"key\"] is a construct for use inside AskFunction that asks for a new value, appends it to "
}, {
  "label": "AskConfirm",
  "type": "keyword",
  "info": "AskConfirm[\"key\"] is a construct for use inside AskFunction that asks for confirmation of the curren"
}, {
  "label": "AskDisplay",
  "type": "keyword",
  "info": "AskDisplay[expr] is a construct for use inside AskFunction that displays the result of evaluating ex"
}, {
  "label": "AskedQ",
  "type": "keyword",
  "info": "AskedQ[\"key\"] is a construct for use inside AskFunction that gives True if a value is currently asso"
}, {
  "label": "AskedValue",
  "type": "keyword",
  "info": "AskedValue[\"key\"] is a construct for use inside AskFunction that gives the value associated with key"
}, {
  "label": "AskFunction",
  "type": "keyword",
  "info": "AskFunction[body] evaluates body, interactively asking for values specified by Ask[â¦] and related co"
}, {
  "label": "AskState",
  "type": "keyword",
  "info": "AskState[] is a construct for use inside AskFunction that returns an association of all values in th"
}, {
  "label": "AskTemplateDisplay",
  "type": "keyword",
  "info": "AskTemplateDisplay[fun] is a construct for use inside AskFunction that displays the result of applyi"
}, {
  "label": "AspectRatio",
  "type": "keyword",
  "info": "AspectRatio is an option for Graphics and related functions that specifies the ratio of height to wi"
}, {
  "label": "AspectRatioFixed",
  "type": "keyword",
  "info": "AspectRatioFixed is an option for Cell that specifies whether graphics in the cell should be constra"
}, {
  "label": "Assert",
  "type": "keyword",
  "info": "Assert[test] represents the assertion that test is True. If assertions have been enabled, test is ev"
}, {
  "label": "AssessmentFunction",
  "type": "keyword",
  "info": "AssessmentFunction[key] represents a tool for assessing whether answers are correct according to the"
}, {
  "label": "AssessmentResultObject",
  "type": "keyword",
  "info": "AssessmentResultObject[assoc] represents the results of an assessment.AssessmentResultObject[{aro , "
}, {
  "label": "AssociateTo",
  "type": "keyword",
  "info": "AssociateTo[a, key ï¢ val] changes the association a by adding the key-value pair key ï¢ val.Associate"
}, {
  "label": "Association",
  "type": "keyword",
  "info": "Association[key  ï¢ val , key  ï¢ val , â¦] or ï key  ï¢ val , key  ï¢ val , â¦ ï represents an associatio"
}, {
  "label": "AssociationFormat",
  "type": "keyword",
  "info": "AssociationFormat is an option to TextString and related functions that determines how associations "
}, {
  "label": "AssociationMap",
  "type": "keyword",
  "info": "AssociationMap[f, {key , key , â¦}] creates the association ï key  ï¢ f[key ], key  ï¢ f[key ], â¦ ï.Ass"
}, {
  "label": "AssociationQ",
  "type": "keyword",
  "info": "AssociationQ[expr] gives True if expr is a valid Association object, and False otherwise."
}, {
  "label": "AssociationThread",
  "type": "keyword",
  "info": "AssociationThread[{key , key , â¦} ï¢ {val , val , â¦}] gives the association ï key  ï¢ val , key  ï¢ val"
}, {
  "label": "AssumeDeterministic",
  "type": "keyword",
  "info": "AssumeDeterministic is an option for functions such as BayesianMinimization that specifies whether o"
}, {
  "label": "Assuming",
  "type": "keyword",
  "info": "Assuming[assum, expr] evaluates expr with assum appended to $Assumptions, so that assum is included "
}, {
  "label": "Assumptions",
  "type": "keyword",
  "info": "Assumptions is an option for functions such as Simplify, Refine, and Integrate that specifies defaul"
}, {
  "label": "AstronomicalData",
  "type": "keyword",
  "info": "AstronomicalData[\"name\", \"property\"] gives the value of the specified property of the astronomical o"
}, {
  "label": "Asymptotic",
  "type": "keyword",
  "info": "Asymptotic[expr, x ï¢ x ] gives an asymptotic approximation for expr near x .Asymptotic[expr, {x, x ,"
}, {
  "label": "AsymptoticDSolveValue",
  "type": "keyword",
  "info": "AsymptoticDSolveValue[eqn, f, x ï¢ x ] computes an asymptotic approximation to the differential equat"
}, {
  "label": "AsymptoticEqual",
  "type": "keyword",
  "info": "                           *                                                             *          "
}, {
  "label": "AsymptoticEquivalent",
  "type": "keyword",
  "info": "                                *                                           *                       "
}, {
  "label": "AsymptoticExpectation",
  "type": "keyword",
  "info": "AsymptoticExpectation[expr, x ï dist, a ï¢ a ] computes an asymptotic approximation for the expectati"
}, {
  "label": "AsymptoticGreater",
  "type": "keyword",
  "info": "                             *                                                             *        "
}, {
  "label": "AsymptoticGreaterEqual",
  "type": "keyword",
  "info": "                                  *                                                             *   "
}, {
  "label": "AsymptoticIntegrate",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "AsymptoticLess",
  "type": "keyword",
  "info": "                          *                                                             *           "
}, {
  "label": "AsymptoticLessEqual",
  "type": "keyword",
  "info": "                               *                                                             *      "
}, {
  "label": "AsymptoticOutputTracker",
  "type": "keyword",
  "info": "AsymptoticOutputTracker[sys, {f , â¦}, {p , â¦}] gives the state feedback control law that causes the "
}, {
  "label": "AsymptoticProbability",
  "type": "keyword",
  "info": "AsymptoticProbability[pred, x ï dist, a ï¢ a ] computes an asymptotic approximation for the probabili"
}, {
  "label": "AsymptoticProduct",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "AsymptoticRSolveValue",
  "type": "keyword",
  "info": "AsymptoticRSolveValue[eqn, f, x ï¢ â] computes an asymptotic approximation to the difference equation"
}, {
  "label": "AsymptoticSolve",
  "type": "keyword",
  "info": "AsymptoticSolve[eqn, y ï¢ b, x -> a] computes asymptotic approximations of solutions y[x] of the equa"
}, {
  "label": "AsymptoticSum",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Asynchronous",
  "type": "keyword",
  "info": "Asynchronous is an option for WolframAlpha that determines whether to use the asynchronous features "
}, {
  "label": "AsynchronousTaskObject",
  "type": "keyword",
  "info": "AsynchronousTaskObject[\"name\", id, sessionid] is an object that represents asynchronous evaluations "
}, {
  "label": "AsynchronousTasks",
  "type": "keyword",
  "info": "AsynchronousTasks[] returns a list of running asynchronous tasks."
}, {
  "label": "Atom",
  "type": "keyword",
  "info": "Atom[\"sym\"] represents an atom with atomic symbol \"sym\".Atom[\"sym\", name ï¢ value, â¦] represents an a"
}, {
  "label": "AtomCoordinates",
  "type": "keyword",
  "info": "AtomCoordinates is an option for Molecule and related functions that specifies the three-dimensional"
}, {
  "label": "AtomCount",
  "type": "keyword",
  "info": "AtomCount[mol] gives the number of atoms in the molecule represented by mol.AtomCount[mol, patt] giv"
}, {
  "label": "AtomDiagramCoordinates",
  "type": "keyword",
  "info": "AtomDiagramCoordinates is an option for Molecule and related functions that specifies the two-dimens"
}, {
  "label": "AtomLabels",
  "type": "keyword",
  "info": "AtomLabels is an option for MoleculePlot and MoleculePlot3D that specifies what labels and label pos"
}, {
  "label": "AtomLabelStyle",
  "type": "keyword",
  "info": "AtomLabelStyle is an option for MoleculePlot and MoleculePlot3D that specifies the style to use for "
}, {
  "label": "AtomList",
  "type": "keyword",
  "info": "AtomList[mol] gives the list of atoms in the molecule represented by mol.AtomList[mol, patt] gives t"
}, {
  "label": "AtomQ",
  "type": "keyword",
  "info": "AtomQ[expr] yields True if expr is an expression which cannot be divided into subexpressions, and yi"
}, {
  "label": "AttachCell",
  "type": "keyword",
  "info": "AttachCell[expr] makes expr a cell attached to the current cell being evaluated.AttachCell[obj, expr"
}, {
  "label": "AttachedCell",
  "type": "keyword",
  "info": "AttachedCell is an option for Cells that indicates whether to find cells that created with AttachCel"
}, {
  "label": "AttentionLayer",
  "type": "keyword",
  "info": "AttentionLayer[] represents a trainable net layer that learns to pay attention to certain portions o"
}, {
  "label": "Attributes",
  "type": "keyword",
  "info": "Attributes[symbol] gives the list of attributes for a symbol. Attributes[\"symbol\"] gives the attribu"
}, {
  "label": "Audio",
  "type": "keyword",
  "info": "Audio[file] represents audio stored in the given file.Audio[url] represents audio stored in the give"
}, {
  "label": "AudioAmplify",
  "type": "keyword",
  "info": "AudioAmplify[audio, s] multiplies all samples of audio by a factor s. "
}, {
  "label": "AudioAnnotate",
  "type": "keyword",
  "info": "AudioAnnotate[audio, prop] computes the property prop and adds it as an annotation to audio.AudioAnn"
}, {
  "label": "AudioAnnotationLookup",
  "type": "keyword",
  "info": "AudioAnnotationLookup[audio] gives all annotations associated to audio.AudioAnnotationLookup[audio, "
}, {
  "label": "AudioBlockMap",
  "type": "keyword",
  "info": "AudioBlockMap[f, audio, dur] applies f to non-overlapping partitions of length dur in audio. AudioBl"
}, {
  "label": "AudioCapture",
  "type": "keyword",
  "info": "AudioCapture[] creates a temporary interactive interface for capturing an audio signal.AudioCapture["
}, {
  "label": "AudioChannelAssignment",
  "type": "keyword",
  "info": "AudioChannelAssignment is an option for Audio and related functions that specifies a mapping from au"
}, {
  "label": "AudioChannelCombine",
  "type": "keyword",
  "info": "AudioChannelCombine[{audio , audio , â¦}] creates a multichannel audio object by combining the sequen"
}, {
  "label": "AudioChannelMix",
  "type": "keyword",
  "info": "AudioChannelMix[audio] mixes channels of audio by averaging and returns a center-panned stereo audio"
}, {
  "label": "AudioChannels",
  "type": "keyword",
  "info": "AudioChannels[audio] returns the number of channels in the Audio object audio.AudioChannels[video] r"
}, {
  "label": "AudioChannelSeparate",
  "type": "keyword",
  "info": "AudioChannelSeparate[audio] gives a list of Audio objects, each of which represents one channel of a"
}, {
  "label": "AudioData",
  "type": "keyword",
  "info": "AudioData[audio] gives an array of audio samples.AudioData[audio, \"type\"] gives an array of audio sa"
}, {
  "label": "AudioDelay",
  "type": "keyword",
  "info": "AudioDelay[audio, delay] creates audio by adding repeated decaying echos to audio spaced by the spec"
}, {
  "label": "AudioDelete",
  "type": "keyword",
  "info": "AudioDelete[audio, t] deletes the first t seconds of audio.AudioDelete[audio, -t] deletes the last t"
}, {
  "label": "AudioDevice",
  "type": "keyword",
  "info": "AudioDevice is an option for Audio and related functions that specifies the device to use for playba"
}, {
  "label": "AudioDistance",
  "type": "keyword",
  "info": "AudioDistance[audio , audio ] returns a distance measure between audio  and audio .\n                "
}, {
  "label": "AudioEncoding",
  "type": "keyword",
  "info": "AudioEncoding is an option for Export and other functions that specifies the audio encoding to use w"
}, {
  "label": "AudioFade",
  "type": "keyword",
  "info": "AudioFade[audio] returns audio in which the beginning and end of audio are faded.AudioFade[audio, t]"
}, {
  "label": "AudioFrequencyShift",
  "type": "keyword",
  "info": "AudioFrequencyShift[audio, freq] gives audio by shifting the spectrum of audio by freq.AudioFrequenc"
}, {
  "label": "AudioGenerator",
  "type": "keyword",
  "info": "AudioGenerator[model] generates one second of audio of a given model.AudioGenerator[model, t] genera"
}, {
  "label": "AudioIdentify",
  "type": "keyword",
  "info": "AudioIdentify[audio] yields the result of attempting to identify what audio is a recording of.AudioI"
}, {
  "label": "AudioInputDevice",
  "type": "keyword",
  "info": "AudioInputDevice is an option for AudioCapture that specifies the device to use for audio recording."
}, {
  "label": "AudioInsert",
  "type": "keyword",
  "info": "AudioInsert[audio, t ï¢ new] inserts the audio signal new at time t.AudioInsert[audio, {t , t , â¦} ï¢ "
}, {
  "label": "AudioInstanceQ",
  "type": "keyword",
  "info": "AudioInstanceQ[audio, obj] gives True if audio sounds to be an instance of the object obj, and gives"
}, {
  "label": "AudioIntervals",
  "type": "keyword",
  "info": "AudioIntervals[audio] returns audible intervals of audio.AudioIntervals[audio, crit] returns interva"
}, {
  "label": "AudioJoin",
  "type": "keyword",
  "info": "AudioJoin[audio , audio , â¦] or AudioJoin[{audio , audio , â¦}] concatenates all audio  and returns a"
}, {
  "label": "AudioLabel",
  "type": "keyword",
  "info": "AudioLabel is an option for an Audio object that specifies the label to show on the object."
}, {
  "label": "AudioLength",
  "type": "keyword",
  "info": "AudioLength[audio] returns the number of samples in the Audio object audio."
}, {
  "label": "AudioLocalMeasurements",
  "type": "keyword",
  "info": "AudioLocalMeasurements[audio, \"prop\"] computes the property \"prop\" locally for partitions of audio.A"
}, {
  "label": "AudioLooping",
  "type": "keyword",
  "info": "AudioLooping is an option for AudioStream and related functions to specify the playback looping."
}, {
  "label": "AudioLoudness",
  "type": "keyword",
  "info": "AudioLoudness[audio] computes the loudness of audio according to the EBU momentary definition.AudioL"
}, {
  "label": "AudioMeasurements",
  "type": "keyword",
  "info": "AudioMeasurements[audio, \"prop\"] computes the property \"prop\" for the entire audio.AudioMeasurements"
}, {
  "label": "AudioNormalize",
  "type": "keyword",
  "info": "AudioNormalize[audio] normalizes audio so that the maximum absolute value of its samples is 1.AudioN"
}, {
  "label": "AudioOutputDevice",
  "type": "keyword",
  "info": "AudioOutputDevice is an option for Audio and related functions that specifies the device to use for "
}, {
  "label": "AudioOverlay",
  "type": "keyword",
  "info": "AudioOverlay[{audio , audio , â¦}] returns an audio object by overlaying all audio .\n                "
}, {
  "label": "AudioPad",
  "type": "keyword",
  "info": "AudioPad[audio, t] adds t seconds of silence to the end of audio.AudioPad[audio, {t , t }] adds t  s"
}, {
  "label": "AudioPan",
  "type": "keyword",
  "info": "AudioPan[audio] returns a center-panned stereo audio object from a mono audio. AudioPan[audio, pan] "
}, {
  "label": "AudioPartition",
  "type": "keyword",
  "info": "AudioPartition[audio, dur] partitions an audio object into non-overlapping segments of duration dur."
}, {
  "label": "AudioPause",
  "type": "keyword",
  "info": "AudioPause[] pauses the playback of all AudioStream objects.AudioPause[astream] pauses the playback "
}, {
  "label": "AudioPitchShift",
  "type": "keyword",
  "info": "AudioPitchShift[audio, r] applies pitch shifting to audio by the ratio r, shifting every frequency f"
}, {
  "label": "AudioPlay",
  "type": "keyword",
  "info": "AudioPlay[audio] returns a new AudioStream object from audio and starts the playback.AudioPlay[astre"
}, {
  "label": "AudioPlot",
  "type": "keyword",
  "info": "AudioPlot[audio] plots the waveform of audio.AudioPlot[{audio , audio , â¦}] plots waveforms of all a"
}, {
  "label": "AudioQ",
  "type": "keyword",
  "info": "AudioQ[audio] yields True if audio has the form of a valid Audio object, and False otherwise."
}, {
  "label": "AudioRecord",
  "type": "keyword",
  "info": "AudioRecord[] returns a new AudioStream object and starts to record from the default input audio dev"
}, {
  "label": "AudioReplace",
  "type": "keyword",
  "info": "AudioReplace[audio, {t , t } ï¢ new] replaces the audio signal between t  and t  with the new signal "
}, {
  "label": "AudioResample",
  "type": "keyword",
  "info": "AudioResample[audio, sr] resamples audio to have the sample rate of sr."
}, {
  "label": "AudioReverb",
  "type": "keyword",
  "info": "AudioReverb[audio] adds reverberation to audio.AudioReverb[audio, model] adds reverberation followin"
}, {
  "label": "AudioReverse",
  "type": "keyword",
  "info": "AudioReverse[audio] reverses audio so that the signal is played backward."
}, {
  "label": "AudioSampleRate",
  "type": "keyword",
  "info": "AudioSampleRate[audio] returns the sample rate of the Audio object audio.AudioSampleRate[video] retu"
}, {
  "label": "AudioSpectralMap",
  "type": "keyword",
  "info": "AudioSpectralMap[f, audio] transforms audio by applying the function f to its short-time Fourier tra"
}, {
  "label": "AudioSpectralTransformation",
  "type": "keyword",
  "info": "AudioSpectralTransformation[f, audio] returns a modified version of audio by applying a time-frequen"
}, {
  "label": "AudioSplit",
  "type": "keyword",
  "info": "AudioSplit[audio, t] splits audio at time t.AudioSplit[audio, {t , t , â¦}] splits audio at times t ."
}, {
  "label": "AudioStop",
  "type": "keyword",
  "info": "AudioStop[] stops the playback of all AudioStream objects.AudioStop[astream] stops the playback of t"
}, {
  "label": "AudioStream",
  "type": "keyword",
  "info": "AudioStream[source] creates a new AudioStream object from source.AudioStream[id] is an object that r"
}, {
  "label": "AudioStreams",
  "type": "keyword",
  "info": "AudioStreams[] returns all existing streams.AudioStreams[audio] returns all existing streams that or"
}, {
  "label": "AudioTimeStretch",
  "type": "keyword",
  "info": "AudioTimeStretch[audio, r] applies time stretching to audio by the specified factor r."
}, {
  "label": "AudioTrackApply",
  "type": "keyword",
  "info": "AudioTrackApply[f, video] applies the function f to the first audio track of the Video object video."
}, {
  "label": "AudioTrackSelection",
  "type": "keyword",
  "info": "AudioTrackSelection is an option that specifies the audio tracks of interest."
}, {
  "label": "AudioTrim",
  "type": "keyword",
  "info": "AudioTrim[audio] trims silence from the beginning and end of audio.AudioTrim[audio, t] returns the f"
}, {
  "label": "AudioType",
  "type": "keyword",
  "info": "AudioType[audio] returns the data type used to represent samples in the Audio object audio."
}, {
  "label": "AugmentedPolyhedron",
  "type": "keyword",
  "info": "AugmentedPolyhedron[poly] gives the augmented polyhedron poly by replacing each face by a pyramid. A"
}, {
  "label": "AugmentedSymmetricPolynomial",
  "type": "keyword",
  "info": "AugmentedSymmetricPolynomial[{r , r , â¦}] represents a formal augmented symmetric polynomial with ex"
}, {
  "label": "Authenticate",
  "type": "keyword",
  "info": "System`Authenticate"
}, {
  "label": "Authentication",
  "type": "keyword",
  "info": "Authentication is an option for cloud, web and SSH access functions that allows authentication param"
}, {
  "label": "AuthenticationDialog",
  "type": "keyword",
  "info": "AuthenticationDialog[] initiates a standard dialog for entering username\/password authentication inf"
}, {
  "label": "AutoAction",
  "type": "keyword",
  "info": "AutoAction is an option for objects such as Slider, Locator, and Button that specifies whether they "
}, {
  "label": "Autocomplete",
  "type": "keyword",
  "info": "Autocomplete[{string , string , â¦}, \"string\"] gives a list of the string  that can complete string.A"
}, {
  "label": "AutocompletionFunction",
  "type": "keyword",
  "info": "AutocompletionFunction[â¦] represents a function to be applied to a string to generate possible compl"
}, {
  "label": "AutoCopy",
  "type": "keyword",
  "info": "AutoCopy is an option for notebooks and cloud objects that specifies whether to automatically make a"
}, {
  "label": "AutocorrelationTest",
  "type": "keyword",
  "info": "AutocorrelationTest[data] tests whether the data is autocorrelated.AutocorrelationTest[data, k] test"
}, {
  "label": "AutoDelete",
  "type": "keyword",
  "info": "AutoDelete is an option for boxes that specifies whether a box is automatically deleted when its con"
}, {
  "label": "AutoEvaluateEvents",
  "type": "keyword",
  "info": "System`AutoEvaluateEvents"
}, {
  "label": "AutoGeneratedPackage",
  "type": "keyword",
  "info": "AutoGeneratedPackage is an option for notebooks that specifies whether a package is automatically cr"
}, {
  "label": "AutoIndent",
  "type": "keyword",
  "info": "AutoIndent is an option for Style and Cell that specifies what automatic indentation should be done "
}, {
  "label": "AutoIndentSpacings",
  "type": "keyword",
  "info": "System`AutoIndentSpacings"
}, {
  "label": "AutoItalicWords",
  "type": "keyword",
  "info": "AutoItalicWords is an option for Cell that gives a list of words that should automatically be put in"
}, {
  "label": "AutoloadPath",
  "type": "keyword",
  "info": "AutoloadPath is a global option that specifies from which directories packages are automatically loa"
}, {
  "label": "AutoMatch",
  "type": "keyword",
  "info": "System`AutoMatch"
}, {
  "label": "Automatic",
  "type": "keyword",
  "info": "Automatic represents an option or other value that is to be chosen automatically by a builtâin funct"
}, {
  "label": "AutomaticImageSize",
  "type": "keyword",
  "info": "System`AutomaticImageSize"
}, {
  "label": "AutoMultiplicationSymbol",
  "type": "keyword",
  "info": "AutoMultiplicationSymbol is an option for objects such as Cell and Notebook that specifies when to a"
}, {
  "label": "AutoNumberFormatting",
  "type": "keyword",
  "info": "System`AutoNumberFormatting"
}, {
  "label": "AutoOpenNotebooks",
  "type": "keyword",
  "info": "AutoOpenNotebooks is a global option that specifies which notebooks should be automatically opened w"
}, {
  "label": "AutoOpenPalettes",
  "type": "keyword",
  "info": "AutoOpenPalettes is a global option that specifies the palettes that are automatically opened when t"
}, {
  "label": "AutoOperatorRenderings",
  "type": "keyword",
  "info": "AutoOperatorRenderings is an option for cells and notebooks that specifies automatic renderings to b"
}, {
  "label": "AutoQuoteCharacters",
  "type": "keyword",
  "info": "System`AutoQuoteCharacters"
}, {
  "label": "AutoRefreshed",
  "type": "keyword",
  "info": "AutoRefreshed[expr] represents an expression to be reevaluated every hour and made available in the "
}, {
  "label": "AutoRemove",
  "type": "keyword",
  "info": "AutoRemove is an option specifying whether tasks, generators, cloud objects and related constructs s"
}, {
  "label": "AutorunSequencing",
  "type": "keyword",
  "info": "AutorunSequencing is an option for Manipulate that specifies how autorun should use the controls pro"
}, {
  "label": "AutoScaling",
  "type": "keyword",
  "info": "System`AutoScaling"
}, {
  "label": "AutoScroll",
  "type": "keyword",
  "info": "AutoScroll is an option to SelectionMove and related functions that specifies whether a notebook sho"
}, {
  "label": "AutoSpacing",
  "type": "keyword",
  "info": "AutoSpacing is an option for Style and Cell that specifies whether spaces between successive charact"
}, {
  "label": "AutoStyleOptions",
  "type": "keyword",
  "info": "System`AutoStyleOptions"
}, {
  "label": "AutoStyleWords",
  "type": "keyword",
  "info": "System`AutoStyleWords"
}, {
  "label": "AutoSubmitting",
  "type": "keyword",
  "info": "AutoSubmitting[spec] represents an element of a form that automatically submits the whole form if it"
}, {
  "label": "Axes",
  "type": "keyword",
  "info": "Axes is an option for graphics functions that specifies whether axes should be drawn. "
}, {
  "label": "AxesEdge",
  "type": "keyword",
  "info": "AxesEdge is an option for three-dimensional graphics functions that specifies on which edges of the "
}, {
  "label": "AxesLabel",
  "type": "keyword",
  "info": "AxesLabel is an option for graphics functions that specifies labels for axes. "
}, {
  "label": "AxesOrigin",
  "type": "keyword",
  "info": "AxesOrigin is an option for graphics functions that specifies where any axes drawn should cross. "
}, {
  "label": "AxesStyle",
  "type": "keyword",
  "info": "AxesStyle is an option for graphics functions that specifies how axes should be rendered. "
}, {
  "label": "AxiomaticTheory",
  "type": "keyword",
  "info": "AxiomaticTheory[\"theory\"] gives an axiomatic representation of the specified axiomatic theory.Axioma"
}, {
  "label": "Axis",
  "type": "keyword",
  "info": "Axis is a symbol that represents the axis for purposes of alignment and positioning. "
}, {
  "label": "Axis3DBox",
  "type": "keyword",
  "info": "System`Axis3DBox"
}, {
  "label": "Axis3DBoxOptions",
  "type": "keyword",
  "info": "System`Axis3DBoxOptions"
}, {
  "label": "AxisBox",
  "type": "keyword",
  "info": "System`AxisBox"
}, {
  "label": "AxisBoxOptions",
  "type": "keyword",
  "info": "System`AxisBoxOptions"
}, {
  "label": "AxisLabel",
  "type": "keyword",
  "info": "AxisLabel is an option for AxisObject that specifies a label for the axis."
}, {
  "label": "AxisObject",
  "type": "keyword",
  "info": "AxisObject[path] is a Graphics primitive that represents an axis with a quantitative scale along the"
}, {
  "label": "AxisStyle",
  "type": "keyword",
  "info": "AxisStyle is an option for AxisObject that specifies how to style the path of an axis."
}, {
  "label": "BabyMonsterGroupB",
  "type": "keyword",
  "info": "BabyMonsterGroupB[] represents the sporadic simple baby monster group B."
}, {
  "label": "Back",
  "type": "keyword",
  "info": "Back is a symbol that represents the back of a graphic for purposes of placement and alignment."
}, {
  "label": "BackFaceColor",
  "type": "keyword",
  "info": "System`BackFaceColor"
}, {
  "label": "BackFaceGlowColor",
  "type": "keyword",
  "info": "System`BackFaceGlowColor"
}, {
  "label": "BackFaceOpacity",
  "type": "keyword",
  "info": "System`BackFaceOpacity"
}, {
  "label": "BackFaceSpecularColor",
  "type": "keyword",
  "info": "System`BackFaceSpecularColor"
}, {
  "label": "BackFaceSpecularExponent",
  "type": "keyword",
  "info": "System`BackFaceSpecularExponent"
}, {
  "label": "BackFaceSurfaceAppearance",
  "type": "keyword",
  "info": "System`BackFaceSurfaceAppearance"
}, {
  "label": "BackFaceTexture",
  "type": "keyword",
  "info": "System`BackFaceTexture"
}, {
  "label": "Background",
  "type": "keyword",
  "info": "Background is an option that specifies what background color to use. "
}, {
  "label": "BackgroundAppearance",
  "type": "keyword",
  "info": "System`BackgroundAppearance"
}, {
  "label": "BackgroundTasksSettings",
  "type": "keyword",
  "info": "System`BackgroundTasksSettings"
}, {
  "label": "Backslash",
  "type": "keyword",
  "info": "Backslash[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Backsubstitution",
  "type": "keyword",
  "info": "System`Backsubstitution"
}, {
  "label": "Backward",
  "type": "keyword",
  "info": "Backward is a symbol that represents the backward direction for purposes of motion and animation."
}, {
  "label": "Ball",
  "type": "keyword",
  "info": "Ball[p] represents the unit ball centered at the point p.Ball[p, r] represents the ball of radius r "
}, {
  "label": "Band",
  "type": "keyword",
  "info": "Band[{i, j}] represents the sequence of positions on the diagonal band that starts with {i, j} in a "
}, {
  "label": "BandpassFilter",
  "type": "keyword",
  "info": "BandpassFilter[data, {Ï , Ï }] applies a bandpass filter with cutoff frequencies Ï  and Ï  to an arr"
}, {
  "label": "BandstopFilter",
  "type": "keyword",
  "info": "BandstopFilter[data, {Ï , Ï }] applies a bandstop filter with cutoff frequencies Ï  and Ï  to an arr"
}, {
  "label": "BarabasiAlbertGraphDistribution",
  "type": "keyword",
  "info": "BarabasiAlbertGraphDistribution[n, k] represents a BarabasiâAlbert graph distribution for n-vertex g"
}, {
  "label": "BarChart",
  "type": "keyword",
  "info": "BarChart[{y , y , â¦, y }] makes a bar chart with bar lengths y ,  y , â¦.BarChart[{â¦, w [y , â¦], â¦, w"
}, {
  "label": "BarChart3D",
  "type": "keyword",
  "info": "BarChart3D[{y , y , â¦}] makes a 3D bar chart with bar lengths y , y , â¦ .BarChart3D[{â¦, w [y , â¦], â¦"
}, {
  "label": "BarcodeImage",
  "type": "keyword",
  "info": "BarcodeImage[\"string\", format] generates a barcode image of \"string\" in the specified format.Barcode"
}, {
  "label": "BarcodeRecognize",
  "type": "keyword",
  "info": "BarcodeRecognize[image] recognizes a barcode in image and returns it as a string.BarcodeRecognize[im"
}, {
  "label": "BaringhausHenzeTest",
  "type": "keyword",
  "info": "BaringhausHenzeTest[data] tests whether data follows a MultinormalDistribution using the Baringhausâ"
}, {
  "label": "BarLegend",
  "type": "keyword",
  "info": "BarLegend[cf] generates a legend that identifies colors from the color function cf with an automatic"
}, {
  "label": "BarlowProschanImportance",
  "type": "keyword",
  "info": "BarlowProschanImportance[rdist] gives the BarlowâProschan importances for all components in the Reli"
}, {
  "label": "BarnesG",
  "type": "keyword",
  "info": "BarnesG[z] gives the Barnes G-function G(z)."
}, {
  "label": "BarOrigin",
  "type": "keyword",
  "info": "BarOrigin is an option to BarChart and related functions that specifies the origin placement for bar"
}, {
  "label": "BarSpacing",
  "type": "keyword",
  "info": "BarSpacing is an option to BarChart and related functions that controls the spacing between bars and"
}, {
  "label": "BartlettHannWindow",
  "type": "keyword",
  "info": "BartlettHannWindow[x] represents a BartlettâHann window function of x."
}, {
  "label": "BartlettWindow",
  "type": "keyword",
  "info": "BartlettWindow[x] represents a Bartlett window function of x."
}, {
  "label": "BaseDecode",
  "type": "keyword",
  "info": "BaseDecode[\"string\"] decodes the Base64 data contained in a string and returns the result as a byte "
}, {
  "label": "BaseEncode",
  "type": "keyword",
  "info": "BaseEncode[ba] encodes the byte array ba as a Base64 string.BaseEncode[ba, \"encoding\"] encodes using"
}, {
  "label": "BaseForm",
  "type": "keyword",
  "info": "BaseForm[expr, n] prints with the numbers in expr given in base n. "
}, {
  "label": "Baseline",
  "type": "keyword",
  "info": "Baseline is a symbol that represents the baseline for purposes of alignment and positioning. "
}, {
  "label": "BaselinePosition",
  "type": "keyword",
  "info": "BaselinePosition is an option that specifies where the baseline of an object is considered to be for"
}, {
  "label": "BaseStyle",
  "type": "keyword",
  "info": "BaseStyle is an option for formatting and related constructs that specifies the base style to use fo"
}, {
  "label": "BasicRecurrentLayer",
  "type": "keyword",
  "info": "BasicRecurrentLayer[n] represents a trainable recurrent layer that takes a sequence of vectors and p"
}, {
  "label": "BatchNormalizationLayer",
  "type": "keyword",
  "info": "BatchNormalizationLayer[] represents a trainable net layer that normalizes its input data by learnin"
}, {
  "label": "BatchSize",
  "type": "keyword",
  "info": "BatchSize is an option for NetTrain and related functions that specifies the size of a batch of exam"
}, {
  "label": "BatesDistribution",
  "type": "keyword",
  "info": "BatesDistribution[n] represents the distribution of a mean of n random variables uniformly distribut"
}, {
  "label": "BattleLemarieWavelet",
  "type": "keyword",
  "info": "BattleLemarieWavelet[] represents the BattleâLemariÃ© wavelet of order 3.BattleLemarieWavelet[n] repr"
}, {
  "label": "BayesianMaximization",
  "type": "keyword",
  "info": "BayesianMaximization[f, {conf , conf , â¦}] gives an object representing the result of Bayesian maxim"
}, {
  "label": "BayesianMaximizationObject",
  "type": "keyword",
  "info": "BayesianMaximizationObject[â¦] represents the result of a Bayesian maximization process."
}, {
  "label": "BayesianMinimization",
  "type": "keyword",
  "info": "BayesianMinimization[f, {conf , conf , â¦}] gives an object representing the result of Bayesian minim"
}, {
  "label": "BayesianMinimizationObject",
  "type": "keyword",
  "info": "BayesianMinimizationObject[â¦] represents the result of a Bayesian minimization process. "
}, {
  "label": "Because",
  "type": "keyword",
  "info": "Because[x, y] displays as x â\\[Micro] y."
}, {
  "label": "BeckmannDistribution",
  "type": "keyword",
  "info": "BeckmannDistribution[Î¼ , Î¼ , Ï , Ï ] represents the Beckmann distribution with means Î¼  and Î¼  and s"
}, {
  "label": "Beep",
  "type": "keyword",
  "info": "Beep[] generates an audible beep when evaluated. "
}, {
  "label": "Before",
  "type": "keyword",
  "info": "Before is a symbol that represents the region before an object for purposes of placement."
}, {
  "label": "Begin",
  "type": "keyword",
  "info": "Begin[\"context`\"] resets the current context. "
}, {
  "label": "BeginDialogPacket",
  "type": "keyword",
  "info": "BeginDialogPacket[integer] is a WSTP packet that indicates the start of the Dialog subsession refere"
}, {
  "label": "BeginFrontEndInteractionPacket",
  "type": "keyword",
  "info": "System`BeginFrontEndInteractionPacket"
}, {
  "label": "BeginPackage",
  "type": "keyword",
  "info": "BeginPackage[\"context`\"] makes context` and System` the only active contexts. BeginPackage[\"context`"
}, {
  "label": "BellB",
  "type": "keyword",
  "info": "BellB[n] gives the Bell number B . BellB[n, x] gives the Bell polynomial B (x). \n                   "
}, {
  "label": "BellY",
  "type": "keyword",
  "info": "BellY[n, k, {x , â¦, x         }] gives the partial Bell polynomial Y    (x , â¦, x         ).BellY[n,"
}, {
  "label": "Below",
  "type": "keyword",
  "info": "Below is a symbol that represents the region below an object for purposes of placement."
}, {
  "label": "BenfordDistribution",
  "type": "keyword",
  "info": "BenfordDistribution[b] represents a Benford distribution with base parameter b."
}, {
  "label": "BeniniDistribution",
  "type": "keyword",
  "info": "BeniniDistribution[Î\\[PlusMinus], Î\.b2, Ï] represents a Benini distribution with shape parameters Î\\[PlusMinus] and Î\.b2 and scale"
}, {
  "label": "BenktanderGibratDistribution",
  "type": "keyword",
  "info": "BenktanderGibratDistribution[a, b] represents a Benktander distribution of type I with parameters a "
}, {
  "label": "BenktanderWeibullDistribution",
  "type": "keyword",
  "info": "BenktanderWeibullDistribution[a, b] represents a Benktander distribution of type II with parameters "
}, {
  "label": "BernoulliB",
  "type": "keyword",
  "info": "BernoulliB[n] gives the Bernoulli number B . BernoulliB[n, x] gives the Bernoulli polynomial B (x). "
}, {
  "label": "BernoulliDistribution",
  "type": "keyword",
  "info": "BernoulliDistribution[p] represents a Bernoulli distribution with probability parameter p."
}, {
  "label": "BernoulliGraphDistribution",
  "type": "keyword",
  "info": "BernoulliGraphDistribution[n, p] represents a Bernoulli graph distribution for n-vertex graphs with "
}, {
  "label": "BernoulliProcess",
  "type": "keyword",
  "info": "BernoulliProcess[p] represents a Bernoulli process with event probability p."
}, {
  "label": "BernsteinBasis",
  "type": "keyword",
  "info": "                                         th\nBernsteinBasis[d, n, x] represents the nï    Bernstein ba"
}, {
  "label": "BesagL",
  "type": "keyword",
  "info": "BesagL[pdata, r] estimates Besag's L function L(r) for point data pdata at radius r.BesagL[pproc, r]"
}, {
  "label": "BesselFilterModel",
  "type": "keyword",
  "info": "BesselFilterModel[n] designs a lowpass Bessel filter of order n and cutoff frequency 1.BesselFilterM"
}, {
  "label": "BesselI",
  "type": "keyword",
  "info": "BesselI[n, z] gives the modified Bessel function of the first kind I (z). \n                         "
}, {
  "label": "BesselJ",
  "type": "keyword",
  "info": "BesselJ[n, z] gives the Bessel function of the first kind J (z). \n                                  "
}, {
  "label": "BesselJZero",
  "type": "keyword",
  "info": "                                   th                                                               "
}, {
  "label": "BesselK",
  "type": "keyword",
  "info": "BesselK[n, z] gives the modified Bessel function of the second kind K (z). \n                        "
}, {
  "label": "BesselY",
  "type": "keyword",
  "info": "BesselY[n, z] gives the Bessel function of the second kind Y (z). \n                                 "
}, {
  "label": "BesselYZero",
  "type": "keyword",
  "info": "                                   th                                                               "
}, {
  "label": "Beta",
  "type": "keyword",
  "info": "Beta[a, b] gives the Euler beta function Î(a, b). Beta[z, a, b] gives the incomplete beta function Î"
}, {
  "label": "BetaBinomialDistribution",
  "type": "keyword",
  "info": "BetaBinomialDistribution[Î\\[PlusMinus], Î\.b2, n] represents a beta binomial mixture distribution with beta distribu"
}, {
  "label": "BetaDistribution",
  "type": "keyword",
  "info": "BetaDistribution[Î\\[PlusMinus], Î\.b2] represents a continuous beta distribution with shape parameters Î\\[PlusMinus] and Î\.b2."
}, {
  "label": "BetaNegativeBinomialDistribution",
  "type": "keyword",
  "info": "BetaNegativeBinomialDistribution[Î\\[PlusMinus], Î\.b2, n] represents a beta negative binomial mixture distribution w"
}, {
  "label": "BetaPrimeDistribution",
  "type": "keyword",
  "info": "BetaPrimeDistribution[p, q] represents a beta prime distribution with shape parameters p and q. Beta"
}, {
  "label": "BetaRegularized",
  "type": "keyword",
  "info": "BetaRegularized[z, a, b] gives the regularized incomplete beta function I (a, b). \n                 "
}, {
  "label": "Between",
  "type": "keyword",
  "info": "Between[x, {min, max}] is equivalent to min â¤ x â¤ max.Between[x, {{min , max }, {min , max }, â¦}] is"
}, {
  "label": "BetweennessCentrality",
  "type": "keyword",
  "info": "BetweennessCentrality[g] gives a list of betweenness centralities for the vertices in the graph g.Be"
}, {
  "label": "Beveled",
  "type": "keyword",
  "info": "System`Beveled"
}, {
  "label": "BeveledPolyhedron",
  "type": "keyword",
  "info": "BeveledPolyhedron[poly] gives the beveled polyhedron of poly, by beveling each edge. BeveledPolyhedr"
}, {
  "label": "BezierCurve",
  "type": "keyword",
  "info": "BezierCurve[{pt , pt , â¦}] is a graphics primitive that represents a BÃ©zier curve with control point"
}, {
  "label": "BezierCurve3DBox",
  "type": "keyword",
  "info": "System`BezierCurve3DBox"
}, {
  "label": "BezierCurve3DBoxOptions",
  "type": "keyword",
  "info": "BezierCurve3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Bez"
}, {
  "label": "BezierCurveBox",
  "type": "keyword",
  "info": "System`BezierCurveBox"
}, {
  "label": "BezierCurveBoxOptions",
  "type": "keyword",
  "info": "BezierCurveBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Bezie"
}, {
  "label": "BezierFunction",
  "type": "keyword",
  "info": "BezierFunction[{pt , pt , â¦}] represents a BÃ©zier function for a curve defined by the control points"
}, {
  "label": "BilateralFilter",
  "type": "keyword",
  "info": "BilateralFilter[data, Ï, Î¼] applies a bilateral filter of spatial spread Ï and pixel value spread Î¼ "
}, {
  "label": "BilateralLaplaceTransform",
  "type": "keyword",
  "info": "BilateralLaplaceTransform[expr, t, s] gives the bilateral Laplace transform of expr. BilateralLaplac"
}, {
  "label": "BilateralZTransform",
  "type": "keyword",
  "info": "BilateralZTransform[expr, n, z] gives the bilateral Z transform of expr.BilateralZTransform[expr, {n"
}, {
  "label": "Binarize",
  "type": "keyword",
  "info": "Binarize[image] creates a binary image from image by replacing all values above a globally determine"
}, {
  "label": "BinaryDeserialize",
  "type": "keyword",
  "info": "BinaryDeserialize[ByteArray[â¦]] recovers an expression from a binary representation generated by Bin"
}, {
  "label": "BinaryDistance",
  "type": "keyword",
  "info": "BinaryDistance[u, v] gives the binary distance between vectors u and v, equal to 0 if they are ident"
}, {
  "label": "BinaryFormat",
  "type": "keyword",
  "info": "BinaryFormat is an option for OpenRead and related functions that specifies that a stream should be "
}, {
  "label": "BinaryImageQ",
  "type": "keyword",
  "info": "BinaryImageQ[image] yields True if image has the form of a binary Image or Image3D object, and False"
}, {
  "label": "BinaryRead",
  "type": "keyword",
  "info": "BinaryRead[stream] reads one byte of raw binary data from an input stream, and returns an integer fr"
}, {
  "label": "BinaryReadList",
  "type": "keyword",
  "info": "BinaryReadList[\"file\"] reads all remaining bytes from a file, and returns them as a list of integers"
}, {
  "label": "BinarySerialize",
  "type": "keyword",
  "info": "BinarySerialize[expr] gives a binary representation of any expression expr as a ByteArray object."
}, {
  "label": "BinaryWrite",
  "type": "keyword",
  "info": "BinaryWrite[channel, b] writes a byte of data, specified as an integer from 0 to 255. BinaryWrite[ch"
}, {
  "label": "BinCounts",
  "type": "keyword",
  "info": "BinCounts[{x , x , â¦}] counts the number of elements x  whose values lie in successive integer bins."
}, {
  "label": "BinLists",
  "type": "keyword",
  "info": "BinLists[{x , x , â¦}] gives lists of the elements x  whose values lie in successive integer bins.Bin"
}, {
  "label": "BinnedVariogramList",
  "type": "keyword",
  "info": "BinnedVariogramList[{loc  ï¢ val , loc  ï¢ val , â¦}] computes a variogram using binned values. BinnedV"
}, {
  "label": "Binomial",
  "type": "keyword",
  "info": "Binomial[n, m] gives the binomial coefficient (n).\n\n                                               m"
}, {
  "label": "BinomialDistribution",
  "type": "keyword",
  "info": "BinomialDistribution[n, p] represents a binomial distribution with n trials and success probability "
}, {
  "label": "BinomialPointProcess",
  "type": "keyword",
  "info": "BinomialPointProcess[n, reg] represents a binomial point process with n points in the region reg."
}, {
  "label": "BinomialProcess",
  "type": "keyword",
  "info": "BinomialProcess[p] represents a binomial process with event probability p."
}, {
  "label": "BinormalDistribution",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "BiorthogonalSplineWavelet",
  "type": "keyword",
  "info": "BiorthogonalSplineWavelet[] represents a biorthogonal spline wavelet of order 4 and dual order 2.Bio"
}, {
  "label": "BioSequence",
  "type": "keyword",
  "info": "BioSequence[type, \"seq\"] represents the biomolecular sequence of the given type corresponding to a s"
}, {
  "label": "BioSequenceBackTranslateList",
  "type": "keyword",
  "info": "BioSequenceBackTranslateList[bioseq] gives the generalized back translations of a peptide sequence b"
}, {
  "label": "BioSequenceComplement",
  "type": "keyword",
  "info": "BioSequenceComplement[bioseq] gives the biological complement of the sequence bioseq."
}, {
  "label": "BioSequenceInstances",
  "type": "keyword",
  "info": "BioSequenceInstances[bioseq] expands the possibly degenerate sequence bioseq into all fully specifie"
}, {
  "label": "BioSequenceModify",
  "type": "keyword",
  "info": "BioSequenceModify[seq, \"mod\"] gives the result of applying the modification \"mod\" to the sequence se"
}, {
  "label": "BioSequencePlot",
  "type": "keyword",
  "info": "BioSequencePlot[bioseq] creates a two-dimensional schematic diagram of the biomolecular sequence bio"
}, {
  "label": "BioSequenceQ",
  "type": "keyword",
  "info": "BioSequenceQ[bioseq] returns True if bioseq is a valid BioSequence expression, and False otherwise.B"
}, {
  "label": "BioSequenceReverseComplement",
  "type": "keyword",
  "info": "BioSequenceReverseComplement[bioseq] biologically complements and reverses the sequence bioseq."
}, {
  "label": "BioSequenceTranscribe",
  "type": "keyword",
  "info": "BioSequenceTranscribe[bioseq] transcribes DNA into RNA or inverts the transcription of RNA back to D"
}, {
  "label": "BioSequenceTranslate",
  "type": "keyword",
  "info": "BioSequenceTranslate[bioseq] translates a DNA or RNA sequence bioseq to a peptide sequence.BioSequen"
}, {
  "label": "BipartiteGraphQ",
  "type": "keyword",
  "info": "BipartiteGraphQ[g] yields True if the graph g is a bipartite graph and False otherwise."
}, {
  "label": "BiquadraticFilterModel",
  "type": "keyword",
  "info": "BiquadraticFilterModel[{Ï, q}] creates a lowpass biquadratic filter using the characteristic frequen"
}, {
  "label": "BirnbaumImportance",
  "type": "keyword",
  "info": "BirnbaumImportance[rdist, t] gives the Birnbaum importances for all components in the ReliabilityDis"
}, {
  "label": "BirnbaumSaundersDistribution",
  "type": "keyword",
  "info": "BirnbaumSaundersDistribution[Î\\[PlusMinus], Î»] represents the BirnbaumâSaunders distribution with shape paramete"
}, {
  "label": "BitAnd",
  "type": "keyword",
  "info": "BitAnd[n , n , â¦] gives the bitwise AND of the integers n . \n        1   2                          "
}, {
  "label": "BitClear",
  "type": "keyword",
  "info": "                                                                      k\nBitClear[n, k] sets to 0 the"
}, {
  "label": "BitGet",
  "type": "keyword",
  "info": "                                                               k\nBitGet[n, k] gets the bit correspon"
}, {
  "label": "BitLength",
  "type": "keyword",
  "info": "BitLength[n] gives the number of binary bits necessary to represent the integer n. "
}, {
  "label": "BitNot",
  "type": "keyword",
  "info": "BitNot[n] gives the bitwise NOT of the integer n. "
}, {
  "label": "BitOr",
  "type": "keyword",
  "info": "BitOr[n , n , â¦] gives the bitwise OR of the integers n . \n       1   2                             "
}, {
  "label": "BitRate",
  "type": "keyword",
  "info": "BitRate is an option that specifies an approximate number of bits per second when creating video and"
}, {
  "label": "BitSet",
  "type": "keyword",
  "info": "                                                                    k\nBitSet[n, k] sets to 1 the bit"
}, {
  "label": "BitShiftLeft",
  "type": "keyword",
  "info": "BitShiftLeft[n, k] shifts the binary bits in the integer n to the left by k places, padding with zer"
}, {
  "label": "BitShiftRight",
  "type": "keyword",
  "info": "BitShiftRight[n, k] shifts the binary bits in the integer n to the right by k places, dropping bits "
}, {
  "label": "BitXor",
  "type": "keyword",
  "info": "BitXor[n , n , â¦] gives the bitwise XOR of the integers n . \n        1   2                          "
}, {
  "label": "BiweightLocation",
  "type": "keyword",
  "info": "BiweightLocation[list] gives the value of the biweight location estimator of the elements in list.Bi"
}, {
  "label": "BiweightMidvariance",
  "type": "keyword",
  "info": "BiweightMidvariance[list] gives the value of the biweight midvariance of the elements in list.Biweig"
}, {
  "label": "Black",
  "type": "keyword",
  "info": "Black represents the color black in graphics or style specifications. "
}, {
  "label": "BlackmanHarrisWindow",
  "type": "keyword",
  "info": "BlackmanHarrisWindow[x] represents a BlackmanâHarris window function of x."
}, {
  "label": "BlackmanNuttallWindow",
  "type": "keyword",
  "info": "BlackmanNuttallWindow[x] represents a BlackmanâNuttall window function of x."
}, {
  "label": "BlackmanWindow",
  "type": "keyword",
  "info": "BlackmanWindow[x] represents a Blackman window function of x."
}, {
  "label": "Blank",
  "type": "keyword",
  "info": "_ or Blank[] is a pattern object that can stand for any Wolfram Language expression. _h or Blank[h] "
}, {
  "label": "BlankForm",
  "type": "keyword",
  "info": "BlankForm is an internal symbol used for formatting and printing."
}, {
  "label": "BlankNullSequence",
  "type": "keyword",
  "info": "___ (three _ characters) or BlankNullSequence[] is a pattern object that can stand for any sequence "
}, {
  "label": "BlankSequence",
  "type": "keyword",
  "info": "__ (two _ characters) or BlankSequence[] is a pattern object that can stand for any sequence of one "
}, {
  "label": "Blend",
  "type": "keyword",
  "info": "Blend[{col , col }, x] gives a color obtained by blending a fraction 1 - x of color col  and x of co"
}, {
  "label": "Block",
  "type": "keyword",
  "info": "Block[{x, y, â¦}, expr] specifies that expr is to be evaluated with local values for the symbols x, y"
}, {
  "label": "BlockchainAddressData",
  "type": "keyword",
  "info": "BlockchainAddressData[\"address\"] gives available information connected with the specified address on"
}, {
  "label": "BlockchainBase",
  "type": "keyword",
  "info": "BlockchainBase is an option for various blockchain functions that specifies which blockchain to use."
}, {
  "label": "BlockchainBlockData",
  "type": "keyword",
  "info": "BlockchainBlockData[\"hash\"] gives information about the block with the specified hash on the blockch"
}, {
  "label": "BlockchainContractValue",
  "type": "keyword",
  "info": "BlockchainContractValue[caddr] gets the result obtained from a Wolfram expression contract at blockc"
}, {
  "label": "BlockchainData",
  "type": "keyword",
  "info": "BlockchainData[] gives information about the blockchain specified by $BlockchainBase.BlockchainData["
}, {
  "label": "BlockchainGet",
  "type": "keyword",
  "info": "BlockchainGet[id] retrieves data from the Wolfram blockchain for the transaction with the specified "
}, {
  "label": "BlockchainKeyEncode",
  "type": "keyword",
  "info": "BlockchainKeyEncode[key, form] encodes a private or public key in the specified blockchain format."
}, {
  "label": "BlockchainPut",
  "type": "keyword",
  "info": "BlockchainPut[expr] adds expr to the Wolfram blockchain."
}, {
  "label": "BlockchainTokenData",
  "type": "keyword",
  "info": "BlockchainTokenData[\"name\"] gives information about the use of tokens with the specified name on a b"
}, {
  "label": "BlockchainTransaction",
  "type": "keyword",
  "info": "BlockchainTransaction[assoc] represents a blockchain transaction built from the components in the as"
}, {
  "label": "BlockchainTransactionData",
  "type": "keyword",
  "info": "BlockchainTransactionData[txid] gives information about the blockchain transaction with ID txid on t"
}, {
  "label": "BlockchainTransactionSign",
  "type": "keyword",
  "info": "BlockchainTransactionSign[obj, key] digitally signs a blockchain transaction using the specified pri"
}, {
  "label": "BlockchainTransactionSubmit",
  "type": "keyword",
  "info": "BlockchainTransactionSubmit[obj] submits the transaction specified in the BlockchainTransaction obje"
}, {
  "label": "BlockMap",
  "type": "keyword",
  "info": "BlockMap[f, list, n] applies f to non-overlapping sublists of length n in list. BlockMap[f, list, n,"
}, {
  "label": "BlockRandom",
  "type": "keyword",
  "info": "BlockRandom[expr] evaluates expr with all pseudorandom generators localized, so that uses of SeedRan"
}, {
  "label": "BlomqvistBeta",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "BlomqvistBetaTest",
  "type": "keyword",
  "info": "BlomqvistBetaTest[v , v ] tests whether the vectors v  and v  are independent.BlomqvistBetaTest[m , "
}, {
  "label": "Blue",
  "type": "keyword",
  "info": "Blue represents the color blue in graphics or style specifications. "
}, {
  "label": "Blur",
  "type": "keyword",
  "info": "Blur[image] gives a blurred version of image.Blur[image, r] gives a version of image blurred over pi"
}, {
  "label": "BodePlot",
  "type": "keyword",
  "info": "BodePlot[lsys] generates a Bode plot of a linear time-invariant system lsys.BodePlot[lsys, {Ï   , Ï "
}, {
  "label": "BohmanWindow",
  "type": "keyword",
  "info": "BohmanWindow[x] represents a Bohman window function of x."
}, {
  "label": "Bold",
  "type": "keyword",
  "info": "Bold represents a bold font weight."
}, {
  "label": "Bond",
  "type": "keyword",
  "info": "Bond[{id , id }] represents a single chemical bond between atoms with indices id  and id .Bond[{id ,"
}, {
  "label": "BondCount",
  "type": "keyword",
  "info": "BondCount[mol] gives the number of bonds in the molecule mol.BondCount[mol, patt] gives the number o"
}, {
  "label": "BondLabels",
  "type": "keyword",
  "info": "BondLabels is an option for MoleculePlot and MoleculePlot3D that specifies what labels and label pos"
}, {
  "label": "BondLabelStyle",
  "type": "keyword",
  "info": "BondLabelStyle is an option for MoleculePlot and MoleculePlot3D that specifies the style to use for "
}, {
  "label": "BondList",
  "type": "keyword",
  "info": "BondList[mol] gives the list of bonds in the molecule mol.BondList[mol, patt] gives the list of bond"
}, {
  "label": "BondQ",
  "type": "keyword",
  "info": "BondQ[m, bond] gives True if bond is a bond in the molecule m, and False otherwise."
}, {
  "label": "Bookmarks",
  "type": "keyword",
  "info": "Bookmarks is an option for Manipulate and related functions that gives a list of bookmark settings."
}, {
  "label": "Boole",
  "type": "keyword",
  "info": "Boole[expr] yields 1 if expr is True and 0 if it is False. "
}, {
  "label": "BooleanConsecutiveFunction",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "BooleanConvert",
  "type": "keyword",
  "info": "BooleanConvert[expr] converts the Boolean expression expr to disjunctive normal form.BooleanConvert["
}, {
  "label": "BooleanCountingFunction",
  "type": "keyword",
  "info": "BooleanCountingFunction[k   , n] represents a Boolean function of n variables that gives True if at "
}, {
  "label": "BooleanFunction",
  "type": "keyword",
  "info": "                                       th\nBooleanFunction[k, n] represents the kï    Boolean function"
}, {
  "label": "BooleanGraph",
  "type": "keyword",
  "info": "BooleanGraph[bfunc, g , â¦, g ] gives the Boolean graph defined by the Boolean function bfunc on the "
}, {
  "label": "BooleanMaxterms",
  "type": "keyword",
  "info": "                                       th\nBooleanMaxterms[k, n] represents the kï    maxterm in n var"
}, {
  "label": "BooleanMinimize",
  "type": "keyword",
  "info": "BooleanMinimize[expr] finds a minimal-length disjunctive normal form representation of expr.BooleanM"
}, {
  "label": "BooleanMinterms",
  "type": "keyword",
  "info": "                                       th\nBooleanMinterms[k, n] represents the kï    minterm in n var"
}, {
  "label": "BooleanQ",
  "type": "keyword",
  "info": "BooleanQ[expr] returns True if expr is either True or False."
}, {
  "label": "BooleanRegion",
  "type": "keyword",
  "info": "BooleanRegion[bfunc, {reg , reg , â¦}] represents the Boolean combination bfunc of regions reg , reg "
}, {
  "label": "Booleans",
  "type": "keyword",
  "info": "Booleans represents the domain of Booleans, as in x â Booleans. "
}, {
  "label": "BooleanStrings",
  "type": "keyword",
  "info": "BooleanStrings is an option to TextString and related functions that determines what strings corresp"
}, {
  "label": "BooleanTable",
  "type": "keyword",
  "info": "BooleanTable[bf] gives a list of truth values for all possible combinations of variable values suppl"
}, {
  "label": "BooleanVariables",
  "type": "keyword",
  "info": "BooleanVariables[expr] gives a list of the Boolean variables in the Boolean expression expr.BooleanV"
}, {
  "label": "BorderDimensions",
  "type": "keyword",
  "info": "BorderDimensions[image] gives the pixel width of uniform borders of image in the form {{left, right}"
}, {
  "label": "BorelTannerDistribution",
  "type": "keyword",
  "info": "BorelTannerDistribution[Î\\[PlusMinus], n] represents a BorelâTanner distribution with shape parameters Î\\[PlusMinus] and n."
}, {
  "label": "Bottom",
  "type": "keyword",
  "info": "Bottom is a symbol that represents the bottom for purposes of alignment and positioning. "
}, {
  "label": "BottomHatTransform",
  "type": "keyword",
  "info": "BottomHatTransform[image, ker] gives the morphological bottom-hat transform of image with respect to"
}, {
  "label": "BoundaryDiscretizeGraphics",
  "type": "keyword",
  "info": "BoundaryDiscretizeGraphics[g] discretizes a 2D or 3D graphic g into a BoundaryMeshRegion.BoundaryDis"
}, {
  "label": "BoundaryDiscretizeRegion",
  "type": "keyword",
  "info": "BoundaryDiscretizeRegion[reg] discretizes the region reg into a BoundaryMeshRegion.BoundaryDiscretiz"
}, {
  "label": "BoundaryMesh",
  "type": "keyword",
  "info": "BoundaryMesh[mreg] gives a BoundaryMeshRegion from a MeshRegion mreg. "
}, {
  "label": "BoundaryMeshRegion",
  "type": "keyword",
  "info": "BoundaryMeshRegion[{p , p , â¦}, {bcell [{i , â¦}], bcell [{j , â¦}], â¦}] yields a mesh with boundary c"
}, {
  "label": "BoundaryMeshRegionQ",
  "type": "keyword",
  "info": "BoundaryMeshRegionQ[reg] yields True if the region reg is a valid BoundaryMeshRegion object and Fals"
}, {
  "label": "BoundaryStyle",
  "type": "keyword",
  "info": "BoundaryStyle is an option for plotting functions that specifies the style in which boundaries of re"
}, {
  "label": "BoundedRegionQ",
  "type": "keyword",
  "info": "BoundedRegionQ[reg] gives True if reg is a bounded region and False otherwise. "
}, {
  "label": "BoundingRegion",
  "type": "keyword",
  "info": "BoundingRegion[{pt , pt , â¦}] gives the minimal axis-aligned bounding box for the points pt , pt , â¦"
}, {
  "label": "Bounds",
  "type": "keyword",
  "info": "System`Bounds"
}, {
  "label": "Box",
  "type": "keyword",
  "info": "System`Box"
}, {
  "label": "BoxBaselineShift",
  "type": "keyword",
  "info": "BoxBaselineShift is an option for AdjustmentBox that specifies how much the baseline of the box shou"
}, {
  "label": "BoxData",
  "type": "keyword",
  "info": "BoxData[boxes] is a low-level representation of the contents of a typesetting cell."
}, {
  "label": "BoxDimensions",
  "type": "keyword",
  "info": "System`BoxDimensions"
}, {
  "label": "Boxed",
  "type": "keyword",
  "info": "Boxed is an option for Graphics3D that specifies whether to draw the edges of the bounding box in a "
}, {
  "label": "Boxes",
  "type": "keyword",
  "info": "Boxes is a symbol that represents typeset boxes in InputField and related functions."
}, {
  "label": "BoxForm",
  "type": "keyword",
  "info": "System`BoxForm"
}, {
  "label": "BoxFormFormatTypes",
  "type": "keyword",
  "info": "BoxFormFormatTypes is a global option that specifies the list of typeset format types that are curre"
}, {
  "label": "BoxFrame",
  "type": "keyword",
  "info": "BoxFrame is an option for FrameBox objects that specifies whether to draw a frame around the content"
}, {
  "label": "BoxID",
  "type": "keyword",
  "info": "System`BoxID"
}, {
  "label": "BoxMargins",
  "type": "keyword",
  "info": "BoxMargins is an option for AdjustmentBox objects that specifies the margins to leave around the con"
}, {
  "label": "BoxMatrix",
  "type": "keyword",
  "info": "BoxMatrix[r] gives a (2 r + 1) Ã (2r + 1) matrix of 1s.BoxMatrix[r, w] gives a (2 r + 1) Ã (2r + 1) "
}, {
  "label": "BoxObject",
  "type": "keyword",
  "info": "BoxObject[id] is an object that represents a box structure in an open notebook in the front end."
}, {
  "label": "BoxRatios",
  "type": "keyword",
  "info": "BoxRatios is an option for Graphics3D that gives the ratios of side lengths for the bounding box of "
}, {
  "label": "BoxRotation",
  "type": "keyword",
  "info": "System`BoxRotation"
}, {
  "label": "BoxRotationPoint",
  "type": "keyword",
  "info": "System`BoxRotationPoint"
}, {
  "label": "BoxStyle",
  "type": "keyword",
  "info": "BoxStyle is an option for three-dimensional graphics functions that specifies how the bounding box s"
}, {
  "label": "BoxWhiskerChart",
  "type": "keyword",
  "info": "BoxWhiskerChart[{x , x , â¦}] makes a boxâandâwhisker chart for the values x .BoxWhiskerChart[{x , x "
}, {
  "label": "Bra",
  "type": "keyword",
  "info": "System`Bra"
}, {
  "label": "BracketingBar",
  "type": "keyword",
  "info": "BracketingBar[x, y, â¦] displays as ï x, y, â¦ ï."
}, {
  "label": "BraKet",
  "type": "keyword",
  "info": "System`BraKet"
}, {
  "label": "BrayCurtisDistance",
  "type": "keyword",
  "info": "BrayCurtisDistance[u, v] gives the BrayâCurtis distance between vectors u and v."
}, {
  "label": "BreadthFirstScan",
  "type": "keyword",
  "info": "BreadthFirstScan[g, s, {event  ï¢ f , event  ï¢ f , â¦}] performs a breadth-first scan (bfs) of the gra"
}, {
  "label": "Break",
  "type": "keyword",
  "info": "Break[] exits the nearest enclosing Do, For, or While. "
}, {
  "label": "BridgeData",
  "type": "keyword",
  "info": "BridgeData[entity, property] gives the value of the specified property for the bridge entity.BridgeD"
}, {
  "label": "BrightnessEqualize",
  "type": "keyword",
  "info": "BrightnessEqualize[image] adjusts the brightness across image, correcting uneven illumination.Bright"
}, {
  "label": "BroadcastStationData",
  "type": "keyword",
  "info": "BroadcastStationData[entity, property] gives the value of the specified property for the broadcast s"
}, {
  "label": "Brown",
  "type": "keyword",
  "info": "Brown represents the color brown in graphics or style specifications. "
}, {
  "label": "BrownForsytheTest",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "BrownianBridgeProcess",
  "type": "keyword",
  "info": "BrownianBridgeProcess[Ï, {t , a}, {t , b}] represents the Brownian bridge process from value a at ti"
}, {
  "label": "BrowserCategory",
  "type": "keyword",
  "info": "System`BrowserCategory"
}, {
  "label": "BSplineBasis",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "BSplineCurve",
  "type": "keyword",
  "info": "BSplineCurve[{pt , pt , â¦}] is a graphics primitive that represents a nonuniform rational B-spline c"
}, {
  "label": "BSplineCurve3DBox",
  "type": "keyword",
  "info": "System`BSplineCurve3DBox"
}, {
  "label": "BSplineCurve3DBoxOptions",
  "type": "keyword",
  "info": "BSplineCurve3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for BS"
}, {
  "label": "BSplineCurveBox",
  "type": "keyword",
  "info": "System`BSplineCurveBox"
}, {
  "label": "BSplineCurveBoxOptions",
  "type": "keyword",
  "info": "BSplineCurveBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for BSpl"
}, {
  "label": "BSplineFunction",
  "type": "keyword",
  "info": "BSplineFunction[{pt , pt , â¦}] represents a B-spline function for a curve defined by the control poi"
}, {
  "label": "BSplineSurface",
  "type": "keyword",
  "info": "BSplineSurface[array] is a graphics primitive that represents a nonuniform rational B-spline surface"
}, {
  "label": "BSplineSurface3DBox",
  "type": "keyword",
  "info": "System`BSplineSurface3DBox"
}, {
  "label": "BSplineSurface3DBoxOptions",
  "type": "keyword",
  "info": "BSplineSurface3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for "
}, {
  "label": "BubbleChart",
  "type": "keyword",
  "info": "BubbleChart[{{x , y , z }, {x , y , z }, â¦}] makes a bubble chart with bubbles at positions {x , y }"
}, {
  "label": "BubbleChart3D",
  "type": "keyword",
  "info": "BubbleChart3D[{{x , y , z , u }, {x , y , z , u }, â¦}] makes a 3D bubble chart with bubbles at posit"
}, {
  "label": "BubbleScale",
  "type": "keyword",
  "info": "BubbleScale is an option to BubbleChart and related functions that specifies how the scale of each b"
}, {
  "label": "BubbleSizes",
  "type": "keyword",
  "info": "BubbleSizes is an option to BubbleChart and related functions that specifies the range of sizes used"
}, {
  "label": "BuildingData",
  "type": "keyword",
  "info": "BuildingData[entity, property] gives the value of the specified property for the building entity.Bui"
}, {
  "label": "BulletGauge",
  "type": "keyword",
  "info": "BulletGauge[value, reference, {min, max}] draws a bullet gauge showing value and reference in a rang"
}, {
  "label": "BusinessDayQ",
  "type": "keyword",
  "info": "BusinessDayQ[date] returns True if the date is a business day and returns False otherwise."
}, {
  "label": "ButterflyGraph",
  "type": "keyword",
  "info": "ButterflyGraph[n] gives the order-n butterfly graph. ButterflyGraph[n, b] gives the base-b order-n b"
}, {
  "label": "ButterworthFilterModel",
  "type": "keyword",
  "info": "ButterworthFilterModel[n] creates a lowpass Butterworth filter of order n and cutoff frequency of 1."
}, {
  "label": "Button",
  "type": "keyword",
  "info": "Button[label, action] represents a button that is labeled with label, and evaluates action whenever "
}, {
  "label": "ButtonBar",
  "type": "keyword",
  "info": "ButtonBar[{lbl  :> act , lbl  :> act , â¦}] represents a bar of buttons with labels lbl  that perform"
}, {
  "label": "ButtonBox",
  "type": "keyword",
  "info": "ButtonBox[boxes] is a low-level box construct that represents a button in a notebook expression."
}, {
  "label": "ButtonBoxOptions",
  "type": "keyword",
  "info": "ButtonBoxOptions is an option that specifies settings for ButtonBox."
}, {
  "label": "ButtonCell",
  "type": "keyword",
  "info": "System`ButtonCell"
}, {
  "label": "ButtonContents",
  "type": "keyword",
  "info": "System`ButtonContents"
}, {
  "label": "ButtonData",
  "type": "keyword",
  "info": "ButtonData is an option for the low-level function ButtonBox that specifies the second argument to g"
}, {
  "label": "ButtonEvaluator",
  "type": "keyword",
  "info": "ButtonEvaluator is an option for the low-level function ButtonBox that specifies where the expressio"
}, {
  "label": "ButtonExpandable",
  "type": "keyword",
  "info": "ButtonExpandable is an option for the low-level function ButtonBox that specifies whether the button"
}, {
  "label": "ButtonFrame",
  "type": "keyword",
  "info": "ButtonFrame is an option for the low-level function ButtonBox that specifies the type of frame to di"
}, {
  "label": "ButtonFunction",
  "type": "keyword",
  "info": "ButtonFunction is an option for the low-level function ButtonBox that specifies the function to exec"
}, {
  "label": "ButtonMargins",
  "type": "keyword",
  "info": "ButtonMargins is an option for ButtonBox that specifies how much space in printer's points to leave "
}, {
  "label": "ButtonMinHeight",
  "type": "keyword",
  "info": "ButtonMinHeight is an option for the low-level function ButtonBox that specifies the minimum total h"
}, {
  "label": "ButtonNote",
  "type": "keyword",
  "info": "ButtonNote is an option for ButtonBox that specifies what should be displayed in the status line of "
}, {
  "label": "ButtonNotebook",
  "type": "keyword",
  "info": "ButtonNotebook[] gives the notebook, if any, that contains the button which initiated the current ev"
}, {
  "label": "ButtonSource",
  "type": "keyword",
  "info": "ButtonSource is an option for the low-level function ButtonBox that specifies the first argument to "
}, {
  "label": "ButtonStyle",
  "type": "keyword",
  "info": "ButtonStyle is an option for ButtonBox that specifies the default properties for the button. "
}, {
  "label": "ButtonStyleMenuListing",
  "type": "keyword",
  "info": "System`ButtonStyleMenuListing"
}, {
  "label": "Byte",
  "type": "keyword",
  "info": "Byte represents a single byte of data in Read. "
}, {
  "label": "ByteArray",
  "type": "keyword",
  "info": "ByteArray[{b , b , â¦}] constructs a ByteArray object containing the byte values b .ByteArray[\"string"
}, {
  "label": "ByteArrayFormat",
  "type": "keyword",
  "info": "ByteArrayFormat[ba] attempts to determine what ImportByteArray format could be used to import the By"
}, {
  "label": "ByteArrayFormatQ",
  "type": "keyword",
  "info": "ByteArrayFormatQ[ba, \"fmt\"] gives True if the ByteArray object ba might be imported as format \"fmt\" "
}, {
  "label": "ByteArrayQ",
  "type": "keyword",
  "info": "ByteArrayQ[expr] gives True if expr is a valid ByteArray object, and False otherwise."
}, {
  "label": "ByteArrayToString",
  "type": "keyword",
  "info": "ByteArrayToString[ba] returns a string by decoding the data in the byte array ba, assuming UTF-8 enc"
}, {
  "label": "ByteCount",
  "type": "keyword",
  "info": "ByteCount[expr] gives the number of bytes used internally by the Wolfram System to store expr. "
}, {
  "label": "ByteOrdering",
  "type": "keyword",
  "info": "ByteOrdering is an option for BinaryRead, BinaryWrite, and related functions that specifies what ord"
}, {
  "label": "C",
  "type": "keyword",
  "info": "                                    th\nC[i] is the default form for the iï ï    parameter or constant "
}, {
  "label": "CachedValue",
  "type": "keyword",
  "info": "System`CachedValue"
}, {
  "label": "CacheGraphics",
  "type": "keyword",
  "info": "System`CacheGraphics"
}, {
  "label": "CachePersistence",
  "type": "keyword",
  "info": "CachePersistence is an option for CloudObject and related cloud functions that specifies the time du"
}, {
  "label": "CalendarConvert",
  "type": "keyword",
  "info": "CalendarConvert[date, calendar] converts the date object date to the specified calendar type calenda"
}, {
  "label": "CalendarData",
  "type": "keyword",
  "info": "CalendarData[cal] gives the default parameters associated with the date calendar cal.CalendarData[co"
}, {
  "label": "CalendarType",
  "type": "keyword",
  "info": "CalendarType is an option that determines the calendar system in which all dates are to be interpret"
}, {
  "label": "Callout",
  "type": "keyword",
  "info": "Callout[data, expr] displays expr in a plot as a callout pointing to data.Callout[data, expr, pos] d"
}, {
  "label": "CalloutMarker",
  "type": "keyword",
  "info": "CalloutMarker is an option for Callout that specifies what marker to draw at the end of the leader i"
}, {
  "label": "CalloutStyle",
  "type": "keyword",
  "info": "CalloutStyle is an option for Callout that specifies what style to use for callouts."
}, {
  "label": "CallPacket",
  "type": "keyword",
  "info": "CallPacket[integer, list] is a WSTP packet encapsulating a request to invoke the external function n"
}, {
  "label": "CanberraDistance",
  "type": "keyword",
  "info": "CanberraDistance[u, v] gives the Canberra distance between vectors u and v."
}, {
  "label": "Cancel",
  "type": "keyword",
  "info": "Cancel[expr] cancels out common factors in the numerator and denominator of expr. "
}, {
  "label": "CancelButton",
  "type": "keyword",
  "info": "CancelButton[] represents a Cancel button in a dialog that closes the dialog window when clicked.Can"
}, {
  "label": "CandlestickChart",
  "type": "keyword",
  "info": "CandlestickChart[{{date , {open , high , low , close }}, â¦}] makes a chart with candles representing"
}, {
  "label": "CanonicalGraph",
  "type": "keyword",
  "info": "CanonicalGraph[g] gives a canonical form of the graph g.CanonicalGraph[{v ï¢ w, â¦}] uses rules v ï¢ w "
}, {
  "label": "CanonicalizePolygon",
  "type": "keyword",
  "info": "CanonicalizePolygon[poly] gives a canonical representation of the polygon poly with shared coordinat"
}, {
  "label": "CanonicalizePolyhedron",
  "type": "keyword",
  "info": "CanonicalizePolyhedron[poly] gives a canonical representation of the polyhedron poly with shared coo"
}, {
  "label": "CanonicalizeRegion",
  "type": "keyword",
  "info": "CanonicalizeRegion[reg] gives a canonical representation of the region reg."
}, {
  "label": "CanonicalName",
  "type": "keyword",
  "info": "CanonicalName[entity] gives the canonical name for the entity specified by entity.CanonicalName[{ent"
}, {
  "label": "CanonicalWarpingCorrespondence",
  "type": "keyword",
  "info": "CanonicalWarpingCorrespondence[s , s ] gives the canonical time warping (CTW) correspondence between"
}, {
  "label": "CanonicalWarpingDistance",
  "type": "keyword",
  "info": "CanonicalWarpingDistance[s , s ] gives the canonical time warping (CTW) distance between sequences s"
}, {
  "label": "CantorMesh",
  "type": "keyword",
  "info": "                                                     th                                             "
}, {
  "label": "CantorStaircase",
  "type": "keyword",
  "info": "CantorStaircase[x] gives the Cantor staircase function F (x).\n                                      "
}, {
  "label": "Canvas",
  "type": "keyword",
  "info": "Canvas[] represents an empty canvas in the current notebook in which you can do free-form drawing.Ca"
}, {
  "label": "Cap",
  "type": "keyword",
  "info": "Cap[x, y, â¦] displays as x â¢ y â¢ â¦."
}, {
  "label": "CapForm",
  "type": "keyword",
  "info": "CapForm[type] is a graphics primitive that specifies what type of caps should be used at the ends of"
}, {
  "label": "CapitalDifferentialD",
  "type": "keyword",
  "info": "CapitalDifferentialD[x] displays as ï x."
}, {
  "label": "Capitalize",
  "type": "keyword",
  "info": "Capitalize[string] yields a string in which the first character has been made uppercase.Capitalize[s"
}, {
  "label": "CapsuleShape",
  "type": "keyword",
  "info": "CapsuleShape[{{x , y , z }, {x , y , z }}, r] represents the filled capsule between points {x , y , "
}, {
  "label": "CaptureRunning",
  "type": "keyword",
  "info": "CaptureRunning is an option for signal acquisition functions that specifies whether to immediately s"
}, {
  "label": "CardinalBSplineBasis",
  "type": "keyword",
  "info": "System`CardinalBSplineBasis"
}, {
  "label": "CarlemanLinearize",
  "type": "keyword",
  "info": "CarlemanLinearize[sys, spec] Carleman linearizes the nonlinear state-space model sys according to sp"
}, {
  "label": "CarlsonRC",
  "type": "keyword",
  "info": "CarlsonRC[x, y] gives the Carlson's elliptic integral R (x, y).\n                                    "
}, {
  "label": "CarlsonRD",
  "type": "keyword",
  "info": "CarlsonRD[x, y, z] gives the Carlson's elliptic integral R (x, y, z).\n                              "
}, {
  "label": "CarlsonRE",
  "type": "keyword",
  "info": "CarlsonRE[x, y] gives the Carlson's elliptic integral R (x, y).\n                                    "
}, {
  "label": "CarlsonRF",
  "type": "keyword",
  "info": "CarlsonRF[x, y, z] gives the Carlson's elliptic integral R (x, y, z).\n                              "
}, {
  "label": "CarlsonRG",
  "type": "keyword",
  "info": "CarlsonRG[x, y, z] gives the Carlson's elliptic integral R (x, y, z).\n                              "
}, {
  "label": "CarlsonRJ",
  "type": "keyword",
  "info": "CarlsonRJ[x, y, z, Ï] gives Carlson's elliptic integral R (x, y, z, Ï).\n                            "
}, {
  "label": "CarlsonRK",
  "type": "keyword",
  "info": "CarlsonRK[x, y] gives the Carlson's elliptic integral R (x, y).\n                                    "
}, {
  "label": "CarlsonRM",
  "type": "keyword",
  "info": "CarlsonRM[x, y, Ï] gives Carlson's elliptic integral R (x, y, Ï).\n                                  "
}, {
  "label": "CarmichaelLambda",
  "type": "keyword",
  "info": "CarmichaelLambda[n] gives the Carmichael function Î»(n)."
}, {
  "label": "CaseOrdering",
  "type": "keyword",
  "info": "CaseOrdering is an option for AlphabeticSort and related functions that specifies how upper versus l"
}, {
  "label": "Cases",
  "type": "keyword",
  "info": "Cases[{e , e , â¦}, pattern] gives a list of the e  that match the pattern. Cases[{e , â¦}, pattern ï¢ "
}, {
  "label": "CaseSensitive",
  "type": "keyword",
  "info": "CaseSensitive[patt] represents a string pattern that requires matching typographical case, even with"
}, {
  "label": "Cashflow",
  "type": "keyword",
  "info": "Cashflow[{c , c , â¦, c }] represents a series of cash flows occurring at unit time intervals.Cashflo"
}, {
  "label": "Casoratian",
  "type": "keyword",
  "info": "Casoratian[{y , y , â¦}, n] gives the Casoratian determinant for the sequences y , y , â¦ depending on"
}, {
  "label": "Catalan",
  "type": "keyword",
  "info": "Catalan is Catalan's constant, with numerical value â 0.915966. "
}, {
  "label": "CatalanNumber",
  "type": "keyword",
  "info": "                             th\nCatalanNumber[n] gives the nï    Catalan number C .\n                 "
}, {
  "label": "Catch",
  "type": "keyword",
  "info": "Catch[expr] returns the argument of the first Throw generated in the evaluation of expr. Catch[expr,"
}, {
  "label": "CategoricalDistribution",
  "type": "keyword",
  "info": "CategoricalDistribution[{c , c , â¦}] generates a uniform categorical distribution over classes c , c"
}, {
  "label": "Catenate",
  "type": "keyword",
  "info": "Catenate[{list , list , â¦}] yields a single list with all elements from the list  in order. Catenate"
}, {
  "label": "CatenateLayer",
  "type": "keyword",
  "info": "CatenateLayer[] represents a net layer that takes a list of input arrays and catenates them.Catenate"
}, {
  "label": "CauchyDistribution",
  "type": "keyword",
  "info": "CauchyDistribution[a, b] represents a Cauchy distribution with location parameter a and scale parame"
}, {
  "label": "CauchyPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "CauchyWindow",
  "type": "keyword",
  "info": "CauchyWindow[x] represents a Cauchy window function of x.CauchyWindow[x, Î\\[PlusMinus]] uses the parameter Î\\[PlusMinus].\n"
}, {
  "label": "CayleyGraph",
  "type": "keyword",
  "info": "CayleyGraph[group] returns a Cayley graph representation of group."
}, {
  "label": "CDF",
  "type": "keyword",
  "info": "CDF[dist, x] gives the cumulative distribution function for the distribution dist evaluated at x.CDF"
}, {
  "label": "CDFDeploy",
  "type": "keyword",
  "info": "CDFDeploy[\"file.cdf\", expr] deploys expr in a form that can be played by Wolfram Player.CDFDeploy[\"f"
}, {
  "label": "CDFInformation",
  "type": "keyword",
  "info": "CDFInformation[expr] gives a list of properties relevant to a CDF deployed with the content expr.CDF"
}, {
  "label": "CDFWavelet",
  "type": "keyword",
  "info": "CDFWavelet[] represents a CohenâDaubechiesâFeauveau wavelet of type \"9\/7\". CDFWavelet[\"type\"] repres"
}, {
  "label": "Ceiling",
  "type": "keyword",
  "info": "Ceiling[x] gives the smallest integer greater than or equal to x. Ceiling[x, a] gives the smallest m"
}, {
  "label": "CelestialSystem",
  "type": "keyword",
  "info": "CelestialSystem is an option for SunPosition, MoonPosition, and related functions that specifies the"
}, {
  "label": "Cell",
  "type": "keyword",
  "info": "Cell[contents] is the low-level representation of a cell inside a Wolfram System notebook. Cell[cont"
}, {
  "label": "CellAutoOverwrite",
  "type": "keyword",
  "info": "CellAutoOverwrite is an option for Cell which specifies whether an output cell should be overwritten"
}, {
  "label": "CellBaseline",
  "type": "keyword",
  "info": "CellBaseline is an option for Cell which specifies where the baseline of the cell should be assumed "
}, {
  "label": "CellBoundingBox",
  "type": "keyword",
  "info": "System`CellBoundingBox"
}, {
  "label": "CellBracketOptions",
  "type": "keyword",
  "info": "CellBracketOptions is an option for cells that specifies settings for cell brackets."
}, {
  "label": "CellChangeTimes",
  "type": "keyword",
  "info": "CellChangeTimes is an option to Cell that specifies when changes were made to the cell."
}, {
  "label": "CellContents",
  "type": "keyword",
  "info": "System`CellContents"
}, {
  "label": "CellContext",
  "type": "keyword",
  "info": "CellContext is an option for Cell which specifies the context to use for the evaluation of the conte"
}, {
  "label": "CellDingbat",
  "type": "keyword",
  "info": "CellDingbat is an option for Cell which specifies what dingbat to use to emphasize a cell. "
}, {
  "label": "CellDynamicExpression",
  "type": "keyword",
  "info": "CellDynamicExpression is an option for cells that specifies an expression to be dynamically updated "
}, {
  "label": "CellEditDuplicate",
  "type": "keyword",
  "info": "CellEditDuplicate is an option for Cell which specifies whether the front end should make a copy of "
}, {
  "label": "CellElementsBoundingBox",
  "type": "keyword",
  "info": "System`CellElementsBoundingBox"
}, {
  "label": "CellElementSpacings",
  "type": "keyword",
  "info": "System`CellElementSpacings"
}, {
  "label": "CellEpilog",
  "type": "keyword",
  "info": "CellEpilog is an option for Cell which gives an expression to evaluate after each ordinary evaluatio"
}, {
  "label": "CellEvaluationDuplicate",
  "type": "keyword",
  "info": "CellEvaluationDuplicate is an option for Cell which specifies whether the front end should make a co"
}, {
  "label": "CellEvaluationFunction",
  "type": "keyword",
  "info": "CellEvaluationFunction is an option for Cell that gives a function to be applied to every expression"
}, {
  "label": "CellEvaluationLanguage",
  "type": "keyword",
  "info": "System`CellEvaluationLanguage"
}, {
  "label": "CellEventActions",
  "type": "keyword",
  "info": "CellEventActions is an option for Cell that gives a list of actions to perform when specified events"
}, {
  "label": "CellFrame",
  "type": "keyword",
  "info": "CellFrame is an option for Cell that specifies whether a frame should be drawn around a cell. "
}, {
  "label": "CellFrameColor",
  "type": "keyword",
  "info": "CellFrameColor is an option that specifies the color of the frame around a cell."
}, {
  "label": "CellFrameLabelMargins",
  "type": "keyword",
  "info": "CellFrameLabelMargins is an option for cells that specifies the absolute margins in printer's points"
}, {
  "label": "CellFrameLabels",
  "type": "keyword",
  "info": "CellFrameLabels is an option that specifies the labels associated with the frame around a cell."
}, {
  "label": "CellFrameMargins",
  "type": "keyword",
  "info": "CellFrameMargins is an option for Cell that specifies the absolute margins in printerâs points to le"
}, {
  "label": "CellFrameStyle",
  "type": "keyword",
  "info": "System`CellFrameStyle"
}, {
  "label": "CellGroup",
  "type": "keyword",
  "info": "CellGroup[{cell , cell , â¦}] gives an open group of cells that can appear in a Wolfram System notebo"
}, {
  "label": "CellGroupData",
  "type": "keyword",
  "info": "CellGroupData[{cell , cell , â¦}] is a low-level construct that represents an open group of cells in "
}, {
  "label": "CellGrouping",
  "type": "keyword",
  "info": "CellGrouping is a notebook option that specifies how cells in the notebook should be assembled into "
}, {
  "label": "CellGroupingRules",
  "type": "keyword",
  "info": "CellGroupingRules is an option for cells that specifies the rules used for grouping a cell."
}, {
  "label": "CellHorizontalScrolling",
  "type": "keyword",
  "info": "CellHorizontalScrolling is an option for cells that specifies whether the contents of a cell can be "
}, {
  "label": "CellID",
  "type": "keyword",
  "info": "CellID is an option for Cell that specifies a unique ID number for a cell."
}, {
  "label": "CellInsertionPointCell",
  "type": "keyword",
  "info": "System`CellInsertionPointCell"
}, {
  "label": "CellLabel",
  "type": "keyword",
  "info": "CellLabel is an option for Cell which gives the label to use for a particular cell. "
}, {
  "label": "CellLabelAutoDelete",
  "type": "keyword",
  "info": "CellLabelAutoDelete is an option for Cell which specifies whether a label for the cell should be aut"
}, {
  "label": "CellLabelMargins",
  "type": "keyword",
  "info": "CellLabelMargins is an option for cells that specifies the absolute margins in printer's points arou"
}, {
  "label": "CellLabelPositioning",
  "type": "keyword",
  "info": "CellLabelPositioning is an option for cells that specifies where the label for a cell is positioned."
}, {
  "label": "CellLabelStyle",
  "type": "keyword",
  "info": "CellLabelStyle is an option for Cell that specifies the style to use in displaying cell labels marki"
}, {
  "label": "CellLabelTemplate",
  "type": "keyword",
  "info": "System`CellLabelTemplate"
}, {
  "label": "CellMargins",
  "type": "keyword",
  "info": "CellMargins is an option for Cell that specifies the absolute margins in printer's points to leave a"
}, {
  "label": "CellObject",
  "type": "keyword",
  "info": "CellObject[id] is an object that represents a cell in an open notebook in the front end."
}, {
  "label": "CellOpen",
  "type": "keyword",
  "info": "CellOpen is an option for Cell that specifies whether the contents of a cell should be explicitly di"
}, {
  "label": "CellPrint",
  "type": "keyword",
  "info": "CellPrint[expr] inserts expr as a complete cell in the current notebook just below the cell being ev"
}, {
  "label": "CellProlog",
  "type": "keyword",
  "info": "CellProlog is an option to Cell that gives an expression to evaluate before each ordinary evaluation"
}, {
  "label": "Cells",
  "type": "keyword",
  "info": "Cells[] returns a list of CellObject expressions corresponding to cells in the current notebook.Cell"
}, {
  "label": "CellSize",
  "type": "keyword",
  "info": "CellSize is an option for cells that specifies the width and height of an inline cell."
}, {
  "label": "CellStyle",
  "type": "keyword",
  "info": "CellStyle is a setting for functions such as NotebookFind and Cells that specifies the name of a cel"
}, {
  "label": "CellTags",
  "type": "keyword",
  "info": "CellTags is an option for Cell that gives a list of tags to associate with a cell. "
}, {
  "label": "CellTrayWidgets",
  "type": "keyword",
  "info": "System`CellTrayWidgets"
}, {
  "label": "CellularAutomaton",
  "type": "keyword",
  "info": "CellularAutomaton[rule, init, t] generates a list representing the evolution of the cellular automat"
}, {
  "label": "CensoredDistribution",
  "type": "keyword",
  "info": "CensoredDistribution[{x   , x   }, dist] represents the distribution of values that come from dist a"
}, {
  "label": "Censoring",
  "type": "keyword",
  "info": "Censoring[t, c] represents a censored event time t with censoring c.Censoring[{t , t , â¦}, c] repres"
}, {
  "label": "Center",
  "type": "keyword",
  "info": "Center is a symbol that represents the center for purposes of alignment and positioning. "
}, {
  "label": "CenterArray",
  "type": "keyword",
  "info": "CenterArray[a, n] creates a list of length n with the elements of a at the center and zeros elsewher"
}, {
  "label": "CenterDot",
  "type": "keyword",
  "info": "CenterDot[x, y, â¦] displays as x Â\\[CenterDot] y Â\\[CenterDot] â¦."
}, {
  "label": "CenteredInterval",
  "type": "keyword",
  "info": "CenteredInterval[x, dx] for real numbers x and dx gives a centered interval that contains the real i"
}, {
  "label": "CentralFeature",
  "type": "keyword",
  "info": "CentralFeature[{x , x , â¦}] gives the central feature of the elements x .CentralFeature[{x  ï¢ v , x "
}, {
  "label": "CentralMoment",
  "type": "keyword",
  "info": "                                   th                                                               "
}, {
  "label": "CentralMomentGeneratingFunction",
  "type": "keyword",
  "info": "CentralMomentGeneratingFunction[dist, t] gives the central moment-generating function for the distri"
}, {
  "label": "Cepstrogram",
  "type": "keyword",
  "info": "Cepstrogram[data] plots the array of power cepstra computed on each partition of data.Cepstrogram[da"
}, {
  "label": "CepstrogramArray",
  "type": "keyword",
  "info": "CepstrogramArray[data] computes an array of cepstra on data.CepstrogramArray[data, n] uses partition"
}, {
  "label": "CepstrumArray",
  "type": "keyword",
  "info": "CepstrumArray[data] computes the power cepstrum of data.CepstrumArray[data, type] computes the speci"
}, {
  "label": "CForm",
  "type": "keyword",
  "info": "CForm[expr] prints as a C language version of expr. "
}, {
  "label": "ChampernowneNumber",
  "type": "keyword",
  "info": "ChampernowneNumber[b] gives the base-b Champernowne number C .ChampernowneNumber[] gives the base-10"
}, {
  "label": "ChangeOptions",
  "type": "keyword",
  "info": "System`ChangeOptions"
}, {
  "label": "ChannelBase",
  "type": "keyword",
  "info": "ChannelBase is an option specifying the base URL of the server to use for brokering channel communic"
}, {
  "label": "ChannelBrokerAction",
  "type": "keyword",
  "info": "ChannelBrokerAction is an option specifying the action to execute on the channel broker server in ad"
}, {
  "label": "ChannelDatabin",
  "type": "keyword",
  "info": "System`ChannelDatabin"
}, {
  "label": "ChannelHistoryLength",
  "type": "keyword",
  "info": "ChannelHistoryLength is an option to ChannelListen that specifies the maximum number of messages to "
}, {
  "label": "ChannelListen",
  "type": "keyword",
  "info": "ChannelListen[channel] starts listening on the specified channel.ChannelListen[channel, func] applie"
}, {
  "label": "ChannelListener",
  "type": "keyword",
  "info": "ChannelListener[â¦] represents a channel listener created by ChannelListen."
}, {
  "label": "ChannelListeners",
  "type": "keyword",
  "info": "ChannelListeners[] gives a list of currently active channel listeners."
}, {
  "label": "ChannelListenerWait",
  "type": "keyword",
  "info": "System`ChannelListenerWait"
}, {
  "label": "ChannelObject",
  "type": "keyword",
  "info": "ChannelObject[] gives a new anonymous channel specification.\\!ïïRowBox[{\"ChannelObject\", \"[\", \"\"mqtt"
}, {
  "label": "ChannelPreSendFunction",
  "type": "keyword",
  "info": "System`ChannelPreSendFunction"
}, {
  "label": "ChannelReceiverFunction",
  "type": "keyword",
  "info": "ChannelReceiverFunction[fun] represents a channel receiver function that applies fun to any channel "
}, {
  "label": "ChannelSend",
  "type": "keyword",
  "info": "ChannelSend[channel, msg] sends the specified message msg to the specified channel."
}, {
  "label": "ChannelSubscribers",
  "type": "keyword",
  "info": "ChannelSubscribers[channel] gives a list of users currently subscribed to the specified channel.Chan"
}, {
  "label": "ChanVeseBinarize",
  "type": "keyword",
  "info": "ChanVeseBinarize[image] finds a two-level segmentation of image by computing optimal contours around"
}, {
  "label": "Character",
  "type": "keyword",
  "info": "Character represents a single character in Read. "
}, {
  "label": "CharacterCounts",
  "type": "keyword",
  "info": "CharacterCounts[\"string\"] gives an association whose keys are the distinct characters in string, and"
}, {
  "label": "CharacterEncoding",
  "type": "keyword",
  "info": "CharacterEncoding is an option for input and output functions which specifies what raw character enc"
}, {
  "label": "CharacterEncodingsPath",
  "type": "keyword",
  "info": "CharacterEncodingsPath is a global option that specifies which directories are searched for characte"
}, {
  "label": "CharacteristicFunction",
  "type": "keyword",
  "info": "CharacteristicFunction[dist, t] gives the characteristic function for the distribution dist as a fun"
}, {
  "label": "CharacteristicPolynomial",
  "type": "keyword",
  "info": "CharacteristicPolynomial[m, x] gives the characteristic polynomial for the matrix m. CharacteristicP"
}, {
  "label": "CharacterName",
  "type": "keyword",
  "info": "CharacterName[\"c\"] gives the name of the character c.CharacterName[n] gives the name of the characte"
}, {
  "label": "CharacterNormalize",
  "type": "keyword",
  "info": "CharacterNormalize[\"text\", form] converts the characters in text to the specified normalization form"
}, {
  "label": "CharacterRange",
  "type": "keyword",
  "info": "CharacterRange[c , c ] yields a list of the characters in the range from \"c \" to \"c \". CharacterRang"
}, {
  "label": "Characters",
  "type": "keyword",
  "info": "Characters[\"string\"] gives a list of the characters in a string. "
}, {
  "label": "ChartBaseStyle",
  "type": "keyword",
  "info": "ChartBaseStyle is an option for charting functions that specifies the base style for all chart eleme"
}, {
  "label": "ChartElementData",
  "type": "keyword",
  "info": "System`ChartElementData"
}, {
  "label": "ChartElementDataFunction",
  "type": "keyword",
  "info": "System`ChartElementDataFunction"
}, {
  "label": "ChartElementFunction",
  "type": "keyword",
  "info": "ChartElementFunction is an option for charting functions such as BarChart that gives a function to u"
}, {
  "label": "ChartElements",
  "type": "keyword",
  "info": "ChartElements is an option to charting functions such as BarChart that specifies the graphics to use"
}, {
  "label": "ChartLabels",
  "type": "keyword",
  "info": "ChartLabels is an option for charting functions that specifies what labels should be used for chart "
}, {
  "label": "ChartLayout",
  "type": "keyword",
  "info": "ChartLayout is an option to charting functions that specifies the overall layout to use."
}, {
  "label": "ChartLegends",
  "type": "keyword",
  "info": "ChartLegends is an option for charting functions that specifies what legends should be used for char"
}, {
  "label": "ChartStyle",
  "type": "keyword",
  "info": "ChartStyle is an option for charting functions that specifies styles in which chart elements should "
}, {
  "label": "Chebyshev1FilterModel",
  "type": "keyword",
  "info": "Chebyshev1FilterModel[n] creates a lowpass Chebyshev type 1 filter of order n.Chebyshev1FilterModel["
}, {
  "label": "Chebyshev2FilterModel",
  "type": "keyword",
  "info": "Chebyshev2FilterModel[n] creates a lowpass Chebyshev type 2 filter of order n.Chebyshev2FilterModel["
}, {
  "label": "ChebyshevDistance",
  "type": "keyword",
  "info": "ChebyshevDistance[u, v] gives the Chebyshev or sup norm distance between vectors u and v."
}, {
  "label": "ChebyshevT",
  "type": "keyword",
  "info": "ChebyshevT[n, x] gives the Chebyshev polynomial of the first kind T (x). \n                          "
}, {
  "label": "ChebyshevU",
  "type": "keyword",
  "info": "ChebyshevU[n, x] gives the Chebyshev polynomial of the second kind U (x). \n                         "
}, {
  "label": "Check",
  "type": "keyword",
  "info": "Check[expr, failexpr] evaluates expr, and returns the result, unless messages were generated, in whi"
}, {
  "label": "CheckAbort",
  "type": "keyword",
  "info": "CheckAbort[expr, failexpr] evaluates expr, returning failexpr if an abort occurs. "
}, {
  "label": "CheckAll",
  "type": "keyword",
  "info": "CheckAll[expr, f] evaluates expr and returns f[expr, HoldComplete[control , â¦]] where the control  e"
}, {
  "label": "CheckArguments",
  "type": "keyword",
  "info": "CheckArguments[f[args], n] gives True if args consists of exactly n positional arguments followed by"
}, {
  "label": "Checkbox",
  "type": "keyword",
  "info": "Checkbox[x] represents a checkbox with setting x, displayed as CheckboxBox[True] when x is True and "
}, {
  "label": "CheckboxBar",
  "type": "keyword",
  "info": "CheckboxBar[x, {val , val , â¦}] represents a checkbox bar with setting x and with checkboxes for val"
}, {
  "label": "CheckboxBox",
  "type": "keyword",
  "info": "System`CheckboxBox"
}, {
  "label": "CheckboxBoxOptions",
  "type": "keyword",
  "info": "CheckboxBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Checkbox"
}, {
  "label": "ChemicalData",
  "type": "keyword",
  "info": "ChemicalData[\"name\", \"property\"] gives the value of the specified property for the chemical \"name\".C"
}, {
  "label": "ChemicalFormula",
  "type": "keyword",
  "info": "ChemicalFormula[ï elem  ï¢ n , elem  ï¢ n , â¦|>] represents a chemical species with n  atoms of the el"
}, {
  "label": "ChemicalReaction",
  "type": "keyword",
  "info": "ChemicalReaction[reactants ï¢ products] represents a chemical reaction between the given reactants an"
}, {
  "label": "ChessboardDistance",
  "type": "keyword",
  "info": "ChessboardDistance[u, v] gives the chessboard, Chebyshev, or sup norm distance between vectors u and"
}, {
  "label": "ChiDistribution",
  "type": "keyword",
  "info": "ChiDistribution[Î½] represents a Ï distribution with Î½ degrees of freedom."
}, {
  "label": "ChineseRemainder",
  "type": "keyword",
  "info": "ChineseRemainder[{r , r , â¦}, {m , m , â¦}] gives the smallest x with x â¥ 0 that satisfies all the in"
}, {
  "label": "ChiSquareDistribution",
  "type": "keyword",
  "info": "                                       2\nChiSquareDistribution[Î½] represents a Ï  distribution with "
}, {
  "label": "ChoiceButtons",
  "type": "keyword",
  "info": "ChoiceButtons[] represents a pair of OK and Cancel buttons that close a dialog.ChoiceButtons[{act  ,"
}, {
  "label": "ChoiceDialog",
  "type": "keyword",
  "info": "ChoiceDialog[expr] puts up a standard choice dialog that displays expr together with OK and Cancel b"
}, {
  "label": "CholeskyDecomposition",
  "type": "keyword",
  "info": "CholeskyDecomposition[m] gives the Cholesky decomposition of a matrix m. "
}, {
  "label": "Chop",
  "type": "keyword",
  "info": "Chop[expr] replaces approximate real numbers in expr that are close to zero by the exact integer 0. "
}, {
  "label": "ChromaticityPlot",
  "type": "keyword",
  "info": "ChromaticityPlot[colspace] plots a 2D slice of the color space colspace. ChromaticityPlot[color] plo"
}, {
  "label": "ChromaticityPlot3D",
  "type": "keyword",
  "info": "ChromaticityPlot3D[colspace] returns a 3D gamut of the color space colspace.ChromaticityPlot3D[color"
}, {
  "label": "ChromaticPolynomial",
  "type": "keyword",
  "info": "ChromaticPolynomial[g, k] gives the chromatic polynomial of the graph g.ChromaticPolynomial[{v ï¢ w, "
}, {
  "label": "Circle",
  "type": "keyword",
  "info": "Circle[{x, y}, r] represents a circle of radius r centered at {x, y}.Circle[{x, y}] gives a circle o"
}, {
  "label": "CircleBox",
  "type": "keyword",
  "info": "System`CircleBox"
}, {
  "label": "CircleDot",
  "type": "keyword",
  "info": "CircleDot[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "CircleMinus",
  "type": "keyword",
  "info": "CircleMinus[x, y] displays as x â y. "
}, {
  "label": "CirclePlus",
  "type": "keyword",
  "info": "CirclePlus[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "CirclePoints",
  "type": "keyword",
  "info": "CirclePoints[n] gives the positions of n points equally spaced around the unit circle.CirclePoints[r"
}, {
  "label": "CircleThrough",
  "type": "keyword",
  "info": "CircleThrough[{p , p , â¦}] represents a circle passing through the points p .CircleThrough[{p , p , "
}, {
  "label": "CircleTimes",
  "type": "keyword",
  "info": "CircleTimes[x] displays as â x.CircleTimes[x, y, â¦] displays as x â y â â¦.\n"
}, {
  "label": "CirculantGraph",
  "type": "keyword",
  "info": "CirculantGraph[n, j] gives the circulant graph C (j) with n vertices and jump j.CirculantGraph[n, {j"
}, {
  "label": "CircularOrthogonalMatrixDistribution",
  "type": "keyword",
  "info": "CircularOrthogonalMatrixDistribution[n] represents a circular orthogonal matrix distribution with ma"
}, {
  "label": "CircularQuaternionMatrixDistribution",
  "type": "keyword",
  "info": "CircularQuaternionMatrixDistribution[n] represents a circular quaternion matrix distribution with ma"
}, {
  "label": "CircularRealMatrixDistribution",
  "type": "keyword",
  "info": "CircularRealMatrixDistribution[n] represents a circular real matrix distribution with matrix dimensi"
}, {
  "label": "CircularSymplecticMatrixDistribution",
  "type": "keyword",
  "info": "CircularSymplecticMatrixDistribution[n] represents a circular symplectic matrix distribution with ma"
}, {
  "label": "CircularUnitaryMatrixDistribution",
  "type": "keyword",
  "info": "CircularUnitaryMatrixDistribution[n] represents a circular unitary matrix distribution with matrix d"
}, {
  "label": "Circumsphere",
  "type": "keyword",
  "info": "                                                                                    n\nCircumsphere[{"
}, {
  "label": "CityData",
  "type": "keyword",
  "info": "CityData[name, \"property\"] gives the value of the specified property for the city with the specified"
}, {
  "label": "ClassifierFunction",
  "type": "keyword",
  "info": "ClassifierFunction[â¦] represents a function generated by Classify that classifies data into classes."
}, {
  "label": "ClassifierInformation",
  "type": "keyword",
  "info": "ClassifierInformation[classifier] generates a report giving information on the classifier function c"
}, {
  "label": "ClassifierMeasurements",
  "type": "keyword",
  "info": "ClassifierMeasurements[classifier, testset, prop] gives measurements associated with property prop w"
}, {
  "label": "ClassifierMeasurementsObject",
  "type": "keyword",
  "info": "ClassifierMeasurementsObject[â¦] represents an object generated by ClassifierMeasurements that can be"
}, {
  "label": "Classify",
  "type": "keyword",
  "info": "Classify[{example  ï¢ class , example  ï¢ class , â¦}] generates a ClassifierFunction[â¦] based on the e"
}, {
  "label": "ClassPriors",
  "type": "keyword",
  "info": "ClassPriors is an option for Classify and related functions that specifies explicit prior probabilit"
}, {
  "label": "Clear",
  "type": "keyword",
  "info": "Clear[symbol , symbol , â¦] clears values and definitions for the symbol . Clear[\"form \", \"form \", â¦]"
}, {
  "label": "ClearAll",
  "type": "keyword",
  "info": "ClearAll[symb , symb , â¦] clears all values, definitions, attributes, messages, and defaults associa"
}, {
  "label": "ClearAttributes",
  "type": "keyword",
  "info": "ClearAttributes[symbol, attr] removes attr from the list of attributes of the symbol symbol. ClearAt"
}, {
  "label": "ClearCookies",
  "type": "keyword",
  "info": "ClearCookies[domain] clears all persistent and session cookies associated with the specified domain."
}, {
  "label": "ClearPermissions",
  "type": "keyword",
  "info": "ClearPermissions[obj, class] clears permissions for the specified class of users for the cloud objec"
}, {
  "label": "ClearSystemCache",
  "type": "keyword",
  "info": "ClearSystemCache[] clears internal system caches of stored results.ClearSystemCache[type] clears onl"
}, {
  "label": "ClebschGordan",
  "type": "keyword",
  "info": "ClebschGordan[{j , m }, {j , m }, {j, m}] gives the ClebschâGordan coefficient for the decomposition"
}, {
  "label": "ClickPane",
  "type": "keyword",
  "info": "ClickPane[image, func] represents a clickable pane that displays as image and applies func to the x,"
}, {
  "label": "ClickToCopy",
  "type": "keyword",
  "info": "ClickToCopy[expr] represents a button that copies expr whenever it is clicked.ClickToCopy[label, exp"
}, {
  "label": "ClickToCopyEnabled",
  "type": "keyword",
  "info": "ClickToCopyEnabled is an option for Cell that specifies whether to show a click-to-copy overlay when"
}, {
  "label": "Clip",
  "type": "keyword",
  "info": "Clip[x] gives x clipped to be between -1 and +1. Clip[x, {min, max}] gives x for min â¤ x â¤ max, min "
}, {
  "label": "ClipboardNotebook",
  "type": "keyword",
  "info": "System`ClipboardNotebook"
}, {
  "label": "ClipFill",
  "type": "keyword",
  "info": "ClipFill is an option for plotting functions that specifies what should be shown where curves or sur"
}, {
  "label": "ClippingStyle",
  "type": "keyword",
  "info": "ClippingStyle is an option for plotting functions that specifies the style of what should be drawn w"
}, {
  "label": "ClipPlanes",
  "type": "keyword",
  "info": "ClipPlanes is an option to Graphics3D that specifies a list of clipping planes that can cut away por"
}, {
  "label": "ClipPlanesStyle",
  "type": "keyword",
  "info": "ClipPlanesStyle is an option to Graphics3D that specifies how clipping planes defined with the ClipP"
}, {
  "label": "ClipRange",
  "type": "keyword",
  "info": "ClipRange is an option to Raster3D that specifies a rectangular region that is cut away from the res"
}, {
  "label": "Clock",
  "type": "keyword",
  "info": "Clock[] represents a clock variable whose value cycles continuously from 0 to 1 once per second when"
}, {
  "label": "ClockGauge",
  "type": "keyword",
  "info": "ClockGauge[] draws an analog clock face showing the local time with hours, minutes, and seconds.Cloc"
}, {
  "label": "ClockwiseContourIntegral",
  "type": "keyword",
  "info": "System`ClockwiseContourIntegral"
}, {
  "label": "Close",
  "type": "keyword",
  "info": "Close[obj] closes a stream or socket. "
}, {
  "label": "Closed",
  "type": "keyword",
  "info": "System`Closed"
}, {
  "label": "CloseKernels",
  "type": "keyword",
  "info": "CloseKernels[] terminates all parallel kernels from the list Kernels[].CloseKernels[k] terminates th"
}, {
  "label": "ClosenessCentrality",
  "type": "keyword",
  "info": "ClosenessCentrality[g] gives a list of closeness centralities for the vertices in the graph g.Closen"
}, {
  "label": "Closing",
  "type": "keyword",
  "info": "Closing[image, ker] gives the morphological closing of image with respect to the structuring element"
}, {
  "label": "ClosingAutoSave",
  "type": "keyword",
  "info": "ClosingAutoSave is an option for notebooks that specifies whether a notebook is automatically saved "
}, {
  "label": "ClosingEvent",
  "type": "keyword",
  "info": "System`ClosingEvent"
}, {
  "label": "CloudAccountData",
  "type": "keyword",
  "info": "CloudAccountData[] gives data associated with the cloud account currently being used.CloudAccountDat"
}, {
  "label": "CloudBase",
  "type": "keyword",
  "info": "CloudBase is an option specifying the base URI of the server to use for cloud operations."
}, {
  "label": "CloudConnect",
  "type": "keyword",
  "info": "CloudConnect[userid, password] authenticates to the Wolfram Cloud using the specified cloud user ID "
}, {
  "label": "CloudConnections",
  "type": "keyword",
  "info": "CloudConnections[] gives a list of cloud accounts that are authenticated."
}, {
  "label": "CloudDeploy",
  "type": "keyword",
  "info": "CloudDeploy[expr] deploys expr to a new anonymous cloud object.CloudDeploy[expr, location] deploys e"
}, {
  "label": "CloudDirectory",
  "type": "keyword",
  "info": "CloudDirectory[] gives a CloudObject representing the current working directory used for cloud objec"
}, {
  "label": "CloudDisconnect",
  "type": "keyword",
  "info": "CloudDisconnect[] disconnects a non-cloud instance of the Wolfram Language from the Wolfram Cloud."
}, {
  "label": "CloudEvaluate",
  "type": "keyword",
  "info": "CloudEvaluate[expr] evaluates expr in the cloud and returns the result.CloudEvaluate[expr, h] wraps "
}, {
  "label": "CloudExport",
  "type": "keyword",
  "info": "CloudExport[expr, \"format\"] exports expr to a new anonymous cloud object in the specified format.Clo"
}, {
  "label": "CloudExpression",
  "type": "keyword",
  "info": "CloudExpression[\"name\"] represents an expression whose value is persistently stored in the cloud.htt"
}, {
  "label": "CloudExpressions",
  "type": "keyword",
  "info": "CloudExpressions[] gives a list of named cloud expressions owned by you. CloudExpressions[None] give"
}, {
  "label": "CloudFunction",
  "type": "keyword",
  "info": "CloudFunction[fun] represents a pure function that evaluates fun[args] in the cloud.CloudFunction[Cl"
}, {
  "label": "CloudGet",
  "type": "keyword",
  "info": "CloudGet[\"uri\"] reads in a cloud object at a given URI, evaluating each expression in it and returni"
}, {
  "label": "CloudImport",
  "type": "keyword",
  "info": "CloudImport[\"uri\"] imports from a cloud object at a given URI.CloudImport[\"uri\", elements] imports t"
}, {
  "label": "CloudLoggingData",
  "type": "keyword",
  "info": "CloudLoggingData[] gives summary logging data for all your cloud objects.CloudLoggingData[category] "
}, {
  "label": "CloudObject",
  "type": "keyword",
  "info": "CloudObject[] represents a new anonymous cloud object.http:\/\/â¦\"], CloudObject[\"https:\/\/â¦\"] represent"
}, {
  "label": "CloudObjectInformation",
  "type": "keyword",
  "info": "CloudObjectInformation[obj] gives information about a cloud object.\nCloudObjectInformation[{obj, ..."
}, {
  "label": "CloudObjectInformationData",
  "type": "keyword",
  "info": "System`CloudObjectInformationData"
}, {
  "label": "CloudObjectNameFormat",
  "type": "keyword",
  "info": "CloudObjectNameFormat is an option for CloudObject and related objects that determines how the name "
}, {
  "label": "CloudObjects",
  "type": "keyword",
  "info": "CloudObjects[] gives a list of cloud objects in your current cloud directory.CloudObjects[dir] gives"
}, {
  "label": "CloudObjectURLType",
  "type": "keyword",
  "info": "CloudObjectURLType is an option for CloudObject and related objects that specifies the base type of "
}, {
  "label": "CloudPublish",
  "type": "keyword",
  "info": "CloudPublish[] makes a public copy in the cloud of the current document.CloudPublish[obj] makes a pu"
}, {
  "label": "CloudPut",
  "type": "keyword",
  "info": "CloudPut[expr] writes expr to a new anonymous cloud object.CloudPut[expr, \"uri\"] writes expr to a cl"
}, {
  "label": "CloudRenderingMethod",
  "type": "keyword",
  "info": "CloudRenderingMethod is an option for Cell and Notebook that specifies how to render cells in the cl"
}, {
  "label": "CloudSave",
  "type": "keyword",
  "info": "CloudSave[symbol] saves definitions associated with the specified symbol to a new anonymous cloud ob"
}, {
  "label": "CloudShare",
  "type": "keyword",
  "info": "CloudShare[user] shares the current cloud document with the specified user.CloudShare[{user , user ,"
}, {
  "label": "CloudSubmit",
  "type": "keyword",
  "info": "CloudSubmit[expr] submits expr for immediate asynchronous cloud evaluation. CloudSubmit[ScheduledTas"
}, {
  "label": "CloudSymbol",
  "type": "keyword",
  "info": "CloudSymbol[\"name\"] represents a symbol whose value is persistently stored in the cloud.CloudSymbol["
}, {
  "label": "CloudUnshare",
  "type": "keyword",
  "info": "CloudUnshare[obj] cancels sharing of the cloud object obj with everyone.CloudUnshare[obj, users] can"
}, {
  "label": "CloudUsageData",
  "type": "keyword",
  "info": "CloudUsageData[] gives usage data for all of your cloud objects.\nCloudUsageData[\"Periods\"] lists all"
}, {
  "label": "CloudUserID",
  "type": "keyword",
  "info": "System`CloudUserID"
}, {
  "label": "ClusterClassify",
  "type": "keyword",
  "info": "ClusterClassify[data] generates a ClassifierFunction[â¦] by partitioning data into clusters of simila"
}, {
  "label": "ClusterDissimilarityFunction",
  "type": "keyword",
  "info": "ClusterDissimilarityFunction is an option for ClusteringTree and Dendrogram that specifies the inter"
}, {
  "label": "ClusteringComponents",
  "type": "keyword",
  "info": "ClusteringComponents[array] gives an array in which each element at the lowest level of array is rep"
}, {
  "label": "ClusteringTree",
  "type": "keyword",
  "info": "ClusteringTree[{e , e , â¦}] constructs a weighted tree from the hierarchical clustering of the eleme"
}, {
  "label": "CMYKColor",
  "type": "keyword",
  "info": "CMYKColor[c, m, y, k] represents a color in the CMYK color space with cyan, magenta, yellow and blac"
}, {
  "label": "Coarse",
  "type": "keyword",
  "info": "System`Coarse"
}, {
  "label": "CodeAssistOptions",
  "type": "keyword",
  "info": "CodeAssistOptions is an option for cells that specifies settings for controlling code input assistan"
}, {
  "label": "Coefficient",
  "type": "keyword",
  "info": "Coefficient[expr, form] gives the coefficient of form in the polynomial expr. Coefficient[expr, form"
}, {
  "label": "CoefficientArrays",
  "type": "keyword",
  "info": "CoefficientArrays[polys, vars] gives the arrays of coefficients of the variables vars in the polynom"
}, {
  "label": "CoefficientDomain",
  "type": "keyword",
  "info": "System`CoefficientDomain"
}, {
  "label": "CoefficientList",
  "type": "keyword",
  "info": "CoefficientList[poly, var] gives a list of coefficients of powers of var in poly, starting with powe"
}, {
  "label": "CoefficientRules",
  "type": "keyword",
  "info": "CoefficientRules[poly, {x , x , â¦}] gives the list {{e  , e  , â¦} ï¢ c , {e  , â¦} ï¢ c , â¦} of exponen"
}, {
  "label": "CoifletWavelet",
  "type": "keyword",
  "info": "CoifletWavelet[] represents a Coiflet wavelet of order 2.CoifletWavelet[n] represents a Coiflet wave"
}, {
  "label": "Collect",
  "type": "keyword",
  "info": "Collect[expr, x] collects together terms involving the same powers of objects matching x. Collect[ex"
}, {
  "label": "CollinearPoints",
  "type": "keyword",
  "info": "CollinearPoints[{p , p , p , â¦, p }] tests whether the points p , p , p , â¦, p  are collinear.\n     "
}, {
  "label": "Colon",
  "type": "keyword",
  "info": "Colon[x, y, â¦] displays as x â\\[Paragraph] y â\\[Paragraph] â¦."
}, {
  "label": "ColonForm",
  "type": "keyword",
  "info": "ColonForm[a, b] prints as a : b."
}, {
  "label": "ColorBalance",
  "type": "keyword",
  "info": "ColorBalance[image] adjusts the colors in image to achieve a balance that simulates the effect of ne"
}, {
  "label": "ColorCombine",
  "type": "keyword",
  "info": "ColorCombine[{image , image , â¦}] creates a multichannel image by combining the sequence of channels"
}, {
  "label": "ColorConvert",
  "type": "keyword",
  "info": "ColorConvert[color, colspace] converts the color space of a color to the specified color space colsp"
}, {
  "label": "ColorCoverage",
  "type": "keyword",
  "info": "ColorCoverage is an option for DominantColors that specifies the minimum image coverage that each co"
}, {
  "label": "ColorData",
  "type": "keyword",
  "info": "ColorData[\"scheme\"] gives a function that generates colors in the named color scheme when applied to"
}, {
  "label": "ColorDataFunction",
  "type": "keyword",
  "info": "ColorDataFunction[range, â¦] is a function that represents a color scheme. "
}, {
  "label": "ColorDetect",
  "type": "keyword",
  "info": "ColorDetect[image, cspec] returns a mask image representing regions in image with colors within the "
}, {
  "label": "ColorDistance",
  "type": "keyword",
  "info": "ColorDistance[c , c ] gives the approximate perceptual distance between color directives c  and c .C"
}, {
  "label": "ColorFunction",
  "type": "keyword",
  "info": "ColorFunction is an option for graphics functions that specifies a function to apply to determine co"
}, {
  "label": "ColorFunctionBinning",
  "type": "keyword",
  "info": "ColorFunctionBinning is an option for plotting functions that divides values into a limited set of b"
}, {
  "label": "ColorFunctionScaling",
  "type": "keyword",
  "info": "ColorFunctionScaling is an option for graphics functions that specifies whether arguments supplied t"
}, {
  "label": "Colorize",
  "type": "keyword",
  "info": "Colorize[m] generates an image from an integer matrix m, using colors for positive integers and blac"
}, {
  "label": "ColorNegate",
  "type": "keyword",
  "info": "ColorNegate[color] gives the negative of a color.ColorNegate[image] gives the negative of image, in "
}, {
  "label": "ColorOutput",
  "type": "keyword",
  "info": "ColorOutput is an option for graphics functions that specifies the type of color output to produce. "
}, {
  "label": "ColorProfileData",
  "type": "keyword",
  "info": "ColorProfileData[<>, \"Description\" ï¢ \"desc\", \"DeviceColorSpace\" ï¢ \"device\", \"IndependentColorSpace\" "
}, {
  "label": "ColorQ",
  "type": "keyword",
  "info": "ColorQ[color] yields True if color is a valid color directive and False otherwise."
}, {
  "label": "ColorQuantize",
  "type": "keyword",
  "info": "ColorQuantize[image] gives an approximation to image by quantizing to distinct colors.ColorQuantize["
}, {
  "label": "ColorReplace",
  "type": "keyword",
  "info": "ColorReplace[image, color] finds regions in image whose pixel values are similar to color and replac"
}, {
  "label": "ColorRules",
  "type": "keyword",
  "info": "ColorRules is an option that specifies how colors of cells should be determined from values. "
}, {
  "label": "ColorSelectorSettings",
  "type": "keyword",
  "info": "ColorSelectorSettings is a global option that specifies settings for the Color dialog box."
}, {
  "label": "ColorSeparate",
  "type": "keyword",
  "info": "ColorSeparate[image] gives a list of single-channel images corresponding to each of the color channe"
}, {
  "label": "ColorSetter",
  "type": "keyword",
  "info": "ColorSetter[color] represents a color setter which displays as a swatch of the specified color and w"
}, {
  "label": "ColorSetterBox",
  "type": "keyword",
  "info": "System`ColorSetterBox"
}, {
  "label": "ColorSetterBoxOptions",
  "type": "keyword",
  "info": "ColorSetterBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Color"
}, {
  "label": "ColorSlider",
  "type": "keyword",
  "info": "ColorSlider[color] represents a color slider currently set to the color corresponding to color.Color"
}, {
  "label": "ColorsNear",
  "type": "keyword",
  "info": "ColorsNear[color] represents a region around color.ColorsNear[color, d] represents a region with max"
}, {
  "label": "ColorSpace",
  "type": "keyword",
  "info": "ColorSpace is an option for Image and related functions that specifies the color space to which colo"
}, {
  "label": "ColorToneMapping",
  "type": "keyword",
  "info": "ColorToneMapping[image] applies a tone mapping to color values in image so as to make variations of "
}, {
  "label": "Column",
  "type": "keyword",
  "info": "Column[{expr , expr , â¦}] is an object that formats with the expr  arranged in a column, with expr  "
}, {
  "label": "ColumnAlignments",
  "type": "keyword",
  "info": "ColumnAlignments is an option for the low-level function GridBox that specifies how entries in each "
}, {
  "label": "ColumnBackgrounds",
  "type": "keyword",
  "info": "System`ColumnBackgrounds"
}, {
  "label": "ColumnForm",
  "type": "keyword",
  "info": "ColumnForm[{e , e , â¦}] prints as a column with e  above e , etc. ColumnForm[list, horiz] specifies "
}, {
  "label": "ColumnLines",
  "type": "keyword",
  "info": "ColumnLines is an option for the low-level function GridBox which specifies whether lines should be "
}, {
  "label": "ColumnsEqual",
  "type": "keyword",
  "info": "ColumnsEqual is an option for the low-level function GridBox which specifies whether all columns in "
}, {
  "label": "ColumnSpacings",
  "type": "keyword",
  "info": "ColumnSpacings is an option for the low-level function GridBox which specifies the spaces in ems tha"
}, {
  "label": "ColumnWidths",
  "type": "keyword",
  "info": "ColumnWidths is an option for the low-level function GridBox which specifies the widths to use for c"
}, {
  "label": "CombinatorB",
  "type": "keyword",
  "info": "CombinatorB represents the B combinator."
}, {
  "label": "CombinatorC",
  "type": "keyword",
  "info": "CombinatorC represents the C combinator."
}, {
  "label": "CombinatorI",
  "type": "keyword",
  "info": "CombinatorI represents the I combinator."
}, {
  "label": "CombinatorK",
  "type": "keyword",
  "info": "CombinatorK represents the K combinator."
}, {
  "label": "CombinatorS",
  "type": "keyword",
  "info": "CombinatorS represents the S combinator."
}, {
  "label": "CombinatorW",
  "type": "keyword",
  "info": "CombinatorW represents the W combinator."
}, {
  "label": "CombinatorY",
  "type": "keyword",
  "info": "CombinatorY represents the Y combinator."
}, {
  "label": "CombinedEntityClass",
  "type": "keyword",
  "info": "CombinedEntityClass[class , class , prop] represents a class of entities obtained by combining the p"
}, {
  "label": "CombinerFunction",
  "type": "keyword",
  "info": "CombinerFunction is an option for template functions that specifies how fragments should be assemble"
}, {
  "label": "CometData",
  "type": "keyword",
  "info": "CometData[entity, property] gives the value of the specified property for the comet entity.CometData"
}, {
  "label": "CommonDefaultFormatTypes",
  "type": "keyword",
  "info": "CommonDefaultFormatTypes is an option that specifies default formats for newly created cells."
}, {
  "label": "Commonest",
  "type": "keyword",
  "info": "Commonest[list] gives a list of the elements that are the most common in list.Commonest[list, n] giv"
}, {
  "label": "CommonestFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "CommonName",
  "type": "keyword",
  "info": "CommonName[entity] gives the common name for the entity specified by entity.CommonName[{entity , â¦, "
}, {
  "label": "CommonUnits",
  "type": "keyword",
  "info": "CommonUnits[{quantity , quantity , â¦, quantity }] converts quantity  through quantity  to common uni"
}, {
  "label": "CommunityBoundaryStyle",
  "type": "keyword",
  "info": "CommunityBoundaryStyle is an option to CommunityGraphPlot that specifies how to style community boun"
}, {
  "label": "CommunityGraphPlot",
  "type": "keyword",
  "info": "CommunityGraphPlot[g] generates a plot showing the community structure of the graph g.CommunityGraph"
}, {
  "label": "CommunityLabels",
  "type": "keyword",
  "info": "CommunityLabels is an option to CommunityGraphPlot that controls what labels and placement to use fo"
}, {
  "label": "CommunityRegionStyle",
  "type": "keyword",
  "info": "CommunityRegionStyle is an option to CommunityGraphPlot that specifies how to style community region"
}, {
  "label": "CompanyData",
  "type": "keyword",
  "info": "CompanyData[entity, property] gives the value of the specified property for the company entity.Compa"
}, {
  "label": "CompatibleUnitQ",
  "type": "keyword",
  "info": "CompatibleUnitQ[quantity , quantity ] returns True if quantity  and quantity  have compatible units,"
}, {
  "label": "CompilationOptions",
  "type": "keyword",
  "info": "CompilationOptions is an option for Compile that specifies settings for the compilation process. "
}, {
  "label": "CompilationTarget",
  "type": "keyword",
  "info": "CompilationTarget is an option for Compile that specifies the target runtime for the compiled functi"
}, {
  "label": "Compile",
  "type": "keyword",
  "info": "Compile[{x , x , â¦}, expr] creates a compiled function that evaluates expr assuming numerical values"
}, {
  "label": "Compiled",
  "type": "keyword",
  "info": "Compiled is an option for various numerical and plotting functions which specifies whether the expre"
}, {
  "label": "CompiledCodeFunction",
  "type": "keyword",
  "info": "CompiledCodeFunction[â¦] is a function created by FunctionCompile that contains compiled code that is"
}, {
  "label": "CompiledFunction",
  "type": "keyword",
  "info": "CompiledFunction[argsâ¦] represents compiled code for evaluating a compiled function. "
}, {
  "label": "CompiledLayer",
  "type": "keyword",
  "info": "CompiledLayer[func] represents a net layer whose computation is defined by the compilable function f"
}, {
  "label": "CompilerEnvironment",
  "type": "keyword",
  "info": "CompilerEnvironment is an option for FunctionCompile and related functions that allows definitions t"
}, {
  "label": "CompilerEnvironmentAppend",
  "type": "keyword",
  "info": "System`CompilerEnvironmentAppend"
}, {
  "label": "CompilerEnvironmentAppendTo",
  "type": "keyword",
  "info": "CompilerEnvironmentAppendTo[{def , def , â¦}] appends declarations to $CompilerEnvironment.CompilerEn"
}, {
  "label": "CompilerEnvironmentObject",
  "type": "keyword",
  "info": "CompilerEnvironmentObject represents a collection of definitions that can be included in compilation"
}, {
  "label": "CompilerOptions",
  "type": "keyword",
  "info": "CompilerOptions is an option for FunctionCompile and related functions that allows options for the c"
}, {
  "label": "Complement",
  "type": "keyword",
  "info": "Complement[e   , e , e , â¦] gives the elements in e    that are not in any of the e . \n            a"
}, {
  "label": "ComplementedEntityClass",
  "type": "keyword",
  "info": "ComplementedEntityClass[class   , class , â¦] represents an entity class containing all the entities "
}, {
  "label": "CompleteGraph",
  "type": "keyword",
  "info": "CompleteGraph[n] gives the complete graph with n vertices K .CompleteGraph[{n , n , â¦, n }] gives th"
}, {
  "label": "CompleteGraphQ",
  "type": "keyword",
  "info": "CompleteGraphQ[g] yields True if the graph g is a complete graph, and False otherwise.CompleteGraphQ"
}, {
  "label": "CompleteIntegral",
  "type": "keyword",
  "info": "CompleteIntegral[pde, u, {x , â¦, x }] gives a complete integral u for the first-order partial differ"
}, {
  "label": "CompleteKaryTree",
  "type": "keyword",
  "info": "CompleteKaryTree[n] gives the complete binary tree with n levels.CompleteKaryTree[n, k] gives the co"
}, {
  "label": "CompletionsListPacket",
  "type": "keyword",
  "info": "System`CompletionsListPacket"
}, {
  "label": "Complex",
  "type": "keyword",
  "info": "Complex is the head used for complex numbers. "
}, {
  "label": "ComplexArrayPlot",
  "type": "keyword",
  "info": "ComplexArrayPlot[array] generates a plot in which complex values z   in an array array are shown in "
}, {
  "label": "ComplexContourPlot",
  "type": "keyword",
  "info": "ComplexContourPlot[f, {z, z   , z   }] generates a filled contour plot of f as a function of z. Comp"
}, {
  "label": "Complexes",
  "type": "keyword",
  "info": "Complexes represents the domain of complex numbers, as in x â Complexes. "
}, {
  "label": "ComplexExpand",
  "type": "keyword",
  "info": "ComplexExpand[expr] expands expr assuming that all variables are real. ComplexExpand[expr, {x , x , "
}, {
  "label": "ComplexInfinity",
  "type": "keyword",
  "info": "ComplexInfinity represents a quantity with infinite magnitude, but undetermined complex phase. "
}, {
  "label": "ComplexityFunction",
  "type": "keyword",
  "info": "ComplexityFunction is an option for Simplify and other functions which gives a function to rank the "
}, {
  "label": "ComplexListPlot",
  "type": "keyword",
  "info": "ComplexListPlot[{z , z , â¦}] plots complex numbers z , z , â¦ as points in the complex plane.ComplexL"
}, {
  "label": "ComplexPlot",
  "type": "keyword",
  "info": "ComplexPlot[f, {z, z   , z   }] generates a plot of Arg[f] over the complex rectangle with corners z"
}, {
  "label": "ComplexPlot3D",
  "type": "keyword",
  "info": "ComplexPlot3D[f, {z, z   , z   }] generates a 3D plot of Abs[f] colored by Arg[f] over the complex r"
}, {
  "label": "ComplexRegionPlot",
  "type": "keyword",
  "info": "ComplexRegionPlot[pred, {z, z   , z   }] makes a plot showing the region in the complex plane for wh"
}, {
  "label": "ComplexStreamPlot",
  "type": "keyword",
  "info": "ComplexStreamPlot[f, {z, z   , z   }] generates a streamline plot of the vector field {Re[f], Im[f]}"
}, {
  "label": "ComplexVectorPlot",
  "type": "keyword",
  "info": "ComplexVectorPlot[f, {z, z   , z   }] generates a vector plot of the vector field {Re[f], Im[f]} ove"
}, {
  "label": "ComponentMeasurements",
  "type": "keyword",
  "info": "ComponentMeasurements[{image, lmat}, \"prop\"] computes the property \"prop\" for components of image in"
}, {
  "label": "ComponentwiseContextMenu",
  "type": "keyword",
  "info": "System`ComponentwiseContextMenu"
}, {
  "label": "Compose",
  "type": "keyword",
  "info": "System`Compose"
}, {
  "label": "ComposeList",
  "type": "keyword",
  "info": "ComposeList[{f , f , â¦}, x] generates a list of the form {x, f [x], f [f [x]], â¦}. \n              1 "
}, {
  "label": "ComposeSeries",
  "type": "keyword",
  "info": "ComposeSeries[series , series , â¦] composes several power series. \n                    1        2"
}, {
  "label": "CompositeQ",
  "type": "keyword",
  "info": "CompositeQ[n] yields True if n is a composite number, and yields False otherwise. "
}, {
  "label": "Composition",
  "type": "keyword",
  "info": "Composition[f , f , f , â¦] represents a composition of the functions f , f , f , â¦. \n             1 "
}, {
  "label": "CompoundElement",
  "type": "keyword",
  "info": "CompoundElement[{spec , spec , â¦}] represents a form or interpreter specification for a list of fiel"
}, {
  "label": "CompoundExpression",
  "type": "keyword",
  "info": "expr  ; expr  ; â¦ evaluates the expr  in turn, giving the last one as the result. \n    1       2    "
}, {
  "label": "CompoundPoissonDistribution",
  "type": "keyword",
  "info": "CompoundPoissonDistribution[Î», dist] represents a compound Poisson distribution with rate parameter "
}, {
  "label": "CompoundPoissonProcess",
  "type": "keyword",
  "info": "CompoundPoissonProcess[Î», jdist] represents a compound Poisson process with rate parameter Î» and jum"
}, {
  "label": "CompoundRenewalProcess",
  "type": "keyword",
  "info": "CompoundRenewalProcess[rdist, jdist] represents a compound renewal process with renewal-time distrib"
}, {
  "label": "Compress",
  "type": "keyword",
  "info": "Compress[expr] gives a compressed representation of expr as a string. "
}, {
  "label": "CompressedData",
  "type": "keyword",
  "info": "System`CompressedData"
}, {
  "label": "CompressionLevel",
  "type": "keyword",
  "info": "CompressionLevel is an option for Export and CreateArchive that specifies the amount of compression "
}, {
  "label": "ComputeUncertainty",
  "type": "keyword",
  "info": "ComputeUncertainty is an option for ClassifierMeasurements, LearnedDistribution and other functions "
}, {
  "label": "ConcaveHullMesh",
  "type": "keyword",
  "info": "ConcaveHullMesh[{p , p , â¦}] gives the concave hull mesh from the points p , p , â¦.ConcaveHullMesh[{"
}, {
  "label": "Condition",
  "type": "keyword",
  "info": "patt\/;test is a pattern which matches only if the evaluation of test yields True. lhs :> rhs\/;test r"
}, {
  "label": "ConditionalExpression",
  "type": "keyword",
  "info": "ConditionalExpression[expr, cond] is a symbolic construct that represents the expression expr when t"
}, {
  "label": "Conditioned",
  "type": "keyword",
  "info": "Conditioned[expr, cond] or expr ï cond represents expr conditioned by the predicate cond."
}, {
  "label": "Cone",
  "type": "keyword",
  "info": "Cone[{{x , y , z }, {x , y , z }}, r] represents a cone with a base of radius r centered at (x , y ,"
}, {
  "label": "ConeBox",
  "type": "keyword",
  "info": "System`ConeBox"
}, {
  "label": "ConfidenceLevel",
  "type": "keyword",
  "info": "ConfidenceLevel is an option for LinearModelFit and other fitting functions that specifies the level"
}, {
  "label": "ConfidenceRange",
  "type": "keyword",
  "info": "ConfidenceRange is an option for SurvivalModelFit and other functions that specifies the range over "
}, {
  "label": "ConfidenceTransform",
  "type": "keyword",
  "info": "ConfidenceTransform is an option for functions such as SurvivalModelFit that specifies the transform"
}, {
  "label": "ConfigurationPath",
  "type": "keyword",
  "info": "ConfigurationPath is a global option that specifies which directories are searched for systemwide co"
}, {
  "label": "Confirm",
  "type": "keyword",
  "info": "Confirm[expr] confirms that expr is not considered a failure, otherwise throwing an error to the nea"
}, {
  "label": "ConfirmAssert",
  "type": "keyword",
  "info": "ConfirmAssert[test] confirms that test is True, otherwise throwing an error to the nearest surroundi"
}, {
  "label": "ConfirmBy",
  "type": "keyword",
  "info": "ConfirmBy[expr, f] confirms that f[expr] returns True, otherwise throwing an error to the nearest su"
}, {
  "label": "ConfirmMatch",
  "type": "keyword",
  "info": "ConfirmMatch[expr, form] confirms that expr matches the pattern form, otherwise throwing an error to"
}, {
  "label": "ConfirmQuiet",
  "type": "keyword",
  "info": "ConfirmQuiet[expr] confirms that no messages are generated during the evaluation of expr, otherwise "
}, {
  "label": "ConformationMethod",
  "type": "keyword",
  "info": "ConformationMethod is an option for VideoJoin and others that specifies how to conform frames of dif"
}, {
  "label": "ConformAudio",
  "type": "keyword",
  "info": "ConformAudio[{audio , audio , â¦}] returns a list of audio objects where all audio  are made to have "
}, {
  "label": "ConformImages",
  "type": "keyword",
  "info": "ConformImages[{image , image , â¦}] returns a list of images where all image  are made to have confor"
}, {
  "label": "Congruent",
  "type": "keyword",
  "info": "Congruent[x, y, â¦] displays as x â¡ y â¡ â¦."
}, {
  "label": "ConicGradientFilling",
  "type": "keyword",
  "info": "ConicGradientFilling[{col , col , â¦, col }] is a two-dimensional graphics directive specifying that "
}, {
  "label": "ConicHullRegion",
  "type": "keyword",
  "info": "ConicHullRegion[{p , â¦, p     }] represents the m-dimensional affine hull region passing through poi"
}, {
  "label": "ConicHullRegion3DBox",
  "type": "keyword",
  "info": "System`ConicHullRegion3DBox"
}, {
  "label": "ConicHullRegionBox",
  "type": "keyword",
  "info": "System`ConicHullRegionBox"
}, {
  "label": "ConicOptimization",
  "type": "keyword",
  "info": "ConicOptimization[f, cons, vars] finds values of variables vars that minimize the linear objective f"
}, {
  "label": "Conjugate",
  "type": "keyword",
  "info": "Conjugate[z] or z ï gives the complex conjugate of the complex number z. "
}, {
  "label": "ConjugateTranspose",
  "type": "keyword",
  "info": "                          ï\nConjugateTranspose[m] or m  gives the conjugate transpose of m. "
}, {
  "label": "Conjunction",
  "type": "keyword",
  "info": "Conjunction[expr, {a , a , â¦}] gives the conjunction of expr over all choices of the Boolean variabl"
}, {
  "label": "Connect",
  "type": "keyword",
  "info": "Connect is a setting for the LinkMode option of LinkOpen.  LinkMode->Connect causes a link to be cre"
}, {
  "label": "ConnectedComponents",
  "type": "keyword",
  "info": "ConnectedComponents[g] gives the connected components of the graph g.ConnectedComponents[g, {v , v ,"
}, {
  "label": "ConnectedGraphComponents",
  "type": "keyword",
  "info": "ConnectedGraphComponents[g] gives the connected components of the graph g.ConnectedGraphComponents[g"
}, {
  "label": "ConnectedGraphQ",
  "type": "keyword",
  "info": "ConnectedGraphQ[g] yields True if the graph g is connected, and False otherwise."
}, {
  "label": "ConnectedMeshComponents",
  "type": "keyword",
  "info": "ConnectedMeshComponents[mr] gives a list {c , c , â¦} of disjoint path connected meshed regions.\n    "
}, {
  "label": "ConnectedMoleculeComponents",
  "type": "keyword",
  "info": "ConnectedMoleculeComponents[mol] gives the connected components of the molecule mol."
}, {
  "label": "ConnectedMoleculeQ",
  "type": "keyword",
  "info": "ConnectedMoleculeQ[mol] returns True if the atoms in mol form are connected by bonds, and False othe"
}, {
  "label": "ConnectionSettings",
  "type": "keyword",
  "info": "ConnectionSettings is an option for URLRead and related functions to specify advanced connection set"
}, {
  "label": "ConnectLibraryCallbackFunction",
  "type": "keyword",
  "info": "ConnectLibraryCallbackFunction[mname, cf] connects a CompiledFunction cf with the library callback m"
}, {
  "label": "ConnectSystemModelComponents",
  "type": "keyword",
  "info": "ConnectSystemModelComponents[{c  â comp , â¦}, {c  . a ï¢ c  . b, â¦}] creates a system model by connec"
}, {
  "label": "ConnectSystemModelController",
  "type": "keyword",
  "info": "ConnectSystemModelController[model, controller] connects the system model model with a controller ac"
}, {
  "label": "ConnesWindow",
  "type": "keyword",
  "info": "ConnesWindow[x] represents a Connes window function of x.ConnesWindow[x, Î\\[PlusMinus]] uses the parameter Î\\[PlusMinus].\n"
}, {
  "label": "ConoverTest",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ConservativeConvectionPDETerm",
  "type": "keyword",
  "info": "ConservativeConvectionPDETerm[vars, Î\\[PlusMinus]] represents a conservative convection term â            Â\\[CenterDot] (-Î\\[PlusMinus] "
}, {
  "label": "ConsoleMessage",
  "type": "keyword",
  "info": "ConsoleMessage[expr] prints expr as a message to the Messages window of the frontend."
}, {
  "label": "ConsoleMessagePacket",
  "type": "keyword",
  "info": "System`ConsoleMessagePacket"
}, {
  "label": "Constant",
  "type": "keyword",
  "info": "Constant is an attribute that indicates zero derivative of a symbol with respect to all parameters. "
}, {
  "label": "ConstantArray",
  "type": "keyword",
  "info": "ConstantArray[c, n] generates a list of n copies of the element c.ConstantArray[c, {n , n , â¦}] gene"
}, {
  "label": "ConstantArrayLayer",
  "type": "keyword",
  "info": "ConstantArrayLayer[] represents a layer that has no input and produces as output a constant array.Co"
}, {
  "label": "ConstantImage",
  "type": "keyword",
  "info": "ConstantImage[val, size] gives an image of the specified size with constant pixel values of val.Cons"
}, {
  "label": "ConstantPlusLayer",
  "type": "keyword",
  "info": "ConstantPlusLayer[] represents a layer that adds a learnable bias to its input.ConstantPlusLayer[opt"
}, {
  "label": "ConstantRegionQ",
  "type": "keyword",
  "info": "ConstantRegionQ[reg] gives True if the reg is a constant region and False otherwise."
}, {
  "label": "Constants",
  "type": "keyword",
  "info": "Constants is an option for Dt which gives a list of objects to be taken as constants. "
}, {
  "label": "ConstantTimesLayer",
  "type": "keyword",
  "info": "ConstantTimesLayer[] represents a layer that multiplies its input by a learnable scaling array.Const"
}, {
  "label": "ConstellationData",
  "type": "keyword",
  "info": "ConstellationData[entity, property] gives the value of the specified property for the constellation "
}, {
  "label": "ConstrainedMax",
  "type": "keyword",
  "info": "System`ConstrainedMax"
}, {
  "label": "ConstrainedMin",
  "type": "keyword",
  "info": "System`ConstrainedMin"
}, {
  "label": "Construct",
  "type": "keyword",
  "info": "Construct[f, x] gives f[x].Construct[f, x , â¦, x ] gives f[x , â¦, x ].\n                             "
}, {
  "label": "Containing",
  "type": "keyword",
  "info": "Containing[\"outer\", \"inner\"] represents an object of type outer containing objects of type inner."
}, {
  "label": "ContainsAll",
  "type": "keyword",
  "info": "ContainsAll[e , e ] yields True if e  contains all of the elements of e .ContainsAll[e ] is an opera"
}, {
  "label": "ContainsAny",
  "type": "keyword",
  "info": "ContainsAny[e , e ] yields True if e  contains any of the elements of e .ContainsAny[e ] is an opera"
}, {
  "label": "ContainsExactly",
  "type": "keyword",
  "info": "ContainsExactly[e , e ] yields True if e  contains exactly the same elements as e .ContainsExactly[e"
}, {
  "label": "ContainsNone",
  "type": "keyword",
  "info": "ContainsNone[e , e ] yields True if e  contains none of the elements in e .ContainsNone[e ] is an op"
}, {
  "label": "ContainsOnly",
  "type": "keyword",
  "info": "ContainsOnly[e , e ] yields True if e  contains only elements that appear in e .ContainsOnly[e ] is "
}, {
  "label": "ContentDetectorFunction",
  "type": "keyword",
  "info": "ContentDetectorFunction[â¦] represents a function generated by TrainImageContentDetector or TrainText"
}, {
  "label": "ContentFieldOptions",
  "type": "keyword",
  "info": "ContentFieldOptions is an option for CreateSearchIndex and related functions that allows options to "
}, {
  "label": "ContentLocationFunction",
  "type": "keyword",
  "info": "ContentLocationFunction is an option to CreateSearchIndex and related functions that specifies how t"
}, {
  "label": "ContentObject",
  "type": "keyword",
  "info": "ContentObject[\"string\"] gives a content object whose content is string.ContentObject[File[â¦]] gives "
}, {
  "label": "ContentPadding",
  "type": "keyword",
  "info": "ContentPadding is an option for objects that can be displayed with frames that specifies whether the"
}, {
  "label": "ContentsBoundingBox",
  "type": "keyword",
  "info": "System`ContentsBoundingBox"
}, {
  "label": "ContentSelectable",
  "type": "keyword",
  "info": "ContentSelectable is an option to constructs such as Inset, Graphics, and GraphicsGroup that specifi"
}, {
  "label": "ContentSize",
  "type": "keyword",
  "info": "ContentSize is an option for Manipulate and other functions that specifies the size of the content a"
}, {
  "label": "Context",
  "type": "keyword",
  "info": "Context[] gives the current context. Context[symbol] gives the context in which a symbol appears. Co"
}, {
  "label": "ContextMenu",
  "type": "keyword",
  "info": "System`ContextMenu"
}, {
  "label": "Contexts",
  "type": "keyword",
  "info": "Contexts[] gives a list of all contexts. Contexts[\"string\"] gives a list of the contexts that match "
}, {
  "label": "ContextToFileName",
  "type": "keyword",
  "info": "ContextToFileName[\"context\"] gives the string specifying the file name that is by convention associa"
}, {
  "label": "Continuation",
  "type": "keyword",
  "info": "System`Continuation"
}, {
  "label": "Continue",
  "type": "keyword",
  "info": "Continue[] exits to the nearest enclosing Do, For, or While in a procedural program. "
}, {
  "label": "ContinuedFraction",
  "type": "keyword",
  "info": "ContinuedFraction[x, n] generates a list of the first n terms in the continued fraction representati"
}, {
  "label": "ContinuedFractionK",
  "type": "keyword",
  "info": "                                                                             i                      "
}, {
  "label": "ContinuousAction",
  "type": "keyword",
  "info": "ContinuousAction is an option for Manipulate, Slider, and related functions that specifies whether a"
}, {
  "label": "ContinuousMarkovProcess",
  "type": "keyword",
  "info": "ContinuousMarkovProcess[i , q] represents a continuous-time finite-state Markov process with transit"
}, {
  "label": "ContinuousTask",
  "type": "keyword",
  "info": "ContinuousTask[expr] represents a task in which expr is continuously reevaluated.ContinuousTask[expr"
}, {
  "label": "ContinuousTimeModelQ",
  "type": "keyword",
  "info": "ContinuousTimeModelQ[lsys] gives True if lsys is a continuous-time systems model, and False otherwis"
}, {
  "label": "ContinuousWaveletData",
  "type": "keyword",
  "info": "ContinuousWaveletData[{{oct , voc } -> coef , â¦}, wave] yields a continuous wavelet data object with"
}, {
  "label": "ContinuousWaveletTransform",
  "type": "keyword",
  "info": "ContinuousWaveletTransform[{x , x , â¦}] gives the continuous wavelet transform of a list of values x"
}, {
  "label": "ContourDetect",
  "type": "keyword",
  "info": "ContourDetect[image] gives a binary image in which white pixels correspond to the zeros and zero cro"
}, {
  "label": "ContourGraphics",
  "type": "keyword",
  "info": "ContourGraphics[array] is a representation of a contour plot. "
}, {
  "label": "ContourIntegral",
  "type": "keyword",
  "info": "System`ContourIntegral"
}, {
  "label": "ContourLabels",
  "type": "keyword",
  "info": "ContourLabels is an option for contour plots that specifies how to label contours. "
}, {
  "label": "ContourLines",
  "type": "keyword",
  "info": "ContourLines is an option for contour plots that specifies whether to draw explicit contour lines. "
}, {
  "label": "ContourPlot",
  "type": "keyword",
  "info": "ContourPlot[f, {x, x   , x   }, {y, y   , y   }] generates a contour plot of f as a function of x an"
}, {
  "label": "ContourPlot3D",
  "type": "keyword",
  "info": "ContourPlot3D[f, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] produces a three-dimensional con"
}, {
  "label": "Contours",
  "type": "keyword",
  "info": "Contours is an option for contour plots that specifies the contours to draw. "
}, {
  "label": "ContourShading",
  "type": "keyword",
  "info": "ContourShading is an option for contour plots that specifies how the regions between contour lines s"
}, {
  "label": "ContourSmoothing",
  "type": "keyword",
  "info": "System`ContourSmoothing"
}, {
  "label": "ContourStyle",
  "type": "keyword",
  "info": "ContourStyle is an option for contour plots that specifies the style in which contour lines or surfa"
}, {
  "label": "ContraharmonicMean",
  "type": "keyword",
  "info": "ContraharmonicMean[list] gives the contraharmonic mean of the values in list.ContraharmonicMean[list"
}, {
  "label": "ContrastiveLossLayer",
  "type": "keyword",
  "info": "ContrastiveLossLayer[] represents a loss layer that computes a loss based on a distance metric and a"
}, {
  "label": "Control",
  "type": "keyword",
  "info": "Control[{u, dom}] represents an interactive control for the variable u in the domain dom, with the t"
}, {
  "label": "ControlActive",
  "type": "keyword",
  "info": "ControlActive[act, norm] evaluates to act if a control that affects act is actively being used, and "
}, {
  "label": "ControlAlignment",
  "type": "keyword",
  "info": "System`ControlAlignment"
}, {
  "label": "ControlGroupContentsBox",
  "type": "keyword",
  "info": "System`ControlGroupContentsBox"
}, {
  "label": "ControllabilityGramian",
  "type": "keyword",
  "info": "ControllabilityGramian[ssm] gives the controllability Gramian of the state-space model ssm."
}, {
  "label": "ControllabilityMatrix",
  "type": "keyword",
  "info": "ControllabilityMatrix[ssm] gives the controllability matrix of the state-space model ssm."
}, {
  "label": "ControllableDecomposition",
  "type": "keyword",
  "info": "ControllableDecomposition[sys] yields the controllable subsystem of the state-space model sys.Contro"
}, {
  "label": "ControllableModelQ",
  "type": "keyword",
  "info": "ControllableModelQ[sys] yields True if the state-space model sys is controllable, and False otherwis"
}, {
  "label": "ControllerDuration",
  "type": "keyword",
  "info": "System`ControllerDuration"
}, {
  "label": "ControllerInformation",
  "type": "keyword",
  "info": "ControllerInformation[] gives dynamically updated information on currently connected controller devi"
}, {
  "label": "ControllerInformationData",
  "type": "keyword",
  "info": "System`ControllerInformationData"
}, {
  "label": "ControllerLinking",
  "type": "keyword",
  "info": "ControllerLinking is an option for Manipulate, Graphics3D, Plot3D, and related functions that specif"
}, {
  "label": "ControllerManipulate",
  "type": "keyword",
  "info": "ControllerManipulate[expr, {u, u   , u   }] generates a version of expr set up to allow interactive "
}, {
  "label": "ControllerMethod",
  "type": "keyword",
  "info": "ControllerMethod is an option for Manipulate, Graphics3D, Plot3D, and related functions that specifi"
}, {
  "label": "ControllerPath",
  "type": "keyword",
  "info": "ControllerPath is an option that gives a list of external controllers or classes of controllers to t"
}, {
  "label": "ControllerState",
  "type": "keyword",
  "info": "ControllerState[\"c\"] gives the state of the control c for the first connected controller device on w"
}, {
  "label": "ControlPlacement",
  "type": "keyword",
  "info": "ControlPlacement is an option for Manipulate, TabView, and other control objects that specifies wher"
}, {
  "label": "ControlsRendering",
  "type": "keyword",
  "info": "ControlsRendering is a Style option that specifies how controls should be rendered."
}, {
  "label": "ControlType",
  "type": "keyword",
  "info": "ControlType is an option for Manipulate and related functions that specifies what type of controls s"
}, {
  "label": "ConvectionPDETerm",
  "type": "keyword",
  "info": "ConvectionPDETerm[vars, Î\.b2] represents a convection term Î\.b2 Â\\[CenterDot] â            u with convection coefficie"
}, {
  "label": "Convergents",
  "type": "keyword",
  "info": "Convergents[list] gives a list of the convergents corresponding to the continued fraction terms list"
}, {
  "label": "ConversionOptions",
  "type": "keyword",
  "info": "ConversionOptions is an option to Import and Export used to pass special options to a particular for"
}, {
  "label": "ConversionRules",
  "type": "keyword",
  "info": "ConversionRules is an option for Cell that can be set to a list of rules specifying how the contents"
}, {
  "label": "ConvertToBitmapPacket",
  "type": "keyword",
  "info": "System`ConvertToBitmapPacket"
}, {
  "label": "ConvertToPostScript",
  "type": "keyword",
  "info": "System`ConvertToPostScript"
}, {
  "label": "ConvertToPostScriptPacket",
  "type": "keyword",
  "info": "ConvertToPostScriptPacket is an internal symbol used for formatting."
}, {
  "label": "ConvexHullMesh",
  "type": "keyword",
  "info": "ConvexHullMesh[{p , p , â¦}] gives a BoundaryMeshRegion representing the convex hull from the points "
}, {
  "label": "ConvexHullRegion",
  "type": "keyword",
  "info": "ConvexHullRegion[{p , p , â¦}] gives the convex hull from the points p , p , â¦.ConvexHullRegion[reg] "
}, {
  "label": "ConvexOptimization",
  "type": "keyword",
  "info": "ConvexOptimization[f, cons, vars] finds values of variables vars that minimize the convex objective "
}, {
  "label": "ConvexPolygonQ",
  "type": "keyword",
  "info": "ConvexPolygonQ[poly] gives True if the polygon poly is convex, and False otherwise."
}, {
  "label": "ConvexPolyhedronQ",
  "type": "keyword",
  "info": "ConvexPolyhedronQ[poly] gives True if the polyhedron poly is convex, and False otherwise."
}, {
  "label": "ConvexRegionQ",
  "type": "keyword",
  "info": "ConvexRegionQ[reg] gives True if reg is a convex region and False otherwise. "
}, {
  "label": "ConvolutionLayer",
  "type": "keyword",
  "info": "ConvolutionLayer[n, s] represents a trainable convolutional net layer having n output channels and u"
}, {
  "label": "Convolve",
  "type": "keyword",
  "info": "Convolve[f, g, x, y] gives the convolution with respect to x of the expressions f and g.Convolve[f, "
}, {
  "label": "ConwayGroupCo1",
  "type": "keyword",
  "info": "ConwayGroupCo1[] represents the sporadic simple Conway group Co .\n                                  "
}, {
  "label": "ConwayGroupCo2",
  "type": "keyword",
  "info": "ConwayGroupCo2[] represents the sporadic simple Conway group Co .\n                                  "
}, {
  "label": "ConwayGroupCo3",
  "type": "keyword",
  "info": "ConwayGroupCo3[] represents the sporadic simple Conway group Co .\n                                  "
}, {
  "label": "CookieFunction",
  "type": "keyword",
  "info": "CookieFunction is an option for URLRead, HTTPRequest, and related functions that gives a function to"
}, {
  "label": "Cookies",
  "type": "keyword",
  "info": "System`Cookies"
}, {
  "label": "CoordinateBoundingBox",
  "type": "keyword",
  "info": "CoordinateBoundingBox[coords] gives the corners {{x   , y   , â¦}, {x   , y   , â¦}} of the bounding b"
}, {
  "label": "CoordinateBoundingBoxArray",
  "type": "keyword",
  "info": "CoordinateBoundingBoxArray[{{x   , y   , â¦}, {x   , y   , â¦}}] generates an array of {x, y, â¦} coord"
}, {
  "label": "CoordinateBounds",
  "type": "keyword",
  "info": "CoordinateBounds[coords] gives a list {{x   , x   }, {y   , y   }, â¦} of the bounds in each dimensio"
}, {
  "label": "CoordinateBoundsArray",
  "type": "keyword",
  "info": "CoordinateBoundsArray[{{x   , x   }, {y   , y   }, â¦}] generates an array of {x, y, â¦} coordinates w"
}, {
  "label": "CoordinateChartData",
  "type": "keyword",
  "info": "CoordinateChartData[chart, property] gives the value of the specified property for chart.CoordinateC"
}, {
  "label": "CoordinatesToolOptions",
  "type": "keyword",
  "info": "CoordinatesToolOptions is an option for Graphics that gives values of options associated with the Ge"
}, {
  "label": "CoordinateTransform",
  "type": "keyword",
  "info": "CoordinateTransform[t, pt] performs the coordinate transformation t on the point pt.CoordinateTransf"
}, {
  "label": "CoordinateTransformData",
  "type": "keyword",
  "info": "CoordinateTransformData[t, property] gives the value of the specified property for the coordinate tr"
}, {
  "label": "CoplanarPoints",
  "type": "keyword",
  "info": "CoplanarPoints[{p , p , p , p , â¦, p }] tests whether the points p , p , p , p , â¦, p  are coplanar."
}, {
  "label": "CoprimeQ",
  "type": "keyword",
  "info": "CoprimeQ[n , n ] yields True if n  and n  are relatively prime, and yields False otherwise. CoprimeQ"
}, {
  "label": "Coproduct",
  "type": "keyword",
  "info": "Coproduct[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "CopulaDistribution",
  "type": "keyword",
  "info": "CopulaDistribution[ker, {dist , dist , â¦}] represents a copula distribution with kernel distribution"
}, {
  "label": "Copyable",
  "type": "keyword",
  "info": "Copyable is an option for Cell that specifies whether a cell can be copied interactively using the f"
}, {
  "label": "CopyDatabin",
  "type": "keyword",
  "info": "CopyDatabin[bin] creates a copy of a databin.CopyDatabin[bin, options] creates a copy with the speci"
}, {
  "label": "CopyDirectory",
  "type": "keyword",
  "info": "CopyDirectory[dir , dir ] copies the directory dir  to dir . \n                 1     2              "
}, {
  "label": "CopyFile",
  "type": "keyword",
  "info": "CopyFile[file , file ] copies from the local, remote or cloud file file  to the local, remote or clo"
}, {
  "label": "CopyFunction",
  "type": "keyword",
  "info": "CopyFunction is an option for TemplateBox that specifies how the box is to be copied."
}, {
  "label": "CopyTag",
  "type": "keyword",
  "info": "System`CopyTag"
}, {
  "label": "CopyToClipboard",
  "type": "keyword",
  "info": "CopyToClipboard[expr] replaces the contents of the clipboard with expr."
}, {
  "label": "CoreNilpotentDecomposition",
  "type": "keyword",
  "info": "CoreNilpotentDecomposition[m] yields the core-nilpotent decomposition of a square matrix m."
}, {
  "label": "CornerFilter",
  "type": "keyword",
  "info": "CornerFilter[image] computes a measure for the presence of a corner for each pixel in image and retu"
}, {
  "label": "CornerNeighbors",
  "type": "keyword",
  "info": "CornerNeighbors is an option for various array and image processing functions that specifies whether"
}, {
  "label": "Correlation",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "CorrelationDistance",
  "type": "keyword",
  "info": "CorrelationDistance[u, v] gives the correlation coefficient distance between vectors u and v."
}, {
  "label": "CorrelationFunction",
  "type": "keyword",
  "info": "CorrelationFunction[data, hspec] estimates the correlation function at lags hspec from data.Correlat"
}, {
  "label": "CorrelationTest",
  "type": "keyword",
  "info": "CorrelationTest[{{x , y }, {x , y }, â¦}] tests whether the correlation coefficient for a bivariate p"
}, {
  "label": "Cos",
  "type": "keyword",
  "info": "Cos[z] gives the cosine of z. "
}, {
  "label": "Cosh",
  "type": "keyword",
  "info": "Cosh[z] gives the hyperbolic cosine of z. "
}, {
  "label": "CoshIntegral",
  "type": "keyword",
  "info": "CoshIntegral[z] gives the hyperbolic cosine integral Chi(z)."
}, {
  "label": "CosineDistance",
  "type": "keyword",
  "info": "CosineDistance[u, v] gives the angular cosine distance between vectors u and v."
}, {
  "label": "CosineWindow",
  "type": "keyword",
  "info": "CosineWindow[x] represents a cosine window function of x.CosineWindow[x, Î\\[PlusMinus]] uses the exponent Î\\[PlusMinus].\n"
}, {
  "label": "CosIntegral",
  "type": "keyword",
  "info": "CosIntegral[z] gives the cosine integral function Ci(z). "
}, {
  "label": "Cot",
  "type": "keyword",
  "info": "Cot[z] gives the cotangent of z. "
}, {
  "label": "Coth",
  "type": "keyword",
  "info": "Coth[z] gives the hyperbolic cotangent of z. "
}, {
  "label": "CoulombF",
  "type": "keyword",
  "info": "CoulombF[l, Î\\[CenterDot], r] gives the regular Coulomb wavefunction F (Î\\[CenterDot], r).\n                                 "
}, {
  "label": "CoulombG",
  "type": "keyword",
  "info": "CoulombG[l, Î\\[CenterDot], r] gives the irregular Coulomb wavefunction G (Î\\[CenterDot], r).\n                               "
}, {
  "label": "CoulombH1",
  "type": "keyword",
  "info": "                                                                      (+)\nCoulombH1[l, Î\\[CenterDot], r] gives t"
}, {
  "label": "CoulombH2",
  "type": "keyword",
  "info": "                                                                      (-)\nCoulombH2[l, Î\\[CenterDot], r] gives t"
}, {
  "label": "Count",
  "type": "keyword",
  "info": "Count[list, pattern] gives the number of elements in list that match pattern. Count[expr, pattern, l"
}, {
  "label": "CountDistinct",
  "type": "keyword",
  "info": "CountDistinct[list] gives the number of distinct elements that appear in list."
}, {
  "label": "CountDistinctBy",
  "type": "keyword",
  "info": "CountDistinctBy[{e , e , â¦}, f] gives the number of distinct values of f[e ] that occur.CountDistinc"
}, {
  "label": "CounterAssignments",
  "type": "keyword",
  "info": "CounterAssignments is an option for selections that sets the value of a specified counter."
}, {
  "label": "CounterBox",
  "type": "keyword",
  "info": "System`CounterBox"
}, {
  "label": "CounterBoxOptions",
  "type": "keyword",
  "info": "CounterBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for CounterBo"
}, {
  "label": "CounterClockwiseContourIntegral",
  "type": "keyword",
  "info": "System`CounterClockwiseContourIntegral"
}, {
  "label": "CounterEvaluator",
  "type": "keyword",
  "info": "System`CounterEvaluator"
}, {
  "label": "CounterFunction",
  "type": "keyword",
  "info": "CounterFunction is an option for counters that specifies the symbols used to display the value of th"
}, {
  "label": "CounterIncrements",
  "type": "keyword",
  "info": "CounterIncrements is an option for selections that specifies whether the value of a specified counte"
}, {
  "label": "CounterStyle",
  "type": "keyword",
  "info": "System`CounterStyle"
}, {
  "label": "CounterStyleMenuListing",
  "type": "keyword",
  "info": "CounterStyleMenuListing is an option for cells that specifies what counter styles are listed in the "
}, {
  "label": "CountRoots",
  "type": "keyword",
  "info": "CountRoots[f, x] gives the number of real roots of the univariate function f in x.CountRoots[f, {x, "
}, {
  "label": "CountryData",
  "type": "keyword",
  "info": "CountryData[\"tag\", property] gives the value of the specified property for the country, country-like"
}, {
  "label": "Counts",
  "type": "keyword",
  "info": "Counts[list] gives an association whose keys are the distinct elements of list, and whose values giv"
}, {
  "label": "CountsBy",
  "type": "keyword",
  "info": "CountsBy[{e , e , â¦}, f] gives an association whose keys are the distinct values of the f[e ], and w"
}, {
  "label": "Covariance",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "CovarianceEstimatorFunction",
  "type": "keyword",
  "info": "CovarianceEstimatorFunction is an option for generalized linear model fitting functions that specifi"
}, {
  "label": "CovarianceFunction",
  "type": "keyword",
  "info": "CovarianceFunction[data, hspec] estimates the covariance function at lags hspec from data.Covariance"
}, {
  "label": "CoxianDistribution",
  "type": "keyword",
  "info": "CoxianDistribution[{Î\\[PlusMinus] , â¦, Î\\[PlusMinus]     }, {Î» , â¦, Î» }] represent an m-phase Coxian distribution with phase"
}, {
  "label": "CoxIngersollRossProcess",
  "type": "keyword",
  "info": "CoxIngersollRossProcess[Î¼, Ï, Î¸, x ] represents a CoxâIngersollâRoss process with longâterm mean Î¼, "
}, {
  "label": "CoxModel",
  "type": "keyword",
  "info": "CoxModel[â¦] represents the symbolic proportional hazards model obtained from CoxModelFit."
}, {
  "label": "CoxModelFit",
  "type": "keyword",
  "info": "CoxModelFit[{e , â¦, e }] constructs a model of the baseline hazard h (t) for events times e .CoxMode"
}, {
  "label": "CramerVonMisesTest",
  "type": "keyword",
  "info": "CramerVonMisesTest[data] tests whether data is normally distributed using the CramÃ©râvon Mises test."
}, {
  "label": "CreateArchive",
  "type": "keyword",
  "info": "CreateArchive[source] creates a compressed archive in the current directory from source.CreateArchiv"
}, {
  "label": "CreateCellID",
  "type": "keyword",
  "info": "CreateCellID is an option for Notebook that specifies whether to assign a CellID to cells created in"
}, {
  "label": "CreateChannel",
  "type": "keyword",
  "info": "CreateChannel[] creates a new channel for channel communication, with a generated name.CreateChannel"
}, {
  "label": "CreateCloudExpression",
  "type": "keyword",
  "info": "CreateCloudExpression[value] creates a new anonymous cloud expression that stores the specified init"
}, {
  "label": "CreateCompilerEnvironment",
  "type": "keyword",
  "info": "CreateCompilerEnvironment[] creates a compiler environment that can be used in FunctionCompile and r"
}, {
  "label": "CreateDatabin",
  "type": "keyword",
  "info": "CreateDatabin[] creates a databin in the Wolfram Data Drop and returns the corresponding Databin obj"
}, {
  "label": "CreateDataStructure",
  "type": "keyword",
  "info": "CreateDataStructure[\"type\", arg , arg , â¦] creates a data structure with the specified type.\n       "
}, {
  "label": "CreateDataSystemModel",
  "type": "keyword",
  "info": "CreateDataSystemModel[{v , v , â¦}] creates a SystemModel generating a signal of values v . CreateDat"
}, {
  "label": "CreateDialog",
  "type": "keyword",
  "info": "CreateDialog[expr] creates a dialog notebook containing expr and opens it in the front end.CreateDia"
}, {
  "label": "CreateDirectory",
  "type": "keyword",
  "info": "CreateDirectory[\"dir\"] creates a directory with name dir. CreateDirectory[] creates a directory in t"
}, {
  "label": "CreateDocument",
  "type": "keyword",
  "info": "CreateDocument[] creates an empty document notebook and opens it in the front end.CreateDocument[exp"
}, {
  "label": "CreateFile",
  "type": "keyword",
  "info": "CreateFile[\"file\"] creates a file with name file. CreateFile[] creates a file in the default area fo"
}, {
  "label": "CreateIntermediateDirectories",
  "type": "keyword",
  "info": "CreateIntermediateDirectories is an option for CreateDirectory and related functions that specifies "
}, {
  "label": "CreateLicenseEntitlement",
  "type": "keyword",
  "info": "CreateLicenseEntitlement[settings] creates an on-demand license entitlement using settings.CreateLic"
}, {
  "label": "CreateManagedLibraryExpression",
  "type": "keyword",
  "info": "CreateManagedLibraryExpression[mname, f] creates a managed library expression by applying f to a pos"
}, {
  "label": "CreateNotebook",
  "type": "keyword",
  "info": "CreateNotebook[] creates a generic empty notebook and opens it in the front end.CreateNotebook[\"type"
}, {
  "label": "CreatePacletArchive",
  "type": "keyword",
  "info": "CreatePacletArchive[source] creates a paclet archive file from source.CreatePacletArchive[source, de"
}, {
  "label": "CreatePalette",
  "type": "keyword",
  "info": "CreatePalette[expr] creates a palette notebook containing expr, and opens it in the front end.Create"
}, {
  "label": "CreatePalettePacket",
  "type": "keyword",
  "info": "System`CreatePalettePacket"
}, {
  "label": "CreatePermissionsGroup",
  "type": "keyword",
  "info": "CreatePermissionsGroup[\"name\"] creates a permissions group with the specified name.CreatePermissions"
}, {
  "label": "CreateScheduledTask",
  "type": "keyword",
  "info": "CreateScheduledTask[expr] creates a local scheduled task that will repeatedly evaluate expr once per"
}, {
  "label": "CreateSearchIndex",
  "type": "keyword",
  "info": "CreateSearchIndex[dir] creates a search index from all files in the directory dir and its subdirecto"
}, {
  "label": "CreateSystemModel",
  "type": "keyword",
  "info": "CreateSystemModel[sys] creates a Modelica SystemModel from the systems model sys. CreateSystemModel["
}, {
  "label": "CreateTemporary",
  "type": "keyword",
  "info": "CreateTemporary[] creates a temporary file with a unique name in the default temporary directory and"
}, {
  "label": "CreateUUID",
  "type": "keyword",
  "info": "CreateUUID[] creates a random, universally unique UUID string.CreateUUID[\"base\"] appends a UUID stri"
}, {
  "label": "CreateWindow",
  "type": "keyword",
  "info": "CreateWindow[] creates an empty window in the front end.CreateWindow[expr] creates a window displayi"
}, {
  "label": "CriterionFunction",
  "type": "keyword",
  "info": "CriterionFunction is an option in functions such as ClusterClassify that specifies the criterion to "
}, {
  "label": "CriticalityFailureImportance",
  "type": "keyword",
  "info": "CriticalityFailureImportance[rdist, t] gives the criticality failure importances for all components "
}, {
  "label": "CriticalitySuccessImportance",
  "type": "keyword",
  "info": "CriticalitySuccessImportance[rdist, t] gives the criticality success importances for all components "
}, {
  "label": "CriticalSection",
  "type": "keyword",
  "info": "CriticalSection[var, expr] locks the variable var with respect to parallel computation, evaluates ex"
}, {
  "label": "Cross",
  "type": "keyword",
  "info": "Cross[a, b] gives the vector cross product of a and b. "
}, {
  "label": "CrossEntropyLossLayer",
  "type": "keyword",
  "info": "CrossEntropyLossLayer[\"Index\"] represents a net layer that computes the cross-entropy loss by compar"
}, {
  "label": "CrossingCount",
  "type": "keyword",
  "info": "CrossingCount[contour, p] gives a count of the number of times a ray starting from the point p cross"
}, {
  "label": "CrossingDetect",
  "type": "keyword",
  "info": "CrossingDetect[image] gives a binary image in which white pixels correspond to the zero crossings in"
}, {
  "label": "CrossingPolygon",
  "type": "keyword",
  "info": "CrossingPolygon[{p , p , â¦, p }] gives a Polygon representing all points for which a ray from the po"
}, {
  "label": "CrossMatrix",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Csc",
  "type": "keyword",
  "info": "Csc[z] gives the cosecant of z. "
}, {
  "label": "Csch",
  "type": "keyword",
  "info": "Csch[z] gives the hyperbolic cosecant of z. "
}, {
  "label": "CSGRegion",
  "type": "keyword",
  "info": "CSGRegion[\"op\", {reg , reg , â¦}] represents the solid region corresponding to the Boolean combinatio"
}, {
  "label": "CSGRegionQ",
  "type": "keyword",
  "info": "CSGRegionQ[reg] yields True if the region reg is a valid CSGRegion object and False otherwise."
}, {
  "label": "CSGRegionTree",
  "type": "keyword",
  "info": "CSGRegionTree[reg] gives the tree expression representing the CSG region reg."
}, {
  "label": "CTCLossLayer",
  "type": "keyword",
  "info": "CTCLossLayer[] represents a net layer that computes the connectionist temporal classification loss b"
}, {
  "label": "Cube",
  "type": "keyword",
  "info": "Cube[] represents a regular cube centered at the origin with unit edge length.Cube[l] represents a c"
}, {
  "label": "CubeRoot",
  "type": "keyword",
  "info": "CubeRoot[x] gives the real-valued cube root of x."
}, {
  "label": "Cubics",
  "type": "keyword",
  "info": "Cubics is an option for functions that involve solving algebraic equations, that specifies whether e"
}, {
  "label": "Cuboid",
  "type": "keyword",
  "info": "Cuboid[p   ] represents a unit hypercube with its lower corner at p   .Cuboid[p   , p   ] represents"
}, {
  "label": "CuboidBox",
  "type": "keyword",
  "info": "System`CuboidBox"
}, {
  "label": "Cumulant",
  "type": "keyword",
  "info": "                              th                                                                 th "
}, {
  "label": "CumulantGeneratingFunction",
  "type": "keyword",
  "info": "CumulantGeneratingFunction[dist, t] gives the cumulant-generating function for the distribution dist"
}, {
  "label": "Cup",
  "type": "keyword",
  "info": "Cup[x, y, â¦] displays as x â£ y â£ â¦."
}, {
  "label": "CupCap",
  "type": "keyword",
  "info": "CupCap[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Curl",
  "type": "keyword",
  "info": "Curl[{f , f }, {x , x }] gives the curl â f \/â x  - â f \/â x .Curl[{f , f , f }, {x , x , x }] gives"
}, {
  "label": "CurlyDoubleQuote",
  "type": "keyword",
  "info": "System`CurlyDoubleQuote"
}, {
  "label": "CurlyQuote",
  "type": "keyword",
  "info": "System`CurlyQuote"
}, {
  "label": "CurrencyConvert",
  "type": "keyword",
  "info": "CurrencyConvert[quantity, target] attempts to convert the specified currency quantity to the specifi"
}, {
  "label": "CurrentDate",
  "type": "keyword",
  "info": "CurrentDate[gran] gives the current date of the specified granularity type gran.CurrentDate[date, gr"
}, {
  "label": "CurrentImage",
  "type": "keyword",
  "info": "CurrentImage[] returns the current image captured from a connected camera.CurrentImage[n] returns n "
}, {
  "label": "CurrentlySpeakingPacket",
  "type": "keyword",
  "info": "System`CurrentlySpeakingPacket"
}, {
  "label": "CurrentNotebookImage",
  "type": "keyword",
  "info": "CurrentNotebookImage[nb] returns an image captured from the portion of the notebook nb that appears "
}, {
  "label": "CurrentScreenImage",
  "type": "keyword",
  "info": "CurrentScreenImage[] returns an image captured from all current display screens on your computer. Cu"
}, {
  "label": "CurrentValue",
  "type": "keyword",
  "info": "CurrentValue[item] gives the current value of item at a location in the Wolfram System and interface"
}, {
  "label": "Curry",
  "type": "keyword",
  "info": "Curry[f, n] represents an operator form of the function f of n arguments so that Curry[f, n][x ] â¦[x"
}, {
  "label": "CurryApplied",
  "type": "keyword",
  "info": "CurryApplied[f, n] represents an operator form of the function f of n arguments so that CurryApplied"
}, {
  "label": "CurvatureFlowFilter",
  "type": "keyword",
  "info": "CurvatureFlowFilter[image] applies a mean curvature flow filter to image.CurvatureFlowFilter[image, "
}, {
  "label": "CurveClosed",
  "type": "keyword",
  "info": "CurveClosed is an option for JoinedCurve that specifies whether individual curve components should b"
}, {
  "label": "Cyan",
  "type": "keyword",
  "info": "Cyan represents the color cyan in graphics or style specifications. "
}, {
  "label": "CycleGraph",
  "type": "keyword",
  "info": "CycleGraph[n] gives the cycle graph with n vertices C .\n                                            "
}, {
  "label": "CycleIndexPolynomial",
  "type": "keyword",
  "info": "CycleIndexPolynomial[perm, {x , â¦, x }] constructs the cycle index monomial of the permutation perm "
}, {
  "label": "Cycles",
  "type": "keyword",
  "info": "Cycles[{cyc , cyc , â¦}] represents a permutation with disjoint cycles cyc .\n           1     2      "
}, {
  "label": "CyclicGroup",
  "type": "keyword",
  "info": "CyclicGroup[n] represents the cyclic group of degree n."
}, {
  "label": "Cyclotomic",
  "type": "keyword",
  "info": "                             th\nCyclotomic[n, x] gives the nï    cyclotomic polynomial in x. "
}, {
  "label": "Cylinder",
  "type": "keyword",
  "info": "Cylinder[{{x , y , z }, {x , y , z }}, r] represents a cylinder of radius r around the line from (x "
}, {
  "label": "CylinderBox",
  "type": "keyword",
  "info": "System`CylinderBox"
}, {
  "label": "CylindricalDecomposition",
  "type": "keyword",
  "info": "CylindricalDecomposition[expr, {x , x , â¦}] finds a decomposition of the region represented by the s"
}, {
  "label": "CylindricalDecompositionFunction",
  "type": "keyword",
  "info": "CylindricalDecompositionFunction[data][x , x , â¦] represents a cylindrical algebraic formula in x , "
}, {
  "label": "C$",
  "type": "keyword",
  "info": "System`C$"
}, {
  "label": "D",
  "type": "keyword",
  "info": "                                                                                          n      n  "
}, {
  "label": "DagumDistribution",
  "type": "keyword",
  "info": "DagumDistribution[p, a, b] represents a Dagum distribution with shape parameters p and a and scale p"
}, {
  "label": "DamData",
  "type": "keyword",
  "info": "DamData[entity, property] gives the value of the specified property for the dam entity.DamData[{enti"
}, {
  "label": "DamerauLevenshteinDistance",
  "type": "keyword",
  "info": "DamerauLevenshteinDistance[u, v] gives the DamerauâLevenshtein distance between strings or vectors u"
}, {
  "label": "DampingFactor",
  "type": "keyword",
  "info": "DampingFactor is an option for FindRoot, which can be used to control convergence behavior. DampingF"
}, {
  "label": "Darker",
  "type": "keyword",
  "info": "Darker[color] represents a darker version of the specified color. Darker[color, f] represents a vers"
}, {
  "label": "Dashed",
  "type": "keyword",
  "info": "Dashed is a graphics directive specifying that lines that follow should be drawn dashed."
}, {
  "label": "Dashing",
  "type": "keyword",
  "info": "Dashing[{r , r , â¦}] is a two-dimensional graphics directive specifying that lines that follow are t"
}, {
  "label": "DatabaseConnect",
  "type": "keyword",
  "info": "DatabaseConnect[db] activates a connection to the database db."
}, {
  "label": "DatabaseDisconnect",
  "type": "keyword",
  "info": "DatabaseDisconnect[db] deactivates a connection to the database db. "
}, {
  "label": "DatabaseReference",
  "type": "keyword",
  "info": "DatabaseReference[File[\"filename\"]] represents a reference to a local file-based SQL database.Databa"
}, {
  "label": "Databin",
  "type": "keyword",
  "info": "Databin[\"id\"] represents a databin in the Wolfram Data Drop.Databin[\"id\", n] represents the first n "
}, {
  "label": "DatabinAdd",
  "type": "keyword",
  "info": "DatabinAdd[bin, data] adds the specified data to a databin."
}, {
  "label": "DatabinRemove",
  "type": "keyword",
  "info": "                                    th\nDatabinRemove[bin, i] removes the iï   entry from a databin.Da"
}, {
  "label": "Databins",
  "type": "keyword",
  "info": "Databins[] gives a list of databins associated with the currently connected user."
}, {
  "label": "DatabinSubmit",
  "type": "keyword",
  "info": "DatabinSubmit[bin, data] submits the specified data to be added to the databin bin asynchronously."
}, {
  "label": "DatabinUpload",
  "type": "keyword",
  "info": "DatabinUpload[bin, {entry , entry , â¦}] bulk uploads all the entries entry  to a databin.DatabinUplo"
}, {
  "label": "DataCompression",
  "type": "keyword",
  "info": "System`DataCompression"
}, {
  "label": "DataDistribution",
  "type": "keyword",
  "info": "DataDistribution[ddist, â¦] represents a probability distribution of type ddist, estimated from a set"
}, {
  "label": "DataRange",
  "type": "keyword",
  "info": "DataRange is an option for functions such as ListPlot and ListDensityPlot that specifies what range "
}, {
  "label": "DataReversed",
  "type": "keyword",
  "info": "DataReversed is an option for ArrayPlot and related functions that specifies whether data should be "
}, {
  "label": "Dataset",
  "type": "keyword",
  "info": "Dataset[data] represents a structured dataset based on a hierarchy of lists and associations."
}, {
  "label": "DatasetDisplayPanel",
  "type": "keyword",
  "info": "System`DatasetDisplayPanel"
}, {
  "label": "DatasetTheme",
  "type": "keyword",
  "info": "DatasetTheme is an option for Dataset that specifies an overall theme for a dataset and its elements"
}, {
  "label": "DataStructure",
  "type": "keyword",
  "info": "DataStructure[\"type\", data] represents a data structure."
}, {
  "label": "DataStructureQ",
  "type": "keyword",
  "info": "DataStructureQ[ds] yields True if ds is a valid data structure and False otherwise.DataStructureQ[ds"
}, {
  "label": "Date",
  "type": "keyword",
  "info": "Date[] gives the current local date and time in the form {year, month, day, hour, minute, second}. "
}, {
  "label": "DateBounds",
  "type": "keyword",
  "info": "DateBounds[{date , date , â¦}] gives the earliest and latest of the date .DateBounds[tseries] gives t"
}, {
  "label": "Dated",
  "type": "keyword",
  "info": "Dated[obj, year] represents the object obj associated with a particular year.Dated[obj, date] repres"
}, {
  "label": "DateDelimiters",
  "type": "keyword",
  "info": "System`DateDelimiters"
}, {
  "label": "DateDifference",
  "type": "keyword",
  "info": "DateDifference[date , date ] gives the number of days from date  to date .DateDifference[date , date"
}, {
  "label": "DatedUnit",
  "type": "keyword",
  "info": "DatedUnit[unit, date] represents the specified unit at a specific date."
}, {
  "label": "DateFormat",
  "type": "keyword",
  "info": "DateFormat is an option that determines the date formatting of dates."
}, {
  "label": "DateFunction",
  "type": "keyword",
  "info": "DateFunction is an option for DateListPlot and TemporalData that specifies how dates given as input "
}, {
  "label": "DateHistogram",
  "type": "keyword",
  "info": "DateHistogram[{date , date , â¦}] plots a histogram of the dates date .DateHistogram[{date , date , â¦"
}, {
  "label": "DateInterval",
  "type": "keyword",
  "info": "DateInterval[{start, end}] represents the continuous interval of time between start and end.DateInte"
}, {
  "label": "DateList",
  "type": "keyword",
  "info": "DateList[] gives the current local date and time in the form {year, month, day, hour, minute, second"
}, {
  "label": "DateListLogPlot",
  "type": "keyword",
  "info": "DateListLogPlot[{{date , v }, {date , v }, â¦}] makes a log plot with values v  at a sequence of date"
}, {
  "label": "DateListPlot",
  "type": "keyword",
  "info": "DateListPlot[{{date , v }, {date , v }, â¦, {date , v }}] plots points with values v  at a sequence o"
}, {
  "label": "DateListStepPlot",
  "type": "keyword",
  "info": "DateListStepPlot[{{date , v }, {date , v }, â¦}] plots the values v  in steps at a sequence of dates."
}, {
  "label": "DateObject",
  "type": "keyword",
  "info": "DateObject[] gives the current local date.DateObject[date] gives a date object corresponding to the "
}, {
  "label": "DateObjectQ",
  "type": "keyword",
  "info": "DateObjectQ[expr] gives True if expr is a DateObject with valid arguments, and False otherwise."
}, {
  "label": "DateOverlapsQ",
  "type": "keyword",
  "info": "DateOverlapsQ[date , date ] returns True if the calendar dates date  and date  overlap, and False ot"
}, {
  "label": "DatePattern",
  "type": "keyword",
  "info": "DatePattern[{\"e \", \"e \", â¦}] represents the characters of a date with elements of type \"e \" in Strin"
}, {
  "label": "DatePlus",
  "type": "keyword",
  "info": "DatePlus[date, n] gives the date n days after date.DatePlus[date, {n, step}] gives the date n calend"
}, {
  "label": "DateRange",
  "type": "keyword",
  "info": "DateRange[date , date ] gives all dates in the range from date  to date .DateRange[date , date , inc"
}, {
  "label": "DateReduction",
  "type": "keyword",
  "info": "DateReduction is an option for DateHistogram that specifies the length for cyclic periods of time."
}, {
  "label": "DateScale",
  "type": "keyword",
  "info": "DateScale[] represents the canonical mapping of continuous dates and times to a quantitative scale."
}, {
  "label": "DateSelect",
  "type": "keyword",
  "info": "DateSelect[list, crit] picks out all dates date  of a list for which crit[date ] is True.DateSelect["
}, {
  "label": "DateString",
  "type": "keyword",
  "info": "DateString[] gives a string representing the complete current local date and time. DateString[date] "
}, {
  "label": "DateTicksFormat",
  "type": "keyword",
  "info": "DateTicksFormat is an option for DateListPlot which specifies how date tick labels should be formatt"
}, {
  "label": "DateValue",
  "type": "keyword",
  "info": "DateValue[\"elem\"] gives the specified element of the current date and time.DateValue[{elem , elem , "
}, {
  "label": "DateWithinQ",
  "type": "keyword",
  "info": "DateWithinQ[date , date ] returns True if the calendar date date  is entirely contained within date "
}, {
  "label": "DaubechiesWavelet",
  "type": "keyword",
  "info": "DaubechiesWavelet[] represents a Daubechies wavelet of order 2. DaubechiesWavelet[n] represents a Da"
}, {
  "label": "DavisDistribution",
  "type": "keyword",
  "info": "DavisDistribution[b, n, Î¼] represents a Davis distribution with scale parameter b, shape parameter n"
}, {
  "label": "DawsonF",
  "type": "keyword",
  "info": "DawsonF[z] gives the Dawson integral F(z)."
}, {
  "label": "DayCount",
  "type": "keyword",
  "info": "DayCount[date , date ] gives the number of days from date  to date .DayCount[date , date , daytype] "
}, {
  "label": "DayCountConvention",
  "type": "keyword",
  "info": "DayCountConvention is an option that specifies the day count convention used by DateDifference."
}, {
  "label": "DayHemisphere",
  "type": "keyword",
  "info": "DayHemisphere[] is a two-dimensional GeoGraphics primitive that represents the half of the Earth tha"
}, {
  "label": "DaylightQ",
  "type": "keyword",
  "info": "DaylightQ[] gives True if it is currently daylight from the user's location.DaylightQ[datespec] give"
}, {
  "label": "DayMatchQ",
  "type": "keyword",
  "info": "DayMatchQ[date, daytype] returns True if the date matches the daytype specification and returns Fals"
}, {
  "label": "DayName",
  "type": "keyword",
  "info": "DayName[] gives the current day of the week.DayName[date] gives the day of the week for the given da"
}, {
  "label": "DayNightTerminator",
  "type": "keyword",
  "info": "DayNightTerminator[] is a one-dimensional GeoGraphics primitive that represents the separation line "
}, {
  "label": "DayPlus",
  "type": "keyword",
  "info": "DayPlus[date, n] gives the date n days away from date.DayPlus[date, n, daytype] gives the date that "
}, {
  "label": "DayRange",
  "type": "keyword",
  "info": "DayRange[date , date ] gives the dates in the range from date  to date .DayRange[date , date , dayty"
}, {
  "label": "DayRound",
  "type": "keyword",
  "info": "DayRound[date, daytype] rounds date to the nearest day of daytype, using the next-day rounding conve"
}, {
  "label": "DeBruijnGraph",
  "type": "keyword",
  "info": "DeBruijnGraph[m, n] gives the n-dimensional De Bruijn graph with m symbols.DeBruijnGraph[m, n, type]"
}, {
  "label": "DeBruijnSequence",
  "type": "keyword",
  "info": "DeBruijnSequence[list, n] gives a de Bruijn sequence on the elements in list taken n at a time.DeBru"
}, {
  "label": "Debug",
  "type": "keyword",
  "info": "System`Debug"
}, {
  "label": "DebugTag",
  "type": "keyword",
  "info": "System`DebugTag"
}, {
  "label": "Decapitalize",
  "type": "keyword",
  "info": "Decapitalize[string] yields a string in which the first character has been made lowercase."
}, {
  "label": "Decimal",
  "type": "keyword",
  "info": "Decimal is a setting for the ColumnAlignments option of GridBox which states that numbers should ali"
}, {
  "label": "DecimalForm",
  "type": "keyword",
  "info": "DecimalForm[expr] prints with approximate real numbers in expr always given in decimal form, without"
}, {
  "label": "DeclareKnownSymbols",
  "type": "keyword",
  "info": "System`DeclareKnownSymbols"
}, {
  "label": "DeclarePackage",
  "type": "keyword",
  "info": "DeclarePackage[\"context`\", {\"name \", \"name \", â¦}] declares that Needs[\"context`\"] should automatical"
}, {
  "label": "Decompose",
  "type": "keyword",
  "info": "Decompose[poly, x] decomposes a polynomial, if possible, into a composition of simpler polynomials. "
}, {
  "label": "DeconvolutionLayer",
  "type": "keyword",
  "info": "DeconvolutionLayer[n, sz] represents a trainable deconvolutional net layer having n output channels "
}, {
  "label": "Decrement",
  "type": "keyword",
  "info": "x -- decreases the value of x by 1, returning the old value of x. "
}, {
  "label": "Decrypt",
  "type": "keyword",
  "info": "Decrypt[\"password\", enc] attempts to decrypt the encrypted object enc using the specified password.D"
}, {
  "label": "DecryptFile",
  "type": "keyword",
  "info": "DecryptFile[\"password\", file] generates a decrypted version of a file, using the specified password."
}, {
  "label": "DedekindEta",
  "type": "keyword",
  "info": "DedekindEta[Ï] gives the Dedekind eta modular elliptic function Î\\[CenterDot](Ï)."
}, {
  "label": "DeepSpaceProbeData",
  "type": "keyword",
  "info": "DeepSpaceProbeData[entity, property] gives the value of the specified property for the deep space pr"
}, {
  "label": "Default",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Default2DTool",
  "type": "keyword",
  "info": "System`Default2DTool"
}, {
  "label": "Default3DTool",
  "type": "keyword",
  "info": "System`Default3DTool"
}, {
  "label": "DefaultAttachedCellStyle",
  "type": "keyword",
  "info": "System`DefaultAttachedCellStyle"
}, {
  "label": "DefaultAxesStyle",
  "type": "keyword",
  "info": "DefaultAxesStyle is a low-level option for graphics functions that specifies the default style to us"
}, {
  "label": "DefaultBaseStyle",
  "type": "keyword",
  "info": "DefaultBaseStyle is a low-level option for formatting and related constructs that specifies a defaul"
}, {
  "label": "DefaultBoxStyle",
  "type": "keyword",
  "info": "DefaultBoxStyle is a low-level option for three-dimensional graphics functions that specifies the de"
}, {
  "label": "DefaultButton",
  "type": "keyword",
  "info": "DefaultButton[] represents an OK button that closes a dialog, and is the default when StyleBox[Dynam"
}, {
  "label": "DefaultColor",
  "type": "keyword",
  "info": "DefaultColor is an option for graphics functions that specifies the default color to use for lines, "
}, {
  "label": "DefaultControlPlacement",
  "type": "keyword",
  "info": "System`DefaultControlPlacement"
}, {
  "label": "DefaultDockedCellStyle",
  "type": "keyword",
  "info": "System`DefaultDockedCellStyle"
}, {
  "label": "DefaultDuplicateCellStyle",
  "type": "keyword",
  "info": "DefaultDuplicateCellStyle is a notebook option that specifies the default style to use for cells cre"
}, {
  "label": "DefaultDuration",
  "type": "keyword",
  "info": "DefaultDuration is an option to Animate and related functions that specifies the default total durat"
}, {
  "label": "DefaultElement",
  "type": "keyword",
  "info": "DefaultElement is an option for Grid and related constructs which specifies what to insert when a ne"
}, {
  "label": "DefaultFaceGridsStyle",
  "type": "keyword",
  "info": "DefaultFaceGridsStyle is a low-level option for 3D graphics functions that specifies the default sty"
}, {
  "label": "DefaultFieldHintStyle",
  "type": "keyword",
  "info": "DefaultFieldHintStyle is a low-level option for InputField that specifies the default style to use f"
}, {
  "label": "DefaultFont",
  "type": "keyword",
  "info": "System`DefaultFont"
}, {
  "label": "DefaultFontProperties",
  "type": "keyword",
  "info": "DefaultFontProperties is a global option that specifies various properties of a font family, such as"
}, {
  "label": "DefaultFormatType",
  "type": "keyword",
  "info": "DefaultFormatType is an option for cells that specifies the format used for displaying expressions i"
}, {
  "label": "DefaultFormatTypeForStyle",
  "type": "keyword",
  "info": "System`DefaultFormatTypeForStyle"
}, {
  "label": "DefaultFrameStyle",
  "type": "keyword",
  "info": "DefaultFrameStyle is a low-level option for graphics and related constructs that specifies the defau"
}, {
  "label": "DefaultFrameTicksStyle",
  "type": "keyword",
  "info": "DefaultFrameTicksStyle is a low-level option for 2D graphics functions that specifies the default st"
}, {
  "label": "DefaultGridLinesStyle",
  "type": "keyword",
  "info": "DefaultGridLinesStyle is a low-level option for 2D graphics functions that specifies the default sty"
}, {
  "label": "DefaultInlineFormatType",
  "type": "keyword",
  "info": "DefaultInlineFormatType is an option for cells that specifies the format used for displaying express"
}, {
  "label": "DefaultInputFormatType",
  "type": "keyword",
  "info": "System`DefaultInputFormatType"
}, {
  "label": "DefaultLabelStyle",
  "type": "keyword",
  "info": "DefaultLabelStyle is a low-level option for formatting and related constructs that specifies the def"
}, {
  "label": "DefaultMenuStyle",
  "type": "keyword",
  "info": "DefaultMenuStyle is a low-level option for menu-generating constructs that specifies the default sty"
}, {
  "label": "DefaultNaturalLanguage",
  "type": "keyword",
  "info": "DefaultNaturalLanguage is an option for character selections that specifies the language used when c"
}, {
  "label": "DefaultNewCellStyle",
  "type": "keyword",
  "info": "DefaultNewCellStyle is a notebook option which specifies the default style to use for new cells crea"
}, {
  "label": "DefaultNewInlineCellStyle",
  "type": "keyword",
  "info": "DefaultNewInlineCellStyle is an option for cells that specifies the default style to use for new inl"
}, {
  "label": "DefaultNotebook",
  "type": "keyword",
  "info": "DefaultNotebook is a global option that specifies which notebook is used as a template for all new n"
}, {
  "label": "DefaultOptions",
  "type": "keyword",
  "info": "DefaultOptions is a style option that allows default options to be specified for particular formatti"
}, {
  "label": "DefaultOutputFormatType",
  "type": "keyword",
  "info": "System`DefaultOutputFormatType"
}, {
  "label": "DefaultPrintPrecision",
  "type": "keyword",
  "info": "DefaultPrintPrecision is an option for NumberForm, DecimalForm and related functions that specifies "
}, {
  "label": "DefaultStyle",
  "type": "keyword",
  "info": "System`DefaultStyle"
}, {
  "label": "DefaultStyleDefinitions",
  "type": "keyword",
  "info": "DefaultStyleDefinitions is a global option that specifies the default stylesheet for all new noteboo"
}, {
  "label": "DefaultTextFormatType",
  "type": "keyword",
  "info": "System`DefaultTextFormatType"
}, {
  "label": "DefaultTextInlineFormatType",
  "type": "keyword",
  "info": "System`DefaultTextInlineFormatType"
}, {
  "label": "DefaultTicksStyle",
  "type": "keyword",
  "info": "DefaultTicksStyle is a low-level option for graphics functions that specifies the default style to u"
}, {
  "label": "DefaultTooltipStyle",
  "type": "keyword",
  "info": "DefaultTooltipStyle is a low-level option for tooltips that specifies the default style to use in di"
}, {
  "label": "DefaultValue",
  "type": "keyword",
  "info": "System`DefaultValue"
}, {
  "label": "DefaultValues",
  "type": "keyword",
  "info": "DefaultValues[f] gives a list of transformation rules corresponding to all default argument values ("
}, {
  "label": "Defer",
  "type": "keyword",
  "info": "Defer[expr] yields an object that displays as the unevaluated form of expr, but that is evaluated if"
}, {
  "label": "DefineExternal",
  "type": "keyword",
  "info": "System`DefineExternal"
}, {
  "label": "DefineInputStreamMethod",
  "type": "keyword",
  "info": "DefineInputStreamMethod[\"name\", {fname  ï¢ function , fname  ï¢ function , â¦ }] defines a custom input"
}, {
  "label": "DefineOutputStreamMethod",
  "type": "keyword",
  "info": "DefineOutputStreamMethod[\"name\", {fname  ï¢ function , fname  ï¢ function , â¦ }] defines a custom outp"
}, {
  "label": "DefineResourceFunction",
  "type": "keyword",
  "info": "DefineResourceFunction[f] defines a resource function that can be applied to arguments to give the s"
}, {
  "label": "Definition",
  "type": "keyword",
  "info": "Definition[symbol] prints as the definitions given for a symbol.Definition[\"symbol\"] prints as the d"
}, {
  "label": "Degree",
  "type": "keyword",
  "info": "                                                                               Ï\nDegree gives the nu"
}, {
  "label": "DegreeCentrality",
  "type": "keyword",
  "info": "DegreeCentrality[g] gives a list of vertex degrees for the vertices in the underlying simple graph o"
}, {
  "label": "DegreeGraphDistribution",
  "type": "keyword",
  "info": "DegreeGraphDistribution[dlist] represents a degree graph distribution with vertex degree dlist."
}, {
  "label": "DegreeLexicographic",
  "type": "keyword",
  "info": "System`DegreeLexicographic"
}, {
  "label": "DegreeReverseLexicographic",
  "type": "keyword",
  "info": "System`DegreeReverseLexicographic"
}, {
  "label": "DEigensystem",
  "type": "keyword",
  "info": "DEigensystem[â[u[x, y, â¦]], u, {x, y, â¦} â Î©, n] gives the n smallest magnitude eigenvalues and eige"
}, {
  "label": "DEigenvalues",
  "type": "keyword",
  "info": "DEigenvalues[â[u[x, y, â¦], u, {x, y, â¦} â Î©, n] gives the n smallest magnitude eigenvalues for the l"
}, {
  "label": "Deinitialization",
  "type": "keyword",
  "info": "Deinitialization is an option for Dynamic, DynamicModule, Manipulate, and related constructs that sp"
}, {
  "label": "Del",
  "type": "keyword",
  "info": "Del[x] displays as â x."
}, {
  "label": "DelaunayMesh",
  "type": "keyword",
  "info": "DelaunayMesh[{p , p , â¦}] gives a MeshRegion representing the Delaunay mesh from the points p , p , "
}, {
  "label": "Delayed",
  "type": "keyword",
  "info": "Delayed[expr] represents an expression whose evaluation is delayed until its value is externally req"
}, {
  "label": "Deletable",
  "type": "keyword",
  "info": "Deletable is an option for Cell that specifies whether the cell can be deleted interactively using t"
}, {
  "label": "Delete",
  "type": "keyword",
  "info": "Delete[expr, n] deletes the element at position n in expr. If n is negative, the position is counted"
}, {
  "label": "DeleteAnomalies",
  "type": "keyword",
  "info": "DeleteAnomalies[{example , example , â¦}] gives a list in which example  that are considered anomalou"
}, {
  "label": "DeleteBorderComponents",
  "type": "keyword",
  "info": "DeleteBorderComponents[image] replaces connected components adjacent to the border in a binary image"
}, {
  "label": "DeleteCases",
  "type": "keyword",
  "info": "DeleteCases[expr, pattern] removes all elements of expr that match pattern. DeleteCases[expr, patter"
}, {
  "label": "DeleteChannel",
  "type": "keyword",
  "info": "DeleteChannel[channel] deletes the specified channel from the channel broker server.DeleteChannel[{c"
}, {
  "label": "DeleteCloudExpression",
  "type": "keyword",
  "info": "DeleteCloudExpression[\"name\"] deletes the cloud expression identified by \"name\".DeleteCloudExpressio"
}, {
  "label": "DeleteContents",
  "type": "keyword",
  "info": "DeleteContents is an option for DeleteDirectory that specifies whether the contents of directories s"
}, {
  "label": "DeleteDirectory",
  "type": "keyword",
  "info": "DeleteDirectory[\"dir\"] deletes the specified directory. "
}, {
  "label": "DeleteDuplicates",
  "type": "keyword",
  "info": "DeleteDuplicates[list] deletes all duplicates from list.DeleteDuplicates[list, test] applies test to"
}, {
  "label": "DeleteDuplicatesBy",
  "type": "keyword",
  "info": "DeleteDuplicatesBy[{e , e , â¦}, f] deletes those e  that yield duplicates in the list {f[e ], f[e ],"
}, {
  "label": "DeleteFile",
  "type": "keyword",
  "info": "DeleteFile[\"file\"] deletes a file. DeleteFile[{\"file \", \"file \", â¦}] deletes a list of files. \n     "
}, {
  "label": "DeleteMissing",
  "type": "keyword",
  "info": "DeleteMissing[list] drops elements with head Missing from a list.DeleteMissing[assoc] drops elements"
}, {
  "label": "DeleteObject",
  "type": "keyword",
  "info": "DeleteObject[obj] deletes the object obj.DeleteObject[{obj , obj , â¦}] deletes all the obj .\n       "
}, {
  "label": "DeletePermissionsKey",
  "type": "keyword",
  "info": "DeletePermissionsKey[key] deletes a permissions key, rendering it invalid.DeletePermissionsKey[{key "
}, {
  "label": "DeleteSearchIndex",
  "type": "keyword",
  "info": "DeleteSearchIndex[obj] deletes the search index represented by the search index object obj.DeleteSea"
}, {
  "label": "DeleteSmallComponents",
  "type": "keyword",
  "info": "DeleteSmallComponents[image] replaces small connected components in a binary image image with backgr"
}, {
  "label": "DeleteStopwords",
  "type": "keyword",
  "info": "DeleteStopwords[list] deletes stopwords from a list of words.DeleteStopwords[\"string\"] deletes stopw"
}, {
  "label": "DeleteWithContents",
  "type": "keyword",
  "info": "System`DeleteWithContents"
}, {
  "label": "DeletionWarning",
  "type": "keyword",
  "info": "DeletionWarning is an option for InterpretationBox or TagBox objects that specifies whether a warnin"
}, {
  "label": "DelimitedArray",
  "type": "keyword",
  "info": "System`DelimitedArray"
}, {
  "label": "DelimitedSequence",
  "type": "keyword",
  "info": "DelimitedSequence[form] represents a delimited sequence of elements of the specified form in Interpr"
}, {
  "label": "Delimiter",
  "type": "keyword",
  "info": "Delimiter represents a delimiter to be displayed in objects such as PopupMenu, Manipulate, and FormO"
}, {
  "label": "DelimiterAutoMatching",
  "type": "keyword",
  "info": "DelimiterAutoMatching is an option for cells and notebooks that specifies whether matching delimiter"
}, {
  "label": "DelimiterFlashTime",
  "type": "keyword",
  "info": "DelimiterFlashTime is an option for cells and notebooks that specifies how long in seconds a delimit"
}, {
  "label": "DelimiterMatching",
  "type": "keyword",
  "info": "DelimiterMatching is an option for selections that specifies whether an opening delimiter will match"
}, {
  "label": "Delimiters",
  "type": "keyword",
  "info": "Delimiters is an option to various functions that specifies what delimiters to use or look for."
}, {
  "label": "DeliveryFunction",
  "type": "keyword",
  "info": "DeliveryFunction is an option that specifies how material such as documents generated by DocumentGen"
}, {
  "label": "Dendrogram",
  "type": "keyword",
  "info": "Dendrogram[{e , e , â¦}] constructs a dendrogram from the hierarchical clustering of the elements e ,"
}, {
  "label": "Denominator",
  "type": "keyword",
  "info": "Denominator[expr] gives the denominator of expr. "
}, {
  "label": "DensityGraphics",
  "type": "keyword",
  "info": "DensityGraphics[array] is a representation of a density plot. "
}, {
  "label": "DensityHistogram",
  "type": "keyword",
  "info": "DensityHistogram[{{x , y }, {x , y }, â¦}] plots a density histogram of the values {x , y }.DensityHi"
}, {
  "label": "DensityPlot",
  "type": "keyword",
  "info": "DensityPlot[f, {x, x   , x   }, {y, y   , y   }] makes a density plot of f as a function of x and y."
}, {
  "label": "DensityPlot3D",
  "type": "keyword",
  "info": "DensityPlot3D[f, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] makes a density plot of f as a f"
}, {
  "label": "DependentVariables",
  "type": "keyword",
  "info": "DependentVariables is an option for NDSolve and other functions that specifies the list of all objec"
}, {
  "label": "Deploy",
  "type": "keyword",
  "info": "Deploy[expr] yields a deployed version of expr in which elements such as Slider, InputField, Locator"
}, {
  "label": "Deployed",
  "type": "keyword",
  "info": "Deployed is an option for displayed objects, cells, and notebooks that specifies whether their conte"
}, {
  "label": "Depth",
  "type": "keyword",
  "info": "Depth[expr] gives the maximum number of indices needed to specify any part of expr, plus 1. "
}, {
  "label": "DepthFirstScan",
  "type": "keyword",
  "info": "DepthFirstScan[g, s, {event  ï¢ f , event  ï¢ f , â¦}] performs a depth-first scan of the graph g start"
}, {
  "label": "Derivative",
  "type": "keyword",
  "info": "f ' represents the derivative of a function f of one argument. Derivative[n , n , â¦][f] is the gener"
}, {
  "label": "DerivativeFilter",
  "type": "keyword",
  "info": "                                                    th\nDerivativeFilter[data, {n , n , â¦}] computes "
}, {
  "label": "DerivativePDETerm",
  "type": "keyword",
  "info": "DerivativePDETerm[vars, Î\.b3] represents a load derivative term â            Â\\[CenterDot] (Î\.b3) with load derivative"
}, {
  "label": "DerivedKey",
  "type": "keyword",
  "info": "DerivedKey[assoc] represents a derived key generated by GenerateDerivedKey."
}, {
  "label": "DescriptorStateSpace",
  "type": "keyword",
  "info": "DescriptorStateSpace is an option to StateSpaceModel and StateSpaceTransform that specifies whether "
}, {
  "label": "DesignMatrix",
  "type": "keyword",
  "info": "DesignMatrix[{{x  , x  , â¦, y }, {x  , x  , â¦, y }, â¦}, {f , f , â¦}, {x , x , â¦}] constructs the des"
}, {
  "label": "DestroyAfterEvaluation",
  "type": "keyword",
  "info": "System`DestroyAfterEvaluation"
}, {
  "label": "Det",
  "type": "keyword",
  "info": "Det[m] gives the determinant of the square matrix m. "
}, {
  "label": "DeviceClose",
  "type": "keyword",
  "info": "DeviceClose[device] closes the connection to a device and frees related resources."
}, {
  "label": "DeviceConfigure",
  "type": "keyword",
  "info": "DeviceConfigure[device, config] configures the specified device according to config."
}, {
  "label": "DeviceExecute",
  "type": "keyword",
  "info": "DeviceExecute[device, \"command\"] executes the specified command on a device.DeviceExecute[device, \"c"
}, {
  "label": "DeviceExecuteAsynchronous",
  "type": "keyword",
  "info": "DeviceExecuteAsynchronous[device, \"command\", fun] initiates asynchronous execution of the specified "
}, {
  "label": "DeviceObject",
  "type": "keyword",
  "info": "DeviceObject[â¦] represents a device that can be accessed in a Wolfram Language session."
}, {
  "label": "DeviceOpen",
  "type": "keyword",
  "info": "DeviceOpen[\"devclass\"] opens a connection to the first available device in the class specified by \"d"
}, {
  "label": "DeviceOpenQ",
  "type": "keyword",
  "info": "System`DeviceOpenQ"
}, {
  "label": "DeviceRead",
  "type": "keyword",
  "info": "DeviceRead[devobj] reads a single default item from the open device corresponding to the specified D"
}, {
  "label": "DeviceReadBuffer",
  "type": "keyword",
  "info": "DeviceReadBuffer[device] reads the complete contents of the buffer on a device.DeviceReadBuffer[devi"
}, {
  "label": "DeviceReadLatest",
  "type": "keyword",
  "info": "DeviceReadLatest[device] returns the most recently collected default item from a device.DeviceReadLa"
}, {
  "label": "DeviceReadList",
  "type": "keyword",
  "info": "DeviceReadList[device, n] reads from the specified device n times, returning a list of the results.D"
}, {
  "label": "DeviceReadTimeSeries",
  "type": "keyword",
  "info": "DeviceReadTimeSeries[device, {t, dt}] repeatedly reads default items from the specified device at in"
}, {
  "label": "Devices",
  "type": "keyword",
  "info": "Devices[] gives a list of registered devices on a particular system.Devices[form] gives a list of de"
}, {
  "label": "DeviceStreams",
  "type": "keyword",
  "info": "DeviceStreams[device] gives a list of all open streams associated with a device.DeviceStreams[device"
}, {
  "label": "DeviceWrite",
  "type": "keyword",
  "info": "DeviceWrite[device, val] writes the value val to the specified device.DeviceWrite[device, {val , val"
}, {
  "label": "DeviceWriteBuffer",
  "type": "keyword",
  "info": "DeviceWriteBuffer[device, vals] fills the buffer on a device with the values vals.DeviceWriteBuffer["
}, {
  "label": "DGaussianWavelet",
  "type": "keyword",
  "info": "DGaussianWavelet[] represents a derivative of Gaussian wavelet of derivative order 2.DGaussianWavele"
}, {
  "label": "DiacriticalPositioning",
  "type": "keyword",
  "info": "DiacriticalPositioning is an option for UnderscriptBox and related boxes that specifies how close di"
}, {
  "label": "Diagonal",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiagonalizableMatrixQ",
  "type": "keyword",
  "info": "DiagonalizableMatrixQ[m] gives True if m is diagonalizable, and False otherwise. "
}, {
  "label": "DiagonalMatrix",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiagonalMatrixQ",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Dialog",
  "type": "keyword",
  "info": "Dialog[] initiates a dialog. Dialog[expr] initiates a dialog with expr as the current value of %. \n"
}, {
  "label": "DialogIndent",
  "type": "keyword",
  "info": "System`DialogIndent"
}, {
  "label": "DialogInput",
  "type": "keyword",
  "info": "DialogInput[expr] interactively puts up expr as a dialog notebook, waits until a DialogReturn[e] is "
}, {
  "label": "DialogLevel",
  "type": "keyword",
  "info": "System`DialogLevel"
}, {
  "label": "DialogNotebook",
  "type": "keyword",
  "info": "DialogNotebook[{cell , cell , â¦}] represents a dialog notebook that can be manipulated by the Wolfra"
}, {
  "label": "DialogProlog",
  "type": "keyword",
  "info": "DialogProlog is an option for Dialog that can give an expression to evaluate before the dialog start"
}, {
  "label": "DialogReturn",
  "type": "keyword",
  "info": "DialogReturn[expr] closes a dialog window, returning the expression expr from the dialog.DialogRetur"
}, {
  "label": "DialogSymbols",
  "type": "keyword",
  "info": "DialogSymbols is an option for Dialog that gives a list of symbols whose values should be localized "
}, {
  "label": "Diamond",
  "type": "keyword",
  "info": "Diamond[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DiamondMatrix",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiceDissimilarity",
  "type": "keyword",
  "info": "DiceDissimilarity[x, y] gives the Dice dissimilarity between Boolean vectors x and y."
}, {
  "label": "DictionaryLookup",
  "type": "keyword",
  "info": "DictionaryLookup[patt] finds all words in an English dictionary that match the string pattern patt.D"
}, {
  "label": "DictionaryWordQ",
  "type": "keyword",
  "info": "DictionaryWordQ[\"word\"] tests whether \"word\" is a recognized dictionary word."
}, {
  "label": "DifferenceDelta",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DifferenceOrder",
  "type": "keyword",
  "info": "System`DifferenceOrder"
}, {
  "label": "DifferenceQuotient",
  "type": "keyword",
  "info": "DifferenceQuotient[f, {x, h}]  gives the difference quotient (f(x + h) - f(x))\/h.DifferenceQuotient["
}, {
  "label": "DifferenceRoot",
  "type": "keyword",
  "info": "DifferenceRoot[lde][k] gives the holonomic sequence h(k), specified by the linear difference equatio"
}, {
  "label": "DifferenceRootReduce",
  "type": "keyword",
  "info": "DifferenceRootReduce[expr, n] attempts to reduce expr to a single DifferenceRoot object as a functio"
}, {
  "label": "Differences",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DifferentialD",
  "type": "keyword",
  "info": "DifferentialD[x] displays as ï x."
}, {
  "label": "DifferentialRoot",
  "type": "keyword",
  "info": "DifferentialRoot[lde][x] gives the holonomic function h(x), specified by the linear differential equ"
}, {
  "label": "DifferentialRootReduce",
  "type": "keyword",
  "info": "DifferentialRootReduce[expr, x] attempts to reduce expr to a single DifferentialRoot object as a fun"
}, {
  "label": "DifferentiatorFilter",
  "type": "keyword",
  "info": "DifferentiatorFilter[data, Ï ] applies a differentiator filter with a cutoff frequency Ï  to an arra"
}, {
  "label": "DiffusionPDETerm",
  "type": "keyword",
  "info": "DiffusionPDETerm[vars] represents a diffusion term â            Â\\[CenterDot] (-â            u) with model varia"
}, {
  "label": "DiggleGatesPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiggleGrattonPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DigitalSignature",
  "type": "keyword",
  "info": "DigitalSignature[assoc] represents a digital signature object."
}, {
  "label": "DigitBlock",
  "type": "keyword",
  "info": "DigitBlock is an option for NumberForm and related functions that specifies the maximum length of bl"
}, {
  "label": "DigitBlockMinimum",
  "type": "keyword",
  "info": "System`DigitBlockMinimum"
}, {
  "label": "DigitCharacter",
  "type": "keyword",
  "info": "DigitCharacter represents a digit character 0â9 in StringExpression. "
}, {
  "label": "DigitCount",
  "type": "keyword",
  "info": "DigitCount[n, b, d] gives the number of d digits in the base-b representation of n. DigitCount[n, b]"
}, {
  "label": "DigitQ",
  "type": "keyword",
  "info": "DigitQ[string] yields True if all the characters in the string are digits in the range 0 through 9, "
}, {
  "label": "DihedralAngle",
  "type": "keyword",
  "info": "DihedralAngle[{p , p }, {v, w}] gives the angle between two half-planes bounded by the line through "
}, {
  "label": "DihedralGroup",
  "type": "keyword",
  "info": "DihedralGroup[n] represents the dihedral group of order 2n."
}, {
  "label": "Dilation",
  "type": "keyword",
  "info": "Dilation[image, ker] gives the morphological dilation of image with respect to the structuring eleme"
}, {
  "label": "DimensionalCombinations",
  "type": "keyword",
  "info": "DimensionalCombinations[{pq , pq , â¦}] returns the possible combinations of the list of physical qua"
}, {
  "label": "DimensionalMeshComponents",
  "type": "keyword",
  "info": "DimensionalMeshComponents[mr] gives a list {r , r , â¦} of regions such that r  has dimension d for a"
}, {
  "label": "DimensionReduce",
  "type": "keyword",
  "info": "DimensionReduce[{example , example , â¦}] projects the examples example  to a lower-dimensional appro"
}, {
  "label": "DimensionReducerFunction",
  "type": "keyword",
  "info": "DimensionReducerFunction[â¦] represents a function generated by DimensionReduction that projects data"
}, {
  "label": "DimensionReduction",
  "type": "keyword",
  "info": "DimensionReduction[{example , example , â¦}] generates a DimensionReducerFunction[â¦] that projects fr"
}, {
  "label": "Dimensions",
  "type": "keyword",
  "info": "Dimensions[expr] gives a list of the dimensions of expr. Dimensions[expr, n] gives a list of the dim"
}, {
  "label": "DiracComb",
  "type": "keyword",
  "info": "DiracComb[x] represents the Dirac comb function ï(x) giving a delta function at every integer point."
}, {
  "label": "DiracDelta",
  "type": "keyword",
  "info": "DiracDelta[x] represents the Dirac delta function Î\.b4(x). DiracDelta[x , x , â¦] represents the multidi"
}, {
  "label": "DirectedEdge",
  "type": "keyword",
  "info": "                                                                                              t\nDire"
}, {
  "label": "DirectedEdges",
  "type": "keyword",
  "info": "DirectedEdges is an option for Graph, GraphPlot, and related functions that specifies whether edges "
}, {
  "label": "DirectedGraph",
  "type": "keyword",
  "info": "DirectedGraph[g] gives a directed graph from the undirected graph g.DirectedGraph[g, conv] gives a d"
}, {
  "label": "DirectedGraphQ",
  "type": "keyword",
  "info": "DirectedGraphQ[g] yields True if the graph g is a directed graph and False otherwise."
}, {
  "label": "DirectedInfinity",
  "type": "keyword",
  "info": "DirectedInfinity[] represents an infinite numerical quantity whose direction in the complex plane is"
}, {
  "label": "Direction",
  "type": "keyword",
  "info": "Direction is an option for Limit and related functions that specifies the direction in which the lim"
}, {
  "label": "DirectionalLight",
  "type": "keyword",
  "info": "DirectionalLight[col, pt] is a threeâdimensional graphics directive that specifies the directional l"
}, {
  "label": "Directive",
  "type": "keyword",
  "info": "Directive[g , g , â¦] represents a single graphics directive composed of the directives g , g , â¦.\n  "
}, {
  "label": "Directory",
  "type": "keyword",
  "info": "Directory[] gives the current working directory. "
}, {
  "label": "DirectoryName",
  "type": "keyword",
  "info": "DirectoryName[\"name\"] extracts the directory name from the specification for a file. "
}, {
  "label": "DirectoryQ",
  "type": "keyword",
  "info": "DirectoryQ[\"name\"] gives True if the directory with the specified name exists, and gives False other"
}, {
  "label": "DirectoryStack",
  "type": "keyword",
  "info": "DirectoryStack[] gives the directory stack that represents the sequence of current directories used."
}, {
  "label": "DirichletBeta",
  "type": "keyword",
  "info": "DirichletBeta[s] gives the Dirichlet beta function Î\.b2(s)."
}, {
  "label": "DirichletCharacter",
  "type": "keyword",
  "info": "DirichletCharacter[k, j, n] gives the Dirichlet character Ï    (n) with modulus k and index j.\n     "
}, {
  "label": "DirichletCondition",
  "type": "keyword",
  "info": "DirichletCondition[beqn, pred] represents a Dirichlet boundary condition given by equation beqn, sat"
}, {
  "label": "DirichletConvolve",
  "type": "keyword",
  "info": "DirichletConvolve[f, g, n, m] gives the Dirichlet convolution of the expressions f and g. "
}, {
  "label": "DirichletDistribution",
  "type": "keyword",
  "info": "DirichletDistribution[{Î\\[PlusMinus] , â¦, Î\\[PlusMinus]     }] represents a Dirichlet distribution of dimension k with shape"
}, {
  "label": "DirichletEta",
  "type": "keyword",
  "info": "DirichletEta[s] gives the Dirichlet eta function Î\\[CenterDot](s)."
}, {
  "label": "DirichletL",
  "type": "keyword",
  "info": "DirichletL[k, j, s] gives the Dirichlet L-function L(Ï, s) for the Dirichlet character Ï(n) with mod"
}, {
  "label": "DirichletLambda",
  "type": "keyword",
  "info": "DirichletLambda[s] gives the Dirichlet lambda function Î»(s)."
}, {
  "label": "DirichletTransform",
  "type": "keyword",
  "info": "DirichletTransform[expr, n, s] gives the Dirichlet transform of expr with respect to n."
}, {
  "label": "DirichletWindow",
  "type": "keyword",
  "info": "DirichletWindow[x] represents a Dirichlet window function of x."
}, {
  "label": "DisableConsolePrintPacket",
  "type": "keyword",
  "info": "System`DisableConsolePrintPacket"
}, {
  "label": "DisableFormatting",
  "type": "keyword",
  "info": "DisableFormatting[expr] is a form that disables the formatting of expr when it appears inside held e"
}, {
  "label": "DiscreteAsymptotic",
  "type": "keyword",
  "info": "DiscreteAsymptotic[expr, n ï¢ â] gives an asymptotic approximation for expr as n tends to infinity ov"
}, {
  "label": "DiscreteChirpZTransform",
  "type": "keyword",
  "info": "DiscreteChirpZTransform[list] gives the chirp Z transform of list.DiscreteChirpZTransform[list, n] r"
}, {
  "label": "DiscreteConvolve",
  "type": "keyword",
  "info": "DiscreteConvolve[f, g, n, m] gives the convolution with respect to n of the expressions f and g. Dis"
}, {
  "label": "DiscreteDelta",
  "type": "keyword",
  "info": "DiscreteDelta[n , n , â¦] gives the discrete delta function Î\.b4 (n , n , â¦), equal to 1 if all the n  a"
}, {
  "label": "DiscreteHadamardTransform",
  "type": "keyword",
  "info": "DiscreteHadamardTransform[list] gives the discrete Hadamard transform of list."
}, {
  "label": "DiscreteIndicator",
  "type": "keyword",
  "info": "DiscreteIndicator[x, x , {u , u , â¦}] yields the discrete indicator function, equal to 1 if x = x  a"
}, {
  "label": "DiscreteLimit",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiscreteLQEstimatorGains",
  "type": "keyword",
  "info": "DiscreteLQEstimatorGains[ssm, {w, v}, Ï] gives the optimal discrete-time estimator gain matrix with "
}, {
  "label": "DiscreteLQRegulatorGains",
  "type": "keyword",
  "info": "DiscreteLQRegulatorGains[sspec, wts, Ï] gives the discrete-time state feedback gains with sampling p"
}, {
  "label": "DiscreteLyapunovSolve",
  "type": "keyword",
  "info": "DiscreteLyapunovSolve[a, c] finds the numeric solution x of the discrete matrix equation a . x . a ï"
}, {
  "label": "DiscreteMarkovProcess",
  "type": "keyword",
  "info": "DiscreteMarkovProcess[i , m] represents a discrete-time, finite-state Markov process with transition"
}, {
  "label": "DiscreteMaxLimit",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiscreteMinLimit",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiscretePlot",
  "type": "keyword",
  "info": "DiscretePlot[expr, {n, n   }] generates a plot of the values of expr when n runs from 1 to n   .Disc"
}, {
  "label": "DiscretePlot3D",
  "type": "keyword",
  "info": "DiscretePlot3D[expr, {i, i   , i   }, {j, j   , j   }] generates a plot of the values of expr when i"
}, {
  "label": "DiscreteRatio",
  "type": "keyword",
  "info": "                                             f(i + 1)\nDiscreteRatio[f, i] gives the discrete ratio -"
}, {
  "label": "DiscreteRiccatiSolve",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiscreteShift",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiscreteTimeModelQ",
  "type": "keyword",
  "info": "DiscreteTimeModelQ[lsys] gives True if lsys is a discrete-time systems model, and False otherwise."
}, {
  "label": "DiscreteUniformDistribution",
  "type": "keyword",
  "info": "DiscreteUniformDistribution[{i   , i   }] represents a discrete uniform distribution over the intege"
}, {
  "label": "DiscreteVariables",
  "type": "keyword",
  "info": "DiscreteVariables is an option for NDSolve and other functions that specifies variables that only ch"
}, {
  "label": "DiscreteWaveletData",
  "type": "keyword",
  "info": "DiscreteWaveletData[{wind  ï¢ coef , â¦}, wave, wtrans] yields a discrete wavelet data object with wav"
}, {
  "label": "DiscreteWaveletPacketTransform",
  "type": "keyword",
  "info": "DiscreteWaveletPacketTransform[data] gives the discrete wavelet packet transform (DWPT) of an array "
}, {
  "label": "DiscreteWaveletTransform",
  "type": "keyword",
  "info": "DiscreteWaveletTransform[data] gives the discrete wavelet transform (DWT) of an array of data.Discre"
}, {
  "label": "DiscretizeGraphics",
  "type": "keyword",
  "info": "DiscretizeGraphics[g] discretizes a 2D or 3D graphic g into a MeshRegion.DiscretizeGraphics[g, patt]"
}, {
  "label": "DiscretizeRegion",
  "type": "keyword",
  "info": "DiscretizeRegion[reg] discretizes a region reg into a MeshRegion.DiscretizeRegion[reg, {{x   , x   }"
}, {
  "label": "Discriminant",
  "type": "keyword",
  "info": "Discriminant[poly, var] computes the discriminant of the polynomial poly with respect to the variabl"
}, {
  "label": "DisjointQ",
  "type": "keyword",
  "info": "DisjointQ[list , list ] yields True if list  and list  do not share any common elements, and False o"
}, {
  "label": "Disjunction",
  "type": "keyword",
  "info": "Disjunction[expr, {a , a , â¦}] gives the disjunction of expr over all choices of the Boolean variabl"
}, {
  "label": "Disk",
  "type": "keyword",
  "info": "Disk[{x, y}, r] represents a disk of radius r centered at {x, y}.Disk[{x, y}] gives a disk of radius"
}, {
  "label": "DiskBox",
  "type": "keyword",
  "info": "System`DiskBox"
}, {
  "label": "DiskMatrix",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DiskSegment",
  "type": "keyword",
  "info": "DiskSegment[{x, y}, r, {Î¸ , Î¸ }] represents the disk segment from angle Î¸  to Î¸  in a disk centered "
}, {
  "label": "Dispatch",
  "type": "keyword",
  "info": "Dispatch[{lhs  ï¢ rhs , lhs  ï¢ rhs , â¦}] generates an optimized dispatch table representation of a li"
}, {
  "label": "DispatchQ",
  "type": "keyword",
  "info": "System`DispatchQ"
}, {
  "label": "DispersionEstimatorFunction",
  "type": "keyword",
  "info": "DispersionEstimatorFunction is an option for generalized linear model fitting functions that specifi"
}, {
  "label": "Display",
  "type": "keyword",
  "info": "Display[channel, graphics] writes graphics or sound to the specified output channel in PostScript fo"
}, {
  "label": "DisplayAllSteps",
  "type": "keyword",
  "info": "DisplayAllSteps is an option to Animate and related functions that specifies whether all frames shou"
}, {
  "label": "DisplayEndPacket",
  "type": "keyword",
  "info": "DisplayEndPacket[] is a WSTP packet that indicates the end of a series of expressions relating to a "
}, {
  "label": "DisplayFlushImagePacket",
  "type": "keyword",
  "info": "System`DisplayFlushImagePacket"
}, {
  "label": "DisplayForm",
  "type": "keyword",
  "info": "DisplayForm[expr] prints with low-level boxes inside expr shown in explicit two-dimensional or other"
}, {
  "label": "DisplayFunction",
  "type": "keyword",
  "info": "DisplayFunction is an option for graphics and sound functions that specifies a function to apply to "
}, {
  "label": "DisplayPacket",
  "type": "keyword",
  "info": "DisplayPacket[] is a WSTP packet that indicates the beginning of a series of expressions related to "
}, {
  "label": "DisplayRules",
  "type": "keyword",
  "info": "System`DisplayRules"
}, {
  "label": "DisplaySetSizePacket",
  "type": "keyword",
  "info": "System`DisplaySetSizePacket"
}, {
  "label": "DisplayString",
  "type": "keyword",
  "info": "DisplayString[graphics] generates a string giving graphics or sound in PostScript format. DisplayStr"
}, {
  "label": "DisplayTemporary",
  "type": "keyword",
  "info": "System`DisplayTemporary"
}, {
  "label": "DisplayWith",
  "type": "keyword",
  "info": "System`DisplayWith"
}, {
  "label": "DisplayWithRef",
  "type": "keyword",
  "info": "System`DisplayWithRef"
}, {
  "label": "DisplayWithVariable",
  "type": "keyword",
  "info": "System`DisplayWithVariable"
}, {
  "label": "DistanceFunction",
  "type": "keyword",
  "info": "DistanceFunction is an option for functions such as Nearest that specifies the distance value to ass"
}, {
  "label": "DistanceMatrix",
  "type": "keyword",
  "info": "DistanceMatrix[{u , u , â¦}] gives the matrix of distances between each pair of elements u , u . Dist"
}, {
  "label": "DistanceTransform",
  "type": "keyword",
  "info": "DistanceTransform[image] gives the distance transform of image, in which the value of each pixel is "
}, {
  "label": "Distribute",
  "type": "keyword",
  "info": "Distribute[f[x , x , â¦]] distributes f over Plus appearing in any of the x . Distribute[expr, g] dis"
}, {
  "label": "Distributed",
  "type": "keyword",
  "info": "Distributed[x, dist] or x ï dist asserts that the random variable x is distributed according to the "
}, {
  "label": "DistributedContexts",
  "type": "keyword",
  "info": "DistributedContexts is an option for various parallel computing functions that specifies which defin"
}, {
  "label": "DistributeDefinitions",
  "type": "keyword",
  "info": "DistributeDefinitions[s , s , â¦] distributes all definitions for the symbols s  to all parallel kern"
}, {
  "label": "DistributionChart",
  "type": "keyword",
  "info": "DistributionChart[{data , data , â¦}] makes a distribution chart with a distribution symbol for each "
}, {
  "label": "DistributionDomain",
  "type": "keyword",
  "info": "System`DistributionDomain"
}, {
  "label": "DistributionFitTest",
  "type": "keyword",
  "info": "DistributionFitTest[data] tests whether data is normally distributed. DistributionFitTest[data, dist"
}, {
  "label": "DistributionParameterAssumptions",
  "type": "keyword",
  "info": "DistributionParameterAssumptions[dist] gives a logical expression for assumptions on parameters in t"
}, {
  "label": "DistributionParameterQ",
  "type": "keyword",
  "info": "DistributionParameterQ[dist] yields True if dist is a valid distribution, and yields False otherwise"
}, {
  "label": "Dithering",
  "type": "keyword",
  "info": "Dithering is an option for ColorQuantize that specifies whether or not to apply dithering while quan"
}, {
  "label": "Div",
  "type": "keyword",
  "info": "Div[{f , â¦, f }, {x , â¦, x }] gives the divergence â f \/â x  + â¦ + â f \/â x .Div[{f , â¦, f }, {x , â¦"
}, {
  "label": "Divergence",
  "type": "keyword",
  "info": "System`Divergence"
}, {
  "label": "Divide",
  "type": "keyword",
  "info": "x\/y or Divide[x, y] is equivalent to x y^-1. "
}, {
  "label": "DivideBy",
  "type": "keyword",
  "info": "x\/=c divides x by c and returns the new value of x. "
}, {
  "label": "Dividers",
  "type": "keyword",
  "info": "Dividers is an option for Grid and related constructs that specifies where and how to draw divider l"
}, {
  "label": "DivideSides",
  "type": "keyword",
  "info": "DivideSides[rel, x] divides each side of the equation or inequality rel by x.DivideSides[rel , rel ]"
}, {
  "label": "Divisible",
  "type": "keyword",
  "info": "Divisible[n, m] yields True if n is divisible by m, and yields False if it is not. "
}, {
  "label": "Divisors",
  "type": "keyword",
  "info": "Divisors[n] gives a list of the integers that divide n. "
}, {
  "label": "DivisorSigma",
  "type": "keyword",
  "info": "DivisorSigma[k, n] gives the divisor function Ï (n). \n                                              "
}, {
  "label": "DivisorSum",
  "type": "keyword",
  "info": "DivisorSum[n, form] represents the sum of form[i] for all i that divide n.DivisorSum[n, form, cond] "
}, {
  "label": "DMSList",
  "type": "keyword",
  "info": "DMSList[Î¸] converts an angle Î¸ given in decimal degrees to a DMS list {degree, minute, second}.DMSLi"
}, {
  "label": "DMSString",
  "type": "keyword",
  "info": "DMSString[Î¸] converts an angle Î¸ given in decimal degrees to a degrees-minutes-seconds string.DMSStr"
}, {
  "label": "Do",
  "type": "keyword",
  "info": "Do[expr, n] evaluates expr n times. Do[expr, {i, i   }] evaluates expr with the variable i successiv"
}, {
  "label": "DockedCells",
  "type": "keyword",
  "info": "DockedCells is an option for notebooks that gives a list of cells that are to be displayed \"docked\" "
}, {
  "label": "DocumentGenerator",
  "type": "keyword",
  "info": "DocumentGenerator[template, timespec] represents a document generator with template template to be e"
}, {
  "label": "DocumentGeneratorInformation",
  "type": "keyword",
  "info": "DocumentGeneratorInformation[CloudObject] returns information about a generator.\nDocumentGeneratorIn"
}, {
  "label": "DocumentGeneratorInformationData",
  "type": "keyword",
  "info": "System`DocumentGeneratorInformationData"
}, {
  "label": "DocumentGenerators",
  "type": "keyword",
  "info": "DocumentGenerators[] returns a list of the user's document generators, as cloud objects."
}, {
  "label": "DocumentNotebook",
  "type": "keyword",
  "info": "DocumentNotebook[{cell , cell , â¦}] represents a complete document notebook in the Wolfram System fr"
}, {
  "label": "DocumentWeightingRules",
  "type": "keyword",
  "info": "DocumentWeightingRules is an option for TextSearch and related functions that allows the specificati"
}, {
  "label": "Dodecahedron",
  "type": "keyword",
  "info": "Dodecahedron[] represents a regular dodecahedron centered at the origin with unit edge length.Dodeca"
}, {
  "label": "DomainRegistrationInformation",
  "type": "keyword",
  "info": "System`DomainRegistrationInformation"
}, {
  "label": "DominantColors",
  "type": "keyword",
  "info": "DominantColors[image] returns dominant colors in image.DominantColors[image, n] returns at most n do"
}, {
  "label": "DominatorTreeGraph",
  "type": "keyword",
  "info": "DominatorTreeGraph[g, v] gives the dominator tree of the directed graph g from the root vertex v."
}, {
  "label": "DominatorVertexList",
  "type": "keyword",
  "info": "DominatorVertexList[g, v] gives the list of immediate dominators of the directed graph g from the ro"
}, {
  "label": "DOSTextFormat",
  "type": "keyword",
  "info": "DOSTextFormat is an option for OpenRead, OpenWrite, and OpenAppend that specifies whether files shou"
}, {
  "label": "Dot",
  "type": "keyword",
  "info": "a . b . c or Dot[a, b, c] gives products of vectors, matrices, and tensors. "
}, {
  "label": "DotDashed",
  "type": "keyword",
  "info": "DotDashed is a graphics directive specifying that lines that follow should be drawn dot-dashed."
}, {
  "label": "DotEqual",
  "type": "keyword",
  "info": "DotEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DotLayer",
  "type": "keyword",
  "info": "DotLayer[] represents a net layer that takes the dot product of two or more arrays.DotLayer[{spec , "
}, {
  "label": "DotPlusLayer",
  "type": "keyword",
  "info": "DotPlusLayer[n] is equivalent to LinearLayer[n] and should no longer be used. "
}, {
  "label": "Dotted",
  "type": "keyword",
  "info": "Dotted is a graphics directive specifying that lines that follow should be drawn dotted."
}, {
  "label": "DoubleBracketingBar",
  "type": "keyword",
  "info": "DoubleBracketingBar[x, y, â¦] displays as ï x, y, â¦ ï."
}, {
  "label": "DoubleContourIntegral",
  "type": "keyword",
  "info": "System`DoubleContourIntegral"
}, {
  "label": "DoubleDownArrow",
  "type": "keyword",
  "info": "DoubleDownArrow[x, y, â¦] displays as x â yâ¦."
}, {
  "label": "DoubleLeftArrow",
  "type": "keyword",
  "info": "DoubleLeftArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DoubleLeftRightArrow",
  "type": "keyword",
  "info": "DoubleLeftRightArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DoubleLeftTee",
  "type": "keyword",
  "info": "DoubleLeftTee[x, y] displays as x â«¤ y."
}, {
  "label": "DoubleLongLeftArrow",
  "type": "keyword",
  "info": "DoubleLongLeftArrow[x, y, â¦] displays as x â¸ y â¸ â¦."
}, {
  "label": "DoubleLongLeftRightArrow",
  "type": "keyword",
  "info": "DoubleLongLeftRightArrow[x, y, â¦] displays as x âº y âº â¦."
}, {
  "label": "DoubleLongRightArrow",
  "type": "keyword",
  "info": "DoubleLongRightArrow[x, y, â¦] displays as x â¹ y â¹ â¦."
}, {
  "label": "DoubleRightArrow",
  "type": "keyword",
  "info": "DoubleRightArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DoubleRightTee",
  "type": "keyword",
  "info": "DoubleRightTee[x, y] displays as x â¨ y."
}, {
  "label": "DoubleUpArrow",
  "type": "keyword",
  "info": "DoubleUpArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DoubleUpDownArrow",
  "type": "keyword",
  "info": "DoubleUpDownArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DoubleVerticalBar",
  "type": "keyword",
  "info": "DoubleVerticalBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "DoublyInfinite",
  "type": "keyword",
  "info": "DoublyInfinite is an option for LerchPhi. With DoublyInfinite -> True, the summation is taken from -"
}, {
  "label": "Down",
  "type": "keyword",
  "info": "System`Down"
}, {
  "label": "DownArrow",
  "type": "keyword",
  "info": "DownArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DownArrowBar",
  "type": "keyword",
  "info": "DownArrowBar[x, y, â¦] displays as x â¤ y â¤ â¦."
}, {
  "label": "DownArrowUpArrow",
  "type": "keyword",
  "info": "DownArrowUpArrow[x, y, â¦] displays as x â\\[Micro] y â\\[Micro] â¦."
}, {
  "label": "DownLeftRightVector",
  "type": "keyword",
  "info": "DownLeftRightVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "DownLeftTeeVector",
  "type": "keyword",
  "info": "DownLeftTeeVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "DownLeftVector",
  "type": "keyword",
  "info": "DownLeftVector[x, y, â¦] displays as x â½ y â½ â¦."
}, {
  "label": "DownLeftVectorBar",
  "type": "keyword",
  "info": "DownLeftVectorBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "DownRightTeeVector",
  "type": "keyword",
  "info": "DownRightTeeVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "DownRightVector",
  "type": "keyword",
  "info": "DownRightVector[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "DownRightVectorBar",
  "type": "keyword",
  "info": "DownRightVectorBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "Downsample",
  "type": "keyword",
  "info": "                                                                                    th\nDownsample[ar"
}, {
  "label": "DownTee",
  "type": "keyword",
  "info": "DownTee[x, y] displays as x â¤ y."
}, {
  "label": "DownTeeArrow",
  "type": "keyword",
  "info": "DownTeeArrow[x, y, â¦] displays as x â§ y â§ â¦."
}, {
  "label": "DownValues",
  "type": "keyword",
  "info": "DownValues[f] gives a list of transformation rules corresponding to all downvalues (values for f[â¦])"
}, {
  "label": "DragAndDrop",
  "type": "keyword",
  "info": "DragAndDrop is a global front end option that specifies whether to allow dragâandâdrop editing. "
}, {
  "label": "DrawBackFaces",
  "type": "keyword",
  "info": "System`DrawBackFaces"
}, {
  "label": "DrawEdges",
  "type": "keyword",
  "info": "System`DrawEdges"
}, {
  "label": "DrawFrontFaces",
  "type": "keyword",
  "info": "System`DrawFrontFaces"
}, {
  "label": "DrawHighlighted",
  "type": "keyword",
  "info": "System`DrawHighlighted"
}, {
  "label": "DrazinInverse",
  "type": "keyword",
  "info": "                                                       D\nDrazinInverse[m] finds the Drazin generaliz"
}, {
  "label": "Drop",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DropoutLayer",
  "type": "keyword",
  "info": "DropoutLayer[] represents a net layer that sets its input elements to zero with probability 0.5 duri"
}, {
  "label": "DSolve",
  "type": "keyword",
  "info": "DSolve[eqn, u, x] solves a differential equation for the function u, with independent variableÂ x. DS"
}, {
  "label": "DSolveValue",
  "type": "keyword",
  "info": "DSolveValue[eqn, expr, x] gives the value of expr determined by a symbolic solution to the ordinary "
}, {
  "label": "Dt",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "DualLinearProgramming",
  "type": "keyword",
  "info": "System`DualLinearProgramming"
}, {
  "label": "DualPlanarGraph",
  "type": "keyword",
  "info": "DualPlanarGraph[g] gives the dual of the planar graph g."
}, {
  "label": "DualPolyhedron",
  "type": "keyword",
  "info": "DualPolyhedron[poly] gives the dual polyhedron of the polyhedron poly."
}, {
  "label": "DualSystemsModel",
  "type": "keyword",
  "info": "DualSystemsModel[ssm] gives the dual of the state-space model ssm. "
}, {
  "label": "DumpGet",
  "type": "keyword",
  "info": "DumpGet[ \"filename\"] reads in a file saved with DumpSave."
}, {
  "label": "DumpSave",
  "type": "keyword",
  "info": "DumpSave[\"file.mx\", symbol] writes definitions associated with a symbol to a file in internal Wolfra"
}, {
  "label": "DuplicateFreeQ",
  "type": "keyword",
  "info": "DuplicateFreeQ[list] gives True if list has no duplicates, and False otherwise.DuplicateFreeQ[list, "
}, {
  "label": "Duration",
  "type": "keyword",
  "info": "Duration[expr] returns the duration of expr."
}, {
  "label": "Dynamic",
  "type": "keyword",
  "info": "Dynamic[expr] represents an object that displays as the dynamically updated current value of expr. I"
}, {
  "label": "DynamicBox",
  "type": "keyword",
  "info": "System`DynamicBox"
}, {
  "label": "DynamicBoxOptions",
  "type": "keyword",
  "info": "DynamicBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for DynamicBo"
}, {
  "label": "DynamicEvaluationTimeout",
  "type": "keyword",
  "info": "DynamicEvaluationTimeout is an option for displayed objects, cells, and notebooks that specifies the"
}, {
  "label": "DynamicGeoGraphics",
  "type": "keyword",
  "info": "DynamicGeoGraphics[primitives, options] represents a dynamic, interactive, two-dimensional geographi"
}, {
  "label": "DynamicImage",
  "type": "keyword",
  "info": "DynamicImage[image] displays a dynamic version of image, supporting panning, zooming, etc.DynamicIma"
}, {
  "label": "DynamicLocation",
  "type": "keyword",
  "info": "System`DynamicLocation"
}, {
  "label": "DynamicModule",
  "type": "keyword",
  "info": "DynamicModule[{x, y, â¦}, expr] represents an object which maintains the same local instance of the s"
}, {
  "label": "DynamicModuleBox",
  "type": "keyword",
  "info": "System`DynamicModuleBox"
}, {
  "label": "DynamicModuleBoxOptions",
  "type": "keyword",
  "info": "DynamicModuleBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Dyn"
}, {
  "label": "DynamicModuleParent",
  "type": "keyword",
  "info": "System`DynamicModuleParent"
}, {
  "label": "DynamicModuleValues",
  "type": "keyword",
  "info": "DynamicModuleValues is an option for DynamicModule that stores downvalues of local symbols."
}, {
  "label": "DynamicName",
  "type": "keyword",
  "info": "System`DynamicName"
}, {
  "label": "DynamicNamespace",
  "type": "keyword",
  "info": "System`DynamicNamespace"
}, {
  "label": "DynamicReference",
  "type": "keyword",
  "info": "System`DynamicReference"
}, {
  "label": "DynamicSetting",
  "type": "keyword",
  "info": "DynamicSetting[e] represents an object which displays as e, but is interpreted as the dynamically up"
}, {
  "label": "DynamicUpdating",
  "type": "keyword",
  "info": "DynamicUpdating is an option for displayed objects, cells and notebooks that specifies whether dynam"
}, {
  "label": "DynamicWrapper",
  "type": "keyword",
  "info": "DynamicWrapper[e, expr] represents an object that displays as e, but dynamically updates the express"
}, {
  "label": "DynamicWrapperBox",
  "type": "keyword",
  "info": "System`DynamicWrapperBox"
}, {
  "label": "DynamicWrapperBoxOptions",
  "type": "keyword",
  "info": "DynamicWrapperBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Dy"
}, {
  "label": "D$",
  "type": "keyword",
  "info": "System`D$"
}, {
  "label": "E",
  "type": "keyword",
  "info": "E is the exponential constant ï (base of natural logarithms), with numerical value â 2.71828."
}, {
  "label": "EarthImpactData",
  "type": "keyword",
  "info": "EarthImpactData[entity, property] gives the value of the specified property for the earth impact cra"
}, {
  "label": "EarthquakeData",
  "type": "keyword",
  "info": "EarthquakeData[loc] gives all earthquake properties for the location corresponding to loc.Earthquake"
}, {
  "label": "EccentricityCentrality",
  "type": "keyword",
  "info": "EccentricityCentrality[g] gives a list of eccentricity centralities for the vertices in the graph g."
}, {
  "label": "Echo",
  "type": "keyword",
  "info": "Echo[expr] prints expr and returns expr.Echo[expr, label] prints expr prepending label and returns e"
}, {
  "label": "EchoEvaluation",
  "type": "keyword",
  "info": "EchoEvaluation[expr] prints expr before evaluation, then prints the result after evaluation and retu"
}, {
  "label": "EchoFunction",
  "type": "keyword",
  "info": "EchoFunction[f][expr] prints f[expr] and returns expr.EchoFunction[label, f][expr] prints f[expr] pr"
}, {
  "label": "EchoLabel",
  "type": "keyword",
  "info": "EchoLabel[label][expr] prints expr prepending label and returns expr."
}, {
  "label": "EchoTiming",
  "type": "keyword",
  "info": "EchoTiming[expr] evaluates expr, prints the time in seconds used and returns the result of the evalu"
}, {
  "label": "EclipseType",
  "type": "keyword",
  "info": "EclipseType is an option for SolarEclipse and LunarEclipse that specifies the type of eclipse being "
}, {
  "label": "EdgeAdd",
  "type": "keyword",
  "info": "EdgeAdd[g, e] makes a graph by adding the edge e to the graph g.EdgeAdd[g, {e , e , â¦}] adds a colle"
}, {
  "label": "EdgeBetweennessCentrality",
  "type": "keyword",
  "info": "EdgeBetweennessCentrality[g] gives a list of betweenness centralities for the edges in the graph g.E"
}, {
  "label": "EdgeCapacity",
  "type": "keyword",
  "info": "EdgeCapacity is an option and annotation for Graph and related functions that specifies an edge capa"
}, {
  "label": "EdgeCapForm",
  "type": "keyword",
  "info": "System`EdgeCapForm"
}, {
  "label": "EdgeChromaticNumber",
  "type": "keyword",
  "info": "EdgeChromaticNumber[g] gives the chromatic number for the edges of the graph g."
}, {
  "label": "EdgeColor",
  "type": "keyword",
  "info": "System`EdgeColor"
}, {
  "label": "EdgeConnectivity",
  "type": "keyword",
  "info": "EdgeConnectivity[g] gives the edge connectivity of the graph g.EdgeConnectivity[g, s, t] gives the s"
}, {
  "label": "EdgeContract",
  "type": "keyword",
  "info": "EdgeContract[g, e] contracts the edge e of the graph g.EdgeContract[g, {e , e , â¦}] contracts a coll"
}, {
  "label": "EdgeCost",
  "type": "keyword",
  "info": "EdgeCost is an option and annotation for Graph and related functions that specifies an edge cost."
}, {
  "label": "EdgeCount",
  "type": "keyword",
  "info": "EdgeCount[g] gives a count of the number of edges in the graph g.EdgeCount[g, patt] gives a count of"
}, {
  "label": "EdgeCoverQ",
  "type": "keyword",
  "info": "EdgeCoverQ[g, elist] yields True if the edge list elist is an edge cover of the graph g and False ot"
}, {
  "label": "EdgeCycleMatrix",
  "type": "keyword",
  "info": "EdgeCycleMatrix[g] gives the edge cycle matrix of a graph g.EdgeCycleMatrix[{v ï¢ w, â¦}] uses rules v"
}, {
  "label": "EdgeDashing",
  "type": "keyword",
  "info": "System`EdgeDashing"
}, {
  "label": "EdgeDelete",
  "type": "keyword",
  "info": "EdgeDelete[g, e] makes a graph by deleting the edge e from the graph g.EdgeDelete[g, {e , e , â¦}] de"
}, {
  "label": "EdgeDetect",
  "type": "keyword",
  "info": "EdgeDetect[image] finds edges in image and returns the result as a binary image.EdgeDetect[image, r]"
}, {
  "label": "EdgeForm",
  "type": "keyword",
  "info": "EdgeForm[g] is a graphics directive that specifies that edges of polygons and other filled graphics "
}, {
  "label": "EdgeIndex",
  "type": "keyword",
  "info": "EdgeIndex[g, e] gives the integer index for the edge e in the graph g.EdgeIndex[{v ï¢ w, â¦}, â¦] uses "
}, {
  "label": "EdgeJoinForm",
  "type": "keyword",
  "info": "System`EdgeJoinForm"
}, {
  "label": "EdgeLabeling",
  "type": "keyword",
  "info": "EdgeLabeling is an option for GraphPlot and related functions that specifies whether labeling specif"
}, {
  "label": "EdgeLabels",
  "type": "keyword",
  "info": "EdgeLabels is an option and annotation for Graph and related functions that specifies what labels an"
}, {
  "label": "EdgeLabelStyle",
  "type": "keyword",
  "info": "EdgeLabelStyle is an option and property for Graph and related functions that specifies the style to"
}, {
  "label": "EdgeList",
  "type": "keyword",
  "info": "EdgeList[g] gives the list of edges for the graph g.EdgeList[g, patt] gives a list of edges that mat"
}, {
  "label": "EdgeOpacity",
  "type": "keyword",
  "info": "System`EdgeOpacity"
}, {
  "label": "EdgeQ",
  "type": "keyword",
  "info": "EdgeQ[g, e] yields True if e is an edge in the graph g and False otherwise."
}, {
  "label": "EdgeRenderingFunction",
  "type": "keyword",
  "info": "EdgeRenderingFunction is an option for GraphPlot and related functions that gives a function to gene"
}, {
  "label": "EdgeRules",
  "type": "keyword",
  "info": "EdgeRules[g] gives the list of edge rules for the graph g.EdgeRules[{v ï¢ w, â¦}] uses rules v ï¢ w to "
}, {
  "label": "EdgeShapeFunction",
  "type": "keyword",
  "info": "EdgeShapeFunction is an option and annotation for Graph and related functions that specifies a funct"
}, {
  "label": "EdgeStyle",
  "type": "keyword",
  "info": "EdgeStyle is an option and annotation for Graph and related functions that specifies what style to u"
}, {
  "label": "EdgeTaggedGraph",
  "type": "keyword",
  "info": "EdgeTaggedGraph[{e , e , â¦}] yields a graph with edges e  tagged with unique tags.EdgeTaggedGraph[{e"
}, {
  "label": "EdgeTaggedGraphQ",
  "type": "keyword",
  "info": "EdgeTaggedGraphQ[g] yields True if the graph g has edges tagged and False otherwise."
}, {
  "label": "EdgeTags",
  "type": "keyword",
  "info": "EdgeTags[g] gives the list of tags for all edges in the graph g.EdgeTags[g, {u, v}] gives the list o"
}, {
  "label": "EdgeThickness",
  "type": "keyword",
  "info": "System`EdgeThickness"
}, {
  "label": "EdgeTransitiveGraphQ",
  "type": "keyword",
  "info": "EdgeTransitiveGraphQ[g] yields True if the graph g is a edge-transitive graph and False otherwise."
}, {
  "label": "EdgeValueRange",
  "type": "keyword",
  "info": "EdgeValueRange is an option for GeoGraphValuePlot that specifies the range of edge values to include"
}, {
  "label": "EdgeValueSizes",
  "type": "keyword",
  "info": "EdgeValueSizes is an option for GeoGraphValuePlot that specifies the thicknesses used to show edge v"
}, {
  "label": "EdgeWeight",
  "type": "keyword",
  "info": "EdgeWeight is an option and annotation for Graph and related functions that specifies an edge weight"
}, {
  "label": "EdgeWeightedGraphQ",
  "type": "keyword",
  "info": "EdgeWeightedGraphQ[g] yields True if the graph g is an edge-weighted graph and False otherwise."
}, {
  "label": "Editable",
  "type": "keyword",
  "info": "Editable is an option for displayed objects, cells, and notebooks that specifies whether their conte"
}, {
  "label": "EditButtonSettings",
  "type": "keyword",
  "info": "System`EditButtonSettings"
}, {
  "label": "EditCellTagsSettings",
  "type": "keyword",
  "info": "EditCellTagsSettings is a global option that specifies settings for the Edit Cell Tags dialog box."
}, {
  "label": "EditDistance",
  "type": "keyword",
  "info": "EditDistance[u, v] gives the edit or Levenshtein distance between strings or vectors u and v.EditDis"
}, {
  "label": "EffectiveInterest",
  "type": "keyword",
  "info": "EffectiveInterest[r, q] gives the effective interest rate corresponding to interest specification r,"
}, {
  "label": "Eigensystem",
  "type": "keyword",
  "info": "Eigensystem[m] gives a list {values, vectors} of the eigenvalues and eigenvectors of the square matr"
}, {
  "label": "Eigenvalues",
  "type": "keyword",
  "info": "Eigenvalues[m] gives a list of the eigenvalues of the square matrix m. Eigenvalues[{m, a}] gives the"
}, {
  "label": "EigenvectorCentrality",
  "type": "keyword",
  "info": "EigenvectorCentrality[g] gives a list of eigenvector centralities for the vertices in the graph g.Ei"
}, {
  "label": "Eigenvectors",
  "type": "keyword",
  "info": "Eigenvectors[m] gives a list of the eigenvectors of the square matrix m. Eigenvectors[{m, a}] gives "
}, {
  "label": "Element",
  "type": "keyword",
  "info": "Element[x, dom] or x â dom asserts that x is an element of the domain dom. Element[x, reg] or x â re"
}, {
  "label": "ElementData",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ElementwiseLayer",
  "type": "keyword",
  "info": "ElementwiseLayer[f] represents a net layer that applies a unary function f to every element of the i"
}, {
  "label": "ElidedForms",
  "type": "keyword",
  "info": "ElidedForms is an option to TextString and related functions that specifies which expressions should"
}, {
  "label": "Eliminate",
  "type": "keyword",
  "info": "Eliminate[eqns, vars] eliminates variables between a set of simultaneous equations. "
}, {
  "label": "EliminationOrder",
  "type": "keyword",
  "info": "System`EliminationOrder"
}, {
  "label": "Ellipsoid",
  "type": "keyword",
  "info": "Ellipsoid[p, {r , â¦}] represents an axis-aligned ellipsoid centered at the point p and with semiaxes"
}, {
  "label": "EllipticE",
  "type": "keyword",
  "info": "EllipticE[m] gives the complete elliptic integral E(m). EllipticE[Ï, m] gives the elliptic integral "
}, {
  "label": "EllipticExp",
  "type": "keyword",
  "info": "EllipticExp[u, {a, b}] is the inverse for EllipticLog. It produces a list {x, y} such that u == Elli"
}, {
  "label": "EllipticExpPrime",
  "type": "keyword",
  "info": "EllipticExpPrime[u, {a, b}] gives the derivative of EllipticExp[u, {a, b}] with respect to u."
}, {
  "label": "EllipticF",
  "type": "keyword",
  "info": "EllipticF[Ï, m] gives the elliptic integral of the first kind F(Ï ï\.b2 m). "
}, {
  "label": "EllipticFilterModel",
  "type": "keyword",
  "info": "EllipticFilterModel[n] designs a lowpass elliptic filter of order n.EllipticFilterModel[{n, Ï }] use"
}, {
  "label": "EllipticK",
  "type": "keyword",
  "info": "EllipticK[m] gives the complete elliptic integral of the first kind K(m). "
}, {
  "label": "EllipticLog",
  "type": "keyword",
  "info": "                                                                                                2   "
}, {
  "label": "EllipticNomeQ",
  "type": "keyword",
  "info": "EllipticNomeQ[m] gives the nome q corresponding to the parameter m in an elliptic function. "
}, {
  "label": "EllipticPi",
  "type": "keyword",
  "info": "EllipticPi[n, m] gives the complete elliptic integral of the third kind Î  (n ï\.b2 m). EllipticPi[n, Ï, "
}, {
  "label": "EllipticReducedHalfPeriods",
  "type": "keyword",
  "info": "EllipticReducedHalfPeriods[{u, v}] gives a reduced pair of half periods {w, w '} corresponding to th"
}, {
  "label": "EllipticTheta",
  "type": "keyword",
  "info": "EllipticTheta[a, u, q] gives the theta function Ï (u, q) (a = 1, â¦, 4).EllipticTheta[a, q] gives the"
}, {
  "label": "EllipticThetaPrime",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "EmbedCode",
  "type": "keyword",
  "info": "EmbedCode[obj] generates the code necessary to embed the object obj on a webpage.EmbedCode[obj, \"des"
}, {
  "label": "EmbeddedHTML",
  "type": "keyword",
  "info": "EmbeddedHTML[\"string\"] is an object that formats as a web frame containing the HTML content \"string\""
}, {
  "label": "EmbeddedService",
  "type": "keyword",
  "info": "EmbeddedService[service] is an object that formats as a web frame containing content from the specif"
}, {
  "label": "EmbeddedSQLEntityClass",
  "type": "keyword",
  "info": "EmbeddedSQLEntityClass[string, props] represents a verbatim SQL query to be interpreted as an entity"
}, {
  "label": "EmbeddedSQLExpression",
  "type": "keyword",
  "info": "EmbeddedSQLExpression[string] represents an SQL expression to be evaluated verbatim within an Entity"
}, {
  "label": "EmbeddingLayer",
  "type": "keyword",
  "info": "EmbeddingLayer[size, n] represents a trainable net layer that embeds integers between 1 and n into a"
}, {
  "label": "EmbeddingObject",
  "type": "keyword",
  "info": "System`EmbeddingObject"
}, {
  "label": "EmitSound",
  "type": "keyword",
  "info": "EmitSound[snd] emits the sound snd when evaluated. EmitSound[{snd , snd , â¦}] emits each of the soun"
}, {
  "label": "EmphasizeSyntaxErrors",
  "type": "keyword",
  "info": "System`EmphasizeSyntaxErrors"
}, {
  "label": "EmpiricalDistribution",
  "type": "keyword",
  "info": "EmpiricalDistribution[{x , x , â¦}] represents an empirical distribution based on the data values x ."
}, {
  "label": "Empty",
  "type": "keyword",
  "info": "System`Empty"
}, {
  "label": "EmptyGraphQ",
  "type": "keyword",
  "info": "EmptyGraphQ[g] yields True if g is an empty graph and False otherwise."
}, {
  "label": "EmptyRegion",
  "type": "keyword",
  "info": "                                               n\nEmptyRegion[n] represents the empty subset of ï\\[Micro] . "
}, {
  "label": "EmptySpaceF",
  "type": "keyword",
  "info": "EmptySpaceF[pdata, r] estimates the empty space function F(r) for point data pdata at radius r.Empty"
}, {
  "label": "EnableConsolePrintPacket",
  "type": "keyword",
  "info": "System`EnableConsolePrintPacket"
}, {
  "label": "Enabled",
  "type": "keyword",
  "info": "Enabled is an option for objects such as Slider that specifies whether the objects should be enabled"
}, {
  "label": "Enclose",
  "type": "keyword",
  "info": "Enclose[expr] attempts to evaluate expr and return the result, but stops if it catches an error and "
}, {
  "label": "Encode",
  "type": "keyword",
  "info": "Encode[\"source\", \"dest\"] writes an encoded version of the file source to the file dest. << dest deco"
}, {
  "label": "Encrypt",
  "type": "keyword",
  "info": "Encrypt[\"password\", expr] encrypts expr using the specified password, to give an encrypted object.En"
}, {
  "label": "EncryptedObject",
  "type": "keyword",
  "info": "EncryptedObject[assoc] represents encrypted data generated by Encrypt."
}, {
  "label": "EncryptFile",
  "type": "keyword",
  "info": "EncryptFile[\"password\", file] generates an encrypted version of a file, using the specified password"
}, {
  "label": "End",
  "type": "keyword",
  "info": "End[] returns the present context, and reverts to the previous one. "
}, {
  "label": "EndAdd",
  "type": "keyword",
  "info": "EndAdd[ ] returns the present context, and reverts to the previous one, prepending the present conte"
}, {
  "label": "EndDialogPacket",
  "type": "keyword",
  "info": "EndDialogPacket[integer] is a WSTP packet indicating the end of the Dialog subsession referenced by "
}, {
  "label": "EndFrontEndInteractionPacket",
  "type": "keyword",
  "info": "System`EndFrontEndInteractionPacket"
}, {
  "label": "EndOfBuffer",
  "type": "keyword",
  "info": "EndOfBuffer is a symbol that represents the end of currently available data in the buffer for a proc"
}, {
  "label": "EndOfFile",
  "type": "keyword",
  "info": "EndOfFile is a symbol returned by Read when it reaches the end of a file. "
}, {
  "label": "EndOfLine",
  "type": "keyword",
  "info": "EndOfLine represents the end of a line in a string for purposes of matching in StringExpression."
}, {
  "label": "EndOfString",
  "type": "keyword",
  "info": "EndOfString represents the end of a string for purposes of matching in StringExpression."
}, {
  "label": "EndPackage",
  "type": "keyword",
  "info": "EndPackage[] restores $Context and $ContextPath to their values before the preceding BeginPackage, a"
}, {
  "label": "EngineEnvironment",
  "type": "keyword",
  "info": "System`EngineEnvironment"
}, {
  "label": "EngineeringForm",
  "type": "keyword",
  "info": "EngineeringForm[expr] prints with all real numbers in expr given in engineering notation. Engineerin"
}, {
  "label": "Enter",
  "type": "keyword",
  "info": "System`Enter"
}, {
  "label": "EnterExpressionPacket",
  "type": "keyword",
  "info": "EnterExpressionPacket[expr] is a WSTP packet that requests the evaluation of expr."
}, {
  "label": "EnterTextPacket",
  "type": "keyword",
  "info": "EnterTextPacket[string] is a WSTP packet that requests the parsing and evaluation of string as an ex"
}, {
  "label": "Entity",
  "type": "keyword",
  "info": "Entity[\"type\", name] represents an entity of the specified type, identified by name.Entity[cspec, na"
}, {
  "label": "EntityClass",
  "type": "keyword",
  "info": "EntityClass[\"type\", name] represents a class of entities of the specified type identified by name.En"
}, {
  "label": "EntityClassList",
  "type": "keyword",
  "info": "EntityClassList[\"type\"] gives a list of entity classes for the specified type of entity."
}, {
  "label": "EntityCopies",
  "type": "keyword",
  "info": "EntityCopies[entity, n] represents n copies of entity."
}, {
  "label": "EntityFunction",
  "type": "keyword",
  "info": "EntityFunction[x, body] is a function with a single formal parameter x, to be used in EntityValue an"
}, {
  "label": "EntityGroup",
  "type": "keyword",
  "info": "EntityGroup[{entity , entity , â¦}] represents a group of entities.\n                   1        2"
}, {
  "label": "EntityInstance",
  "type": "keyword",
  "info": "EntityInstance[entity, qual ï¢ val] represents an entity whose qualifier qual has value val.EntityIns"
}, {
  "label": "EntityList",
  "type": "keyword",
  "info": "EntityList[class] gives a list of entities in the specified entity class. EntityList[\"type\"] gives a"
}, {
  "label": "EntityPrefetch",
  "type": "keyword",
  "info": "EntityPrefetch[\"type\"] fetches cacheable values associated with all entities of the specified type.E"
}, {
  "label": "EntityProperties",
  "type": "keyword",
  "info": "EntityProperties[type] lists properties associated with entity type type."
}, {
  "label": "EntityProperty",
  "type": "keyword",
  "info": "EntityProperty[type, pname] represents a property identified by pname for use in EntityValue.EntityP"
}, {
  "label": "EntityPropertyClass",
  "type": "keyword",
  "info": "EntityPropertyClass[type, pcname] represents a class of properties identified by the name pcname."
}, {
  "label": "EntityRegister",
  "type": "keyword",
  "info": "EntityRegister[estore] registers the entities in the entity store estore so that they can be accesse"
}, {
  "label": "EntityStore",
  "type": "keyword",
  "info": "EntityStore[\"type\"] represents an empty entity store for entities of type \"type\".EntityStore[\"type\" "
}, {
  "label": "EntityStores",
  "type": "keyword",
  "info": "EntityStores[] gives a list of all registered entity stores that are accessed when Entity is used."
}, {
  "label": "EntityTypeName",
  "type": "keyword",
  "info": "EntityTypeName[entity] gives the name of the entity type of entity.EntityTypeName[{entity , â¦, entit"
}, {
  "label": "EntityUnregister",
  "type": "keyword",
  "info": "EntityUnregister[\"type\"] unregisters all entities in the first entity store that defines entities of"
}, {
  "label": "EntityValue",
  "type": "keyword",
  "info": "EntityValue[entity, property] gives the value of the specified property for the given entity.EntityV"
}, {
  "label": "Entropy",
  "type": "keyword",
  "info": "Entropy[list] gives the base ï information entropy of the values in list.Entropy[k, list] gives the "
}, {
  "label": "EntropyFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Environment",
  "type": "keyword",
  "info": "Environment[\"var\"] gives the value of an operating system environment variable. "
}, {
  "label": "Epilog",
  "type": "keyword",
  "info": "Epilog is an option for graphics functions that gives a list of graphics primitives to be rendered a"
}, {
  "label": "EpilogFunction",
  "type": "keyword",
  "info": "EpilogFunction is an option for DocumentGenerator allowing arbitrary code to be executed after a doc"
}, {
  "label": "Equal",
  "type": "keyword",
  "info": "lhs == rhs returns True if lhs and rhs are identical. "
}, {
  "label": "EqualColumns",
  "type": "keyword",
  "info": "EqualColumns is an option to GridBox which specifies whether the size of the columns are all set to "
}, {
  "label": "EqualRows",
  "type": "keyword",
  "info": "EqualRows is an option to GridBox which specifies whether the size of the rows are all set to the si"
}, {
  "label": "EqualTilde",
  "type": "keyword",
  "info": "EqualTilde[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "EqualTo",
  "type": "keyword",
  "info": "EqualTo[y] is an operator form that yields x == y when applied to an expression x. "
}, {
  "label": "EquatedTo",
  "type": "keyword",
  "info": "EquatedTo is an option for Roots, which specifies an expression to use in place of the variable in t"
}, {
  "label": "Equilibrium",
  "type": "keyword",
  "info": "Equilibrium[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "EquirippleFilterKernel",
  "type": "keyword",
  "info": "EquirippleFilterKernel[{{{Ï  , Ï  }, {Ï  , Ï  }, â¦}, {a , a , â¦}}, n] creates a finite impulse respo"
}, {
  "label": "Equivalent",
  "type": "keyword",
  "info": "Equivalent[e , e , â¦] represents the logical equivalence e  â e  â â¦, giving True when all of the e "
}, {
  "label": "Erf",
  "type": "keyword",
  "info": "Erf[z] gives the error function erf(z). Erf[z , z ] gives the generalized error function erf(z ) - e"
}, {
  "label": "Erfc",
  "type": "keyword",
  "info": "Erfc[z] gives the complementary error function erfc(z). "
}, {
  "label": "Erfi",
  "type": "keyword",
  "info": "Erfi[z] gives the imaginary error function erf(iï z)\/i. "
}, {
  "label": "ErlangB",
  "type": "keyword",
  "info": "ErlangB[c, a] computes the Erlang B loss probability for an M\/M\/c\/c queue."
}, {
  "label": "ErlangC",
  "type": "keyword",
  "info": "ErlangC[c, a] computes the Erlang C probability for nonzero waiting time in an M\/M\/c queue."
}, {
  "label": "ErlangDistribution",
  "type": "keyword",
  "info": "ErlangDistribution[k, Î»] represents the Erlang distribution with shape parameter k and rate Î»."
}, {
  "label": "Erosion",
  "type": "keyword",
  "info": "Erosion[image, ker] gives the morphological erosion of image with respect to the structuring element"
}, {
  "label": "ErrorBox",
  "type": "keyword",
  "info": "ErrorBox[boxes] is a low-level box construct that represents boxes that cannot be interpreted in inp"
}, {
  "label": "ErrorBoxOptions",
  "type": "keyword",
  "info": "System`ErrorBoxOptions"
}, {
  "label": "ErrorNorm",
  "type": "keyword",
  "info": "System`ErrorNorm"
}, {
  "label": "ErrorPacket",
  "type": "keyword",
  "info": "System`ErrorPacket"
}, {
  "label": "ErrorsDialogSettings",
  "type": "keyword",
  "info": "System`ErrorsDialogSettings"
}, {
  "label": "EscapeRadius",
  "type": "keyword",
  "info": "EscapeRadius is an option to MandelbrotSetPlot that specifies the criterion to use to decide that a "
}, {
  "label": "EstimatedBackground",
  "type": "keyword",
  "info": "EstimatedBackground[data] estimates the background of data.EstimatedBackground[data, Ï] tries to pre"
}, {
  "label": "EstimatedDistribution",
  "type": "keyword",
  "info": "EstimatedDistribution[data, dist] estimates the parametric distribution dist from data.EstimatedDist"
}, {
  "label": "EstimatedPointProcess",
  "type": "keyword",
  "info": "EstimatedPointProcess[pdata, pproc] estimates the parametric point process pproc from point data pda"
}, {
  "label": "EstimatedProcess",
  "type": "keyword",
  "info": "EstimatedProcess[data, proc] estimates the parametric process proc from data.EstimatedProcess[data, "
}, {
  "label": "EstimatedVariogramModel",
  "type": "keyword",
  "info": "EstimatedVariogramModel[{loc  ï¢ val , loc  ï¢ val , â¦}] estimates the best variogram function from va"
}, {
  "label": "EstimatorGains",
  "type": "keyword",
  "info": "EstimatorGains[ssm, {p , p , â¦, p }] gives the estimator gain matrix for the StateSpaceModel ssm, su"
}, {
  "label": "EstimatorRegulator",
  "type": "keyword",
  "info": "EstimatorRegulator[sspec, {l, Îº}] gives the output feedback controller with estimator and regulator "
}, {
  "label": "EuclideanDistance",
  "type": "keyword",
  "info": "EuclideanDistance[u, v] gives the Euclidean distance between vectors u and v."
}, {
  "label": "EulerAngles",
  "type": "keyword",
  "info": "EulerAngles[r] gives Euler angles {Î\\[PlusMinus], Î\.b2, Î\.b3} corresponding to the rotation matrix r.EulerAngles[r, {a"
}, {
  "label": "EulerCharacteristic",
  "type": "keyword",
  "info": "EulerCharacteristic[poly] gives the Euler characteristic of a poly."
}, {
  "label": "EulerE",
  "type": "keyword",
  "info": "EulerE[n] gives the Euler number E . EulerE[n, x] gives the Euler polynomial E (x). \n               "
}, {
  "label": "EulerGamma",
  "type": "keyword",
  "info": "EulerGamma is Eulerâs constant Î\.b3, with numerical value â 0.577216. "
}, {
  "label": "EulerianGraphQ",
  "type": "keyword",
  "info": "EulerianGraphQ[g] yields True if the graph g is Eulerian, and False otherwise."
}, {
  "label": "EulerMatrix",
  "type": "keyword",
  "info": "EulerMatrix[{Î\\[PlusMinus], Î\.b2, Î\.b3}] gives the Euler 3D rotation matrix formed by rotating by Î\\[PlusMinus] around the current"
}, {
  "label": "EulerPhi",
  "type": "keyword",
  "info": "EulerPhi[n] gives the Euler totient function Ï(n). "
}, {
  "label": "Evaluatable",
  "type": "keyword",
  "info": "Evaluatable is an option for Cell that specifies whether a cell should be used as input to be evalua"
}, {
  "label": "Evaluate",
  "type": "keyword",
  "info": "Evaluate[expr] causes expr to be evaluated even if it appears as the argument of a function whose at"
}, {
  "label": "Evaluated",
  "type": "keyword",
  "info": "System`Evaluated"
}, {
  "label": "EvaluatePacket",
  "type": "keyword",
  "info": "EvaluatePacket[expr] is a WSTP packet requesting evaluation of expr."
}, {
  "label": "EvaluateScheduledTask",
  "type": "keyword",
  "info": "EvaluateScheduledTask[expr] triggers immediate local execution of the specified task object."
}, {
  "label": "EvaluationBox",
  "type": "keyword",
  "info": "EvaluationBox[] returns a BoxObject corresponding to the box structure in which this function is bei"
}, {
  "label": "EvaluationCell",
  "type": "keyword",
  "info": "EvaluationCell[] returns a CellObject corresponding to the cell in which this function is being eval"
}, {
  "label": "EvaluationCompletionAction",
  "type": "keyword",
  "info": "EvaluationCompletionAction is an option for notebooks that specifies the action taken when an evalua"
}, {
  "label": "EvaluationData",
  "type": "keyword",
  "info": "EvaluationData[expr] gives an association containing the result of evaluating expr and metadata abou"
}, {
  "label": "EvaluationElements",
  "type": "keyword",
  "info": "EvaluationElements is an option for NotebookEvaluate that determines which cells to evaluate."
}, {
  "label": "EvaluationEnvironment",
  "type": "keyword",
  "info": "EvaluationEnvironment is an option for functions such as InitializationValue and InitializationObjec"
}, {
  "label": "EvaluationMode",
  "type": "keyword",
  "info": "System`EvaluationMode"
}, {
  "label": "EvaluationMonitor",
  "type": "keyword",
  "info": "EvaluationMonitor is an option for various numerical computation and plotting functions that gives a"
}, {
  "label": "EvaluationNotebook",
  "type": "keyword",
  "info": "EvaluationNotebook[] gives the notebook in which this function is being evaluated. "
}, {
  "label": "EvaluationObject",
  "type": "keyword",
  "info": "EvaluationObject[n, expr, â¦] represents an expression submitted for evaluation on any available para"
}, {
  "label": "EvaluationOrder",
  "type": "keyword",
  "info": "System`EvaluationOrder"
}, {
  "label": "EvaluationPrivileges",
  "type": "keyword",
  "info": "EvaluationPrivileges is an option for CloudObject and related cloud functions that specifies what ot"
}, {
  "label": "EvaluationRateLimit",
  "type": "keyword",
  "info": "System`EvaluationRateLimit"
}, {
  "label": "Evaluator",
  "type": "keyword",
  "info": "Evaluator is an option for objects such as Button, Dynamic, and Cell that gives the name of the kern"
}, {
  "label": "EvaluatorNames",
  "type": "keyword",
  "info": "EvaluatorNames is a global option that specifies the kernels that are currently configured to perfor"
}, {
  "label": "EvenQ",
  "type": "keyword",
  "info": "EvenQ[expr] gives True if expr is an even integer, and False otherwise. "
}, {
  "label": "EventData",
  "type": "keyword",
  "info": "EventData[{e , e , â¦}] represents event data with explicitly specified censoring e .EventData[{e , e"
}, {
  "label": "EventEvaluator",
  "type": "keyword",
  "info": "System`EventEvaluator"
}, {
  "label": "EventHandler",
  "type": "keyword",
  "info": "EventHandler[expr, {event  :> action , event  :> action , â¦}] displays as expr, evaluating action  w"
}, {
  "label": "EventHandlerTag",
  "type": "keyword",
  "info": "System`EventHandlerTag"
}, {
  "label": "EventLabels",
  "type": "keyword",
  "info": "EventLabels is an option to CandlestickChart, KagiChart, and similar functions that specifies events"
}, {
  "label": "EventSeries",
  "type": "keyword",
  "info": "EventSeries[{{t , v }, {t , v } â¦}] represents a series of events given as time-value pairs {t , v }"
}, {
  "label": "ExactBlackmanWindow",
  "type": "keyword",
  "info": "ExactBlackmanWindow[x] represents an exact Blackman window function of x."
}, {
  "label": "ExactNumberQ",
  "type": "keyword",
  "info": "ExactNumberQ[expr] returns True if expr is an exact real or complex number, and returns False otherw"
}, {
  "label": "ExactRootIsolation",
  "type": "keyword",
  "info": "ExactRootIsolation is an option for Root, which specifies whether exact isolating intervals rather t"
}, {
  "label": "ExampleData",
  "type": "keyword",
  "info": "ExampleData[\"type\"] gives a list of names of examples of the specified type.ExampleData[{\"type\", \"na"
}, {
  "label": "Except",
  "type": "keyword",
  "info": "Except[c] is a pattern object which represents any expression except one that matches c. Except[c, p"
}, {
  "label": "ExcludedContexts",
  "type": "keyword",
  "info": "ExcludedContexts is an option for FullDefinition, Manipulate and related symbols that gives contexts"
}, {
  "label": "ExcludedForms",
  "type": "keyword",
  "info": "ExcludedForms is an option that gives a list of patterns for expressions that should be excluded fro"
}, {
  "label": "ExcludedLines",
  "type": "keyword",
  "info": "ExcludedLines is an option for SemanticImport and related functions that specifies which lines shoul"
}, {
  "label": "ExcludedPhysicalQuantities",
  "type": "keyword",
  "info": "ExcludedPhysicalQuantities is an option for FormulaLookup that specifies physical quantities that sh"
}, {
  "label": "ExcludePods",
  "type": "keyword",
  "info": "ExcludePods is an option to WolframAlpha that specifies pod IDs to exclude from the results."
}, {
  "label": "Exclusions",
  "type": "keyword",
  "info": "Exclusions is an option that specifies where to exclude in regions used by functions like Plot, Plot"
}, {
  "label": "ExclusionsStyle",
  "type": "keyword",
  "info": "ExclusionsStyle is an option to plotting functions that specifies how to render subregions excluded "
}, {
  "label": "Exists",
  "type": "keyword",
  "info": "Exists[x, expr] represents the statement that there exists a value of x for which expr is True. Exis"
}, {
  "label": "Exit",
  "type": "keyword",
  "info": "Exit[] terminates a Wolfram Language kernel session. "
}, {
  "label": "ExitDialog",
  "type": "keyword",
  "info": "System`ExitDialog"
}, {
  "label": "ExoplanetData",
  "type": "keyword",
  "info": "ExoplanetData[entity, property] gives the value of the specified property for the exoplanet entity.E"
}, {
  "label": "Exp",
  "type": "keyword",
  "info": "Exp[z] gives the exponential of z. "
}, {
  "label": "Expand",
  "type": "keyword",
  "info": "Expand[expr] expands out products and positive integer powers in expr. Expand[expr, patt] leaves une"
}, {
  "label": "ExpandAll",
  "type": "keyword",
  "info": "ExpandAll[expr] expands out all products and integer powers in any part of expr. ExpandAll[expr, pat"
}, {
  "label": "ExpandDenominator",
  "type": "keyword",
  "info": "ExpandDenominator[expr] expands out products and powers that appear as denominators in expr. "
}, {
  "label": "ExpandFileName",
  "type": "keyword",
  "info": "ExpandFileName[\"name\"] textually expands name to have the form of an absolute file name for your ope"
}, {
  "label": "ExpandNumerator",
  "type": "keyword",
  "info": "ExpandNumerator[expr] expands out products and powers that appear in the numerator of expr. "
}, {
  "label": "Expectation",
  "type": "keyword",
  "info": "Expectation[expr, x ï dist] gives the expectation of expr under the assumption that x follows the pr"
}, {
  "label": "ExpectationE",
  "type": "keyword",
  "info": "System`ExpectationE"
}, {
  "label": "ExpectedValue",
  "type": "keyword",
  "info": "ExpectedValue[f, list] gives the expected value of the pure function f with respect to the values in"
}, {
  "label": "ExpGammaDistribution",
  "type": "keyword",
  "info": "ExpGammaDistribution[Îº, Î¸, Î¼] represents an exp-gamma distribution with shape parameter Îº, scale par"
}, {
  "label": "ExpIntegralE",
  "type": "keyword",
  "info": "ExpIntegralE[n, z] gives the exponential integral function E (z).\n                                  "
}, {
  "label": "ExpIntegralEi",
  "type": "keyword",
  "info": "ExpIntegralEi[z] gives the exponential integral function Ei(z). "
}, {
  "label": "ExpirationDate",
  "type": "keyword",
  "info": "ExpirationDate is an option for various functions that specifies when a persistent value should be t"
}, {
  "label": "Exponent",
  "type": "keyword",
  "info": "Exponent[expr, form] gives the maximum power with which form appears in the expanded form of expr. E"
}, {
  "label": "ExponentFunction",
  "type": "keyword",
  "info": "ExponentFunction is an option for NumberForm and related functions that determines the exponent to u"
}, {
  "label": "ExponentialDistribution",
  "type": "keyword",
  "info": "ExponentialDistribution[Î»] represents an exponential distribution with scale inversely proportional "
}, {
  "label": "ExponentialFamily",
  "type": "keyword",
  "info": "ExponentialFamily is an option for GeneralizedLinearModelFit that specifies the exponential family f"
}, {
  "label": "ExponentialGeneratingFunction",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ExponentialMovingAverage",
  "type": "keyword",
  "info": "ExponentialMovingAverage[list, Î\\[PlusMinus]] gives the exponential moving average of list with smoothing consta"
}, {
  "label": "ExponentialPowerDistribution",
  "type": "keyword",
  "info": "ExponentialPowerDistribution[Îº, Î¼, Ï] represents an exponential power distribution with shape parame"
}, {
  "label": "ExponentPosition",
  "type": "keyword",
  "info": "ExponentPosition is an option for RadicalBox that specifies the placement of the index outside a rad"
}, {
  "label": "ExponentStep",
  "type": "keyword",
  "info": "ExponentStep is an option for NumberForm and related functions that determines in what steps exponen"
}, {
  "label": "Export",
  "type": "keyword",
  "info": "Export[\"dest.ext\", expr] exports data to a file, converting it to the format corresponding to the fi"
}, {
  "label": "ExportAutoReplacements",
  "type": "keyword",
  "info": "ExportAutoReplacements is an option for cells that specifies which replacement rules the Wolfram Lan"
}, {
  "label": "ExportByteArray",
  "type": "keyword",
  "info": "ExportByteArray[expr, \"format\"] generates a ByteArray object corresponding to expr exported in the s"
}, {
  "label": "ExportForm",
  "type": "keyword",
  "info": "ExportForm[expr, \"fmt\"] specifies that expr should be exported in the specified format in functions "
}, {
  "label": "ExportPacket",
  "type": "keyword",
  "info": "System`ExportPacket"
}, {
  "label": "ExportString",
  "type": "keyword",
  "info": "ExportString[expr, \"format\"] generates a string corresponding to expr exported in the specified form"
}, {
  "label": "Expression",
  "type": "keyword",
  "info": "Expression is a symbol that represents an ordinary Wolfram Language expression in Read and related f"
}, {
  "label": "ExpressionCell",
  "type": "keyword",
  "info": "ExpressionCell[expr] gives an expression cell that can appear in a Wolfram System notebook.Expressio"
}, {
  "label": "ExpressionGraph",
  "type": "keyword",
  "info": "ExpressionGraph[expr] gives the tree graph with different levels at different depths. ExpressionGrap"
}, {
  "label": "ExpressionPacket",
  "type": "keyword",
  "info": "System`ExpressionPacket"
}, {
  "label": "ExpressionTree",
  "type": "keyword",
  "info": "ExpressionTree[expr] gives a Tree object from the structure of the expression expr.ExpressionTree[ex"
}, {
  "label": "ExpressionUUID",
  "type": "keyword",
  "info": "ExpressionUUID is an option for Cell and Notebook that holds the assigned unique UUID string."
}, {
  "label": "ExpToTrig",
  "type": "keyword",
  "info": "ExpToTrig[expr] converts exponentials in expr to trigonometric functions. "
}, {
  "label": "ExtendedEntityClass",
  "type": "keyword",
  "info": "ExtendedEntityClass[class, \"name\" ï¢ f] represents an entity class derived from class by adding a new"
}, {
  "label": "ExtendedGCD",
  "type": "keyword",
  "info": "ExtendedGCD[n , n , â¦] gives the extended greatest common divisor of the integers n . \n             "
}, {
  "label": "Extension",
  "type": "keyword",
  "info": "Extension is an option for various polynomial and algebraic functions that specifies generators for "
}, {
  "label": "ExtentElementFunction",
  "type": "keyword",
  "info": "ExtentElementFunction is an option to DiscretePlot and DiscretePlot3D that gives a function to use t"
}, {
  "label": "ExtentMarkers",
  "type": "keyword",
  "info": "ExtentMarkers is an option to DiscretePlot and DiscretePlot3D that specifies markers to draw at exte"
}, {
  "label": "ExtentSize",
  "type": "keyword",
  "info": "ExtentSize is an option to DiscretePlot and DiscretePlot3D that specifies how far to extend out from"
}, {
  "label": "ExternalBundle",
  "type": "keyword",
  "info": "ExternalBundle[{name  ï¢ obj , name  ï¢ obj , â¦}] represents a bundle of resources to be externally de"
}, {
  "label": "ExternalCall",
  "type": "keyword",
  "info": "System`ExternalCall"
}, {
  "label": "ExternalDataCharacterEncoding",
  "type": "keyword",
  "info": "ExternalDataCharacterEncoding is a global option that specifies the character encoding used in readi"
}, {
  "label": "ExternalEvaluate",
  "type": "keyword",
  "info": "ExternalEvaluate[\"sys\", \"cmd\"] evaluates the command cmd in the external evaluator sys, returning an"
}, {
  "label": "ExternalFunction",
  "type": "keyword",
  "info": "ExternalFunction[sys, \"f\"] represents an external function named \"f\" defined in the external evaluat"
}, {
  "label": "ExternalFunctionName",
  "type": "keyword",
  "info": "System`ExternalFunctionName"
}, {
  "label": "ExternalIdentifier",
  "type": "keyword",
  "info": "ExternalIdentifier[\"type\", id] represents a resource identified by id in the external identifier sys"
}, {
  "label": "ExternalObject",
  "type": "keyword",
  "info": "ExternalObject[â¦] represents an external object inside an ExternalSessionObject."
}, {
  "label": "ExternalOptions",
  "type": "keyword",
  "info": "ExternalOptions is an option for EmbedCode and related functions that gives options specific to the "
}, {
  "label": "ExternalSessionObject",
  "type": "keyword",
  "info": "ExternalSessionObject[â¦] represents an external session started by StartExternalSession for use with"
}, {
  "label": "ExternalSessions",
  "type": "keyword",
  "info": "ExternalSessions[] gives the list of currently active external evaluator sessions.ExternalSessions[s"
}, {
  "label": "ExternalStorageBase",
  "type": "keyword",
  "info": "ExternalStorageBase is an option for various external storage functions that specifies which externa"
}, {
  "label": "ExternalStorageDownload",
  "type": "keyword",
  "info": "ExternalStorageDownload[location] downloads content from the specified location.ExternalStorageDownl"
}, {
  "label": "ExternalStorageGet",
  "type": "keyword",
  "info": "ExternalStorageGet[ExternalStorageObject[â¦]] reads in an expression stored at an external storage sp"
}, {
  "label": "ExternalStorageObject",
  "type": "keyword",
  "info": "ExternalStorageObject[location] represents a file stored in an external location.ExternalStorageObje"
}, {
  "label": "ExternalStoragePut",
  "type": "keyword",
  "info": "ExternalStoragePut[expr] writes expr to an external storage specified by $ExternalStorageBase.Extern"
}, {
  "label": "ExternalStorageUpload",
  "type": "keyword",
  "info": "ExternalStorageUpload[file] uploads file to an external storage specified by $ExternalStorageBase.Ex"
}, {
  "label": "ExternalTypeSignature",
  "type": "keyword",
  "info": "ExternalTypeSignature is an option for EmbedCode that gives rules specifying the mapping to external"
}, {
  "label": "ExternalValue",
  "type": "keyword",
  "info": "ExternalValue[sys, \"sym\"] gives the value of \"sym\" in external evaluator sys. ExternalValue[session,"
}, {
  "label": "Extract",
  "type": "keyword",
  "info": "Extract[expr, pos] extracts the part of expr at the position specified by pos. Extract[expr, {pos , "
}, {
  "label": "ExtractArchive",
  "type": "keyword",
  "info": "ExtractArchive[source] expands an archive file, saving its content into the current directory.Extrac"
}, {
  "label": "ExtractLayer",
  "type": "keyword",
  "info": "ExtractLayer[] represents a net layer that takes an array and a position specification as inputs and"
}, {
  "label": "ExtractPacletArchive",
  "type": "keyword",
  "info": "ExtractPacletArchive[file] extracts the contents of the paclet archive file into the directory in wh"
}, {
  "label": "ExtremeValueDistribution",
  "type": "keyword",
  "info": "ExtremeValueDistribution[Î\\[PlusMinus], Î\.b2] represents an extreme value distribution with location parameter Î\\[PlusMinus] an"
}, {
  "label": "E$",
  "type": "keyword",
  "info": "System`E$"
}, {
  "label": "FaceAlign",
  "type": "keyword",
  "info": "FaceAlign[image] attempts to find faces in image and align them.FaceAlign[image, fref] gives aligned"
}, {
  "label": "FaceForm",
  "type": "keyword",
  "info": "FaceForm[g] is a graphics directive which specifies that faces of polygons and other filled graphics"
}, {
  "label": "FaceGrids",
  "type": "keyword",
  "info": "FaceGrids is an option for three-dimensional graphics functions that specifies grid lines to draw on"
}, {
  "label": "FaceGridsStyle",
  "type": "keyword",
  "info": "FaceGridsStyle is an option for 3D graphics functions that specifies how face grids should be render"
}, {
  "label": "FaceRecognize",
  "type": "keyword",
  "info": "FaceRecognize[{example  ï¢ name , example  ï¢ name , â¦}] generates a ClassifierFunction[â¦] based on th"
}, {
  "label": "FacialFeatures",
  "type": "keyword",
  "info": "FacialFeatures[image] returns a minimal summary of facial features for all detected faces in image.F"
}, {
  "label": "Factor",
  "type": "keyword",
  "info": "Factor[poly] factors a polynomial over the integers. Factor[poly, Modulus ï¢ p] factors a polynomial "
}, {
  "label": "FactorComplete",
  "type": "keyword",
  "info": "System`FactorComplete"
}, {
  "label": "Factorial",
  "type": "keyword",
  "info": "n ! gives the factorial of n. "
}, {
  "label": "Factorial2",
  "type": "keyword",
  "info": "n !! gives the double factorial of n. "
}, {
  "label": "FactorialMoment",
  "type": "keyword",
  "info": "                                     th                                                             "
}, {
  "label": "FactorialMomentGeneratingFunction",
  "type": "keyword",
  "info": "FactorialMomentGeneratingFunction[dist, t] gives the factorial moment-generating function for the di"
}, {
  "label": "FactorialPower",
  "type": "keyword",
  "info": "                                                (n)                                                 "
}, {
  "label": "FactorInteger",
  "type": "keyword",
  "info": "FactorInteger[n] gives a list of the prime factors of the integer n, together with their exponents. "
}, {
  "label": "FactorList",
  "type": "keyword",
  "info": "FactorList[poly] gives a list of the factors of a polynomial, together with their exponents. "
}, {
  "label": "FactorSquareFree",
  "type": "keyword",
  "info": "FactorSquareFree[poly] pulls out any multiple factors in a polynomial. "
}, {
  "label": "FactorSquareFreeList",
  "type": "keyword",
  "info": "FactorSquareFreeList[poly] gives a list of squareâfree factors of a polynomial, together with their "
}, {
  "label": "FactorTerms",
  "type": "keyword",
  "info": "FactorTerms[poly] pulls out any overall numerical factor in poly. FactorTerms[poly, x] pulls out any"
}, {
  "label": "FactorTermsList",
  "type": "keyword",
  "info": "FactorTermsList[poly] gives a list in which the first element is the overall numerical factor in pol"
}, {
  "label": "Fail",
  "type": "keyword",
  "info": "System`Fail"
}, {
  "label": "Failure",
  "type": "keyword",
  "info": "Failure[\"tag\", assoc] represents a failure of a type indicated by tag, with details given by the ass"
}, {
  "label": "FailureAction",
  "type": "keyword",
  "info": "FailureAction is an option to Query and related functions that determines what should happen when a "
}, {
  "label": "FailureDistribution",
  "type": "keyword",
  "info": "FailureDistribution[bexpr, {{x , dist }, {x , dist }, â¦}] represents the failure distribution for a "
}, {
  "label": "FailureQ",
  "type": "keyword",
  "info": "FailureQ[expr] gives True if expr has head Failure or is equal to $Failed or $Aborted."
}, {
  "label": "False",
  "type": "keyword",
  "info": "False is the symbol for the Boolean value false. "
}, {
  "label": "FareySequence",
  "type": "keyword",
  "info": "                                                                                         th\nFareySeq"
}, {
  "label": "FARIMAProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "FeatureDistance",
  "type": "keyword",
  "info": "FeatureDistance[example , example , extractor] gives the distance between example  and example  in t"
}, {
  "label": "FeatureExtract",
  "type": "keyword",
  "info": "FeatureExtract[{example , example , â¦}] extracts features for each of the example  using a feature e"
}, {
  "label": "FeatureExtraction",
  "type": "keyword",
  "info": "FeatureExtraction[{example , example , â¦}] generates a FeatureExtractorFunction[â¦] trained from the "
}, {
  "label": "FeatureExtractor",
  "type": "keyword",
  "info": "FeatureExtractor is an option for functions such as Classify that specifies how features should be e"
}, {
  "label": "FeatureExtractorFunction",
  "type": "keyword",
  "info": "FeatureExtractorFunction[â¦] represents a feature extractor function generated by FeatureExtraction."
}, {
  "label": "FeatureNames",
  "type": "keyword",
  "info": "FeatureNames is an option for machine learning functions such as Classify or Predict that specifies "
}, {
  "label": "FeatureNearest",
  "type": "keyword",
  "info": "FeatureNearest[{elem , elem , â¦}, x] gives the list of elem  to which x is nearest in a computed fea"
}, {
  "label": "FeatureSpacePlot",
  "type": "keyword",
  "info": "FeatureSpacePlot[{example , example , â¦}] plots features extracted from the example  as a scatter pl"
}, {
  "label": "FeatureSpacePlot3D",
  "type": "keyword",
  "info": "FeatureSpacePlot3D[{example , example , â¦}] plots features extracted from the example  as a scatter "
}, {
  "label": "FeatureTypes",
  "type": "keyword",
  "info": "FeatureTypes is an option for machine learning functions such as Classify or Predict that specifies "
}, {
  "label": "FEDisableConsolePrintPacket",
  "type": "keyword",
  "info": "System`FEDisableConsolePrintPacket"
}, {
  "label": "FeedbackLinearize",
  "type": "keyword",
  "info": "FeedbackLinearize[asys] input-output linearizes the AffineStateSpaceModel asys by state transformati"
}, {
  "label": "FeedbackSector",
  "type": "keyword",
  "info": "FeedbackSector is an option to NyquistPlot that specifies the sector limits of the nonlinearity in t"
}, {
  "label": "FeedbackSectorStyle",
  "type": "keyword",
  "info": "FeedbackSectorStyle is an option to NyquistPlot that specifies the style in which graphics of Feedba"
}, {
  "label": "FeedbackType",
  "type": "keyword",
  "info": "FeedbackType is an option for some control system functions that specifies the feedback type."
}, {
  "label": "FEEnableConsolePrintPacket",
  "type": "keyword",
  "info": "System`FEEnableConsolePrintPacket"
}, {
  "label": "FetalGrowthData",
  "type": "keyword",
  "info": "FetalGrowthData[age] returns the values for all properties of fetal development for the specified ag"
}, {
  "label": "Fibonacci",
  "type": "keyword",
  "info": "Fibonacci[n] gives the Fibonacci number F . Fibonacci[n, x] gives the Fibonacci polynomial F (x). \n "
}, {
  "label": "Fibonorial",
  "type": "keyword",
  "info": "Fibonorial[n] gives the fibonorial n ! .\n                                      F"
}, {
  "label": "FieldCompletionFunction",
  "type": "keyword",
  "info": "FieldCompletionFunction is an option for InputField that specifies a function to apply to the input "
}, {
  "label": "FieldHint",
  "type": "keyword",
  "info": "FieldHint is an option for InputField that specifies contents to display when the input field is emp"
}, {
  "label": "FieldHintStyle",
  "type": "keyword",
  "info": "FieldHintStyle is an option for InputField that specifies the style to use for displaying the field "
}, {
  "label": "FieldMasked",
  "type": "keyword",
  "info": "FieldMasked is an option to InputField that determines whether to mask user input."
}, {
  "label": "FieldSize",
  "type": "keyword",
  "info": "FieldSize is an option for InputField, PopupMenu, and related functions that specifies the size of t"
}, {
  "label": "File",
  "type": "keyword",
  "info": "File[\"path\"] is a symbolic representation of a location in the local file system. "
}, {
  "label": "FileBaseName",
  "type": "keyword",
  "info": "FileBaseName[\"file\"] gives the base name for a file without its extension."
}, {
  "label": "FileByteCount",
  "type": "keyword",
  "info": "FileByteCount[file] gives the number of bytes in a file. "
}, {
  "label": "FileConvert",
  "type": "keyword",
  "info": "FileConvert[source ï¢ \"dest.ext\"] converts the contents of source to the format defined by the extens"
}, {
  "label": "FileDate",
  "type": "keyword",
  "info": "FileDate[\"file\"] gives the date and time at which a file was last modified. FileDate[\"file\", \"type\"]"
}, {
  "label": "FileExistsQ",
  "type": "keyword",
  "info": "FileExistsQ[\"name\"] gives True if the file with the specified name exists, and gives False otherwise"
}, {
  "label": "FileExtension",
  "type": "keyword",
  "info": "FileExtension[\"file\"] gives the file extension for a file name."
}, {
  "label": "FileFormat",
  "type": "keyword",
  "info": "FileFormat[source] attempts to determine what Import format could be used to import the file corresp"
}, {
  "label": "FileFormatProperties",
  "type": "keyword",
  "info": "FileFormatProperties[\"fmt\"] returns an association of properties for the specified format \"fmt\".File"
}, {
  "label": "FileFormatQ",
  "type": "keyword",
  "info": "FileFormatQ[source, \"fmt\"] gives True if the file corresponding to source might be imported as forma"
}, {
  "label": "FileHandler",
  "type": "keyword",
  "info": "System`FileHandler"
}, {
  "label": "FileHash",
  "type": "keyword",
  "info": "FileHash[file] gives an integer hash code for the contents of the specified file.FileHash[file, \"typ"
}, {
  "label": "FileInformation",
  "type": "keyword",
  "info": "System`FileInformation"
}, {
  "label": "FileName",
  "type": "keyword",
  "info": "System`FileName"
}, {
  "label": "FileNameDepth",
  "type": "keyword",
  "info": "FileNameDepth[\"name\"] gives the number of path elements in the file name \"file\"."
}, {
  "label": "FileNameDialogSettings",
  "type": "keyword",
  "info": "FileNameDialogSettings is a global option that specifies settings for the Insert File Path dialog bo"
}, {
  "label": "FileNameDrop",
  "type": "keyword",
  "info": "FileNameDrop[\"name\", n] drops the first n path elements in the file name \"name\".FileNameDrop[\"name\","
}, {
  "label": "FileNameForms",
  "type": "keyword",
  "info": "FileNameForms is an option that specifies the pattern for file names to be selected by a function."
}, {
  "label": "FileNameJoin",
  "type": "keyword",
  "info": "FileNameJoin[{name , name , â¦}] joins the name  together into a file name suitable for your current "
}, {
  "label": "FileNames",
  "type": "keyword",
  "info": "FileNames[] lists all files in the current working directory. FileNames[form] lists all files in the"
}, {
  "label": "FileNameSetter",
  "type": "keyword",
  "info": "FileNameSetter[name] represents a file name setter which displays as a Browse button and when clicke"
}, {
  "label": "FileNameSplit",
  "type": "keyword",
  "info": "FileNameSplit[\"name\"] splits a file name into a list of parts."
}, {
  "label": "FileNameTake",
  "type": "keyword",
  "info": "FileNameTake[\"name\"] gives the last path element in the file name \"name\".FileNameTake[\"name\", n] giv"
}, {
  "label": "FileNameToFormatList",
  "type": "keyword",
  "info": "FileNameToFormatList[] returns lists of file formats corresponding to all registered file name patte"
}, {
  "label": "FilePrint",
  "type": "keyword",
  "info": "FilePrint[\"file\"] prints out the raw textual contents of file.FilePrint[\"file\", n] prints out the fi"
}, {
  "label": "FileSize",
  "type": "keyword",
  "info": "FileSize[file] gives the size of a file as a quantity."
}, {
  "label": "FileSystemMap",
  "type": "keyword",
  "info": "FileSystemMap[f, root] gives an association whose keys are the names of files in root, and whose val"
}, {
  "label": "FileSystemScan",
  "type": "keyword",
  "info": "FileSystemScan[f, root] evaluates f on all files contained in root.FileSystemScan[f, root, n] restri"
}, {
  "label": "FileTemplate",
  "type": "keyword",
  "info": "FileTemplate[\"file\"] yields a TemplateObject expression that represents a file template to be applie"
}, {
  "label": "FileTemplateApply",
  "type": "keyword",
  "info": "FileTemplateApply[template] applies a template, evaluating all template elements it contains, and th"
}, {
  "label": "FileType",
  "type": "keyword",
  "info": "FileType[\"file\"] gives the type of a file, typically File, Directory, or None. "
}, {
  "label": "FilledCurve",
  "type": "keyword",
  "info": "FilledCurve[{segment , segment , â¦}] represents a filled curve consisting of segment  followed by se"
}, {
  "label": "FilledCurveBox",
  "type": "keyword",
  "info": "System`FilledCurveBox"
}, {
  "label": "FilledCurveBoxOptions",
  "type": "keyword",
  "info": "FilledCurveBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Fille"
}, {
  "label": "FilledTorus",
  "type": "keyword",
  "info": "FilledTorus[{x, y, z}, {r     , r     }] represents a filled torus centered at {x, y, z} with inner "
}, {
  "label": "FillForm",
  "type": "keyword",
  "info": "System`FillForm"
}, {
  "label": "Filling",
  "type": "keyword",
  "info": "Filling is an option for ListPlot, Plot, Plot3D, and related functions that specifies what filling t"
}, {
  "label": "FillingStyle",
  "type": "keyword",
  "info": "FillingStyle is an option for ListPlot, Plot, Plot3D, and related functions that specifies the defau"
}, {
  "label": "FillingTransform",
  "type": "keyword",
  "info": "FillingTransform[image] gives a version of image with all extended minima filled.FillingTransform[im"
}, {
  "label": "FilteredEntityClass",
  "type": "keyword",
  "info": "FilteredEntityClass[class, f] represents a class of entities where only entities for which the Entit"
}, {
  "label": "FilterRules",
  "type": "keyword",
  "info": "FilterRules[rules, patt] filters the list rules by picking out only those rules whose left-hand side"
}, {
  "label": "FinancialBond",
  "type": "keyword",
  "info": "FinancialBond[params, ambientparams] gives the value of a financial bond instrument.FinancialBond[pa"
}, {
  "label": "FinancialData",
  "type": "keyword",
  "info": "FinancialData[\"name\"] gives the last known price or value for the financial entity specified by \"nam"
}, {
  "label": "FinancialDerivative",
  "type": "keyword",
  "info": "FinancialDerivative[instrument, params, ambientparams] gives the value of the specified financial in"
}, {
  "label": "FinancialIndicator",
  "type": "keyword",
  "info": "FinancialIndicator[\"ind\", par , par , â¦] represents a financial indicator \"ind\" with parameters par "
}, {
  "label": "Find",
  "type": "keyword",
  "info": "Find[stream, \"text\"] finds the first line in an input stream that contains the specified string. Fin"
}, {
  "label": "FindAnomalies",
  "type": "keyword",
  "info": "FindAnomalies[{example , example , â¦}] gives a list of the example  that are considered anomalous wi"
}, {
  "label": "FindArgMax",
  "type": "keyword",
  "info": "FindArgMax[f, x] gives the position x    of a local maximum of f.FindArgMax[f, {x, x }] gives the po"
}, {
  "label": "FindArgMin",
  "type": "keyword",
  "info": "FindArgMin[f, x] gives the position x    of a local minimum of f.FindArgMin[f, {x, x }] gives the po"
}, {
  "label": "FindChannels",
  "type": "keyword",
  "info": "FindChannels[] gives a list of channels in your home area on the channel broker server.FindChannels["
}, {
  "label": "FindClique",
  "type": "keyword",
  "info": "FindClique[g] finds a largest clique in the graph g.FindClique[g, n] finds a clique containing at mo"
}, {
  "label": "FindClusters",
  "type": "keyword",
  "info": "FindClusters[{e , e , â¦}] partitions the e  into clusters of similar elements. FindClusters[{e  ï¢ v "
}, {
  "label": "FindCookies",
  "type": "keyword",
  "info": "FindCookies[] gives a list of all currently set cookies.FindCookies[domain] gives a list of cookies "
}, {
  "label": "FindCurvePath",
  "type": "keyword",
  "info": "FindCurvePath[{{x , y }, {x , y }, â¦}] gives an ordering of the {x , y } that corresponds to one or "
}, {
  "label": "FindCycle",
  "type": "keyword",
  "info": "FindCycle[g] finds a cycle in the graph g.FindCycle[g, k] finds a cycle of length at most k in the g"
}, {
  "label": "FindDevices",
  "type": "keyword",
  "info": "FindDevices[] searches for available devices on your computer system.FindDevices[form] gives a list "
}, {
  "label": "FindDistribution",
  "type": "keyword",
  "info": "FindDistribution[data] finds a simple functional form to fit the distribution of data.FindDistributi"
}, {
  "label": "FindDistributionParameters",
  "type": "keyword",
  "info": "FindDistributionParameters[data, dist] finds the parameter estimates for the distribution dist from "
}, {
  "label": "FindDivisions",
  "type": "keyword",
  "info": "FindDivisions[{x   , x   }, n] finds a list of about n \"nice\" numbers that divide the interval aroun"
}, {
  "label": "FindEdgeColoring",
  "type": "keyword",
  "info": "FindEdgeColoring[g] finds a coloring with minimal size for the edges in the graph g.FindEdgeColoring"
}, {
  "label": "FindEdgeCover",
  "type": "keyword",
  "info": "FindEdgeCover[g] finds an edge cover of the graph g with a minimum number of edges.FindEdgeCover[{v "
}, {
  "label": "FindEdgeCut",
  "type": "keyword",
  "info": "FindEdgeCut[g] finds a smallest edge cut of the graph g.FindEdgeCut[g, s, t] finds a smallest s-t ed"
}, {
  "label": "FindEdgeIndependentPaths",
  "type": "keyword",
  "info": "FindEdgeIndependentPaths[g, s, t, k] finds at most k edge-independent paths from vertex s to vertex "
}, {
  "label": "FindEquationalProof",
  "type": "keyword",
  "info": "FindEquationalProof[thm, axms] tries to find an equational proof of the symbolic theorem thm using t"
}, {
  "label": "FindEulerianCycle",
  "type": "keyword",
  "info": "FindEulerianCycle[g] finds an Eulerian cycle in the graph g.FindEulerianCycle[g, k] finds at most k "
}, {
  "label": "FindExternalEvaluators",
  "type": "keyword",
  "info": "FindExternalEvaluators[] finds installed external evaluators that can be used with ExternalEvaluate,"
}, {
  "label": "FindFaces",
  "type": "keyword",
  "info": "FindFaces[image] attempts to find human faces in image and returns a list of bounding boxes.FindFace"
}, {
  "label": "FindFile",
  "type": "keyword",
  "info": "FindFile[name] finds the file with the specified name that would be loaded by Get[name] and related "
}, {
  "label": "FindFit",
  "type": "keyword",
  "info": "FindFit[data, expr, pars, vars] finds numerical values of the parameters pars that make expr give a "
}, {
  "label": "FindFormula",
  "type": "keyword",
  "info": "FindFormula[data] finds a pure function that approximates data.FindFormula[data, x] finds a symbolic"
}, {
  "label": "FindFundamentalCycles",
  "type": "keyword",
  "info": "FindFundamentalCycles[g] finds fundamental cycles of the graph g."
}, {
  "label": "FindGeneratingFunction",
  "type": "keyword",
  "info": "                                                                                                  th"
}, {
  "label": "FindGeoLocation",
  "type": "keyword",
  "info": "FindGeoLocation[] attempts to find the current geo location of your computer.FindGeoLocation[\"ip\"] g"
}, {
  "label": "FindGeometricConjectures",
  "type": "keyword",
  "info": "FindGeometricConjectures[scene] finds conjectures that appear to hold for the GeometricScene object "
}, {
  "label": "FindGeometricTransform",
  "type": "keyword",
  "info": "FindGeometricTransform[pts , pts ] finds a geometric transformation that aligns positions specified "
}, {
  "label": "FindGraphCommunities",
  "type": "keyword",
  "info": "FindGraphCommunities[g] finds communities in the graph g.FindGraphCommunities[{v ï¢ w, â¦}] uses rules"
}, {
  "label": "FindGraphIsomorphism",
  "type": "keyword",
  "info": "FindGraphIsomorphism[g , g ] finds an isomorphism that maps the graph g  to g  by renaming vertices."
}, {
  "label": "FindGraphPartition",
  "type": "keyword",
  "info": "FindGraphPartition[g] gives a partition of vertices of the graph g.FindGraphPartition[g, k] gives a "
}, {
  "label": "FindHamiltonianCycle",
  "type": "keyword",
  "info": "FindHamiltonianCycle[g] finds a Hamiltonian cycle in the graph g.FindHamiltonianCycle[g, k] finds at"
}, {
  "label": "FindHamiltonianPath",
  "type": "keyword",
  "info": "FindHamiltonianPath[g] finds a Hamiltonian path in the graph g with the smallest total length.FindHa"
}, {
  "label": "FindHiddenMarkovStates",
  "type": "keyword",
  "info": "FindHiddenMarkovStates[data, hmm] finds the most likely hidden states of the HiddenMarkovProcess hmm"
}, {
  "label": "FindImageText",
  "type": "keyword",
  "info": "FindImageText[image] detects text in image and returns a single bounding box.FindImageText[image, le"
}, {
  "label": "FindIndependentEdgeSet",
  "type": "keyword",
  "info": "FindIndependentEdgeSet[g] finds an independent edge set of the graph g with a maximum number of edge"
}, {
  "label": "FindIndependentVertexSet",
  "type": "keyword",
  "info": "FindIndependentVertexSet[g] finds an independent vertex set of the graph g with a maximum number of "
}, {
  "label": "FindInstance",
  "type": "keyword",
  "info": "FindInstance[expr, vars] finds an instance of vars that makes the statement expr be True. FindInstan"
}, {
  "label": "FindIntegerNullVector",
  "type": "keyword",
  "info": "FindIntegerNullVector[{x , x , â¦, x }] finds a list of integers a  such that a  x  + a  x  + â¯ + a  "
}, {
  "label": "FindIsomers",
  "type": "keyword",
  "info": "FindIsomers[chem] returns a list of molecules with the same chemical formula as chem.FindIsomers[che"
}, {
  "label": "FindIsomorphicSubgraph",
  "type": "keyword",
  "info": "FindIsomorphicSubgraph[g , g ] finds a subgraph of g  that is isomorphic to g .FindIsomorphicSubgrap"
}, {
  "label": "FindKClan",
  "type": "keyword",
  "info": "FindKClan[g, k] finds a largest k-clan in the graph g.FindKClan[g, k, n] finds a k-clan containing a"
}, {
  "label": "FindKClique",
  "type": "keyword",
  "info": "FindKClique[g, k] finds a largest k-clique in the graph g.FindKClique[g, k, n] finds a k-clique cont"
}, {
  "label": "FindKClub",
  "type": "keyword",
  "info": "FindKClub[g, k] finds a largest k-club in the graph g."
}, {
  "label": "FindKPlex",
  "type": "keyword",
  "info": "FindKPlex[g, k] finds a largest k-plex in the graph g.FindKPlex[g, k, n] finds a k-plex containing a"
}, {
  "label": "FindLibrary",
  "type": "keyword",
  "info": "FindLibrary[lib] finds a dynamic library that can be loaded by LibraryFunctionLoad."
}, {
  "label": "FindLinearRecurrence",
  "type": "keyword",
  "info": "FindLinearRecurrence[list] finds if possible the minimal linear recurrence that generates list.FindL"
}, {
  "label": "FindList",
  "type": "keyword",
  "info": "FindList[\"file\", \"text\"] gives a list of lines in the file that contain the specified string. FindLi"
}, {
  "label": "FindMatchingColor",
  "type": "keyword",
  "info": "FindMatchingColor[image, color] returns a color similar to the color that is present in image.FindMa"
}, {
  "label": "FindMaximum",
  "type": "keyword",
  "info": "FindMaximum[f, x] searches for a local maximum in f, starting from an automatically selected point.F"
}, {
  "label": "FindMaximumCut",
  "type": "keyword",
  "info": "FindMaximumCut[g] gives the maximum cut of the graph g."
}, {
  "label": "FindMaximumFlow",
  "type": "keyword",
  "info": "FindMaximumFlow[g, s, t] finds the maximum flow between source vertex s and target vertex t in a gra"
}, {
  "label": "FindMaxValue",
  "type": "keyword",
  "info": "FindMaxValue[f, x] gives the value at a local maximum of f.FindMaxValue[f, {x, x }] gives the value "
}, {
  "label": "FindMeshDefects",
  "type": "keyword",
  "info": "FindMeshDefects[mreg] finds defects in the mesh region mreg.FindMeshDefects[mreg, {def , â¦}] finds o"
}, {
  "label": "FindMinimum",
  "type": "keyword",
  "info": "FindMinimum[f, x] searches for a local minimum in f, starting from an automatically selected point.F"
}, {
  "label": "FindMinimumCostFlow",
  "type": "keyword",
  "info": "FindMinimumCostFlow[g, {sd , sd , â¦}] finds the minimum cost flow in the graph g with sd , sd , â¦ ve"
}, {
  "label": "FindMinimumCut",
  "type": "keyword",
  "info": "FindMinimumCut[g] gives the minimum cut of the graph g.FindMinimumCut[{v ï¢ w, â¦}] uses rules v ï¢ w t"
}, {
  "label": "FindMinValue",
  "type": "keyword",
  "info": "FindMinValue[f, x] gives the value at a local minimum of f.FindMinValue[f, {x, x }] gives the value "
}, {
  "label": "FindMoleculeSubstructure",
  "type": "keyword",
  "info": "FindMoleculeSubstructure[mol, patt] finds a mapping between the atom indices in mol and an occurrenc"
}, {
  "label": "FindPath",
  "type": "keyword",
  "info": "FindPath[g, s, t] finds a path between vertex s and vertex t in the graph g.FindPath[g, s, t, k] fin"
}, {
  "label": "FindPeaks",
  "type": "keyword",
  "info": "FindPeaks[list] gives positions and values of the detected peaks in list.FindPeaks[list, Ï] finds pe"
}, {
  "label": "FindPermutation",
  "type": "keyword",
  "info": "FindPermutation[expr] gives a permutation that produces expr by permuting Sort[expr].FindPermutation"
}, {
  "label": "FindPlanarColoring",
  "type": "keyword",
  "info": "FindPlanarColoring[g] finds a coloring with minimal size for the faces of the planar graph g.FindPla"
}, {
  "label": "FindPointProcessParameters",
  "type": "keyword",
  "info": "FindPointProcessParameters[pdata, pproc] estimates the parameters of the point process pproc from po"
}, {
  "label": "FindPostmanTour",
  "type": "keyword",
  "info": "FindPostmanTour[g] finds a Chinese postman tour in the graph g of minimal length.FindPostmanTour[g, "
}, {
  "label": "FindProcessParameters",
  "type": "keyword",
  "info": "FindProcessParameters[data, proc] finds the parameter estimates for the process proc from data.FindP"
}, {
  "label": "FindRegionTransform",
  "type": "keyword",
  "info": "FindRegionTransform[reg , reg ] gives the transformation function that maps the region reg  to the r"
}, {
  "label": "FindRepeat",
  "type": "keyword",
  "info": "FindRepeat[list] finds the minimal sublist or subarray that repeats to give list.FindRepeat[list, n]"
}, {
  "label": "FindRoot",
  "type": "keyword",
  "info": "FindRoot[f, {x, x }] searches for a numerical root of f, starting from the point x = x .FindRoot[lhs"
}, {
  "label": "FindSequenceFunction",
  "type": "keyword",
  "info": "FindSequenceFunction[{a , a , a , â¦}] attempts to find a simple function that yields the sequence a "
}, {
  "label": "FindSettings",
  "type": "keyword",
  "info": "FindSettings is a global option that specifies settings for the Find dialog box."
}, {
  "label": "FindShortestPath",
  "type": "keyword",
  "info": "FindShortestPath[g, s, t] finds the shortest path from source vertex s to target vertex t in the gra"
}, {
  "label": "FindShortestTour",
  "type": "keyword",
  "info": "FindShortestTour[{v , v , â¦}] attempts to find an ordering of the v  that minimizes the total distan"
}, {
  "label": "FindSpanningTree",
  "type": "keyword",
  "info": "FindSpanningTree[{v , v , â¦, v }] finds a spanning tree that minimizes the total distance between th"
}, {
  "label": "FindSubgraphIsomorphism",
  "type": "keyword",
  "info": "FindSubgraphIsomorphism[g , g ] finds a subgraph isomorphism that maps the graph g  to a subgraph of"
}, {
  "label": "FindSystemModelEquilibrium",
  "type": "keyword",
  "info": "FindSystemModelEquilibrium[model] searches for an equilibrium to the model model.FindSystemModelEqui"
}, {
  "label": "FindTextualAnswer",
  "type": "keyword",
  "info": "FindTextualAnswer[text, \"question\"] gives the substring of text that best appears to answer question"
}, {
  "label": "FindThreshold",
  "type": "keyword",
  "info": "FindThreshold[image] finds a global threshold value that partitions the intensity values in image in"
}, {
  "label": "FindTransientRepeat",
  "type": "keyword",
  "info": "FindTransientRepeat[list, n] returns a pair of lists {transient, repeat} where the elements of repea"
}, {
  "label": "FindVertexColoring",
  "type": "keyword",
  "info": "FindVertexColoring[g] finds a coloring with minimal size for the vertices in the graph g. FindVertex"
}, {
  "label": "FindVertexCover",
  "type": "keyword",
  "info": "FindVertexCover[g] finds a vertex cover of the graph g with a minimum number of vertices.FindVertexC"
}, {
  "label": "FindVertexCut",
  "type": "keyword",
  "info": "FindVertexCut[g] finds a smallest vertex cut of the graph g.FindVertexCut[g, s, t] finds a smallest "
}, {
  "label": "FindVertexIndependentPaths",
  "type": "keyword",
  "info": "FindVertexIndependentPaths[g, s, t, k] finds at most k vertex-independent paths from vertex s to ver"
}, {
  "label": "Fine",
  "type": "keyword",
  "info": "System`Fine"
}, {
  "label": "FinishDynamic",
  "type": "keyword",
  "info": "FinishDynamic[] finishes updating and displaying all currently visible Dynamic objects. "
}, {
  "label": "FiniteAbelianGroupCount",
  "type": "keyword",
  "info": "FiniteAbelianGroupCount[n] gives the number of finite Abelian groups of order n."
}, {
  "label": "FiniteGroupCount",
  "type": "keyword",
  "info": "FiniteGroupCount[n] gives the number of finite groups of order n."
}, {
  "label": "FiniteGroupData",
  "type": "keyword",
  "info": "FiniteGroupData[name, \"property\"] gives the value of the specified property for the finite group spe"
}, {
  "label": "First",
  "type": "keyword",
  "info": "First[expr] gives the first element in expr. First[expr, def] gives the first element if it exists, "
}, {
  "label": "FirstCase",
  "type": "keyword",
  "info": "FirstCase[{e , e , â¦}, pattern] gives the first e  to match pattern, or Missing[\"NotFound\"] if none "
}, {
  "label": "FirstPassageTimeDistribution",
  "type": "keyword",
  "info": "FirstPassageTimeDistribution[mproc, f] represents the distribution of times for the Markov process m"
}, {
  "label": "FirstPosition",
  "type": "keyword",
  "info": "FirstPosition[expr, pattern] gives the position of the first element in expr that matches pattern, o"
}, {
  "label": "FischerGroupFi22",
  "type": "keyword",
  "info": "FischerGroupFi22[] represents the sporadic simple Fischer group Fi  .\n                              "
}, {
  "label": "FischerGroupFi23",
  "type": "keyword",
  "info": "FischerGroupFi23[] represents the sporadic simple Fischer group Fi  .\n                              "
}, {
  "label": "FischerGroupFi24Prime",
  "type": "keyword",
  "info": "                                                                       â\.b2\nFischerGroupFi24Prime[] rep"
}, {
  "label": "FisherHypergeometricDistribution",
  "type": "keyword",
  "info": "FisherHypergeometricDistribution[n, n    , n   , w] represents a Fisher noncentral hypergeometric di"
}, {
  "label": "FisherRatioTest",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "FisherZDistribution",
  "type": "keyword",
  "info": "FisherZDistribution[n, m] represents a Fisher z distribution with n numerator and m denominator degr"
}, {
  "label": "Fit",
  "type": "keyword",
  "info": "Fit[data, {f , â¦, f }, {x, y, â¦}] finds a fit a  â¢ f  + â¦ + a  â¢ f  to a list of data for functions "
}, {
  "label": "FitAll",
  "type": "keyword",
  "info": "System`FitAll"
}, {
  "label": "FitRegularization",
  "type": "keyword",
  "info": "FitRegularization is an option for Fit and FindFit that specifies a regularization for fitting a mod"
}, {
  "label": "FittedModel",
  "type": "keyword",
  "info": "FittedModel[â¦] represents the symbolic fitted model obtained from functions like LinearModelFit."
}, {
  "label": "FixedOrder",
  "type": "keyword",
  "info": "FixedOrder[p , p , â¦] is a grammar rules pattern object that represents a sequence of elements match"
}, {
  "label": "FixedPoint",
  "type": "keyword",
  "info": "FixedPoint[f, expr] starts with expr, then applies f repeatedly until the result no longer changes. "
}, {
  "label": "FixedPointList",
  "type": "keyword",
  "info": "FixedPointList[f, expr] generates a list giving the results of applying f repeatedly, starting with "
}, {
  "label": "FlashSelection",
  "type": "keyword",
  "info": "System`FlashSelection"
}, {
  "label": "Flat",
  "type": "keyword",
  "info": "Flat is an attribute that can be assigned to a symbol f to indicate that all expressions involving n"
}, {
  "label": "Flatten",
  "type": "keyword",
  "info": "Flatten[list] flattens out nested lists. Flatten[list, n] flattens to level n. Flatten[list, n, h] f"
}, {
  "label": "FlattenAt",
  "type": "keyword",
  "info": "                                                                th\nFlattenAt[list, n] flattens out a"
}, {
  "label": "FlattenLayer",
  "type": "keyword",
  "info": "FlattenLayer[] represents a net layer that flattens any input array into a vector.FlattenLayer[n] re"
}, {
  "label": "FlatTopWindow",
  "type": "keyword",
  "info": "FlatTopWindow[x] represents an exact flat top window function of x."
}, {
  "label": "FlightData",
  "type": "keyword",
  "info": "FlightData[spec, options] returns a subset of properties for a flight or selection of flights with s"
}, {
  "label": "FlipView",
  "type": "keyword",
  "info": "FlipView[{expr , expr }] represents an object which flips between displaying expr  and expr  each ti"
}, {
  "label": "Floor",
  "type": "keyword",
  "info": "Floor[x] gives the greatest integer less than or equal to x. Floor[x, a] gives the greatest multiple"
}, {
  "label": "FlowPolynomial",
  "type": "keyword",
  "info": "FlowPolynomial[g, k] gives the flow polynomial of the graph g.FlowPolynomial[{v ï¢ w, â¦}, â¦] uses rul"
}, {
  "label": "FlushPrintOutputPacket",
  "type": "keyword",
  "info": "System`FlushPrintOutputPacket"
}, {
  "label": "Fold",
  "type": "keyword",
  "info": "Fold[f, x, list] gives the last element of FoldList[f, x, list].Fold[f, list] is equivalent to Fold["
}, {
  "label": "FoldList",
  "type": "keyword",
  "info": "FoldList[f, x, {a, b, â¦}] gives {x, f[x, a], f[f[x, a], b], â¦}. FoldList[f, {a, b, c, â¦}] gives {a, "
}, {
  "label": "FoldPair",
  "type": "keyword",
  "info": "FoldPair[f, y , list] gives the last element of FoldPairList[f, y , list].FoldPair[f, y , list, g] g"
}, {
  "label": "FoldPairList",
  "type": "keyword",
  "info": "FoldPairList[f, y , {a , a , â¦}] gives the list of successive x  obtained by applying f to pairs of "
}, {
  "label": "FoldWhile",
  "type": "keyword",
  "info": "FoldWhile[f, x, {a , a , â¦}, test] returns the first expression f[â¦ f[f[x, a ], a ] â¦, a ] to which "
}, {
  "label": "FoldWhileList",
  "type": "keyword",
  "info": "FoldWhileList[f, x, {a , a , â¦}, test] returns {x, f[x, a ], f[f[x, a ], a ], â¦}, repeatedly applyin"
}, {
  "label": "FollowRedirects",
  "type": "keyword",
  "info": "FollowRedirects is an option for URLRead and related functions that specifies whether to follow HTTP"
}, {
  "label": "Font",
  "type": "keyword",
  "info": "System`Font"
}, {
  "label": "FontColor",
  "type": "keyword",
  "info": "FontColor is an option for Style, Cell, and related constructs that specifies the default color in w"
}, {
  "label": "FontFamily",
  "type": "keyword",
  "info": "FontFamily is an option for Style and Cell that specifies the font family in which text should be re"
}, {
  "label": "FontForm",
  "type": "keyword",
  "info": "System`FontForm"
}, {
  "label": "FontName",
  "type": "keyword",
  "info": "System`FontName"
}, {
  "label": "FontOpacity",
  "type": "keyword",
  "info": "System`FontOpacity"
}, {
  "label": "FontPostScriptName",
  "type": "keyword",
  "info": "FontPostScriptName is an option to StyleBox which changes the current font. A sample specification i"
}, {
  "label": "FontProperties",
  "type": "keyword",
  "info": "FontProperties specifies font properties."
}, {
  "label": "FontReencoding",
  "type": "keyword",
  "info": "System`FontReencoding"
}, {
  "label": "FontSize",
  "type": "keyword",
  "info": "FontSize is an option for Style and Cell that specifies the default size in printer's points of the "
}, {
  "label": "FontSlant",
  "type": "keyword",
  "info": "FontSlant is an option for Style, Cell, and related constructs that specifies how slanted characters"
}, {
  "label": "FontSubstitutions",
  "type": "keyword",
  "info": "FontSubstitutions is a global option that gives a list of substitutions to try for font family names"
}, {
  "label": "FontTracking",
  "type": "keyword",
  "info": "FontTracking is an option for Style and Cell that specifies how condensed or expanded you want the f"
}, {
  "label": "FontVariations",
  "type": "keyword",
  "info": "FontVariations is an option for Style, Cell, and related constructs that specifies what font variati"
}, {
  "label": "FontWeight",
  "type": "keyword",
  "info": "FontWeight is an option for Style, Cell, and related constructs that specifies how heavy the charact"
}, {
  "label": "For",
  "type": "keyword",
  "info": "For[start, test, incr, body] executes start, then repeatedly evaluates body and incr until test fail"
}, {
  "label": "ForAll",
  "type": "keyword",
  "info": "ForAll[x, expr] represents the statement that expr is True for all values of x. ForAll[x, cond, expr"
}, {
  "label": "ForceVersionInstall",
  "type": "keyword",
  "info": "ForceVersionInstall is an option to PacletInstall and PacletInstallSubmit that specifies whether an "
}, {
  "label": "Format",
  "type": "keyword",
  "info": "Format[expr] prints as the formatted form of expr. Assigning values to Format[expr] defines print fo"
}, {
  "label": "FormatRules",
  "type": "keyword",
  "info": "System`FormatRules"
}, {
  "label": "FormatType",
  "type": "keyword",
  "info": "FormatType is an option for output streams, graphics, and functions such as Text that specifies the "
}, {
  "label": "FormatTypeAutoConvert",
  "type": "keyword",
  "info": "FormatTypeAutoConvert is an option for cells that specifies whether the contents of a cell are autom"
}, {
  "label": "FormatValues",
  "type": "keyword",
  "info": "FormatValues[f] gives a list of transformation rules corresponding to all printing formats (values f"
}, {
  "label": "FormBox",
  "type": "keyword",
  "info": "FormBox[boxes, form] is a low-level box construct which displays as boxes but specifies that rules a"
}, {
  "label": "FormBoxOptions",
  "type": "keyword",
  "info": "FormBoxOptions is an option for cells that specifies settings for FormBox objects within the cell."
}, {
  "label": "FormControl",
  "type": "keyword",
  "info": "FormControl[assoc, struct] represents an editable form in a notebook, with structure specified by st"
}, {
  "label": "FormFunction",
  "type": "keyword",
  "info": "FormFunction[formspec, func] represents an active form that, when submitted, applies func to the val"
}, {
  "label": "FormLayoutFunction",
  "type": "keyword",
  "info": "FormLayoutFunction is an option for FormObject and FormFunction that can be used to specify how to l"
}, {
  "label": "FormObject",
  "type": "keyword",
  "info": "FormObject[{name  ï¢ type , name  ï¢ type , â¦}] represents a form with fields having names name  that "
}, {
  "label": "FormPage",
  "type": "keyword",
  "info": "FormPage[formspec, func] represents an active page that takes input from a form and generates result"
}, {
  "label": "FormProtectionMethod",
  "type": "keyword",
  "info": "FormProtectionMethod is an option for form generation functions that specifies what method to use fo"
}, {
  "label": "FormTheme",
  "type": "keyword",
  "info": "FormTheme is an option for FormObject and related functions that specifies an overall theme for a fo"
}, {
  "label": "FormulaData",
  "type": "keyword",
  "info": "FormulaData[name] gives the equations for the formula name.FormulaData[name, {var  ï¢ quantity , var "
}, {
  "label": "FormulaLookup",
  "type": "keyword",
  "info": "FormulaLookup[\"query\"] gives a list of the full names of formulas whose names are consistent with \"q"
}, {
  "label": "FortranForm",
  "type": "keyword",
  "info": "FortranForm[expr] prints as a Fortran language version of expr. "
}, {
  "label": "Forward",
  "type": "keyword",
  "info": "Forward is a symbol that represents the forward direction for purposes of motion and animation."
}, {
  "label": "ForwardBackward",
  "type": "keyword",
  "info": "ForwardBackward is a symbol that represents alternate forward and backward motion or animation."
}, {
  "label": "ForwardCloudCredentials",
  "type": "keyword",
  "info": "ForwardCloudCredentials is an option for remote evaluation and submission functions that specifies w"
}, {
  "label": "Fourier",
  "type": "keyword",
  "info": "Fourier[list] finds the discrete Fourier transform of a list of complex numbers.Fourier[list, {p , p"
}, {
  "label": "FourierCoefficient",
  "type": "keyword",
  "info": "                                           th\nFourierCoefficient[expr, t, n] gives the nï    coeffici"
}, {
  "label": "FourierCosCoefficient",
  "type": "keyword",
  "info": "                                              th\nFourierCosCoefficient[expr, t, n] gives the nï    co"
}, {
  "label": "FourierCosSeries",
  "type": "keyword",
  "info": "                                         th\nFourierCosSeries[expr, t, n] gives the nï   -order Fourie"
}, {
  "label": "FourierCosTransform",
  "type": "keyword",
  "info": "FourierCosTransform[expr, t, Ï] gives the symbolic Fourier cosine transform of expr. FourierCosTrans"
}, {
  "label": "FourierDCT",
  "type": "keyword",
  "info": "FourierDCT[list] finds the Fourier discrete cosine transform of a list of real numbers.FourierDCT[li"
}, {
  "label": "FourierDCTFilter",
  "type": "keyword",
  "info": "FourierDCTFilter[image, t] reduces noise in image by locally thresholding the discrete cosine transf"
}, {
  "label": "FourierDCTMatrix",
  "type": "keyword",
  "info": "FourierDCTMatrix[n] returns an nÃn discrete cosine transform matrix of type 2.FourierDCTMatrix[n, m]"
}, {
  "label": "FourierDST",
  "type": "keyword",
  "info": "FourierDST[list] finds the Fourier discrete sine transform of a list of real numbers.FourierDST[list"
}, {
  "label": "FourierDSTMatrix",
  "type": "keyword",
  "info": "FourierDSTMatrix[n] returns an nÃn discrete sine transform matrix of type 2.FourierDSTMatrix[n, m] r"
}, {
  "label": "FourierMatrix",
  "type": "keyword",
  "info": "FourierMatrix[n] returns an nÃn Fourier matrix."
}, {
  "label": "FourierParameters",
  "type": "keyword",
  "info": "FourierParameters is an option to Fourier and related functions that specifies the conventions to us"
}, {
  "label": "FourierSequenceTransform",
  "type": "keyword",
  "info": "FourierSequenceTransform[expr, n, Ï] gives the Fourier sequence transform of expr.FourierSequenceTra"
}, {
  "label": "FourierSeries",
  "type": "keyword",
  "info": "                                      th\nFourierSeries[expr, t, n] gives the nï   -order Fourier seri"
}, {
  "label": "FourierSinCoefficient",
  "type": "keyword",
  "info": "                                              th\nFourierSinCoefficient[expr, t, n] gives the nï    co"
}, {
  "label": "FourierSinSeries",
  "type": "keyword",
  "info": "                                         th\nFourierSinSeries[expr, t, n] gives the nï   -order Fourie"
}, {
  "label": "FourierSinTransform",
  "type": "keyword",
  "info": "FourierSinTransform[expr, t, Ï] gives the symbolic Fourier sine transform of expr. FourierSinTransfo"
}, {
  "label": "FourierTransform",
  "type": "keyword",
  "info": "FourierTransform[expr, t, Ï] gives the symbolic Fourier transform of expr. FourierTransform[expr, {t"
}, {
  "label": "FourierTrigSeries",
  "type": "keyword",
  "info": "                                          th\nFourierTrigSeries[expr, t, n] gives the nï   -order Four"
}, {
  "label": "FoxH",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "FoxHReduce",
  "type": "keyword",
  "info": "FoxHReduce[expr, x] attempts to reduce expr to a single FoxH object as a function of x."
}, {
  "label": "FractionalBrownianMotionProcess",
  "type": "keyword",
  "info": "FractionalBrownianMotionProcess[Î¼, Ï, h] represents fractional Brownian motion process with drift Î¼,"
}, {
  "label": "FractionalGaussianNoiseProcess",
  "type": "keyword",
  "info": "FractionalGaussianNoiseProcess[Î¼, Ï, h] represents a fractional Gaussian noise process with drift Î¼,"
}, {
  "label": "FractionalPart",
  "type": "keyword",
  "info": "FractionalPart[x] gives the fractional part of x. "
}, {
  "label": "FractionBox",
  "type": "keyword",
  "info": "                                                                      x\nFractionBox[x, y] is a low-l"
}, {
  "label": "FractionBoxOptions",
  "type": "keyword",
  "info": "FractionBoxOptions is an option that specifies settings for FractionBox objects."
}, {
  "label": "FractionLine",
  "type": "keyword",
  "info": "FractionLine is an option for fractions that specifies the thickness of the line separating the nume"
}, {
  "label": "Frame",
  "type": "keyword",
  "info": "Frame is an option for Graphics, Grid, and other constructs that specifies whether to include a fram"
}, {
  "label": "FrameBox",
  "type": "keyword",
  "info": "FrameBox[box] is a low-level box construct that represents box with a frame drawn around it. "
}, {
  "label": "FrameBoxOptions",
  "type": "keyword",
  "info": "FrameBoxOptions is an option that specifies default settings for FrameBox objects."
}, {
  "label": "Framed",
  "type": "keyword",
  "info": "Framed[expr] displays a framed version of expr. "
}, {
  "label": "FrameInset",
  "type": "keyword",
  "info": "System`FrameInset"
}, {
  "label": "FrameLabel",
  "type": "keyword",
  "info": "FrameLabel is an option for Graphics, Manipulate, and related functions that specifies labels to be "
}, {
  "label": "Frameless",
  "type": "keyword",
  "info": "System`Frameless"
}, {
  "label": "FrameListVideo",
  "type": "keyword",
  "info": "FrameListVideo[{image , image , â¦}] generates a video containing frames image , image , etc.\n       "
}, {
  "label": "FrameMargins",
  "type": "keyword",
  "info": "FrameMargins is an option for objects that can be displayed with frames which specifies the absolute"
}, {
  "label": "FrameRate",
  "type": "keyword",
  "info": "FrameRate is an option to specify the number of frames per second. "
}, {
  "label": "FrameStyle",
  "type": "keyword",
  "info": "FrameStyle is an option for Graphics, Grid, and other constructs that specifies the style in which t"
}, {
  "label": "FrameTicks",
  "type": "keyword",
  "info": "FrameTicks is an option for 2D graphics functions that specifies tick marks for the edges of a frame"
}, {
  "label": "FrameTicksStyle",
  "type": "keyword",
  "info": "FrameTicksStyle is an option for 2D graphics functions that specifies how frame ticks should be rend"
}, {
  "label": "FRatioDistribution",
  "type": "keyword",
  "info": "FRatioDistribution[n, m] represents an F-ratio distribution with n numerator and m denominator degre"
}, {
  "label": "FrechetDistribution",
  "type": "keyword",
  "info": "FrechetDistribution[Î\\[PlusMinus], Î\.b2] represents the FrÃ©chet distribution with shape parameter Î\\[PlusMinus] and scale param"
}, {
  "label": "FreeQ",
  "type": "keyword",
  "info": "FreeQ[expr, form] yields True if no subexpression in expr matches form, and yields False otherwise. "
}, {
  "label": "FrenetSerretSystem",
  "type": "keyword",
  "info": "FrenetSerretSystem[{x , â¦, x }, t] gives the generalized curvatures and FrenetâSerret basis for the "
}, {
  "label": "FrequencySamplingFilterKernel",
  "type": "keyword",
  "info": "FrequencySamplingFilterKernel[{a , â¦, a }] creates a finite impulse response (FIR) filter kernel usi"
}, {
  "label": "FresnelC",
  "type": "keyword",
  "info": "FresnelC[z] gives the Fresnel integral C(z). "
}, {
  "label": "FresnelF",
  "type": "keyword",
  "info": "FresnelF[z] gives the Fresnel auxiliary function F(z)."
}, {
  "label": "FresnelG",
  "type": "keyword",
  "info": "FresnelG[z] gives the Fresnel auxiliary function G(z)."
}, {
  "label": "FresnelS",
  "type": "keyword",
  "info": "FresnelS[z] gives the Fresnel integral S(z). "
}, {
  "label": "Friday",
  "type": "keyword",
  "info": "Friday is a day of the week."
}, {
  "label": "FrobeniusNumber",
  "type": "keyword",
  "info": "FrobeniusNumber[{a , â¦, a }] gives the Frobenius number of a , â¦, a .\n                  1      n    "
}, {
  "label": "FrobeniusSolve",
  "type": "keyword",
  "info": "FrobeniusSolve[{a , â¦, a }, b] gives a list of all solutions of the Frobenius equation a  x  + â¦ + a"
}, {
  "label": "FromAbsoluteTime",
  "type": "keyword",
  "info": "FromAbsoluteTime[time] gives a date object corresponding to an absolute time specification as given "
}, {
  "label": "FromCharacterCode",
  "type": "keyword",
  "info": "FromCharacterCode[n] gives a string consisting of the character with integer code n. FromCharacterCo"
}, {
  "label": "FromCoefficientRules",
  "type": "keyword",
  "info": "FromCoefficientRules[list, {x , x , â¦}] constructs a polynomial from a list of rules for exponent ve"
}, {
  "label": "FromContinuedFraction",
  "type": "keyword",
  "info": "FromContinuedFraction[list] reconstructs a number from the list of its continued fraction terms. "
}, {
  "label": "FromDate",
  "type": "keyword",
  "info": "FromDate[date] converts a date of the form {y, m, d, h, m, s} to an absolute number of seconds since"
}, {
  "label": "FromDateString",
  "type": "keyword",
  "info": "FromDateString[\"string\"] gives a date object corresponding to the date represented by \"string\".FromD"
}, {
  "label": "FromDigits",
  "type": "keyword",
  "info": "FromDigits[list] constructs an integer from the list of its decimal digits. FromDigits[list, b] take"
}, {
  "label": "FromDMS",
  "type": "keyword",
  "info": "FromDMS[{d, m, s}] converts from degrees, minutes, and seconds to decimal degrees. FromDMS[\"dms\"] co"
}, {
  "label": "FromEntity",
  "type": "keyword",
  "info": "FromEntity[entity] returns a Wolfram Language object corresponding to an entity."
}, {
  "label": "FromJulianDate",
  "type": "keyword",
  "info": "FromJulianDate[jd] gives a date object corresponding to the Julian date jd.FromJulianDate[\"type\", jd"
}, {
  "label": "FromLetterNumber",
  "type": "keyword",
  "info": "FromLetterNumber[n] gives the lowercase letter at position n in the English alphabet.FromLetterNumbe"
}, {
  "label": "FromPolarCoordinates",
  "type": "keyword",
  "info": "FromPolarCoordinates[{r, Î¸}] gives the {x, y} Cartesian coordinates corresponding to the polar coord"
}, {
  "label": "FromRomanNumeral",
  "type": "keyword",
  "info": "FromRomanNumeral[\"string\"] gives the integer corresponding to the Roman numeral \"string\". "
}, {
  "label": "FromSphericalCoordinates",
  "type": "keyword",
  "info": "FromSphericalCoordinates[{r, Î¸, Ï}] gives the {x, y, z} Cartesian coordinates corresponding to the s"
}, {
  "label": "FromUnixTime",
  "type": "keyword",
  "info": "FromUnixTime[time] gives a date object corresponding to a UnixTime specification."
}, {
  "label": "Front",
  "type": "keyword",
  "info": "Front is a symbol that represents the front of a graphic for purposes of placement and alignment."
}, {
  "label": "FrontEndDynamicExpression",
  "type": "keyword",
  "info": "FrontEndDynamicExpression is a global front end option that specifies an expression to be dynamicall"
}, {
  "label": "FrontEndEventActions",
  "type": "keyword",
  "info": "FrontEndEventActions is an option for the notebook front end that gives a list of actions to perform"
}, {
  "label": "FrontEndExecute",
  "type": "keyword",
  "info": "FrontEndExecute[expr] sends expr to be executed by the Wolfram System front end. "
}, {
  "label": "FrontEndObject",
  "type": "keyword",
  "info": "System`FrontEndObject"
}, {
  "label": "FrontEndResource",
  "type": "keyword",
  "info": "System`FrontEndResource"
}, {
  "label": "FrontEndResourceString",
  "type": "keyword",
  "info": "System`FrontEndResourceString"
}, {
  "label": "FrontEndStackSize",
  "type": "keyword",
  "info": "System`FrontEndStackSize"
}, {
  "label": "FrontEndToken",
  "type": "keyword",
  "info": "FrontEndToken[\"cmd\"] is an object that represents a front end command token, typically corresponding"
}, {
  "label": "FrontEndTokenExecute",
  "type": "keyword",
  "info": "FrontEndTokenExecute[\"cmd\"] executes the specified front end command token, typically corresponding "
}, {
  "label": "FrontEndValueCache",
  "type": "keyword",
  "info": "System`FrontEndValueCache"
}, {
  "label": "FrontEndVersion",
  "type": "keyword",
  "info": "System`FrontEndVersion"
}, {
  "label": "FrontFaceColor",
  "type": "keyword",
  "info": "System`FrontFaceColor"
}, {
  "label": "FrontFaceGlowColor",
  "type": "keyword",
  "info": "System`FrontFaceGlowColor"
}, {
  "label": "FrontFaceOpacity",
  "type": "keyword",
  "info": "System`FrontFaceOpacity"
}, {
  "label": "FrontFaceSpecularColor",
  "type": "keyword",
  "info": "System`FrontFaceSpecularColor"
}, {
  "label": "FrontFaceSpecularExponent",
  "type": "keyword",
  "info": "System`FrontFaceSpecularExponent"
}, {
  "label": "FrontFaceSurfaceAppearance",
  "type": "keyword",
  "info": "System`FrontFaceSurfaceAppearance"
}, {
  "label": "FrontFaceTexture",
  "type": "keyword",
  "info": "System`FrontFaceTexture"
}, {
  "label": "Full",
  "type": "keyword",
  "info": "Full is a setting used for certain options, typically indicating that a full range of values should "
}, {
  "label": "FullAxes",
  "type": "keyword",
  "info": "FullAxes[graphics] returns the axes options of a graphics object."
}, {
  "label": "FullDefinition",
  "type": "keyword",
  "info": "FullDefinition[symbol] prints as the definitions given for symbol, and all symbols on which these de"
}, {
  "label": "FullForm",
  "type": "keyword",
  "info": "FullForm[expr] prints as the full form of expr, with no special syntax. "
}, {
  "label": "FullGraphics",
  "type": "keyword",
  "info": "FullGraphics[g] takes a graphics object, and generates a new one in which objects specified by graph"
}, {
  "label": "FullInformationOutputRegulator",
  "type": "keyword",
  "info": "FullInformationOutputRegulator[sys, rspec] gives the full state information output regulator for sys"
}, {
  "label": "FullOptions",
  "type": "keyword",
  "info": "System`FullOptions"
}, {
  "label": "FullRegion",
  "type": "keyword",
  "info": "                                          n\nFullRegion[n] represents the full region ï\\[Micro] ."
}, {
  "label": "FullSimplify",
  "type": "keyword",
  "info": "FullSimplify[expr] tries a wide range of transformations on expr involving elementary and special fu"
}, {
  "label": "Function",
  "type": "keyword",
  "info": "body & or Function[body] is a pure (or \"anonymous\") function. The formal parameters are # (or #1), #"
}, {
  "label": "FunctionAnalytic",
  "type": "keyword",
  "info": "FunctionAnalytic[f, x] tests whether f(x) is an analytic function for x â Reals.FunctionAnalytic[f, "
}, {
  "label": "FunctionBijective",
  "type": "keyword",
  "info": "FunctionBijective[f, x] tests whether f(x) ï y has exactly one solution x â Reals for each y â Reals"
}, {
  "label": "FunctionCompile",
  "type": "keyword",
  "info": "FunctionCompile[f] generates a compiled code function from a pure function.FunctionCompile[{f , f , "
}, {
  "label": "FunctionCompileExport",
  "type": "keyword",
  "info": "FunctionCompileExport[\"file.ext\", fspec] exports a compiled version of functions fspec in the format"
}, {
  "label": "FunctionCompileExportByteArray",
  "type": "keyword",
  "info": "FunctionCompileExportByteArray[fspec] gives a byte array of binary LLVM code obtained by compiling t"
}, {
  "label": "FunctionCompileExportLibrary",
  "type": "keyword",
  "info": "FunctionCompileExportLibrary[file, fspec] exports a compiled version of function specification fspec"
}, {
  "label": "FunctionCompileExportString",
  "type": "keyword",
  "info": "FunctionCompileExportString[fspec] gives a string of textual LLVM code obtained by compiling the fun"
}, {
  "label": "FunctionContinuous",
  "type": "keyword",
  "info": "FunctionContinuous[f, x] tests whether f(x) is a real-valued continuous function for x â Reals.Funct"
}, {
  "label": "FunctionConvexity",
  "type": "keyword",
  "info": "FunctionConvexity[f, {x , x , â¦}] finds the convexity of the function f with variables x , x , â¦ ove"
}, {
  "label": "FunctionDeclaration",
  "type": "keyword",
  "info": "FunctionDeclaration[name, typedfun] declares name to be a typed function suitable for use in a compi"
}, {
  "label": "FunctionDiscontinuities",
  "type": "keyword",
  "info": "FunctionDiscontinuities[f, x] finds the discontinuities of f(x) for x â Reals. FunctionDiscontinuiti"
}, {
  "label": "FunctionDomain",
  "type": "keyword",
  "info": "FunctionDomain[f, x] finds the largest domain of definition of the real function f of the variable x"
}, {
  "label": "FunctionExpand",
  "type": "keyword",
  "info": "FunctionExpand[expr] tries to expand out special and certain other functions in expr, when possible "
}, {
  "label": "FunctionInjective",
  "type": "keyword",
  "info": "FunctionInjective[f, x] tests whether f(x) ï y has at most one solution x â Reals for each y.Functio"
}, {
  "label": "FunctionInterpolation",
  "type": "keyword",
  "info": "FunctionInterpolation[expr, {x, x   , x   }] evaluates expr with x running from x    to x    and con"
}, {
  "label": "FunctionLayer",
  "type": "keyword",
  "info": "FunctionLayer[f] represents a net layer that applies function f to its input."
}, {
  "label": "FunctionMeromorphic",
  "type": "keyword",
  "info": "FunctionMeromorphic[f, x] test whether f(x) is a meromorphic function of x.FunctionMeromorphic[f, {x"
}, {
  "label": "FunctionMonotonicity",
  "type": "keyword",
  "info": "FunctionMonotonicity[f, x] finds the monotonicity of the function f with the variable x over the rea"
}, {
  "label": "FunctionPeriod",
  "type": "keyword",
  "info": "FunctionPeriod[f, x] gives a period p of the function f over the reals such that f(x + p) ï f(x).Fun"
}, {
  "label": "FunctionPoles",
  "type": "keyword",
  "info": "FunctionPoles[f, x] finds the poles of the meromorphic function f with the variable x.FunctionPoles["
}, {
  "label": "FunctionRange",
  "type": "keyword",
  "info": "FunctionRange[f, x, y] finds the range of the real function f of the variable x returning the result"
}, {
  "label": "FunctionSign",
  "type": "keyword",
  "info": "FunctionSign[f, {x , x , â¦}] finds the real sign of the function f with variables x , x , â¦ over the"
}, {
  "label": "FunctionSingularities",
  "type": "keyword",
  "info": "FunctionSingularities[f, x] finds the singularities of f(x) for x â Reals. FunctionSingularities[f, "
}, {
  "label": "FunctionSpace",
  "type": "keyword",
  "info": "FunctionSpace is an option for FindSequenceFunction and related functions that specifies the space o"
}, {
  "label": "FunctionSurjective",
  "type": "keyword",
  "info": "FunctionSurjective[f, x] tests whether f(x) ï y has at least one solution x â ï\\[Micro] for each y â Reals.F"
}, {
  "label": "FussellVeselyImportance",
  "type": "keyword",
  "info": "FussellVeselyImportance[rdist, t] gives the FussellâVesely importances for all components in the Rel"
}, {
  "label": "GaborFilter",
  "type": "keyword",
  "info": "GaborFilter[data, r, k] filters data by convolving with a Gabor kernel of pixel radius r and wave ve"
}, {
  "label": "GaborMatrix",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "GaborWavelet",
  "type": "keyword",
  "info": "GaborWavelet[] represents a Gabor wavelet of frequency 6.GaborWavelet[w] represents a Gabor wavelet "
}, {
  "label": "GainMargins",
  "type": "keyword",
  "info": "GainMargins[lsys] gives the gain margins of the linear time-invariant system lsys."
}, {
  "label": "GainPhaseMargins",
  "type": "keyword",
  "info": "GainPhaseMargins[lsys] gives the gain and phase margins of the linear time-invariant system lsys."
}, {
  "label": "GalaxyData",
  "type": "keyword",
  "info": "GalaxyData[entity, property] gives the value of the specified property for the galaxy entity.GalaxyD"
}, {
  "label": "GalleryView",
  "type": "keyword",
  "info": "GalleryView[{expr , expr , â¦}] represents an object in which the expr  are displayed in a browsable "
}, {
  "label": "Gamma",
  "type": "keyword",
  "info": "Gamma[z] is the Euler gamma function Î(z). Gamma[a, z] is the incomplete gamma function Î(a, z). Gam"
}, {
  "label": "GammaDistribution",
  "type": "keyword",
  "info": "GammaDistribution[Î\\[PlusMinus], Î\.b2] represents a gamma distribution with shape parameter Î\\[PlusMinus] and scale parameter Î\.b2"
}, {
  "label": "GammaRegularized",
  "type": "keyword",
  "info": "GammaRegularized[a, z] is the regularized incomplete gamma function Q(a, z). "
}, {
  "label": "GapPenalty",
  "type": "keyword",
  "info": "GapPenalty is an option for SequenceAlignment and related functions that gives the additional cost a"
}, {
  "label": "GARCHProcess",
  "type": "keyword",
  "info": "GARCHProcess[Îº, {Î\\[PlusMinus] , â¦, Î\\[PlusMinus] }, {Î\.b2 , â¦, Î\.b2 }] represents a generalized autoregressive conditionally hete"
}, {
  "label": "GatedRecurrentLayer",
  "type": "keyword",
  "info": "GatedRecurrentLayer[n] represents a trainable recurrent layer that takes a sequence of vectors and p"
}, {
  "label": "Gather",
  "type": "keyword",
  "info": "Gather[list] gathers the elements of list into sublists of identical elements.Gather[list, test] app"
}, {
  "label": "GatherBy",
  "type": "keyword",
  "info": "GatherBy[list, f] gathers into sublists each set of elements in list that gives the same value when "
}, {
  "label": "GaugeFaceElementFunction",
  "type": "keyword",
  "info": "GaugeFaceElementFunction is an option for gauge functions that gives a function to use to generate t"
}, {
  "label": "GaugeFaceStyle",
  "type": "keyword",
  "info": "GaugeFaceStyle is an option for gauge functions that specifies the style in which the face is to be "
}, {
  "label": "GaugeFrameElementFunction",
  "type": "keyword",
  "info": "GaugeFrameElementFunction is an option for gauge functions that gives a function to generate the pri"
}, {
  "label": "GaugeFrameSize",
  "type": "keyword",
  "info": "GaugeFrameSize is an option for gauge functions that controls the size of the frame around the gauge"
}, {
  "label": "GaugeFrameStyle",
  "type": "keyword",
  "info": "GaugeFrameStyle is an option for gauge functions that specifies the style in which the frame is to b"
}, {
  "label": "GaugeLabels",
  "type": "keyword",
  "info": "GaugeLabels is an option for gauge functions that specifies labels to be placed on the gauge."
}, {
  "label": "GaugeMarkers",
  "type": "keyword",
  "info": "GaugeMarkers is an option for gauge functions that specifies what markers to draw to mark the values"
}, {
  "label": "GaugeStyle",
  "type": "keyword",
  "info": "GaugeStyle is an option for gauge functions that specifies styles in which the markers are to be dra"
}, {
  "label": "GaussianFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "GaussianIntegers",
  "type": "keyword",
  "info": "GaussianIntegers is an option for FactorInteger, PrimeQ, Factor, and related functions that specifie"
}, {
  "label": "GaussianMatrix",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "GaussianOrthogonalMatrixDistribution",
  "type": "keyword",
  "info": "GaussianOrthogonalMatrixDistribution[Ï, n] represents a Gaussian orthogonal matrix distribution with"
}, {
  "label": "GaussianSymplecticMatrixDistribution",
  "type": "keyword",
  "info": "GaussianSymplecticMatrixDistribution[Ï, n] represents a Gaussian symplectic matrix distribution with"
}, {
  "label": "GaussianUnitaryMatrixDistribution",
  "type": "keyword",
  "info": "GaussianUnitaryMatrixDistribution[Ï, n] represents a Gaussian unitary matrix distribution with matri"
}, {
  "label": "GaussianWindow",
  "type": "keyword",
  "info": "GaussianWindow[x] represents a Gaussian window function of x.GaussianWindow[x, Ï] uses standard devi"
}, {
  "label": "GCD",
  "type": "keyword",
  "info": "GCD[n , n , â¦] gives the greatest common divisor of the n . \n     1   2                             "
}, {
  "label": "GegenbauerC",
  "type": "keyword",
  "info": "                                                      (m)                                           "
}, {
  "label": "General",
  "type": "keyword",
  "info": "General is a symbol to which general system messages are attached. "
}, {
  "label": "GeneralizedLinearModelFit",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "GenerateAsymmetricKeyPair",
  "type": "keyword",
  "info": "GenerateAsymmetricKeyPair[] randomly generates a PrivateKey and corresponding PublicKey object for u"
}, {
  "label": "GenerateConditions",
  "type": "keyword",
  "info": "GenerateConditions is an option for Integrate, Sum, and similar functions that specifies whether exp"
}, {
  "label": "GeneratedAssetFormat",
  "type": "keyword",
  "info": "GeneratedAssetFormat is an option for functions like VideoGenerator that specifies the format of the"
}, {
  "label": "GeneratedAssetLocation",
  "type": "keyword",
  "info": "GeneratedAssetLocation is an option for functions like VideoGenerator that specifies the location of"
}, {
  "label": "GeneratedCell",
  "type": "keyword",
  "info": "GeneratedCell is an option for Cell that indicates whether the cell was generated from the kernel. "
}, {
  "label": "GeneratedCellStyles",
  "type": "keyword",
  "info": "System`GeneratedCellStyles"
}, {
  "label": "GeneratedDocumentBinding",
  "type": "keyword",
  "info": "GeneratedDocumentBinding is an option for supplying parameters to a DocumentGenerator during manual "
}, {
  "label": "GenerateDerivedKey",
  "type": "keyword",
  "info": "GenerateDerivedKey[password] generates a DerivedKey object from the password given.GenerateDerivedKe"
}, {
  "label": "GenerateDigitalSignature",
  "type": "keyword",
  "info": "GenerateDigitalSignature[expr, key] generates a digital signature for expr using the specified priva"
}, {
  "label": "GenerateDocument",
  "type": "keyword",
  "info": "GenerateDocument[nb] generates a document by evaluating all template elements in the notebook nb.Gen"
}, {
  "label": "GeneratedParameters",
  "type": "keyword",
  "info": "GeneratedParameters is an option that specifies how parameters generated to represent the results of"
}, {
  "label": "GeneratedQuantityMagnitudes",
  "type": "keyword",
  "info": "GeneratedQuantityMagnitudes is an option that specifies how quantities generated to represent the qu"
}, {
  "label": "GenerateFileSignature",
  "type": "keyword",
  "info": "GenerateFileSignature[\"file\", key] generates a digital signature of file using the specified private"
}, {
  "label": "GenerateHTTPResponse",
  "type": "keyword",
  "info": "GenerateHTTPResponse[expr] gives the HTTPResponse object that is generated when a cloud object conta"
}, {
  "label": "GenerateSecuredAuthenticationKey",
  "type": "keyword",
  "info": "GenerateSecuredAuthenticationKey[] generates a new anonymous SecuredAuthenticationKey owned by the c"
}, {
  "label": "GenerateSymmetricKey",
  "type": "keyword",
  "info": "GenerateSymmetricKey[] randomly generates a SymmetricKey object suitable for use with cryptographic "
}, {
  "label": "GeneratingFunction",
  "type": "keyword",
  "info": "                                                                                           th\nGenera"
}, {
  "label": "GeneratorDescription",
  "type": "keyword",
  "info": "GeneratorDescription is an option for providing a textual description for a DocumentGenerator."
}, {
  "label": "GeneratorHistoryLength",
  "type": "keyword",
  "info": "GeneratorHistoryLength is an option for document generators controlling the number of runs archived "
}, {
  "label": "GeneratorOutputType",
  "type": "keyword",
  "info": "GeneratorOutputType is an option controlling the file format of documents produced by a DocumentGene"
}, {
  "label": "Generic",
  "type": "keyword",
  "info": "Generic is a setting for the Mode option of Solve and related functions."
}, {
  "label": "GenericCylindricalDecomposition",
  "type": "keyword",
  "info": "GenericCylindricalDecomposition[ineqs, {x , x , â¦}] finds the full-dimensional part of the decomposi"
}, {
  "label": "GenomeData",
  "type": "keyword",
  "info": "GenomeData[\"gene\"] gives the DNA sequence for the specified gene on the reference human genome.Genom"
}, {
  "label": "GenomeLookup",
  "type": "keyword",
  "info": "GenomeLookup[\"seq\"] returns the positions of exact matches for the DNA sequence seq on the reference"
}, {
  "label": "GeoAntipode",
  "type": "keyword",
  "info": "GeoAntipode[loc] gives the antipodal position of location loc.GeoAntipode[g] gives the antipodal pri"
}, {
  "label": "GeoArea",
  "type": "keyword",
  "info": "GeoArea[g] gives the area of the geo region g."
}, {
  "label": "GeoArraySize",
  "type": "keyword",
  "info": "GeoArraySize is an option for geographic data functions that determines the dimensions of the array "
}, {
  "label": "GeoBackground",
  "type": "keyword",
  "info": "GeoBackground is an option that specifies the background style of a GeoGraphics object."
}, {
  "label": "GeoBoundary",
  "type": "keyword",
  "info": "GeoBoundary[g] returns the boundary line of the geo region g."
}, {
  "label": "GeoBoundingBox",
  "type": "keyword",
  "info": "GeoBoundingBox[g] gives the geo positions that define the bounding rectangle enclosing the geo regio"
}, {
  "label": "GeoBounds",
  "type": "keyword",
  "info": "GeoBounds[g] gives the ranges of latitudes and longitudes in the geo region g.GeoBounds[g, Î\.b4] pads r"
}, {
  "label": "GeoBoundsRegion",
  "type": "keyword",
  "info": "GeoBoundsRegion[{{lat   , lat   }, {lon   , lon   }}] is a two-dimensional GeoGraphics primitive tha"
}, {
  "label": "GeoBoundsRegionBoundary",
  "type": "keyword",
  "info": "GeoBoundsRegionBoundary[{{lat   , lat   }, {lon   , lon   }}] is a one-dimensional GeoGraphics primi"
}, {
  "label": "GeoBubbleChart",
  "type": "keyword",
  "info": "GeoBubbleChart[{reg  ï¢ val , reg  ï¢ val , â¦}] makes a geo bubble chart with bubbles centered at the "
}, {
  "label": "GeoCenter",
  "type": "keyword",
  "info": "GeoCenter is an option for GeoGraphics that specifies the coordinates of the point that should appea"
}, {
  "label": "GeoCircle",
  "type": "keyword",
  "info": "GeoCircle[loc, r] is a two-dimensional GeoGraphics primitive that represents a circle of radius r ce"
}, {
  "label": "GeoContourPlot",
  "type": "keyword",
  "info": "GeoContourPlot[{loc  ï¢ val , loc  ï¢ val , â¦}] makes a geo contour plot from values val  defined at s"
}, {
  "label": "GeoDensityPlot",
  "type": "keyword",
  "info": "GeoDensityPlot[{loc  ï¢ val , loc  ï¢ val , â¦}] makes a geo density plot with colors at the location l"
}, {
  "label": "GeodesicClosing",
  "type": "keyword",
  "info": "GeodesicClosing[image, ker] gives the geodesic closing of image with respect to the structuring elem"
}, {
  "label": "GeodesicDilation",
  "type": "keyword",
  "info": "GeodesicDilation[marker, mask] gives the fixed point of the geodesic dilation of the marker constrai"
}, {
  "label": "GeodesicErosion",
  "type": "keyword",
  "info": "GeodesicErosion[marker, mask] gives the fixed point of the geodesic erosion of the marker constraine"
}, {
  "label": "GeodesicOpening",
  "type": "keyword",
  "info": "GeodesicOpening[image, ker] gives the geodesic opening of image with respect to the structuring elem"
}, {
  "label": "GeoDestination",
  "type": "keyword",
  "info": "GeoDestination[loc, {d, Î\\[PlusMinus]}] gives the end position of the geodesic of length d starting from loc wit"
}, {
  "label": "GeodesyData",
  "type": "keyword",
  "info": "GeodesyData[\"name\", \"property\"] gives the value of the specified property for a named geodetic datum"
}, {
  "label": "GeoDirection",
  "type": "keyword",
  "info": "GeoDirection[{lat , lon }, {lat , lon }] gives the azimuthal direction from one latitude-longitude p"
}, {
  "label": "GeoDisk",
  "type": "keyword",
  "info": "GeoDisk[loc, r]  is a two-dimensional GeoGraphics primitive that represents a filled disk of radius "
}, {
  "label": "GeoDisplacement",
  "type": "keyword",
  "info": "GeoDisplacement[{dist, Î\\[PlusMinus]}] represents a geodesic displacement of length dist and initial bearing Î\\[PlusMinus] f"
}, {
  "label": "GeoDistance",
  "type": "keyword",
  "info": "GeoDistance[{lat , lon }, {lat , lon }] gives the geodesic distance between latitude-longitude posit"
}, {
  "label": "GeoDistanceList",
  "type": "keyword",
  "info": "GeoDistanceList[{loc , loc , â¦, loc }] returns the list of geodesic distances between consecutive pa"
}, {
  "label": "GeoElevationData",
  "type": "keyword",
  "info": "GeoElevationData[] gives the elevation above sea level at $GeoLocation.GeoElevationData[loc] gives t"
}, {
  "label": "GeoEntities",
  "type": "keyword",
  "info": "GeoEntities[reg, enttype] gives a list of the geographic entities of type enttype contained in the e"
}, {
  "label": "GeoGraphics",
  "type": "keyword",
  "info": "GeoGraphics[primitives, options] represents a two-dimensional geographical image."
}, {
  "label": "GeoGraphPlot",
  "type": "keyword",
  "info": "GeoGraphPlot[{e , e , â¦}] generates a plot of the geographic graph with edges e .GeoGraphPlot[{v , v"
}, {
  "label": "GeoGraphValuePlot",
  "type": "keyword",
  "info": "GeoGraphValuePlot[{{src , dest , flow }, {src , dest , flow }, â¦, {src , dest , flow }}] plots the f"
}, {
  "label": "GeogravityModelData",
  "type": "keyword",
  "info": "GeogravityModelData[] returns the gravitational field data for the current location.GeogravityModelD"
}, {
  "label": "GeoGridDirectionDifference",
  "type": "keyword",
  "info": "GeoGridDirectionDifference[proj, loc, Î\.b2] gives the difference between the angle from north to direct"
}, {
  "label": "GeoGridLines",
  "type": "keyword",
  "info": "GeoGridLines is an option for GeoGraphics that specifies what parallels and meridians to show."
}, {
  "label": "GeoGridLinesStyle",
  "type": "keyword",
  "info": "GeoGridLinesStyle is an option for GeoGraphics that specifies how parallels and meridians should be "
}, {
  "label": "GeoGridPosition",
  "type": "keyword",
  "info": "GeoGridPosition[{x, y}, proj] represents a point {x, y} in a planimetric cartographic grid using the"
}, {
  "label": "GeoGridRange",
  "type": "keyword",
  "info": "GeoGridRange is an option for geographic functions that specifies the range of projected coordinates"
}, {
  "label": "GeoGridRangePadding",
  "type": "keyword",
  "info": "GeoGridRangePadding is an option for geographic functions that specifies how much to extend the proj"
}, {
  "label": "GeoGridUnitArea",
  "type": "keyword",
  "info": "GeoGridUnitArea[proj, loc] gives the actual geo area corresponding to a unit area on the geo grid ob"
}, {
  "label": "GeoGridUnitDistance",
  "type": "keyword",
  "info": "GeoGridUnitDistance[proj, loc, Î\\[PlusMinus]] gives the actual geo distance corresponding to a unit distance on "
}, {
  "label": "GeoGridVector",
  "type": "keyword",
  "info": "GeoGridVector[loc ï¢ {v , v }, proj] represents a horizontal two-dimensional vector of components v ,"
}, {
  "label": "GeoGroup",
  "type": "keyword",
  "info": "GeoGroup[geoobjects] represents a list of geographic objects to be treated as a single object for ce"
}, {
  "label": "GeoHemisphere",
  "type": "keyword",
  "info": "GeoHemisphere[] is a two-dimensional GeoGraphics primitive that represents the half of the Earth cen"
}, {
  "label": "GeoHemisphereBoundary",
  "type": "keyword",
  "info": "GeoHemisphereBoundary[] is a one-dimensional GeoGraphics primitive that represents the boundary line"
}, {
  "label": "GeoHistogram",
  "type": "keyword",
  "info": "GeoHistogram[locs] plots a density histogram of the geographic locations locs.GeoHistogram[locs, bsp"
}, {
  "label": "GeoIdentify",
  "type": "keyword",
  "info": "GeoIdentify[enttype] identifies the geographic entities of the type enttype in which the current geo"
}, {
  "label": "GeoImage",
  "type": "keyword",
  "info": "GeoImage[reg] gives a satellite image of the geo region reg.GeoImage[reg, mapstyle] gives an image o"
}, {
  "label": "GeoLabels",
  "type": "keyword",
  "info": "GeoLabels is an option for GeoListPlot and GeoRegionValuePlot that specifies whether and how to add "
}, {
  "label": "GeoLength",
  "type": "keyword",
  "info": "GeoLength[g] gives the length of the geo path g."
}, {
  "label": "GeoListPlot",
  "type": "keyword",
  "info": "GeoListPlot[{loc , loc , â¦}] generates a map on which the locations loc  are indicated.GeoListPlot[{"
}, {
  "label": "GeoLocation",
  "type": "keyword",
  "info": "GeoLocation is an option for Interpreter and related functions that specifies the location to assume"
}, {
  "label": "GeologicalPeriodData",
  "type": "keyword",
  "info": "GeologicalPeriodData[entity, property] gives the value of the specified property for the geological "
}, {
  "label": "GeomagneticModelData",
  "type": "keyword",
  "info": "GeomagneticModelData[] returns the current magnetic field data for the current location.GeomagneticM"
}, {
  "label": "GeoMarker",
  "type": "keyword",
  "info": "GeoMarker[] is a GeoGraphics primitive that represents a marker at the current $GeoLocation.GeoMarke"
}, {
  "label": "GeometricAssertion",
  "type": "keyword",
  "info": "GeometricAssertion[obj, prop] represents the assertion that the geometric object obj satisfies prop."
}, {
  "label": "GeometricBrownianMotionProcess",
  "type": "keyword",
  "info": "GeometricBrownianMotionProcess[Î¼, Ï, x ] represents a geometric Brownian motion process with drift Î¼"
}, {
  "label": "GeometricDistribution",
  "type": "keyword",
  "info": "GeometricDistribution[p] represents a geometric distribution with probability parameter p. "
}, {
  "label": "GeometricMean",
  "type": "keyword",
  "info": "GeometricMean[list] gives the geometric mean of the values in list."
}, {
  "label": "GeometricMeanFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "GeometricOptimization",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "GeometricScene",
  "type": "keyword",
  "info": "GeometricScene[{p , p , â¦}, {hyp , hyp , â¦}] represents an abstract 2D geometric scene defined by th"
}, {
  "label": "GeometricStep",
  "type": "keyword",
  "info": "GeometricStep[{hyp , hyp , â¦}] gives a symbolic representation of a step in the definition of a geom"
}, {
  "label": "GeometricTest",
  "type": "keyword",
  "info": "GeometricTest[obj, prop] tests whether the geometric object obj satisfies prop.GeometricTest[{obj , "
}, {
  "label": "GeometricTransformation",
  "type": "keyword",
  "info": "GeometricTransformation[g, tfun] represents the result of applying the transformation function tfun "
}, {
  "label": "GeometricTransformation3DBox",
  "type": "keyword",
  "info": "System`GeometricTransformation3DBox"
}, {
  "label": "GeometricTransformation3DBoxOptions",
  "type": "keyword",
  "info": "GeometricTransformation3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies sett"
}, {
  "label": "GeometricTransformationBox",
  "type": "keyword",
  "info": "System`GeometricTransformationBox"
}, {
  "label": "GeometricTransformationBoxOptions",
  "type": "keyword",
  "info": "GeometricTransformationBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settin"
}, {
  "label": "GeoModel",
  "type": "keyword",
  "info": "GeoModel is an option for GeoGraphics that specifies the reference body or model for it for the purp"
}, {
  "label": "GeoNearest",
  "type": "keyword",
  "info": "GeoNearest[enttype, loc] returns the geographic entity of type enttype closest to the geo location l"
}, {
  "label": "GeoOrientationData",
  "type": "keyword",
  "info": "GeoOrientationData[date, prop] gives the value of the property prop about the orientation of the Ear"
}, {
  "label": "GeoPath",
  "type": "keyword",
  "info": "GeoPath[{loc , loc }, pathtype] is a GeoGraphics primitive that represents a path of type pathtype b"
}, {
  "label": "GeoPolygon",
  "type": "keyword",
  "info": "GeoPolygon[{loc , â¦, loc }] is a GeoGraphics primitive that represents a filled polygon whose bounda"
}, {
  "label": "GeoPosition",
  "type": "keyword",
  "info": "GeoPosition[{lat, lon}] represents a geodetic position with latitude lat and longitude lon.GeoPositi"
}, {
  "label": "GeoPositionENU",
  "type": "keyword",
  "info": "GeoPositionENU[{east, north, up}, p]  represents a position with local Cartesian coordinates {east, "
}, {
  "label": "GeoPositionXYZ",
  "type": "keyword",
  "info": "GeoPositionXYZ[{x, y, z}] represents a position in a Cartesian geocentric coordinate system.GeoPosit"
}, {
  "label": "GeoProjection",
  "type": "keyword",
  "info": "GeoProjection is an option for GeoGraphics that specifies the cartographic projection to use for the"
}, {
  "label": "GeoProjectionData",
  "type": "keyword",
  "info": "GeoProjectionData[\"projection\", \"property\"] gives the value of the specified property for the specif"
}, {
  "label": "GeoRange",
  "type": "keyword",
  "info": "GeoRange is an option for geographic functions that specifies the range of latitude and longitude to"
}, {
  "label": "GeoRangePadding",
  "type": "keyword",
  "info": "GeoRangePadding is an option for GeoGraphics that specifies what padding to use when extending beyon"
}, {
  "label": "GeoRegionValuePlot",
  "type": "keyword",
  "info": "GeoRegionValuePlot[{reg  ï¢ val , reg  ï¢ val , â¦}] generates a plot in which the geographic regions r"
}, {
  "label": "GeoResolution",
  "type": "keyword",
  "info": "GeoResolution is an option for geographic functions that specifies an average distance between neigh"
}, {
  "label": "GeoScaleBar",
  "type": "keyword",
  "info": "GeoScaleBar is an option for GeoGraphics that determines what scale to show on the map."
}, {
  "label": "GeoServer",
  "type": "keyword",
  "info": "GeoServer is an option for GeoGraphics, GeoStyling and GeoImage that specifies the URL address of a "
}, {
  "label": "GeoSmoothHistogram",
  "type": "keyword",
  "info": "GeoSmoothHistogram[locs] plots a smooth kernel histogram of the geo locations locs.GeoSmoothHistogra"
}, {
  "label": "GeoStreamPlot",
  "type": "keyword",
  "info": "GeoStreamPlot[vecs] generates a stream plot from the field of geo vectors vecs.GeoStreamPlot[{vecs ,"
}, {
  "label": "GeoStyling",
  "type": "keyword",
  "info": "GeoStyling[mapstyle] displays faces of polygons and other filled geo objects using mapstyle.GeoStyli"
}, {
  "label": "GeoStylingImageFunction",
  "type": "keyword",
  "info": "GeoStylingImageFunction is an option for specifying an image effect to apply to a geo style."
}, {
  "label": "GeoVariant",
  "type": "keyword",
  "info": "GeoVariant[obj, qual] represents a geographic object obj with qualifier qual."
}, {
  "label": "GeoVector",
  "type": "keyword",
  "info": "GeoVector[loc ï¢ {m, Î\\[PlusMinus]}] represents a horizontal two-dimensional vector of magnitude m and bearing Î\\[PlusMinus] "
}, {
  "label": "GeoVectorENU",
  "type": "keyword",
  "info": "GeoVectorENU[loc ï¢ {v , v }] represents a horizontal two-dimensional vector of components v  and v  "
}, {
  "label": "GeoVectorPlot",
  "type": "keyword",
  "info": "GeoVectorPlot[vecs] generates a vector plot from the field of geo vectors vecs.GeoVectorPlot[{vecs ,"
}, {
  "label": "GeoVectorXYZ",
  "type": "keyword",
  "info": "GeoVectorXYZ[loc ï¢ {v , v , v }] represents a three-dimensional vector of Cartesian components v , v"
}, {
  "label": "GeoVisibleRegion",
  "type": "keyword",
  "info": "GeoVisibleRegion[{lat, lon, h}] is a two-dimensional GeoGraphics primitive that represents the regio"
}, {
  "label": "GeoVisibleRegionBoundary",
  "type": "keyword",
  "info": "GeoVisibleRegionBoundary[{lat, lon, h}] is a one-dimensional GeoGraphics primitive that represents t"
}, {
  "label": "GeoWithinQ",
  "type": "keyword",
  "info": "GeoWithinQ[reg, loc] returns True if the location loc is contained within the region reg, and False "
}, {
  "label": "GeoZoomLevel",
  "type": "keyword",
  "info": "GeoZoomLevel is an option for specifying the resolution at which to render a map."
}, {
  "label": "GestureHandler",
  "type": "keyword",
  "info": "GestureHandler[expr, {gesture  ï fun , gesture  ï fun , â¦}] displays as expr, evaluating fun [value,"
}, {
  "label": "GestureHandlerTag",
  "type": "keyword",
  "info": "System`GestureHandlerTag"
}, {
  "label": "Get",
  "type": "keyword",
  "info": "<< name reads in a file, evaluating each expression in it and returning the last one. Get[stream] re"
}, {
  "label": "GetBoundingBoxSizePacket",
  "type": "keyword",
  "info": "System`GetBoundingBoxSizePacket"
}, {
  "label": "GetContext",
  "type": "keyword",
  "info": "GetContext[\"context`\"] loads the file named by ContextToFileName[\"context`\"], which gives the conven"
}, {
  "label": "GetEnvironment",
  "type": "keyword",
  "info": "GetEnvironment[\"var\"] gives the setting corresponding to the variable \"var\" in the operating system "
}, {
  "label": "GetFileName",
  "type": "keyword",
  "info": "System`GetFileName"
}, {
  "label": "GetFrontEndOptionsDataPacket",
  "type": "keyword",
  "info": "System`GetFrontEndOptionsDataPacket"
}, {
  "label": "GetLinebreakInformationPacket",
  "type": "keyword",
  "info": "System`GetLinebreakInformationPacket"
}, {
  "label": "GetMenusPacket",
  "type": "keyword",
  "info": "System`GetMenusPacket"
}, {
  "label": "GetPageBreakInformationPacket",
  "type": "keyword",
  "info": "System`GetPageBreakInformationPacket"
}, {
  "label": "GibbsPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Glaisher",
  "type": "keyword",
  "info": "Glaisher is Glaisher's constant with numerical value â 1.28243. "
}, {
  "label": "GlobalClusteringCoefficient",
  "type": "keyword",
  "info": "GlobalClusteringCoefficient[g] gives the global clustering coefficient of the graph g.GlobalClusteri"
}, {
  "label": "GlobalPreferences",
  "type": "keyword",
  "info": "System`GlobalPreferences"
}, {
  "label": "GlobalSession",
  "type": "keyword",
  "info": "System`GlobalSession"
}, {
  "label": "Glow",
  "type": "keyword",
  "info": "Glow[col] is a graphics directive which specifies that surfaces of 3D graphics objects that follow a"
}, {
  "label": "GoldenAngle",
  "type": "keyword",
  "info": "GoldenAngle is the golden angle (3 - Sqrt[5]) Ï, with numerical value â 137.5Â\\[Degree]."
}, {
  "label": "GoldenRatio",
  "type": "keyword",
  "info": "                                    1\nGoldenRatio is the golden ratio Ï ï - (Sqrt[5] + 1), with nume"
}, {
  "label": "GompertzMakehamDistribution",
  "type": "keyword",
  "info": "GompertzMakehamDistribution[Î», Î¾] represents a Gompertz distribution with scale parameter Î» and frai"
}, {
  "label": "GoochShading",
  "type": "keyword",
  "info": "GoochShading[] is a three-dimensional graphics directive specifying that surfaces that follow are to"
}, {
  "label": "GoodmanKruskalGamma",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "GoodmanKruskalGammaTest",
  "type": "keyword",
  "info": "GoodmanKruskalGammaTest[v , v ] tests whether the vectors v  and v  are independent.GoodmanKruskalGa"
}, {
  "label": "Goto",
  "type": "keyword",
  "info": "Goto[tag] scans for Label[tag], and transfers control to that point. "
}, {
  "label": "Grad",
  "type": "keyword",
  "info": "Grad[f, {x , â¦, x }] gives the gradient (â f\/â x , â¦, â f\/â x ).Grad[f, {x , â¦, x }, chart] gives th"
}, {
  "label": "Gradient",
  "type": "keyword",
  "info": "Gradient is an option for FindMinimum and related functions that specifies the gradient vector to as"
}, {
  "label": "GradientFilter",
  "type": "keyword",
  "info": "GradientFilter[data, r] gives the magnitude of the gradient of data, computed using discrete derivat"
}, {
  "label": "GradientFittedMesh",
  "type": "keyword",
  "info": "GradientFittedMesh[{p , p , â¦}] gives a MeshRegion whose gradient best fits the normals at points p "
}, {
  "label": "GradientOrientationFilter",
  "type": "keyword",
  "info": "GradientOrientationFilter[data, r] gives the local orientation parallel to the gradient of data, com"
}, {
  "label": "GrammarApply",
  "type": "keyword",
  "info": "GrammarApply[grammar, input] attempts to parse input according to the grammar defined by grammar."
}, {
  "label": "GrammarRules",
  "type": "keyword",
  "info": "GrammarRules[rules] represents grammar rules to be deployed to a cloud object that implements the gr"
}, {
  "label": "GrammarToken",
  "type": "keyword",
  "info": "GrammarToken[form] is a grammar rules pattern object that represents any input of the specified form"
}, {
  "label": "Graph",
  "type": "keyword",
  "info": "Graph[{e , e , â¦}] yields a graph with edges e .Graph[{v , v , â¦}, {e , e , â¦}] yields the graph wit"
}, {
  "label": "Graph3D",
  "type": "keyword",
  "info": "Graph3D[g] creates a graph with vertices and edges from the graph g and represented as a 3D plot.Gra"
}, {
  "label": "GraphAssortativity",
  "type": "keyword",
  "info": "GraphAssortativity[g] gives the assortativity coefficient of a graph g using vertex degrees.GraphAss"
}, {
  "label": "GraphAutomorphismGroup",
  "type": "keyword",
  "info": "GraphAutomorphismGroup[g] gives the automorphism group of a graph g.GraphAutomorphismGroup[{v ï¢ w, â¦"
}, {
  "label": "GraphCenter",
  "type": "keyword",
  "info": "GraphCenter[g] gives the set of vertices with minimum eccentricity in the graph g.GraphCenter[{v ï¢ w"
}, {
  "label": "GraphComplement",
  "type": "keyword",
  "info": "GraphComplement[g] gives the graph complement of the graph g.GraphComplement[{v ï¢ w, â¦}] uses rules "
}, {
  "label": "GraphData",
  "type": "keyword",
  "info": "GraphData[name] gives a graph with the specified name.GraphData[entity] gives the graph correspondin"
}, {
  "label": "GraphDensity",
  "type": "keyword",
  "info": "GraphDensity[g] gives the graph density of the graph g.GraphDensity[{v ï¢ w, â¦}] uses rules v ï¢ w to "
}, {
  "label": "GraphDiameter",
  "type": "keyword",
  "info": "GraphDiameter[g] gives the greatest distance between any pair of vertices in the graph g.GraphDiamet"
}, {
  "label": "GraphDifference",
  "type": "keyword",
  "info": "GraphDifference[g , g ] gives the graph difference of the graphs g  and g .GraphDifference[{v ï¢ w, â¦"
}, {
  "label": "GraphDisjointUnion",
  "type": "keyword",
  "info": "GraphDisjointUnion[g , g ] gives the graph disjoint union of the graphs g  and g .GraphDisjointUnion"
}, {
  "label": "GraphDistance",
  "type": "keyword",
  "info": "GraphDistance[g, s, t] gives the distance from source vertex s to target vertex t in the graph g.Gra"
}, {
  "label": "GraphDistanceMatrix",
  "type": "keyword",
  "info": "GraphDistanceMatrix[g] gives the matrix of distances between vertices for the graph g.GraphDistanceM"
}, {
  "label": "GraphElementData",
  "type": "keyword",
  "info": "System`GraphElementData"
}, {
  "label": "GraphEmbedding",
  "type": "keyword",
  "info": "GraphEmbedding[g] gives coordinates of the vertices of the graph g.GraphEmbedding[g, \"emb\"] gives co"
}, {
  "label": "GraphHighlight",
  "type": "keyword",
  "info": "GraphHighlight is an option to Graph and related objects that specifies graph elements to highlight."
}, {
  "label": "GraphHighlightStyle",
  "type": "keyword",
  "info": "GraphHighlightStyle is an option to Graph and related objects that specifies styles to use for highl"
}, {
  "label": "GraphHub",
  "type": "keyword",
  "info": "GraphHub[g] gives the set of vertices with maximum vertex degree in the underlying simple graph of g"
}, {
  "label": "Graphics",
  "type": "keyword",
  "info": "Graphics[primitives, options] represents a two-dimensional graphical image. "
}, {
  "label": "Graphics3D",
  "type": "keyword",
  "info": "Graphics3D[primitives, options] represents a three-dimensional graphical image. "
}, {
  "label": "Graphics3DBox",
  "type": "keyword",
  "info": "System`Graphics3DBox"
}, {
  "label": "Graphics3DBoxOptions",
  "type": "keyword",
  "info": "Graphics3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Graphi"
}, {
  "label": "GraphicsArray",
  "type": "keyword",
  "info": "GraphicsArray[{g , g , â¦}] represents a row of graphics objects.GraphicsArray[{{g  , g  , â¦}, â¦}] re"
}, {
  "label": "GraphicsBaseline",
  "type": "keyword",
  "info": "System`GraphicsBaseline"
}, {
  "label": "GraphicsBox",
  "type": "keyword",
  "info": "System`GraphicsBox"
}, {
  "label": "GraphicsBoxOptions",
  "type": "keyword",
  "info": "GraphicsBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Graphics"
}, {
  "label": "GraphicsColor",
  "type": "keyword",
  "info": "System`GraphicsColor"
}, {
  "label": "GraphicsColumn",
  "type": "keyword",
  "info": "GraphicsColumn[{g , g , â¦}] generates a graphic in which the g  are laid out in a column, with g  ab"
}, {
  "label": "GraphicsComplex",
  "type": "keyword",
  "info": "GraphicsComplex[{pt , pt , â¦}, data] represents a graphics complex in which coordinates given as int"
}, {
  "label": "GraphicsComplex3DBox",
  "type": "keyword",
  "info": "System`GraphicsComplex3DBox"
}, {
  "label": "GraphicsComplex3DBoxOptions",
  "type": "keyword",
  "info": "GraphicsComplex3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for"
}, {
  "label": "GraphicsComplexBox",
  "type": "keyword",
  "info": "System`GraphicsComplexBox"
}, {
  "label": "GraphicsComplexBoxOptions",
  "type": "keyword",
  "info": "GraphicsComplexBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for G"
}, {
  "label": "GraphicsContents",
  "type": "keyword",
  "info": "System`GraphicsContents"
}, {
  "label": "GraphicsData",
  "type": "keyword",
  "info": "System`GraphicsData"
}, {
  "label": "GraphicsGrid",
  "type": "keyword",
  "info": "GraphicsGrid[{{g  , g  , â¦}, â¦}] generates a graphic in which the g   are laid out in a two-dimensio"
}, {
  "label": "GraphicsGridBox",
  "type": "keyword",
  "info": "System`GraphicsGridBox"
}, {
  "label": "GraphicsGroup",
  "type": "keyword",
  "info": "GraphicsGroup[{g , g , â¦}] represents a collection of graphics objects grouped together for purposes"
}, {
  "label": "GraphicsGroup3DBox",
  "type": "keyword",
  "info": "System`GraphicsGroup3DBox"
}, {
  "label": "GraphicsGroup3DBoxOptions",
  "type": "keyword",
  "info": "GraphicsGroup3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for G"
}, {
  "label": "GraphicsGroupBox",
  "type": "keyword",
  "info": "System`GraphicsGroupBox"
}, {
  "label": "GraphicsGroupBoxOptions",
  "type": "keyword",
  "info": "GraphicsGroupBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Gra"
}, {
  "label": "GraphicsGrouping",
  "type": "keyword",
  "info": "System`GraphicsGrouping"
}, {
  "label": "GraphicsHighlightColor",
  "type": "keyword",
  "info": "System`GraphicsHighlightColor"
}, {
  "label": "GraphicsRow",
  "type": "keyword",
  "info": "GraphicsRow[{g , g , â¦}] generates a graphic in which the g  are laid out in a row.GraphicsRow[list,"
}, {
  "label": "GraphicsSpacing",
  "type": "keyword",
  "info": "GraphicsSpacing is an option for GraphicsArray that specifies the spacing between elements in the ar"
}, {
  "label": "GraphicsStyle",
  "type": "keyword",
  "info": "System`GraphicsStyle"
}, {
  "label": "GraphIntersection",
  "type": "keyword",
  "info": "GraphIntersection[g , g ] gives the graph intersection of the graphs g  and g .GraphIntersection[g ,"
}, {
  "label": "GraphLayerLabels",
  "type": "keyword",
  "info": "System`GraphLayerLabels"
}, {
  "label": "GraphLayers",
  "type": "keyword",
  "info": "GraphLayers is an option for LayeredGraphPlot3D and related functions that specifies layers to draw "
}, {
  "label": "GraphLayerStyle",
  "type": "keyword",
  "info": "GraphLayerStyle is an option for LayeredGraphPlot3D and related functions that specifies the style i"
}, {
  "label": "GraphLayout",
  "type": "keyword",
  "info": "GraphLayout is an option to Graph and related functions that specifies what layout to use."
}, {
  "label": "GraphLinkEfficiency",
  "type": "keyword",
  "info": "GraphLinkEfficiency[g] gives the link efficiency of the graph g.GraphLinkEfficiency[{v ï¢ w, â¦}] uses"
}, {
  "label": "GraphPeriphery",
  "type": "keyword",
  "info": "GraphPeriphery[g] gives vertices that are maximally distant to at least one vertex in the graph g.Gr"
}, {
  "label": "GraphPlot",
  "type": "keyword",
  "info": "GraphPlot[g] generates a plot of the graph g.GraphPlot[{e , e , â¦}] generates a plot of the graph wi"
}, {
  "label": "GraphPlot3D",
  "type": "keyword",
  "info": "GraphPlot3D[g] generates a 3D plot of the graph g.GraphPlot3D[{e , e , â¦}] generates a 3D plot of th"
}, {
  "label": "GraphPower",
  "type": "keyword",
  "info": "                                   th\nGraphPower[g, n] gives the graph-nï    power of the graph g.Gra"
}, {
  "label": "GraphPropertyDistribution",
  "type": "keyword",
  "info": "GraphPropertyDistribution[expr, x ï gdist] represents the distribution of the property expr where th"
}, {
  "label": "GraphQ",
  "type": "keyword",
  "info": "GraphQ[g] yields True if g is a valid Graph object and False otherwise."
}, {
  "label": "GraphRadius",
  "type": "keyword",
  "info": "GraphRadius[g] gives the minimum eccentricity of the vertices in the graph g.GraphRadius[{v ï¢ w, â¦}]"
}, {
  "label": "GraphReciprocity",
  "type": "keyword",
  "info": "GraphReciprocity[g] gives the reciprocity of a graph g.GraphReciprocity[{v ï¢ w, â¦}] uses rules v ï¢ w"
}, {
  "label": "GraphRoot",
  "type": "keyword",
  "info": "System`GraphRoot"
}, {
  "label": "GraphStyle",
  "type": "keyword",
  "info": "GraphStyle is an option to Graph and related objects that specifies styles to use for the different "
}, {
  "label": "GraphTree",
  "type": "keyword",
  "info": "GraphTree[g] constructs a tree from the tree graph g.GraphTree[g, root] specifies what vertex to use"
}, {
  "label": "GraphUnion",
  "type": "keyword",
  "info": "GraphUnion[g , g ] gives the graph union of the graphs g  and g .GraphUnion[g , g , â¦] gives the gra"
}, {
  "label": "Gray",
  "type": "keyword",
  "info": "Gray represents the color gray in graphics or style specifications. "
}, {
  "label": "GrayLevel",
  "type": "keyword",
  "info": "GrayLevel[g] represents a color in the grayscale color space with gray level g.GrayLevel[g, a] speci"
}, {
  "label": "Greater",
  "type": "keyword",
  "info": "x > y yields True if x is determined to be greater than y. x  > x  > x  yields True if the x  form a"
}, {
  "label": "GreaterEqual",
  "type": "keyword",
  "info": "x >= y or x â¥ y yields True if x is determined to be greater than or equal to y. x  â¥ x  â¥ x  yields"
}, {
  "label": "GreaterEqualLess",
  "type": "keyword",
  "info": "GreaterEqualLess[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "GreaterEqualThan",
  "type": "keyword",
  "info": "GreaterEqualThan[y] is an operator form that yields x â¥ y when applied to an expression x."
}, {
  "label": "GreaterFullEqual",
  "type": "keyword",
  "info": "GreaterFullEqual[x, y, â¦] displays as x â§ y â§ â¦."
}, {
  "label": "GreaterGreater",
  "type": "keyword",
  "info": "GreaterGreater[x, y, â¦] displays as x â« y â« â¦."
}, {
  "label": "GreaterLess",
  "type": "keyword",
  "info": "GreaterLess[x, y, â¦] displays as x â\\[CenterDot] y â\\[CenterDot] â¦."
}, {
  "label": "GreaterSlantEqual",
  "type": "keyword",
  "info": "GreaterSlantEqual[x, y, â¦] displays as x â©¾ y â©¾ â¦."
}, {
  "label": "GreaterThan",
  "type": "keyword",
  "info": "GreaterThan[y] is an operator form that yields x > y when applied to an expression x."
}, {
  "label": "GreaterTilde",
  "type": "keyword",
  "info": "GreaterTilde[x, y, â¦] displays as x â\.b3 y â\.b3 â¦."
}, {
  "label": "GreekStyle",
  "type": "keyword",
  "info": "System`GreekStyle"
}, {
  "label": "Green",
  "type": "keyword",
  "info": "Green represents the color green in graphics or style specifications. "
}, {
  "label": "GreenFunction",
  "type": "keyword",
  "info": "GreenFunction[{â[u[x]], â\\[Not][u[x]]}, u, {x, x   , x   }, y] gives a Green's function for the linear dif"
}, {
  "label": "Grid",
  "type": "keyword",
  "info": "Grid[{{expr  , expr  , â¦}, {expr  , expr  , â¦}, â¦}] is an object that formats with the expr   arrang"
}, {
  "label": "GridBaseline",
  "type": "keyword",
  "info": "GridBaseline is an option for GridBox that specifies what place in the grid should be considered its"
}, {
  "label": "GridBox",
  "type": "keyword",
  "info": "GridBox[{{box  , box  , â¦}, {box  , box  , â¦}, â¦}] is a low-level box construct that represents a tw"
}, {
  "label": "GridBoxAlignment",
  "type": "keyword",
  "info": "System`GridBoxAlignment"
}, {
  "label": "GridBoxBackground",
  "type": "keyword",
  "info": "System`GridBoxBackground"
}, {
  "label": "GridBoxDividers",
  "type": "keyword",
  "info": "System`GridBoxDividers"
}, {
  "label": "GridBoxFrame",
  "type": "keyword",
  "info": "System`GridBoxFrame"
}, {
  "label": "GridBoxItemSize",
  "type": "keyword",
  "info": "System`GridBoxItemSize"
}, {
  "label": "GridBoxItemStyle",
  "type": "keyword",
  "info": "System`GridBoxItemStyle"
}, {
  "label": "GridBoxOptions",
  "type": "keyword",
  "info": "GridBoxOptions -> {opt  -> val , opt  -> val , â¦} is an option which specifies default settings for "
}, {
  "label": "GridBoxSpacings",
  "type": "keyword",
  "info": "System`GridBoxSpacings"
}, {
  "label": "GridCreationSettings",
  "type": "keyword",
  "info": "GridCreationSettings is a global option that specifies settings for the Create Table\/Matrix dialog."
}, {
  "label": "GridDefaultElement",
  "type": "keyword",
  "info": "GridDefaultElement is an option for the low-level function GridBox that specifies what to insert whe"
}, {
  "label": "GridElementStyleOptions",
  "type": "keyword",
  "info": "System`GridElementStyleOptions"
}, {
  "label": "GridFrame",
  "type": "keyword",
  "info": "GridFrame is an option for grids that specifies whether a surrounding frame is drawn."
}, {
  "label": "GridFrameMargins",
  "type": "keyword",
  "info": "GridFrameMargins is an option for grids that specifies the spacing between the content of the grid a"
}, {
  "label": "GridGraph",
  "type": "keyword",
  "info": "GridGraph[{m, n}] gives the grid graph with m Ã n vertices G    .GridGraph[{n , n , â¦, n }] gives th"
}, {
  "label": "GridLines",
  "type": "keyword",
  "info": "GridLines is an option for two-dimensional graphics functions that specifies grid lines. "
}, {
  "label": "GridLinesStyle",
  "type": "keyword",
  "info": "GridLinesStyle is an option for 2D graphics functions that specifies how grid lines should be render"
}, {
  "label": "GridVideo",
  "type": "keyword",
  "info": "GridVideo[{v , v , â¦}] creates a video in which each frame is a grid of frames of all v  at the corr"
}, {
  "label": "GroebnerBasis",
  "type": "keyword",
  "info": "GroebnerBasis[{poly , poly , â¦}, {x , x , â¦}] gives a list of polynomials that form a GrÃ\\[Paragraph]bner basis "
}, {
  "label": "GroupActionBase",
  "type": "keyword",
  "info": "GroupActionBase is an option to specify a base for a group."
}, {
  "label": "GroupBy",
  "type": "keyword",
  "info": "GroupBy[{elem , elem , â¦}, f] gives an association that groups the elem  into lists associated with "
}, {
  "label": "GroupCentralizer",
  "type": "keyword",
  "info": "GroupCentralizer[group, g] returns the centralizer of the element g in group."
}, {
  "label": "GroupElementFromWord",
  "type": "keyword",
  "info": "GroupElementFromWord[group, w] returns the element of group determined by the word w in the generato"
}, {
  "label": "GroupElementPosition",
  "type": "keyword",
  "info": "GroupElementPosition[group, g] returns the position of the element g in the list of elements of grou"
}, {
  "label": "GroupElementQ",
  "type": "keyword",
  "info": "GroupElementQ[group, g] returns True if the object g is an element of group and False otherwise."
}, {
  "label": "GroupElements",
  "type": "keyword",
  "info": "GroupElements[group] returns the list of all elements of group.GroupElements[group, {r , â¦, r }] ret"
}, {
  "label": "GroupElementToWord",
  "type": "keyword",
  "info": "GroupElementToWord[group, g] decomposes the group element g as a product of generators of group."
}, {
  "label": "GroupGenerators",
  "type": "keyword",
  "info": "GroupGenerators[group] returns a list of generators of group. "
}, {
  "label": "Groupings",
  "type": "keyword",
  "info": "Groupings[n, k] gives a list of all possible groupings of 1, â¦, n taken k at a time. Groupings[{a , "
}, {
  "label": "GroupMultiplicationTable",
  "type": "keyword",
  "info": "GroupMultiplicationTable[group] gives the multiplication table of group as an array."
}, {
  "label": "GroupOpenerColor",
  "type": "keyword",
  "info": "System`GroupOpenerColor"
}, {
  "label": "GroupOpenerInsideFrame",
  "type": "keyword",
  "info": "System`GroupOpenerInsideFrame"
}, {
  "label": "GroupOrbits",
  "type": "keyword",
  "info": "GroupOrbits[group, {p , â¦}] returns the orbits of the points p  under the action of the elements of "
}, {
  "label": "GroupOrder",
  "type": "keyword",
  "info": "GroupOrder[group] returns the number of elements of group."
}, {
  "label": "GroupPageBreakWithin",
  "type": "keyword",
  "info": "GroupPageBreakWithin is an option for Cell that specifies whether a page break should be allowed wit"
}, {
  "label": "GroupSetwiseStabilizer",
  "type": "keyword",
  "info": "GroupSetwiseStabilizer[group, {p , â¦, p }] returns the subgroup of group for which the images of the"
}, {
  "label": "GroupStabilizer",
  "type": "keyword",
  "info": "GroupStabilizer[group, {p , â¦, p }] returns the subgroup of elements of group that move none of the "
}, {
  "label": "GroupStabilizerChain",
  "type": "keyword",
  "info": "GroupStabilizerChain[group] returns a list of successive stabilizers in group of the points in a bas"
}, {
  "label": "GroupTogetherGrouping",
  "type": "keyword",
  "info": "System`GroupTogetherGrouping"
}, {
  "label": "GroupTogetherNestedGrouping",
  "type": "keyword",
  "info": "System`GroupTogetherNestedGrouping"
}, {
  "label": "GrowCutComponents",
  "type": "keyword",
  "info": "GrowCutComponents[image, {marker , marker , â¦}] creates a segmentation from image by growing each ma"
}, {
  "label": "Gudermannian",
  "type": "keyword",
  "info": "Gudermannian[z] gives the Gudermannian function gd(z)."
}, {
  "label": "GuidedFilter",
  "type": "keyword",
  "info": "GuidedFilter[image, guide, r, Ï\\[Micro]] filters image using the guide image guide over range-r neighborhood"
}, {
  "label": "GumbelDistribution",
  "type": "keyword",
  "info": "GumbelDistribution[Î\\[PlusMinus], Î\.b2] represents a Gumbel distribution with location parameter Î\\[PlusMinus] and scale parame"
}, {
  "label": "HaarWavelet",
  "type": "keyword",
  "info": "HaarWavelet[] represents a Haar wavelet. "
}, {
  "label": "HadamardMatrix",
  "type": "keyword",
  "info": "HadamardMatrix[n] returns an nÃn Hadamard matrix."
}, {
  "label": "HalfLine",
  "type": "keyword",
  "info": "HalfLine[{p , p }] represents the half-line from the point p  through p . HalfLine[p, v] represents "
}, {
  "label": "HalfNormalDistribution",
  "type": "keyword",
  "info": "HalfNormalDistribution[Î¸] represents a half-normal distribution with scale inversely proportional to"
}, {
  "label": "HalfPlane",
  "type": "keyword",
  "info": "HalfPlane[{p , p }, w] represents the half-plane bounded by the line through p  and p  and extended "
}, {
  "label": "HalfSpace",
  "type": "keyword",
  "info": "HalfSpace[n, p] represents the half-space of points x such that n . (x - p) â¤ 0.HalfSpace[n, c] repr"
}, {
  "label": "HalftoneShading",
  "type": "keyword",
  "info": "HalftoneShading[] is a three-dimensional graphics directive specifying that surfaces that follow are"
}, {
  "label": "HamiltonianGraphQ",
  "type": "keyword",
  "info": "HamiltonianGraphQ[g] yields True if the graph g is Hamiltonian, and False otherwise."
}, {
  "label": "HammingDistance",
  "type": "keyword",
  "info": "HammingDistance[u, v] gives the Hamming distance between strings or vectors u and v.HammingDistance["
}, {
  "label": "HammingWindow",
  "type": "keyword",
  "info": "HammingWindow[x] represents a Hamming window function of x."
}, {
  "label": "HandlerFunctions",
  "type": "keyword",
  "info": "HandlerFunctions is an option for asynchronous operations that specifies functions to apply when eve"
}, {
  "label": "HandlerFunctionsKeys",
  "type": "keyword",
  "info": "HandlerFunctionsKeys is an option for asynchronous operations that specifies the content of associat"
}, {
  "label": "HankelH1",
  "type": "keyword",
  "info": "                                                            (1)\nHankelH1[n, z] gives the Hankel func"
}, {
  "label": "HankelH2",
  "type": "keyword",
  "info": "                                                             (2)\nHankelH2[n, z] gives the Hankel fun"
}, {
  "label": "HankelMatrix",
  "type": "keyword",
  "info": "HankelMatrix[n] gives the nÃn Hankel matrix with first row and first column being successive integer"
}, {
  "label": "HankelTransform",
  "type": "keyword",
  "info": "HankelTransform[expr, r, s] gives the Hankel transform of order 0 for expr.HankelTransform[expr, r, "
}, {
  "label": "HannPoissonWindow",
  "type": "keyword",
  "info": "HannPoissonWindow[x] represents a HannâPoisson window function of x.HannPoissonWindow[x, Î\\[PlusMinus]] uses the"
}, {
  "label": "HannWindow",
  "type": "keyword",
  "info": "HannWindow[x] represents a Hann window function of x.HannWindow[x, Î\\[PlusMinus]] uses the parameter Î\\[PlusMinus].\n"
}, {
  "label": "HaradaNortonGroupHN",
  "type": "keyword",
  "info": "HaradaNortonGroupHN[] represents the sporadic simple HaradaâNorton group HN."
}, {
  "label": "HararyGraph",
  "type": "keyword",
  "info": "HararyGraph[k, n] generates the minimal k-connected graph on n vertices H    .\n                     "
}, {
  "label": "HardcorePointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "HarmonicMean",
  "type": "keyword",
  "info": "HarmonicMean[list] gives the harmonic mean of the values in list."
}, {
  "label": "HarmonicMeanFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "HarmonicNumber",
  "type": "keyword",
  "info": "                              th                                                                    "
}, {
  "label": "Hash",
  "type": "keyword",
  "info": "Hash[expr] gives an integer hash code for the expression expr.Hash[expr, \"type\"] gives an integer ha"
}, {
  "label": "HatchFilling",
  "type": "keyword",
  "info": "HatchFilling[] is a two-dimensional graphics directive that specifies that faces of polygons and oth"
}, {
  "label": "HatchShading",
  "type": "keyword",
  "info": "HatchShading[] is a three-dimensional graphics directive specifying that objects that follow are to "
}, {
  "label": "Haversine",
  "type": "keyword",
  "info": "Haversine[z] gives the haversine function hav(z)."
}, {
  "label": "HazardFunction",
  "type": "keyword",
  "info": "HazardFunction[dist, x] gives the hazard function for the distribution dist evaluated at x.HazardFun"
}, {
  "label": "Head",
  "type": "keyword",
  "info": "Head[expr] gives the head of expr. Head[expr, h] wraps the result with h.\n"
}, {
  "label": "HeadCompose",
  "type": "keyword",
  "info": "HeadCompose[a, b, c, d] gives a[b][c][d]."
}, {
  "label": "HeaderAlignment",
  "type": "keyword",
  "info": "HeaderAlignment is an option for Dataset that specifies how the contents of a header should be align"
}, {
  "label": "HeaderBackground",
  "type": "keyword",
  "info": "HeaderBackground is an option for Dataset that specifies what background color to use for row and co"
}, {
  "label": "HeaderDisplayFunction",
  "type": "keyword",
  "info": "HeaderDisplayFunction is an option for Dataset that specifies a function to apply to headers before "
}, {
  "label": "HeaderLines",
  "type": "keyword",
  "info": "HeaderLines is an option for SemanticImport and related functions that specifies how many of the ini"
}, {
  "label": "Headers",
  "type": "keyword",
  "info": "System`Headers"
}, {
  "label": "HeaderSize",
  "type": "keyword",
  "info": "HeaderSize is an option for Dataset that specifies the widths and heights of headers."
}, {
  "label": "HeaderStyle",
  "type": "keyword",
  "info": "HeaderStyle is an option for Dataset that specifies the style to use for headers."
}, {
  "label": "Heads",
  "type": "keyword",
  "info": "Heads is an option for functions which use level specifications that specifies whether heads of expr"
}, {
  "label": "HeatFluxValue",
  "type": "keyword",
  "info": "HeatFluxValue[pred, vars, pars] represents a thermal heat flux boundary condition for PDEs with pred"
}, {
  "label": "HeatInsulationValue",
  "type": "keyword",
  "info": "HeatInsulationValue[pred, vars, pars] represents a thermal insulation boundary condition for PDEs wi"
}, {
  "label": "HeatOutflowValue",
  "type": "keyword",
  "info": "HeatOutflowValue[pred, vars, pars] represents a thermal outflow boundary condition for PDEs with pre"
}, {
  "label": "HeatRadiationValue",
  "type": "keyword",
  "info": "HeatRadiationValue[pred, vars, pars] represents a thermal radiation boundary condition for PDEs with"
}, {
  "label": "HeatSymmetryValue",
  "type": "keyword",
  "info": "HeatSymmetryValue[pred, vars, pars] represents a thermal symmetry boundary condition for PDEs with p"
}, {
  "label": "HeatTemperatureCondition",
  "type": "keyword",
  "info": "HeatTemperatureCondition[pred, vars, pars] represents a thermal surface boundary condition for PDEs "
}, {
  "label": "HeatTransferPDEComponent",
  "type": "keyword",
  "info": "HeatTransferPDEComponent[vars, pars] yields a heat transfer PDE term with variables vars and paramet"
}, {
  "label": "HeatTransferValue",
  "type": "keyword",
  "info": "HeatTransferValue[pred, vars, pars] represents a thermal transfer boundary condition for PDEs with p"
}, {
  "label": "HeavisideLambda",
  "type": "keyword",
  "info": "HeavisideLambda[x] represents the triangle distribution Î(x) which is nonzero for ï x ï < 1.Heavisid"
}, {
  "label": "HeavisidePi",
  "type": "keyword",
  "info": "                                                                            1                   1   "
}, {
  "label": "HeavisideTheta",
  "type": "keyword",
  "info": "HeavisideTheta[x] represents the Heaviside theta function Î¸(x), equal to 0 for x < 0 and 1 for x > 0"
}, {
  "label": "HeldGroupHe",
  "type": "keyword",
  "info": "HeldGroupHe[] represents the sporadic simple Held group He."
}, {
  "label": "HeldPart",
  "type": "keyword",
  "info": "System`HeldPart"
}, {
  "label": "HelmholtzPDEComponent",
  "type": "keyword",
  "info": "                                                               2                 2\nHelmholtzPDECompo"
}, {
  "label": "HelpBrowserLookup",
  "type": "keyword",
  "info": "System`HelpBrowserLookup"
}, {
  "label": "HelpBrowserNotebook",
  "type": "keyword",
  "info": "System`HelpBrowserNotebook"
}, {
  "label": "HelpBrowserSettings",
  "type": "keyword",
  "info": "HelpBrowserSettings is a global option that specifies settings for the legacy Help Browser."
}, {
  "label": "Here",
  "type": "keyword",
  "info": "Here represents the current deduced geo location."
}, {
  "label": "HermiteDecomposition",
  "type": "keyword",
  "info": "HermiteDecomposition[m] gives the Hermite normal form decomposition of an integer matrix m."
}, {
  "label": "HermiteH",
  "type": "keyword",
  "info": "HermiteH[n, x] gives the Hermite polynomial H (x). \n                                             n"
}, {
  "label": "Hermitian",
  "type": "keyword",
  "info": "Hermitian[{1, 2}] represents the symmetry of a Hermitian matrix."
}, {
  "label": "HermitianMatrixQ",
  "type": "keyword",
  "info": "HermitianMatrixQ[m] gives True if m is explicitly Hermitian, and False otherwise. "
}, {
  "label": "HessenbergDecomposition",
  "type": "keyword",
  "info": "HessenbergDecomposition[m] gives the Hessenberg decomposition of a numerical matrix m. "
}, {
  "label": "Hessian",
  "type": "keyword",
  "info": "System`Hessian"
}, {
  "label": "HeunB",
  "type": "keyword",
  "info": "HeunB[q, Î\\[PlusMinus], Î\.b3, Î\.b4, Ï\\[Micro], z] gives the bi-confluent Heun function. "
}, {
  "label": "HeunBPrime",
  "type": "keyword",
  "info": "HeunBPrime[q, Î\\[PlusMinus], Î\.b3, Î\.b4, Ï\\[Micro], z] gives the z-derivative of the HeunB function. "
}, {
  "label": "HeunC",
  "type": "keyword",
  "info": "HeunC[q, Î\\[PlusMinus], Î\.b3, Î\.b4, Ï\\[Micro], z] gives the confluent Heun function."
}, {
  "label": "HeunCPrime",
  "type": "keyword",
  "info": "HeunCPrime[q, Î\\[PlusMinus], Î\.b3, Î\.b4, Ï\\[Micro], z] gives the z-derivative of the HeunC function. "
}, {
  "label": "HeunD",
  "type": "keyword",
  "info": "HeunD[q, Î\\[PlusMinus], Î\.b3, Î\.b4, Ï\\[Micro], z] gives the double-confluent Heun function. "
}, {
  "label": "HeunDPrime",
  "type": "keyword",
  "info": "HeunDPrime[q, Î\\[PlusMinus], Î\.b3, Î\.b4, Ï\\[Micro], z] gives the z-derivative of the HeunD function. "
}, {
  "label": "HeunG",
  "type": "keyword",
  "info": "HeunG[a, q, Î\\[PlusMinus], Î\.b2, Î\.b3, Î\.b4, z] gives the general Heun function. "
}, {
  "label": "HeunGPrime",
  "type": "keyword",
  "info": "HeunGPrime[a, q, Î\\[PlusMinus], Î\.b2, Î\.b3, Î\.b4, z] gives the z-derivative of the HeunG function. "
}, {
  "label": "HeunT",
  "type": "keyword",
  "info": "HeunT[q, Î\\[PlusMinus], Î\.b3, Î\.b4, Ï\\[Micro], z] gives the tri-confluent Heun function. "
}, {
  "label": "HeunTPrime",
  "type": "keyword",
  "info": "HeunTPrime[q, Î\\[PlusMinus], Î\.b3, Î\.b4, Ï\\[Micro], z] gives the z-derivative of the HeunT function. "
}, {
  "label": "HexadecimalCharacter",
  "type": "keyword",
  "info": "HexadecimalCharacter represents a hexadecimal digit character 0â9, aâf, AâF in StringExpression."
}, {
  "label": "Hexahedron",
  "type": "keyword",
  "info": "Hexahedron[{p , p , â¦, p }] represents a filled hexahedron with corners p , p , â¦, p .Hexahedron[{{p"
}, {
  "label": "HexahedronBox",
  "type": "keyword",
  "info": "System`HexahedronBox"
}, {
  "label": "HexahedronBoxOptions",
  "type": "keyword",
  "info": "System`HexahedronBoxOptions"
}, {
  "label": "HiddenItems",
  "type": "keyword",
  "info": "HiddenItems is an option for Dataset that specifies which items to hide."
}, {
  "label": "HiddenMarkovProcess",
  "type": "keyword",
  "info": "HiddenMarkovProcess[i , m, em] represents a discrete-time, finite-state hidden Markov process with t"
}, {
  "label": "HiddenSurface",
  "type": "keyword",
  "info": "HiddenSurface is an option for SurfaceGraphics which specifies whether hidden surfaces are to be eli"
}, {
  "label": "Highlighted",
  "type": "keyword",
  "info": "Highlighted[expr] displays a highlighted version of expr."
}, {
  "label": "HighlightGraph",
  "type": "keyword",
  "info": "HighlightGraph[g, {a , a , â¦}] highlights the a  that can be vertices, edges, or subgraphs of g.High"
}, {
  "label": "HighlightImage",
  "type": "keyword",
  "info": "HighlightImage[image, roi] highlights the specified region of interest roi in image.HighlightImage[i"
}, {
  "label": "HighlightMesh",
  "type": "keyword",
  "info": "HighlightMesh[mr, {cellspec , cellspec , â¦}] highlights the cells specified by cellspec  in the mesh"
}, {
  "label": "HighpassFilter",
  "type": "keyword",
  "info": "HighpassFilter[data, Ï ] applies a highpass filter with a cutoff frequency Ï  to an array of data.Hi"
}, {
  "label": "HigmanSimsGroupHS",
  "type": "keyword",
  "info": "HigmanSimsGroupHS[] represents the sporadic simple HigmanâSims group HS."
}, {
  "label": "HilbertCurve",
  "type": "keyword",
  "info": "                                                           th                                       "
}, {
  "label": "HilbertFilter",
  "type": "keyword",
  "info": "HilbertFilter[data, Ï ] applies a Hilbert filter with a cutoff frequency Ï  to an array of data.Hilb"
}, {
  "label": "HilbertMatrix",
  "type": "keyword",
  "info": "HilbertMatrix[n] gives the nÃn Hilbert matrix with elements of the form 1\/(i + j - 1).HilbertMatrix["
}, {
  "label": "Histogram",
  "type": "keyword",
  "info": "Histogram[{x , x , â¦}] plots a histogram of the values x .Histogram[{x , x , â¦}, bspec] plots a hist"
}, {
  "label": "Histogram3D",
  "type": "keyword",
  "info": "Histogram3D[{{x , y }, {x , y }, â¦}] plots a 3D histogram of the values {x , y }.Histogram3D[{{x , y"
}, {
  "label": "HistogramDistribution",
  "type": "keyword",
  "info": "HistogramDistribution[{x , x , â¦}] represents the probability distribution corresponding to a histog"
}, {
  "label": "HistogramList",
  "type": "keyword",
  "info": "HistogramList[{x , x , â¦}] gives a list of bins and histogram heights of the values x .HistogramList"
}, {
  "label": "HistogramPointDensity",
  "type": "keyword",
  "info": "HistogramPointDensity[pdata] estimates the histogram point density function Î¼(x) for point data pdat"
}, {
  "label": "HistogramTransform",
  "type": "keyword",
  "info": "HistogramTransform[image] transforms pixel values of image so that its histogram is nearly flat.Hist"
}, {
  "label": "HistogramTransformInterpolation",
  "type": "keyword",
  "info": "HistogramTransformInterpolation[{x , x , â¦}] finds a function f so that the transformed values f(x )"
}, {
  "label": "HistoricalPeriodData",
  "type": "keyword",
  "info": "HistoricalPeriodData[entity, property] gives the value of the specified property for the historical "
}, {
  "label": "HitMissTransform",
  "type": "keyword",
  "info": "HitMissTransform[image, ker] gives the hit-or-miss transform of image with respect to the composite "
}, {
  "label": "HITSCentrality",
  "type": "keyword",
  "info": "HITSCentrality[g] gives a list of authority and hub centralities for the vertices in the graph g.HIT"
}, {
  "label": "HjorthDistribution",
  "type": "keyword",
  "info": "HjorthDistribution[m, s, f] represents the Hjorth distribution with location parameter m, scale para"
}, {
  "label": "HodgeDual",
  "type": "keyword",
  "info": "HodgeDual[tensor] gives the Hodge dual of the tensorHodgeDual[tensor, dim] dualizes tensor in the sl"
}, {
  "label": "HoeffdingD",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "HoeffdingDTest",
  "type": "keyword",
  "info": "HoeffdingDTest[v , v ] tests whether the vectors v  and v  are independent.HoeffdingDTest[â¦, \"proper"
}, {
  "label": "Hold",
  "type": "keyword",
  "info": "Hold[expr] maintains expr in an unevaluated form. "
}, {
  "label": "HoldAll",
  "type": "keyword",
  "info": "HoldAll is an attribute that specifies that all arguments to a function are to be maintained in an u"
}, {
  "label": "HoldAllComplete",
  "type": "keyword",
  "info": "HoldAllComplete is an attribute which specifies that all arguments to a function are not to be modif"
}, {
  "label": "HoldComplete",
  "type": "keyword",
  "info": "HoldComplete[expr] shields expr completely from the standard Wolfram Language evaluation process, pr"
}, {
  "label": "HoldFirst",
  "type": "keyword",
  "info": "HoldFirst is an attribute that specifies that the first argument to a function is to be maintained i"
}, {
  "label": "HoldForm",
  "type": "keyword",
  "info": "HoldForm[expr] prints as the expression expr, with expr maintained in an unevaluated form. "
}, {
  "label": "HoldPattern",
  "type": "keyword",
  "info": "HoldPattern[expr] is equivalent to expr for pattern matching, but maintains expr in an unevaluated f"
}, {
  "label": "HoldRest",
  "type": "keyword",
  "info": "HoldRest is an attribute which specifies that all but the first argument to a function are to be mai"
}, {
  "label": "HolidayCalendar",
  "type": "keyword",
  "info": "HolidayCalendar is an option that specifies the holiday calendar schedule in business day functions."
}, {
  "label": "HomeDirectory",
  "type": "keyword",
  "info": "System`HomeDirectory"
}, {
  "label": "HomePage",
  "type": "keyword",
  "info": "System`HomePage"
}, {
  "label": "Horizontal",
  "type": "keyword",
  "info": "System`Horizontal"
}, {
  "label": "HorizontalForm",
  "type": "keyword",
  "info": "HorizontalForm is an internal symbol used for formatting and printing."
}, {
  "label": "HorizontalGauge",
  "type": "keyword",
  "info": "HorizontalGauge[value] draws a linear gauge showing value in a range of 0 to 1.HorizontalGauge[value"
}, {
  "label": "HorizontalScrollPosition",
  "type": "keyword",
  "info": "System`HorizontalScrollPosition"
}, {
  "label": "HornerForm",
  "type": "keyword",
  "info": "HornerForm[poly] puts the polynomial poly in Horner form.HornerForm[poly, vars] puts poly in Horner "
}, {
  "label": "HostLookup",
  "type": "keyword",
  "info": "HostLookup[name] gives the IP address for the host with the specified name.HostLookup[address] gives"
}, {
  "label": "HotellingTSquareDistribution",
  "type": "keyword",
  "info": "                                                           2\nHotellingTSquareDistribution[p, m] repr"
}, {
  "label": "HoytDistribution",
  "type": "keyword",
  "info": "HoytDistribution[q, Ï] represents a Hoyt distribution with shape parameter q and spread parameter Ï."
}, {
  "label": "HTMLSave",
  "type": "keyword",
  "info": "HTMLSave[\"file.html\"] saves an HTML version of the current input notebook in the front end. HTMLSave"
}, {
  "label": "HTTPErrorResponse",
  "type": "keyword",
  "info": "HTTPErrorResponse[code] is an object that represents an error response to an HTTP request, with spec"
}, {
  "label": "HTTPRedirect",
  "type": "keyword",
  "info": "HTTPRedirect[uri] represents an HTTP redirect to the specified uri.HTTPRedirect[uri, metadata] repre"
}, {
  "label": "HTTPRequest",
  "type": "keyword",
  "info": "HTTPRequest[url] represents an HTTP request for the specified URL.HTTPRequest[assoc] represents an H"
}, {
  "label": "HTTPRequestData",
  "type": "keyword",
  "info": "HTTPRequestData[\"prop\"] gives the value of the specified property of the current HTTP request.HTTPRe"
}, {
  "label": "HTTPResponse",
  "type": "keyword",
  "info": "HTTPResponse[body] is an object that represents a successful response to an HTTP request, with the s"
}, {
  "label": "Hue",
  "type": "keyword",
  "info": "Hue[h] represents a color in the HSB color space with hue h. Hue[h, s, b] specifies colors in terms "
}, {
  "label": "HumanGrowthData",
  "type": "keyword",
  "info": "HumanGrowthData[spec] returns the range of values within one standard deviation of the mean for all "
}, {
  "label": "HumpDownHump",
  "type": "keyword",
  "info": "HumpDownHump[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "HumpEqual",
  "type": "keyword",
  "info": "HumpEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "HurwitzLerchPhi",
  "type": "keyword",
  "info": "HurwitzLerchPhi[z, s, a] gives the HurwitzâLerch transcendent Î¦(z, s, a)."
}, {
  "label": "HurwitzZeta",
  "type": "keyword",
  "info": "HurwitzZeta[s, a] gives the Hurwitz zeta function Î\\[Paragraph](s, a)."
}, {
  "label": "HyperbolicDistribution",
  "type": "keyword",
  "info": "HyperbolicDistribution[Î\\[PlusMinus], Î\.b2, Î\.b4, Î¼] represents a hyperbolic distribution with location parameter Î¼, s"
}, {
  "label": "HypercubeGraph",
  "type": "keyword",
  "info": "HypercubeGraph[n] gives the n-dimensional hypercube graph Q .\n                                      "
}, {
  "label": "HyperexponentialDistribution",
  "type": "keyword",
  "info": "HyperexponentialDistribution[{Î\\[PlusMinus] , â¦, Î\\[PlusMinus] }, {Î» , â¦, Î» }] represents an m-phase hyperexponential distri"
}, {
  "label": "Hyperfactorial",
  "type": "keyword",
  "info": "Hyperfactorial[n] gives the hyperfactorial function H(n)."
}, {
  "label": "Hypergeometric0F1",
  "type": "keyword",
  "info": "Hypergeometric0F1[a, z] is the confluent hypergeometric function ï   ï  F  (; a ; z). \n               "
}, {
  "label": "Hypergeometric0F1Regularized",
  "type": "keyword",
  "info": "Hypergeometric0F1Regularized[a, z] is the regularized confluent hypergeometric function ï   ï  F  (a ;"
}, {
  "label": "Hypergeometric1F1",
  "type": "keyword",
  "info": "Hypergeometric1F1[a, b, z] is the Kummer confluent hypergeometric function ï   ï  F  (a ; b ; z). \n   "
}, {
  "label": "Hypergeometric1F1Regularized",
  "type": "keyword",
  "info": "Hypergeometric1F1Regularized[a, b, z] is the regularized confluent hypergeometric function ï   ï  F  ("
}, {
  "label": "Hypergeometric2F1",
  "type": "keyword",
  "info": "Hypergeometric2F1[a, b, c, z] is the hypergeometric function ï\.b3  F (a, b ; c ; z). \n                 "
}, {
  "label": "Hypergeometric2F1Regularized",
  "type": "keyword",
  "info": "Hypergeometric2F1Regularized[a, b, c, z] is the regularized hypergeometric function ï   ï  F  (a, b ; "
}, {
  "label": "HypergeometricDistribution",
  "type": "keyword",
  "info": "HypergeometricDistribution[n, n    , n   ] represents a hypergeometric distribution.\n               "
}, {
  "label": "HypergeometricPFQ",
  "type": "keyword",
  "info": "HypergeometricPFQ[{a , â¦, a }, {b , â¦, b }, z] is the generalized hypergeometric function ï   ï  F  (a"
}, {
  "label": "HypergeometricPFQRegularized",
  "type": "keyword",
  "info": "HypergeometricPFQRegularized[{a , â¦, a }, {b , â¦, b }, z] is the regularized generalized hypergeomet"
}, {
  "label": "HypergeometricU",
  "type": "keyword",
  "info": "HypergeometricU[a, b, z] is the confluent hypergeometric function U(a, b, z). "
}, {
  "label": "Hyperlink",
  "type": "keyword",
  "info": "Hyperlink[uri] represents a hyperlink that jumps to the specified URI when clicked. Hyperlink[label,"
}, {
  "label": "HyperlinkAction",
  "type": "keyword",
  "info": "HyperlinkAction is an option for Hyperlink that controls the behavior of following links in cloud no"
}, {
  "label": "HyperlinkCreationSettings",
  "type": "keyword",
  "info": "System`HyperlinkCreationSettings"
}, {
  "label": "Hyperplane",
  "type": "keyword",
  "info": "Hyperplane[n, p] represents the hyperplane with normal n passing through the point p.Hyperplane[n, c"
}, {
  "label": "Hyphenation",
  "type": "keyword",
  "info": "Hyphenation is an option for Cell that specifies whether to allow hyphenation for words of text. "
}, {
  "label": "HyphenationOptions",
  "type": "keyword",
  "info": "System`HyphenationOptions"
}, {
  "label": "HypoexponentialDistribution",
  "type": "keyword",
  "info": "HypoexponentialDistribution[{Î» , â¦, Î» }] represents an m-phase hypoexponential distribution with rat"
}, {
  "label": "HypothesisTestData",
  "type": "keyword",
  "info": "HypothesisTestData[â¦] represents hypothesis test data such as generated by DistributionFitTest, Ande"
}, {
  "label": "I",
  "type": "keyword",
  "info": "I represents the imaginary unit Sqrt[-1]. "
}, {
  "label": "IconData",
  "type": "keyword",
  "info": "IconData[type, value] generates an icon of the specified type assuming the value given. "
}, {
  "label": "Iconize",
  "type": "keyword",
  "info": "Iconize[expr] gives an iconized form that can be used to stand in for expr in notebook input.Iconize"
}, {
  "label": "IconizedObject",
  "type": "keyword",
  "info": "System`IconizedObject"
}, {
  "label": "IconRules",
  "type": "keyword",
  "info": "IconRules is an option for CloudObject and related objects that specifies icons to use in different "
}, {
  "label": "Icosahedron",
  "type": "keyword",
  "info": "Icosahedron[] represents a regular icosahedron centered at the origin with unit edge length.Icosahed"
}, {
  "label": "Identity",
  "type": "keyword",
  "info": "Identity[expr] gives expr (the identity operation). "
}, {
  "label": "IdentityMatrix",
  "type": "keyword",
  "info": "IdentityMatrix[n] gives the nï n identity matrix. "
}, {
  "label": "If",
  "type": "keyword",
  "info": "If[condition, t, f] gives t if condition evaluates to True, and f if it evaluates to False. If[condi"
}, {
  "label": "IgnoreCase",
  "type": "keyword",
  "info": "IgnoreCase is an option for string manipulation and searching functions that specifies whether lower"
}, {
  "label": "IgnoreDiacritics",
  "type": "keyword",
  "info": "IgnoreDiacritics is an option for string, grammar, and related functions that specifies whether diac"
}, {
  "label": "IgnoreIsotopes",
  "type": "keyword",
  "info": "IgnoreIsotopes is an option for MoleculeMatchQ that determines whether isotopes should be ignored fo"
}, {
  "label": "IgnorePunctuation",
  "type": "keyword",
  "info": "IgnorePunctuation is an option for AlphabeticSort and related functions that specifies whether to co"
}, {
  "label": "IgnoreSpellCheck",
  "type": "keyword",
  "info": "System`IgnoreSpellCheck"
}, {
  "label": "IgnoreStereochemistry",
  "type": "keyword",
  "info": "IgnoreStereochemistry is an option for MoleculeMatchQ that determines whether stereochemistry should"
}, {
  "label": "IgnoringInactive",
  "type": "keyword",
  "info": "IgnoringInactive[patt] is a pattern object that, for purposes of pattern matching, ignores occurrenc"
}, {
  "label": "Im",
  "type": "keyword",
  "info": "Im[z] gives the imaginary part of the complex number z. "
}, {
  "label": "Image",
  "type": "keyword",
  "info": "Image[data] represents a raster image with pixel values given by the array data.Image[graphics] crea"
}, {
  "label": "Image3D",
  "type": "keyword",
  "info": "Image3D[data] represents a 3D image with pixel values given by the array data.Image3D[{image , image"
}, {
  "label": "Image3DProjection",
  "type": "keyword",
  "info": "Image3DProjection[image] takes a 3D image and returns a 2D image of maximum projection onto the x-y "
}, {
  "label": "Image3DSlices",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ImageAccumulate",
  "type": "keyword",
  "info": "ImageAccumulate[image] gives an image in which each pixel represents a sum of all pixels below and t"
}, {
  "label": "ImageAdd",
  "type": "keyword",
  "info": "ImageAdd[image, x] adds an amount x to each channel value in image.ImageAdd[image , image ] gives an"
}, {
  "label": "ImageAdjust",
  "type": "keyword",
  "info": "ImageAdjust[image] adjusts the levels in image, rescaling them to cover the range 0 to 1.ImageAdjust"
}, {
  "label": "ImageAlign",
  "type": "keyword",
  "info": "ImageAlign[ref, image] returns a version of image that is aligned with the reference image ref.Image"
}, {
  "label": "ImageApply",
  "type": "keyword",
  "info": "ImageApply[f, image] applies the function f to the list of channel values for each pixel in image.Im"
}, {
  "label": "ImageApplyIndexed",
  "type": "keyword",
  "info": "ImageApplyIndexed[f, image] applies the function f to the list of channel values for each pixel in i"
}, {
  "label": "ImageAspectRatio",
  "type": "keyword",
  "info": "ImageAspectRatio[image] gives the ratio of height to width for image.ImageAspectRatio[video] gives t"
}, {
  "label": "ImageAssemble",
  "type": "keyword",
  "info": "ImageAssemble[{{im  , â¦, im  }, â¦, {im  , â¦, im  }}] assembles a single image from an array of image"
}, {
  "label": "ImageAugmentationLayer",
  "type": "keyword",
  "info": "ImageAugmentationLayer[{h, w}] represents a net layer that applies random image transformations to p"
}, {
  "label": "ImageBoundingBoxes",
  "type": "keyword",
  "info": "ImageBoundingBoxes[image] gives an association of lists of bounding boxes for each identified catego"
}, {
  "label": "ImageCache",
  "type": "keyword",
  "info": "System`ImageCache"
}, {
  "label": "ImageCacheValid",
  "type": "keyword",
  "info": "System`ImageCacheValid"
}, {
  "label": "ImageCapture",
  "type": "keyword",
  "info": "ImageCapture[] opens a graphical user interface for capturing images from connected cameras."
}, {
  "label": "ImageCaptureFunction",
  "type": "keyword",
  "info": "ImageCaptureFunction is an option for ImageCapture that specifies the function to apply to images ac"
}, {
  "label": "ImageCases",
  "type": "keyword",
  "info": "ImageCases[image] gives an association of lists of subimages for each identified category of objects"
}, {
  "label": "ImageChannels",
  "type": "keyword",
  "info": "ImageChannels[image] gives the number of channels present in the data for the Image or Image3D objec"
}, {
  "label": "ImageClip",
  "type": "keyword",
  "info": "ImageClip[image] clips all channel values in image to lie in the default range.ImageClip[image, {min"
}, {
  "label": "ImageCollage",
  "type": "keyword",
  "info": "ImageCollage[{image , image , â¦}] creates a collage of images image .ImageCollage[{w  ï¢ image , w  ï¢"
}, {
  "label": "ImageColorSpace",
  "type": "keyword",
  "info": "ImageColorSpace[image] gives the name of the color space of image."
}, {
  "label": "ImageCompose",
  "type": "keyword",
  "info": "ImageCompose[image, overlay] gives the result of overlaying overlay onto image. ImageCompose[image, "
}, {
  "label": "ImageContainsQ",
  "type": "keyword",
  "info": "ImageContainsQ[image, category] returns True if an instance of the specified category is detected in"
}, {
  "label": "ImageContents",
  "type": "keyword",
  "info": "ImageContents[image] gives a dataset of identified entities in image.ImageContents[image, category] "
}, {
  "label": "ImageConvolve",
  "type": "keyword",
  "info": "ImageConvolve[image, ker] gives the convolution of image with kernel ker."
}, {
  "label": "ImageCooccurrence",
  "type": "keyword",
  "info": "ImageCooccurrence[image, n] gives the nÃn co-occurrence matrix for image.ImageCooccurrence[image, n,"
}, {
  "label": "ImageCorners",
  "type": "keyword",
  "info": "ImageCorners[image] finds corners in image and returns their coordinates.ImageCorners[image, r] find"
}, {
  "label": "ImageCorrelate",
  "type": "keyword",
  "info": "ImageCorrelate[image, ker] gives the correlation of image with kernel ker.ImageCorrelate[image, ker,"
}, {
  "label": "ImageCorrespondingPoints",
  "type": "keyword",
  "info": "ImageCorrespondingPoints[image , image ] finds a set of matching interest points in image  and image"
}, {
  "label": "ImageCrop",
  "type": "keyword",
  "info": "ImageCrop[image] crops image by removing borders of uniform color. ImageCrop[image, size] crops imag"
}, {
  "label": "ImageData",
  "type": "keyword",
  "info": "ImageData[image] gives the array of pixel values in an Image or Image3D object image.ImageData[image"
}, {
  "label": "ImageDeconvolve",
  "type": "keyword",
  "info": "ImageDeconvolve[image, ker] gives a deconvolution of image using kernel ker."
}, {
  "label": "ImageDemosaic",
  "type": "keyword",
  "info": "ImageDemosaic[image, cfa] reconstructs a color image using the specified color filter array cfa.Imag"
}, {
  "label": "ImageDifference",
  "type": "keyword",
  "info": "ImageDifference[image , image ] gives an image in which each pixel is the absolute difference of the"
}, {
  "label": "ImageDimensions",
  "type": "keyword",
  "info": "ImageDimensions[image] gives the pixel dimensions of an Image or Image3D object image.ImageDimension"
}, {
  "label": "ImageDisplacements",
  "type": "keyword",
  "info": "ImageDisplacements[{image , image , â¦, image }] gives estimated horizontal and vertical displacement"
}, {
  "label": "ImageDistance",
  "type": "keyword",
  "info": "ImageDistance[image , image ] returns a distance measure between image  and image . ImageDistance[im"
}, {
  "label": "ImageEditMode",
  "type": "keyword",
  "info": "System`ImageEditMode"
}, {
  "label": "ImageEffect",
  "type": "keyword",
  "info": "ImageEffect[image, \"effect\"] applies the specified image effect to image.ImageEffect[image, {\"effect"
}, {
  "label": "ImageExposureCombine",
  "type": "keyword",
  "info": "ImageExposureCombine[{image , image , â¦}] combines differently exposed images image  of the same sce"
}, {
  "label": "ImageFeatureTrack",
  "type": "keyword",
  "info": "ImageFeatureTrack[{image , image , â¦, image }] tracks features from image  through image .ImageFeatu"
}, {
  "label": "ImageFileApply",
  "type": "keyword",
  "info": "ImageFileApply[f, inputfile, outputfile] applies the function f to the list of channel values for ea"
}, {
  "label": "ImageFileFilter",
  "type": "keyword",
  "info": "ImageFileFilter[f, inputfile, r, outputfile] applies the function f to the range r neighborhood of e"
}, {
  "label": "ImageFileScan",
  "type": "keyword",
  "info": "ImageFileScan[f, inputfile] applies the function f to the list of channel values for each pixel of t"
}, {
  "label": "ImageFilter",
  "type": "keyword",
  "info": "ImageFilter[f, image, r] applies the function f to the range-r neighborhood of each pixel in each ch"
}, {
  "label": "ImageFocusCombine",
  "type": "keyword",
  "info": "ImageFocusCombine[{image , image , â¦}] combines differently focused images image  of the same scene "
}, {
  "label": "ImageForestingComponents",
  "type": "keyword",
  "info": "ImageForestingComponents[image] finds a segmentation of image, returning an integer matrix in which "
}, {
  "label": "ImageFormattingWidth",
  "type": "keyword",
  "info": "ImageFormattingWidth is an option that specifies the target width at which to wrap when formatting a"
}, {
  "label": "ImageForwardTransformation",
  "type": "keyword",
  "info": "ImageForwardTransformation[image, f] gives an image in which each pixel at position f[{x, y}] corres"
}, {
  "label": "ImageGraphics",
  "type": "keyword",
  "info": "ImageGraphics[image] returns the content of image in the form of scalable vector graphics.ImageGraph"
}, {
  "label": "ImageHistogram",
  "type": "keyword",
  "info": "ImageHistogram[image] plots a histogram of the pixel levels for each channel in image.ImageHistogram"
}, {
  "label": "ImageIdentify",
  "type": "keyword",
  "info": "ImageIdentify[image] yields the result of attempting to identify what image is a picture of. ImageId"
}, {
  "label": "ImageInstanceQ",
  "type": "keyword",
  "info": "ImageInstanceQ[image, obj] gives True if image appears to be an instance of the object obj, and give"
}, {
  "label": "ImageKeypoints",
  "type": "keyword",
  "info": "ImageKeypoints[image] finds key features in image and returns their coordinates.ImageKeypoints[image"
}, {
  "label": "ImageLabels",
  "type": "keyword",
  "info": "ImageLabels is an option for image highlighting that specifies what labels to use for each highlight"
}, {
  "label": "ImageLegends",
  "type": "keyword",
  "info": "ImageLegends is an option for image highlighting that specifies what legends to use."
}, {
  "label": "ImageLevels",
  "type": "keyword",
  "info": "ImageLevels[image] gives a list of pixel values and counts for each channel in image. ImageLevels[im"
}, {
  "label": "ImageLines",
  "type": "keyword",
  "info": "ImageLines[image] finds line segments in image and returns the coordinates of their endpoints.ImageL"
}, {
  "label": "ImageMargins",
  "type": "keyword",
  "info": "ImageMargins is an option that specifies the absolute margins to leave around the image displayed fo"
}, {
  "label": "ImageMarker",
  "type": "keyword",
  "info": "ImageMarker[pos] is a HighlightImage specification that represents a marker at position pos.ImageMar"
}, {
  "label": "ImageMarkers",
  "type": "keyword",
  "info": "System`ImageMarkers"
}, {
  "label": "ImageMeasurements",
  "type": "keyword",
  "info": "ImageMeasurements[image, \"prop\"] returns the value of property \"prop\" for the entire image.ImageMeas"
}, {
  "label": "ImageMesh",
  "type": "keyword",
  "info": "ImageMesh[image] returns the foreground region in image as a BoundaryMeshRegion object."
}, {
  "label": "ImageMultiply",
  "type": "keyword",
  "info": "ImageMultiply[image, x] multiplies each channel value in image by a factor x.ImageMultiply[image , i"
}, {
  "label": "ImageOffset",
  "type": "keyword",
  "info": "System`ImageOffset"
}, {
  "label": "ImagePad",
  "type": "keyword",
  "info": "ImagePad[image, m] pads image on all sides with m background pixels.ImagePad[image, m, padding] pads"
}, {
  "label": "ImagePadding",
  "type": "keyword",
  "info": "ImagePadding is an option for graphics functions that specifies what absolute extra padding should b"
}, {
  "label": "ImagePartition",
  "type": "keyword",
  "info": "ImagePartition[image, s] partitions an image into an array of sï s-pixel subimages.ImagePartition[ima"
}, {
  "label": "ImagePeriodogram",
  "type": "keyword",
  "info": "ImagePeriodogram[image] shows the squared magnitude of the discrete Fourier transform (power spectru"
}, {
  "label": "ImagePerspectiveTransformation",
  "type": "keyword",
  "info": "ImagePerspectiveTransformation[image, m] applies a linear fractional transform specified by a matrix"
}, {
  "label": "ImagePosition",
  "type": "keyword",
  "info": "ImagePosition[image] gives an association of image positions for each identified category of objects"
}, {
  "label": "ImagePreviewFunction",
  "type": "keyword",
  "info": "ImagePreviewFunction is an option for CurrentImage and similar functions that specifies the function"
}, {
  "label": "ImagePyramid",
  "type": "keyword",
  "info": "ImagePyramid[image] creates a Gaussian image pyramid formed from image.ImagePyramid[image, pyrtype] "
}, {
  "label": "ImagePyramidApply",
  "type": "keyword",
  "info": "ImagePyramidApply[f, pyr] applies f to all images in the ImagePyramid object pyr.ImagePyramidApply[f"
}, {
  "label": "ImageQ",
  "type": "keyword",
  "info": "ImageQ[image] yields True if image has the form of a valid Image or Image3D object, and False otherw"
}, {
  "label": "ImageRangeCache",
  "type": "keyword",
  "info": "System`ImageRangeCache"
}, {
  "label": "ImageRecolor",
  "type": "keyword",
  "info": "ImageRecolor[image, region ï¢ color] recolors pixels in image specified by region using the specified"
}, {
  "label": "ImageReflect",
  "type": "keyword",
  "info": "ImageReflect[image] reverses image by top-bottom mirror reflection. ImageReflect[image, side] revers"
}, {
  "label": "ImageRegion",
  "type": "keyword",
  "info": "ImageRegion is an option for cells that specifies the size and position of the bounding box within w"
}, {
  "label": "ImageResize",
  "type": "keyword",
  "info": "ImageResize[image, width] gives a resized version of image that is width pixels wide.ImageResize[ima"
}, {
  "label": "ImageResolution",
  "type": "keyword",
  "info": "ImageResolution is an option for Export, Rasterize, and related functions that specifies at what res"
}, {
  "label": "ImageRestyle",
  "type": "keyword",
  "info": "ImageRestyle[image, sample] attempts to restyle image so as to follow the graphical style of sample."
}, {
  "label": "ImageRotate",
  "type": "keyword",
  "info": "ImageRotate[image] rotates image by 90Â\\[Degree] about its center in the x-y plane. ImageRotate[image, Î¸] rot"
}, {
  "label": "ImageRotated",
  "type": "keyword",
  "info": "ImageRotated is an option for Export that specifies whether images should be rotated into landscape "
}, {
  "label": "ImageSaliencyFilter",
  "type": "keyword",
  "info": "ImageSaliencyFilter[image] returns a saliency map for image."
}, {
  "label": "ImageScaled",
  "type": "keyword",
  "info": "ImageScaled[{x, y}] gives the position of a graphical object in terms of coordinates scaled to run f"
}, {
  "label": "ImageScan",
  "type": "keyword",
  "info": "ImageScan[f, image] evaluates f applied to each pixel of image in turn."
}, {
  "label": "ImageSize",
  "type": "keyword",
  "info": "ImageSize is an option that specifies the overall size of an image to display for an object. "
}, {
  "label": "ImageSizeAction",
  "type": "keyword",
  "info": "ImageSizeAction is an option for Pane and related constructs that specifies what to do if the specif"
}, {
  "label": "ImageSizeCache",
  "type": "keyword",
  "info": "System`ImageSizeCache"
}, {
  "label": "ImageSizeMultipliers",
  "type": "keyword",
  "info": "ImageSizeMultipliers is an option that specifies how much smaller to render graphics that appear wit"
}, {
  "label": "ImageSizeRaw",
  "type": "keyword",
  "info": "System`ImageSizeRaw"
}, {
  "label": "ImageStitch",
  "type": "keyword",
  "info": "ImageStitch[{image , image , â¦}] gives a composed image from an unordered list of image .ImageStitch"
}, {
  "label": "ImageSubtract",
  "type": "keyword",
  "info": "ImageSubtract[image, x] subtracts a constant amount x from each channel value in image.ImageSubtract"
}, {
  "label": "ImageTake",
  "type": "keyword",
  "info": "ImageTake[image, n] gives an image consisting of the first n rows of image.ImageTake[image, -n] give"
}, {
  "label": "ImageTransformation",
  "type": "keyword",
  "info": "ImageTransformation[image, f] gives an image in which each pixel at position p corresponds to the po"
}, {
  "label": "ImageTrim",
  "type": "keyword",
  "info": "ImageTrim[image, roi] gives the smallest subimage of image that includes the specified region of int"
}, {
  "label": "ImageType",
  "type": "keyword",
  "info": "ImageType[image] gives the underlying type of values used for each pixel element in the Image or Ima"
}, {
  "label": "ImageValue",
  "type": "keyword",
  "info": "ImageValue[image, pos] gives the interpolated value of image at position pos.ImageValue[image, pos, "
}, {
  "label": "ImageValuePositions",
  "type": "keyword",
  "info": "ImageValuePositions[image, val] returns a list of pixel positions in image that exactly match the va"
}, {
  "label": "ImageVectorscopePlot",
  "type": "keyword",
  "info": "ImageVectorscopePlot[image] plots the chrominance of image."
}, {
  "label": "ImageWaveformPlot",
  "type": "keyword",
  "info": "ImageWaveformPlot[image] plots the waveform of image.ImageWaveformPlot[image, colorspace] plots the "
}, {
  "label": "ImagingDevice",
  "type": "keyword",
  "info": "ImagingDevice is an option to specify what device to use for capturing images."
}, {
  "label": "ImplicitRegion",
  "type": "keyword",
  "info": "                                                          n                                         "
}, {
  "label": "Implies",
  "type": "keyword",
  "info": "Implies[p, q] represents the logical implication p â q. "
}, {
  "label": "Import",
  "type": "keyword",
  "info": "Import[source] imports data from source, returning a Wolfram Language representation of it.Import[so"
}, {
  "label": "ImportAutoReplacements",
  "type": "keyword",
  "info": "ImportAutoReplacements is an option for cells that specifies which replacement rules the Wolfram Lan"
}, {
  "label": "ImportByteArray",
  "type": "keyword",
  "info": "ImportByteArray[ba, \"format\"] imports data in the specified format from a ByteArray object.ImportByt"
}, {
  "label": "ImportedObject",
  "type": "keyword",
  "info": "ImportedObject[â¦] represents a piece of imported data that has no special representation in the Wolf"
}, {
  "label": "ImportOptions",
  "type": "keyword",
  "info": "ImportOptions is an option for Interpreter and related functions that specifies what options should "
}, {
  "label": "ImportString",
  "type": "keyword",
  "info": "ImportString[\"data\", \"format\"] imports data in the specified format from a string. ImportString[\"dat"
}, {
  "label": "ImprovementImportance",
  "type": "keyword",
  "info": "ImprovementImportance[rdist, t] gives the improvement importances for all components in the Reliabil"
}, {
  "label": "In",
  "type": "keyword",
  "info": "                                                                           th\nIn[n] is a global obje"
}, {
  "label": "Inactivate",
  "type": "keyword",
  "info": "Inactivate[expr] replaces all instances of f with Inactive[f] for symbols f used as heads in expr.In"
}, {
  "label": "Inactive",
  "type": "keyword",
  "info": "Inactive[f] is an inactive form of f."
}, {
  "label": "IncidenceGraph",
  "type": "keyword",
  "info": "IncidenceGraph[m] gives the graph with incidence matrix m.IncidenceGraph[{v , v , â¦}, m] gives the g"
}, {
  "label": "IncidenceList",
  "type": "keyword",
  "info": "IncidenceList[g, v] gives a list of edges incident to vertex v.IncidenceList[g, patt] gives a list o"
}, {
  "label": "IncidenceMatrix",
  "type": "keyword",
  "info": "IncidenceMatrix[g] gives the vertex-edge incidence matrix of the graph g.IncidenceMatrix[{v ï¢ w, â¦}]"
}, {
  "label": "IncludeAromaticBonds",
  "type": "keyword",
  "info": "IncludeAromaticBonds is an option for Molecule that specifies whether aromatic bonds should be detec"
}, {
  "label": "IncludeConstantBasis",
  "type": "keyword",
  "info": "IncludeConstantBasis is an option for LinearModelFit and other fitting functions that specifies whet"
}, {
  "label": "IncludedContexts",
  "type": "keyword",
  "info": "IncludedContexts is an option for FullDefinition, Manipulate and related symbols that gives contexts"
}, {
  "label": "IncludeDefinitions",
  "type": "keyword",
  "info": "IncludeDefinitions is an option for cloud and other functions that specifies whether current definit"
}, {
  "label": "IncludeDirectories",
  "type": "keyword",
  "info": "IncludeDirectories is an option that specifies whether directories are included in evaluations."
}, {
  "label": "IncludeFileExtension",
  "type": "keyword",
  "info": "IncludeFileExtension is an option for notebooks that specifies whether the suffix \".nb\" is automatic"
}, {
  "label": "IncludeGeneratorTasks",
  "type": "keyword",
  "info": "IncludeGeneratorTasks is an option controlling the scope of scheduled task listings."
}, {
  "label": "IncludeHydrogens",
  "type": "keyword",
  "info": "IncludeHydrogens is an option that specifies whether hydrogen atoms should be explicitly included in"
}, {
  "label": "IncludeInflections",
  "type": "keyword",
  "info": "IncludeInflections is an option for linguistic functions that specifies whether inflected forms of w"
}, {
  "label": "IncludeMetaInformation",
  "type": "keyword",
  "info": "IncludeMetaInformation is an option for Import, Thumbnail, and other functions to specify what types"
}, {
  "label": "IncludePods",
  "type": "keyword",
  "info": "IncludePods is an option for WolframAlpha that determines specific pod IDs to include in the results"
}, {
  "label": "IncludeQuantities",
  "type": "keyword",
  "info": "IncludeQuantities is an option for DimensionalCombinations for additional quantities to include in t"
}, {
  "label": "IncludeRelatedTables",
  "type": "keyword",
  "info": "IncludeRelatedTables is an option for RelationalDatabase that specifies whether to include tables sp"
}, {
  "label": "IncludeSingularTerm",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "IncludeWindowTimes",
  "type": "keyword",
  "info": "IncludeWindowTimes is an option to TimeSeriesWindow that specifies whether the endpoints in the time"
}, {
  "label": "Increment",
  "type": "keyword",
  "info": "x ++ increases the value of x by 1, returning the old value of x. "
}, {
  "label": "IndefiniteMatrixQ",
  "type": "keyword",
  "info": "IndefiniteMatrixQ[m] gives True if m is explicitly indefinite, and False otherwise. "
}, {
  "label": "Indent",
  "type": "keyword",
  "info": "System`Indent"
}, {
  "label": "IndentingNewlineSpacings",
  "type": "keyword",
  "info": "System`IndentingNewlineSpacings"
}, {
  "label": "IndentMaxFraction",
  "type": "keyword",
  "info": "System`IndentMaxFraction"
}, {
  "label": "IndependenceTest",
  "type": "keyword",
  "info": "IndependenceTest[v , v ] tests whether the vectors v  and v  are independent.IndependenceTest[m , m "
}, {
  "label": "IndependentEdgeSetQ",
  "type": "keyword",
  "info": "IndependentEdgeSetQ[g, elist] yields True if the edge list elist is an independent edge set of the g"
}, {
  "label": "IndependentPhysicalQuantity",
  "type": "keyword",
  "info": "IndependentPhysicalQuantity[string] represents a physical quantity string with no relationship to ot"
}, {
  "label": "IndependentUnit",
  "type": "keyword",
  "info": "IndependentUnit[string] represents a unit string with no relationship to other units within a Quanti"
}, {
  "label": "IndependentUnitDimension",
  "type": "keyword",
  "info": "IndependentUnitDimension[dim] represents the base dimension dim associated with an independent physi"
}, {
  "label": "IndependentVertexSetQ",
  "type": "keyword",
  "info": "IndependentVertexSetQ[g, vlist] yields True if the vertex list vlist is an independent vertex set in"
}, {
  "label": "Indeterminate",
  "type": "keyword",
  "info": "Indeterminate is a symbol that represents a numerical quantity whose magnitude cannot be determined."
}, {
  "label": "IndeterminateThreshold",
  "type": "keyword",
  "info": "IndeterminateThreshold is an option for Classify, Predict, and related functions that specifies belo"
}, {
  "label": "IndexCreationOptions",
  "type": "keyword",
  "info": "System`IndexCreationOptions"
}, {
  "label": "Indexed",
  "type": "keyword",
  "info": "Indexed[expr, i] represents the component of expr with index i and formats as expr .Indexed[expr, {i"
}, {
  "label": "IndexEdgeTaggedGraph",
  "type": "keyword",
  "info": "IndexEdgeTaggedGraph[g] sets tags of edges in the graph g to their edge indices.IndexEdgeTaggedGraph"
}, {
  "label": "IndexGraph",
  "type": "keyword",
  "info": "IndexGraph[g] replaces the vertices of the graph g by its vertex indices.IndexGraph[g, r] replaces t"
}, {
  "label": "IndexTag",
  "type": "keyword",
  "info": "System`IndexTag"
}, {
  "label": "Inequality",
  "type": "keyword",
  "info": "Inequality represents a sequence of relational statements."
}, {
  "label": "InexactNumberQ",
  "type": "keyword",
  "info": "InexactNumberQ[expr] returns True if expr is an inexact real or complex number, and returns False ot"
}, {
  "label": "InexactNumbers",
  "type": "keyword",
  "info": "System`InexactNumbers"
}, {
  "label": "InfiniteFuture",
  "type": "keyword",
  "info": "InfiniteFuture returns a DateObject expression representing infinite future in time."
}, {
  "label": "InfiniteLine",
  "type": "keyword",
  "info": "InfiniteLine[{p , p }] represents the infinite straight line passing through the points p  and p . I"
}, {
  "label": "InfinitePast",
  "type": "keyword",
  "info": "InfinitePast returns a DateObject expression representing infinite past in time."
}, {
  "label": "InfinitePlane",
  "type": "keyword",
  "info": "InfinitePlane[{p , p , p }] represents the plane passing through the points p , p , and p .InfiniteP"
}, {
  "label": "Infinity",
  "type": "keyword",
  "info": "Infinity or â is a symbol that represents a positive infinite quantity. "
}, {
  "label": "Infix",
  "type": "keyword",
  "info": "Infix[f[e , e , â¦]] prints with f[e , e , â¦] given in default infix form: e  ~ f ~ e  ~ f ~ e  â¦. In"
}, {
  "label": "InflationAdjust",
  "type": "keyword",
  "info": "InflationAdjust[quantity, targetdate] attempts to adjust the specified quantity purchasing power to "
}, {
  "label": "InflationMethod",
  "type": "keyword",
  "info": "InflationMethod is an option for InflationAdjust that specifies what time series data is to be used "
}, {
  "label": "Information",
  "type": "keyword",
  "info": "Information[expr] gives information about the expression expr. Information[expr, prop] gives the val"
}, {
  "label": "InformationData",
  "type": "keyword",
  "info": "InformationData[assoc] is generated by Information[expr] and handle typesetting and element extracti"
}, {
  "label": "InformationDataGrid",
  "type": "keyword",
  "info": "System`InformationDataGrid"
}, {
  "label": "Inherited",
  "type": "keyword",
  "info": "Inherited is an option to Methods and Fields (in J\/Link) and NETTypeInfo (in .NET\/Link). The default"
}, {
  "label": "InheritScope",
  "type": "keyword",
  "info": "InheritScope is an option for DynamicModule that specifies whether to attempt to bind variables refe"
}, {
  "label": "InhomogeneousPoissonPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "InhomogeneousPoissonProcess",
  "type": "keyword",
  "info": "InhomogeneousPoissonProcess[Î»[t], t] represents an inhomogeneous Poisson process with intensity Î»[t]"
}, {
  "label": "InitialEvaluationHistory",
  "type": "keyword",
  "info": "InitialEvaluationHistory is an option for functions such as BayesianMinimization that gives an initi"
}, {
  "label": "Initialization",
  "type": "keyword",
  "info": "Initialization is an option for notebooks, cells, Dynamic, DynamicModule, Manipulate and related con"
}, {
  "label": "InitializationCell",
  "type": "keyword",
  "info": "InitializationCell is an option for Cell that specifies whether the cell should be tagged to be eval"
}, {
  "label": "InitializationCellEvaluation",
  "type": "keyword",
  "info": "InitializationCellEvaluation is an option for notebooks that specifies whether initialization cells "
}, {
  "label": "InitializationCellWarning",
  "type": "keyword",
  "info": "InitializationCellWarning is an option for notebooks that specifies whether a warning should be give"
}, {
  "label": "InitializationObject",
  "type": "keyword",
  "info": "InitializationObject[sym, loc] gives the persistent object where InitializationValue[sym, loc] is st"
}, {
  "label": "InitializationObjects",
  "type": "keyword",
  "info": "InitializationObjects[] gives the list of all persistent initialization objects in all locations in "
}, {
  "label": "InitializationValue",
  "type": "keyword",
  "info": "InitializationValue[sym] represents the settable persistent value with which the symbol sym will be "
}, {
  "label": "Initialize",
  "type": "keyword",
  "info": "Initialize[sym] initializes the symbol sym from persistent values on the default persistence path.In"
}, {
  "label": "InitialSeeding",
  "type": "keyword",
  "info": "InitialSeeding is an option for NDSolve and other functions that specifies equations that specify in"
}, {
  "label": "InlineCounterAssignments",
  "type": "keyword",
  "info": "System`InlineCounterAssignments"
}, {
  "label": "InlineCounterIncrements",
  "type": "keyword",
  "info": "System`InlineCounterIncrements"
}, {
  "label": "InlineRules",
  "type": "keyword",
  "info": "System`InlineRules"
}, {
  "label": "Inner",
  "type": "keyword",
  "info": "Inner[f, list , list , g] is a generalization of Dot in which f plays the role of multiplication and"
}, {
  "label": "InnerPolygon",
  "type": "keyword",
  "info": "InnerPolygon[poly] gives the inner polygon of the polygon poly."
}, {
  "label": "InnerPolyhedron",
  "type": "keyword",
  "info": "InnerPolyhedron[poly] gives the inner polyhedron of the polyhedron poly."
}, {
  "label": "Inpaint",
  "type": "keyword",
  "info": "Inpaint[image, region] retouches parts of image that correspond to nonzero elements in region."
}, {
  "label": "Input",
  "type": "keyword",
  "info": "Input[] interactively reads in one Wolfram Language expression. Input[prompt] requests input, displa"
}, {
  "label": "InputAliases",
  "type": "keyword",
  "info": "InputAliases is an option for cells and notebooks which specifies additional EscânameâEsc aliases to"
}, {
  "label": "InputAssumptions",
  "type": "keyword",
  "info": "InputAssumptions is an option for WolframAlpha that specifies assumptions for current query input."
}, {
  "label": "InputAutoReplacements",
  "type": "keyword",
  "info": "InputAutoReplacements is an option for cells and notebooks which specifies strings of characters tha"
}, {
  "label": "InputField",
  "type": "keyword",
  "info": "InputField[] represents a blank editable input field. InputField[x] represents an editable input fie"
}, {
  "label": "InputFieldBox",
  "type": "keyword",
  "info": "System`InputFieldBox"
}, {
  "label": "InputFieldBoxOptions",
  "type": "keyword",
  "info": "InputFieldBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for InputF"
}, {
  "label": "InputForm",
  "type": "keyword",
  "info": "InputForm[expr] prints as a version of expr suitable for input to the Wolfram Language. "
}, {
  "label": "InputGrouping",
  "type": "keyword",
  "info": "System`InputGrouping"
}, {
  "label": "InputNamePacket",
  "type": "keyword",
  "info": "InputNamePacket[string] is a WSTP packet that contains in string the name to be assigned to the next"
}, {
  "label": "InputNotebook",
  "type": "keyword",
  "info": "InputNotebook[] gives the current notebook into which keyboard input in the front end will be direct"
}, {
  "label": "InputPacket",
  "type": "keyword",
  "info": "InputPacket[] is a WSTP packet that indicates a prompt for input as generated by Input."
}, {
  "label": "InputPorts",
  "type": "keyword",
  "info": "InputPorts is an option to specify the number, names or shapes of input ports for some neural net la"
}, {
  "label": "InputSettings",
  "type": "keyword",
  "info": "System`InputSettings"
}, {
  "label": "InputStream",
  "type": "keyword",
  "info": "InputStream[\"name\", n] is an object that represents an input stream for functions such as Read and F"
}, {
  "label": "InputString",
  "type": "keyword",
  "info": "InputString[] interactively reads in a character string. InputString[prompt] requests input, display"
}, {
  "label": "InputStringPacket",
  "type": "keyword",
  "info": "InputStringPacket[] is a WSTP packet that requests input in string form."
}, {
  "label": "InputToBoxFormPacket",
  "type": "keyword",
  "info": "InputToBoxFormPacket is an internal symbol used for formatting."
}, {
  "label": "Insert",
  "type": "keyword",
  "info": "Insert[list, elem, n] inserts elem at position n in list. If n is negative, the position is counted "
}, {
  "label": "InsertionFunction",
  "type": "keyword",
  "info": "InsertionFunction is an option for template functions that specifies how expressions are to be proce"
}, {
  "label": "InsertionPointObject",
  "type": "keyword",
  "info": "System`InsertionPointObject"
}, {
  "label": "InsertLinebreaks",
  "type": "keyword",
  "info": "InsertLinebreaks[\"string\"] inserts newline characters into string to make a string in which no line "
}, {
  "label": "InsertResults",
  "type": "keyword",
  "info": "InsertResults is an option for NotebookEvaluate that determines whether to place the results of eval"
}, {
  "label": "Inset",
  "type": "keyword",
  "info": "Inset[obj] represents an object obj inset in a graphic. Inset[obj, pos] specifies that the inset sho"
}, {
  "label": "Inset3DBox",
  "type": "keyword",
  "info": "System`Inset3DBox"
}, {
  "label": "Inset3DBoxOptions",
  "type": "keyword",
  "info": "Inset3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Inset3DBo"
}, {
  "label": "InsetBox",
  "type": "keyword",
  "info": "System`InsetBox"
}, {
  "label": "InsetBoxOptions",
  "type": "keyword",
  "info": "InsetBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for InsetBox ob"
}, {
  "label": "Insphere",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Install",
  "type": "keyword",
  "info": "Install[\"name\"] starts a WSTP-compatible external program and installs Wolfram Language definitions "
}, {
  "label": "InstallService",
  "type": "keyword",
  "info": "InstallService[\"url\"] installs the web service operations in the WSDL description at the URL given.I"
}, {
  "label": "InstanceNormalizationLayer",
  "type": "keyword",
  "info": "InstanceNormalizationLayer[] is equivalent to NormalizationLayer[]."
}, {
  "label": "InString",
  "type": "keyword",
  "info": "                                                                        th\nInString[n] is a global o"
}, {
  "label": "Integer",
  "type": "keyword",
  "info": "Integer is the head used for integers. "
}, {
  "label": "IntegerDigits",
  "type": "keyword",
  "info": "IntegerDigits[n] gives a list of the decimal digits in the integer n. IntegerDigits[n, b] gives a li"
}, {
  "label": "IntegerExponent",
  "type": "keyword",
  "info": "IntegerExponent[n, b] gives the highest power of b that divides n. "
}, {
  "label": "IntegerLength",
  "type": "keyword",
  "info": "IntegerLength[n] gives the number of digits in the base 10 representation of the integer n.IntegerLe"
}, {
  "label": "IntegerName",
  "type": "keyword",
  "info": "IntegerName[n] gives a string containing the full English name of the integer n.IntegerName[n, quali"
}, {
  "label": "IntegerPart",
  "type": "keyword",
  "info": "IntegerPart[x] gives the integer part of x. "
}, {
  "label": "IntegerPartitions",
  "type": "keyword",
  "info": "IntegerPartitions[n] gives a list of all possible ways to partition the integer n into smaller integ"
}, {
  "label": "IntegerQ",
  "type": "keyword",
  "info": "IntegerQ[expr] gives True if expr is an integer, and False otherwise. "
}, {
  "label": "IntegerReverse",
  "type": "keyword",
  "info": "IntegerReverse[n] gives the integer whose digits are reversed with respect to those of the integer n"
}, {
  "label": "Integers",
  "type": "keyword",
  "info": "Integers represents the domain of integers, as in x â Integers. "
}, {
  "label": "IntegerString",
  "type": "keyword",
  "info": "IntegerString[n] gives a string consisting of the decimal digits in the integer n. IntegerString[n, "
}, {
  "label": "Integral",
  "type": "keyword",
  "info": "System`Integral"
}, {
  "label": "Integrate",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Interactive",
  "type": "keyword",
  "info": "Interactive is an option that specifies whether a function should create a user prompt when mimickin"
}, {
  "label": "InteractiveTradingChart",
  "type": "keyword",
  "info": "InteractiveTradingChart[{{date , {open , high , low , close , volume }}, â¦}] makes a chart showing p"
}, {
  "label": "InterfaceSwitched",
  "type": "keyword",
  "info": "InterfaceSwitched[ï size  ï¢ expr , size  ï¢ expr , â¦|>] is a construct that behaves as if it were exp"
}, {
  "label": "Interlaced",
  "type": "keyword",
  "info": "System`Interlaced"
}, {
  "label": "Interleaving",
  "type": "keyword",
  "info": "Interleaving is an option for Image and related functions that specifies whether data corresponding "
}, {
  "label": "InternallyBalancedDecomposition",
  "type": "keyword",
  "info": "InternallyBalancedDecomposition[ssm] yields the internally balanced decomposition of the state-space"
}, {
  "label": "InterpolatingFunction",
  "type": "keyword",
  "info": "InterpolatingFunction[domain, table] represents an approximate function whose values are found by in"
}, {
  "label": "InterpolatingPolynomial",
  "type": "keyword",
  "info": "InterpolatingPolynomial[{f , f , â¦}, x] constructs an interpolating polynomial in x which reproduces"
}, {
  "label": "Interpolation",
  "type": "keyword",
  "info": "Interpolation[{f , f , â¦}] constructs an interpolation of the function values f , assumed to corresp"
}, {
  "label": "InterpolationOrder",
  "type": "keyword",
  "info": "InterpolationOrder is an option for Interpolation, as well as ListLinePlot, ListPlot3D, ListContourP"
}, {
  "label": "InterpolationPoints",
  "type": "keyword",
  "info": "InterpolationPoints is an option to SmoothKernelDistribution and FunctionInterpolation that specifie"
}, {
  "label": "InterpolationPrecision",
  "type": "keyword",
  "info": "System`InterpolationPrecision"
}, {
  "label": "Interpretation",
  "type": "keyword",
  "info": "Interpretation[e, expr] represents an object that displays as e, but is interpreted as the unevaluat"
}, {
  "label": "InterpretationBox",
  "type": "keyword",
  "info": "InterpretationBox[boxes, expr] is a low-level box construct that displays as boxes but is interprete"
}, {
  "label": "InterpretationBoxOptions",
  "type": "keyword",
  "info": "InterpretationBoxOptions is an option for selections that specifies settings for InterpretationBox c"
}, {
  "label": "InterpretationFunction",
  "type": "keyword",
  "info": "InterpretationFunction is an option for TemplateBox that specifies how the box is to be evaluated."
}, {
  "label": "Interpreter",
  "type": "keyword",
  "info": "Interpreter[form] represents an interpreter object that can be applied to an input to try to interpr"
}, {
  "label": "InterpretTemplate",
  "type": "keyword",
  "info": "InterpretTemplate is an experimental function used for interpreting Mathematica input."
}, {
  "label": "InterquartileRange",
  "type": "keyword",
  "info": "InterquartileRange[list] gives the difference between the upper and lower quartiles for the elements"
}, {
  "label": "Interrupt",
  "type": "keyword",
  "info": "Interrupt[] generates an interrupt. "
}, {
  "label": "InterruptSettings",
  "type": "keyword",
  "info": "System`InterruptSettings"
}, {
  "label": "IntersectedEntityClass",
  "type": "keyword",
  "info": "IntersectedEntityClass[class , class , â¦] represents an entity class containing all the entities com"
}, {
  "label": "IntersectingQ",
  "type": "keyword",
  "info": "IntersectingQ[list , list ] yields True if list  and list  have at least one element in common, and "
}, {
  "label": "Intersection",
  "type": "keyword",
  "info": "Intersection[list , list , â¦] gives a sorted list of the elements common to all the list . \n        "
}, {
  "label": "Interval",
  "type": "keyword",
  "info": "Interval[{min, max}] represents the range of values between min and max. Interval[{min , max }, {min"
}, {
  "label": "IntervalIntersection",
  "type": "keyword",
  "info": "IntervalIntersection[interval , interval , â¦] gives the interval representing all points common to e"
}, {
  "label": "IntervalMarkers",
  "type": "keyword",
  "info": "IntervalMarkers is an option for plotting functions such as ListPlot and BarChart that specifies how"
}, {
  "label": "IntervalMarkersStyle",
  "type": "keyword",
  "info": "IntervalMarkersStyle  is an option for plotting functions that specifies styles in which uncertainty"
}, {
  "label": "IntervalMemberQ",
  "type": "keyword",
  "info": "IntervalMemberQ[interval, x] gives True if the number x lies within the specified interval, and Fals"
}, {
  "label": "IntervalSlider",
  "type": "keyword",
  "info": "IntervalSlider[{xmin, xmax}] represents a slider with setting {xmin, xmax} in the range 0 to 1.Inter"
}, {
  "label": "IntervalUnion",
  "type": "keyword",
  "info": "IntervalUnion[interval , interval , â¦] gives an interval containing the set of all points in any of "
}, {
  "label": "Into",
  "type": "keyword",
  "info": "System`Into"
}, {
  "label": "Inverse",
  "type": "keyword",
  "info": "Inverse[m] gives the inverse of a square matrix m. "
}, {
  "label": "InverseBetaRegularized",
  "type": "keyword",
  "info": "InverseBetaRegularized[s, a, b] gives the inverse of the regularized incomplete beta function. "
}, {
  "label": "InverseBilateralLaplaceTransform",
  "type": "keyword",
  "info": "InverseBilateralLaplaceTransform[expr, s, t] gives the inverse bilateral Laplace transform of expr. "
}, {
  "label": "InverseBilateralZTransform",
  "type": "keyword",
  "info": "InverseBilateralZTransform[expr, z, n] gives the inverse bilateral Z transform of expr.InverseBilate"
}, {
  "label": "InverseCDF",
  "type": "keyword",
  "info": "InverseCDF[dist, q] gives the inverse of the cumulative distribution function for the distribution d"
}, {
  "label": "InverseChiSquareDistribution",
  "type": "keyword",
  "info": "                                                       2                                            "
}, {
  "label": "InverseContinuousWaveletTransform",
  "type": "keyword",
  "info": "InverseContinuousWaveletTransform[cwd] gives the inverse continuous wavelet transform of a Continuou"
}, {
  "label": "InverseDistanceTransform",
  "type": "keyword",
  "info": "InverseDistanceTransform[image] gives the inverse distance transform of image, returning the result "
}, {
  "label": "InverseEllipticNomeQ",
  "type": "keyword",
  "info": "InverseEllipticNomeQ[q] gives the parameter m corresponding to the nome q in an elliptic function. "
}, {
  "label": "InverseErf",
  "type": "keyword",
  "info": "InverseErf[s] gives the inverse error function obtained as the solution for z in s = erf(z). "
}, {
  "label": "InverseErfc",
  "type": "keyword",
  "info": "InverseErfc[s] gives the inverse complementary error function obtained as the solution for z in s = "
}, {
  "label": "InverseFourier",
  "type": "keyword",
  "info": "InverseFourier[list] finds the discrete inverse Fourier transform of a list of complex numbers.Inver"
}, {
  "label": "InverseFourierCosTransform",
  "type": "keyword",
  "info": "InverseFourierCosTransform[expr, Ï, t] gives the symbolic inverse Fourier cosine transform of expr. "
}, {
  "label": "InverseFourierSequenceTransform",
  "type": "keyword",
  "info": "InverseFourierSequenceTransform[expr, Ï, n] gives the inverse discrete-time Fourier transform of exp"
}, {
  "label": "InverseFourierSinTransform",
  "type": "keyword",
  "info": "InverseFourierSinTransform[expr, Ï, t] gives the symbolic inverse Fourier sine transform of expr. In"
}, {
  "label": "InverseFourierTransform",
  "type": "keyword",
  "info": "InverseFourierTransform[expr, Ï, t] gives the symbolic inverse Fourier transform of expr. InverseFou"
}, {
  "label": "InverseFunction",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "InverseFunctions",
  "type": "keyword",
  "info": "InverseFunctions is an option for Solve and related functions that specifies whether inverse functio"
}, {
  "label": "InverseGammaDistribution",
  "type": "keyword",
  "info": "InverseGammaDistribution[Î\\[PlusMinus], Î\.b2] represents an inverse gamma distribution with shape parameter Î\\[PlusMinus] and s"
}, {
  "label": "InverseGammaRegularized",
  "type": "keyword",
  "info": "InverseGammaRegularized[a, s] gives the inverse of the regularized incomplete gamma function. "
}, {
  "label": "InverseGaussianDistribution",
  "type": "keyword",
  "info": "InverseGaussianDistribution[Î¼, Î»] represents an inverse Gaussian distribution with mean Î¼ and scale "
}, {
  "label": "InverseGudermannian",
  "type": "keyword",
  "info": "                                                                 -1\nInverseGudermannian[z] gives the"
}, {
  "label": "InverseHankelTransform",
  "type": "keyword",
  "info": "InverseHankelTransform[expr, s, r] gives the inverse Hankel transform of order 0 for expr.InverseHan"
}, {
  "label": "InverseHaversine",
  "type": "keyword",
  "info": "                                                            -1\nInverseHaversine[z] gives the inverse"
}, {
  "label": "InverseImagePyramid",
  "type": "keyword",
  "info": "InverseImagePyramid[pyr] reconstructs an image from an ImagePyramid object pyr.InverseImagePyramid[p"
}, {
  "label": "InverseJacobiCD",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiCD[v, m] gives th"
}, {
  "label": "InverseJacobiCN",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiCN[v, m] gives th"
}, {
  "label": "InverseJacobiCS",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiCS[v, m] gives th"
}, {
  "label": "InverseJacobiDC",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiDC[v, m] gives th"
}, {
  "label": "InverseJacobiDN",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiDN[v, m] gives th"
}, {
  "label": "InverseJacobiDS",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiDS[v, m] gives th"
}, {
  "label": "InverseJacobiNC",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiNC[v, m] gives th"
}, {
  "label": "InverseJacobiND",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiND[v, m] gives th"
}, {
  "label": "InverseJacobiNS",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiNS[v, m] gives th"
}, {
  "label": "InverseJacobiSC",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiSC[v, m] gives th"
}, {
  "label": "InverseJacobiSD",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiSD[v, m] gives th"
}, {
  "label": "InverseJacobiSN",
  "type": "keyword",
  "info": "                                                                   -1\nInverseJacobiSN[v, m] gives th"
}, {
  "label": "InverseLaplaceTransform",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "InverseMellinTransform",
  "type": "keyword",
  "info": "InverseMellinTransform[expr, s, x] gives the inverse Mellin transform of expr. "
}, {
  "label": "InversePermutation",
  "type": "keyword",
  "info": "InversePermutation[perm] returns the inverse of permutation perm."
}, {
  "label": "InverseRadon",
  "type": "keyword",
  "info": "InverseRadon[image] gives the inverse discrete Radon transform of image.InverseRadon[image, {w, h}] "
}, {
  "label": "InverseRadonTransform",
  "type": "keyword",
  "info": "InverseRadonTransform[expr, {p, Ï}, {x, y}] gives the inverse Radon transform of expr."
}, {
  "label": "InverseSeries",
  "type": "keyword",
  "info": "InverseSeries[s] takes the series s, and gives a series for the inverse of the function represented "
}, {
  "label": "InverseShortTimeFourier",
  "type": "keyword",
  "info": "InverseShortTimeFourier[input] reconstructs the signal from short-time Fourier data.InverseShortTime"
}, {
  "label": "InverseSpectrogram",
  "type": "keyword",
  "info": "InverseSpectrogram[data] reconstructs the signal from the magnitude spectrogram data.InverseSpectrog"
}, {
  "label": "InverseSurvivalFunction",
  "type": "keyword",
  "info": "InverseSurvivalFunction[dist, q] gives the inverse of the survival function for the distribution dis"
}, {
  "label": "InverseTransformedRegion",
  "type": "keyword",
  "info": "                                                                                    n\nInverseTransfo"
}, {
  "label": "InverseWaveletTransform",
  "type": "keyword",
  "info": "InverseWaveletTransform[dwd] gives the inverse wavelet transform of a DiscreteWaveletData object dwd"
}, {
  "label": "InverseWeierstrassP",
  "type": "keyword",
  "info": "InverseWeierstrassP[p, {g , g }] gives a value of u for which the Weierstrass function â (u ; g , g "
}, {
  "label": "InverseWishartMatrixDistribution",
  "type": "keyword",
  "info": "InverseWishartMatrixDistribution[Î½, Î£] represents an inverse Wishart matrix distribution with Î½ degr"
}, {
  "label": "InverseZTransform",
  "type": "keyword",
  "info": "InverseZTransform[expr, z, n] gives the inverse Z transform of expr. InverseZTransform[expr, {z , z "
}, {
  "label": "Invisible",
  "type": "keyword",
  "info": "Invisible[expr] displays as space that is the same size as the formatted version of expr."
}, {
  "label": "InvisibleApplication",
  "type": "keyword",
  "info": "System`InvisibleApplication"
}, {
  "label": "InvisibleTimes",
  "type": "keyword",
  "info": "System`InvisibleTimes"
}, {
  "label": "IPAddress",
  "type": "keyword",
  "info": "IPAddress[\"address\"] is a symbolic representation of an IPv4 or IPv6 IP address."
}, {
  "label": "IrreduciblePolynomialQ",
  "type": "keyword",
  "info": "IrreduciblePolynomialQ[poly] tests whether poly is an irreducible polynomial over the rationals.Irre"
}, {
  "label": "IslandData",
  "type": "keyword",
  "info": "IslandData[entity, property] gives the value of the specified property for the island entity.IslandD"
}, {
  "label": "IsolatingInterval",
  "type": "keyword",
  "info": "IsolatingInterval[a] gives a rational isolating interval for the algebraic number a.IsolatingInterva"
}, {
  "label": "IsomorphicGraphQ",
  "type": "keyword",
  "info": "IsomorphicGraphQ[g , g ] yields True if the graphs g  and g  are isomorphic, and False otherwise.\n  "
}, {
  "label": "IsomorphicSubgraphQ",
  "type": "keyword",
  "info": "IsomorphicSubgraphQ[g , g ] yields True if the graph g  is isomorphic to a subgraph of the graph g ."
}, {
  "label": "IsotopeData",
  "type": "keyword",
  "info": "IsotopeData[{Z, A}, \"property\"] gives the value of the specified property for the isotope with atomi"
}, {
  "label": "Italic",
  "type": "keyword",
  "info": "Italic represents an italic font slant."
}, {
  "label": "Item",
  "type": "keyword",
  "info": "Item[expr, options] represents an item within constructs such as Grid, Overlay, and Manipulate that "
}, {
  "label": "ItemAspectRatio",
  "type": "keyword",
  "info": "ItemAspectRatio is an option for GraphicsGrid which specifies the ratio of height to width for the r"
}, {
  "label": "ItemBox",
  "type": "keyword",
  "info": "System`ItemBox"
}, {
  "label": "ItemBoxOptions",
  "type": "keyword",
  "info": "ItemBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for ItemBox obje"
}, {
  "label": "ItemDisplayFunction",
  "type": "keyword",
  "info": "ItemDisplayFunction is an option for Dataset that specifies a function to apply to items before disp"
}, {
  "label": "ItemSize",
  "type": "keyword",
  "info": "ItemSize is an option for Grid, Column, and related constructs that specifies the sizes to allow for"
}, {
  "label": "ItemStyle",
  "type": "keyword",
  "info": "ItemStyle is an option for Dataset, Grid and related constructs that specifies styles to use for ite"
}, {
  "label": "ItoProcess",
  "type": "keyword",
  "info": "ItoProcess[{a, b}, x, t] represents an Ito process x(t), where ï x(t) ï a(t, x(t)) ï t + b(t, x(t)) "
}, {
  "label": "JaccardDissimilarity",
  "type": "keyword",
  "info": "JaccardDissimilarity[u, v] gives the Jaccard dissimilarity between Boolean vectors u and v."
}, {
  "label": "JacobiAmplitude",
  "type": "keyword",
  "info": "JacobiAmplitude[u, m] gives the amplitude am(u ï\.b2 m) for Jacobi elliptic functions. "
}, {
  "label": "Jacobian",
  "type": "keyword",
  "info": "Jacobian is an option for FindRoot. Jacobian -> Automatic attempts symbolic computation of the Jacob"
}, {
  "label": "JacobiCD",
  "type": "keyword",
  "info": "JacobiCD[u, m] gives the Jacobi elliptic function cd(u | m)."
}, {
  "label": "JacobiCN",
  "type": "keyword",
  "info": "JacobiCN[u, m] gives the Jacobi elliptic function cn(u | m)."
}, {
  "label": "JacobiCS",
  "type": "keyword",
  "info": "JacobiCS[u, m] gives the Jacobi elliptic function cs(u | m)."
}, {
  "label": "JacobiDC",
  "type": "keyword",
  "info": "JacobiDC[u, m] gives the Jacobi elliptic function dc(u | m)."
}, {
  "label": "JacobiDN",
  "type": "keyword",
  "info": "JacobiDN[u, m] gives the Jacobi elliptic function dn(u | m)."
}, {
  "label": "JacobiDS",
  "type": "keyword",
  "info": "JacobiDS[u, m] gives the Jacobi elliptic function ds(u | m)."
}, {
  "label": "JacobiEpsilon",
  "type": "keyword",
  "info": "JacobiEpsilon[u, m] gives the Jacobi epsilon function â\\[Degree](u | m)."
}, {
  "label": "JacobiNC",
  "type": "keyword",
  "info": "JacobiNC[u, m] gives the Jacobi elliptic function nc(u | m)."
}, {
  "label": "JacobiND",
  "type": "keyword",
  "info": "JacobiND[u, m] gives the Jacobi elliptic function nd(u | m)."
}, {
  "label": "JacobiNS",
  "type": "keyword",
  "info": "JacobiNS[u, m] gives the Jacobi elliptic function ns(u | m)."
}, {
  "label": "JacobiP",
  "type": "keyword",
  "info": "                                                 (a, b)\nJacobiP[n, a, b, x] gives the Jacobi polynom"
}, {
  "label": "JacobiSC",
  "type": "keyword",
  "info": "JacobiSC[u, m] gives the Jacobi elliptic function sc(u | m)."
}, {
  "label": "JacobiSD",
  "type": "keyword",
  "info": "JacobiSD[u, m] gives the Jacobi elliptic function sd(u | m)."
}, {
  "label": "JacobiSN",
  "type": "keyword",
  "info": "JacobiSN[u, m] gives the Jacobi elliptic function sn(u | m)."
}, {
  "label": "JacobiSymbol",
  "type": "keyword",
  "info": "                                            n\nJacobiSymbol[n, m] gives the Jacobi symbol (-). \n     "
}, {
  "label": "JacobiZeta",
  "type": "keyword",
  "info": "JacobiZeta[Ï, m] gives the Jacobi zeta function Z(Ï ï\.b2 m). "
}, {
  "label": "JacobiZN",
  "type": "keyword",
  "info": "JacobiZN[u, m] gives the Jacobi zeta function zn(u | m)."
}, {
  "label": "JankoGroupJ1",
  "type": "keyword",
  "info": "JankoGroupJ1[] represents the sporadic simple Janko group J .\n                                      "
}, {
  "label": "JankoGroupJ2",
  "type": "keyword",
  "info": "JankoGroupJ2[] represents the sporadic simple Janko group J .\n                                      "
}, {
  "label": "JankoGroupJ3",
  "type": "keyword",
  "info": "JankoGroupJ3[] represents the sporadic simple Janko group J .\n                                      "
}, {
  "label": "JankoGroupJ4",
  "type": "keyword",
  "info": "JankoGroupJ4[] represents the sporadic simple Janko group J .\n                                      "
}, {
  "label": "JarqueBeraALMTest",
  "type": "keyword",
  "info": "JarqueBeraALMTest[data] tests whether data is normally distributed using the JarqueâBera ALM test.Ja"
}, {
  "label": "JohnsonDistribution",
  "type": "keyword",
  "info": "JohnsonDistribution[\"SB\", Î\.b3, Î\.b4, Î¼, Ï] represents a bounded Johnson distribution with shape parameter"
}, {
  "label": "Join",
  "type": "keyword",
  "info": "Join[list , list , â¦] concatenates lists or other expressions that share the same head.Join[list , l"
}, {
  "label": "JoinAcross",
  "type": "keyword",
  "info": "JoinAcross[{a , a , â¦}, {b , b , â¦}, key] gives a list of associations obtained by joining those pai"
}, {
  "label": "Joined",
  "type": "keyword",
  "info": "Joined is an option for ListPlot and related functions that specifies whether points in each dataset"
}, {
  "label": "JoinedCurve",
  "type": "keyword",
  "info": "JoinedCurve[{segment , segment , â¦}] represents a curve consisting of segment  followed by segment  "
}, {
  "label": "JoinedCurveBox",
  "type": "keyword",
  "info": "System`JoinedCurveBox"
}, {
  "label": "JoinedCurveBoxOptions",
  "type": "keyword",
  "info": "JoinedCurveBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Joine"
}, {
  "label": "JoinForm",
  "type": "keyword",
  "info": "JoinForm[type] is a graphics directive that specifies what type of joins should be used to connect s"
}, {
  "label": "JordanDecomposition",
  "type": "keyword",
  "info": "JordanDecomposition[m] yields the Jordan decomposition of a square matrix m. The result is a list {s"
}, {
  "label": "JordanModelDecomposition",
  "type": "keyword",
  "info": "JordanModelDecomposition[ssm] yields the Jordan decomposition of the state-space model ssm. "
}, {
  "label": "JulianDate",
  "type": "keyword",
  "info": "JulianDate[] gives the current number of days since noon on November 24, 4714 BCE in the GMT time zo"
}, {
  "label": "JuliaSetBoettcher",
  "type": "keyword",
  "info": "JuliaSetBoettcher[c, z] gives the BÃ\\[Paragraph]ttcher coordinate of z with respect to the quadratic Julia set J"
}, {
  "label": "JuliaSetIterationCount",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "JuliaSetPlot",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "JuliaSetPoints",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "K",
  "type": "keyword",
  "info": "K is a default generic name for a summation index in a symbolic sum."
}, {
  "label": "KagiChart",
  "type": "keyword",
  "info": "KagiChart[{{date , p }, {date , p }, â¦}] makes a Kagi chart with prices p  at date date .KagiChart[{"
}, {
  "label": "KaiserBesselWindow",
  "type": "keyword",
  "info": "KaiserBesselWindow[x] represents a KaiserâBessel window function of x."
}, {
  "label": "KaiserWindow",
  "type": "keyword",
  "info": "KaiserWindow[x] represents a Kaiser window function of x.KaiserWindow[x, Î\\[PlusMinus]] uses the parameter Î\\[PlusMinus].\n"
}, {
  "label": "KalmanEstimator",
  "type": "keyword",
  "info": "KalmanEstimator[ssm, {w, v}] constructs the Kalman estimator for the StateSpaceModel ssm with proces"
}, {
  "label": "KalmanFilter",
  "type": "keyword",
  "info": "KalmanFilter[tproc, data] filters data using the time series model given by tproc."
}, {
  "label": "KarhunenLoeveDecomposition",
  "type": "keyword",
  "info": "KarhunenLoeveDecomposition[{a , a , â¦}] gives the KarhunenâLoeve transform {{b , b , â¦}, m} of the n"
}, {
  "label": "KaryTree",
  "type": "keyword",
  "info": "KaryTree[n] gives a binary tree with n vertices.KaryTree[n, k] gives a k-ary tree with n vertices.\n"
}, {
  "label": "KatzCentrality",
  "type": "keyword",
  "info": "KatzCentrality[g, Î\\[PlusMinus]] gives a list of Katz centralities for the vertices in the graph g and weight Î\\[PlusMinus]."
}, {
  "label": "KCoreComponents",
  "type": "keyword",
  "info": "KCoreComponents[g, k] gives the k-core components of the underlying simple graph of g.KCoreComponent"
}, {
  "label": "KDistribution",
  "type": "keyword",
  "info": "KDistribution[Î½, w] represents a K distribution with shape parameters Î½ and w."
}, {
  "label": "KEdgeConnectedComponents",
  "type": "keyword",
  "info": "KEdgeConnectedComponents[g, k] gives the k-edge-connected components of the graph g.KEdgeConnectedCo"
}, {
  "label": "KEdgeConnectedGraphQ",
  "type": "keyword",
  "info": "KEdgeConnectedGraphQ[g, k] yields True if the graph g is k-edge-connected and False otherwise."
}, {
  "label": "KeepExistingVersion",
  "type": "keyword",
  "info": "KeepExistingVersion is an option for PacletInstall and PacletInstallSubmit that specifies whether an"
}, {
  "label": "KelvinBei",
  "type": "keyword",
  "info": "KelvinBei[z] gives the Kelvin function bei(z).KelvinBei[n, z] gives the Kelvin function bei (z). \n  "
}, {
  "label": "KelvinBer",
  "type": "keyword",
  "info": "KelvinBer[z] gives the Kelvin function ber(z).KelvinBer[n, z] gives the Kelvin function ber (z). \n  "
}, {
  "label": "KelvinKei",
  "type": "keyword",
  "info": "KelvinKei[z] gives the Kelvin function kei(z).KelvinKei[n, z] gives the Kelvin function kei (z). \n  "
}, {
  "label": "KelvinKer",
  "type": "keyword",
  "info": "KelvinKer[z] gives the Kelvin function ker(z).KelvinKer[n, z] gives the Kelvin function ker (z). \n  "
}, {
  "label": "KendallTau",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "KendallTauTest",
  "type": "keyword",
  "info": "KendallTauTest[v , v ] tests whether the vectors v  and v  are independent.KendallTauTest[m , m ] te"
}, {
  "label": "KernelExecute",
  "type": "keyword",
  "info": "System`KernelExecute"
}, {
  "label": "KernelFunction",
  "type": "keyword",
  "info": "KernelFunction[f] represents a function to be evaluated in the Wolfram Engine kernel, even when it i"
}, {
  "label": "KernelMixtureDistribution",
  "type": "keyword",
  "info": "KernelMixtureDistribution[{x , x , â¦}] represents a kernel mixture distribution based on the data va"
}, {
  "label": "KernelObject",
  "type": "keyword",
  "info": "KernelObject[n, name, â¦] represents a kernel available for parallel computing."
}, {
  "label": "Kernels",
  "type": "keyword",
  "info": "Kernels[] gives the list of running kernels available for parallel computing."
}, {
  "label": "Ket",
  "type": "keyword",
  "info": "System`Ket"
}, {
  "label": "Key",
  "type": "keyword",
  "info": "Key[key] represents a key used to access a value in an association.Key[key][assoc] extracts the valu"
}, {
  "label": "KeyCollisionFunction",
  "type": "keyword",
  "info": "KeyCollisionFunction is an option for JoinAcross that specifies how to handle pairs of elements that"
}, {
  "label": "KeyComplement",
  "type": "keyword",
  "info": "KeyComplement[{assoc   , assoc , assoc , â¦}] generates an association in which only elements whose k"
}, {
  "label": "KeyDrop",
  "type": "keyword",
  "info": "KeyDrop[assoc, {key , key , â¦}] yields an association from which elements with keys key  have been d"
}, {
  "label": "KeyDropFrom",
  "type": "keyword",
  "info": "KeyDropFrom[a, key] changes the association a by dropping the element with the specified key.KeyDrop"
}, {
  "label": "KeyExistsQ",
  "type": "keyword",
  "info": "KeyExistsQ[assoc, key] returns True if the specified key exists in the association assoc, and False "
}, {
  "label": "KeyFreeQ",
  "type": "keyword",
  "info": "KeyFreeQ[assoc, form] yields True if no key in the association assoc matches form, and yields False "
}, {
  "label": "KeyIntersection",
  "type": "keyword",
  "info": "KeyIntersection[{assoc , assoc , â¦}] generates a list of associations in which only elements whose k"
}, {
  "label": "KeyMap",
  "type": "keyword",
  "info": "KeyMap[f, ï key  ï¢ val , key  ï¢ val , â¦ ï] maps f over the keys in an association, giving ï f[key ] "
}, {
  "label": "KeyMemberQ",
  "type": "keyword",
  "info": "KeyMemberQ[assoc, form] yields True if a key in the association assoc matches form, and False otherw"
}, {
  "label": "KeypointStrength",
  "type": "keyword",
  "info": "KeypointStrength is an option for ImageKeypoints and related functions to specify a minimum strength"
}, {
  "label": "Keys",
  "type": "keyword",
  "info": "Keys[ï key  ï¢ val , key  ï¢ val , â¦ ï] gives a list of the keys key  in an association.Keys[{key  ï¢ v"
}, {
  "label": "KeySelect",
  "type": "keyword",
  "info": "KeySelect[assoc, crit] selects elements in the association assoc for which crit applied to their key"
}, {
  "label": "KeySort",
  "type": "keyword",
  "info": "KeySort[assoc] orders the elements of an association by sorting its keys.KeySort[assoc, p] orders th"
}, {
  "label": "KeySortBy",
  "type": "keyword",
  "info": "KeySortBy[assoc, f] sorts the elements of an association in the order defined by applying f to each "
}, {
  "label": "KeyTake",
  "type": "keyword",
  "info": "KeyTake[assoc, {key , key , â¦}] yields an association containing only the elements with keys key .Ke"
}, {
  "label": "KeyUnion",
  "type": "keyword",
  "info": "KeyUnion[{assoc , assoc , â¦}] generates a list of associations in which each association has the uni"
}, {
  "label": "KeyValueMap",
  "type": "keyword",
  "info": "KeyValueMap[f, ï key  ï¢ val , key  ï¢ val , â¦ ï] gives the list {f[key , val ], f[key , val ], â¦}.Key"
}, {
  "label": "KeyValuePattern",
  "type": "keyword",
  "info": "KeyValuePattern[{patt , â¦}] is a pattern object that represents an association or list of rules that"
}, {
  "label": "Khinchin",
  "type": "keyword",
  "info": "Khinchin is Khinchin's constant, with numerical value â 2.68545. "
}, {
  "label": "KillProcess",
  "type": "keyword",
  "info": "KillProcess[proc] kills the external process represented by the ProcessObject proc."
}, {
  "label": "KirchhoffGraph",
  "type": "keyword",
  "info": "KirchhoffGraph[kmat] gives the graph with Kirchhoff matrix kmat.KirchhoffGraph[{v , v , â¦}, kmat] gi"
}, {
  "label": "KirchhoffMatrix",
  "type": "keyword",
  "info": "KirchhoffMatrix[g] gives the Kirchhoff matrix of the graph g.KirchhoffMatrix[{v ï¢ w, â¦}] uses rules "
}, {
  "label": "KleinInvariantJ",
  "type": "keyword",
  "info": "KleinInvariantJ[Ï] gives the Klein invariant modular elliptic function J(Ï). "
}, {
  "label": "KnapsackSolve",
  "type": "keyword",
  "info": "KnapsackSolve[{cost , cost , â¦}, maxtotalcost] solves the knapsack problem of finding the maximum nu"
}, {
  "label": "KnightTourGraph",
  "type": "keyword",
  "info": "KnightTourGraph[m, n] gives a Knight's tour graph on an mï n chessboard."
}, {
  "label": "KnotData",
  "type": "keyword",
  "info": "KnotData[knot, \"property\"] gives the specified property for a knot.KnotData[knot] gives an image of "
}, {
  "label": "KnownUnitQ",
  "type": "keyword",
  "info": "KnownUnitQ[expr] returns True if expr is a canonical unit, and False otherwise."
}, {
  "label": "KochCurve",
  "type": "keyword",
  "info": "                                                        th\nKochCurve[n] gives the line segments repr"
}, {
  "label": "KolmogorovSmirnovTest",
  "type": "keyword",
  "info": "KolmogorovSmirnovTest[data] tests whether data is normally distributed using the KolmogorovâSmirnov "
}, {
  "label": "KroneckerDelta",
  "type": "keyword",
  "info": "KroneckerDelta[n , n , â¦] gives the Kronecker delta Î\.b4       , equal to 1 if all the n  are equal, an"
}, {
  "label": "KroneckerModelDecomposition",
  "type": "keyword",
  "info": "KroneckerModelDecomposition[ssm] yields the Kronecker decomposition of a descriptor state-space mode"
}, {
  "label": "KroneckerProduct",
  "type": "keyword",
  "info": "KroneckerProduct[m , m , â¦] constructs the Kronecker product of the arrays m .\n                  1  "
}, {
  "label": "KroneckerSymbol",
  "type": "keyword",
  "info": "                                                  n\nKroneckerSymbol[n, m] gives the Kronecker symbol"
}, {
  "label": "KuiperTest",
  "type": "keyword",
  "info": "KuiperTest[data] tests whether data is normally distributed using the Kuiper test.KuiperTest[data, d"
}, {
  "label": "KumaraswamyDistribution",
  "type": "keyword",
  "info": "KumaraswamyDistribution[Î\\[PlusMinus], Î\.b2] represents a Kumaraswamy distribution with shape parameters Î\\[PlusMinus] and Î\.b2."
}, {
  "label": "Kurtosis",
  "type": "keyword",
  "info": "Kurtosis[list] gives the coefficient of kurtosis for the elements in list.Kurtosis[dist] gives the c"
}, {
  "label": "KuwaharaFilter",
  "type": "keyword",
  "info": "KuwaharaFilter[data, r] computes for each element p in data the variance of the values in the four ("
}, {
  "label": "KVertexConnectedComponents",
  "type": "keyword",
  "info": "KVertexConnectedComponents[g, k] gives the k-vertex-connected components of the graph g.KVertexConne"
}, {
  "label": "KVertexConnectedGraphQ",
  "type": "keyword",
  "info": "KVertexConnectedGraphQ[g, k] yields True if the graph g is k-vertex-connected and False otherwise."
}, {
  "label": "LABColor",
  "type": "keyword",
  "info": "LABColor[l, a, b] represents a color in the Lab color space with lightness l and color components a "
}, {
  "label": "Label",
  "type": "keyword",
  "info": "Label[tag] represents a point in a compound expression to which control can be transferred using Got"
}, {
  "label": "Labeled",
  "type": "keyword",
  "info": "Labeled[expr, lbl] displays expr labeled with lbl. Labeled[expr, lbl, pos] places lbl at a position "
}, {
  "label": "LabeledSlider",
  "type": "keyword",
  "info": "System`LabeledSlider"
}, {
  "label": "LabelingFunction",
  "type": "keyword",
  "info": "LabelingFunction is an option for data visualization functions to automatically label elements of a "
}, {
  "label": "LabelingSize",
  "type": "keyword",
  "info": "LabelingSize is an option to visualization functions that specifies the size to be used for labels a"
}, {
  "label": "LabelStyle",
  "type": "keyword",
  "info": "LabelStyle is an option for formatting and related constructs that specifies the style to use in dis"
}, {
  "label": "LabelVisibility",
  "type": "keyword",
  "info": "LabelVisibility is an option for Callout and Labeled in plotting functions that determines which lab"
}, {
  "label": "LaguerreL",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "LakeData",
  "type": "keyword",
  "info": "LakeData[entity, property] gives the value of the specified property for the lake entity.LakeData[{e"
}, {
  "label": "LambdaComponents",
  "type": "keyword",
  "info": "LambdaComponents[g] gives the lambda components of the graph g.LambdaComponents[g, {v , v , â¦}] give"
}, {
  "label": "LambertW",
  "type": "keyword",
  "info": "System`LambertW"
}, {
  "label": "LameC",
  "type": "keyword",
  "info": "                              th                 j\nLameC[Î½, j, z, m] gives the jï    LamÃ© function Ec"
}, {
  "label": "LameCPrime",
  "type": "keyword",
  "info": "                                                       th                 j\nLameCPrime[Î½, j, z, m] g"
}, {
  "label": "LameEigenvalueA",
  "type": "keyword",
  "info": "                                     th                  j\nLameEigenvalueA[Î½, j, m] gives the jï    L"
}, {
  "label": "LameEigenvalueB",
  "type": "keyword",
  "info": "                                     th                  j\nLameEigenvalueB[Î½, j, m] gives the jï    L"
}, {
  "label": "LameS",
  "type": "keyword",
  "info": "                              th                 j\nLameS[Î½, j, z, m] gives the jï    LamÃ© function Es"
}, {
  "label": "LameSPrime",
  "type": "keyword",
  "info": "                                                       th                 j\nLameSPrime[Î½, j, z, m] g"
}, {
  "label": "LaminaData",
  "type": "keyword",
  "info": "LaminaData[entity, property] gives the value of the specified property for the lamina entity.LaminaD"
}, {
  "label": "LanczosWindow",
  "type": "keyword",
  "info": "LanczosWindow[x] represents a Lanczos window function of x."
}, {
  "label": "LandauDistribution",
  "type": "keyword",
  "info": "LandauDistribution[Î¼, Ï] represents a Landau distribution with location parameter Î¼ and scale parame"
}, {
  "label": "Language",
  "type": "keyword",
  "info": "Language is an option that specifies the language to use."
}, {
  "label": "LanguageCategory",
  "type": "keyword",
  "info": "LanguageCategory is an option for Cell that determines in what category of language the contents of "
}, {
  "label": "LanguageData",
  "type": "keyword",
  "info": "LanguageData[entity, property] gives the value of the specified property for the language entity.Lan"
}, {
  "label": "LanguageIdentify",
  "type": "keyword",
  "info": "LanguageIdentify[\"string\"] attempts to determine what human language text in string is in, predomina"
}, {
  "label": "LanguageOptions",
  "type": "keyword",
  "info": "System`LanguageOptions"
}, {
  "label": "LaplaceDistribution",
  "type": "keyword",
  "info": "LaplaceDistribution[Î¼, Î\.b2] represents a Laplace double-exponential distribution with mean Î¼ and scale"
}, {
  "label": "LaplaceTransform",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Laplacian",
  "type": "keyword",
  "info": "                                               2       2        2       2\nLaplacian[f, {x , â¦, x }] "
}, {
  "label": "LaplacianFilter",
  "type": "keyword",
  "info": "LaplacianFilter[data, r] convolves data with a radius-r Laplacian kernel.LaplacianFilter[data, {r , "
}, {
  "label": "LaplacianGaussianFilter",
  "type": "keyword",
  "info": "LaplacianGaussianFilter[data, r] convolves data with a Laplacian of Gaussian kernel of pixel radius "
}, {
  "label": "LaplacianPDETerm",
  "type": "keyword",
  "info": "                                                    2\nLaplacianPDETerm[vars] represents a Laplacian "
}, {
  "label": "Large",
  "type": "keyword",
  "info": "Large is a style or option setting that specifies that objects should be large."
}, {
  "label": "Larger",
  "type": "keyword",
  "info": "Larger is a style or option setting that specifies that objects should be larger."
}, {
  "label": "Last",
  "type": "keyword",
  "info": "Last[expr] gives the last element in expr. Last[expr, def] gives the last element if there are any e"
}, {
  "label": "Latitude",
  "type": "keyword",
  "info": "Latitude[pos] gives the latitude in degrees of a geographic position specified by pos.Latitude[pos, "
}, {
  "label": "LatitudeLongitude",
  "type": "keyword",
  "info": "LatitudeLongitude[pos] gives a list of the latitude and longitude in degrees of a geographic positio"
}, {
  "label": "LatticeData",
  "type": "keyword",
  "info": "LatticeData[lattice, \"property\"] gives the specified property for a lattice.LatticeData[n] gives a l"
}, {
  "label": "LatticeReduce",
  "type": "keyword",
  "info": "LatticeReduce[{v , v , â¦}] gives a reduced basis for the set of vectors v . \n                1   2  "
}, {
  "label": "Launch",
  "type": "keyword",
  "info": "Launch is a setting for the LinkMode option of LinkOpen.  LinkMode->Launch causes a link to be creat"
}, {
  "label": "LaunchKernels",
  "type": "keyword",
  "info": "LaunchKernels[] launches all currently configured parallel subkernels.LaunchKernels[n] launches n lo"
}, {
  "label": "LayeredGraphPlot",
  "type": "keyword",
  "info": "LayeredGraphPlot[g] generates a layered plot of the graph g.LayeredGraphPlot[{e , e , â¦}] generates "
}, {
  "label": "LayeredGraphPlot3D",
  "type": "keyword",
  "info": "LayeredGraphPlot3D[g] generates a 3D layered plot of the graph g.LayeredGraphPlot3D[{e , e , â¦}] gen"
}, {
  "label": "LayerSizeFunction",
  "type": "keyword",
  "info": "LayerSizeFunction is an option for TreePlot that gives a function to specify the relative height to "
}, {
  "label": "LayoutInformation",
  "type": "keyword",
  "info": "System`LayoutInformation"
}, {
  "label": "LCHColor",
  "type": "keyword",
  "info": "LCHColor[l, c, h] represents a color in the LCH color space with lightness l, chroma c and hue h.LCH"
}, {
  "label": "LCM",
  "type": "keyword",
  "info": "LCM[n , n , â¦] gives the least common multiple of the n . \n     1   2                               "
}, {
  "label": "LeaderSize",
  "type": "keyword",
  "info": "LeaderSize is an option for Callout that specifies what sizes to use for leader lines."
}, {
  "label": "LeafCount",
  "type": "keyword",
  "info": "LeafCount[expr] gives the total number of indivisible subexpressions in expr. "
}, {
  "label": "LeapVariant",
  "type": "keyword",
  "info": "LeapVariant[n] represents a repeated calendar element caused by a leap period."
}, {
  "label": "LeapYearQ",
  "type": "keyword",
  "info": "LeapYearQ[date] returns True if the year corresponding to date is a leap year."
}, {
  "label": "LearnDistribution",
  "type": "keyword",
  "info": "LearnDistribution[{example , example , â¦}] generates a LearnedDistribution[â¦] that attempts to repre"
}, {
  "label": "LearnedDistribution",
  "type": "keyword",
  "info": "LearnedDistribution[â¦] represents a distribution generated by LearnDistribution."
}, {
  "label": "LearningRate",
  "type": "keyword",
  "info": "LearningRate is an option for NetTrain that specifies the rate at which to adjust neural net weights"
}, {
  "label": "LearningRateMultipliers",
  "type": "keyword",
  "info": "LearningRateMultipliers is an option for net layers and for NetTrain, NetChain, NetGraph that specif"
}, {
  "label": "LeastSquares",
  "type": "keyword",
  "info": "LeastSquares[m, b] finds an x that solves the linear least-squares problem for the matrix equation m"
}, {
  "label": "LeastSquaresFilterKernel",
  "type": "keyword",
  "info": "LeastSquaresFilterKernel[{{Ï , â¦, Ï     }, {a , â¦, a }}, n] creates a k-band finite impulse response"
}, {
  "label": "Left",
  "type": "keyword",
  "info": "Left is a symbol that represents the left-hand side for purposes of alignment and positioning. "
}, {
  "label": "LeftArrow",
  "type": "keyword",
  "info": "LeftArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "LeftArrowBar",
  "type": "keyword",
  "info": "LeftArrowBar[x, y, â¦] displays as x â¤ y â¤ â¦."
}, {
  "label": "LeftArrowRightArrow",
  "type": "keyword",
  "info": "LeftArrowRightArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "LeftDownTeeVector",
  "type": "keyword",
  "info": "LeftDownTeeVector[x, y, â¦] displays as x â¥¡ y â¥¡ â¦."
}, {
  "label": "LeftDownVector",
  "type": "keyword",
  "info": "LeftDownVector[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "LeftDownVectorBar",
  "type": "keyword",
  "info": "LeftDownVectorBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "LeftRightArrow",
  "type": "keyword",
  "info": "LeftRightArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "LeftRightVector",
  "type": "keyword",
  "info": "LeftRightVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "LeftTee",
  "type": "keyword",
  "info": "LeftTee[x, y] displays as x â£ y."
}, {
  "label": "LeftTeeArrow",
  "type": "keyword",
  "info": "LeftTeeArrow[x, y, â¦] displays as x â¤ y â¤ â¦."
}, {
  "label": "LeftTeeVector",
  "type": "keyword",
  "info": "LeftTeeVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "LeftTriangle",
  "type": "keyword",
  "info": "LeftTriangle[x, y, â¦] displays as x â\.b2 y â\.b2 â¦."
}, {
  "label": "LeftTriangleBar",
  "type": "keyword",
  "info": "LeftTriangleBar[x, y, â¦] displays as x â§ y â§ â¦."
}, {
  "label": "LeftTriangleEqual",
  "type": "keyword",
  "info": "LeftTriangleEqual[x, y, â¦] displays as x â\.b4 y â\.b4 â¦."
}, {
  "label": "LeftUpDownVector",
  "type": "keyword",
  "info": "LeftUpDownVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "LeftUpTeeVector",
  "type": "keyword",
  "info": "LeftUpTeeVector[x, y, â¦] displays as x â¥  y â¥  â¦."
}, {
  "label": "LeftUpVector",
  "type": "keyword",
  "info": "LeftUpVector[x, y, â¦] displays as x â¿ y â¿ â¦."
}, {
  "label": "LeftUpVectorBar",
  "type": "keyword",
  "info": "LeftUpVectorBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "LeftVector",
  "type": "keyword",
  "info": "LeftVector[x, y, â¦] displays as x â¼ y â¼ â¦."
}, {
  "label": "LeftVectorBar",
  "type": "keyword",
  "info": "LeftVectorBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "LegendAppearance",
  "type": "keyword",
  "info": "LegendAppearance is an option for charting functions that specifies the appearance of any legends th"
}, {
  "label": "Legended",
  "type": "keyword",
  "info": "Legended[expr, leg] displays expr with legend leg. Legended[expr, lbl] indicates in plotting and cha"
}, {
  "label": "LegendFunction",
  "type": "keyword",
  "info": "LegendFunction is an option for legends that specifies an overall function to apply to the generated"
}, {
  "label": "LegendLabel",
  "type": "keyword",
  "info": "LegendLabel is an option for legends that specifies an overall label for a legend."
}, {
  "label": "LegendLayout",
  "type": "keyword",
  "info": "LegendLayout is an option for legends that specifies how to format the legend content."
}, {
  "label": "LegendMargins",
  "type": "keyword",
  "info": "LegendMargins is an option for legends that specifies the margins to leave around the legend."
}, {
  "label": "LegendMarkers",
  "type": "keyword",
  "info": "LegendMarkers is an option for legends such as PointLegend that specifies markers for each element."
}, {
  "label": "LegendMarkerSize",
  "type": "keyword",
  "info": "LegendMarkerSize is an option for legends such as PointLegend that specifies the size of marker regi"
}, {
  "label": "LegendreP",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "LegendreQ",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "LegendreType",
  "type": "keyword",
  "info": "System`LegendreType"
}, {
  "label": "Length",
  "type": "keyword",
  "info": "Length[expr] gives the number of elements in expr. "
}, {
  "label": "LengthWhile",
  "type": "keyword",
  "info": "LengthWhile[list, crit] gives the number of contiguous elements e  starting at the beginning of list"
}, {
  "label": "LerchPhi",
  "type": "keyword",
  "info": "LerchPhi[z, s, a] gives the Lerch transcendent Î¦ (z, s, a). "
}, {
  "label": "Less",
  "type": "keyword",
  "info": "x < y yields True if x is determined to be less than y. x  < x  < x  yields True if the x  form a st"
}, {
  "label": "LessEqual",
  "type": "keyword",
  "info": "x <= y or x â¤ y yields True if x is determined to be less than or equal to y.x  â¤ x  â¤ x  yields Tru"
}, {
  "label": "LessEqualGreater",
  "type": "keyword",
  "info": "LessEqualGreater[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "LessEqualThan",
  "type": "keyword",
  "info": "LessEqualThan[y] is an operator form that yields x â¤ y when applied to an expression x."
}, {
  "label": "LessFullEqual",
  "type": "keyword",
  "info": "LessFullEqual[x, y, â¦] displays as x â¦ y â¦ â¦."
}, {
  "label": "LessGreater",
  "type": "keyword",
  "info": "LessGreater[x, y, â¦] displays as x â\\[Paragraph] y â\\[Paragraph] â¦."
}, {
  "label": "LessLess",
  "type": "keyword",
  "info": "LessLess[x, y, â¦] displays as x âª y âª â¦."
}, {
  "label": "LessSlantEqual",
  "type": "keyword",
  "info": "LessSlantEqual[x, y, â¦] displays as x â©½ y â©½ â¦."
}, {
  "label": "LessThan",
  "type": "keyword",
  "info": "LessThan[y] is an operator form that yields x < y when applied to an expression x."
}, {
  "label": "LessTilde",
  "type": "keyword",
  "info": "LessTilde[x, y, â¦] displays as x â\.b2 y â\.b2 â¦."
}, {
  "label": "LetterCharacter",
  "type": "keyword",
  "info": "LetterCharacter represents a letter character in StringExpression."
}, {
  "label": "LetterCounts",
  "type": "keyword",
  "info": "LetterCounts[\"string\"] gives an association whose keys are the distinct letters in string, and whose"
}, {
  "label": "LetterNumber",
  "type": "keyword",
  "info": "LetterNumber[\"c\"] gives the position of the character c in the English alphabet.LetterNumber[\"c\", al"
}, {
  "label": "LetterQ",
  "type": "keyword",
  "info": "LetterQ[string] yields True if all the characters in the string are letters, and yields False otherw"
}, {
  "label": "Level",
  "type": "keyword",
  "info": "Level[expr, levelspec] gives a list of all subexpressions of expr on levels specified by levelspec. "
}, {
  "label": "LeveneTest",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "LeviCivitaTensor",
  "type": "keyword",
  "info": "LeviCivitaTensor[d] gives the d-dimensional Levi-Civita totally antisymmetric tensor."
}, {
  "label": "LevyDistribution",
  "type": "keyword",
  "info": "LevyDistribution[Î¼, Ï] represents a LÃ©vy distribution with location parameter Î¼ and dispersion param"
}, {
  "label": "Lexicographic",
  "type": "keyword",
  "info": "System`Lexicographic"
}, {
  "label": "LexicographicOrder",
  "type": "keyword",
  "info": "LexicographicOrder[{a , a , â¦}, {b , b , â¦}] gives Order[a , b ] for the first non-coinciding pair a"
}, {
  "label": "LexicographicSort",
  "type": "keyword",
  "info": "LexicographicSort[{e , e , â¦}] sorts the list of expressions e  in lexicographic order.Lexicographic"
}, {
  "label": "LibraryDataType",
  "type": "keyword",
  "info": "LibraryDataType[datatype] specifies the data type for a LibraryFunction argument or result to be dat"
}, {
  "label": "LibraryFunction",
  "type": "keyword",
  "info": "LibraryFunction[ args] represents a function that has been loaded from a Wolfram Library."
}, {
  "label": "LibraryFunctionError",
  "type": "keyword",
  "info": "LibraryFunctionError[name, code] represents an error returned from a LibraryFunction."
}, {
  "label": "LibraryFunctionInformation",
  "type": "keyword",
  "info": "LibraryFunctionInformation[fun] returns information about a LibraryFunction."
}, {
  "label": "LibraryFunctionLoad",
  "type": "keyword",
  "info": "LibraryFunctionLoad[lib, fun, argtype, rettype] loads Wolfram Library lib and makes the library func"
}, {
  "label": "LibraryFunctionUnload",
  "type": "keyword",
  "info": "LibraryFunctionUnload[fun] unloads a LibraryFunction so that it cannot be used."
}, {
  "label": "LibraryLoad",
  "type": "keyword",
  "info": "LibraryLoad[lib] loads the dynamic library lib into the Wolfram System runtime."
}, {
  "label": "LibraryUnload",
  "type": "keyword",
  "info": "LibraryUnload[lib] unloads all functions that have been loaded from a Wolfram Library, then it unloa"
}, {
  "label": "LicenseEntitlementObject",
  "type": "keyword",
  "info": "LicenseEntitlementObject[â¦] represents an on-demand license entitlement.LicenseEntitlementObject[id]"
}, {
  "label": "LicenseEntitlements",
  "type": "keyword",
  "info": "LicenseEntitlements[] gives a list of on-demand license entitlements owned by you."
}, {
  "label": "LicenseID",
  "type": "keyword",
  "info": "LicenseID is an option to Encode which specifies the required value of $LicenseID on the computer th"
}, {
  "label": "LicensingSettings",
  "type": "keyword",
  "info": "LicensingSettings is an option for RemoteBatchSubmit and related functions to configure licensing fo"
}, {
  "label": "LiftingFilterData",
  "type": "keyword",
  "info": "LiftingFilterData[â¦] represents lifting-filter data used to compute forward and inverse lifting wave"
}, {
  "label": "LiftingWaveletTransform",
  "type": "keyword",
  "info": "LiftingWaveletTransform[data] gives the lifting wavelet transform (LWT) of an array of data.LiftingW"
}, {
  "label": "LightBlue",
  "type": "keyword",
  "info": "LightBlue represents a light blue color in graphics or style specifications."
}, {
  "label": "LightBrown",
  "type": "keyword",
  "info": "LightBrown represents a light brown color in graphics or style specifications."
}, {
  "label": "LightCyan",
  "type": "keyword",
  "info": "LightCyan represents a light cyan color in graphics or style specifications."
}, {
  "label": "Lighter",
  "type": "keyword",
  "info": "Lighter[color] represents a lighter version of the specified color. Lighter[color, f] represents a v"
}, {
  "label": "LightGray",
  "type": "keyword",
  "info": "LightGray represents a light gray color in graphics or style specifications."
}, {
  "label": "LightGreen",
  "type": "keyword",
  "info": "LightGreen represents a light green color in graphics or style specifications."
}, {
  "label": "Lighting",
  "type": "keyword",
  "info": "Lighting is an option for Graphics3D and related functions that specifies what simulated lighting to"
}, {
  "label": "LightingAngle",
  "type": "keyword",
  "info": "LightingAngle is an option for ReliefPlot and related functions that specifies the angle from which "
}, {
  "label": "LightMagenta",
  "type": "keyword",
  "info": "LightMagenta represents a light magenta color in graphics or style specifications."
}, {
  "label": "LightOrange",
  "type": "keyword",
  "info": "LightOrange represents a light orange color in graphics or style specifications."
}, {
  "label": "LightPink",
  "type": "keyword",
  "info": "LightPink represents a light pink color in graphics or style specifications."
}, {
  "label": "LightPurple",
  "type": "keyword",
  "info": "LightPurple represents a light purple color in graphics or style specifications."
}, {
  "label": "LightRed",
  "type": "keyword",
  "info": "LightRed represents a light red color in graphics or style specifications."
}, {
  "label": "LightSources",
  "type": "keyword",
  "info": "LightSources is an option for Graphics3D and related functions that specifies the properties of poin"
}, {
  "label": "LightYellow",
  "type": "keyword",
  "info": "LightYellow represents a light yellow color in graphics or style specifications."
}, {
  "label": "Likelihood",
  "type": "keyword",
  "info": "Likelihood[dist, {x , x , â¦}] gives the likelihood function for observations x , x , â¦ from the dist"
}, {
  "label": "Limit",
  "type": "keyword",
  "info": "              *                                                 *           *                       "
}, {
  "label": "LimitsPositioning",
  "type": "keyword",
  "info": "LimitsPositioning is an option for UnderoverscriptBox and related boxes that specifies whether to ch"
}, {
  "label": "LimitsPositioningTokens",
  "type": "keyword",
  "info": "LimitsPositioningTokens is an option for selections that specifies a set of characters for which the"
}, {
  "label": "LindleyDistribution",
  "type": "keyword",
  "info": "LindleyDistribution[Î\.b4] represents a Lindley distribution with shape parameter Î\.b4."
}, {
  "label": "Line",
  "type": "keyword",
  "info": "Line[{p , p , â¦}] represents the line segments joining a sequence for points p .Line[{{p  , p  , â¦},"
}, {
  "label": "Line3DBox",
  "type": "keyword",
  "info": "System`Line3DBox"
}, {
  "label": "Line3DBoxOptions",
  "type": "keyword",
  "info": "Line3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Line3DBox "
}, {
  "label": "LinearFilter",
  "type": "keyword",
  "info": "System`LinearFilter"
}, {
  "label": "LinearFractionalOptimization",
  "type": "keyword",
  "info": "LinearFractionalOptimization[f, cons, vars] finds values of variables vars that minimize the linear "
}, {
  "label": "LinearFractionalTransform",
  "type": "keyword",
  "info": "LinearFractionalTransform[m] gives a TransformationFunction that represents a linear fractional tran"
}, {
  "label": "LinearGradientFilling",
  "type": "keyword",
  "info": "LinearGradientFilling[{col , col , â¦, col }] is a two-dimensional graphics directive specifying that"
}, {
  "label": "LinearGradientImage",
  "type": "keyword",
  "info": "LinearGradientImage[gcol] returns an image with values linearly changing from left to right based on"
}, {
  "label": "LinearizingTransformationData",
  "type": "keyword",
  "info": "LinearizingTransformationData[â¦] represents data of an AffineStateSpaceModel linearized by functions"
}, {
  "label": "LinearLayer",
  "type": "keyword",
  "info": "LinearLayer[n] represents a trainable, fully connected net layer that computes w . x + b with output"
}, {
  "label": "LinearModelFit",
  "type": "keyword",
  "info": "LinearModelFit[{y , y , â¦}, {f , f , â¦}, x] constructs a linear model of the form Î\.b2  + Î\.b2  f  + Î\.b2  f "
}, {
  "label": "LinearOffsetFunction",
  "type": "keyword",
  "info": "LinearOffsetFunction is an option for linear and generalized linear model fitting functions that spe"
}, {
  "label": "LinearOptimization",
  "type": "keyword",
  "info": "LinearOptimization[f, cons, vars] finds values of variables vars that minimize the linear objective "
}, {
  "label": "LinearProgramming",
  "type": "keyword",
  "info": "LinearProgramming[c, m, b] finds a vector x that minimizes the quantity c . x subject to the constra"
}, {
  "label": "LinearRecurrence",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "LinearSolve",
  "type": "keyword",
  "info": "LinearSolve[m, b] finds an x that solves the matrix equation m . x == b. LinearSolve[m] generates a "
}, {
  "label": "LinearSolveFunction",
  "type": "keyword",
  "info": "LinearSolveFunction[dimensions, data] represents a function for providing solutions to a matrix equa"
}, {
  "label": "LineBox",
  "type": "keyword",
  "info": "System`LineBox"
}, {
  "label": "LineBoxOptions",
  "type": "keyword",
  "info": "LineBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for LineBox obje"
}, {
  "label": "LineBreak",
  "type": "keyword",
  "info": "System`LineBreak"
}, {
  "label": "LinebreakAdjustments",
  "type": "keyword",
  "info": "LinebreakAdjustments is an option for selections that sets parameters used for calculating where aut"
}, {
  "label": "LineBreakChart",
  "type": "keyword",
  "info": "LineBreakChart[{{date , p }, {date , p }, â¦}] makes a line break chart with prices p  at date date ."
}, {
  "label": "LinebreakSemicolonWeighting",
  "type": "keyword",
  "info": "System`LinebreakSemicolonWeighting"
}, {
  "label": "LineBreakWithin",
  "type": "keyword",
  "info": "LineBreakWithin is an option for selections that specifies whether line breaks occur automatically w"
}, {
  "label": "LineColor",
  "type": "keyword",
  "info": "System`LineColor"
}, {
  "label": "LineGraph",
  "type": "keyword",
  "info": "LineGraph[g] gives the line graph of the graph g.LineGraph[{v ï¢ w, â¦}] uses rules v ï¢ w to specify t"
}, {
  "label": "LineIndent",
  "type": "keyword",
  "info": "LineIndent is an option for Style and Cell that specifies how many ems of indentation to add at the "
}, {
  "label": "LineIndentMaxFraction",
  "type": "keyword",
  "info": "LineIndentMaxFraction is an option for Cell, StyleBox, and Style that specifies the maximum fraction"
}, {
  "label": "LineIntegralConvolutionPlot",
  "type": "keyword",
  "info": "LineIntegralConvolutionPlot[{{v , v }, image}, {x, x   , x   }, {y, y   , y   }] generates a line in"
}, {
  "label": "LineIntegralConvolutionScale",
  "type": "keyword",
  "info": "LineIntegralConvolutionScale is an option to LineIntegralConvolutionPlot and related functions that "
}, {
  "label": "LineLegend",
  "type": "keyword",
  "info": "LineLegend[{col , â¦}, {lbl , â¦}] generates a legend that associates color col  with label lbl .LineL"
}, {
  "label": "LineOpacity",
  "type": "keyword",
  "info": "System`LineOpacity"
}, {
  "label": "LineSpacing",
  "type": "keyword",
  "info": "LineSpacing is an option for Style and Cell that specifies the spacing between successive lines of t"
}, {
  "label": "LineWrapParts",
  "type": "keyword",
  "info": "System`LineWrapParts"
}, {
  "label": "LinkActivate",
  "type": "keyword",
  "info": "LinkActivate[lnk] activates a WSTP connection, waiting for the program at the other end to respond."
}, {
  "label": "LinkClose",
  "type": "keyword",
  "info": "LinkClose[link] closes an open WSTP connection. "
}, {
  "label": "LinkConnect",
  "type": "keyword",
  "info": "LinkConnect[\"name\"] connects to a WSTP link created by another program. "
}, {
  "label": "LinkConnectedQ",
  "type": "keyword",
  "info": "System`LinkConnectedQ"
}, {
  "label": "LinkCreate",
  "type": "keyword",
  "info": "LinkCreate[\"name\"] creates a WSTP link with the specified name for another program to connect to. Li"
}, {
  "label": "LinkError",
  "type": "keyword",
  "info": "LinkError[link] returns error information for link in the form { errorNumber, errorExplanation }."
}, {
  "label": "LinkFlush",
  "type": "keyword",
  "info": "LinkFlush[link] transmits immediately any locally buffered outgoing expressions."
}, {
  "label": "LinkFunction",
  "type": "keyword",
  "info": "LinkFunction is an option for GeneralizedLinearModelFit that specifies the link function for the gen"
}, {
  "label": "LinkHost",
  "type": "keyword",
  "info": "LinkHost is an option for LinkOpen that specifies on what computer a program should be launched or o"
}, {
  "label": "LinkInterrupt",
  "type": "keyword",
  "info": "LinkInterrupt[link] sends an interrupt to the program at the other end of the specified WSTP connect"
}, {
  "label": "LinkLaunch",
  "type": "keyword",
  "info": "LinkLaunch[\"prog\"] starts the external program prog and opens a WSTP connection to it. "
}, {
  "label": "LinkMode",
  "type": "keyword",
  "info": "LinkMode is an option for LinkOpen that specifies how the link is to be established and connected.  "
}, {
  "label": "LinkObject",
  "type": "keyword",
  "info": "LinkObject[\"name\", n , n ] is an object that represents an active WSTP connection for functions such"
}, {
  "label": "LinkOpen",
  "type": "keyword",
  "info": "LinkOpen[\"prog\"] starts the external program prog and opens a MathLink connection to it."
}, {
  "label": "LinkOptions",
  "type": "keyword",
  "info": "System`LinkOptions"
}, {
  "label": "LinkPatterns",
  "type": "keyword",
  "info": "LinkPatterns[link] gives a list of the patterns for which definitions were set up when the external "
}, {
  "label": "LinkProtocol",
  "type": "keyword",
  "info": "LinkProtocol is an option to LinkLaunch, Install, and related functions that specifies the underlyin"
}, {
  "label": "LinkRankCentrality",
  "type": "keyword",
  "info": "LinkRankCentrality[g, Î\\[PlusMinus]] gives the link-rank centralities for edges in the graph g and weight Î\\[PlusMinus].Link"
}, {
  "label": "LinkRead",
  "type": "keyword",
  "info": "LinkRead[link] reads one expression from the specified WSTP connection. LinkRead[link, h] wraps h ar"
}, {
  "label": "LinkReadHeld",
  "type": "keyword",
  "info": "LinkReadHeld[link] reads an expression via WSTP from link and returns it wrapped in Hold."
}, {
  "label": "LinkReadyQ",
  "type": "keyword",
  "info": "LinkReadyQ[link] tests whether there is an expression ready to read from the specified WSTP connecti"
}, {
  "label": "Links",
  "type": "keyword",
  "info": "Links[] gives a list of all WSTP connections that are currently open. Links[patt] lists only links w"
}, {
  "label": "LinkService",
  "type": "keyword",
  "info": "LinkService[\"service\", l] is an object that represents an active connection to the WSTP service."
}, {
  "label": "LinkWrite",
  "type": "keyword",
  "info": "LinkWrite[link, expr] writes expr to the specified WSTP connection. "
}, {
  "label": "LinkWriteHeld",
  "type": "keyword",
  "info": "LinkWriteHeld[link, Hold[expr], (flush : True)] writes expr (without the Hold) via WSTP to link (syn"
}, {
  "label": "LiouvilleLambda",
  "type": "keyword",
  "info": "LiouvilleLambda[n] gives the Liouville function Î»(n)."
}, {
  "label": "List",
  "type": "keyword",
  "info": "{e , e , â¦} is a list of elements. \n  1   2"
}, {
  "label": "Listable",
  "type": "keyword",
  "info": "Listable is an attribute that can be assigned to a symbol f to indicate that the function f should a"
}, {
  "label": "ListAnimate",
  "type": "keyword",
  "info": "ListAnimate[{expr , expr , â¦}] generates an animation whose frames are the successive expr . ListAni"
}, {
  "label": "ListContourPlot",
  "type": "keyword",
  "info": "ListContourPlot[{{f  , â¦, f  }, â¦, {f  , â¦, f  }}] generates a contour plot from an array of values "
}, {
  "label": "ListContourPlot3D",
  "type": "keyword",
  "info": "ListContourPlot3D[array] generates a contour plot from a three-dimensional array of values. ListCont"
}, {
  "label": "ListConvolve",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ListCorrelate",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ListCurvePathPlot",
  "type": "keyword",
  "info": "ListCurvePathPlot[{{x , y }, {x , y }, â¦}] plots a curve that corresponds to a smooth path through t"
}, {
  "label": "ListDeconvolve",
  "type": "keyword",
  "info": "ListDeconvolve[ker, list] gives a deconvolution of list using kernel ker."
}, {
  "label": "ListDensityPlot",
  "type": "keyword",
  "info": "ListDensityPlot[{{f  , â¦, f  }, â¦, {f  , â¦, f  }}] generates a smooth density plot from an array of "
}, {
  "label": "ListDensityPlot3D",
  "type": "keyword",
  "info": "ListDensityPlot3D[array] generates a smooth density plot from an array of values. ListDensityPlot3D["
}, {
  "label": "Listen",
  "type": "keyword",
  "info": "Listen is a setting for the LinkMode option of LinkOpen.  LinkMode->Listen causes a link to be creat"
}, {
  "label": "ListFormat",
  "type": "keyword",
  "info": "ListFormat is an option to TextString and related functions that determines how lists are formatted."
}, {
  "label": "ListFourierSequenceTransform",
  "type": "keyword",
  "info": "ListFourierSequenceTransform[list, Ï] gives the discrete-time Fourier transform (DTFT) of a list as "
}, {
  "label": "ListInterpolation",
  "type": "keyword",
  "info": "ListInterpolation[array] constructs an InterpolatingFunction object that represents an approximate f"
}, {
  "label": "ListLineIntegralConvolutionPlot",
  "type": "keyword",
  "info": "ListLineIntegralConvolutionPlot[{array, image}] generates a line integral convolution plot of image "
}, {
  "label": "ListLinePlot",
  "type": "keyword",
  "info": "ListLinePlot[{y , y , â¦}] plots a line through the points {1, y }, {2, y }, â¦.ListLinePlot[{{x , y }"
}, {
  "label": "ListLinePlot3D",
  "type": "keyword",
  "info": "ListLinePlot3D[{{x , y , z }, {x , y , z }, â¦, {x , y , z }}] plots a curve through the 3D points {x"
}, {
  "label": "ListLogLinearPlot",
  "type": "keyword",
  "info": "ListLogLinearPlot[{y , y , â¦}] makes a log-linear plot of the y , assumed to correspond to x coordin"
}, {
  "label": "ListLogLogPlot",
  "type": "keyword",
  "info": "ListLogLogPlot[{y , y , â¦}] makes a log-log plot of the y , assumed to correspond to x coordinates 1"
}, {
  "label": "ListLogPlot",
  "type": "keyword",
  "info": "ListLogPlot[{y , y , â¦}] makes a log plot of the y , assumed to correspond to x coordinates 1, 2, â¦."
}, {
  "label": "ListPicker",
  "type": "keyword",
  "info": "ListPicker[list, {val , val , â¦}] represents a list pane with setting list that can contain possible"
}, {
  "label": "ListPickerBox",
  "type": "keyword",
  "info": "ListPickerBox[list, {val  ï¢ lbl , val  ï¢ lbl , â¦}] is a low-level box structure that represents a li"
}, {
  "label": "ListPickerBoxBackground",
  "type": "keyword",
  "info": "System`ListPickerBoxBackground"
}, {
  "label": "ListPickerBoxOptions",
  "type": "keyword",
  "info": "ListPickerBoxOptions is an option that specifies settings for ListPickerBox objects."
}, {
  "label": "ListPlay",
  "type": "keyword",
  "info": "ListPlay[{a , a , â¦}] creates an object that plays as a sound whose amplitude is given by the sequen"
}, {
  "label": "ListPlot",
  "type": "keyword",
  "info": "ListPlot[{y , â¦, y }] plots points {1, y }, {2, y }, â¦. ListPlot[{{x , y }, â¦, {x , y }}] generates "
}, {
  "label": "ListPlot3D",
  "type": "keyword",
  "info": "ListPlot3D[{{f  , â¦, f  }, â¦, {f  , â¦, f  }}] generates a surface representing an array of height va"
}, {
  "label": "ListPointPlot3D",
  "type": "keyword",
  "info": "ListPointPlot3D[{{x , y , z }, {x , y , z }, â¦}] generates a 3D scatter plot of points with coordina"
}, {
  "label": "ListPolarPlot",
  "type": "keyword",
  "info": "ListPolarPlot[{r , r , â¦}] plots points equally spaced in angle at radii r .ListPolarPlot[{{Î¸ , r },"
}, {
  "label": "ListQ",
  "type": "keyword",
  "info": "ListQ[expr] gives True if the head of expr is List, and False otherwise."
}, {
  "label": "ListSliceContourPlot3D",
  "type": "keyword",
  "info": "ListSliceContourPlot3D[array, surf] generates a contour plot of the three-dimensional array of value"
}, {
  "label": "ListSliceDensityPlot3D",
  "type": "keyword",
  "info": "ListSliceDensityPlot3D[array, surf] generates a density plot of the three-dimensional array of value"
}, {
  "label": "ListSliceVectorPlot3D",
  "type": "keyword",
  "info": "ListSliceVectorPlot3D[array, surf] generates a vector plot from a 3D array of vector field values ov"
}, {
  "label": "ListStepPlot",
  "type": "keyword",
  "info": "ListStepPlot[{y , y , â¦}] plots the values y , y , â¦ in steps at points 1, 2, â¦.ListStepPlot[{{x , y"
}, {
  "label": "ListStreamDensityPlot",
  "type": "keyword",
  "info": "ListStreamDensityPlot[array] generates a stream density plot from a 2D array of vector and scalar fi"
}, {
  "label": "ListStreamPlot",
  "type": "keyword",
  "info": "ListStreamPlot[array] generates a stream plot from an array of vector field values.ListStreamPlot[{{"
}, {
  "label": "ListStreamPlot3D",
  "type": "keyword",
  "info": "ListStreamPlot3D[array] plots streamlines for the vector field given as an array of vectors."
}, {
  "label": "ListSurfacePlot3D",
  "type": "keyword",
  "info": "ListSurfacePlot3D[{{x , y , z }, {x , y , z }, â¦}] plots a three-dimensional surface constructed to "
}, {
  "label": "ListVectorDensityPlot",
  "type": "keyword",
  "info": "ListVectorDensityPlot[array] generates a vector plot from a 2D array of vector and scalar field valu"
}, {
  "label": "ListVectorDisplacementPlot",
  "type": "keyword",
  "info": "ListVectorDisplacementPlot[{{{vx  , vy  }, â¦, {vx  , vy  }}, â¦, {{vx  , vy  }, â¦, {vx  , vy  }}}] ge"
}, {
  "label": "ListVectorDisplacementPlot3D",
  "type": "keyword",
  "info": "ListVectorDisplacementPlot3D[{{{vx  , vy  , vz  }, â¦, {vx  , vy  , vz  }}, â¦, {{vx  , vy  , vz  }, â¦"
}, {
  "label": "ListVectorPlot",
  "type": "keyword",
  "info": "ListVectorPlot[array] generates a vector plot from an array of vector field values.ListVectorPlot[{{"
}, {
  "label": "ListVectorPlot3D",
  "type": "keyword",
  "info": "ListVectorPlot3D[array] generates a 3D vector plot from a 3D array of vector field values.ListVector"
}, {
  "label": "ListZTransform",
  "type": "keyword",
  "info": "ListZTransform[list, z] gives the Z transform of list as a function of z.ListZTransform[list, z, k] "
}, {
  "label": "Literal",
  "type": "keyword",
  "info": "System`Literal"
}, {
  "label": "LiteralSearch",
  "type": "keyword",
  "info": "System`LiteralSearch"
}, {
  "label": "LocalAdaptiveBinarize",
  "type": "keyword",
  "info": "LocalAdaptiveBinarize[image, r] creates a binary image from image by replacing values above the mean"
}, {
  "label": "LocalCache",
  "type": "keyword",
  "info": "LocalCache[CloudObject[uri]] caches a cloud object in a local object.LocalCache[URL[url]] caches the"
}, {
  "label": "LocalClusteringCoefficient",
  "type": "keyword",
  "info": "LocalClusteringCoefficient[g] gives the list of local clustering coefficients of all vertices in the"
}, {
  "label": "LocalizeDefinitions",
  "type": "keyword",
  "info": "System`LocalizeDefinitions"
}, {
  "label": "LocalizeVariables",
  "type": "keyword",
  "info": "LocalizeVariables is an option to Manipulate that determines whether the values of variables associa"
}, {
  "label": "LocalObject",
  "type": "keyword",
  "info": "LocalObject[] represents a new anonymous local object.LocalObject[\"file :\/\/\/â¦\"] represents a local o"
}, {
  "label": "LocalObjects",
  "type": "keyword",
  "info": "LocalObjects[] gives a list of local objects in your current local base directory.LocalObjects[dir] "
}, {
  "label": "LocalResponseNormalizationLayer",
  "type": "keyword",
  "info": "LocalResponseNormalizationLayer[] represents a net layer that normalizes its input by averaging acro"
}, {
  "label": "LocalSubmit",
  "type": "keyword",
  "info": "LocalSubmit[expr] submits a task to evaluate expr in a separate kernel.LocalSubmit[ScheduledTask[exp"
}, {
  "label": "LocalSymbol",
  "type": "keyword",
  "info": "LocalSymbol[\"name\"] represents a symbol whose value is persistently stored in the local file system."
}, {
  "label": "LocalTime",
  "type": "keyword",
  "info": "LocalTime[] gives a DateObject corresponding to the current local time at the current geo location.L"
}, {
  "label": "LocalTimeZone",
  "type": "keyword",
  "info": "LocalTimeZone[] gives the current time zone for the current geo location.LocalTimeZone[loc] gives th"
}, {
  "label": "LocationEquivalenceTest",
  "type": "keyword",
  "info": "LocationEquivalenceTest[{data , data , â¦}] tests whether the means or medians of the data  are equal"
}, {
  "label": "LocationTest",
  "type": "keyword",
  "info": "LocationTest[data] tests whether the mean or median of the data is zero. LocationTest[{data , data }"
}, {
  "label": "Locator",
  "type": "keyword",
  "info": "Locator[{x, y}] represents a locator object at position {x, y} in a graphic. Locator[Dynamic[pos]] t"
}, {
  "label": "LocatorAutoCreate",
  "type": "keyword",
  "info": "LocatorAutoCreate is an option for LocatorPane, Manipulate, and related functions that specifies whe"
}, {
  "label": "LocatorBox",
  "type": "keyword",
  "info": "System`LocatorBox"
}, {
  "label": "LocatorBoxOptions",
  "type": "keyword",
  "info": "LocatorBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for LocatorBo"
}, {
  "label": "LocatorCentering",
  "type": "keyword",
  "info": "System`LocatorCentering"
}, {
  "label": "LocatorPane",
  "type": "keyword",
  "info": "LocatorPane[{x, y}, back] represents a pane with a locator at position {x, y} and background back.Lo"
}, {
  "label": "LocatorPaneBox",
  "type": "keyword",
  "info": "System`LocatorPaneBox"
}, {
  "label": "LocatorPaneBoxOptions",
  "type": "keyword",
  "info": "LocatorPaneBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Locat"
}, {
  "label": "LocatorRegion",
  "type": "keyword",
  "info": "LocatorRegion is an option for Locator that specifies where the locator object should by default be "
}, {
  "label": "Locked",
  "type": "keyword",
  "info": "Locked is an attribute that, once assigned, prevents modification of any attributes of a symbol. "
}, {
  "label": "Log",
  "type": "keyword",
  "info": "Log[z] gives the natural logarithm of z (logarithm to base e). Log[b, z] gives the logarithm to base"
}, {
  "label": "Log10",
  "type": "keyword",
  "info": "Log10[x] gives the base-10 logarithm of x."
}, {
  "label": "Log2",
  "type": "keyword",
  "info": "Log2[x] gives the base-2 logarithm of x."
}, {
  "label": "LogBarnesG",
  "type": "keyword",
  "info": "LogBarnesG[z] gives the logarithm of the Barnes G-function logG(z)."
}, {
  "label": "LogGamma",
  "type": "keyword",
  "info": "LogGamma[z] gives the logarithm of the gamma function log Î(z). "
}, {
  "label": "LogGammaDistribution",
  "type": "keyword",
  "info": "LogGammaDistribution[Î\\[PlusMinus], Î\.b2, Î¼] represents a log-gamma distribution with shape parameters Î\\[PlusMinus] and Î\.b2 and "
}, {
  "label": "LogicalExpand",
  "type": "keyword",
  "info": "LogicalExpand[expr] expands out logical combinations of equations, inequalities, and other functions"
}, {
  "label": "LogIntegral",
  "type": "keyword",
  "info": "LogIntegral[z] is the logarithmic integral function li(z). "
}, {
  "label": "LogisticDistribution",
  "type": "keyword",
  "info": "LogisticDistribution[Î¼, Î\.b2] represents a logistic distribution with mean Î¼ and scale parameter Î\.b2.Logi"
}, {
  "label": "LogisticSigmoid",
  "type": "keyword",
  "info": "LogisticSigmoid[z] gives the logistic sigmoid function."
}, {
  "label": "LogitModelFit",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "LogLikelihood",
  "type": "keyword",
  "info": "LogLikelihood[dist, {x , x , â¦}] gives the logâlikelihood function for observations x , x , â¦ from t"
}, {
  "label": "LogLinearPlot",
  "type": "keyword",
  "info": "LogLinearPlot[f, {x, x   , x   }] generates a log-linear plot of f as a function of x from x    to x"
}, {
  "label": "LogLogisticDistribution",
  "type": "keyword",
  "info": "LogLogisticDistribution[Î\.b3, Ï] represents a log-logistic distribution with shape parameter Î\.b3 and scal"
}, {
  "label": "LogLogPlot",
  "type": "keyword",
  "info": "LogLogPlot[f, {x, x   , x   }] generates a log-log plot of f as a function of x from x    to x   . L"
}, {
  "label": "LogMultinormalDistribution",
  "type": "keyword",
  "info": "LogMultinormalDistribution[Î¼, Î£] represents a log-multinormal distribution with parameters Î¼ and Î£."
}, {
  "label": "LogNormalDistribution",
  "type": "keyword",
  "info": "LogNormalDistribution[Î¼, Ï] represents a lognormal distribution derived from a normal distribution w"
}, {
  "label": "LogPlot",
  "type": "keyword",
  "info": "LogPlot[f, {x, x   , x   }] generates a log plot of f as a function of x from x    to x   . LogPlot["
}, {
  "label": "LogRankTest",
  "type": "keyword",
  "info": "LogRankTest[{data , data , â¦}] tests for equal hazard rates among the data  using a log-rank type te"
}, {
  "label": "LogSeriesDistribution",
  "type": "keyword",
  "info": "LogSeriesDistribution[Î¸] represents a logarithmic series distribution with parameter Î¸."
}, {
  "label": "LongEqual",
  "type": "keyword",
  "info": "System`LongEqual"
}, {
  "label": "Longest",
  "type": "keyword",
  "info": "Longest[p] is a pattern object that matches the longest sequence consistent with the pattern p. "
}, {
  "label": "LongestCommonSequence",
  "type": "keyword",
  "info": "LongestCommonSequence[s , s ] finds the longest sequence of contiguous or disjoint elements common t"
}, {
  "label": "LongestCommonSequencePositions",
  "type": "keyword",
  "info": "LongestCommonSequencePositions[s , s ] finds the longest sequence of contiguous or disjoint elements"
}, {
  "label": "LongestCommonSubsequence",
  "type": "keyword",
  "info": "LongestCommonSubsequence[s , s ] finds the longest contiguous subsequence of elements common to the "
}, {
  "label": "LongestCommonSubsequencePositions",
  "type": "keyword",
  "info": "LongestCommonSubsequencePositions[s , s ] finds the longest contiguous subsequence of elements commo"
}, {
  "label": "LongestMatch",
  "type": "keyword",
  "info": "LongestMatch[p] is a string pattern object matching the longest sequence of characters consistent wi"
}, {
  "label": "LongestOrderedSequence",
  "type": "keyword",
  "info": "LongestOrderedSequence[list] finds the longest ordered sequence of contiguous or disjoint elements i"
}, {
  "label": "LongForm",
  "type": "keyword",
  "info": "LongForm is an option for Information. With LongForm -> True, the full information of a symbol is pr"
}, {
  "label": "Longitude",
  "type": "keyword",
  "info": "Longitude[pos] gives the longitude in degrees of a geographic position specified by pos.Longitude[po"
}, {
  "label": "LongLeftArrow",
  "type": "keyword",
  "info": "LongLeftArrow[x, y, â¦] displays as x â\\[Micro] y â\\[Micro] â¦."
}, {
  "label": "LongLeftRightArrow",
  "type": "keyword",
  "info": "LongLeftRightArrow[x, y, â¦] displays as x â\\[CenterDot] y â\\[CenterDot] â¦."
}, {
  "label": "LongRightArrow",
  "type": "keyword",
  "info": "LongRightArrow[x, y, â¦] displays as x â\\[Paragraph] y â\\[Paragraph] â¦."
}, {
  "label": "LongShortTermMemoryLayer",
  "type": "keyword",
  "info": "LongShortTermMemoryLayer[n] represents a trainable recurrent layer that takes a sequence of vectors "
}, {
  "label": "Lookup",
  "type": "keyword",
  "info": "Lookup[assoc, key] looks up the value associated with key in the association assoc; if the key is no"
}, {
  "label": "Loopback",
  "type": "keyword",
  "info": "Loopback is a setting for the LinkMode option of LinkOpen.  LinkMode->Loopback causes a link to be c"
}, {
  "label": "LoopFreeGraphQ",
  "type": "keyword",
  "info": "LoopFreeGraphQ[g] yields True if the graph g has no self-loops, and False otherwise."
}, {
  "label": "Looping",
  "type": "keyword",
  "info": "Looping is an option for VideoStream, AudioStream and related functions to specify the playback loop"
}, {
  "label": "LossFunction",
  "type": "keyword",
  "info": "LossFunction is an option for NetTrain that specifies how to compare actual and requested outputs fr"
}, {
  "label": "LowerCaseQ",
  "type": "keyword",
  "info": "LowerCaseQ[string] yields True if all the characters in the string are lowercase letters, and yields"
}, {
  "label": "LowerLeftArrow",
  "type": "keyword",
  "info": "LowerLeftArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "LowerRightArrow",
  "type": "keyword",
  "info": "LowerRightArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "LowerTriangularize",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "LowerTriangularMatrixQ",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "LowpassFilter",
  "type": "keyword",
  "info": "LowpassFilter[data, Ï ] applies a lowpass filter with a cutoff frequency Ï  to an array of data.Lowp"
}, {
  "label": "LQEstimatorGains",
  "type": "keyword",
  "info": "LQEstimatorGains[ssm, {w, v}] gives the optimal estimator gain matrix for the StateSpaceModel ssm, w"
}, {
  "label": "LQGRegulator",
  "type": "keyword",
  "info": "LQGRegulator[sspec, cvs, wts] gives the optimal output feedback controller for the stochastic system"
}, {
  "label": "LQOutputRegulatorGains",
  "type": "keyword",
  "info": "LQOutputRegulatorGains[sspec, wts] gives the state feedback gains for the system specification sspec"
}, {
  "label": "LQRegulatorGains",
  "type": "keyword",
  "info": "LQRegulatorGains[spsec, wts] gives the state feedback gains for the system specification sspec that "
}, {
  "label": "LUBackSubstitution",
  "type": "keyword",
  "info": "System`LUBackSubstitution"
}, {
  "label": "LucasL",
  "type": "keyword",
  "info": "LucasL[n] gives the Lucas number L .LucasL[n, x] gives the Lucas polynomial L (x).\n                 "
}, {
  "label": "LuccioSamiComponents",
  "type": "keyword",
  "info": "LuccioSamiComponents[g] gives the LuccioâSami components of the graph g.LuccioSamiComponents[g, {v ,"
}, {
  "label": "LUDecomposition",
  "type": "keyword",
  "info": "LUDecomposition[m] generates a representation of the LU decomposition of a square matrixÂ m. "
}, {
  "label": "LunarEclipse",
  "type": "keyword",
  "info": "LunarEclipse[] gives the time of the next lunar eclipse.LunarEclipse[datespec] gives the time for th"
}, {
  "label": "LUVColor",
  "type": "keyword",
  "info": "LUVColor[l, u, v] represents a color in the LUV color space with lightness l and color components u "
}, {
  "label": "LyapunovSolve",
  "type": "keyword",
  "info": "LyapunovSolve[a, c] finds a solution x of the matrix Lyapunov equation a . x + x . a ï ï c.LyapunovS"
}, {
  "label": "LyonsGroupLy",
  "type": "keyword",
  "info": "LyonsGroupLy[] represents the sporadic simple Lyons group Ly."
}, {
  "label": "MachineID",
  "type": "keyword",
  "info": "MachineID is an option to Encode which specifies the required value of $MachineID on the computer th"
}, {
  "label": "MachineName",
  "type": "keyword",
  "info": "MachineName is an option to Encode which specifies the required value of $MachineName on the compute"
}, {
  "label": "MachineNumberQ",
  "type": "keyword",
  "info": "MachineNumberQ[expr] returns True if expr is a machineâprecision real or complex number, and returns"
}, {
  "label": "MachinePrecision",
  "type": "keyword",
  "info": "MachinePrecision is a symbol used to indicate machineânumber precision. "
}, {
  "label": "MacintoshSystemPageSetup",
  "type": "keyword",
  "info": "System`MacintoshSystemPageSetup"
}, {
  "label": "Magenta",
  "type": "keyword",
  "info": "Magenta represents the color magenta in graphics or style specifications. "
}, {
  "label": "Magnification",
  "type": "keyword",
  "info": "Magnification is an option for Style and Cell that specifies what magnification to use for display. "
}, {
  "label": "Magnify",
  "type": "keyword",
  "info": "Magnify[expr, r] represents an object to be displayed with magnification r. Magnify[expr] displays w"
}, {
  "label": "MailAddressValidation",
  "type": "keyword",
  "info": "MailAddressValidation is an option for SendMail that specifies whether and how to validate email add"
}, {
  "label": "MailExecute",
  "type": "keyword",
  "info": "MailExecute[cmd, target] executes the mail command cmd on the target mail server connection, folder,"
}, {
  "label": "MailFolder",
  "type": "keyword",
  "info": "MailFolder[â¦] represents a mail folder associated with an active mail server connection."
}, {
  "label": "MailItem",
  "type": "keyword",
  "info": "MailItem[â¦] represents an item of mail associated with an active mail server connection."
}, {
  "label": "MailReceiverFunction",
  "type": "keyword",
  "info": "MailReceiverFunction[fun] represents a mail receiver function that applies fun to any mail message i"
}, {
  "label": "MailResponseFunction",
  "type": "keyword",
  "info": "MailResponseFunction is an option for MailReceiverFunction that specifies what function to apply to "
}, {
  "label": "MailSearch",
  "type": "keyword",
  "info": "MailSearch[folder, assoc] searches the specified mail folder for messages with properties matching e"
}, {
  "label": "MailServerConnect",
  "type": "keyword",
  "info": "MailServerConnect[] connects to your default incoming mail server.MailServerConnect[\"server\"] connec"
}, {
  "label": "MailServerConnection",
  "type": "keyword",
  "info": "MailServerConnection[â¦] is a symbolic representation of a connection to an incoming mail server."
}, {
  "label": "MailSettings",
  "type": "keyword",
  "info": "MailSettings is an option for SendMail and MailServerConnect to specify mail settings."
}, {
  "label": "MainSolve",
  "type": "keyword",
  "info": "MainSolve[eqns] is the underlying function for transforming systems of equations. Solve and Eliminat"
}, {
  "label": "MaintainDynamicCaches",
  "type": "keyword",
  "info": "System`MaintainDynamicCaches"
}, {
  "label": "Majority",
  "type": "keyword",
  "info": "Majority[e , e , â¦] gives True if the majority of the e  are True, and False if the majority are Fal"
}, {
  "label": "MakeBoxes",
  "type": "keyword",
  "info": "MakeBoxes[expr, form] is the lowâlevel function used in Wolfram System sessions to convert expressio"
}, {
  "label": "MakeExpression",
  "type": "keyword",
  "info": "MakeExpression[boxes, form] is the lowâlevel function used in Wolfram System sessions to construct e"
}, {
  "label": "MakeRules",
  "type": "keyword",
  "info": "MakeRules is an option to Solve and related functions. With MakeRules -> True, the result is present"
}, {
  "label": "ManagedLibraryExpressionID",
  "type": "keyword",
  "info": "ManagedLibraryExpressionID[expr] returns the positive integer ID associated with expr if it is a man"
}, {
  "label": "ManagedLibraryExpressionQ",
  "type": "keyword",
  "info": "ManagedLibraryExpressionQ[expr] returns True if expr is a managed library expression and False other"
}, {
  "label": "MandelbrotSetBoettcher",
  "type": "keyword",
  "info": "MandelbrotSetBoettcher[z] gives the BÃ\\[Paragraph]ttcher coordinate of z with respect to the Mandelbrot set."
}, {
  "label": "MandelbrotSetDistance",
  "type": "keyword",
  "info": "MandelbrotSetDistance[c] estimates the distance from c to the nearest point in the Mandelbrot set.Ma"
}, {
  "label": "MandelbrotSetIterationCount",
  "type": "keyword",
  "info": "                                                                                        2\nMandelbrot"
}, {
  "label": "MandelbrotSetMemberQ",
  "type": "keyword",
  "info": "MandelbrotSetMemberQ[z] returns True if z is in the Mandelbrot set, and False otherwise."
}, {
  "label": "MandelbrotSetPlot",
  "type": "keyword",
  "info": "MandelbrotSetPlot[{z   , z   }] plots the portion of the Mandelbrot set inside the rectangle with co"
}, {
  "label": "MangoldtLambda",
  "type": "keyword",
  "info": "MangoldtLambda[n] gives the von Mangoldt function Î(n)."
}, {
  "label": "ManhattanDistance",
  "type": "keyword",
  "info": "ManhattanDistance[u, v] gives the Manhattan or \"city block\" distance between vectors u and v."
}, {
  "label": "Manipulate",
  "type": "keyword",
  "info": "Manipulate[expr, {u, u   , u   }] generates a version of expr with controls added to allow interacti"
}, {
  "label": "Manipulator",
  "type": "keyword",
  "info": "Manipulator[x] represents a manipulator with setting x in the range 0 to 1. Manipulator[Dynamic[x]] "
}, {
  "label": "MannedSpaceMissionData",
  "type": "keyword",
  "info": "MannedSpaceMissionData[entity, property] gives the value of the specified property for the manned sp"
}, {
  "label": "MannWhitneyTest",
  "type": "keyword",
  "info": "MannWhitneyTest[{data , data }] tests whether the medians of data  and data  are equal.MannWhitneyTe"
}, {
  "label": "MantissaExponent",
  "type": "keyword",
  "info": "MantissaExponent[x] gives a list containing the mantissa and exponent of a number x. MantissaExponen"
}, {
  "label": "Manual",
  "type": "keyword",
  "info": "Manual represents an option or other value that is to be selected manually, usually by some form of "
}, {
  "label": "Map",
  "type": "keyword",
  "info": "Map[f, expr] or f\/@expr applies f to each element on the first level in expr. Map[f, expr, levelspec"
}, {
  "label": "MapAll",
  "type": "keyword",
  "info": "MapAll[f, expr] or f\/\/@expr applies f to every subexpression in expr. "
}, {
  "label": "MapAt",
  "type": "keyword",
  "info": "MapAt[f, expr, n] applies f to the element at position n in expr. If n is negative, the position is "
}, {
  "label": "MapIndexed",
  "type": "keyword",
  "info": "MapIndexed[f, expr] applies f to the elements of expr, giving the part specification of each element"
}, {
  "label": "MAProcess",
  "type": "keyword",
  "info": "MAProcess[{b , â¦, b }, v] represents a moving-average process of order q with normal white noise var"
}, {
  "label": "MapThread",
  "type": "keyword",
  "info": "MapThread[f, {{a , a , â¦}, {b , b , â¦}, â¦}] gives {f[a , b , â¦], f[a , b , â¦], â¦}. MapThread[f, {exp"
}, {
  "label": "MarchenkoPasturDistribution",
  "type": "keyword",
  "info": "MarchenkoPasturDistribution[Î», Ï] represents a MarchenkoâPastur distribution with asymptotic ratio Î»"
}, {
  "label": "MarcumQ",
  "type": "keyword",
  "info": "MarcumQ[m, a, b] gives Marcum's Q function Q (a, b).MarcumQ[m, a, b , b ] gives Marcum's Q function "
}, {
  "label": "MardiaCombinedTest",
  "type": "keyword",
  "info": "MardiaCombinedTest[data] tests whether data follows a MultinormalDistribution using the Mardia combi"
}, {
  "label": "MardiaKurtosisTest",
  "type": "keyword",
  "info": "MardiaKurtosisTest[data] tests whether data follows a MultinormalDistribution using the Mardia kurto"
}, {
  "label": "MardiaSkewnessTest",
  "type": "keyword",
  "info": "MardiaSkewnessTest[data] tests whether data follows a MultinormalDistribution using the Mardia skewn"
}, {
  "label": "MarginalDistribution",
  "type": "keyword",
  "info": "                                                                                     th\nMarginalDist"
}, {
  "label": "MarkovProcessProperties",
  "type": "keyword",
  "info": "MarkovProcessProperties[mproc] gives a summary of properties for the finite state Markov process mpr"
}, {
  "label": "Masking",
  "type": "keyword",
  "info": "Masking is an option for various image and signal processing functions that specifies on which regio"
}, {
  "label": "MassConcentrationCondition",
  "type": "keyword",
  "info": "MassConcentrationCondition[pred, vars, pars] represents a mass concentration boundary condition for "
}, {
  "label": "MassFluxValue",
  "type": "keyword",
  "info": "MassFluxValue[pred, vars, pars] represents a mass flux boundary condition for PDEs with predicate pr"
}, {
  "label": "MassImpermeableBoundaryValue",
  "type": "keyword",
  "info": "MassImpermeableBoundaryValue[pred, vars, pars] represents a mass impermeable boundary condition for "
}, {
  "label": "MassOutflowValue",
  "type": "keyword",
  "info": "MassOutflowValue[pred, vars, pars] represents a mass outflow boundary condition for PDEs with predic"
}, {
  "label": "MassSymmetryValue",
  "type": "keyword",
  "info": "MassSymmetryValue[pred, vars, pars] represents a mass symmetry boundary condition for PDEs with pred"
}, {
  "label": "MassTransferValue",
  "type": "keyword",
  "info": "MassTransferValue[pred, vars, pars] represents a mass transfer boundary condition for PDEs with pred"
}, {
  "label": "MassTransportPDEComponent",
  "type": "keyword",
  "info": "MassTransportPDEComponent[vars, pars] yields a mass transport PDE term with variables vars and param"
}, {
  "label": "MatchingDissimilarity",
  "type": "keyword",
  "info": "MatchingDissimilarity[u, v] gives the matching dissimilarity between Boolean vectors u and v."
}, {
  "label": "MatchLocalNameQ",
  "type": "keyword",
  "info": "MatchLocalNameQ is an internal symbol."
}, {
  "label": "MatchLocalNames",
  "type": "keyword",
  "info": "MatchLocalNames is an option for Trace and related functions that specifies whether symbols such as "
}, {
  "label": "MatchQ",
  "type": "keyword",
  "info": "MatchQ[expr, form] returns True if the pattern form matches expr, and returns False otherwise.MatchQ"
}, {
  "label": "Material",
  "type": "keyword",
  "info": "System`Material"
}, {
  "label": "MaterialShading",
  "type": "keyword",
  "info": "MaterialShading[\"material\"] is a three-dimensional graphics directive specifying that surfaces that "
}, {
  "label": "MaternPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "MathematicalFunctionData",
  "type": "keyword",
  "info": "MathematicalFunctionData[entity, property] gives data corresponding to property for the mathematical"
}, {
  "label": "MathematicaNotation",
  "type": "keyword",
  "info": "System`MathematicaNotation"
}, {
  "label": "MathieuC",
  "type": "keyword",
  "info": "MathieuC[a, q, z] gives the even Mathieu function with characteristic value a and parameterÂ q. "
}, {
  "label": "MathieuCharacteristicA",
  "type": "keyword",
  "info": "MathieuCharacteristicA[r, q] gives the characteristic value a  for even Mathieu functions with chara"
}, {
  "label": "MathieuCharacteristicB",
  "type": "keyword",
  "info": "MathieuCharacteristicB[r, q] gives the characteristic value b  for odd Mathieu functions with charac"
}, {
  "label": "MathieuCharacteristicExponent",
  "type": "keyword",
  "info": "MathieuCharacteristicExponent[a, q] gives the characteristic exponent r for Mathieu functions with c"
}, {
  "label": "MathieuCPrime",
  "type": "keyword",
  "info": "MathieuCPrime[a, q, z] gives the derivative with respect to z of the even Mathieu function with char"
}, {
  "label": "MathieuGroupM11",
  "type": "keyword",
  "info": "MathieuGroupM11[] represents the sporadic simple Mathieu group M  .\n                                "
}, {
  "label": "MathieuGroupM12",
  "type": "keyword",
  "info": "MathieuGroupM12[] represents the sporadic simple Mathieu group M  .\n                                "
}, {
  "label": "MathieuGroupM22",
  "type": "keyword",
  "info": "MathieuGroupM22[] represents the sporadic simple Mathieu group M  .\n                                "
}, {
  "label": "MathieuGroupM23",
  "type": "keyword",
  "info": "MathieuGroupM23[] represents the sporadic simple Mathieu group M  .\n                                "
}, {
  "label": "MathieuGroupM24",
  "type": "keyword",
  "info": "MathieuGroupM24[] represents the sporadic simple Mathieu group M  .\n                                "
}, {
  "label": "MathieuS",
  "type": "keyword",
  "info": "MathieuS[a, q, z] gives the odd Mathieu function with characteristic value a and parameterÂ q. "
}, {
  "label": "MathieuSPrime",
  "type": "keyword",
  "info": "MathieuSPrime[a, q, z] gives the derivative with respect to z of the odd Mathieu function with chara"
}, {
  "label": "MathMLForm",
  "type": "keyword",
  "info": "MathMLForm[expr] prints as a MathML form of expr. "
}, {
  "label": "MathMLText",
  "type": "keyword",
  "info": "System`MathMLText"
}, {
  "label": "Matrices",
  "type": "keyword",
  "info": "Matrices[{d , d }] represents the domain of matrices of dimensions d Ãd .Matrices[{d , d }, dom] rep"
}, {
  "label": "MatrixExp",
  "type": "keyword",
  "info": "MatrixExp[m] gives the matrix exponential of m. MatrixExp[m, v] gives the matrix exponential of m ap"
}, {
  "label": "MatrixForm",
  "type": "keyword",
  "info": "MatrixForm[list] prints with the elements of list arranged in a regular array. "
}, {
  "label": "MatrixFunction",
  "type": "keyword",
  "info": "MatrixFunction[f, m] gives the matrix generated by the scalar function f at the matrix argument m."
}, {
  "label": "MatrixLog",
  "type": "keyword",
  "info": "MatrixLog[m] gives the matrix logarithm of a matrix m."
}, {
  "label": "MatrixNormalDistribution",
  "type": "keyword",
  "info": "MatrixNormalDistribution[Î£   , Î£   ] represents zero mean matrix normal distribution with row covari"
}, {
  "label": "MatrixPlot",
  "type": "keyword",
  "info": "MatrixPlot[m] generates a plot that gives a visual representation of the values of elements in a mat"
}, {
  "label": "MatrixPower",
  "type": "keyword",
  "info": "                               th                                                                th\n"
}, {
  "label": "MatrixPropertyDistribution",
  "type": "keyword",
  "info": "MatrixPropertyDistribution[expr, x ï mdist] represents the distribution of the matrix property expr "
}, {
  "label": "MatrixQ",
  "type": "keyword",
  "info": "MatrixQ[expr] gives True if expr is a list of lists or a two-dimensional SparseArray object that can"
}, {
  "label": "MatrixRank",
  "type": "keyword",
  "info": "MatrixRank[m] gives the rank of the matrix m. "
}, {
  "label": "MatrixTDistribution",
  "type": "keyword",
  "info": "MatrixTDistribution[Î£   , Î£   , Î½] represents zero mean matrix t distribution with row covariance ma"
}, {
  "label": "Max",
  "type": "keyword",
  "info": "Max[x , x , â¦] yields the numerically largest of the x . Max[{x , x , â¦}, {y , â¦}, â¦] yields the lar"
}, {
  "label": "MaxBend",
  "type": "keyword",
  "info": "System`MaxBend"
}, {
  "label": "MaxCellMeasure",
  "type": "keyword",
  "info": "MaxCellMeasure is an option for DiscretizeRegion and related functions that specifies the maximum ce"
}, {
  "label": "MaxColorDistance",
  "type": "keyword",
  "info": "MaxColorDistance is an option to specify the maximum distance allowed between colors."
}, {
  "label": "MaxDate",
  "type": "keyword",
  "info": "MaxDate[{date , date , â¦}] gives the latest date of the date .MaxDate[interval] gives the endpoint o"
}, {
  "label": "MaxDetect",
  "type": "keyword",
  "info": "MaxDetect[image] gives a binary image in which white pixels correspond to constant extended maxima i"
}, {
  "label": "MaxDuration",
  "type": "keyword",
  "info": "MaxDuration is an option that specifies the maximum duration for audio playback or capture."
}, {
  "label": "MaxExtraBandwidths",
  "type": "keyword",
  "info": "MaxExtraBandwidths is an option to SmoothKernelDistribution that controls the behavior outside that "
}, {
  "label": "MaxExtraConditions",
  "type": "keyword",
  "info": "MaxExtraConditions is an option to Solve and related functions that specifies how many extra equatio"
}, {
  "label": "MaxFeatureDisplacement",
  "type": "keyword",
  "info": "MaxFeatureDisplacement is an option that specifies the maximum displacement allowed for any feature."
}, {
  "label": "MaxFeatures",
  "type": "keyword",
  "info": "MaxFeatures is an option that specifies the maximum number of features that will be returned from fe"
}, {
  "label": "MaxFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "MaximalBy",
  "type": "keyword",
  "info": "MaximalBy[{e , e , â¦}, f] returns a list of the e  for which the value of f[e ] is maximal.MaximalBy"
}, {
  "label": "Maximize",
  "type": "keyword",
  "info": "Maximize[f, x] maximizes f exactly with respect to x.Maximize[f, {x, y, â¦}] maximizes f exactly with"
}, {
  "label": "MaxItems",
  "type": "keyword",
  "info": "MaxItems is an option that specifies the maximum number of items to be used or shown."
}, {
  "label": "MaxIterations",
  "type": "keyword",
  "info": "MaxIterations is an option that specifies the maximum number of iterations that should be tried in v"
}, {
  "label": "MaxLimit",
  "type": "keyword",
  "info": "                 *                                                        *           *             "
}, {
  "label": "MaxMemoryUsed",
  "type": "keyword",
  "info": "MaxMemoryUsed[] gives the maximum number of bytes used to store all data for the current Wolfram Sys"
}, {
  "label": "MaxMixtureKernels",
  "type": "keyword",
  "info": "MaxMixtureKernels is an option for SmoothKernelDistribution and related functions that specifies the"
}, {
  "label": "MaxOverlapFraction",
  "type": "keyword",
  "info": "MaxOverlapFraction is an option that specifies the maximum acceptable overlap between different iden"
}, {
  "label": "MaxPlotPoints",
  "type": "keyword",
  "info": "MaxPlotPoints is an option for plotting functions like ArrayPlot and ListPlot3D that specifies the m"
}, {
  "label": "MaxPoints",
  "type": "keyword",
  "info": "MaxPoints is an option for NIntegrate specifying the maximum total number of times to sample the int"
}, {
  "label": "MaxRecursion",
  "type": "keyword",
  "info": "MaxRecursion is an option for functions like NIntegrate and Plot that specifies how many recursive s"
}, {
  "label": "MaxStableDistribution",
  "type": "keyword",
  "info": "MaxStableDistribution[Î¼, Ï, Î¾] represents a generalized maximum extreme value distribution with loca"
}, {
  "label": "MaxStepFraction",
  "type": "keyword",
  "info": "MaxStepFraction is an option to functions like NDSolve that specifies the maximum fraction of the to"
}, {
  "label": "MaxSteps",
  "type": "keyword",
  "info": "MaxSteps is an option to functions like NDSolve that specifies the maximum number of steps to take i"
}, {
  "label": "MaxStepSize",
  "type": "keyword",
  "info": "MaxStepSize is an option to functions like NDSolve that specifies the maximum size of a single step "
}, {
  "label": "MaxTrainingRounds",
  "type": "keyword",
  "info": "MaxTrainingRounds is an option for NetTrain and related functions that specifies the maximum number "
}, {
  "label": "MaxValue",
  "type": "keyword",
  "info": "MaxValue[f, x] gives the maximum value of f with respect to x.MaxValue[f, {x, y, â¦}] gives the maxim"
}, {
  "label": "MaxwellDistribution",
  "type": "keyword",
  "info": "MaxwellDistribution[Ï] represents a Maxwell distribution with scale parameter Ï."
}, {
  "label": "MaxWordGap",
  "type": "keyword",
  "info": "MaxWordGap is an option for SearchAdjustment that specifies the number of words that can occur betwe"
}, {
  "label": "McLaughlinGroupMcL",
  "type": "keyword",
  "info": "McLaughlinGroupMcL[] represents the sporadic simple McLaughlin group McL."
}, {
  "label": "Mean",
  "type": "keyword",
  "info": "Mean[list] gives the statistical mean of the elements in list. Mean[dist] gives the mean of the dist"
}, {
  "label": "MeanAbsoluteLossLayer",
  "type": "keyword",
  "info": "MeanAbsoluteLossLayer[] represents a loss layer that computes the mean absolute loss between the \"In"
}, {
  "label": "MeanAround",
  "type": "keyword",
  "info": "MeanAround[{x , x , x , â¦}] gives an Around object describing the mean of the x  and its uncertainty"
}, {
  "label": "MeanClusteringCoefficient",
  "type": "keyword",
  "info": "MeanClusteringCoefficient[g] gives the mean clustering coefficient of the graph g.MeanClusteringCoef"
}, {
  "label": "MeanDegreeConnectivity",
  "type": "keyword",
  "info": "MeanDegreeConnectivity[g] gives a list of k-mean degree connectivity for the graph g for successive "
}, {
  "label": "MeanDeviation",
  "type": "keyword",
  "info": "MeanDeviation[list] gives the mean absolute deviation from the mean of the elements in list."
}, {
  "label": "MeanFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "MeanGraphDistance",
  "type": "keyword",
  "info": "MeanGraphDistance[g] gives the mean distance between all pairs of vertices in the graph g.MeanGraphD"
}, {
  "label": "MeanNeighborDegree",
  "type": "keyword",
  "info": "MeanNeighborDegree[g] gives a list of mean neighbor degrees of vertices for the graph g.MeanNeighbor"
}, {
  "label": "MeanPointDensity",
  "type": "keyword",
  "info": "MeanPointDensity[pdata] estimates the mean point density Î» from point data pdata in the observation "
}, {
  "label": "MeanShift",
  "type": "keyword",
  "info": "MeanShift[list, d] replaces each element in list by the mean of the values of all elements that diff"
}, {
  "label": "MeanShiftFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "MeanSquaredLossLayer",
  "type": "keyword",
  "info": "MeanSquaredLossLayer[] represents a loss layer that computes the mean squared loss between its \"Inpu"
}, {
  "label": "Median",
  "type": "keyword",
  "info": "Median[list] gives the median of the elements in list. Median[dist] gives the median of the distribu"
}, {
  "label": "MedianDeviation",
  "type": "keyword",
  "info": "MedianDeviation[list] gives the median absolute deviation from the median of the elements in list."
}, {
  "label": "MedianFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "MedicalTestData",
  "type": "keyword",
  "info": "MedicalTestData[entity, property] gives the value of the specified property for the medical test ent"
}, {
  "label": "Medium",
  "type": "keyword",
  "info": "Medium is a style or option setting that specifies that objects should be medium sized."
}, {
  "label": "MeijerG",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "MeijerGReduce",
  "type": "keyword",
  "info": "MeijerGReduce[expr, x] attempts to reduce expr to a single MeijerG object as a function of x."
}, {
  "label": "MeixnerDistribution",
  "type": "keyword",
  "info": "MeixnerDistribution[a, b, m, d] represents a Meixner distribution with location parameter m, scale p"
}, {
  "label": "MellinConvolve",
  "type": "keyword",
  "info": "MellinConvolve[f, g, x, y] gives the Mellin convolution with respect to x of the expressions f and g"
}, {
  "label": "MellinTransform",
  "type": "keyword",
  "info": "MellinTransform[expr, x, s] gives the Mellin transform of expr.MellinTransform[expr, {x , x , â¦}, {s"
}, {
  "label": "MemberQ",
  "type": "keyword",
  "info": "MemberQ[list, form] returns True if an element of list matches form, and False otherwise. MemberQ[li"
}, {
  "label": "MemoryAvailable",
  "type": "keyword",
  "info": "MemoryAvailable[] gives the estimated number of bytes readily available for storing additional data "
}, {
  "label": "MemoryConstrained",
  "type": "keyword",
  "info": "MemoryConstrained[expr, b] evaluates expr, stopping if more than b bytes of memory are requested. Me"
}, {
  "label": "MemoryConstraint",
  "type": "keyword",
  "info": "MemoryConstraint is an option for TestReport and VerificationTest that specifies how much memory (in"
}, {
  "label": "MemoryInUse",
  "type": "keyword",
  "info": "MemoryInUse[] gives the number of bytes currently being used to store all data in the current Wolfra"
}, {
  "label": "MengerMesh",
  "type": "keyword",
  "info": "                                                     th                                             "
}, {
  "label": "Menu",
  "type": "keyword",
  "info": "System`Menu"
}, {
  "label": "MenuAppearance",
  "type": "keyword",
  "info": "System`MenuAppearance"
}, {
  "label": "MenuCommandKey",
  "type": "keyword",
  "info": "MenuCommandKey is an option for cells that specifies the keyboard shortcut to be associated with a s"
}, {
  "label": "MenuEvaluator",
  "type": "keyword",
  "info": "System`MenuEvaluator"
}, {
  "label": "MenuItem",
  "type": "keyword",
  "info": "System`MenuItem"
}, {
  "label": "MenuList",
  "type": "keyword",
  "info": "System`MenuList"
}, {
  "label": "MenuPacket",
  "type": "keyword",
  "info": "MenuPacket[integer, string] is a WSTP packet indicating a menu request with title string."
}, {
  "label": "MenuSortingValue",
  "type": "keyword",
  "info": "MenuSortingValue is an option for cells and notebooks that specifies where a cell style, stylesheet,"
}, {
  "label": "MenuStyle",
  "type": "keyword",
  "info": "MenuStyle is an option for menu-generating constructs that specifies the style to use in displaying "
}, {
  "label": "MenuView",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Merge",
  "type": "keyword",
  "info": "Merge[{assoc , assoc , â¦}, f] merges the associations assoc , using the function f to combine values"
}, {
  "label": "MergeDifferences",
  "type": "keyword",
  "info": "System`MergeDifferences"
}, {
  "label": "MergingFunction",
  "type": "keyword",
  "info": "MergingFunction is an option for functions such as PersistentSymbol that specifies a function to app"
}, {
  "label": "MersennePrimeExponent",
  "type": "keyword",
  "info": "                                     th\nMersennePrimeExponent[n] gives the nï    Mersenne prime expon"
}, {
  "label": "MersennePrimeExponentQ",
  "type": "keyword",
  "info": "MersennePrimeExponentQ[n] returns True if n is a Mersenne prime exponent, and False otherwise."
}, {
  "label": "Mesh",
  "type": "keyword",
  "info": "Mesh is an option for Plot3D, DensityPlot, and other plotting functions that specifies what mesh sho"
}, {
  "label": "MeshCellCentroid",
  "type": "keyword",
  "info": "MeshCellCentroid is an annotation of MeshRegion and BoundaryMeshRegion objects that gives the centro"
}, {
  "label": "MeshCellCount",
  "type": "keyword",
  "info": "MeshCellCount[mreg] gives a list {c , c , â¦} of counts c  of cells of dimension d in the mesh region"
}, {
  "label": "MeshCellHighlight",
  "type": "keyword",
  "info": "MeshCellHighlight is an option and annotation of MeshRegion, BoundaryMeshRegion, and related functio"
}, {
  "label": "MeshCellIndex",
  "type": "keyword",
  "info": "MeshCellIndex[mreg, d] gives the cell indices for cells of dimension d in the mesh region mreg.MeshC"
}, {
  "label": "MeshCellLabel",
  "type": "keyword",
  "info": "MeshCellLabel is an option to MeshRegion, BoundaryMeshRegion and related functions that specifies la"
}, {
  "label": "MeshCellMarker",
  "type": "keyword",
  "info": "MeshCellMarker is an option to MeshRegion and BoundaryMeshRegion that specifies integer markers to a"
}, {
  "label": "MeshCellMeasure",
  "type": "keyword",
  "info": "MeshCellMeasure is an annotation of MeshRegion and BoundaryMeshRegion objects that gives the measure"
}, {
  "label": "MeshCellQuality",
  "type": "keyword",
  "info": "MeshCellQuality is an annotation of MeshRegion and BoundaryMeshRegion objects that gives a quality m"
}, {
  "label": "MeshCells",
  "type": "keyword",
  "info": "MeshCells[mreg, d] gives the cells of dimension d in the mesh region mreg.MeshCells[mreg, cellspec] "
}, {
  "label": "MeshCellShapeFunction",
  "type": "keyword",
  "info": "MeshCellShapeFunction is an option and annotation for MeshRegion, BoundaryMeshRegion, and related fu"
}, {
  "label": "MeshCellStyle",
  "type": "keyword",
  "info": "MeshCellStyle is an option and annotation of MeshRegion, BoundaryMeshRegion, and related functions t"
}, {
  "label": "MeshConnectivityGraph",
  "type": "keyword",
  "info": "MeshConnectivityGraph[mr, 0] gives a graph of points connected by lines.MeshConnectivityGraph[mr, d]"
}, {
  "label": "MeshCoordinates",
  "type": "keyword",
  "info": "MeshCoordinates[mreg] gives a list of coordinates in the mesh region mreg."
}, {
  "label": "MeshFunctions",
  "type": "keyword",
  "info": "MeshFunctions is an option for plotting functions that specifies functions to use to determine the p"
}, {
  "label": "MeshPrimitives",
  "type": "keyword",
  "info": "MeshPrimitives[mreg, d] gives the graphics primitives for cells of dimension d in the mesh region mr"
}, {
  "label": "MeshQualityGoal",
  "type": "keyword",
  "info": "MeshQualityGoal is an option for DiscretizeRegion and related functions that specifies a mesh cell q"
}, {
  "label": "MeshRange",
  "type": "keyword",
  "info": "System`MeshRange"
}, {
  "label": "MeshRefinementFunction",
  "type": "keyword",
  "info": "MeshRefinementFunction is an option for DiscretizeRegion and related functions that specifies a func"
}, {
  "label": "MeshRegion",
  "type": "keyword",
  "info": "MeshRegion[{p , p , â¦}, {mcell [{i , â¦}], mcell [{j , â¦}], â¦}] yields a mesh with cells mcell , wher"
}, {
  "label": "MeshRegionQ",
  "type": "keyword",
  "info": "MeshRegionQ[reg] yields True if the region reg is a valid MeshRegion object and False otherwise."
}, {
  "label": "MeshShading",
  "type": "keyword",
  "info": "MeshShading is an option for plotting functions that gives lists of colors to use for regions betwee"
}, {
  "label": "MeshStyle",
  "type": "keyword",
  "info": "MeshStyle is an option for Plot3D, DensityPlot, and other plotting functions that specifies the styl"
}, {
  "label": "Message",
  "type": "keyword",
  "info": "Message[symbol :: tag] prints the message symbol :: tag unless it has been switched off. Message[sym"
}, {
  "label": "MessageDialog",
  "type": "keyword",
  "info": "MessageDialog[expr] puts up a standard message dialog that displays expr together with an OK button."
}, {
  "label": "MessageList",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "MessageName",
  "type": "keyword",
  "info": "symbol :: tag is a name for a message. "
}, {
  "label": "MessageObject",
  "type": "keyword",
  "info": "System`MessageObject"
}, {
  "label": "MessageOptions",
  "type": "keyword",
  "info": "System`MessageOptions"
}, {
  "label": "MessagePacket",
  "type": "keyword",
  "info": "MessagePacket[symbol, string] is a WSTP packet containing a Wolfram Language message identifier of t"
}, {
  "label": "Messages",
  "type": "keyword",
  "info": "Messages[symbol] gives all the messages assigned to a particular symbol. "
}, {
  "label": "MessagesNotebook",
  "type": "keyword",
  "info": "System`MessagesNotebook"
}, {
  "label": "MetaCharacters",
  "type": "keyword",
  "info": "MetaCharacters is an option to StringPosition. With MetaCharacters -> None, no strings have special "
}, {
  "label": "MetaInformation",
  "type": "keyword",
  "info": "MetaInformation is an option giving meta-information for Image, CloudObject, and other objects."
}, {
  "label": "MeteorShowerData",
  "type": "keyword",
  "info": "MeteorShowerData[entity, property] gives the value of the specified property for the meteor shower e"
}, {
  "label": "Method",
  "type": "keyword",
  "info": "Method is an option for various algorithm-intensive functions that specifies what internal methods t"
}, {
  "label": "MethodOptions",
  "type": "keyword",
  "info": "System`MethodOptions"
}, {
  "label": "MexicanHatWavelet",
  "type": "keyword",
  "info": "MexicanHatWavelet[] represents the Mexican hat wavelet of width 1.MexicanHatWavelet[Ï] represents th"
}, {
  "label": "MeyerWavelet",
  "type": "keyword",
  "info": "MeyerWavelet[] represents the Meyer wavelet of order 3.MeyerWavelet[n] represents the Meyer wavelet "
}, {
  "label": "Midpoint",
  "type": "keyword",
  "info": "Midpoint[{p , p }] gives the midpoint of the line segment connecting the points p  and p .Midpoint[L"
}, {
  "label": "MIMETypeToFormatList",
  "type": "keyword",
  "info": "MIMETypeToFormatList[] returns lists of file formats corresponding to all registered MIME types.MIME"
}, {
  "label": "Min",
  "type": "keyword",
  "info": "Min[x , x , â¦] yields the numerically smallest of the x . Min[{x , x , â¦}, {y , â¦}, â¦] yields the sm"
}, {
  "label": "MinColorDistance",
  "type": "keyword",
  "info": "MinColorDistance is an option for DominantColors that specifies the minimum distance between returne"
}, {
  "label": "MinDate",
  "type": "keyword",
  "info": "MinDate[{date , date , â¦}] gives the earliest date of the date .MinDate[interval] gives the beginnin"
}, {
  "label": "MinDetect",
  "type": "keyword",
  "info": "MinDetect[image] gives a binary image in which white pixels correspond to constant extended minima i"
}, {
  "label": "MineralData",
  "type": "keyword",
  "info": "MineralData[entity, property] gives the value of the specified property for the mineral entity.Miner"
}, {
  "label": "MinFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "MinimalBy",
  "type": "keyword",
  "info": "MinimalBy[{e , e , â¦}, f] returns a list of the e  for which the value of f[e ] is minimal.MinimalBy"
}, {
  "label": "MinimalPolynomial",
  "type": "keyword",
  "info": "MinimalPolynomial[s, x] gives the minimal polynomial in x for which the algebraic number s is a root"
}, {
  "label": "MinimalStateSpaceModel",
  "type": "keyword",
  "info": "MinimalStateSpaceModel[sys] gives the minimal state-space model of the state-space model sys.Minimal"
}, {
  "label": "Minimize",
  "type": "keyword",
  "info": "Minimize[f, x] minimizes f exactly with respect to x.Minimize[f, {x, y, â¦}] minimizes f exactly with"
}, {
  "label": "MinimumTimeIncrement",
  "type": "keyword",
  "info": "MinimumTimeIncrement[tseries] gives the minimum time increment in the time series tseries."
}, {
  "label": "MinIntervalSize",
  "type": "keyword",
  "info": "MinIntervalSize is an option for IntervalSlider that specifies the minimum size of the interval duri"
}, {
  "label": "MinkowskiQuestionMark",
  "type": "keyword",
  "info": "MinkowskiQuestionMark[x] gives Minkowski's question mark function ? (x)."
}, {
  "label": "MinLimit",
  "type": "keyword",
  "info": "                 *                                                        *           *             "
}, {
  "label": "MinMax",
  "type": "keyword",
  "info": "MinMax[list] gives the list {Min[list], Max[list]}.MinMax[list, Î\.b4] gives {Min[list] - Î\.b4, Max[list] +"
}, {
  "label": "MinorPlanetData",
  "type": "keyword",
  "info": "MinorPlanetData[entity, property] gives the value of the specified property for the minor planet ent"
}, {
  "label": "Minors",
  "type": "keyword",
  "info": "                                                                    th\nMinors[m] gives the minors of"
}, {
  "label": "MinPointSeparation",
  "type": "keyword",
  "info": "MinPointSeparation is an option for GeoGraphValuePlot that determines when to merge nearby vertices "
}, {
  "label": "MinRecursion",
  "type": "keyword",
  "info": "MinRecursion is an option for NIntegrate and other numerical functions that use a recursive algorith"
}, {
  "label": "MinSize",
  "type": "keyword",
  "info": "MinSize is an option of certain BoxForm primitives."
}, {
  "label": "MinStableDistribution",
  "type": "keyword",
  "info": "MinStableDistribution[Î¼, Ï, Î¾] represents a generalized minimum extreme value distribution with loca"
}, {
  "label": "Minus",
  "type": "keyword",
  "info": "-x is the arithmetic negation of x. "
}, {
  "label": "MinusPlus",
  "type": "keyword",
  "info": "MinusPlus[x] displays as â x.MinusPlus[x, y, â¦] displays as x â y â â¦.\n"
}, {
  "label": "MinValue",
  "type": "keyword",
  "info": "MinValue[f, x] gives the minimum value of f with respect to x.MinValue[f, {x, y, â¦}] gives the exact"
}, {
  "label": "Missing",
  "type": "keyword",
  "info": "Missing[] represents data that is missing.Missing[\"reason\"] specifies a reason for the data's being "
}, {
  "label": "MissingBehavior",
  "type": "keyword",
  "info": "MissingBehavior is an option to Query and related functions that specifies how expressions with head"
}, {
  "label": "MissingDataMethod",
  "type": "keyword",
  "info": "MissingDataMethod is an option to TemporalData and other functions that controls how to process miss"
}, {
  "label": "MissingDataRules",
  "type": "keyword",
  "info": "MissingDataRules is an option for SemanticImport and related functions that specifies what should be"
}, {
  "label": "MissingQ",
  "type": "keyword",
  "info": "MissingQ[expr] gives True if expr has head Missing."
}, {
  "label": "MissingString",
  "type": "keyword",
  "info": "MissingString is an option for TextString and related functions that indicates how an expression wit"
}, {
  "label": "MissingStyle",
  "type": "keyword",
  "info": "MissingStyle is an option for GeoRegionValuePlot that specifies how locations with missing data shou"
}, {
  "label": "MissingValuePattern",
  "type": "keyword",
  "info": "MissingValuePattern is an option for SynthesizeMissingValues to specify which elements are considere"
}, {
  "label": "MissingValueSynthesis",
  "type": "keyword",
  "info": "MissingValueSynthesis is an option for functions such as Classify that specifies how missing values "
}, {
  "label": "MittagLefflerE",
  "type": "keyword",
  "info": "MittagLefflerE[Î\\[PlusMinus], z] gives the MittagâLeffler function E (z).MittagLefflerE[Î\\[PlusMinus], Î\.b2, z] gives the gener"
}, {
  "label": "MixedFractionParts",
  "type": "keyword",
  "info": "MixedFractionParts[expr] gives the list {IntegerPart[expr], FractionalPart[expr]}."
}, {
  "label": "MixedGraphQ",
  "type": "keyword",
  "info": "MixedGraphQ[g] yields True if the graph g is a mixed graph and False otherwise. "
}, {
  "label": "MixedMagnitude",
  "type": "keyword",
  "info": "MixedMagnitude[{val , val , â¦, val }] represents a mixed-magnitude expression consisting of values v"
}, {
  "label": "MixedRadix",
  "type": "keyword",
  "info": "MixedRadix[{b , â¦, b }] represents the list of bases of a numerical system in which different digits"
}, {
  "label": "MixedRadixQuantity",
  "type": "keyword",
  "info": "MixedRadixQuantity[{value , â¦, value }, {unit , â¦, unit }] yields a single Quantity expression repre"
}, {
  "label": "MixedUnit",
  "type": "keyword",
  "info": "MixedUnit[{unit , unit , â¦, unit }] represents a mixed-unit expression consisting of units unit  thr"
}, {
  "label": "MixtureDistribution",
  "type": "keyword",
  "info": "MixtureDistribution[{w , â¦, w }, {dist , â¦, dist }] represents a mixture distribution whose CDF is g"
}, {
  "label": "Mod",
  "type": "keyword",
  "info": "Mod[m, n] gives the remainder on division of m by n. Mod[m, n, d] uses an offset d. \n"
}, {
  "label": "Modal",
  "type": "keyword",
  "info": "Modal is an option to functions such as CreateDialog that specifies whether the dialog that is creat"
}, {
  "label": "Mode",
  "type": "keyword",
  "info": "Mode is an option to Eliminate and related functions that specifies in what sense the equations are "
}, {
  "label": "Modular",
  "type": "keyword",
  "info": "Modular is a setting for the option Mode in Solve and related functions, which specifies that equati"
}, {
  "label": "ModularInverse",
  "type": "keyword",
  "info": "ModularInverse[k, n] gives the modular inverse of k modulo n."
}, {
  "label": "ModularLambda",
  "type": "keyword",
  "info": "ModularLambda[Ï] gives the modular lambda elliptic function Î»(Ï). "
}, {
  "label": "Module",
  "type": "keyword",
  "info": "Module[{x, y, â¦}, expr] specifies that occurrences of the symbols x, y, â¦ in expr should be treated "
}, {
  "label": "Modulus",
  "type": "keyword",
  "info": "Modulus ï¢ n is an option that can be given in certain algebraic functions to specify that integers s"
}, {
  "label": "MoebiusMu",
  "type": "keyword",
  "info": "MoebiusMu[n] gives the MÃ\\[Paragraph]bius function Î¼(n). "
}, {
  "label": "Molecule",
  "type": "keyword",
  "info": "Molecule[{atom , atom , â¦}, {bond , bond , â¦}] represents a molecule with atoms atom  and bonds bond"
}, {
  "label": "MoleculeAlign",
  "type": "keyword",
  "info": "MoleculeAlign[ref, mol] returns a version of mol that is aligned with reference molecule ref.Molecul"
}, {
  "label": "MoleculeContainsQ",
  "type": "keyword",
  "info": "MoleculeContainsQ[molecule, patt] returns True if patt is a substructure of molecule, and False othe"
}, {
  "label": "MoleculeDraw",
  "type": "keyword",
  "info": "MoleculeDraw[] displays a window with interactive tools for drawing a Molecule, and returns the resu"
}, {
  "label": "MoleculeEquivalentQ",
  "type": "keyword",
  "info": "MoleculeEquivalentQ[mol , mol ] gives True if mol  and mol  represent equivalent molecules and gives"
}, {
  "label": "MoleculeFreeQ",
  "type": "keyword",
  "info": "MoleculeFreeQ[molecule, patt] returns True if patt is not a substructure of molecule, and False othe"
}, {
  "label": "MoleculeGraph",
  "type": "keyword",
  "info": "MoleculeGraph[mol] returns a graph constructed from the molecule mol."
}, {
  "label": "MoleculeMatchQ",
  "type": "keyword",
  "info": "MoleculeMatchQ[mol, patt] returns True if the Molecule matches the given pattern.MoleculeMatchQ[patt"
}, {
  "label": "MoleculeMaximumCommonSubstructure",
  "type": "keyword",
  "info": "MoleculeMaximumCommonSubstructure[{mol , mol , â¦}] returns a molecule pattern representing the large"
}, {
  "label": "MoleculeModify",
  "type": "keyword",
  "info": "MoleculeModify[mol, \"mod\"] gives a molecule or list of molecules derived from the molecule mol by ap"
}, {
  "label": "MoleculeName",
  "type": "keyword",
  "info": "MoleculeName[mol] attempts to return the systematic chemical name for the given molecule.MoleculeNam"
}, {
  "label": "MoleculePattern",
  "type": "keyword",
  "info": "MoleculePattern[{atom , atom , â¦ }, { bond , bond , â¦ }] represents a molecule pattern with atoms at"
}, {
  "label": "MoleculePlot",
  "type": "keyword",
  "info": "MoleculePlot[mol] creates a two-dimensional structure diagram of the molecule mol.MoleculePlot[mol, "
}, {
  "label": "MoleculePlot3D",
  "type": "keyword",
  "info": "MoleculePlot3D[mol] creates a three-dimensional model of the molecule mol.MoleculePlot3D[mol, patt] "
}, {
  "label": "MoleculeProperty",
  "type": "keyword",
  "info": "MoleculeProperty[pname] represents a property identified by pname for use in MoleculeValue.MoleculeP"
}, {
  "label": "MoleculeQ",
  "type": "keyword",
  "info": "MoleculeQ[mol] returns True if mol is a valid Molecule expression, and False otherwise."
}, {
  "label": "MoleculeRecognize",
  "type": "keyword",
  "info": "MoleculeRecognize[image] recognizes a molecule in image and returns it as a Molecule object."
}, {
  "label": "MoleculeSubstructureCount",
  "type": "keyword",
  "info": "MoleculeSubstructureCount[mol, patt] gives a count of the number of times patt appears as a substruc"
}, {
  "label": "MoleculeValue",
  "type": "keyword",
  "info": "MoleculeValue[molecule, property] gives the value of the specified property for the given molecule.M"
}, {
  "label": "Moment",
  "type": "keyword",
  "info": "                            th                                                                   th "
}, {
  "label": "MomentConvert",
  "type": "keyword",
  "info": "MomentConvert[mexpr, form] converts the moment expression mexpr to the specified form. "
}, {
  "label": "MomentEvaluate",
  "type": "keyword",
  "info": "MomentEvaluate[mexpr, dist] evaluates formal moments in the moment expression mexpr on the distribut"
}, {
  "label": "MomentGeneratingFunction",
  "type": "keyword",
  "info": "MomentGeneratingFunction[dist, t] gives the moment-generating function for the distribution dist as "
}, {
  "label": "MomentOfInertia",
  "type": "keyword",
  "info": "MomentOfInertia[reg, pt, v] computes the moment of inertia for the region reg rotating around an axi"
}, {
  "label": "Monday",
  "type": "keyword",
  "info": "Monday is a day of the week."
}, {
  "label": "Monitor",
  "type": "keyword",
  "info": "Monitor[expr, mon] generates a temporary monitor cell in which the continually updated current value"
}, {
  "label": "MonomialList",
  "type": "keyword",
  "info": "MonomialList[poly] gives the list of all monomials in the polynomial poly.MonomialList[poly, {x , x "
}, {
  "label": "MonomialOrder",
  "type": "keyword",
  "info": "System`MonomialOrder"
}, {
  "label": "MonsterGroupM",
  "type": "keyword",
  "info": "MonsterGroupM[] represents the sporadic simple monster group M."
}, {
  "label": "MoonPhase",
  "type": "keyword",
  "info": "MoonPhase[] gives moon phase fraction of illumination for the current date.MoonPhase[datespec] gives"
}, {
  "label": "MoonPosition",
  "type": "keyword",
  "info": "MoonPosition[] gives the position of the Moon for the current date and location.MoonPosition[datespe"
}, {
  "label": "MorletWavelet",
  "type": "keyword",
  "info": "MorletWavelet[] represents a Morlet wavelet. "
}, {
  "label": "MorphologicalBinarize",
  "type": "keyword",
  "info": "MorphologicalBinarize[image, {t , t }] creates a binary image from image by replacing all values abo"
}, {
  "label": "MorphologicalBranchPoints",
  "type": "keyword",
  "info": "MorphologicalBranchPoints[image] gives a version of a binary image image in which white pixels repre"
}, {
  "label": "MorphologicalComponents",
  "type": "keyword",
  "info": "MorphologicalComponents[image] gives an array in which each pixel of image is replaced by an integer"
}, {
  "label": "MorphologicalEulerNumber",
  "type": "keyword",
  "info": "MorphologicalEulerNumber[image] computes the morphological Euler number of regions in a binary image"
}, {
  "label": "MorphologicalGraph",
  "type": "keyword",
  "info": "MorphologicalGraph[image] gives a graph object that represents the connectivity of the morphological"
}, {
  "label": "MorphologicalPerimeter",
  "type": "keyword",
  "info": "MorphologicalPerimeter[image] picks out the morphological perimeter of regions of foreground in imag"
}, {
  "label": "MorphologicalTransform",
  "type": "keyword",
  "info": "MorphologicalTransform[image, f] applies the function f to the 3Ã3 neighborhood of each pixel in a b"
}, {
  "label": "MortalityData",
  "type": "keyword",
  "info": "MortalityData[spec] gives the values of all properties for the specified demographic.MortalityData[s"
}, {
  "label": "Most",
  "type": "keyword",
  "info": "Most[expr] gives expr with the last element removed. "
}, {
  "label": "MountainData",
  "type": "keyword",
  "info": "MountainData[entity, property] gives the value of the specified property for the mountain entity.Mou"
}, {
  "label": "MouseAnnotation",
  "type": "keyword",
  "info": "MouseAnnotation[] gives any mouse annotation associated with the expression at the current mouse pos"
}, {
  "label": "MouseAppearance",
  "type": "keyword",
  "info": "MouseAppearance[expr, graphic] changes the mouse cursor to appear as graphic when the mouse pointer "
}, {
  "label": "MouseAppearanceTag",
  "type": "keyword",
  "info": "System`MouseAppearanceTag"
}, {
  "label": "MouseButtons",
  "type": "keyword",
  "info": "MouseButtons[] gives a list of the mouse buttons currently being pressed."
}, {
  "label": "Mouseover",
  "type": "keyword",
  "info": "Mouseover[expr, over] represents an object that displays as over when the mouse pointer is over it, "
}, {
  "label": "MousePointerNote",
  "type": "keyword",
  "info": "System`MousePointerNote"
}, {
  "label": "MousePosition",
  "type": "keyword",
  "info": "MousePosition[] gives the current mouse position in the notebook front end. MousePosition[\"coords\"] "
}, {
  "label": "MovieData",
  "type": "keyword",
  "info": "MovieData[entity, property] gives the value of the specified property for the movie entity.MovieData"
}, {
  "label": "MovingAverage",
  "type": "keyword",
  "info": "MovingAverage[list, r] gives the moving average of list, computed by averaging runs of r elements.Mo"
}, {
  "label": "MovingMap",
  "type": "keyword",
  "info": "MovingMap[f, data, w] applies f to size w windows in the specified data.MovingMap[f, data, wspec] us"
}, {
  "label": "MovingMedian",
  "type": "keyword",
  "info": "MovingMedian[list, r] gives the moving median of list, computed using spans of r elements."
}, {
  "label": "MoyalDistribution",
  "type": "keyword",
  "info": "MoyalDistribution[Î¼, Ï] represents a Moyal distribution with location parameter Î¼ and scale paramete"
}, {
  "label": "MultiaxisArrangement",
  "type": "keyword",
  "info": "MultiaxisArrangement is an option to plotting functions that specifies how multiple axes are arrange"
}, {
  "label": "Multicolumn",
  "type": "keyword",
  "info": "Multicolumn[list, cols] is an object that formats with the elements of list arranged in a grid with "
}, {
  "label": "MultiedgeStyle",
  "type": "keyword",
  "info": "MultiedgeStyle is an option for GraphPlot and related functions that specifies how to draw multiple "
}, {
  "label": "MultigraphQ",
  "type": "keyword",
  "info": "MultigraphQ[g] yields True if the graph g is a multigraph and False otherwise."
}, {
  "label": "MultilaunchWarning",
  "type": "keyword",
  "info": "MultilaunchWarning is a global option that specifies whether a warning is given when you try to modi"
}, {
  "label": "MultiLetterItalics",
  "type": "keyword",
  "info": "System`MultiLetterItalics"
}, {
  "label": "MultiLetterStyle",
  "type": "keyword",
  "info": "System`MultiLetterStyle"
}, {
  "label": "MultilineFunction",
  "type": "keyword",
  "info": "MultilineFunction is an option for UnderscriptBox and related box objects that specifies what to do "
}, {
  "label": "Multinomial",
  "type": "keyword",
  "info": "Multinomial[n , n , â¦] gives the multinomial coefficient (n  + n  + â¦) !\/(n  ! n  ! â¦). \n           "
}, {
  "label": "MultinomialDistribution",
  "type": "keyword",
  "info": "MultinomialDistribution[n, {p , p , â¦, p }] represents a multinomial distribution with n trials and "
}, {
  "label": "MultinormalDistribution",
  "type": "keyword",
  "info": "MultinormalDistribution[Î¼, Î£] represents a multivariate normal (Gaussian) distribution with mean vec"
}, {
  "label": "MultiplicativeOrder",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Multiplicity",
  "type": "keyword",
  "info": "Multiplicity is an option to Roots. Multiplicity -> n specifies that the multiplicity of each of the"
}, {
  "label": "MultiplySides",
  "type": "keyword",
  "info": "MultiplySides[rel, x] multiplies each side of the equation or inequality rel by x.MultiplySides[rel "
}, {
  "label": "Multiselection",
  "type": "keyword",
  "info": "Multiselection is an option to ListPicker that specifies whether multiple values may be selected."
}, {
  "label": "MultivariateHypergeometricDistribution",
  "type": "keyword",
  "info": "MultivariateHypergeometricDistribution[n, {m , m , â¦, m }] represents a multivariate hypergeometric "
}, {
  "label": "MultivariatePoissonDistribution",
  "type": "keyword",
  "info": "MultivariatePoissonDistribution[Î¼ , {Î¼ , Î¼ , â¦}] represents a multivariate Poisson distribution with"
}, {
  "label": "MultivariateTDistribution",
  "type": "keyword",
  "info": "MultivariateTDistribution[Î£, Î½] represents the multivariate Student t distribution with scale matrix"
}, {
  "label": "N",
  "type": "keyword",
  "info": "N[expr] gives the numerical value of expr. N[expr, n] attempts to give a result with nâdigit precisi"
}, {
  "label": "NakagamiDistribution",
  "type": "keyword",
  "info": "NakagamiDistribution[Î¼, Ï] represents a Nakagami distribution with shape parameter Î¼ and spread para"
}, {
  "label": "NameQ",
  "type": "keyword",
  "info": "NameQ[\"string\"] yields True if there are any symbols whose names match the string pattern given, and"
}, {
  "label": "Names",
  "type": "keyword",
  "info": "Names[\"string\"] gives a list of the names of symbols that match the string. Names[patt] gives a list"
}, {
  "label": "NamespaceBox",
  "type": "keyword",
  "info": "System`NamespaceBox"
}, {
  "label": "NamespaceBoxOptions",
  "type": "keyword",
  "info": "System`NamespaceBoxOptions"
}, {
  "label": "Nand",
  "type": "keyword",
  "info": "Nand[e , e , â¦] is the logical NAND function. It evaluates its arguments in order, giving True immed"
}, {
  "label": "NArgMax",
  "type": "keyword",
  "info": "NArgMax[f, x] gives a position x    at which f is numerically maximized.NArgMax[f, {x, y, â¦}] gives "
}, {
  "label": "NArgMin",
  "type": "keyword",
  "info": "NArgMin[f, x] gives a position x    at which f is numerically minimized.NArgMin[f, {x, y, â¦}] gives "
}, {
  "label": "NBernoulliB",
  "type": "keyword",
  "info": "                                                  th\nNBernoulliB[n] gives the numerical value of the"
}, {
  "label": "NBodySimulation",
  "type": "keyword",
  "info": "NBodySimulation[law, {state , â¦, state }, t] generates a simulation of the motion of a system of n b"
}, {
  "label": "NBodySimulationData",
  "type": "keyword",
  "info": "NBodySimulationData[dataâ¦] represents the result of an n-body simulation."
}, {
  "label": "NCache",
  "type": "keyword",
  "info": "NCache[x, xn] represents a numeric cache object for a quantity with exact value x and approximate nu"
}, {
  "label": "NDEigensystem",
  "type": "keyword",
  "info": "NDEigensystem[â[u[x, y, â¦]], u, {x, y, â¦} â Î©, n] gives the n smallest magnitude eigenvalues and eig"
}, {
  "label": "NDEigenvalues",
  "type": "keyword",
  "info": "NDEigenvalues[â[u[x, y, â¦]], u, {x, y, â¦} â Î©, n] gives the n smallest magnitude eigenvalues for the"
}, {
  "label": "NDSolve",
  "type": "keyword",
  "info": "NDSolve[eqns, u, {x, x   , x   }] finds a numerical solution to the ordinary differential equations "
}, {
  "label": "NDSolveValue",
  "type": "keyword",
  "info": "NDSolveValue[eqns, expr, {x, x   , x   }] gives the value of expr with functions determined by a num"
}, {
  "label": "Nearest",
  "type": "keyword",
  "info": "Nearest[{elem , elem , â¦}, x] gives the list of elem  to which x is nearest. Nearest[{elem  ï¢ v , el"
}, {
  "label": "NearestFunction",
  "type": "keyword",
  "info": "NearestFunction[data] represents a function whose values give the elements closest to an element tha"
}, {
  "label": "NearestMeshCells",
  "type": "keyword",
  "info": "NearestMeshCells[mr, pt] gives the indices for the cells to which the point pt is nearest in the mes"
}, {
  "label": "NearestNeighborG",
  "type": "keyword",
  "info": "NearestNeighborG[pdata, r] estimates the nearest neighbor function G(r) at radius r in the point dat"
}, {
  "label": "NearestNeighborGraph",
  "type": "keyword",
  "info": "NearestNeighborGraph[{elem , elem , â¦}] gives a graph with vertices elem , elem , â¦ and edges connec"
}, {
  "label": "NearestTo",
  "type": "keyword",
  "info": "NearestTo[x] is an operator form that yields Nearest[elems, x] when applied to a list elems.NearestT"
}, {
  "label": "NebulaData",
  "type": "keyword",
  "info": "NebulaData[entity, property] gives the value of the specified property for the nebula entity.NebulaD"
}, {
  "label": "NeedCurrentFrontEndPackagePacket",
  "type": "keyword",
  "info": "System`NeedCurrentFrontEndPackagePacket"
}, {
  "label": "NeedCurrentFrontEndSymbolsPacket",
  "type": "keyword",
  "info": "System`NeedCurrentFrontEndSymbolsPacket"
}, {
  "label": "NeedlemanWunschSimilarity",
  "type": "keyword",
  "info": "NeedlemanWunschSimilarity[u, v] gives a number representing the NeedlemanâWunsch similarity between "
}, {
  "label": "Needs",
  "type": "keyword",
  "info": "Needs[\"context`\"] loads an appropriate file if the specified context is not already in $Packages. Ne"
}, {
  "label": "Negative",
  "type": "keyword",
  "info": "Negative[x] gives True if x is a negative number. "
}, {
  "label": "NegativeBinomialDistribution",
  "type": "keyword",
  "info": "NegativeBinomialDistribution[n, p] represents a negative binomial distribution with parameters n and"
}, {
  "label": "NegativeDefiniteMatrixQ",
  "type": "keyword",
  "info": "NegativeDefiniteMatrixQ[m] gives True if m is explicitly negative definite, and False otherwise."
}, {
  "label": "NegativeIntegers",
  "type": "keyword",
  "info": "NegativeIntegers represents the domain of strictly negative integers, as in x â NegativeIntegers. "
}, {
  "label": "NegativelyOrientedPoints",
  "type": "keyword",
  "info": "NegativelyOrientedPoints[{p , p , p , â¦, p }] tests whether the sequence of points p , p , p , â¦, p "
}, {
  "label": "NegativeMultinomialDistribution",
  "type": "keyword",
  "info": "NegativeMultinomialDistribution[n, p] represents a negative multinomial distribution with parameter "
}, {
  "label": "NegativeRationals",
  "type": "keyword",
  "info": "NegativeRationals represents the domain of strictly negative rational numbers, as in x â NegativeRat"
}, {
  "label": "NegativeReals",
  "type": "keyword",
  "info": "NegativeReals represents the domain of strictly negative real numbers."
}, {
  "label": "NegativeSemidefiniteMatrixQ",
  "type": "keyword",
  "info": "NegativeSemidefiniteMatrixQ[m] gives True if m is explicitly negative semidefinite, and False otherw"
}, {
  "label": "NeighborhoodData",
  "type": "keyword",
  "info": "NeighborhoodData[entity, property] gives the value of the specified property for the neighborhood en"
}, {
  "label": "NeighborhoodGraph",
  "type": "keyword",
  "info": "NeighborhoodGraph[g, v] gives the graph neighborhood of a vertex v in the graph g.NeighborhoodGraph["
}, {
  "label": "Nest",
  "type": "keyword",
  "info": "Nest[f, expr, n] gives an expression with f applied n times to expr. "
}, {
  "label": "NestedGreaterGreater",
  "type": "keyword",
  "info": "NestedGreaterGreater[x, y, â¦] displays as x âª¢ y âª¢ â¦."
}, {
  "label": "NestedLessLess",
  "type": "keyword",
  "info": "NestedLessLess[x, y, â¦] displays as x âª¡ y âª¡ â¦."
}, {
  "label": "NestedScriptRules",
  "type": "keyword",
  "info": "System`NestedScriptRules"
}, {
  "label": "NestGraph",
  "type": "keyword",
  "info": "NestGraph[f, expr, n] gives the graph obtained by starting with expr and applying f successively n t"
}, {
  "label": "NestList",
  "type": "keyword",
  "info": "NestList[f, expr, n] gives a list of the results of applying f to expr 0 through n times. "
}, {
  "label": "NestTree",
  "type": "keyword",
  "info": "NestTree[f, tree] gives the tree obtained by applying f to the data in the leaves of tree and extend"
}, {
  "label": "NestWhile",
  "type": "keyword",
  "info": "NestWhile[f, expr, test] starts with expr, then repeatedly applies f until applying test to the resu"
}, {
  "label": "NestWhileList",
  "type": "keyword",
  "info": "NestWhileList[f, expr, test] generates a list of the results of applying f repeatedly, starting with"
}, {
  "label": "NetAppend",
  "type": "keyword",
  "info": "NetAppend[net, layer] appends a layer or a net onto a NetChain, a layer or a NetGraph with one outpu"
}, {
  "label": "NetArray",
  "type": "keyword",
  "info": "NetArray[] represents an array in a net.NetArray[\"name\"] uses \"name\" as an identifier to share the a"
}, {
  "label": "NetArrayLayer",
  "type": "keyword",
  "info": "NetArrayLayer[] represents a layer that has no input and produces as output a constant array.NetArra"
}, {
  "label": "NetBidirectionalOperator",
  "type": "keyword",
  "info": "NetBidirectionalOperator[net] represents a net that applies net to a sequence and to its reverse, co"
}, {
  "label": "NetChain",
  "type": "keyword",
  "info": "NetChain[{layer , layer , â¦}] specifies a neural net in which the output of layer  is connected to t"
}, {
  "label": "NetDecoder",
  "type": "keyword",
  "info": "NetDecoder[\"name\"] represents a decoder that takes a net representation and decodes it into an expre"
}, {
  "label": "NetDelete",
  "type": "keyword",
  "info": "                                th\nNetDelete[net, n] deletes the nï    layer from a NetChain or NetGr"
}, {
  "label": "NetDrop",
  "type": "keyword",
  "info": "NetDrop[chain, n] removes the first n layers from a NetChain.NetDrop[chain, -n] removes the last n l"
}, {
  "label": "NetEncoder",
  "type": "keyword",
  "info": "NetEncoder[\"name\"] represents an encoder that takes a given form of input and encodes it as an array"
}, {
  "label": "NetEvaluationMode",
  "type": "keyword",
  "info": "NetEvaluationMode is an option that can be given when applying neural net functions to input data, s"
}, {
  "label": "NetExtract",
  "type": "keyword",
  "info": "NetExtract[layer, \"param\"] extracts the value of a parameter for the specified net layer.NetExtract["
}, {
  "label": "NetFlatten",
  "type": "keyword",
  "info": "NetFlatten[net] collapses nested NetChain and NetGraph objects within net.NetFlatten[net, n] collaps"
}, {
  "label": "NetFoldOperator",
  "type": "keyword",
  "info": "NetFoldOperator[net] represents a net in which net is folded over a sequence of inputs, maintaining "
}, {
  "label": "NetGANOperator",
  "type": "keyword",
  "info": "NetGANOperator[{generator, discriminator}] represents a network to perform generative adversarial ne"
}, {
  "label": "NetGraph",
  "type": "keyword",
  "info": "NetGraph[{layer , layer , â¦}, {m  ï¢ n , m  ï¢ n , â¦}] specifies a neural net defined by a graph in wh"
}, {
  "label": "NetInformation",
  "type": "keyword",
  "info": "NetInformation[net] gives a report about the neural network net.NetInformation[net, \"prop\"] gives th"
}, {
  "label": "NetInitialize",
  "type": "keyword",
  "info": "NetInitialize[net] gives a net in which all uninitialized learnable parameters in net have been give"
}, {
  "label": "NetInsert",
  "type": "keyword",
  "info": "NetInsert[chain, layer, i] inserts a layer into a NetChain before the layer at position i.NetInsert["
}, {
  "label": "NetInsertSharedArrays",
  "type": "keyword",
  "info": "NetInsertSharedArrays[net] converts all ordinary arrays in net into NetSharedArray objects.NetInsert"
}, {
  "label": "NetJoin",
  "type": "keyword",
  "info": "NetJoin[net , net , â¦] connects a series of NetChain or NetGraph objects to form a single NetChain o"
}, {
  "label": "NetMapOperator",
  "type": "keyword",
  "info": "NetMapOperator[net] represents a net in which net is mapped over a sequence of inputs to give a sequ"
}, {
  "label": "NetMapThreadOperator",
  "type": "keyword",
  "info": "NetMapThreadOperator[mapnet] represents a net in which mapnet is mapped over one or more inputs to g"
}, {
  "label": "NetMeasurements",
  "type": "keyword",
  "info": "NetMeasurements[net, data, measurement] computes the requested measurement for the net evaluated on "
}, {
  "label": "NetModel",
  "type": "keyword",
  "info": "NetModel[\"name\"] obtains a neural net model with the specified name from the Neural Net Repository. "
}, {
  "label": "NetNestOperator",
  "type": "keyword",
  "info": "NetNestOperator[net, n] represents a net in which net is applied n times to the input."
}, {
  "label": "NetPairEmbeddingOperator",
  "type": "keyword",
  "info": "NetPairEmbeddingOperator[net] represents a net that takes a pair of arrays, embeds them into a vecto"
}, {
  "label": "NetPort",
  "type": "keyword",
  "info": "NetPort[\"port\"] represents the specified input or output port for a complete net.NetPort[{n, \"port\"}"
}, {
  "label": "NetPortGradient",
  "type": "keyword",
  "info": "NetPortGradient[\"port\"] represents the gradient of the output of a net with respect to the value of "
}, {
  "label": "NetPrepend",
  "type": "keyword",
  "info": "NetPrepend[net, layer] prepends a layer or a net onto a NetChain, a layer or a NetGraph with one inp"
}, {
  "label": "NetRename",
  "type": "keyword",
  "info": "NetRename[net, \"old\" ï¢ \"new\"] gives a net in which the name old for a layer is replaced with new.Net"
}, {
  "label": "NetReplace",
  "type": "keyword",
  "info": "NetReplace[net, patt ï¢ layer] gives a net in which all layers matching patt are replaced with layer."
}, {
  "label": "NetReplacePart",
  "type": "keyword",
  "info": "NetReplacePart[layer, \"array\" ï¢ value] replaces an array within a layer, returning a new layer.NetRe"
}, {
  "label": "NetSharedArray",
  "type": "keyword",
  "info": "NetSharedArray[\"name\"] represents an array in a net that is shared by more than one layer."
}, {
  "label": "NetStateObject",
  "type": "keyword",
  "info": "NetStateObject[net] creates an object derived from net that represents a neural net with additional "
}, {
  "label": "NetTake",
  "type": "keyword",
  "info": "NetTake[net, end] takes only those layers up to end in a NetChain or NetGraph.NetTake[net, {start, e"
}, {
  "label": "NetTrain",
  "type": "keyword",
  "info": "NetTrain[net, {input  ï¢ output , input  ï¢ output , â¦}] trains the specified neural net by giving the"
}, {
  "label": "NetTrainResultsObject",
  "type": "keyword",
  "info": "NetTrainResultsObject[â¦] represents an object generated by NetTrain that contains the trained net an"
}, {
  "label": "NetUnfold",
  "type": "keyword",
  "info": "NetUnfold[fnet] produces the elementary net of the folded net fnet, exposing the recurrent states."
}, {
  "label": "NetworkPacketCapture",
  "type": "keyword",
  "info": "NetworkPacketCapture[] creates a temporary interactive interface for capturing information on networ"
}, {
  "label": "NetworkPacketRecording",
  "type": "keyword",
  "info": "NetworkPacketRecording[t] records information on network packets transmitted or received through all"
}, {
  "label": "NetworkPacketRecordingDuring",
  "type": "keyword",
  "info": "System`NetworkPacketRecordingDuring"
}, {
  "label": "NetworkPacketTrace",
  "type": "keyword",
  "info": "NetworkPacketTrace[expr] evaluates expr and returns information on network packets transmitted or re"
}, {
  "label": "NeumannValue",
  "type": "keyword",
  "info": "NeumannValue[val, pred] represents a Neumann boundary value val, specified on the part of the bounda"
}, {
  "label": "NevilleThetaC",
  "type": "keyword",
  "info": "NevilleThetaC[z, m] gives the Neville theta function Ï  (z ï\.b2 m). \n                                  "
}, {
  "label": "NevilleThetaD",
  "type": "keyword",
  "info": "NevilleThetaD[z, m] gives the Neville theta function Ï  (z ï\.b2 m). \n                                  "
}, {
  "label": "NevilleThetaN",
  "type": "keyword",
  "info": "NevilleThetaN[z, m] gives the Neville theta function Ï  (z ï\.b2 m). \n                                  "
}, {
  "label": "NevilleThetaS",
  "type": "keyword",
  "info": "NevilleThetaS[z, m] gives the Neville theta function Ï  (z ï\.b2 m). \n                                  "
}, {
  "label": "NewPrimitiveStyle",
  "type": "keyword",
  "info": "System`NewPrimitiveStyle"
}, {
  "label": "NExpectation",
  "type": "keyword",
  "info": "NExpectation[expr, x ï dist] gives the numerical expectation of expr under the assumption that x fol"
}, {
  "label": "Next",
  "type": "keyword",
  "info": "System`Next"
}, {
  "label": "NextCell",
  "type": "keyword",
  "info": "NextCell[] returns the CellObject corresponding to the cell directly below the currently evaluating "
}, {
  "label": "NextDate",
  "type": "keyword",
  "info": "NextDate[gran] gives the next occurring date of the specified granularity type gran.NextDate[daytype"
}, {
  "label": "NextPrime",
  "type": "keyword",
  "info": "                                                                          th\nNextPrime[x] gives the "
}, {
  "label": "NextScheduledTaskTime",
  "type": "keyword",
  "info": "NextScheduledTaskTime[obj] gives the next execution time of the scheduled task represented by obj."
}, {
  "label": "NeymanScottPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "NHoldAll",
  "type": "keyword",
  "info": "NHoldAll is an attribute which specifies that none of the arguments to a function should be affected"
}, {
  "label": "NHoldFirst",
  "type": "keyword",
  "info": "NHoldFirst is an attribute which specifies that the first argument to a function should not be affec"
}, {
  "label": "NHoldRest",
  "type": "keyword",
  "info": "NHoldRest is an attribute which specifies that all but the first argument to a function should not b"
}, {
  "label": "NicholsGridLines",
  "type": "keyword",
  "info": "NicholsGridLines is an option to NicholsPlot that specifies contours of constant magnitude and const"
}, {
  "label": "NicholsPlot",
  "type": "keyword",
  "info": "NicholsPlot[lsys] generates a Nichols plot of the transfer function for the system lsys.NicholsPlot["
}, {
  "label": "NightHemisphere",
  "type": "keyword",
  "info": "NightHemisphere[] is a two-dimensional GeoGraphics primitive that represents the half of the Earth c"
}, {
  "label": "NIntegrate",
  "type": "keyword",
  "info": "                                                                                x                   "
}, {
  "label": "NMaximize",
  "type": "keyword",
  "info": "NMaximize[f, x] maximizes f numerically with respect to x.NMaximize[f, {x, y, â¦}] maximizes f numeri"
}, {
  "label": "NMaxValue",
  "type": "keyword",
  "info": "NMaxValue[f, x] gives the maximum value of f with respect to x.NMaxValue[f, {x, y, â¦}] gives the max"
}, {
  "label": "NMinimize",
  "type": "keyword",
  "info": "NMinimize[f, x] minimizes f numerically with respect to x.NMinimize[f, {x, y, â¦}] minimizes f numeri"
}, {
  "label": "NMinValue",
  "type": "keyword",
  "info": "NMinValue[f, x] gives the minimum value of f with respect to x.NMinValue[f, {x, y, â¦}] gives the min"
}, {
  "label": "NominalVariables",
  "type": "keyword",
  "info": "NominalVariables is an option for statistical functions such as LinearModelFit that specifies which "
}, {
  "label": "NonAssociative",
  "type": "keyword",
  "info": "NonAssociative is a symbol that represents a non-associative operator in formatting functions."
}, {
  "label": "NoncentralBetaDistribution",
  "type": "keyword",
  "info": "NoncentralBetaDistribution[Î\\[PlusMinus], Î\.b2, Î\.b4] represents a noncentral beta distribution with shape parameters "
}, {
  "label": "NoncentralChiSquareDistribution",
  "type": "keyword",
  "info": "                                                               2\nNoncentralChiSquareDistribution[Î½, "
}, {
  "label": "NoncentralFRatioDistribution",
  "type": "keyword",
  "info": "NoncentralFRatioDistribution[n, m, Î»] represents a noncentral F-ratio distribution with n numerator "
}, {
  "label": "NoncentralStudentTDistribution",
  "type": "keyword",
  "info": "NoncentralStudentTDistribution[Î½, Î\.b4] represents a noncentral Student t distribution with Î½ degrees o"
}, {
  "label": "NonCommutativeMultiply",
  "type": "keyword",
  "info": "a ** b ** c is a general associative, but nonâcommutative, form of multiplication. "
}, {
  "label": "NonConstants",
  "type": "keyword",
  "info": "NonConstants is an option for D which gives a list of objects to be taken to depend implicitly on th"
}, {
  "label": "NondimensionalizationTransform",
  "type": "keyword",
  "info": "NondimensionalizationTransform[eq, ovars, fvars] nondimensionalizes eq, replacing original variables"
}, {
  "label": "None",
  "type": "keyword",
  "info": "None is a setting used for certain options. "
}, {
  "label": "NoneTrue",
  "type": "keyword",
  "info": "NoneTrue[{e , e , â¦}, test] yields True if test[e ] is False for all of the e .NoneTrue[expr, test, "
}, {
  "label": "NonlinearModelFit",
  "type": "keyword",
  "info": "NonlinearModelFit[{y , y , â¦}, form, {Î\.b2 , â¦}, x] constructs a nonlinear model with structure form th"
}, {
  "label": "NonlinearStateSpaceModel",
  "type": "keyword",
  "info": "NonlinearStateSpaceModel[{f, g}, x, u] represents the model x ' (t) ï\\[PlusMinus] f(x(t), u(t)), y(t) ï\\[PlusMinus] g(x(t), "
}, {
  "label": "NonlocalMeansFilter",
  "type": "keyword",
  "info": "NonlocalMeansFilter[image, r] applies a nonlocal means filter to image by comparing a range r neighb"
}, {
  "label": "NonNegative",
  "type": "keyword",
  "info": "NonNegative[x] gives True if x is a nonânegative number. "
}, {
  "label": "NonNegativeIntegers",
  "type": "keyword",
  "info": "NonNegativeIntegers represents the domain of non-negative integers, as in x â NonNegativeIntegers. "
}, {
  "label": "NonNegativeRationals",
  "type": "keyword",
  "info": "NonNegativeRationals represents the domain of non-negative rational numbers, as in x â NonNegativeRa"
}, {
  "label": "NonNegativeReals",
  "type": "keyword",
  "info": "NonNegativeReals represents the domain of non-negative real numbers."
}, {
  "label": "NonPositive",
  "type": "keyword",
  "info": "NonPositive[x] gives True if x is a nonâpositive number. "
}, {
  "label": "NonPositiveIntegers",
  "type": "keyword",
  "info": "NonPositiveIntegers represents the domain of non-positive integers, as in x â NonPositiveIntegers. "
}, {
  "label": "NonPositiveRationals",
  "type": "keyword",
  "info": "NonPositiveRationals represents the domain of non-positive rational numbers, as in x â NonPositiveRa"
}, {
  "label": "NonPositiveReals",
  "type": "keyword",
  "info": "NonPositiveReals represents the domain of non-positive real numbers."
}, {
  "label": "Nor",
  "type": "keyword",
  "info": "Nor[e , e , â¦] is the logical NOR function. It evaluates its arguments in order, giving False immedi"
}, {
  "label": "NorlundB",
  "type": "keyword",
  "info": "                                          (a)                                                       "
}, {
  "label": "Norm",
  "type": "keyword",
  "info": "Norm[expr] gives the norm of a number, vector, or matrix. Norm[expr, p] gives the pânorm. \n"
}, {
  "label": "Normal",
  "type": "keyword",
  "info": "Normal[expr] converts expr to a normal expression from a variety of special forms. Normal[expr, h] c"
}, {
  "label": "NormalDistribution",
  "type": "keyword",
  "info": "NormalDistribution[Î¼, Ï] represents a normal (Gaussian) distribution with mean Î¼ and standard deviat"
}, {
  "label": "NormalGrouping",
  "type": "keyword",
  "info": "System`NormalGrouping"
}, {
  "label": "NormalizationLayer",
  "type": "keyword",
  "info": "NormalizationLayer[] represents a trainable net layer that normalizes its input data across the seco"
}, {
  "label": "Normalize",
  "type": "keyword",
  "info": "Normalize[v] gives the normalized form of a vector v. Normalize[z] gives the normalized form of a co"
}, {
  "label": "Normalized",
  "type": "keyword",
  "info": "Normalized is an option that determines whether to test if matrix rows are normalized."
}, {
  "label": "NormalizedSquaredEuclideanDistance",
  "type": "keyword",
  "info": "NormalizedSquaredEuclideanDistance[u, v] gives the normalized squared Euclidean distance between vec"
}, {
  "label": "NormalMatrixQ",
  "type": "keyword",
  "info": "NormalMatrixQ[m] gives True if m is an explicitly normal matrix, and False otherwise."
}, {
  "label": "NormalsFunction",
  "type": "keyword",
  "info": "NormalsFunction is an option for Plot3D and related functions that specifies a function to apply to "
}, {
  "label": "NormFunction",
  "type": "keyword",
  "info": "NormFunction is an option for functions such as FindFit and NDSolve which gives a function to be min"
}, {
  "label": "Not",
  "type": "keyword",
  "info": "! expr is the logical NOT function. It gives False if expr is True, and True if it is False. "
}, {
  "label": "NotCongruent",
  "type": "keyword",
  "info": "NotCongruent[x, y, â¦] displays as x â¢ y â¢ â¦."
}, {
  "label": "NotCupCap",
  "type": "keyword",
  "info": "NotCupCap[x, y, â¦] displays as x â­ y â­ â¦."
}, {
  "label": "NotDoubleVerticalBar",
  "type": "keyword",
  "info": "NotDoubleVerticalBar[x, y, â¦] displays as x â¦ y â¦ â¦."
}, {
  "label": "Notebook",
  "type": "keyword",
  "info": "Notebook[{cell , cell , â¦}] is the lowâlevel construct that represents a notebook manipulated by the"
}, {
  "label": "NotebookApply",
  "type": "keyword",
  "info": "NotebookApply[notebook, data] writes data into a notebook at the current selection, replacing the fi"
}, {
  "label": "NotebookAutoSave",
  "type": "keyword",
  "info": "NotebookAutoSave is a notebook option that specifies whether the notebook should automatically be sa"
}, {
  "label": "NotebookBrowseDirectory",
  "type": "keyword",
  "info": "NotebookBrowseDirectory is a global option that determines the current working directory."
}, {
  "label": "NotebookClose",
  "type": "keyword",
  "info": "NotebookClose[notebook] closes the notebook corresponding to the specified notebook object. Notebook"
}, {
  "label": "NotebookConvertSettings",
  "type": "keyword",
  "info": "NotebookConvertSettings is a global option that specifies settings for converting imported legacy no"
}, {
  "label": "NotebookCreate",
  "type": "keyword",
  "info": "NotebookCreate[] creates a new open notebook in the front end. NotebookCreate[options] sets up the s"
}, {
  "label": "NotebookCreateReturnObject",
  "type": "keyword",
  "info": "System`NotebookCreateReturnObject"
}, {
  "label": "NotebookDefault",
  "type": "keyword",
  "info": "System`NotebookDefault"
}, {
  "label": "NotebookDelete",
  "type": "keyword",
  "info": "NotebookDelete[notebook] deletes the current selection in the notebook corresponding to the specifie"
}, {
  "label": "NotebookDirectory",
  "type": "keyword",
  "info": "NotebookDirectory[] gives the directory of the current evaluation notebook. NotebookDirectory[nb] gi"
}, {
  "label": "NotebookDynamicExpression",
  "type": "keyword",
  "info": "NotebookDynamicExpression is an option for notebooks that specifies an expression to be dynamically "
}, {
  "label": "NotebookEvaluate",
  "type": "keyword",
  "info": "NotebookEvaluate[notebook] evaluates all the evaluatable cells in notebook."
}, {
  "label": "NotebookEventActions",
  "type": "keyword",
  "info": "NotebookEventActions is a notebook option that gives a list of actions to perform when specified eve"
}, {
  "label": "NotebookFileName",
  "type": "keyword",
  "info": "NotebookFileName[] gives the file name of the current evaluation notebook. NotebookFileName[nb] give"
}, {
  "label": "NotebookFind",
  "type": "keyword",
  "info": "NotebookFind[obj, data] sets the current selection in the specified notebook object to be the next o"
}, {
  "label": "NotebookFindReturnObject",
  "type": "keyword",
  "info": "System`NotebookFindReturnObject"
}, {
  "label": "NotebookGet",
  "type": "keyword",
  "info": "NotebookGet[obj] gets the raw expression corresponding to the notebook represented by the notebook o"
}, {
  "label": "NotebookGetLayoutInformationPacket",
  "type": "keyword",
  "info": "System`NotebookGetLayoutInformationPacket"
}, {
  "label": "NotebookGetMisspellingsPacket",
  "type": "keyword",
  "info": "System`NotebookGetMisspellingsPacket"
}, {
  "label": "NotebookImport",
  "type": "keyword",
  "info": "NotebookImport[notebook, style] imports cells with the given cell style from the specified notebook."
}, {
  "label": "NotebookInformation",
  "type": "keyword",
  "info": "NotebookInformation[] gives a list of properties of the current evaluation notebook.NotebookInformat"
}, {
  "label": "NotebookInterfaceObject",
  "type": "keyword",
  "info": "System`NotebookInterfaceObject"
}, {
  "label": "NotebookLocate",
  "type": "keyword",
  "info": "NotebookLocate[\"tag\"] locates all cells with the specified tag in your current input notebook, selec"
}, {
  "label": "NotebookObject",
  "type": "keyword",
  "info": "NotebookObject[id] is an object that represents an open notebook in the front end. "
}, {
  "label": "NotebookOpen",
  "type": "keyword",
  "info": "NotebookOpen[\"name\"] opens an existing notebook with the specified name, returning the corresponding"
}, {
  "label": "NotebookOpenReturnObject",
  "type": "keyword",
  "info": "System`NotebookOpenReturnObject"
}, {
  "label": "NotebookPath",
  "type": "keyword",
  "info": "NotebookPath is a global option that determines which directories are searched when a specified note"
}, {
  "label": "NotebookPrint",
  "type": "keyword",
  "info": "NotebookPrint[expr] sends a notebook containing expr to your default printer.NotebookPrint[notebook]"
}, {
  "label": "NotebookPut",
  "type": "keyword",
  "info": "NotebookPut[expr] creates a notebook corresponding to expr and makes it the currently selected noteb"
}, {
  "label": "NotebookPutReturnObject",
  "type": "keyword",
  "info": "System`NotebookPutReturnObject"
}, {
  "label": "NotebookRead",
  "type": "keyword",
  "info": "NotebookRead[notebook] gives the expression corresponding to the current selection in the specified "
}, {
  "label": "NotebookResetGeneratedCells",
  "type": "keyword",
  "info": "System`NotebookResetGeneratedCells"
}, {
  "label": "Notebooks",
  "type": "keyword",
  "info": "Notebooks[] gives a list of notebooks currently open in the front end."
}, {
  "label": "NotebookSave",
  "type": "keyword",
  "info": "NotebookSave[notebook] saves the current version of the specified notebook. NotebookSave[notebook, \""
}, {
  "label": "NotebookSaveAs",
  "type": "keyword",
  "info": "System`NotebookSaveAs"
}, {
  "label": "NotebookSelection",
  "type": "keyword",
  "info": "NotebookSelection[] represents the current selection in the current evaluation notebook in the front"
}, {
  "label": "NotebookSetupLayoutInformationPacket",
  "type": "keyword",
  "info": "System`NotebookSetupLayoutInformationPacket"
}, {
  "label": "NotebooksMenu",
  "type": "keyword",
  "info": "NotebooksMenu is a global option that specifies which recently opened notebooks are listed under the"
}, {
  "label": "NotebookTemplate",
  "type": "keyword",
  "info": "NotebookTemplate[nb] yields a TemplateObject that represents a notebook template to be applied using"
}, {
  "label": "NotebookWrite",
  "type": "keyword",
  "info": "NotebookWrite[notebook, data] writes data into a notebook at the current selection, setting the curr"
}, {
  "label": "NotElement",
  "type": "keyword",
  "info": "NotElement[x, dom] or x â dom asserts that x is not an element of the domain dom.NotElement[x  | â¦ |"
}, {
  "label": "NotEqualTilde",
  "type": "keyword",
  "info": "NotEqualTilde[x, y, â¦] displays as x ï y ï â¦."
}, {
  "label": "NotExists",
  "type": "keyword",
  "info": "NotExists[x, y] displays as â  y.\n                             x"
}, {
  "label": "NotGreater",
  "type": "keyword",
  "info": "NotGreater[x, y, â¦] displays as x â¯ y â¯ â¦."
}, {
  "label": "NotGreaterEqual",
  "type": "keyword",
  "info": "NotGreaterEqual[x, y, â¦] displays as x â\\[PlusMinus] y â\\[PlusMinus] â¦."
}, {
  "label": "NotGreaterFullEqual",
  "type": "keyword",
  "info": "NotGreaterFullEqual[x, y, â¦] displays as x â© y â© â¦."
}, {
  "label": "NotGreaterGreater",
  "type": "keyword",
  "info": "NotGreaterGreater[x, y, â¦] displays as x ï§ y ï§ â¦."
}, {
  "label": "NotGreaterLess",
  "type": "keyword",
  "info": "NotGreaterLess[x, y, â¦] displays as x â¹ y â¹ â¦."
}, {
  "label": "NotGreaterSlantEqual",
  "type": "keyword",
  "info": "NotGreaterSlantEqual[x, y, â¦] displays as x ï© y ï© â¦."
}, {
  "label": "NotGreaterTilde",
  "type": "keyword",
  "info": "NotGreaterTilde[x, y, â¦] displays as x â\\[Micro] y â\\[Micro] â¦."
}, {
  "label": "Nothing",
  "type": "keyword",
  "info": "Nothing represents an element of a list that will automatically be removed. Nothing[â¦] gives Nothing"
}, {
  "label": "NotHumpDownHump",
  "type": "keyword",
  "info": "NotHumpDownHump[x, y, â¦] displays as x ï y ï â¦."
}, {
  "label": "NotHumpEqual",
  "type": "keyword",
  "info": "NotHumpEqual[x, y, â¦] displays as x ï y ï â¦."
}, {
  "label": "NotificationFunction",
  "type": "keyword",
  "info": "NotificationFunction is an option that specifies how notifications should be sent from background ta"
}, {
  "label": "NotLeftTriangle",
  "type": "keyword",
  "info": "NotLeftTriangle[x, y, â¦] displays as x âª y âª â¦."
}, {
  "label": "NotLeftTriangleBar",
  "type": "keyword",
  "info": "NotLeftTriangleBar[x, y, â¦] displays as x ï y ï â¦."
}, {
  "label": "NotLeftTriangleEqual",
  "type": "keyword",
  "info": "NotLeftTriangleEqual[x, y, â¦] displays as x â\\[Not] y â\\[Not] â¦."
}, {
  "label": "NotLess",
  "type": "keyword",
  "info": "NotLess[x, y, â¦] displays as x â® y â® â¦."
}, {
  "label": "NotLessEqual",
  "type": "keyword",
  "info": "NotLessEqual[x, y, â¦] displays as x â\\[Degree] y â\\[Degree] â¦."
}, {
  "label": "NotLessFullEqual",
  "type": "keyword",
  "info": "NotLessFullEqual[x, y, â¦] displays as x â¨ y â¨ â¦."
}, {
  "label": "NotLessGreater",
  "type": "keyword",
  "info": "NotLessGreater[x, y, â¦] displays as x â¸ y â¸ â¦."
}, {
  "label": "NotLessLess",
  "type": "keyword",
  "info": "NotLessLess[x, y, â¦] displays as x ï¢ y ï¢ â¦."
}, {
  "label": "NotLessSlantEqual",
  "type": "keyword",
  "info": "NotLessSlantEqual[x, y, â¦] displays as x ï¤ y ï¤ â¦."
}, {
  "label": "NotLessTilde",
  "type": "keyword",
  "info": "NotLessTilde[x, y, â¦] displays as x â\.b4 y â\.b4 â¦."
}, {
  "label": "NotNestedGreaterGreater",
  "type": "keyword",
  "info": "NotNestedGreaterGreater[x, y, â¦] displays as x ï¨ y ï¨ â¦."
}, {
  "label": "NotNestedLessLess",
  "type": "keyword",
  "info": "NotNestedLessLess[x, y, â¦] displays as x ï£ y ï£ â¦."
}, {
  "label": "NotPrecedes",
  "type": "keyword",
  "info": "NotPrecedes[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotPrecedesEqual",
  "type": "keyword",
  "info": "NotPrecedesEqual[x, y, â¦] displays as x ï« y ï« â¦."
}, {
  "label": "NotPrecedesSlantEqual",
  "type": "keyword",
  "info": "NotPrecedesSlantEqual[x, y, â¦] displays as x â  y â  â¦."
}, {
  "label": "NotPrecedesTilde",
  "type": "keyword",
  "info": "NotPrecedesTilde[x, y, â¦] displays as x â¨ y â¨ â¦."
}, {
  "label": "NotReverseElement",
  "type": "keyword",
  "info": "NotReverseElement[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotRightTriangle",
  "type": "keyword",
  "info": "NotRightTriangle[x, y, â¦] displays as x â« y â« â¦."
}, {
  "label": "NotRightTriangleBar",
  "type": "keyword",
  "info": "NotRightTriangleBar[x, y, â¦] displays as x ï y ï â¦."
}, {
  "label": "NotRightTriangleEqual",
  "type": "keyword",
  "info": "NotRightTriangleEqual[x, y, â¦] displays as x â­ y â­ â¦."
}, {
  "label": "NotSquareSubset",
  "type": "keyword",
  "info": "NotSquareSubset[x, y, â¦] displays as x ï® y ï® â¦."
}, {
  "label": "NotSquareSubsetEqual",
  "type": "keyword",
  "info": "NotSquareSubsetEqual[x, y, â¦] displays as x â¢ y â¢ â¦."
}, {
  "label": "NotSquareSuperset",
  "type": "keyword",
  "info": "NotSquareSuperset[x, y, â¦] displays as x ï¯ y ï¯ â¦."
}, {
  "label": "NotSquareSupersetEqual",
  "type": "keyword",
  "info": "NotSquareSupersetEqual[x, y, â¦] displays as x â£ y â£ â¦."
}, {
  "label": "NotSubset",
  "type": "keyword",
  "info": "NotSubset[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotSubsetEqual",
  "type": "keyword",
  "info": "NotSubsetEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotSucceeds",
  "type": "keyword",
  "info": "NotSucceeds[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotSucceedsEqual",
  "type": "keyword",
  "info": "NotSucceedsEqual[x, y, â¦] displays as x ï­ y ï­ â¦."
}, {
  "label": "NotSucceedsSlantEqual",
  "type": "keyword",
  "info": "NotSucceedsSlantEqual[x, y, â¦] displays as x â¡ y â¡ â¦."
}, {
  "label": "NotSucceedsTilde",
  "type": "keyword",
  "info": "NotSucceedsTilde[x, y, â¦] displays as x â© y â© â¦."
}, {
  "label": "NotSuperset",
  "type": "keyword",
  "info": "NotSuperset[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotSupersetEqual",
  "type": "keyword",
  "info": "NotSupersetEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotTilde",
  "type": "keyword",
  "info": "NotTilde[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotTildeEqual",
  "type": "keyword",
  "info": "NotTildeEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotTildeFullEqual",
  "type": "keyword",
  "info": "NotTildeFullEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotTildeTilde",
  "type": "keyword",
  "info": "NotTildeTilde[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "NotVerticalBar",
  "type": "keyword",
  "info": "NotVerticalBar[x, y, â¦] displays as x ï y ï â¦."
}, {
  "label": "Now",
  "type": "keyword",
  "info": "Now gives a DateObject representing the current moment in time."
}, {
  "label": "NoWhitespace",
  "type": "keyword",
  "info": "NoWhitespace represents the absence of whitespace between elements in a grammar rules pattern."
}, {
  "label": "NProbability",
  "type": "keyword",
  "info": "NProbability[pred, x ï dist] gives the numerical probability for an event that satisfies the predica"
}, {
  "label": "NProduct",
  "type": "keyword",
  "info": "                                                                              i\n                    "
}, {
  "label": "NProductFactors",
  "type": "keyword",
  "info": "NProductFactors is an option for NProduct. NProductFactors -> n explicitly includes n factors in the"
}, {
  "label": "NRoots",
  "type": "keyword",
  "info": "NRoots[lhs == rhs, var] yields a disjunction of equations which represent numerical approximations t"
}, {
  "label": "NSolve",
  "type": "keyword",
  "info": "NSolve[expr, vars] attempts to find numerical approximations to the solutions of the system expr of "
}, {
  "label": "NSolveValues",
  "type": "keyword",
  "info": "NSolveValues[expr, vars] attempts to find numerical approximations to the values of vars determined "
}, {
  "label": "NSum",
  "type": "keyword",
  "info": "                                                                      i\n                            "
}, {
  "label": "NSumTerms",
  "type": "keyword",
  "info": "NSumTerms is an option for NSum. NSumTerms -> n explicitly includes n terms in the sum before extrap"
}, {
  "label": "NuclearExplosionData",
  "type": "keyword",
  "info": "NuclearExplosionData[entity, property] gives the value of the specified property for the nuclear exp"
}, {
  "label": "NuclearReactorData",
  "type": "keyword",
  "info": "NuclearReactorData[entity, property] gives the value of the specified property for the nuclear react"
}, {
  "label": "Null",
  "type": "keyword",
  "info": "Null is a symbol used to indicate the absence of an expression or a result. It is not displayed in o"
}, {
  "label": "NullRecords",
  "type": "keyword",
  "info": "NullRecords is an option for Read and related functions which specifies whether null records should "
}, {
  "label": "NullSpace",
  "type": "keyword",
  "info": "NullSpace[m] gives a list of vectors that forms a basis for the null space of the matrix m. "
}, {
  "label": "NullWords",
  "type": "keyword",
  "info": "NullWords is an option for Read and related functions which specifies whether null words should be t"
}, {
  "label": "Number",
  "type": "keyword",
  "info": "Number represents an exact integer or an approximate real number in Read. "
}, {
  "label": "NumberCompose",
  "type": "keyword",
  "info": "NumberCompose[{c , â¦, c }, {u , â¦, u }] returns the quantity c  u  + â¦ + c  u .\n                1   "
}, {
  "label": "NumberDecompose",
  "type": "keyword",
  "info": "NumberDecompose[x, {u , â¦, u }] returns a list of coefficients {c , â¦, c } of a decomposition of the"
}, {
  "label": "NumberDigit",
  "type": "keyword",
  "info": "                                                       n                                            "
}, {
  "label": "NumberExpand",
  "type": "keyword",
  "info": "NumberExpand[x] gives a list of the decimal digits of x multiplied by their corresponding powers of "
}, {
  "label": "NumberFieldClassNumber",
  "type": "keyword",
  "info": "NumberFieldClassNumber[Î¸] gives the class number for the algebraic number field ï\.b4[Î¸] generated by Î¸."
}, {
  "label": "NumberFieldDiscriminant",
  "type": "keyword",
  "info": "NumberFieldDiscriminant[a] gives the discriminant of the field ï\.b4[a] generated by the algebraic numbe"
}, {
  "label": "NumberFieldFundamentalUnits",
  "type": "keyword",
  "info": "NumberFieldFundamentalUnits[a] gives a list of fundamental units for the field ï\.b4[a] generated by the"
}, {
  "label": "NumberFieldIntegralBasis",
  "type": "keyword",
  "info": "NumberFieldIntegralBasis[a] gives an integral basis for the field ï\.b4[a] generated by the algebraic nu"
}, {
  "label": "NumberFieldNormRepresentatives",
  "type": "keyword",
  "info": "NumberFieldNormRepresentatives[a, m] gives a list of representatives of classes of algebraic integer"
}, {
  "label": "NumberFieldRegulator",
  "type": "keyword",
  "info": "NumberFieldRegulator[a] gives the regulator of the field ï\.b4[a] generated by the algebraic number a."
}, {
  "label": "NumberFieldRootsOfUnity",
  "type": "keyword",
  "info": "NumberFieldRootsOfUnity[a] gives the roots of unity for the field ï\.b4[a] generated by the algebraic nu"
}, {
  "label": "NumberFieldSignature",
  "type": "keyword",
  "info": "NumberFieldSignature[a] gives the signature of the field ï\.b4[a] generated by the algebraic number a."
}, {
  "label": "NumberForm",
  "type": "keyword",
  "info": "NumberForm[expr, n] prints with approximate real numbers in expr given to nâdigit precision. NumberF"
}, {
  "label": "NumberFormat",
  "type": "keyword",
  "info": "NumberFormat is an option for NumberForm and related functions that specifies how the mantissa, base"
}, {
  "label": "NumberLinePlot",
  "type": "keyword",
  "info": "NumberLinePlot[{v , v , â¦}] plots the values v  on a number line.NumberLinePlot[pred, x] plots a num"
}, {
  "label": "NumberMarks",
  "type": "keyword",
  "info": "NumberMarks is an option for InputForm and related functions that specifies whether ` marks should b"
}, {
  "label": "NumberMultiplier",
  "type": "keyword",
  "info": "NumberMultiplier is an option for NumberForm and related functions which gives the string to use as "
}, {
  "label": "NumberPadding",
  "type": "keyword",
  "info": "NumberPadding is an option for NumberForm and related functions which gives strings to use as paddin"
}, {
  "label": "NumberPoint",
  "type": "keyword",
  "info": "NumberPoint is an option for NumberForm and related functions that gives the string to use as a deci"
}, {
  "label": "NumberQ",
  "type": "keyword",
  "info": "NumberQ[expr] gives True if expr is a number, and False otherwise. "
}, {
  "label": "NumberSeparator",
  "type": "keyword",
  "info": "NumberSeparator is an option for NumberForm and related functions that gives the string to insert at"
}, {
  "label": "NumberSigns",
  "type": "keyword",
  "info": "NumberSigns is an option for NumberForm and related functions which gives strings to use as signs fo"
}, {
  "label": "NumberString",
  "type": "keyword",
  "info": "NumberString represents the characters of a number in StringExpression."
}, {
  "label": "Numerator",
  "type": "keyword",
  "info": "Numerator[expr] gives the numerator of expr. "
}, {
  "label": "NumeratorDenominator",
  "type": "keyword",
  "info": "NumeratorDenominator[expr] gives the list {Numerator[expr], Denominator[expr]} of expr."
}, {
  "label": "NumericalOrder",
  "type": "keyword",
  "info": "NumericalOrder[e , e ] gives 1 if e  < e , -1 if e  > e , 0 if e  and e  are identical or numericall"
}, {
  "label": "NumericalSort",
  "type": "keyword",
  "info": "NumericalSort[list] sorts the elements of list into numerical order."
}, {
  "label": "NumericArray",
  "type": "keyword",
  "info": "NumericArray[array, type] creates a numeric array of the specified type.NumericArray[array, type, me"
}, {
  "label": "NumericArrayQ",
  "type": "keyword",
  "info": "NumericArrayQ[expr] gives True if expr is a valid NumericArray object, and False otherwise.NumericAr"
}, {
  "label": "NumericArrayType",
  "type": "keyword",
  "info": "NumericArrayType[array] gives the underlying type of values used for each element in the NumericArra"
}, {
  "label": "NumericFunction",
  "type": "keyword",
  "info": "NumericFunction is an attribute that can be assigned to a symbol f to indicate that f[arg , arg , â¦]"
}, {
  "label": "NumericQ",
  "type": "keyword",
  "info": "NumericQ[expr] gives True if expr is a numeric quantity, and False otherwise. "
}, {
  "label": "NuttallWindow",
  "type": "keyword",
  "info": "NuttallWindow[x] represents a Nuttall window function of x."
}, {
  "label": "NValues",
  "type": "keyword",
  "info": "NValues[f] gives a list of transformation rules corresponding to all numerical values (values for N["
}, {
  "label": "NyquistGridLines",
  "type": "keyword",
  "info": "NyquistGridLines is an option to NyquistPlot that specifies contours of constant magnitude and phase"
}, {
  "label": "NyquistPlot",
  "type": "keyword",
  "info": "NyquistPlot[lsys] generates a Nyquist plot of the transfer function for the system lsys.NyquistPlot["
}, {
  "label": "O",
  "type": "keyword",
  "info": "                                   n                                                                "
}, {
  "label": "ObjectExistsQ",
  "type": "keyword",
  "info": "ObjectExistsQ gives True if the object exists and False otherwise."
}, {
  "label": "ObservabilityGramian",
  "type": "keyword",
  "info": "ObservabilityGramian[ssm] gives the observability Gramian of the state-space model ssm."
}, {
  "label": "ObservabilityMatrix",
  "type": "keyword",
  "info": "ObservabilityMatrix[ssm] gives the observability matrix of the state-space model ssm."
}, {
  "label": "ObservableDecomposition",
  "type": "keyword",
  "info": "ObservableDecomposition[sys] yields the observable subsystem of the system sys.ObservableDecompositi"
}, {
  "label": "ObservableModelQ",
  "type": "keyword",
  "info": "ObservableModelQ[sys] gives True if the system sys is observable, and False otherwise.ObservableMode"
}, {
  "label": "OceanData",
  "type": "keyword",
  "info": "OceanData[entity, property] gives the value of the specified property for the ocean entity.OceanData"
}, {
  "label": "Octahedron",
  "type": "keyword",
  "info": "Octahedron[] represents a regular octahedron centered at the origin with unit edge length.Octahedron"
}, {
  "label": "OddQ",
  "type": "keyword",
  "info": "OddQ[expr] gives True if expr is an odd integer, and False otherwise. "
}, {
  "label": "Off",
  "type": "keyword",
  "info": "Off[symbol :: tag] switches off a message, so that it is no longer printed. Off[\"name\"] switches off"
}, {
  "label": "Offset",
  "type": "keyword",
  "info": "Offset[{dx, dy}, position] gives the position of a graphical object obtained by starting at the spec"
}, {
  "label": "OLEData",
  "type": "keyword",
  "info": "System`OLEData"
}, {
  "label": "On",
  "type": "keyword",
  "info": "On[symbol :: tag] switches on a message, so that it can be printed. On[\"name\"] switches on a named g"
}, {
  "label": "ONanGroupON",
  "type": "keyword",
  "info": "ONanGroupON[] represents the sporadic simple O'Nan group O ' N."
}, {
  "label": "Once",
  "type": "keyword",
  "info": "Once[expr] evaluates expr once in each Wolfram Language session, always returning the result from th"
}, {
  "label": "OneIdentity",
  "type": "keyword",
  "info": "OneIdentity is an attribute that can be assigned to a symbol f to indicate that f[x], f[f[x]], etc. "
}, {
  "label": "Opacity",
  "type": "keyword",
  "info": "Opacity[a] is a graphics directive that specifies that graphical objects that follow are to be displ"
}, {
  "label": "OpacityFunction",
  "type": "keyword",
  "info": "OpacityFunction is an option for graphics functions that specifies a function to apply to determine "
}, {
  "label": "OpacityFunctionScaling",
  "type": "keyword",
  "info": "OpacityFunctionScaling is an option to visualization functions such as DensityPlot3D that specifies "
}, {
  "label": "Open",
  "type": "keyword",
  "info": "System`Open"
}, {
  "label": "OpenAppend",
  "type": "keyword",
  "info": "OpenAppend[\"file\"] opens a file to append output to it, and returns an OutputStream object. "
}, {
  "label": "Opener",
  "type": "keyword",
  "info": "Opener[x] represents an opener with setting x, displayed as OpenerBox[True] when x is True and Opene"
}, {
  "label": "OpenerBox",
  "type": "keyword",
  "info": "System`OpenerBox"
}, {
  "label": "OpenerBoxOptions",
  "type": "keyword",
  "info": "OpenerBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for OpenerBox "
}, {
  "label": "OpenerView",
  "type": "keyword",
  "info": "OpenerView[{expr , expr }] represents an object which displays as an opener, together with expr  if "
}, {
  "label": "OpenFunctionInspectorPacket",
  "type": "keyword",
  "info": "System`OpenFunctionInspectorPacket"
}, {
  "label": "Opening",
  "type": "keyword",
  "info": "Opening[image, ker] gives the morphological opening of image with respect to the structuring element"
}, {
  "label": "OpenRead",
  "type": "keyword",
  "info": "OpenRead[\"file\"] opens a file to read data from, and returns an InputStream object."
}, {
  "label": "OpenSpecialOptions",
  "type": "keyword",
  "info": "System`OpenSpecialOptions"
}, {
  "label": "OpenTemporary",
  "type": "keyword",
  "info": "OpenTemporary[] opens a temporary file to which output can be written, and returns an OutputStream o"
}, {
  "label": "OpenWrite",
  "type": "keyword",
  "info": "OpenWrite[\"file\"] opens a file to write output to it, and returns an OutputStream object. OpenWrite["
}, {
  "label": "Operate",
  "type": "keyword",
  "info": "Operate[p, f[x, y]] gives p[f][x, y]. Operate[p, expr, n] applies p at level n in the head of expr. "
}, {
  "label": "OperatingSystem",
  "type": "keyword",
  "info": "OperatingSystem is an option for file and related operations that specifies the type of operating sy"
}, {
  "label": "OperatorApplied",
  "type": "keyword",
  "info": "OperatorApplied[f, n] represents an operator form of the function f of n arguments so that OperatorA"
}, {
  "label": "OptimumFlowData",
  "type": "keyword",
  "info": "OptimumFlowData[â¦] represents flow data such as generated by FindMaximumFlow, FindMinimumCostFlow, e"
}, {
  "label": "Optional",
  "type": "keyword",
  "info": "patt : def or Optional[patt, def] is a pattern object that represents an expression of the form patt"
}, {
  "label": "OptionalElement",
  "type": "keyword",
  "info": "OptionalElement[patt] is a grammar rules pattern object that represents 0 or 1 instances of patt.Opt"
}, {
  "label": "OptionInspectorSettings",
  "type": "keyword",
  "info": "OptionInspectorSettings is a global option that specifies the display of options in the Option Inspe"
}, {
  "label": "OptionQ",
  "type": "keyword",
  "info": "OptionQ[e] returns True if e can be considered an option or list of options, and False otherwise."
}, {
  "label": "Options",
  "type": "keyword",
  "info": "Options[symbol] gives the list of default options assigned to a symbol. Options[expr] gives the opti"
}, {
  "label": "OptionsPacket",
  "type": "keyword",
  "info": "System`OptionsPacket"
}, {
  "label": "OptionsPattern",
  "type": "keyword",
  "info": "OptionsPattern[] is a pattern object that represents a collection of options given as rules, where t"
}, {
  "label": "OptionValue",
  "type": "keyword",
  "info": "OptionValue[name] gives the value of name in options matched by OptionsPattern. OptionValue[f, name]"
}, {
  "label": "OptionValueBox",
  "type": "keyword",
  "info": "System`OptionValueBox"
}, {
  "label": "OptionValueBoxOptions",
  "type": "keyword",
  "info": "OptionValueBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Optio"
}, {
  "label": "Or",
  "type": "keyword",
  "info": "e  || e  || â¦ is the logical OR function. It evaluates its arguments in order, giving True immediate"
}, {
  "label": "Orange",
  "type": "keyword",
  "info": "Orange represents the color orange in graphics or style specifications. "
}, {
  "label": "Order",
  "type": "keyword",
  "info": "Order[expr , expr ] gives 1 if expr  is before expr  in canonical order, and -1 if expr  is after ex"
}, {
  "label": "OrderDistribution",
  "type": "keyword",
  "info": "                                                 th                                                 "
}, {
  "label": "OrderedQ",
  "type": "keyword",
  "info": "OrderedQ[h[e , e , â¦]] gives True if the e  are in canonical order, and False otherwise.OrderedQ[h[e"
}, {
  "label": "Ordering",
  "type": "keyword",
  "info": "Ordering[list] gives the positions in list at which each successive element of Sort[list] appears. O"
}, {
  "label": "OrderingBy",
  "type": "keyword",
  "info": "OrderingBy[list, f] gives the positions in list at which each successive element of SortBy[list, f] "
}, {
  "label": "OrderingLayer",
  "type": "keyword",
  "info": "OrderingLayer[] represents a net layer that effectively applies Ordering to its input. OrderingLayer"
}, {
  "label": "Orderless",
  "type": "keyword",
  "info": "Orderless is an attribute that can be assigned to a symbol f to indicate that the elements e  in exp"
}, {
  "label": "OrderlessPatternSequence",
  "type": "keyword",
  "info": "OrderlessPatternSequence[p , p , â¦] is a pattern object that represents a sequence of arguments matc"
}, {
  "label": "OrnsteinUhlenbeckProcess",
  "type": "keyword",
  "info": "OrnsteinUhlenbeckProcess[Î¼, Ï, Î¸] represents a stationary OrnsteinâUhlenbeck process with long-term "
}, {
  "label": "Orthogonalize",
  "type": "keyword",
  "info": "Orthogonalize[{v , v , â¦}] gives an orthonormal basis found by orthogonalizing the vectors v .Orthog"
}, {
  "label": "OrthogonalMatrixQ",
  "type": "keyword",
  "info": "OrthogonalMatrixQ[m] gives True if m is an explicitly orthogonal matrix, and False otherwise."
}, {
  "label": "Out",
  "type": "keyword",
  "info": "                                                                                   th               "
}, {
  "label": "Outer",
  "type": "keyword",
  "info": "Outer[f, list , list , â¦] gives the generalized outer product of the list , forming all possible com"
}, {
  "label": "OuterPolygon",
  "type": "keyword",
  "info": "OuterPolygon[poly] gives the outer polygon of the polygon poly."
}, {
  "label": "OuterPolyhedron",
  "type": "keyword",
  "info": "OuterPolyhedron[poly] gives the outer polyhedron of the polyhedron poly."
}, {
  "label": "OutputAutoOverwrite",
  "type": "keyword",
  "info": "OutputAutoOverwrite is an option for notebooks that specifies whether the output of a command should"
}, {
  "label": "OutputControllabilityMatrix",
  "type": "keyword",
  "info": "OutputControllabilityMatrix[ssm] gives the output controllability matrix of the state-space model ss"
}, {
  "label": "OutputControllableModelQ",
  "type": "keyword",
  "info": "OutputControllableModelQ[ssm] gives True if the state-space model ssm is output controllable, and Fa"
}, {
  "label": "OutputForm",
  "type": "keyword",
  "info": "OutputForm[expr] prints as a two-dimensional representation of expr using only keyboard characters. "
}, {
  "label": "OutputFormData",
  "type": "keyword",
  "info": "System`OutputFormData"
}, {
  "label": "OutputGrouping",
  "type": "keyword",
  "info": "System`OutputGrouping"
}, {
  "label": "OutputMathEditExpression",
  "type": "keyword",
  "info": "OutputMathEditExpression is an internal symbol used for formatting."
}, {
  "label": "OutputNamePacket",
  "type": "keyword",
  "info": "OutputNamePacket[string] is a WSTP packet that contains in string the name assigned to the next outp"
}, {
  "label": "OutputPorts",
  "type": "keyword",
  "info": "OutputPorts is an option to specify the number, names or shapes of output ports for some neural net "
}, {
  "label": "OutputResponse",
  "type": "keyword",
  "info": "OutputResponse[sys, u, {t, t   , t   }] gives the numeric output response of systems model sys to th"
}, {
  "label": "OutputSizeLimit",
  "type": "keyword",
  "info": "OutputSizeLimit is an option for notebooks that specifies the maximum size in bytes of expressions t"
}, {
  "label": "OutputStream",
  "type": "keyword",
  "info": "OutputStream[\"name\", n] is an object that represents an output stream for functions such as Write. "
}, {
  "label": "Over",
  "type": "keyword",
  "info": "System`Over"
}, {
  "label": "OverBar",
  "type": "keyword",
  "info": "OverBar[expr] displays with a bar over expr."
}, {
  "label": "OverDot",
  "type": "keyword",
  "info": "OverDot[expr] displays with a dot over expr."
}, {
  "label": "Overflow",
  "type": "keyword",
  "info": "Overflow[] represents a number too large to represent explicitly on your computer system."
}, {
  "label": "OverHat",
  "type": "keyword",
  "info": "OverHat[expr] displays with a hat over expr."
}, {
  "label": "Overlaps",
  "type": "keyword",
  "info": "Overlaps is an option to string and sequence functions that specifies how to treat overlapping subst"
}, {
  "label": "Overlay",
  "type": "keyword",
  "info": "Overlay[{expr , expr , â¦}] displays as an overlay of all the expr .Overlay[{expr , expr , â¦}, {i, j,"
}, {
  "label": "OverlayBox",
  "type": "keyword",
  "info": "System`OverlayBox"
}, {
  "label": "OverlayBoxOptions",
  "type": "keyword",
  "info": "OverlayBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for OverlayBo"
}, {
  "label": "OverlayVideo",
  "type": "keyword",
  "info": "OverlayVideo[background, o] gives the result of overlaying o onto a background video or image backgr"
}, {
  "label": "Overscript",
  "type": "keyword",
  "info": "                                              y\nOverscript[x, y] is an object that formats as x. "
}, {
  "label": "OverscriptBox",
  "type": "keyword",
  "info": "                                                            y\nOverscriptBox[x, y] is the lowâlevel b"
}, {
  "label": "OverscriptBoxOptions",
  "type": "keyword",
  "info": "OverscriptBoxOptions is an option that specifies the style and display of OverscriptBox constructs."
}, {
  "label": "OverTilde",
  "type": "keyword",
  "info": "OverTilde[expr] displays with a tilde over expr."
}, {
  "label": "OverVector",
  "type": "keyword",
  "info": "OverVector[expr] displays with a right vector over expr."
}, {
  "label": "OverwriteTarget",
  "type": "keyword",
  "info": "OverwriteTarget is an option for functions like CopyFile that specifies whether to overwrite if targ"
}, {
  "label": "OwenT",
  "type": "keyword",
  "info": "OwenT[x, a] gives Owen's T function T(x, a)."
}, {
  "label": "OwnValues",
  "type": "keyword",
  "info": "OwnValues[x] gives a list of transformation rules corresponding to all ownvalues defined for the sym"
}, {
  "label": "Package",
  "type": "keyword",
  "info": "System`Package"
}, {
  "label": "PackingMethod",
  "type": "keyword",
  "info": "PackingMethod is an option for GraphPlot and related functions that specifies how disconnected compo"
}, {
  "label": "PackPaclet",
  "type": "keyword",
  "info": "The experimental function PackPaclet is now obsolete and is superseded by CreatePacletArchive."
}, {
  "label": "PacletDataRebuild",
  "type": "keyword",
  "info": "PacletDataRebuild[] rescans all the installed paclets to rebuild the internal cache of paclet data."
}, {
  "label": "PacletDirectoryAdd",
  "type": "keyword",
  "info": "The experimental function PacletDirectoryAdd is now obsolete and is superseded by PacletDirectoryLoa"
}, {
  "label": "PacletDirectoryLoad",
  "type": "keyword",
  "info": "PacletDirectoryLoad[dir] makes paclets in dir visible in the current session.PacletDirectoryLoad[{di"
}, {
  "label": "PacletDirectoryRemove",
  "type": "keyword",
  "info": "StringTemplate[The experimental function `1` is now obsolete and is superseded by `2`., PacletDirect"
}, {
  "label": "PacletDirectoryUnload",
  "type": "keyword",
  "info": "PacletDirectoryUnload[dir] makes paclets in dir no longer visible in the current session.PacletDirec"
}, {
  "label": "PacletDisable",
  "type": "keyword",
  "info": "PacletDisable[paclet] disables an installed paclet."
}, {
  "label": "PacletEnable",
  "type": "keyword",
  "info": "PacletEnable[paclet] enables a previously disabled paclet."
}, {
  "label": "PacletFind",
  "type": "keyword",
  "info": "PacletFind[\"name\"] gives a list of installed paclets that match \"name\".PacletFind[\"name\" ï¢ \"version\""
}, {
  "label": "PacletFindRemote",
  "type": "keyword",
  "info": "PacletFindRemote[\"name\"] gives a list of paclets that match \"name\" available on known paclet sites.P"
}, {
  "label": "PacletInformation",
  "type": "keyword",
  "info": "The experimental function PacletInformation is now obsolete. Use Information[PacletObject[\"pacletnam"
}, {
  "label": "PacletInstall",
  "type": "keyword",
  "info": "PacletInstall[paclet] installs or updates paclet.PacletInstall[task] waits for completion of the tas"
}, {
  "label": "PacletInstallSubmit",
  "type": "keyword",
  "info": "PacletInstallSubmit[paclet] asynchronously installs or updates paclet."
}, {
  "label": "PacletNewerQ",
  "type": "keyword",
  "info": "PacletNewerQ[paclet , paclet ] returns True if paclet  has a higher version number than paclet , and"
}, {
  "label": "PacletObject",
  "type": "keyword",
  "info": "PacletObject[...] is the representation of a paclet in the Wolfram Language."
}, {
  "label": "PacletObjectQ",
  "type": "keyword",
  "info": "PacletObjectQ[expr] returns True or False depending on whether its argument is a PacletObject expres"
}, {
  "label": "PacletSite",
  "type": "keyword",
  "info": "PacletSite is an option for PacletInstall and PacletInstallSubmit that specifies the URL of a paclet"
}, {
  "label": "PacletSiteObject",
  "type": "keyword",
  "info": "PacletSiteObject[assoc] represents a site from which paclets can be automatically downloaded."
}, {
  "label": "PacletSiteRegister",
  "type": "keyword",
  "info": "PacletSiteRegister[url] registers url as a known paclet site.PacletSiteRegister[url, name] registers"
}, {
  "label": "PacletSites",
  "type": "keyword",
  "info": "PacletSites[] gives the list of all paclet sites known to your system."
}, {
  "label": "PacletSiteUnregister",
  "type": "keyword",
  "info": "PacletSiteUnregister[url] removes url from the list of registered paclet sites.PacletSiteUnregister["
}, {
  "label": "PacletSiteUpdate",
  "type": "keyword",
  "info": "PacletSiteUpdate[site] acquires and caches current information about the available paclets on the gi"
}, {
  "label": "PacletSymbol",
  "type": "keyword",
  "info": "PacletSymbol[paclet, \"sym\"] gives the symbol named \"sym\" in the primary context of paclet.PacletSymb"
}, {
  "label": "PacletUninstall",
  "type": "keyword",
  "info": "PacletUninstall[paclet] uninstalls a paclet."
}, {
  "label": "PacletUpdate",
  "type": "keyword",
  "info": "The experimental function PacletUpdate is now obsolete and is superseded by PacletInstall."
}, {
  "label": "PaddedForm",
  "type": "keyword",
  "info": "PaddedForm[expr, n] prints with all numbers in expr padded to leave room for a total of n digits. Pa"
}, {
  "label": "Padding",
  "type": "keyword",
  "info": "Padding is an option to various array and image operations that specifies what padding to use when e"
}, {
  "label": "PaddingLayer",
  "type": "keyword",
  "info": "PaddingLayer[{{m , n }, {m , n }, â¦}] represents a net layer that pads an input array with m  elemen"
}, {
  "label": "PaddingSize",
  "type": "keyword",
  "info": "PaddingSize is an option in AudioDelay and other functions that specifies the amount of padding."
}, {
  "label": "PadeApproximant",
  "type": "keyword",
  "info": "PadeApproximant[expr, {x, x , {m, n}}] gives the PadÃ© approximant to expr about the point x = x , wi"
}, {
  "label": "PadLeft",
  "type": "keyword",
  "info": "PadLeft[list, n] makes a list of length n by padding list with zeros on the left. PadLeft[list, n, x"
}, {
  "label": "PadRight",
  "type": "keyword",
  "info": "PadRight[list, n] makes a list of length n by padding list with zeros on the right. PadRight[list, n"
}, {
  "label": "PageBreakAbove",
  "type": "keyword",
  "info": "PageBreakAbove is an option for Cell which specifies whether a page break should be made immediately"
}, {
  "label": "PageBreakBelow",
  "type": "keyword",
  "info": "PageBreakBelow is an option for Cell which specifies whether a page break should be made immediately"
}, {
  "label": "PageBreakWithin",
  "type": "keyword",
  "info": "PageBreakWithin is an option for Cell which specifies whether a page break should be allowed within "
}, {
  "label": "PageFooterLines",
  "type": "keyword",
  "info": "PageFooterLines is an option for notebooks that specifies whether a horizontal line is inserted at t"
}, {
  "label": "PageFooters",
  "type": "keyword",
  "info": "PageFooters is an option for notebooks that specifies what should be inserted as the footer of each "
}, {
  "label": "PageHeaderLines",
  "type": "keyword",
  "info": "PageHeaderLines is an option for notebooks that specifies whether a horizontal line is inserted at t"
}, {
  "label": "PageHeaders",
  "type": "keyword",
  "info": "PageHeaders is an option for notebooks that specifies what should be inserted as the header of each "
}, {
  "label": "PageHeight",
  "type": "keyword",
  "info": "System`PageHeight"
}, {
  "label": "PageRankCentrality",
  "type": "keyword",
  "info": "PageRankCentrality[g, Î\\[PlusMinus]] gives a list of page-rank centralities for the vertices in the graph g and "
}, {
  "label": "PageTheme",
  "type": "keyword",
  "info": "PageTheme is an option for FormObject, GalleryView, and related functions that specifies an overall "
}, {
  "label": "PageWidth",
  "type": "keyword",
  "info": "PageWidth is an option for output streams and for cells that specifies how wide each line of text is"
}, {
  "label": "Pagination",
  "type": "keyword",
  "info": "Pagination is an option for GalleryView and related functions that specifies how pagination should b"
}, {
  "label": "PairCorrelationG",
  "type": "keyword",
  "info": "PairCorrelationG[pdata, r] estimates the pair correlation function g(r) for point data pdata at radi"
}, {
  "label": "PairedBarChart",
  "type": "keyword",
  "info": "PairedBarChart[{y , y , â¦}, {z , z , â¦}] makes a paired bar chart with bar lengths y ,  y , â¦ and z "
}, {
  "label": "PairedHistogram",
  "type": "keyword",
  "info": "PairedHistogram[{x , x , â¦}, {y , y , â¦}] plots a paired histogram of the values x  and y .PairedHis"
}, {
  "label": "PairedSmoothHistogram",
  "type": "keyword",
  "info": "PairedSmoothHistogram[{x , x , â¦}, {y , y , â¦}] plots a paired smooth histogram of the values x  and"
}, {
  "label": "PairedTTest",
  "type": "keyword",
  "info": "PairedTTest[data] tests whether the mean of data is zero. PairedTTest[{data , data }] tests whether "
}, {
  "label": "PairedZTest",
  "type": "keyword",
  "info": "PairedZTest[data] tests whether the mean of the data is zero. PairedZTest[{data , data }] tests whet"
}, {
  "label": "PaletteNotebook",
  "type": "keyword",
  "info": "PaletteNotebook[{cell , cell , â¦}] represents a palette notebook that can be manipulated by the Wolf"
}, {
  "label": "PalettePath",
  "type": "keyword",
  "info": "PalettePath is a global option that specifies which directories the Wolfram System searches for pale"
}, {
  "label": "PalindromeQ",
  "type": "keyword",
  "info": "PalindromeQ[list] returns True if the given list is identical to Reverse[list], and False otherwise."
}, {
  "label": "Pane",
  "type": "keyword",
  "info": "Pane[expr] displays as a pane containing expr. Pane[expr, w] makes the pane be w printer's points wi"
}, {
  "label": "PaneBox",
  "type": "keyword",
  "info": "System`PaneBox"
}, {
  "label": "PaneBoxOptions",
  "type": "keyword",
  "info": "PaneBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for PaneBox obje"
}, {
  "label": "Panel",
  "type": "keyword",
  "info": "Panel[expr] displays as a panel containing expr. Panel[expr, title] gives the panel the specified ti"
}, {
  "label": "PanelBox",
  "type": "keyword",
  "info": "System`PanelBox"
}, {
  "label": "PanelBoxOptions",
  "type": "keyword",
  "info": "PanelBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for PanelBox ob"
}, {
  "label": "Paneled",
  "type": "keyword",
  "info": "Paneled is an option for Manipulate and related functions that specifies whether to give the output "
}, {
  "label": "PaneSelector",
  "type": "keyword",
  "info": "PaneSelector[{val  ï¢ expr , val  ï¢ expr , â¦}, x] represents an object that displays as a pane contai"
}, {
  "label": "PaneSelectorBox",
  "type": "keyword",
  "info": "System`PaneSelectorBox"
}, {
  "label": "PaneSelectorBoxOptions",
  "type": "keyword",
  "info": "PaneSelectorBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Pane"
}, {
  "label": "PaperWidth",
  "type": "keyword",
  "info": "System`PaperWidth"
}, {
  "label": "ParabolicCylinderD",
  "type": "keyword",
  "info": "ParabolicCylinderD[Î½, z] gives the parabolic cylinder function D (z). \n                             "
}, {
  "label": "ParagraphIndent",
  "type": "keyword",
  "info": "ParagraphIndent is an option for Cell which specifies how far in printer's points to indent the firs"
}, {
  "label": "ParagraphSpacing",
  "type": "keyword",
  "info": "ParagraphSpacing is an option for Cell, StyleBox, and Style that specifies how much extra space to l"
}, {
  "label": "ParallelArray",
  "type": "keyword",
  "info": "ParallelArray[f, n] generates in parallel a list of length n, with elements f[i], evaluated.Parallel"
}, {
  "label": "ParallelAxisPlot",
  "type": "keyword",
  "info": "ParallelAxisPlot[{{y  , â¦, y  }, â¦, {y  , â¦, y  }}] generates a parallel axis plot for the points {y"
}, {
  "label": "ParallelCombine",
  "type": "keyword",
  "info": "ParallelCombine[f, h[e , e , â¦], comb] evaluates f[h[e , e , â¦]] in parallel by distributing parts o"
}, {
  "label": "ParallelDo",
  "type": "keyword",
  "info": "ParallelDo[expr, {i   }] evaluates expr in parallel i    times. ParallelDo[expr, {i, i   }] evaluate"
}, {
  "label": "Parallelepiped",
  "type": "keyword",
  "info": "Parallelepiped[p, {v , â¦, v }] represents a parallelepiped with origin p and directions v .\n        "
}, {
  "label": "ParallelEvaluate",
  "type": "keyword",
  "info": "ParallelEvaluate[expr] evaluates the expression expr on all available parallel kernels and returns t"
}, {
  "label": "Parallelization",
  "type": "keyword",
  "info": "Parallelization is an option for Compile that specifies whether it should create a compiled function"
}, {
  "label": "Parallelize",
  "type": "keyword",
  "info": "Parallelize[expr] evaluates expr using automatic parallelization."
}, {
  "label": "ParallelMap",
  "type": "keyword",
  "info": "ParallelMap[f, expr] applies f in parallel to each element on the first level in expr.ParallelMap[f,"
}, {
  "label": "ParallelNeeds",
  "type": "keyword",
  "info": "ParallelNeeds[\"context`\"] evaluates Needs[\"context`\"] on all available parallel kernels."
}, {
  "label": "Parallelogram",
  "type": "keyword",
  "info": "Parallelogram[p, {v , v }] represents a parallelogram with origin p and directions v  and v .\n      "
}, {
  "label": "ParallelProduct",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ParallelSubmit",
  "type": "keyword",
  "info": "ParallelSubmit[expr] submits expr for evaluation on the next available parallel kernel and returns a"
}, {
  "label": "ParallelSum",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ParallelTable",
  "type": "keyword",
  "info": "ParallelTable[expr, {i   }] generates in parallel a list of i    copies of expr.ParallelTable[expr, "
}, {
  "label": "ParallelTry",
  "type": "keyword",
  "info": "ParallelTry[f, {arg , arg , â¦}] evaluates f[arg ] in parallel, returning the first result received.P"
}, {
  "label": "Parameter",
  "type": "keyword",
  "info": "System`Parameter"
}, {
  "label": "ParameterEstimator",
  "type": "keyword",
  "info": "ParameterEstimator is an option to EstimatedDistribution and FindDistributionParameters that specifi"
}, {
  "label": "ParameterMixtureDistribution",
  "type": "keyword",
  "info": "ParameterMixtureDistribution[dist[Î¸], Î¸ ï wdist] represents a parameter mixture distribution where t"
}, {
  "label": "ParameterVariables",
  "type": "keyword",
  "info": "ParameterVariables is an option for GroebnerBasis and PolynomialReduce. These variables will always "
}, {
  "label": "ParametricConvexOptimization",
  "type": "keyword",
  "info": "ParametricConvexOptimization[f, cons, vars, pars] gives a ParametricFunction object that finds value"
}, {
  "label": "ParametricFunction",
  "type": "keyword",
  "info": "ParametricFunction[pars, â¦] represents a function that computes a solution when evaluated with numer"
}, {
  "label": "ParametricNDSolve",
  "type": "keyword",
  "info": "ParametricNDSolve[eqns, u, {x, x   , x   }, pars] finds a numerical solution to the ordinary differe"
}, {
  "label": "ParametricNDSolveValue",
  "type": "keyword",
  "info": "ParametricNDSolveValue[eqns, expr, {x, x   , x   }, pars] gives the value of expr with functions det"
}, {
  "label": "ParametricPlot",
  "type": "keyword",
  "info": "ParametricPlot[{f , f }, {u, u   , u   }] generates a parametric plot of a curve with x and y coordi"
}, {
  "label": "ParametricPlot3D",
  "type": "keyword",
  "info": "ParametricPlot3D[{f , f , f }, {u, u   , u   }] produces a three-dimensional space curve parametrize"
}, {
  "label": "ParametricRampLayer",
  "type": "keyword",
  "info": "ParametricRampLayer[] represents a net layer that computes a leaky ReLU activation with a slope that"
}, {
  "label": "ParametricRegion",
  "type": "keyword",
  "info": "                                                                   n\nParametricRegion[{f , â¦, f }, {"
}, {
  "label": "ParentBox",
  "type": "keyword",
  "info": "ParentBox[obj] returns the BoxObject that contains obj."
}, {
  "label": "ParentCell",
  "type": "keyword",
  "info": "ParentCell[obj] returns the CellObject that contains obj."
}, {
  "label": "ParentConnect",
  "type": "keyword",
  "info": "System`ParentConnect"
}, {
  "label": "ParentDirectory",
  "type": "keyword",
  "info": "ParentDirectory[] gives the parent of the current working directory. ParentDirectory[\"dir\"] gives th"
}, {
  "label": "ParentForm",
  "type": "keyword",
  "info": "ParentForm sets the parent form for a boxes format."
}, {
  "label": "Parenthesize",
  "type": "keyword",
  "info": "Parenthesize[ expr, fmt, prec, group] or Parenthesize[ expr, fmt, {prec, group}] will represent expr"
}, {
  "label": "ParentList",
  "type": "keyword",
  "info": "System`ParentList"
}, {
  "label": "ParentNotebook",
  "type": "keyword",
  "info": "ParentNotebook[obj] returns the NotebookObject that contains obj."
}, {
  "label": "ParetoDistribution",
  "type": "keyword",
  "info": "ParetoDistribution[k, Î\\[PlusMinus]] represents a Pareto distribution with minimum value parameter k and shape p"
}, {
  "label": "ParetoPickandsDistribution",
  "type": "keyword",
  "info": "ParetoPickandsDistribution[Î¼, Ï, Î¾] gives a ParetoâPickands distribution with location parameter Î¼, "
}, {
  "label": "ParkData",
  "type": "keyword",
  "info": "ParkData[entity, property] gives the value of the specified property for the park entity.ParkData[{e"
}, {
  "label": "Part",
  "type": "keyword",
  "info": "                                       th\nexpr[[i]] or Part[expr, i] gives the iï    part of expr. ex"
}, {
  "label": "PartBehavior",
  "type": "keyword",
  "info": "PartBehavior is an option to Query and related functions that specifies how nonexistent parts should"
}, {
  "label": "PartialCorrelationFunction",
  "type": "keyword",
  "info": "PartialCorrelationFunction[data, hspec] estimates the partial correlation function at lags hspec fro"
}, {
  "label": "PartialD",
  "type": "keyword",
  "info": "System`PartialD"
}, {
  "label": "ParticleAcceleratorData",
  "type": "keyword",
  "info": "ParticleAcceleratorData[entity, property] gives the value of the specified property for the particle"
}, {
  "label": "ParticleData",
  "type": "keyword",
  "info": "ParticleData[name, \"property\"] gives the specified property for a subatomic particle or family of pa"
}, {
  "label": "Partition",
  "type": "keyword",
  "info": "Partition[list, n] partitions list into nonoverlapping sublists of length n. Partition[list, n, d] g"
}, {
  "label": "PartitionGranularity",
  "type": "keyword",
  "info": "PartitionGranularity is an option for audio analysis functions that specifies the partitioning of th"
}, {
  "label": "PartitionsP",
  "type": "keyword",
  "info": "PartitionsP[n] gives the number p (n) of unrestricted partitions of the integer n. "
}, {
  "label": "PartitionsQ",
  "type": "keyword",
  "info": "PartitionsQ[n] gives the number q (n) of partitions of the integer n into distinct parts. "
}, {
  "label": "PartLayer",
  "type": "keyword",
  "info": "                                                     th\nPartLayer[i] represents a net layer that giv"
}, {
  "label": "PartOfSpeech",
  "type": "keyword",
  "info": "PartOfSpeech[\"word\"] returns the possible parts of speech for the specified word."
}, {
  "label": "PartProtection",
  "type": "keyword",
  "info": "PartProtection is an option for cloud expressions that controls which parts of their structure can b"
}, {
  "label": "ParzenWindow",
  "type": "keyword",
  "info": "ParzenWindow[x] represents a Parzen window function of x."
}, {
  "label": "PascalDistribution",
  "type": "keyword",
  "info": "PascalDistribution[n, p] represents a Pascal distribution with parameters n and p."
}, {
  "label": "PassEventsDown",
  "type": "keyword",
  "info": "PassEventsDown is an option to EventHandler which specifies whether events handled by a particular e"
}, {
  "label": "PassEventsUp",
  "type": "keyword",
  "info": "PassEventsUp is an option to EventHandler that specifies whether events handled by a particular even"
}, {
  "label": "Paste",
  "type": "keyword",
  "info": "Paste[expr] pastes expr at the current insertion point in the input notebook. Paste[notebook, expr] "
}, {
  "label": "PasteAutoQuoteCharacters",
  "type": "keyword",
  "info": "System`PasteAutoQuoteCharacters"
}, {
  "label": "PasteBoxFormInlineCells",
  "type": "keyword",
  "info": "PasteBoxFormInlineCells is an option for cells that specifies whether a new inline cell is created w"
}, {
  "label": "PasteButton",
  "type": "keyword",
  "info": "PasteButton[expr] represents a button that pastes expr whenever it is pressed. PasteButton[label, ex"
}, {
  "label": "Path",
  "type": "keyword",
  "info": "Path is an option for Get and related functions which gives a list of directories to search in attem"
}, {
  "label": "PathGraph",
  "type": "keyword",
  "info": "PathGraph[{v , v , â¦}] yields a path with vertices v  and edges between v  and v       .PathGraph[{e"
}, {
  "label": "PathGraphQ",
  "type": "keyword",
  "info": "PathGraphQ[g] yields True if the graph g is a path and False otherwise."
}, {
  "label": "Pattern",
  "type": "keyword",
  "info": "sym : obj or Pattern[sym, obj] represents the pattern object obj, assigned the name sym. "
}, {
  "label": "PatternFilling",
  "type": "keyword",
  "info": "PatternFilling[obj] is a two-dimensional graphics directive specifying that obj should be used to fi"
}, {
  "label": "PatternSequence",
  "type": "keyword",
  "info": "PatternSequence[p , p , â¦] is a pattern object that represents a sequence of arguments matching p , "
}, {
  "label": "PatternTest",
  "type": "keyword",
  "info": "p ? test is a pattern object that stands for any expression that matches p, and on which the applica"
}, {
  "label": "PauliMatrix",
  "type": "keyword",
  "info": "                           th\nPauliMatrix[k] gives the kï    Pauli spin matrix Ï .\n                  "
}, {
  "label": "PaulWavelet",
  "type": "keyword",
  "info": "PaulWavelet[] represents a Paul wavelet of order 4.PaulWavelet[n] represents a Paul wavelet of order"
}, {
  "label": "Pause",
  "type": "keyword",
  "info": "Pause[n] pauses for at least n seconds. "
}, {
  "label": "PausedTime",
  "type": "keyword",
  "info": "System`PausedTime"
}, {
  "label": "PDF",
  "type": "keyword",
  "info": "PDF[dist, x] gives the probability density function for the distribution dist evaluated at x.PDF[dis"
}, {
  "label": "PeakDetect",
  "type": "keyword",
  "info": "PeakDetect[list] gives a binary list in which 1s correspond to peak positions in list.PeakDetect[lis"
}, {
  "label": "PeanoCurve",
  "type": "keyword",
  "info": "                                                         th\nPeanoCurve[n] gives the line segments re"
}, {
  "label": "PearsonChiSquareTest",
  "type": "keyword",
  "info": "                                                                                         2          "
}, {
  "label": "PearsonCorrelationTest",
  "type": "keyword",
  "info": "PearsonCorrelationTest[v , v ] tests whether the vectors v  and v  are linearly independent.PearsonC"
}, {
  "label": "PearsonDistribution",
  "type": "keyword",
  "info": "PearsonDistribution[a , a , b , b , b ] represents a distribution of the Pearson family with paramet"
}, {
  "label": "PenttinenPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "PercentForm",
  "type": "keyword",
  "info": "PercentForm[expr] prints with numbers in expr given as percentages.PercentForm[expr, n] prints with "
}, {
  "label": "PerfectNumber",
  "type": "keyword",
  "info": "                             th\nPerfectNumber[n] gives the nï    perfect number."
}, {
  "label": "PerfectNumberQ",
  "type": "keyword",
  "info": "PerfectNumberQ[n] returns True if n is a perfect number, and False otherwise."
}, {
  "label": "PerformanceGoal",
  "type": "keyword",
  "info": "PerformanceGoal is an option for various algorithmic and presentational functions that specifies wha"
}, {
  "label": "Perimeter",
  "type": "keyword",
  "info": "Perimeter[reg] gives the perimeter of the two-dimensional region reg.Perimeter[{x , x }, {s, s   , s"
}, {
  "label": "PeriodicBoundaryCondition",
  "type": "keyword",
  "info": "PeriodicBoundaryCondition[u[x , â¦], pred, f] represents a periodic boundary condition = u(x      ) ="
}, {
  "label": "PeriodicInterpolation",
  "type": "keyword",
  "info": "System`PeriodicInterpolation"
}, {
  "label": "Periodogram",
  "type": "keyword",
  "info": "Periodogram[list] plots the squared magnitude of the discrete Fourier transform (power spectrum) of "
}, {
  "label": "PeriodogramArray",
  "type": "keyword",
  "info": "PeriodogramArray[list] returns the squared magnitude of the discrete Fourier transform (power spectr"
}, {
  "label": "Permanent",
  "type": "keyword",
  "info": "Permanent[m] gives the permanent of the square matrix m. "
}, {
  "label": "Permissions",
  "type": "keyword",
  "info": "Permissions is an option for CloudObject and related cloud functions that specifies permissions for "
}, {
  "label": "PermissionsGroup",
  "type": "keyword",
  "info": "PermissionsGroup[\"name\"] represents a permissions group with the specified name, owned by the curren"
}, {
  "label": "PermissionsGroupMemberQ",
  "type": "keyword",
  "info": "PermissionsGroupMemberQ[group, user] returns True if user is a member of the permissions group group"
}, {
  "label": "PermissionsGroups",
  "type": "keyword",
  "info": "PermissionsGroups[] gives a list of permissions groups belonging to the current user."
}, {
  "label": "PermissionsKey",
  "type": "keyword",
  "info": "PermissionsKey[\"key\"] represents a permissions key that can be used to authorize access to cloud res"
}, {
  "label": "PermissionsKeys",
  "type": "keyword",
  "info": "PermissionsKeys[] gives a list of all valid permissions keys created by the currently authenticated "
}, {
  "label": "PermutationCycles",
  "type": "keyword",
  "info": "PermutationCycles[perm] gives a disjoint cycle representation of permutation perm."
}, {
  "label": "PermutationCyclesQ",
  "type": "keyword",
  "info": "PermutationCyclesQ[expr] returns True if expr is a permutation in disjoint cyclic form, and False ot"
}, {
  "label": "PermutationGroup",
  "type": "keyword",
  "info": "PermutationGroup[{perm , â¦, perm }] represents the group generated by multiplication of the permutat"
}, {
  "label": "PermutationLength",
  "type": "keyword",
  "info": "PermutationLength[perm] returns the number of integers moved by the permutation perm."
}, {
  "label": "PermutationList",
  "type": "keyword",
  "info": "PermutationList[perm] returns a permutation list representation of permutation perm.PermutationList["
}, {
  "label": "PermutationListQ",
  "type": "keyword",
  "info": "PermutationListQ[expr] returns True if expr is a valid permutation list and False otherwise."
}, {
  "label": "PermutationMax",
  "type": "keyword",
  "info": "PermutationMax[perm] returns the largest integer moved by the permutation perm."
}, {
  "label": "PermutationMin",
  "type": "keyword",
  "info": "PermutationMin[perm] returns the smallest integer moved by the permutation perm."
}, {
  "label": "PermutationOrder",
  "type": "keyword",
  "info": "PermutationOrder[perm] gives the order of permutation perm."
}, {
  "label": "PermutationPower",
  "type": "keyword",
  "info": "                                      th\nPermutationPower[perm, n] gives the nï    permutation power "
}, {
  "label": "PermutationProduct",
  "type": "keyword",
  "info": "PermutationProduct[a, b, c] gives the product of permutations a, b, c."
}, {
  "label": "PermutationReplace",
  "type": "keyword",
  "info": "PermutationReplace[expr, perm] replaces each part in expr by its image under the permutation perm.Pe"
}, {
  "label": "Permutations",
  "type": "keyword",
  "info": "Permutations[list] generates a list of all possible permutations of the elements in list. Permutatio"
}, {
  "label": "PermutationSupport",
  "type": "keyword",
  "info": "PermutationSupport[perm] returns the support of the permutation perm."
}, {
  "label": "Permute",
  "type": "keyword",
  "info": "Permute[expr, perm] permutes the positions of the elements of expr according to the permutation perm"
}, {
  "label": "PeronaMalikFilter",
  "type": "keyword",
  "info": "PeronaMalikFilter[image] applies a PeronaâMalik diffusion filter to image.PeronaMalikFilter[image, t"
}, {
  "label": "Perpendicular",
  "type": "keyword",
  "info": "System`Perpendicular"
}, {
  "label": "PerpendicularBisector",
  "type": "keyword",
  "info": "PerpendicularBisector[{p , p }] gives the perpendicular bisector of the line segment connecting p  a"
}, {
  "label": "PersistenceLocation",
  "type": "keyword",
  "info": "PersistenceLocation[\"type\"] represents a persistence location of the given type.PersistenceLocation["
}, {
  "label": "PersistenceTime",
  "type": "keyword",
  "info": "PersistenceTime is an option for various functions that specifies when a persistent value should be "
}, {
  "label": "PersistentObject",
  "type": "keyword",
  "info": "PersistentObject[\"name\", loc] represents a persistent object stored at persistence location loc."
}, {
  "label": "PersistentObjects",
  "type": "keyword",
  "info": "PersistentObjects[] gives all persistent objects in all locations in $PersistencePath.PersistentObje"
}, {
  "label": "PersistentSymbol",
  "type": "keyword",
  "info": "PersistentSymbol[\"name\"] represents the persistent symbol associated with the key \"name\".PersistentS"
}, {
  "label": "PersistentValue",
  "type": "keyword",
  "info": "PersistentValue[\"name\"] represents the persistent value associated with the key \"name\".PersistentVal"
}, {
  "label": "PersonData",
  "type": "keyword",
  "info": "PersonData[entity, property] gives the value of the specified property for the person entity.PersonD"
}, {
  "label": "PERTDistribution",
  "type": "keyword",
  "info": "PERTDistribution[{min, max}, c] represents a PERT distribution with range min to max and mode at c.P"
}, {
  "label": "PetersenGraph",
  "type": "keyword",
  "info": "PetersenGraph[n, k] gives the generalized Petersen graph P    .\n                                    "
}, {
  "label": "PhaseMargins",
  "type": "keyword",
  "info": "PhaseMargins[lsys] gives the phase margins of the linear time-invariant system lsys."
}, {
  "label": "PhaseRange",
  "type": "keyword",
  "info": "PhaseRange is an option to BodePlot and NicholsPlot that specifies the phase range."
}, {
  "label": "PhysicalSystemData",
  "type": "keyword",
  "info": "PhysicalSystemData[entity, property] gives the value of the specified property for the physical syst"
}, {
  "label": "Pi",
  "type": "keyword",
  "info": "Pi is Ï, with numerical value â 3.14159. "
}, {
  "label": "Pick",
  "type": "keyword",
  "info": "Pick[list, sel] picks out those elements of list for which the corresponding element of sel is True."
}, {
  "label": "PickedElements",
  "type": "keyword",
  "info": "System`PickedElements"
}, {
  "label": "PickMode",
  "type": "keyword",
  "info": "System`PickMode"
}, {
  "label": "PIDData",
  "type": "keyword",
  "info": "PIDData[â¦] represents PID data generated by PIDTune function."
}, {
  "label": "PIDDerivativeFilter",
  "type": "keyword",
  "info": "PIDDerivativeFilter is an option to PIDTune that controls the filtering used for derivative terms."
}, {
  "label": "PIDFeedforward",
  "type": "keyword",
  "info": "PIDFeedforward is an option to PIDTune that controls the reference weights used for the feedforward "
}, {
  "label": "PIDTune",
  "type": "keyword",
  "info": "PIDTune[sys] gives a feedback PID controller for the system sys. PIDTune[sys, \"carch\"] gives a contr"
}, {
  "label": "Piecewise",
  "type": "keyword",
  "info": "Piecewise[{{val , cond }, {val , cond }, â¦}] represents a piecewise function with values val  in the"
}, {
  "label": "PiecewiseExpand",
  "type": "keyword",
  "info": "PiecewiseExpand[expr] expands nested piecewise functions in expr to give a single piecewise function"
}, {
  "label": "PieChart",
  "type": "keyword",
  "info": "PieChart[{y , y , â¦, y }] makes a pie chart with sector angle proportional to y , y , â¦.PieChart[{â¦,"
}, {
  "label": "PieChart3D",
  "type": "keyword",
  "info": "PieChart3D[{y , y , â¦}] makes a 3D pie chart with sector angle proportional to y , y , â¦ .PieChart3D"
}, {
  "label": "PillaiTrace",
  "type": "keyword",
  "info": "PillaiTrace[m , m ] gives Pillai's trace for the matrices m  and m .\n             1   2             "
}, {
  "label": "PillaiTraceTest",
  "type": "keyword",
  "info": "PillaiTraceTest[m , m ] tests whether the matrices m  and m  are independent.PillaiTraceTest[â¦, \"pro"
}, {
  "label": "PingTime",
  "type": "keyword",
  "info": "PingTime[host] gives the round-trip ping time for the specified network host.PingTime[host, n] gives"
}, {
  "label": "Pink",
  "type": "keyword",
  "info": "Pink represents the color pink in graphics or style specifications. "
}, {
  "label": "PitchRecognize",
  "type": "keyword",
  "info": "PitchRecognize[audio] recognizes the main pitch in audio, returning it as a TimeSeries object. Pitch"
}, {
  "label": "Pivoting",
  "type": "keyword",
  "info": "Pivoting is an option to certain matrix decomposition functions. With Pivoting -> False, no pivoting"
}, {
  "label": "PixelConstrained",
  "type": "keyword",
  "info": "PixelConstrained is an option for ArrayPlot that specifies how to constrain cells to align with disp"
}, {
  "label": "PixelValue",
  "type": "keyword",
  "info": "PixelValue[image, ppos] gives the pixel value of image at position pos.PixelValue[image, ppos, \"type"
}, {
  "label": "PixelValuePositions",
  "type": "keyword",
  "info": "PixelValuePositions[image, val] returns a list of pixel positions in image that exactly match the va"
}, {
  "label": "Placed",
  "type": "keyword",
  "info": "Placed[expr, pos] represents an expression expr placed at relative position pos in a chart or other "
}, {
  "label": "Placeholder",
  "type": "keyword",
  "info": "Placeholder[name] represents a placeholder labeled with name that indicates a place to type.Placehol"
}, {
  "label": "PlaceholderLayer",
  "type": "keyword",
  "info": "PlaceholderLayer[] represents a net layer whose operation is undefined.PlaceholderLayer[\"tag\", assoc"
}, {
  "label": "PlaceholderReplace",
  "type": "keyword",
  "info": "PlaceholderReplace is an option to Paste that determines whether to replace a selection placeholder "
}, {
  "label": "Plain",
  "type": "keyword",
  "info": "Plain represents a font that is not bold, italic, or underlined."
}, {
  "label": "PlanarAngle",
  "type": "keyword",
  "info": "PlanarAngle[p ï¢ {q , q }] gives the angle between the halfâlines from p through q  and q .PlanarAngl"
}, {
  "label": "PlanarFaceList",
  "type": "keyword",
  "info": "PlanarFaceList[g] gives the list of faces of the planar graph g."
}, {
  "label": "PlanarGraph",
  "type": "keyword",
  "info": "PlanarGraph[{e , e , â¦}] yields a planar graph with edges e .PlanarGraph[{v , v , â¦}, {e , e , â¦}] y"
}, {
  "label": "PlanarGraphQ",
  "type": "keyword",
  "info": "PlanarGraphQ[g] yields True if g is a planar graph and False otherwise."
}, {
  "label": "PlanckRadiationLaw",
  "type": "keyword",
  "info": "PlanckRadiationLaw[temperature, Î»] returns the spectral radiance for the specified temperature and w"
}, {
  "label": "PlaneCurveData",
  "type": "keyword",
  "info": "PlaneCurveData[entity, property] gives the value of the specified property for the plane curve entit"
}, {
  "label": "PlanetaryMoonData",
  "type": "keyword",
  "info": "PlanetaryMoonData[entity, property] gives the value of the specified property for the moon entity of"
}, {
  "label": "PlanetData",
  "type": "keyword",
  "info": "PlanetData[entity, property] gives the value of the specified property for the planet entity.PlanetD"
}, {
  "label": "PlantData",
  "type": "keyword",
  "info": "PlantData[entity, property] gives the value of the specified property for the plant entity.PlantData"
}, {
  "label": "Play",
  "type": "keyword",
  "info": "Play[f, {t, t   , t   }] creates an object that plays as a sound whose amplitude is given by f as a "
}, {
  "label": "PlayRange",
  "type": "keyword",
  "info": "PlayRange is an option for Play and related functions which specifies what range of sound amplitude "
}, {
  "label": "Plot",
  "type": "keyword",
  "info": "Plot[f, {x, x   , x   }] generates a plot of f as a function of x from x    to x   . Plot[{f , f , â¦"
}, {
  "label": "Plot3D",
  "type": "keyword",
  "info": "Plot3D[f, {x, x   , x   }, {y, y   , y   }] generates a three-dimensional plot of f as a function of"
}, {
  "label": "Plot3Matrix",
  "type": "keyword",
  "info": "System`Plot3Matrix"
}, {
  "label": "PlotDivision",
  "type": "keyword",
  "info": "PlotDivision is an option for Plot that specifies the maximum amount of subdivision to be used."
}, {
  "label": "PlotJoined",
  "type": "keyword",
  "info": "PlotJoined is an option for ListPlot that specifies whether the points plotted should be joined by a"
}, {
  "label": "PlotLabel",
  "type": "keyword",
  "info": "PlotLabel is an option for graphics functions that specifies an overall label for a plot. "
}, {
  "label": "PlotLabels",
  "type": "keyword",
  "info": "PlotLabels is an option for visualization functions that specifies what labels to use for each data "
}, {
  "label": "PlotLayout",
  "type": "keyword",
  "info": "PlotLayout is an option for plotting functions that specifies the layout of multiple components in a"
}, {
  "label": "PlotLegends",
  "type": "keyword",
  "info": "PlotLegends is an option for plot functions that specifies what legends to use. "
}, {
  "label": "PlotMarkers",
  "type": "keyword",
  "info": "PlotMarkers is an option for graphics functions like ListPlot and ListLinePlot that specifies what m"
}, {
  "label": "PlotPoints",
  "type": "keyword",
  "info": "PlotPoints is an option for plotting functions that specifies how many initial sample points to use."
}, {
  "label": "PlotRange",
  "type": "keyword",
  "info": "PlotRange is an option for graphics functions that specifies what range of coordinates to include in"
}, {
  "label": "PlotRangeClipping",
  "type": "keyword",
  "info": "PlotRangeClipping is an option for graphics functions that specifies whether graphics objects should"
}, {
  "label": "PlotRangeClipPlanesStyle",
  "type": "keyword",
  "info": "System`PlotRangeClipPlanesStyle"
}, {
  "label": "PlotRangePadding",
  "type": "keyword",
  "info": "PlotRangePadding is an option for graphics functions that specifies how much further axes etc. shoul"
}, {
  "label": "PlotRegion",
  "type": "keyword",
  "info": "PlotRegion is an option for graphics functions that specifies what region of the final display area "
}, {
  "label": "PlotStyle",
  "type": "keyword",
  "info": "PlotStyle is an option for plotting and related functions that specifies styles in which objects are"
}, {
  "label": "PlotTheme",
  "type": "keyword",
  "info": "PlotTheme is an option for plotting and related functions that specifies an overall theme for visual"
}, {
  "label": "Pluralize",
  "type": "keyword",
  "info": "Pluralize[\"noun\"] gives the plural form of the English word \"noun\".Pluralize[\"noun\", n] gives the in"
}, {
  "label": "Plus",
  "type": "keyword",
  "info": "x + y + z represents a sum of terms. "
}, {
  "label": "PlusMinus",
  "type": "keyword",
  "info": "PlusMinus[x] displays as Â\\[PlusMinus] x.PlusMinus[x, y, â¦] displays as x Â\\[PlusMinus] y Â\\[PlusMinus] â¦.\n"
}, {
  "label": "Pochhammer",
  "type": "keyword",
  "info": "Pochhammer[a, n] gives the Pochhammer symbol (a) . \n                                                "
}, {
  "label": "PodStates",
  "type": "keyword",
  "info": "PodStates is an option for WolframAlpha that determines information about the states of the pods."
}, {
  "label": "PodWidth",
  "type": "keyword",
  "info": "PodWidth is an option for WolframAlpha that determines the width parameters of the content returned "
}, {
  "label": "Point",
  "type": "keyword",
  "info": "Point[p] is a graphics and geometry primitive that represents a point at p. Point[{p , p , â¦}] repre"
}, {
  "label": "Point3DBox",
  "type": "keyword",
  "info": "System`Point3DBox"
}, {
  "label": "Point3DBoxOptions",
  "type": "keyword",
  "info": "Point3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Point3DBo"
}, {
  "label": "PointBox",
  "type": "keyword",
  "info": "System`PointBox"
}, {
  "label": "PointBoxOptions",
  "type": "keyword",
  "info": "PointBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for PointBox ob"
}, {
  "label": "PointCountDistribution",
  "type": "keyword",
  "info": "PointCountDistribution[pproc, reg] represents the distribution of point counts for the point process"
}, {
  "label": "PointDensity",
  "type": "keyword",
  "info": "PointDensity[pdata] estimates the point density function Î¼(x) from point data pdata.PointDensity[pda"
}, {
  "label": "PointDensityFunction",
  "type": "keyword",
  "info": "PointDensityFunction[â¦] represents a function whose values give the density at a given location."
}, {
  "label": "PointFigureChart",
  "type": "keyword",
  "info": "PointFigureChart[{{date , p }, {date , p }, â¦}] makes a point and figure chart with prices p  at dat"
}, {
  "label": "PointLegend",
  "type": "keyword",
  "info": "PointLegend[{col , â¦}, {lbl , â¦}] generates a legend that associates points of colors col  with labe"
}, {
  "label": "PointLight",
  "type": "keyword",
  "info": "PointLight[col, pt] is a three-dimensional graphics directive that specifies the point light of colo"
}, {
  "label": "PointProcessEstimator",
  "type": "keyword",
  "info": "PointProcessEstimator[] is an option to EstimatedPointProcess and FindPointProcessParameters that sp"
}, {
  "label": "PointProcessFitTest",
  "type": "keyword",
  "info": "PointProcessFitTest[pdata] tests whether the point collection pdata could be modeled by a Poisson po"
}, {
  "label": "PointProcessParameterAssumptions",
  "type": "keyword",
  "info": "PointProcessParameterAssumptions[proc] gives a logical expression for assumptions on parameters in t"
}, {
  "label": "PointProcessParameterQ",
  "type": "keyword",
  "info": "PointProcessParameterQ[proc] yields True if proc is a valid random point process, and yields False o"
}, {
  "label": "PointSize",
  "type": "keyword",
  "info": "PointSize[d] is a graphics directive which specifies that points which follow are to be shown if pos"
}, {
  "label": "PointStatisticFunction",
  "type": "keyword",
  "info": "PointStatisticFunction[â¦] represents a function whose values give the statistic of a points collecti"
}, {
  "label": "PointValuePlot",
  "type": "keyword",
  "info": "PointValuePlot[{pt  ï¢ val , pt  ï¢ val , â¦}] plots the points pt  styled according to the values val "
}, {
  "label": "PoissonConsulDistribution",
  "type": "keyword",
  "info": "PoissonConsulDistribution[Î¼, Î»] represents a PoissonâConsul distribution with parameters Î¼ and Î»."
}, {
  "label": "PoissonDistribution",
  "type": "keyword",
  "info": "PoissonDistribution[Î¼] represents a Poisson distribution with mean Î¼."
}, {
  "label": "PoissonPDEComponent",
  "type": "keyword",
  "info": "                                                           2\nPoissonPDEComponent[vars, pars] yields "
}, {
  "label": "PoissonPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "PoissonProcess",
  "type": "keyword",
  "info": "PoissonProcess[Î¼] represents a Poisson process with rate Î¼."
}, {
  "label": "PoissonWindow",
  "type": "keyword",
  "info": "PoissonWindow[x] represents a Poisson window function of x.PoissonWindow[x, Î\\[PlusMinus]] uses the parameter Î\\[PlusMinus]."
}, {
  "label": "PolarAxes",
  "type": "keyword",
  "info": "PolarAxes is an option for sector charts and polar plots that specifies whether polar axes should be"
}, {
  "label": "PolarAxesOrigin",
  "type": "keyword",
  "info": "PolarAxesOrigin is an option for sector charts and polar plots that specifies where polar axes shoul"
}, {
  "label": "PolarGridLines",
  "type": "keyword",
  "info": "PolarGridLines is an option for sector charts and polar plots that specifies polar grid lines."
}, {
  "label": "PolarPlot",
  "type": "keyword",
  "info": "PolarPlot[r, {Î¸, Î¸   , Î¸   }] generates a polar plot of a curve with radius r as a function of angle"
}, {
  "label": "PolarTicks",
  "type": "keyword",
  "info": "PolarTicks is an option for sector charts and polar plots that specifies tick marks for polar axes."
}, {
  "label": "PoleZeroMarkers",
  "type": "keyword",
  "info": "PoleZeroMarkers is an option for RootLocusPlot that specifies the markers to be drawn on the complex"
}, {
  "label": "PolyaAeppliDistribution",
  "type": "keyword",
  "info": "PolyaAeppliDistribution[Î¸, p] represents a PÃ\.b3lyaâAeppli distribution with shape parameters Î¸ and p. "
}, {
  "label": "PolyGamma",
  "type": "keyword",
  "info": "                                                                          th                        "
}, {
  "label": "Polygon",
  "type": "keyword",
  "info": "Polygon[{p , â¦, p }] represents a filled polygon with points p .Polygon[{p , â¦, p } ï¢ {{q , â¦, q }, "
}, {
  "label": "Polygon3DBox",
  "type": "keyword",
  "info": "System`Polygon3DBox"
}, {
  "label": "Polygon3DBoxOptions",
  "type": "keyword",
  "info": "Polygon3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Polygon"
}, {
  "label": "PolygonalNumber",
  "type": "keyword",
  "info": "                               th                                                        th         "
}, {
  "label": "PolygonAngle",
  "type": "keyword",
  "info": "PolygonAngle[poly] gives a list of angles at the vertex points of poly.PolygonAngle[poly, p] gives t"
}, {
  "label": "PolygonBox",
  "type": "keyword",
  "info": "System`PolygonBox"
}, {
  "label": "PolygonBoxOptions",
  "type": "keyword",
  "info": "PolygonBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for PolygonBo"
}, {
  "label": "PolygonCoordinates",
  "type": "keyword",
  "info": "PolygonCoordinates[poly] gives a list of coordinates in the polygon poly."
}, {
  "label": "PolygonDecomposition",
  "type": "keyword",
  "info": "PolygonDecomposition[poly] decomposes the polygon poly into a disjoint union of simpler polygons.Pol"
}, {
  "label": "PolygonHoleScale",
  "type": "keyword",
  "info": "System`PolygonHoleScale"
}, {
  "label": "PolygonIntersections",
  "type": "keyword",
  "info": "PolygonIntersections is an option for Graphics3D which specifies whether intersecting polygons shoul"
}, {
  "label": "PolygonScale",
  "type": "keyword",
  "info": "System`PolygonScale"
}, {
  "label": "Polyhedron",
  "type": "keyword",
  "info": "Polyhedron[{f , â¦, f }] represents a filled polyhedron inside the closed surfaces with polygon faces"
}, {
  "label": "PolyhedronAngle",
  "type": "keyword",
  "info": "PolyhedronAngle[poly, p] gives the solid angle at the point p and spanned by edges with common point"
}, {
  "label": "PolyhedronBox",
  "type": "keyword",
  "info": "System`PolyhedronBox"
}, {
  "label": "PolyhedronCoordinates",
  "type": "keyword",
  "info": "PolyhedronCoordinates[poly] gives a list of coordinates in the polyhedron poly."
}, {
  "label": "PolyhedronData",
  "type": "keyword",
  "info": "PolyhedronData[poly, \"property\"] gives the value of the specified property for the polyhedron named "
}, {
  "label": "PolyhedronDecomposition",
  "type": "keyword",
  "info": "PolyhedronDecomposition[poly] decomposes the polyhedron poly into a union of simpler polyhedra."
}, {
  "label": "PolyhedronGenus",
  "type": "keyword",
  "info": "PolyhedronGenus[poly] gives the genus of the polyhedron poly."
}, {
  "label": "PolyLog",
  "type": "keyword",
  "info": "PolyLog[n, z] gives the polylogarithm function Li (z).PolyLog[n, p, z] gives the Nielsen generalized"
}, {
  "label": "PolynomialExpressionQ",
  "type": "keyword",
  "info": "PolynomialExpressionQ[expr, x] gives True if expr is structurally a polynomial expression in x, and "
}, {
  "label": "PolynomialExtendedGCD",
  "type": "keyword",
  "info": "PolynomialExtendedGCD[poly , poly , x] gives the extended GCD of poly  and poly  treated as univaria"
}, {
  "label": "PolynomialForm",
  "type": "keyword",
  "info": "System`PolynomialForm"
}, {
  "label": "PolynomialGCD",
  "type": "keyword",
  "info": "PolynomialGCD[poly , poly , â¦] gives the greatest common divisor of the polynomials poly . Polynomia"
}, {
  "label": "PolynomialLCM",
  "type": "keyword",
  "info": "PolynomialLCM[poly , poly , â¦] gives the least common multiple of the polynomials poly . PolynomialL"
}, {
  "label": "PolynomialMod",
  "type": "keyword",
  "info": "PolynomialMod[poly, m] gives the polynomial poly reduced modulo m. PolynomialMod[poly, {m , m , â¦}] "
}, {
  "label": "PolynomialQ",
  "type": "keyword",
  "info": "PolynomialQ[expr, var] yields True if expr is a polynomial in var, and yields False otherwise. Polyn"
}, {
  "label": "PolynomialQuotient",
  "type": "keyword",
  "info": "PolynomialQuotient[p, q, x] gives the quotient of p and q, treated as polynomials in x, with any rem"
}, {
  "label": "PolynomialQuotientRemainder",
  "type": "keyword",
  "info": "PolynomialQuotientRemainder[p, q, x] gives a list of the quotient and remainder of p and q, treated "
}, {
  "label": "PolynomialReduce",
  "type": "keyword",
  "info": "PolynomialReduce[poly, {poly , poly , â¦}, {x , x , â¦}] yields a list representing a reduction of pol"
}, {
  "label": "PolynomialRemainder",
  "type": "keyword",
  "info": "PolynomialRemainder[p, q, x] gives the remainder from dividing p by q, treated as polynomials in x. "
}, {
  "label": "Polynomials",
  "type": "keyword",
  "info": "System`Polynomials"
}, {
  "label": "PolynomialSumOfSquaresList",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "PoolingLayer",
  "type": "keyword",
  "info": "PoolingLayer[sz] represents a pooling net layer using kernels of size sz.PoolingLayer[{w}] represent"
}, {
  "label": "PopupMenu",
  "type": "keyword",
  "info": "PopupMenu[x, {val , val , â¦}] represents a popup menu with setting x and possible values val . Popup"
}, {
  "label": "PopupMenuBox",
  "type": "keyword",
  "info": "System`PopupMenuBox"
}, {
  "label": "PopupMenuBoxOptions",
  "type": "keyword",
  "info": "PopupMenuBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for PopupMe"
}, {
  "label": "PopupView",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "PopupWindow",
  "type": "keyword",
  "info": "PopupWindow[expr, contents] displays as expr, but pops up a window containing contents when clicked."
}, {
  "label": "Position",
  "type": "keyword",
  "info": "Position[expr, pattern] gives a list of the positions at which objects matching pattern appear in ex"
}, {
  "label": "PositionIndex",
  "type": "keyword",
  "info": "PositionIndex[list] gives an association between unique elements in list and the positions at which "
}, {
  "label": "Positive",
  "type": "keyword",
  "info": "Positive[x] gives True if x is a positive number. "
}, {
  "label": "PositiveDefiniteMatrixQ",
  "type": "keyword",
  "info": "PositiveDefiniteMatrixQ[m] gives True if m is explicitly positive definite, and False otherwise. "
}, {
  "label": "PositiveIntegers",
  "type": "keyword",
  "info": "PositiveIntegers represents the domain of strictly positive integers, as in x â PositiveIntegers. "
}, {
  "label": "PositivelyOrientedPoints",
  "type": "keyword",
  "info": "PositivelyOrientedPoints[{p , p , p , â¦, p     }] tests whether the sequence of points p , p , p , â¦"
}, {
  "label": "PositiveRationals",
  "type": "keyword",
  "info": "PositiveRationals represents the domain of strictly positive rational numbers, as in x â PositiveRat"
}, {
  "label": "PositiveReals",
  "type": "keyword",
  "info": "PositiveReals represents the domain of strictly positive real numbers."
}, {
  "label": "PositiveSemidefiniteMatrixQ",
  "type": "keyword",
  "info": "PositiveSemidefiniteMatrixQ[m] gives True if m is explicitly positive semidefinite, and False otherw"
}, {
  "label": "PossibleZeroQ",
  "type": "keyword",
  "info": "PossibleZeroQ[expr] gives True if basic symbolic and numerical methods suggest that expr has value z"
}, {
  "label": "Postfix",
  "type": "keyword",
  "info": "Postfix[f[expr]] prints with f[expr] given in default postfix form: expr\/\/f. Postfix[f[expr], h] pri"
}, {
  "label": "PostScript",
  "type": "keyword",
  "info": "System`PostScript"
}, {
  "label": "Power",
  "type": "keyword",
  "info": "x^y gives x to the power y."
}, {
  "label": "PowerDistribution",
  "type": "keyword",
  "info": "PowerDistribution[k, a] represents a power distribution with domain parameter k and shape parameter "
}, {
  "label": "PowerExpand",
  "type": "keyword",
  "info": "PowerExpand[expr] expands all powers of products and powers. PowerExpand[expr, {x , x , â¦}] expands "
}, {
  "label": "PowerMod",
  "type": "keyword",
  "info": "                         b                                                                          "
}, {
  "label": "PowerModList",
  "type": "keyword",
  "info": "                                                                  r    s\nPowerModList[a, s\/r, m] giv"
}, {
  "label": "PowerRange",
  "type": "keyword",
  "info": "PowerRange[b] generates the list {1, 10, 100, â¦, max}, where max is the largest power of 10 that doe"
}, {
  "label": "PowerSpectralDensity",
  "type": "keyword",
  "info": "PowerSpectralDensity[data, Ï] estimates the power spectral density for data.PowerSpectralDensity[dat"
}, {
  "label": "PowersRepresentations",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "PowerSymmetricPolynomial",
  "type": "keyword",
  "info": "PowerSymmetricPolynomial[r] represents a formal power symmetric polynomial with exponent r.PowerSymm"
}, {
  "label": "Precedence",
  "type": "keyword",
  "info": "Precedence[sym] returns the precedence of the output operator associated to the symbol sym.Precedenc"
}, {
  "label": "PrecedenceForm",
  "type": "keyword",
  "info": "PrecedenceForm[expr, prec] prints with expr parenthesized as it would be if it contained an operator"
}, {
  "label": "Precedes",
  "type": "keyword",
  "info": "Precedes[x, y, â¦] displays as x âº y âº â¦."
}, {
  "label": "PrecedesEqual",
  "type": "keyword",
  "info": "PrecedesEqual[x, y, â¦] displays as x âª¯ y âª¯ â¦."
}, {
  "label": "PrecedesSlantEqual",
  "type": "keyword",
  "info": "PrecedesSlantEqual[x, y, â¦] displays as x â¼ y â¼ â¦."
}, {
  "label": "PrecedesTilde",
  "type": "keyword",
  "info": "PrecedesTilde[x, y, â¦] displays as x â¾ y â¾ â¦."
}, {
  "label": "Precision",
  "type": "keyword",
  "info": "Precision[x] gives the effective number of digits of precision in the number x. "
}, {
  "label": "PrecisionGoal",
  "type": "keyword",
  "info": "PrecisionGoal is an option for various numerical operations which specifies how many effective digit"
}, {
  "label": "PreDecrement",
  "type": "keyword",
  "info": "--x decreases the value of x by 1, returning the new value of x. "
}, {
  "label": "Predict",
  "type": "keyword",
  "info": "Predict[{in  ï¢ out , in  ï¢ out , â¦}] generates a PredictorFunction[â¦] based on the example input-out"
}, {
  "label": "PredictionRoot",
  "type": "keyword",
  "info": "System`PredictionRoot"
}, {
  "label": "PredictorFunction",
  "type": "keyword",
  "info": "PredictorFunction[â¦] represents a function generated by Predict that predicts numerical values from "
}, {
  "label": "PredictorInformation",
  "type": "keyword",
  "info": "PredictorInformation[predictor] generates a report giving information on the predictor function pred"
}, {
  "label": "PredictorMeasurements",
  "type": "keyword",
  "info": "PredictorMeasurements[predictor, testset, prop] gives measurements associated with the property prop"
}, {
  "label": "PredictorMeasurementsObject",
  "type": "keyword",
  "info": "PredictorMeasurementsObject[â¦] represents an object generated by PredictorMeasurements that can be a"
}, {
  "label": "PreemptProtect",
  "type": "keyword",
  "info": "PreemptProtect[expr] evaluates expr, without any interruption from preemptive evaluations."
}, {
  "label": "PreferencesPath",
  "type": "keyword",
  "info": "PreferencesPath is a global option that specifies which directories are searched for user-specific s"
}, {
  "label": "Prefix",
  "type": "keyword",
  "info": "Prefix[f[expr]] prints with f[expr] given in default prefix form: f @ expr. Prefix[f[expr], h] print"
}, {
  "label": "PreIncrement",
  "type": "keyword",
  "info": "++x increases the value of x by 1, returning the new value of x. "
}, {
  "label": "Prepend",
  "type": "keyword",
  "info": "Prepend[expr, elem] gives expr with elem prepended. Prepend[elem] represents an operator form of Pre"
}, {
  "label": "PrependLayer",
  "type": "keyword",
  "info": "PrependLayer[] represents a net layer that takes an input array and prepends another array to it."
}, {
  "label": "PrependTo",
  "type": "keyword",
  "info": "PrependTo[x, elem] prepends elem to the value of x, and resets x to the result. "
}, {
  "label": "PreprocessingRules",
  "type": "keyword",
  "info": "PreprocessingRules is an option that specifies how the input should be preprocessed."
}, {
  "label": "PreserveColor",
  "type": "keyword",
  "info": "PreserveColor is an option for ImageRestyle and related functions that specifies whether to preserve"
}, {
  "label": "PreserveImageOptions",
  "type": "keyword",
  "info": "PreserveImageOptions is an option to graphics and related functions that specifies whether image siz"
}, {
  "label": "Previous",
  "type": "keyword",
  "info": "System`Previous"
}, {
  "label": "PreviousCell",
  "type": "keyword",
  "info": "PreviousCell[] returns the CellObject corresponding to the cell directly above the currently evaluat"
}, {
  "label": "PreviousDate",
  "type": "keyword",
  "info": "PreviousDate[gran] gives the previously occurring date of the specified granularity type gran.Previo"
}, {
  "label": "PriceGraphDistribution",
  "type": "keyword",
  "info": "PriceGraphDistribution[n, k, a] represents a de Solla Price graph distribution for n-vertex graphs w"
}, {
  "label": "PrimaryPlaceholder",
  "type": "keyword",
  "info": "System`PrimaryPlaceholder"
}, {
  "label": "Prime",
  "type": "keyword",
  "info": "                     th\nPrime[n] gives the nï    prime number p .\n                                   "
}, {
  "label": "PrimeNu",
  "type": "keyword",
  "info": "PrimeNu[n] gives the number of distinct primes Î½(n) in n."
}, {
  "label": "PrimeOmega",
  "type": "keyword",
  "info": "PrimeOmega[n] gives the number of prime factors counting multiplicities Î©(n) in n."
}, {
  "label": "PrimePi",
  "type": "keyword",
  "info": "PrimePi[x] gives the number of primes Ï(x) less than or equal to x."
}, {
  "label": "PrimePowerQ",
  "type": "keyword",
  "info": "PrimePowerQ[expr] yields True if expr is a power of a prime number, and yields False otherwise. "
}, {
  "label": "PrimeQ",
  "type": "keyword",
  "info": "PrimeQ[n] yields True if n is a prime number, and yields False otherwise. "
}, {
  "label": "Primes",
  "type": "keyword",
  "info": "Primes represents the domain of prime numbers, as in x â Primes. "
}, {
  "label": "PrimeZetaP",
  "type": "keyword",
  "info": "PrimeZetaP[s] gives prime zeta function P(s)."
}, {
  "label": "PrimitivePolynomialQ",
  "type": "keyword",
  "info": "PrimitivePolynomialQ[poly, p] tests whether poly is a primitive polynomial modulo a prime p."
}, {
  "label": "PrimitiveRoot",
  "type": "keyword",
  "info": "PrimitiveRoot[n] gives a primitive root of n.PrimitiveRoot[n, k] gives the smallest primitive root o"
}, {
  "label": "PrimitiveRootList",
  "type": "keyword",
  "info": "PrimitiveRootList[n] gives a list of primitive roots of n."
}, {
  "label": "PrincipalComponents",
  "type": "keyword",
  "info": "PrincipalComponents[matrix] transforms elements of matrix into unscaled principal components."
}, {
  "label": "PrincipalValue",
  "type": "keyword",
  "info": "PrincipalValue is an option for Integrate that specifies whether the Cauchy principal value should b"
}, {
  "label": "Print",
  "type": "keyword",
  "info": "Print[expr] prints expr as output. "
}, {
  "label": "PrintableASCIIQ",
  "type": "keyword",
  "info": "PrintableASCIIQ[string] yields True if the string contains only printable ASCII characters, and yiel"
}, {
  "label": "PrintAction",
  "type": "keyword",
  "info": "PrintAction is an option for notebooks that specifies the action taken when a Print[] command is eva"
}, {
  "label": "PrintForm",
  "type": "keyword",
  "info": "System`PrintForm"
}, {
  "label": "PrintingCopies",
  "type": "keyword",
  "info": "PrintingCopies is an option for notebooks that specifies the number of copies of a notebook printed "
}, {
  "label": "PrintingOptions",
  "type": "keyword",
  "info": "PrintingOptions is an option that specifies settings for printing."
}, {
  "label": "PrintingPageRange",
  "type": "keyword",
  "info": "PrintingPageRange is an option for notebooks that specifies the range of pages of a notebook to be p"
}, {
  "label": "PrintingStartingPageNumber",
  "type": "keyword",
  "info": "PrintingStartingPageNumber is an option for notebooks that specifies what number to assign to the fi"
}, {
  "label": "PrintingStyleEnvironment",
  "type": "keyword",
  "info": "PrintingStyleEnvironment is an option for notebooks that specifies the style environment to be used "
}, {
  "label": "Printout3D",
  "type": "keyword",
  "info": "Printout3D[model] prints out the 3D model using a 3D print previewer.Printout3D[model, service] prin"
}, {
  "label": "Printout3DPreviewer",
  "type": "keyword",
  "info": "Printout3DPreviewer is an option for Printout3D that specifies a previewer for generating outputs to"
}, {
  "label": "PrintPrecision",
  "type": "keyword",
  "info": "PrintPrecision is an option for selections that specifies the maximum number of digits used for disp"
}, {
  "label": "PrintTemporary",
  "type": "keyword",
  "info": "PrintTemporary[expr] prints expr as a temporary cell in a notebook, removing it when the evaluation "
}, {
  "label": "Prism",
  "type": "keyword",
  "info": "Prism[{p , â¦, p }] represents a filled prism connecting the triangles {p , p , p } and {p , p , p }."
}, {
  "label": "PrismBox",
  "type": "keyword",
  "info": "System`PrismBox"
}, {
  "label": "PrismBoxOptions",
  "type": "keyword",
  "info": "System`PrismBoxOptions"
}, {
  "label": "PrivateCellOptions",
  "type": "keyword",
  "info": "PrivateCellOptions is an option for cells that specifies various low-level cell settings."
}, {
  "label": "PrivateEvaluationOptions",
  "type": "keyword",
  "info": "PrivateEvaluationOptions is an option for selections that specifies settings for evaluation-related "
}, {
  "label": "PrivateFontOptions",
  "type": "keyword",
  "info": "PrivateFontOptions is an option for selections that specifies settings for various font suboptions."
}, {
  "label": "PrivateFrontEndOptions",
  "type": "keyword",
  "info": "System`PrivateFrontEndOptions"
}, {
  "label": "PrivateKey",
  "type": "keyword",
  "info": "PrivateKey[assoc] represents the private part of a key pair for a public-key cryptographic system."
}, {
  "label": "PrivateNotebookOptions",
  "type": "keyword",
  "info": "PrivateNotebookOptions is an option for notebooks that specifies various low-level notebook settings"
}, {
  "label": "PrivatePaths",
  "type": "keyword",
  "info": "PrivatePaths is a global option that specifies settings for paths private to the notebook front end."
}, {
  "label": "Probability",
  "type": "keyword",
  "info": "Probability[pred, x ï dist] gives the probability for an event that satisfies the predicate pred und"
}, {
  "label": "ProbabilityDistribution",
  "type": "keyword",
  "info": "ProbabilityDistribution[pdf, {x, x   , x   }] represents the continuous distribution with PDF pdf in"
}, {
  "label": "ProbabilityPlot",
  "type": "keyword",
  "info": "ProbabilityPlot[list] generates a plot of the CDF of list against the CDF of a normal distribution.P"
}, {
  "label": "ProbabilityPr",
  "type": "keyword",
  "info": "System`ProbabilityPr"
}, {
  "label": "ProbabilityScalePlot",
  "type": "keyword",
  "info": "ProbabilityScalePlot[{x , x , â¦}] generates a normal probability plot of the samples x . Probability"
}, {
  "label": "ProbitModelFit",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ProcessConnection",
  "type": "keyword",
  "info": "ProcessConnection[proc, \"stream\"] returns the stream object for a given stream."
}, {
  "label": "ProcessDirectory",
  "type": "keyword",
  "info": "ProcessDirectory is an option specifying the initial working directory to use when executing a proce"
}, {
  "label": "ProcessEnvironment",
  "type": "keyword",
  "info": "ProcessEnvironment is an option specifying the initial settings of environment variables to use when"
}, {
  "label": "Processes",
  "type": "keyword",
  "info": "Processes[] returns a list of currently running external processes, started in this Wolfram Language"
}, {
  "label": "ProcessEstimator",
  "type": "keyword",
  "info": "ProcessEstimator is an option to EstimatedProcess and FindProcessParameters that specifies what proc"
}, {
  "label": "ProcessInformation",
  "type": "keyword",
  "info": "ProcessInformation[proc] gives information about an external process proc.\nProcessInformation[proc, "
}, {
  "label": "ProcessObject",
  "type": "keyword",
  "info": "ProcessObject[...] is an object that represents a runnable external process."
}, {
  "label": "ProcessParameterAssumptions",
  "type": "keyword",
  "info": "ProcessParameterAssumptions[proc] gives a logical expression for assumptions on parameters in the ra"
}, {
  "label": "ProcessParameterQ",
  "type": "keyword",
  "info": "ProcessParameterQ[proc] yields True if proc is a valid random process, and yields False otherwise."
}, {
  "label": "ProcessStateDomain",
  "type": "keyword",
  "info": "System`ProcessStateDomain"
}, {
  "label": "ProcessStatus",
  "type": "keyword",
  "info": "ProcessStatus[proc] gives the current status of the external process represented by the ProcessObjec"
}, {
  "label": "ProcessTimeDomain",
  "type": "keyword",
  "info": "System`ProcessTimeDomain"
}, {
  "label": "Product",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ProductDistribution",
  "type": "keyword",
  "info": "ProductDistribution[dist , dist , â¦] represents the joint distribution with independent component di"
}, {
  "label": "ProductLog",
  "type": "keyword",
  "info": "                                                            w                               th\nProdu"
}, {
  "label": "ProgressIndicator",
  "type": "keyword",
  "info": "ProgressIndicator[x] represents a progress indicator with setting x in the range 0 to 1. ProgressInd"
}, {
  "label": "ProgressIndicatorBox",
  "type": "keyword",
  "info": "System`ProgressIndicatorBox"
}, {
  "label": "ProgressIndicatorBoxOptions",
  "type": "keyword",
  "info": "ProgressIndicatorBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for"
}, {
  "label": "ProgressReporting",
  "type": "keyword",
  "info": "ProgressReporting is an option for various algorithmic functions that specifies whether to report th"
}, {
  "label": "Projection",
  "type": "keyword",
  "info": "Projection[u, v] finds the projection of the vector u onto the vector v.Projection[u, v, f] finds pr"
}, {
  "label": "Prolog",
  "type": "keyword",
  "info": "Prolog is an option for graphics functions which gives a list of graphics primitives to be rendered "
}, {
  "label": "PromptForm",
  "type": "keyword",
  "info": "PromptForm[prompt, expr] prints as an output prompt and expression."
}, {
  "label": "ProofObject",
  "type": "keyword",
  "info": "ProofObject[â¦] represents a proof object generated by FindEquationalProof."
}, {
  "label": "Properties",
  "type": "keyword",
  "info": "Properties is an option that allows specification of properties to objects and items of objects."
}, {
  "label": "Property",
  "type": "keyword",
  "info": "Property[item, name ï¢ value] associates the property name ï¢ value with item."
}, {
  "label": "PropertyList",
  "type": "keyword",
  "info": "PropertyList[{obj, itemspec}] lists the properties available for itemspec in obj."
}, {
  "label": "PropertyValue",
  "type": "keyword",
  "info": "PropertyValue[{obj, item}, name] gives the property value associated with name for item in obj.Prope"
}, {
  "label": "Proportion",
  "type": "keyword",
  "info": "Proportion[x, y, â¦] displays as x â\\[CenterDot] y â\\[CenterDot] â¦."
}, {
  "label": "Proportional",
  "type": "keyword",
  "info": "Proportional[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Protect",
  "type": "keyword",
  "info": "Protect[s , s , â¦] sets the attribute Protected for the symbols s . Protect[\"form \", \"form \", â¦] pro"
}, {
  "label": "Protected",
  "type": "keyword",
  "info": "Protected is an attribute that prevents any values associated with a symbol from being modified. "
}, {
  "label": "ProteinData",
  "type": "keyword",
  "info": "ProteinData[entity] gives the reference amino acid sequence for the protein entity.ProteinData[entit"
}, {
  "label": "Pruning",
  "type": "keyword",
  "info": "Pruning[image] removes the outermost branches of thin objects in image by setting their values to bl"
}, {
  "label": "PseudoInverse",
  "type": "keyword",
  "info": "PseudoInverse[m] finds the pseudoinverse of a rectangular matrix. "
}, {
  "label": "PsychrometricPropertyData",
  "type": "keyword",
  "info": "PsychrometricPropertyData[spec] returns the psychrometric properties of moist air for the specified "
}, {
  "label": "PublicKey",
  "type": "keyword",
  "info": "PublicKey[assoc] represents the public part of a key pair for a public-key cryptographic system.Publ"
}, {
  "label": "PublisherID",
  "type": "keyword",
  "info": "PublisherID is an option for ResourceSubmit that specifies the ID used to submit a resource for publ"
}, {
  "label": "PulsarData",
  "type": "keyword",
  "info": "PulsarData[entity, property] gives the value of the specified property for the pulsar entity.PulsarD"
}, {
  "label": "PunctuationCharacter",
  "type": "keyword",
  "info": "PunctuationCharacter represents a punctuation character in StringExpression."
}, {
  "label": "Purple",
  "type": "keyword",
  "info": "Purple represents the color purple in graphics or style specifications. "
}, {
  "label": "Put",
  "type": "keyword",
  "info": "expr >> filename writes expr to a file. Put[expr , expr , â¦, \"filename\"] writes a sequence of expres"
}, {
  "label": "PutAppend",
  "type": "keyword",
  "info": "expr >>> filename appends expr to a file. PutAppend[expr , expr , â¦, \"filename\"] appends a sequence "
}, {
  "label": "Pyramid",
  "type": "keyword",
  "info": "Pyramid[{p , â¦, p }] represents a filled pyramid with base {p , â¦, p } and top p .\n          1      "
}, {
  "label": "PyramidBox",
  "type": "keyword",
  "info": "System`PyramidBox"
}, {
  "label": "PyramidBoxOptions",
  "type": "keyword",
  "info": "System`PyramidBoxOptions"
}, {
  "label": "QBinomial",
  "type": "keyword",
  "info": "QBinomial[n, m, q] gives the q-binomial coefficient (n) .\n                                          "
}, {
  "label": "QFactorial",
  "type": "keyword",
  "info": "QFactorial[n, q] gives the q-factorial [n]  !.\n                                          q"
}, {
  "label": "QGamma",
  "type": "keyword",
  "info": "QGamma[z, q] gives the q-gamma function Î  (z).\n                                         q"
}, {
  "label": "QHypergeometricPFQ",
  "type": "keyword",
  "info": "QHypergeometricPFQ[{a , â¦, a }, {b , â¦, b }, q, z] gives the basic hypergeometric series ï   ï  Ï  (a "
}, {
  "label": "QnDispersion",
  "type": "keyword",
  "info": "QnDispersion[list] gives the Q  statistic of the elements in list.QnDispersion[list, c] gives the Q "
}, {
  "label": "QPochhammer",
  "type": "keyword",
  "info": "QPochhammer[a, q, n] gives the q-Pochhammer symbol (a ; q)  .QPochhammer[a, q] gives the q-Pochhamme"
}, {
  "label": "QPolyGamma",
  "type": "keyword",
  "info": "                                                                                    th              "
}, {
  "label": "QRDecomposition",
  "type": "keyword",
  "info": "QRDecomposition[m] yields the QR decomposition for a numerical matrix m. The result is a list {q, r}"
}, {
  "label": "QuadraticIrrationalQ",
  "type": "keyword",
  "info": "QuadraticIrrationalQ[x] gives True if x is a quadratic irrational and False otherwise."
}, {
  "label": "QuadraticOptimization",
  "type": "keyword",
  "info": "QuadraticOptimization[f, cons, vars] finds values of variables vars that minimize the quadratic obje"
}, {
  "label": "Quantile",
  "type": "keyword",
  "info": "                               th\nQuantile[list, q] gives the qï ï    quantile of list. Quantile[list,"
}, {
  "label": "QuantilePlot",
  "type": "keyword",
  "info": "QuantilePlot[list] generates a plot of quantiles of list against the quantiles of a normal distribut"
}, {
  "label": "Quantity",
  "type": "keyword",
  "info": "Quantity[magnitude, unit] represents a quantity with size magnitude and unit specified by unit.Quant"
}, {
  "label": "QuantityArray",
  "type": "keyword",
  "info": "QuantityArray[mags, unit] represents an array of quantities with magnitudes mags and common unit.Qua"
}, {
  "label": "QuantityDistribution",
  "type": "keyword",
  "info": "QuantityDistribution[dist, unit] represents a distribution dist of quantities with unit specified by"
}, {
  "label": "QuantityForm",
  "type": "keyword",
  "info": "QuantityForm[expr, form] prints expr with all Quantity expressions using the specified unit display "
}, {
  "label": "QuantityMagnitude",
  "type": "keyword",
  "info": "QuantityMagnitude[quantity] gives the amount of the specified quantity.QuantityMagnitude[quantity, u"
}, {
  "label": "QuantityQ",
  "type": "keyword",
  "info": "QuantityQ[expr] gives True if expr is a Quantity with valid arguments, and False otherwise."
}, {
  "label": "QuantityUnit",
  "type": "keyword",
  "info": "QuantityUnit[quantity] returns the unit associated with the specified quantity."
}, {
  "label": "QuantityVariable",
  "type": "keyword",
  "info": "QuantityVariable[var, \"pq\"] represents a variable with the label var and the corresponding physical "
}, {
  "label": "QuantityVariableCanonicalUnit",
  "type": "keyword",
  "info": "QuantityVariableCanonicalUnit[quantityvariable] returns the canonical unit associated with the speci"
}, {
  "label": "QuantityVariableDimensions",
  "type": "keyword",
  "info": "QuantityVariableDimensions[quantityvariable] returns a list of base dimensions associated with the s"
}, {
  "label": "QuantityVariableIdentifier",
  "type": "keyword",
  "info": "QuantityVariableIdentifier[quantityvariable] returns the identifier associated with the specified qu"
}, {
  "label": "QuantityVariablePhysicalQuantity",
  "type": "keyword",
  "info": "QuantityVariablePhysicalQuantity[var] returns the physical quantity associated with the quantity var"
}, {
  "label": "Quartics",
  "type": "keyword",
  "info": "Quartics is an option for functions that involve solving algebraic equations that specifies whether "
}, {
  "label": "QuartileDeviation",
  "type": "keyword",
  "info": "QuartileDeviation[list] gives the quartile deviation or semi-interquartile range of the elements in "
}, {
  "label": "Quartiles",
  "type": "keyword",
  "info": "Quartiles[list] gives a list of the 1\/4, 1\/2 and 3\/4 quantiles of the elements in list.Quartiles[dis"
}, {
  "label": "QuartileSkewness",
  "type": "keyword",
  "info": "QuartileSkewness[list] gives the coefficient of quartile skewness for the elements in list.QuartileS"
}, {
  "label": "Query",
  "type": "keyword",
  "info": "Query[operator , operator , â¦] represents a query that can be applied to a Dataset object, in which "
}, {
  "label": "QuestionInterface",
  "type": "keyword",
  "info": "QuestionInterface[type, ï p  ï¢ s , p  ï¢ s , â¦|>] defines an interface for a QuestionObject using the"
}, {
  "label": "QuestionObject",
  "type": "keyword",
  "info": "QuestionObject[q, assess] represents the question q and the corresponding assessment assess.Question"
}, {
  "label": "QueueingNetworkProcess",
  "type": "keyword",
  "info": "QueueingNetworkProcess[Î\.b3, r, Î¼, c] represents an open (Jackson) queueing network process with arriva"
}, {
  "label": "QueueingProcess",
  "type": "keyword",
  "info": "QueueingProcess[Î», Î¼] represents an M\/M\/1 queue with arrival rate Î» and service rate Î¼.QueueingProce"
}, {
  "label": "QueueProperties",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Quiet",
  "type": "keyword",
  "info": "Quiet[expr] evaluates expr \"quietly\", without actually outputting any messages generated.Quiet[expr,"
}, {
  "label": "QuietEcho",
  "type": "keyword",
  "info": "QuietEcho[expr] evaluates expr without letting Echo and related functions inside expr print any resu"
}, {
  "label": "Quit",
  "type": "keyword",
  "info": "Quit[] terminates a Wolfram Language kernel session. "
}, {
  "label": "Quotient",
  "type": "keyword",
  "info": "Quotient[m, n] gives the integer quotient of m and n. Quotient[m, n, d] uses an offset d. \n"
}, {
  "label": "QuotientRemainder",
  "type": "keyword",
  "info": "QuotientRemainder[m, n] gives a list of the quotient and remainder from division of m by n."
}, {
  "label": "RadialAxisPlot",
  "type": "keyword",
  "info": "RadialAxisPlot[{y , y , â¦, y }] generates a radial axis plot where the y  are displayed on radial ax"
}, {
  "label": "RadialGradientFilling",
  "type": "keyword",
  "info": "RadialGradientFilling[{col , col , â¦, col }] is a two-dimensional graphics directive specifying that"
}, {
  "label": "RadialGradientImage",
  "type": "keyword",
  "info": "RadialGradientImage[gcol] returns an image with values radially changing from center to corners base"
}, {
  "label": "RadialityCentrality",
  "type": "keyword",
  "info": "RadialityCentrality[g] gives a list of radiality centralities for the vertices in the graph g.Radial"
}, {
  "label": "RadicalBox",
  "type": "keyword",
  "info": "                                                                                    1\/n\nRadicalBox[x"
}, {
  "label": "RadicalBoxOptions",
  "type": "keyword",
  "info": "RadicalBoxOptions is an option for selections that specifies settings for RadicalBox objects."
}, {
  "label": "RadioButton",
  "type": "keyword",
  "info": "RadioButton[x, val] represents a radio button whose setting x is set to val when the button is click"
}, {
  "label": "RadioButtonBar",
  "type": "keyword",
  "info": "RadioButtonBar[x, {val , val , â¦}] represents a radio button bar with setting x and with labeled rad"
}, {
  "label": "RadioButtonBox",
  "type": "keyword",
  "info": "System`RadioButtonBox"
}, {
  "label": "RadioButtonBoxOptions",
  "type": "keyword",
  "info": "RadioButtonBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Radio"
}, {
  "label": "Radon",
  "type": "keyword",
  "info": "Radon[image] gives an image representing the discrete Radon transform of image.Radon[image, {w, h}] "
}, {
  "label": "RadonTransform",
  "type": "keyword",
  "info": "RadonTransform[expr, {x, y}, {p, Ï}] gives the Radon transform of expr."
}, {
  "label": "RamanujanTau",
  "type": "keyword",
  "info": "RamanujanTau[n] gives the Ramanujan Ï function Ï(n)."
}, {
  "label": "RamanujanTauL",
  "type": "keyword",
  "info": "RamanujanTauL[s] gives the Ramanujan tau Dirichlet L-function L(s)."
}, {
  "label": "RamanujanTauTheta",
  "type": "keyword",
  "info": "RamanujanTauTheta[t] gives the Ramanujan tau theta function Î¸(t)."
}, {
  "label": "RamanujanTauZ",
  "type": "keyword",
  "info": "RamanujanTauZ[t] gives the Ramanujan tau Z-function Z(t)."
}, {
  "label": "Ramp",
  "type": "keyword",
  "info": "Ramp[x] gives x if x â¥ 0 and 0 otherwise."
}, {
  "label": "Random",
  "type": "keyword",
  "info": "Random[] gives a uniformly distributed pseudorandom Real in the range 0 to 1. Random[type, range] gi"
}, {
  "label": "RandomArrayLayer",
  "type": "keyword",
  "info": "RandomArrayLayer[dist] represents a net layer that has no input and produces a random array from the"
}, {
  "label": "RandomChoice",
  "type": "keyword",
  "info": "RandomChoice[{e , e , â¦}] gives a pseudorandom choice of one of the e . RandomChoice[list, n] gives "
}, {
  "label": "RandomColor",
  "type": "keyword",
  "info": "RandomColor[] gives a pseudorandom color directive in the RGBColor space.RandomColor[n] gives n pseu"
}, {
  "label": "RandomComplex",
  "type": "keyword",
  "info": "RandomComplex[] gives a pseudorandom complex number with real and imaginary parts in the range 0 to "
}, {
  "label": "RandomEntity",
  "type": "keyword",
  "info": "RandomEntity[spec] gives a pseudorandom entity with a type determined by the specification spec.Rand"
}, {
  "label": "RandomFunction",
  "type": "keyword",
  "info": "RandomFunction[proc, {t   , t   }] generates a pseudorandom function from the process proc from t   "
}, {
  "label": "RandomGeneratorState",
  "type": "keyword",
  "info": "RandomGeneratorState[â¦] gives a representation of the internal state of a pseudorandom generator."
}, {
  "label": "RandomGeoPosition",
  "type": "keyword",
  "info": "RandomGeoPosition[] gives a pseudorandom geo position uniformly distributed on the surface of the Ea"
}, {
  "label": "RandomGraph",
  "type": "keyword",
  "info": "RandomGraph[{n, m}] gives a pseudorandom graph with n vertices and m edges.RandomGraph[{n, m}, k] gi"
}, {
  "label": "RandomImage",
  "type": "keyword",
  "info": "RandomImage[max] gives an image with pseudorandom pixel values in the range 0 to max.RandomImage[{mi"
}, {
  "label": "RandomInstance",
  "type": "keyword",
  "info": "RandomInstance[expr] finds a random instance of an expression such as a geometric scene.RandomInstan"
}, {
  "label": "RandomInteger",
  "type": "keyword",
  "info": "RandomInteger[{i   , i   }] gives a pseudorandom integer in the range {i   , i   }. RandomInteger[i "
}, {
  "label": "RandomPermutation",
  "type": "keyword",
  "info": "RandomPermutation[gr] gives a pseudorandom permutation in the permutation group gr.RandomPermutation"
}, {
  "label": "RandomPoint",
  "type": "keyword",
  "info": "RandomPoint[reg] gives a pseudorandom point uniformly distributed in the region reg.RandomPoint[reg,"
}, {
  "label": "RandomPointConfiguration",
  "type": "keyword",
  "info": "RandomPointConfiguration[pproc, reg] generates a pseudorandom spatial point configuration from the s"
}, {
  "label": "RandomPolygon",
  "type": "keyword",
  "info": "RandomPolygon[n] gives a pseudorandom simple polygon with n vertex points.RandomPolygon[spec] gives "
}, {
  "label": "RandomPolyhedron",
  "type": "keyword",
  "info": "RandomPolyhedron[spec] gives a pseudorandom polyhedron with the specified specification spec.RandomP"
}, {
  "label": "RandomPrime",
  "type": "keyword",
  "info": "RandomPrime[{i   , i   }] gives a pseudorandom prime number in the range i    to i   .RandomPrime[i "
}, {
  "label": "RandomReal",
  "type": "keyword",
  "info": "RandomReal[] gives a pseudorandom real number in the range 0 to 1. RandomReal[{x   , x   }] gives a "
}, {
  "label": "RandomSample",
  "type": "keyword",
  "info": "RandomSample[{e , e , â¦}, n] gives a pseudorandom sample of n of the e .RandomSample[{w , w , â¦} ï¢ {"
}, {
  "label": "RandomSeed",
  "type": "keyword",
  "info": "System`RandomSeed"
}, {
  "label": "RandomSeeding",
  "type": "keyword",
  "info": "RandomSeeding is an option that specifies what seeding of pseudorandom generators should be done ins"
}, {
  "label": "RandomTree",
  "type": "keyword",
  "info": "RandomTree[n] gives a pseudorandom tree with n nodes.RandomTree[n, k] gives a list of k pseudorandom"
}, {
  "label": "RandomVariate",
  "type": "keyword",
  "info": "RandomVariate[dist] gives a pseudorandom variate from the symbolic distribution dist.RandomVariate[d"
}, {
  "label": "RandomWalkProcess",
  "type": "keyword",
  "info": "RandomWalkProcess[p] represents a random walk on a line with the probability of a positive unit step"
}, {
  "label": "RandomWord",
  "type": "keyword",
  "info": "RandomWord[] gives a pseudorandom commonly used word.RandomWord[n] gives a list of n pseudorandom wo"
}, {
  "label": "Range",
  "type": "keyword",
  "info": "Range[i   ] generates the list {1, 2, â¦, i   }. Range[i   , i   ] generates the list {i   , â¦, i   }"
}, {
  "label": "RangeFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "RangeSpecification",
  "type": "keyword",
  "info": "System`RangeSpecification"
}, {
  "label": "RankedMax",
  "type": "keyword",
  "info": "                               th                                                         th\nRankedM"
}, {
  "label": "RankedMin",
  "type": "keyword",
  "info": "                               th                                                          th\nRanked"
}, {
  "label": "RarerProbability",
  "type": "keyword",
  "info": "RarerProbability[dist, example] computes the probability for distribution dist to generate a sample "
}, {
  "label": "Raster",
  "type": "keyword",
  "info": "Raster[{{a  , a  , â¦}, â¦}] is a two-dimensional graphics primitive which represents a rectangular ar"
}, {
  "label": "Raster3D",
  "type": "keyword",
  "info": "Raster3D[{{{a  , a  , â¦}, â¦}, â¦}] is a three-dimensional graphics primitive that represents a cubica"
}, {
  "label": "Raster3DBox",
  "type": "keyword",
  "info": "System`Raster3DBox"
}, {
  "label": "Raster3DBoxOptions",
  "type": "keyword",
  "info": "Raster3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Raster3D"
}, {
  "label": "RasterArray",
  "type": "keyword",
  "info": "RasterArray[{{g  , g  , â¦}, â¦}] is a two-dimensional graphics primitive that represents a rectangula"
}, {
  "label": "RasterBox",
  "type": "keyword",
  "info": "System`RasterBox"
}, {
  "label": "RasterBoxOptions",
  "type": "keyword",
  "info": "RasterBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for RasterBox "
}, {
  "label": "Rasterize",
  "type": "keyword",
  "info": "Rasterize[expr] returns a rasterized version of the displayed form of expr.Rasterize[expr, elem] giv"
}, {
  "label": "RasterSize",
  "type": "keyword",
  "info": "RasterSize is an option for Rasterize and related functions that determines the absolute pixel size "
}, {
  "label": "Rational",
  "type": "keyword",
  "info": "Rational is the head used for rational numbers. "
}, {
  "label": "RationalExpressionQ",
  "type": "keyword",
  "info": "RationalExpressionQ[expr, x] gives True if expr is structurally a rational expression in x, and Fals"
}, {
  "label": "RationalFunctions",
  "type": "keyword",
  "info": "System`RationalFunctions"
}, {
  "label": "Rationalize",
  "type": "keyword",
  "info": "Rationalize[x] converts an approximate number x to a nearby rational with small denominator. Rationa"
}, {
  "label": "Rationals",
  "type": "keyword",
  "info": "Rationals represents the domain of rational numbers, as in x â Rationals. "
}, {
  "label": "Ratios",
  "type": "keyword",
  "info": "                                                                                          th        "
}, {
  "label": "RawArray",
  "type": "keyword",
  "info": "System`RawArray"
}, {
  "label": "RawBoxes",
  "type": "keyword",
  "info": "RawBoxes[boxes] is a low-level construct which is formatted as boxes without further interpretation."
}, {
  "label": "RawData",
  "type": "keyword",
  "info": "RawData[data] is a low-level representation of the contents of a cell in which Show Cell Expression "
}, {
  "label": "RawMedium",
  "type": "keyword",
  "info": "RawMedium is an internal symbol."
}, {
  "label": "RayleighDistribution",
  "type": "keyword",
  "info": "RayleighDistribution[Ï] represents the Rayleigh distribution with scale parameter Ï."
}, {
  "label": "Re",
  "type": "keyword",
  "info": "Re[z] gives the real part of the complex number z. "
}, {
  "label": "ReactionBalance",
  "type": "keyword",
  "info": "ReactionBalance[rxn] returns a version of the reaction rxn in which the stoichiometric coefficients "
}, {
  "label": "ReactionBalancedQ",
  "type": "keyword",
  "info": "ReactionBalancedQ[rxn] returns True if the given chemical reaction is balanced, and False otherwise."
}, {
  "label": "ReactionPDETerm",
  "type": "keyword",
  "info": "ReactionPDETerm[vars, a] represents a reaction term a u with reaction coefficient a and with model v"
}, {
  "label": "Read",
  "type": "keyword",
  "info": "Read[stream] reads one expression from an input stream and returns the expression. Read[stream, type"
}, {
  "label": "ReadByteArray",
  "type": "keyword",
  "info": "ReadByteArray[src] gives the contents of src as a ByteArray object.ReadByteArray[src, n] reads the f"
}, {
  "label": "ReadLine",
  "type": "keyword",
  "info": "ReadLine[stream] reads a line of text from a stream and returns it as a string.\nReadLine[proc] reads"
}, {
  "label": "ReadList",
  "type": "keyword",
  "info": "ReadList[\"file\"] reads all the remaining expressions in a file and returns a list of them. ReadList["
}, {
  "label": "ReadProtected",
  "type": "keyword",
  "info": "ReadProtected is an attribute that prevents values associated with a symbol from being seen. "
}, {
  "label": "ReadString",
  "type": "keyword",
  "info": "ReadString[\"file\"] reads the complete contents of a file and returns it as a string.\nReadString[stre"
}, {
  "label": "Real",
  "type": "keyword",
  "info": "Real is the head used for real (floatingâpoint) numbers. "
}, {
  "label": "RealAbs",
  "type": "keyword",
  "info": "RealAbs[x] gives the absolute value of the real number x. "
}, {
  "label": "RealBlockDiagonalForm",
  "type": "keyword",
  "info": "RealBlockDiagonalForm is an option for SchurDecomposition and related functions which specifies whet"
}, {
  "label": "RealDigits",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "RealExponent",
  "type": "keyword",
  "info": "RealExponent[x] gives log  (ï x ï).RealExponent[x, b] gives log (ï x ï).\n                         10"
}, {
  "label": "Reals",
  "type": "keyword",
  "info": "Reals represents the domain of real numbers, as in x â Reals. "
}, {
  "label": "RealSign",
  "type": "keyword",
  "info": "RealSign[x] gives -1, 0 or 1 depending on whether x is negative, zero or positive. "
}, {
  "label": "Reap",
  "type": "keyword",
  "info": "Reap[expr] gives the value of expr together with all expressions to which Sow has been applied durin"
}, {
  "label": "RebuildPacletData",
  "type": "keyword",
  "info": "The experimental function RebuildPacletData is now obsolete and is superseded by PacletDataRebuild."
}, {
  "label": "RecalibrationFunction",
  "type": "keyword",
  "info": "RecalibrationFunction is an option for Classify, Predict and related functions that specifies how to"
}, {
  "label": "RecognitionPrior",
  "type": "keyword",
  "info": "RecognitionPrior is an option for recognition functions that specifies the prior probability or clas"
}, {
  "label": "RecognitionThreshold",
  "type": "keyword",
  "info": "RecognitionThreshold is an option for ImageInstanceQ and related functions that specifies the minimu"
}, {
  "label": "Record",
  "type": "keyword",
  "info": "Record represents a record in Read, Find, and related functions. "
}, {
  "label": "RecordLists",
  "type": "keyword",
  "info": "RecordLists is an option for ReadList that specifies whether objects from separate records should be"
}, {
  "label": "RecordSeparators",
  "type": "keyword",
  "info": "RecordSeparators is an option for Read, Find, and related functions that specifies the list of strin"
}, {
  "label": "Rectangle",
  "type": "keyword",
  "info": "Rectangle[{x   , y   }, {x   , y   }] represents an axis-aligned filled rectangle from {x   , y   } "
}, {
  "label": "RectangleBox",
  "type": "keyword",
  "info": "System`RectangleBox"
}, {
  "label": "RectangleBoxOptions",
  "type": "keyword",
  "info": "RectangleBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Rectang"
}, {
  "label": "RectangleChart",
  "type": "keyword",
  "info": "RectangleChart[{{x , y }, {x , y }, â¦}] makes a rectangle chart with bars of width x  and height y ."
}, {
  "label": "RectangleChart3D",
  "type": "keyword",
  "info": "RectangleChart3D[{{x , y , z }, {x , y , z }, â¦}] makes a 3D rectangle chart with bars of width x , "
}, {
  "label": "RectangularRepeatingElement",
  "type": "keyword",
  "info": "RectangularRepeatingElement[elem] represents a rectangular array of elements of type spec in an inte"
}, {
  "label": "RecurrenceFilter",
  "type": "keyword",
  "info": "RecurrenceFilter[{Î\\[PlusMinus], Î\.b2}, x] filters x using a linear recurrence equation with coefficients Î\\[PlusMinus] and Î\.b2.R"
}, {
  "label": "RecurrenceTable",
  "type": "keyword",
  "info": "RecurrenceTable[eqns, expr, {n, n   }] generates a list of values of expr for successive n based on "
}, {
  "label": "RecurringDigitsForm",
  "type": "keyword",
  "info": "System`RecurringDigitsForm"
}, {
  "label": "Red",
  "type": "keyword",
  "info": "Red represents the color red in graphics or style specifications. "
}, {
  "label": "Reduce",
  "type": "keyword",
  "info": "Reduce[expr, vars] reduces the statement expr by solving equations or inequalities for vars and elim"
}, {
  "label": "RefBox",
  "type": "keyword",
  "info": "System`RefBox"
}, {
  "label": "ReferenceLineStyle",
  "type": "keyword",
  "info": "ReferenceLineStyle is an option for QuantilePlot and similar functions that specifies the style used"
}, {
  "label": "ReferenceMarkers",
  "type": "keyword",
  "info": "System`ReferenceMarkers"
}, {
  "label": "ReferenceMarkerStyle",
  "type": "keyword",
  "info": "System`ReferenceMarkerStyle"
}, {
  "label": "Refine",
  "type": "keyword",
  "info": "Refine[expr, assum] gives the form of expr that would be obtained if symbols in it were replaced by "
}, {
  "label": "ReflectionMatrix",
  "type": "keyword",
  "info": "ReflectionMatrix[v] gives the matrix that represents reflection of points in a mirror normal to the "
}, {
  "label": "ReflectionTransform",
  "type": "keyword",
  "info": "ReflectionTransform[v] gives a TransformationFunction that represents a reflection in a mirror throu"
}, {
  "label": "Refresh",
  "type": "keyword",
  "info": "Refresh[expr, opts] represents an object whose value in a Dynamic should be refreshed at times speci"
}, {
  "label": "RefreshRate",
  "type": "keyword",
  "info": "RefreshRate is an option to Animate and related functions which specifies the refresh rate for frame"
}, {
  "label": "Region",
  "type": "keyword",
  "info": "Region[reg] represents a geometric region.Region[reg, options] gives a region that uses the specifie"
}, {
  "label": "RegionBinarize",
  "type": "keyword",
  "info": "RegionBinarize[image, marker, d] gives a binary version of image that includes the foreground pixels"
}, {
  "label": "RegionBoundary",
  "type": "keyword",
  "info": "RegionBoundary[reg] represents the boundary of the region reg."
}, {
  "label": "RegionBoundaryStyle",
  "type": "keyword",
  "info": "RegionBoundaryStyle is an option for plotting functions that specifies the boundary style for the re"
}, {
  "label": "RegionBounds",
  "type": "keyword",
  "info": "RegionBounds[reg] gives the bounds for the region reg.RegionBounds[reg, \"type\"] gives region bounds "
}, {
  "label": "RegionCentroid",
  "type": "keyword",
  "info": "RegionCentroid[reg] gives the centroid of the region reg."
}, {
  "label": "RegionCongruent",
  "type": "keyword",
  "info": "RegionCongruent[reg , reg ] tests whether the regions reg  and reg  are congruent.\n                 "
}, {
  "label": "RegionConvert",
  "type": "keyword",
  "info": "RegionConvert[reg, form] converts the region representation reg to the specified form."
}, {
  "label": "RegionDifference",
  "type": "keyword",
  "info": "RegionDifference[reg , reg ] gives the difference of the regions reg  and reg .\n                    "
}, {
  "label": "RegionDilation",
  "type": "keyword",
  "info": "RegionDilation[reg, r] gives the dilation of the region reg by a disk of radius r centered at the or"
}, {
  "label": "RegionDimension",
  "type": "keyword",
  "info": "RegionDimension[reg] gives the geometric dimension of the region reg. "
}, {
  "label": "RegionDisjoint",
  "type": "keyword",
  "info": "RegionDisjoint[reg , reg ] returns True if the regions reg  and reg  are disjoint. RegionDisjoint[re"
}, {
  "label": "RegionDistance",
  "type": "keyword",
  "info": "RegionDistance[reg, p] gives the minimum distance from the point p to the region reg.RegionDistance["
}, {
  "label": "RegionDistanceFunction",
  "type": "keyword",
  "info": "RegionDistanceFunction[reg, â¦]  represents a function whose values give the distance from a point to"
}, {
  "label": "RegionEmbeddingDimension",
  "type": "keyword",
  "info": "RegionEmbeddingDimension[reg] gives the dimension of the space in which the region reg is embedded. "
}, {
  "label": "RegionEqual",
  "type": "keyword",
  "info": "RegionEqual[reg , reg ] returns True if the regions reg  and reg  are equal.RegionEqual[reg , reg , "
}, {
  "label": "RegionErosion",
  "type": "keyword",
  "info": "RegionErosion[reg, r] gives the erosion of the region reg by a disk of radius r centered at the orig"
}, {
  "label": "RegionFillingStyle",
  "type": "keyword",
  "info": "RegionFillingStyle is an option for plotting functions that specifies the style for the filled regio"
}, {
  "label": "RegionFit",
  "type": "keyword",
  "info": "RegionFit[{p , p , â¦}, \"model\"] finds a geometric region \"model\" that best fits the points p , p , â¦"
}, {
  "label": "RegionFunction",
  "type": "keyword",
  "info": "RegionFunction is an option for plotting functions that specifies the region to include in the plot "
}, {
  "label": "RegionImage",
  "type": "keyword",
  "info": "RegionImage[reg] returns a rasterized grayscale 2D or 3D image of reg.RegionImage[reg, {{x   , x   }"
}, {
  "label": "RegionIntersection",
  "type": "keyword",
  "info": "RegionIntersection[reg , reg , â¦] gives the intersection of the regions reg , reg , â¦.\n             "
}, {
  "label": "RegionMeasure",
  "type": "keyword",
  "info": "RegionMeasure[reg] gives the measure of the region reg.RegionMeasure[reg, d] gives the d-dimensional"
}, {
  "label": "RegionMember",
  "type": "keyword",
  "info": "RegionMember[reg, {x, y, â¦}] gives True if the numeric point {x, y, â¦} is a member of the constant r"
}, {
  "label": "RegionMemberFunction",
  "type": "keyword",
  "info": "RegionMemberFunction[reg, â¦]  represents a function whose values give whether a point is in a region"
}, {
  "label": "RegionMoment",
  "type": "keyword",
  "info": "                                                                            i   i     i\nRegionMoment"
}, {
  "label": "RegionNearest",
  "type": "keyword",
  "info": "RegionNearest[reg, p] gives a point in the region reg that is nearest the point p. RegionNearest[reg"
}, {
  "label": "RegionNearestFunction",
  "type": "keyword",
  "info": "RegionNearestFunction[reg, â¦]  represents a function whose values give the nearest point in the regi"
}, {
  "label": "RegionPlot",
  "type": "keyword",
  "info": "RegionPlot[pred, {x, x   , x   }, {y, y   , y   }] makes a plot showing the region in which pred is "
}, {
  "label": "RegionPlot3D",
  "type": "keyword",
  "info": "RegionPlot3D[pred, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] makes a plot showing the three"
}, {
  "label": "RegionProduct",
  "type": "keyword",
  "info": "RegionProduct[reg , reg ] represents the Cartesian product of the regions reg  and reg .RegionProduc"
}, {
  "label": "RegionQ",
  "type": "keyword",
  "info": "RegionQ[reg] gives True if reg is a valid region and False otherwise. "
}, {
  "label": "RegionResize",
  "type": "keyword",
  "info": "RegionResize[reg, l] resize the region reg to have the first side length l preserving side length ra"
}, {
  "label": "RegionSimilar",
  "type": "keyword",
  "info": "RegionSimilar[reg , reg ] tests whether the regions reg  and reg  are similar.\n                 1   "
}, {
  "label": "RegionSize",
  "type": "keyword",
  "info": "RegionSize is an option used by Printout3D to specify the overall size of an object to print for a r"
}, {
  "label": "RegionSymmetricDifference",
  "type": "keyword",
  "info": "RegionSymmetricDifference[reg , reg , â¦] represents the symmetric difference of the regions reg , re"
}, {
  "label": "RegionUnion",
  "type": "keyword",
  "info": "RegionUnion[reg , reg , â¦] gives the union of the regions reg , reg , â¦.\n               1     2     "
}, {
  "label": "RegionWithin",
  "type": "keyword",
  "info": "RegionWithin[reg , reg ] returns True if reg  is contained within reg .\n                1     2     "
}, {
  "label": "RegisterExternalEvaluator",
  "type": "keyword",
  "info": "RegisterExternalEvaluator[sys, target] registers the target for use as an external evaluator with th"
}, {
  "label": "RegularExpression",
  "type": "keyword",
  "info": "RegularExpression[\"regex\"] represents the generalized regular expression specified by the string \"re"
}, {
  "label": "Regularization",
  "type": "keyword",
  "info": "Regularization is an option for Sum and Product that specifies what type of regularization to use."
}, {
  "label": "RegularlySampledQ",
  "type": "keyword",
  "info": "RegularlySampledQ[tseries] gives True if tseries is a regular time series, and False otherwise."
}, {
  "label": "RegularPolygon",
  "type": "keyword",
  "info": "RegularPolygon[n] gives the regular polygon with n vertices equally spaced around the unit circle.Re"
}, {
  "label": "ReIm",
  "type": "keyword",
  "info": "ReIm[z] gives the list {Re[z], Im[z]} of the number z."
}, {
  "label": "ReImLabels",
  "type": "keyword",
  "info": "ReImLabels is an option for ReImPlot that specifies labels to use for the real and imaginary compone"
}, {
  "label": "ReImPlot",
  "type": "keyword",
  "info": "ReImPlot[f, {x, x   , x   }] generates a plot of Re[f] and Im[f] as functions of x â ï\\[Micro] from x    to "
}, {
  "label": "ReImStyle",
  "type": "keyword",
  "info": "ReImStyle is an option for ReImPlot that specifies styles to use for the real and imaginary componen"
}, {
  "label": "Reinstall",
  "type": "keyword",
  "info": "Reinstall[link] un-installs the specified external package and installs it again."
}, {
  "label": "RelationalDatabase",
  "type": "keyword",
  "info": "RelationalDatabase[â¦] represents schema information about a relational database.RelationalDatabase[d"
}, {
  "label": "RelationGraph",
  "type": "keyword",
  "info": "RelationGraph[f, {v , v , â¦}] gives the graph with vertices v  and edges from v  to v  whenever f[v "
}, {
  "label": "Release",
  "type": "keyword",
  "info": "System`Release"
}, {
  "label": "ReleaseHold",
  "type": "keyword",
  "info": "ReleaseHold[expr] removes Hold, HoldForm, HoldPattern, and HoldComplete in expr. "
}, {
  "label": "ReliabilityDistribution",
  "type": "keyword",
  "info": "ReliabilityDistribution[bexpr, {{x , dist }, {x , dist }, â¦}] represents the reliability distributio"
}, {
  "label": "ReliefImage",
  "type": "keyword",
  "info": "ReliefImage[array] generates a relief image of an array of height values. "
}, {
  "label": "ReliefPlot",
  "type": "keyword",
  "info": "ReliefPlot[array] generates a relief plot of an array of height values. "
}, {
  "label": "RemoteAuthorizationCaching",
  "type": "keyword",
  "info": "RemoteAuthorizationCaching is an option for RemoteConnect and related functions that determines whet"
}, {
  "label": "RemoteBatchJobAbort",
  "type": "keyword",
  "info": "RemoteBatchJobAbort[job] aborts a remote batch job."
}, {
  "label": "RemoteBatchJobObject",
  "type": "keyword",
  "info": "RemoteBatchJobObject[â¦] represents a remote batch job submitted by RemoteBatchSubmit or RemoteBatchM"
}, {
  "label": "RemoteBatchJobs",
  "type": "keyword",
  "info": "RemoteBatchJobs[env] gives a list of RemoteBatchJobObject expressions representing batch jobs submit"
}, {
  "label": "RemoteBatchMapSubmit",
  "type": "keyword",
  "info": "RemoteBatchMapSubmit[env, f, list] submits an array batch job in which f is applied to each element "
}, {
  "label": "RemoteBatchSubmissionEnvironment",
  "type": "keyword",
  "info": "RemoteBatchSubmissionEnvironment[\"provider\", assoc] represents a remote batch job submission environ"
}, {
  "label": "RemoteBatchSubmit",
  "type": "keyword",
  "info": "RemoteBatchSubmit[env, expr] submits expr for evaluation using the remote batch submission environme"
}, {
  "label": "RemoteConnect",
  "type": "keyword",
  "info": "RemoteConnect[\"host\"] connects to the specified remote host.RemoteConnect[IPAddress[\"address\"]] conn"
}, {
  "label": "RemoteConnectionObject",
  "type": "keyword",
  "info": "RemoteConnectionObject[â¦] is an object that represents a remote connection."
}, {
  "label": "RemoteEvaluate",
  "type": "keyword",
  "info": "RemoteEvaluate[expr] gives the result of evaluating expr using your current default remote Wolfram L"
}, {
  "label": "RemoteFile",
  "type": "keyword",
  "info": "RemoteFile[URL[\"uri\"]] is a symbolic representation of a file on a remote machine."
}, {
  "label": "RemoteInputFiles",
  "type": "keyword",
  "info": "RemoteInputFiles is an option for RemoteBatchSubmit and RemoteBatchMapSubmit that specifies local fi"
}, {
  "label": "RemoteKernelObject",
  "type": "keyword",
  "info": "RemoteKernelObject[spec] specifies a remote kernel that can be used for RemoteEvaluate or LaunchKern"
}, {
  "label": "RemoteProviderSettings",
  "type": "keyword",
  "info": "RemoteProviderSettings is an option for RemoteBatchSubmit and RemoteBatchMapSubmit that specifies pr"
}, {
  "label": "RemoteRun",
  "type": "keyword",
  "info": "RemoteRun[\"host\", \"command\"] runs the specified operating system command on the remote host, returni"
}, {
  "label": "RemoteRunProcess",
  "type": "keyword",
  "info": "RemoteRunProcess[\"host\", \"command\"] runs the specified system command on the remote host, returning "
}, {
  "label": "RemovalConditions",
  "type": "keyword",
  "info": "RemovalConditions is an option for AttachCell that specifies conditions under which to remove the at"
}, {
  "label": "Remove",
  "type": "keyword",
  "info": "Remove[symbol , â¦] removes symbols completely, so that their names are no longer recognized by the W"
}, {
  "label": "RemoveAlphaChannel",
  "type": "keyword",
  "info": "RemoveAlphaChannel[color] removes opacity from color.RemoveAlphaChannel[color, bg] removes opacity b"
}, {
  "label": "RemoveAsynchronousTask",
  "type": "keyword",
  "info": "RemoveAsynchronousTask[asyncTask] stops asynchronous evaluations and removes asyncTask from the syst"
}, {
  "label": "RemoveAudioStream",
  "type": "keyword",
  "info": "RemoveAudioStream[] deletes all AudioStream objects.RemoveAudioStream[stream] deletes the AudioStrea"
}, {
  "label": "RemoveBackground",
  "type": "keyword",
  "info": "RemoveBackground[image] returns an image with an alpha channel where the background is transparent. "
}, {
  "label": "RemoveChannelListener",
  "type": "keyword",
  "info": "RemoveChannelListener[obj] removes obj from the list of currently active channel listeners.RemoveCha"
}, {
  "label": "RemoveChannelSubscribers",
  "type": "keyword",
  "info": "RemoveChannelSubscribers[channel] removes all subscribers from the specified channel.RemoveChannelSu"
}, {
  "label": "Removed",
  "type": "keyword",
  "info": "Removed[string] is printed to indicate a symbol that has been removed."
}, {
  "label": "RemoveDiacritics",
  "type": "keyword",
  "info": "RemoveDiacritics[string] replaces characters in string that have diacritics by their base ASCII char"
}, {
  "label": "RemoveInputStreamMethod",
  "type": "keyword",
  "info": "RemoveInputStreamMethod[\"name\"] removes a custom input stream method."
}, {
  "label": "RemoveOutputStreamMethod",
  "type": "keyword",
  "info": "RemoveOutputStreamMethod[\"name\"] removes a custom output stream method."
}, {
  "label": "RemoveProperty",
  "type": "keyword",
  "info": "RemoveProperty[{obj, itemspec}] removes all properties associated with itemspec in obj.RemovePropert"
}, {
  "label": "RemoveScheduledTask",
  "type": "keyword",
  "info": "RemoveScheduledTask[obj] removes obj from the list of currently scheduled local or cloud tasks."
}, {
  "label": "RemoveUsers",
  "type": "keyword",
  "info": "RemoveUsers[group, {user , â¦}] removes the users user  from the permissions group group.\n           "
}, {
  "label": "RemoveVideoStream",
  "type": "keyword",
  "info": "RemoveVideoStream[] deletes all VideoStream objects.RemoveVideoStream[stream] deletes the VideoStrea"
}, {
  "label": "RenameDirectory",
  "type": "keyword",
  "info": "RenameDirectory[dir , dir ] renames the directory dir  to dir . \n                   1     2         "
}, {
  "label": "RenameFile",
  "type": "keyword",
  "info": "RenameFile[file , file ] renames file  to file . \n               1      2              1        2"
}, {
  "label": "RenderAll",
  "type": "keyword",
  "info": "RenderAll is an option for Graphics3D that specifies whether or not PostScript should be generated f"
}, {
  "label": "RenderingOptions",
  "type": "keyword",
  "info": "RenderingOptions is an option for Style, Cell and related constructs that specifies options related "
}, {
  "label": "RenewalProcess",
  "type": "keyword",
  "info": "RenewalProcess[rdist] represents a renewal process with interarrival times distributed according to "
}, {
  "label": "RenkoChart",
  "type": "keyword",
  "info": "RenkoChart[{{date , p }, {date , p }, â¦}] makes a Renko chart with prices p  at date date .RenkoChar"
}, {
  "label": "RepairMesh",
  "type": "keyword",
  "info": "RepairMesh[mreg] repairs defects in the mesh region mreg.RepairMesh[mreg, {def , â¦}] repairs only th"
}, {
  "label": "Repeated",
  "type": "keyword",
  "info": "p .. or Repeated[p] is a pattern object that represents a sequence of one or more expressions, each "
}, {
  "label": "RepeatedNull",
  "type": "keyword",
  "info": "p ... or RepeatedNull[p] is a pattern object that represents a sequence of zero or more expressions,"
}, {
  "label": "RepeatedString",
  "type": "keyword",
  "info": "RepeatedString is an internal symbol used for formatting and printing."
}, {
  "label": "RepeatedTiming",
  "type": "keyword",
  "info": "RepeatedTiming[expr] evaluates expr repeatedly and returns a list of the average time in seconds use"
}, {
  "label": "RepeatingElement",
  "type": "keyword",
  "info": "RepeatingElement[spec] represents an arbitrarily repeated type of element in an interpreter, API or "
}, {
  "label": "Replace",
  "type": "keyword",
  "info": "Replace[expr, rules] applies a rule or list of rules in an attempt to transform the entire expressio"
}, {
  "label": "ReplaceAll",
  "type": "keyword",
  "info": "expr\/.rules or ReplaceAll[expr, rules] applies a rule or list of rules in an attempt to transform ea"
}, {
  "label": "ReplaceHeldPart",
  "type": "keyword",
  "info": "System`ReplaceHeldPart"
}, {
  "label": "ReplaceImageValue",
  "type": "keyword",
  "info": "ReplaceImageValue[image, pos ï¢ val] changes the pixel values at position pos in image to val.Replace"
}, {
  "label": "ReplaceList",
  "type": "keyword",
  "info": "ReplaceList[expr, rules] attempts to transform the entire expression expr by applying a rule or list"
}, {
  "label": "ReplacePart",
  "type": "keyword",
  "info": "                                                                th\nReplacePart[expr, i ï¢ new] yields"
}, {
  "label": "ReplacePixelValue",
  "type": "keyword",
  "info": "ReplacePixelValue[image, ppos ï¢ val] changes the pixel values at pixel position ppos in image to val"
}, {
  "label": "ReplaceRepeated",
  "type": "keyword",
  "info": "expr\/\/.rules repeatedly performs replacements until expr no longer changes. ReplaceRepeated[rules] r"
}, {
  "label": "ReplicateLayer",
  "type": "keyword",
  "info": "ReplicateLayer[n] represents a net layer that takes an input of dimensions {d , d , â¦} and replicate"
}, {
  "label": "RequiredPhysicalQuantities",
  "type": "keyword",
  "info": "RequiredPhysicalQuantities is an option for FormulaLookup that specifies physical quantities that mu"
}, {
  "label": "Resampling",
  "type": "keyword",
  "info": "Resampling is an option that specifies the method to be used for resampling images or arrays."
}, {
  "label": "ResamplingAlgorithmData",
  "type": "keyword",
  "info": "ResamplingAlgorithmData[rs, \"prop\"] gives the specified property \"prop\" for the resampling rs."
}, {
  "label": "ResamplingMethod",
  "type": "keyword",
  "info": "ResamplingMethod is an option for functions such as TemporalData and MovingMap that specifies how va"
}, {
  "label": "Rescale",
  "type": "keyword",
  "info": "Rescale[x, {min, max}] gives x rescaled to run from 0 to 1 over the range min to max. Rescale[x, {mi"
}, {
  "label": "RescalingTransform",
  "type": "keyword",
  "info": "RescalingTransform[{{x   , x   }, {y   , y   }, â¦}, {{xp   , xp   }, â¦}] gives a TransformationFunct"
}, {
  "label": "ResetDirectory",
  "type": "keyword",
  "info": "ResetDirectory[] resets the current working directory to its previous value. "
}, {
  "label": "ResetMenusPacket",
  "type": "keyword",
  "info": "System`ResetMenusPacket"
}, {
  "label": "ResetScheduledTask",
  "type": "keyword",
  "info": "ResetScheduledTask[obj, timespec]  resets the timing for a scheduled task to timespec.ResetScheduled"
}, {
  "label": "ReshapeLayer",
  "type": "keyword",
  "info": "ReshapeLayer[dims] represents a net layer that reinterprets the input to be an array of dimensions d"
}, {
  "label": "Residue",
  "type": "keyword",
  "info": "Residue[expr, {z, z }] finds the residue of expr at the point z = z . \n                   0         "
}, {
  "label": "ResizeLayer",
  "type": "keyword",
  "info": "ResizeLayer[{d}] represents a layer performing one-dimensional resizing of a two-dimensional array.R"
}, {
  "label": "Resolve",
  "type": "keyword",
  "info": "Resolve[expr] attempts to resolve expr into a form that eliminates ForAll and Exists quantifiers. Re"
}, {
  "label": "ResolveContextAliases",
  "type": "keyword",
  "info": "ResolveContextAliases is an option for Names, Contexts and related functions to control whether to r"
}, {
  "label": "ResourceAcquire",
  "type": "keyword",
  "info": "System`ResourceAcquire"
}, {
  "label": "ResourceData",
  "type": "keyword",
  "info": "ResourceData[resource] gives the primary content of the specified resource.ResourceData[resource, el"
}, {
  "label": "ResourceFunction",
  "type": "keyword",
  "info": "ResourceFunction[resource] represents the function associated with the specified resource.ResourceFu"
}, {
  "label": "ResourceObject",
  "type": "keyword",
  "info": "ResourceObject[\"name\"] represents a resource with the specified name.ResourceObject[\"uuid\"] represen"
}, {
  "label": "ResourceRegister",
  "type": "keyword",
  "info": "ResourceRegister[resource] creates a persistent cache of a resource object that can be referenced by"
}, {
  "label": "ResourceRemove",
  "type": "keyword",
  "info": "ResourceRemove[resource] removes the specified resource from the system on which it is run."
}, {
  "label": "ResourceSearch",
  "type": "keyword",
  "info": "ResourceSearch[form] gives a dataset of resources that contain text matching form.ResourceSearch[for"
}, {
  "label": "ResourceSubmissionObject",
  "type": "keyword",
  "info": "System`ResourceSubmissionObject"
}, {
  "label": "ResourceSubmit",
  "type": "keyword",
  "info": "ResourceSubmit[resource] submits the specified resource object to be reviewed for publication.Resour"
}, {
  "label": "ResourceSystemBase",
  "type": "keyword",
  "info": "ResourceSystemBase is an option for ResourceObject, ResourceSearch and related functions specifying "
}, {
  "label": "ResourceSystemPath",
  "type": "keyword",
  "info": "ResourceSystemPath is an option for ResourceObject, ResourceSearch and related functions for specify"
}, {
  "label": "ResourceUpdate",
  "type": "keyword",
  "info": "ResourceUpdate[resource] updates to the latest version of the specified resource object.ResourceUpda"
}, {
  "label": "ResourceVersion",
  "type": "keyword",
  "info": "ResourceVersion is an option for ResourceObject, ResourceFunction and related functions for specifyi"
}, {
  "label": "ResponseForm",
  "type": "keyword",
  "info": "ResponseForm[expr, \"fmt\"] represents a response record to be given in a specified format when reques"
}, {
  "label": "Rest",
  "type": "keyword",
  "info": "Rest[expr] gives expr with the first element removed. "
}, {
  "label": "RestartInterval",
  "type": "keyword",
  "info": "RestartInterval is an option controlling the restart behavior of functions such as ContinuousTask."
}, {
  "label": "Restricted",
  "type": "keyword",
  "info": "Restricted[form, cond, â¦] represents a form for Interpreter and related functions restricted accordi"
}, {
  "label": "Resultant",
  "type": "keyword",
  "info": "Resultant[poly , poly , var] computes the resultant of the polynomials poly  and poly  with respect "
}, {
  "label": "ResumePacket",
  "type": "keyword",
  "info": "ResumePacket[] is a WSTP packet used for synchronization with the Wolfram Language kernel."
}, {
  "label": "Return",
  "type": "keyword",
  "info": "Return[expr] returns the value expr from a function. Return[] returns the value Null. \n"
}, {
  "label": "ReturnCreatesNewCell",
  "type": "keyword",
  "info": "System`ReturnCreatesNewCell"
}, {
  "label": "ReturnEntersInput",
  "type": "keyword",
  "info": "System`ReturnEntersInput"
}, {
  "label": "ReturnExpressionPacket",
  "type": "keyword",
  "info": "ReturnExpressionPacket[expr] is a WSTP packet that contains the expression expr, the result of an En"
}, {
  "label": "ReturnInputFormPacket",
  "type": "keyword",
  "info": "ReturnInputFormPacket is an internal symbol used for formatting."
}, {
  "label": "ReturnPacket",
  "type": "keyword",
  "info": "ReturnPacket[expr] is a WSTP packet that contains the expression expr, the result of an EvaluatePack"
}, {
  "label": "ReturnReceiptFunction",
  "type": "keyword",
  "info": "ReturnReceiptFunction is an option for MailReceiverFunction that specifies what function to apply if"
}, {
  "label": "ReturnTextPacket",
  "type": "keyword",
  "info": "ReturnTextPacket[string] is a WSTP packet containing string, the result of an EnterTextPacket evalua"
}, {
  "label": "Reverse",
  "type": "keyword",
  "info": "Reverse[expr] reverses the order of the elements in expr. Reverse[expr, n] reverses elements at leve"
}, {
  "label": "ReverseApplied",
  "type": "keyword",
  "info": "ReverseApplied[f] represents a form of f that takes arguments in reverse order so that ReverseApplie"
}, {
  "label": "ReverseBiorthogonalSplineWavelet",
  "type": "keyword",
  "info": "ReverseBiorthogonalSplineWavelet[] represents a reverse biorthogonal spline wavelet of order 4 and d"
}, {
  "label": "ReverseElement",
  "type": "keyword",
  "info": "ReverseElement[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "ReverseEquilibrium",
  "type": "keyword",
  "info": "ReverseEquilibrium[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "ReverseGraph",
  "type": "keyword",
  "info": "ReverseGraph[g] gives the reverse graph of the directed graph g.ReverseGraph[{v ï¢ w, â¦}] uses rules "
}, {
  "label": "ReverseSort",
  "type": "keyword",
  "info": "ReverseSort[list] sorts the elements of list into reverse canonical order. ReverseSort[list, p] sort"
}, {
  "label": "ReverseSortBy",
  "type": "keyword",
  "info": "ReverseSortBy[list, f] sorts the elements of list using the reverse canonical order defined by apply"
}, {
  "label": "ReverseUpEquilibrium",
  "type": "keyword",
  "info": "ReverseUpEquilibrium[x, y, â¦] displays as x â¥¯ y â¥¯ â¦."
}, {
  "label": "RevolutionAxis",
  "type": "keyword",
  "info": "RevolutionAxis is an option for RevolutionPlot3D which specifies the revolution axis around which th"
}, {
  "label": "RevolutionPlot3D",
  "type": "keyword",
  "info": "RevolutionPlot3D[f , {t, t   , t   }] generates a plot of the surface of revolution with height f  a"
}, {
  "label": "RGBColor",
  "type": "keyword",
  "info": "RGBColor[r, g, b] represents a color in the RGB color space with red, blue and green components. RGB"
}, {
  "label": "RiccatiSolve",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "RiceDistribution",
  "type": "keyword",
  "info": "RiceDistribution[Î\\[PlusMinus], Î\.b2] represents a Rice distribution with shape parameters Î\\[PlusMinus] and Î\.b2.RiceDistribution"
}, {
  "label": "RidgeFilter",
  "type": "keyword",
  "info": "RidgeFilter[data] computes a measure for the presence of a ridge at every position of data.RidgeFilt"
}, {
  "label": "RiemannR",
  "type": "keyword",
  "info": "RiemannR[x] gives the Riemann prime counting function R(x)."
}, {
  "label": "RiemannSiegelTheta",
  "type": "keyword",
  "info": "RiemannSiegelTheta[t] gives the RiemannâSiegel function Ï(t). "
}, {
  "label": "RiemannSiegelZ",
  "type": "keyword",
  "info": "RiemannSiegelZ[t] gives the RiemannâSiegel function Z(t). "
}, {
  "label": "RiemannXi",
  "type": "keyword",
  "info": "RiemannXi[s] gives the Riemann xi function Î¾(s)."
}, {
  "label": "Riffle",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Right",
  "type": "keyword",
  "info": "Right is a symbol that represents the right-hand side for purposes of alignment and positioning. "
}, {
  "label": "RightArrow",
  "type": "keyword",
  "info": "RightArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "RightArrowBar",
  "type": "keyword",
  "info": "RightArrowBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "RightArrowLeftArrow",
  "type": "keyword",
  "info": "RightArrowLeftArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "RightComposition",
  "type": "keyword",
  "info": "RightComposition[f , f , f , â¦] represents a composition on the right of the functions f , f , f , â¦"
}, {
  "label": "RightCosetRepresentative",
  "type": "keyword",
  "info": "RightCosetRepresentative[group, g] returns the smallest element in the right coset of products of th"
}, {
  "label": "RightDownTeeVector",
  "type": "keyword",
  "info": "RightDownTeeVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "RightDownVector",
  "type": "keyword",
  "info": "RightDownVector[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "RightDownVectorBar",
  "type": "keyword",
  "info": "RightDownVectorBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "RightTee",
  "type": "keyword",
  "info": "RightTee[x, y] displays as x â¢ y."
}, {
  "label": "RightTeeArrow",
  "type": "keyword",
  "info": "RightTeeArrow[x, y, â¦] displays as x â¦ y â¦ â¦."
}, {
  "label": "RightTeeVector",
  "type": "keyword",
  "info": "RightTeeVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "RightTriangle",
  "type": "keyword",
  "info": "RightTriangle[x, y, â¦] displays as x â\.b3 y â\.b3 â¦."
}, {
  "label": "RightTriangleBar",
  "type": "keyword",
  "info": "RightTriangleBar[x, y, â¦] displays as x â§ y â§ â¦."
}, {
  "label": "RightTriangleEqual",
  "type": "keyword",
  "info": "RightTriangleEqual[x, y, â¦] displays as x â\\[Micro] y â\\[Micro] â¦."
}, {
  "label": "RightUpDownVector",
  "type": "keyword",
  "info": "RightUpDownVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "RightUpTeeVector",
  "type": "keyword",
  "info": "RightUpTeeVector[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "RightUpVector",
  "type": "keyword",
  "info": "RightUpVector[x, y, â¦] displays as x â¾ y â¾ â¦."
}, {
  "label": "RightUpVectorBar",
  "type": "keyword",
  "info": "RightUpVectorBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "RightVector",
  "type": "keyword",
  "info": "RightVector[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "RightVectorBar",
  "type": "keyword",
  "info": "RightVectorBar[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "RipleyK",
  "type": "keyword",
  "info": "RipleyK[pdata, r] estimates Ripley's K function K(r) at radius r for point data pdata.RipleyK[pproc,"
}, {
  "label": "RipleyRassonRegion",
  "type": "keyword",
  "info": "RipleyRassonRegion[pdata] gives an estimated observation based on the point data pdata. "
}, {
  "label": "RiskAchievementImportance",
  "type": "keyword",
  "info": "RiskAchievementImportance[rdist, t] gives the risk achievement importances for all components in the"
}, {
  "label": "RiskReductionImportance",
  "type": "keyword",
  "info": "RiskReductionImportance[rdist, t] gives the risk reduction importances for all components in the Rel"
}, {
  "label": "RobustConvexOptimization",
  "type": "keyword",
  "info": "RobustConvexOptimization[f, ForAll[pars, pcons, vcons], vars] finds values of vars that give the min"
}, {
  "label": "RogersTanimotoDissimilarity",
  "type": "keyword",
  "info": "RogersTanimotoDissimilarity[u, v] gives the RogersâTanimoto dissimilarity between Boolean vectors u "
}, {
  "label": "RollPitchYawAngles",
  "type": "keyword",
  "info": "RollPitchYawAngles[r] gives the roll-pitch-yaw angles {Î\\[PlusMinus], Î\.b2, Î\.b3} corresponding to the rotation matrix"
}, {
  "label": "RollPitchYawMatrix",
  "type": "keyword",
  "info": "RollPitchYawMatrix[{Î\\[PlusMinus], Î\.b2, Î\.b3}] gives the 3D rotation matrix formed by rotating by Î\\[PlusMinus] around the initia"
}, {
  "label": "RomanNumeral",
  "type": "keyword",
  "info": "RomanNumeral[n] gives a string corresponding to the Roman numeral form of the integer n."
}, {
  "label": "Root",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "RootApproximant",
  "type": "keyword",
  "info": "RootApproximant[x] converts the number x to one of the \"simplest\" algebraic numbers that approximate"
}, {
  "label": "RootIntervals",
  "type": "keyword",
  "info": "RootIntervals[{poly , poly , â¦}] gives a list of isolating intervals for the real roots of any of th"
}, {
  "label": "RootLocusPlot",
  "type": "keyword",
  "info": "RootLocusPlot[lsys, {k, k   , k   }] generates a root locus plot of a linear time-invariant system l"
}, {
  "label": "RootMeanSquare",
  "type": "keyword",
  "info": "RootMeanSquare[list] gives the root mean square of values in list.RootMeanSquare[dist] gives the roo"
}, {
  "label": "RootOfUnityQ",
  "type": "keyword",
  "info": "RootOfUnityQ[a] yields True if a is a root of unity, and yields False otherwise."
}, {
  "label": "RootReduce",
  "type": "keyword",
  "info": "RootReduce[expr] attempts to reduce expr to a single Root object. "
}, {
  "label": "Roots",
  "type": "keyword",
  "info": "Roots[lhs == rhs, var] yields a disjunction of equations which represent the roots of a polynomial e"
}, {
  "label": "RootSum",
  "type": "keyword",
  "info": "RootSum[f, form] represents the sum of form[x] for all x that satisfy the polynomial equation f[x] ="
}, {
  "label": "Rotate",
  "type": "keyword",
  "info": "Rotate[g, Î¸] represents 2D graphics primitives or any other objects g rotated counterclockwise by Î¸ "
}, {
  "label": "RotateLabel",
  "type": "keyword",
  "info": "RotateLabel is an option for graphics and related functions that specifies whether labels on vertica"
}, {
  "label": "RotateLeft",
  "type": "keyword",
  "info": "RotateLeft[expr, n] cycles the elements in expr n positions to the left. RotateLeft[expr] cycles one"
}, {
  "label": "RotateRight",
  "type": "keyword",
  "info": "RotateRight[expr, n] cycles the elements in expr n positions to the right. RotateRight[expr] cycles "
}, {
  "label": "RotationAction",
  "type": "keyword",
  "info": "RotationAction is an option for three-dimensional graphics functions that specifies how to render 3D"
}, {
  "label": "RotationBox",
  "type": "keyword",
  "info": "System`RotationBox"
}, {
  "label": "RotationBoxOptions",
  "type": "keyword",
  "info": "RotationBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Rotation"
}, {
  "label": "RotationMatrix",
  "type": "keyword",
  "info": "RotationMatrix[Î¸] gives the 2D rotation matrix that rotates 2D vectors counterclockwise by Î¸ radians"
}, {
  "label": "RotationTransform",
  "type": "keyword",
  "info": "RotationTransform[Î¸] gives a TransformationFunction that represents a rotation in 2D by Î¸ radians ab"
}, {
  "label": "Round",
  "type": "keyword",
  "info": "Round[x] gives the integer closest to x. Round[x, a] rounds to the nearest multiple of a. \n"
}, {
  "label": "RoundImplies",
  "type": "keyword",
  "info": "System`RoundImplies"
}, {
  "label": "RoundingRadius",
  "type": "keyword",
  "info": "RoundingRadius is an option for Rectangle, Framed, and related functions that specifies the radius o"
}, {
  "label": "Row",
  "type": "keyword",
  "info": "Row[{expr , expr , â¦}] is an object that formats with the expr  arranged in a row, potentially exten"
}, {
  "label": "RowAlignments",
  "type": "keyword",
  "info": "RowAlignments is an option for the low-level function GridBox that specifies how entries in each row"
}, {
  "label": "RowBackgrounds",
  "type": "keyword",
  "info": "System`RowBackgrounds"
}, {
  "label": "RowBox",
  "type": "keyword",
  "info": "RowBox[{box , box , â¦}] is a low-level box construct that represents a row of boxes or strings in a "
}, {
  "label": "RowHeights",
  "type": "keyword",
  "info": "System`RowHeights"
}, {
  "label": "RowLines",
  "type": "keyword",
  "info": "RowLines is an option for the low-level function GridBox that specifies whether lines should be draw"
}, {
  "label": "RowMinHeight",
  "type": "keyword",
  "info": "RowMinHeight is an option for the low-level function GridBox that specifies the minimum total height"
}, {
  "label": "RowReduce",
  "type": "keyword",
  "info": "RowReduce[m] gives the rowâreduced form of the matrix m. "
}, {
  "label": "RowsEqual",
  "type": "keyword",
  "info": "RowsEqual is an option for the low-level function GridBox that specifies whether all rows in the gri"
}, {
  "label": "RowSpacings",
  "type": "keyword",
  "info": "RowSpacings is an option for the low-level function GridBox that specifies the spaces in x heights t"
}, {
  "label": "RSolve",
  "type": "keyword",
  "info": "RSolve[eqn, a[n], n] solves a recurrence equation for a[n]. RSolve[{eqn , eqn , â¦}, {a [n], a [n], â¦"
}, {
  "label": "RSolveValue",
  "type": "keyword",
  "info": "RSolveValue[eqn, expr, n] gives the value of expr determined by a symbolic solution to the ordinary "
}, {
  "label": "RudinShapiro",
  "type": "keyword",
  "info": "                            th\nRudinShapiro[n] gives the nï    term in the RudinâShapiro sequence."
}, {
  "label": "RudvalisGroupRu",
  "type": "keyword",
  "info": "RudvalisGroupRu[] represents the sporadic simple Rudvalis group Ru."
}, {
  "label": "Rule",
  "type": "keyword",
  "info": "lhs -> rhs or lhs ï¢ rhs represents a rule that transforms lhs to rhs. "
}, {
  "label": "RuleCondition",
  "type": "keyword",
  "info": "RuleCondition is an internal symbol."
}, {
  "label": "RuleDelayed",
  "type": "keyword",
  "info": "lhs :> rhs or lhs ï rhs represents a rule that transforms lhs to rhs, evaluating rhs only after the "
}, {
  "label": "RuleForm",
  "type": "keyword",
  "info": "RuleForm is an internal symbol used for formatting and printing."
}, {
  "label": "RulePlot",
  "type": "keyword",
  "info": "RulePlot[sys] generates a plot representing the rule for the computational system sys.RulePlot[sys, "
}, {
  "label": "RulerUnits",
  "type": "keyword",
  "info": "RulerUnits is an option for notebooks that specifies the units in the ruler toolbar."
}, {
  "label": "RulesTree",
  "type": "keyword",
  "info": "RulesTree[data ï¢ {rule , rule , â¦}] gives a tree whose root contains data and that has children spec"
}, {
  "label": "Run",
  "type": "keyword",
  "info": "Run[\"command\"] runs command as an external operating system command, returning the exit code obtaine"
}, {
  "label": "RunProcess",
  "type": "keyword",
  "info": "RunProcess[\"command\"] runs the specified external command, returning information on the outcome.\nRun"
}, {
  "label": "RunScheduledTask",
  "type": "keyword",
  "info": "RunScheduledTask[expr] schedules and starts a local scheduled task that will repeatedly evaluate exp"
}, {
  "label": "RunThrough",
  "type": "keyword",
  "info": "RunThrough[\"command\", expr] executes an external command, giving the printed form of expr as input a"
}, {
  "label": "RuntimeAttributes",
  "type": "keyword",
  "info": "RuntimeAttributes is an option for Compile that specifies attributes for the compiled function it cr"
}, {
  "label": "RuntimeOptions",
  "type": "keyword",
  "info": "RuntimeOptions is an option for Compile that specifies runtime settings for the compiled function it"
}, {
  "label": "RussellRaoDissimilarity",
  "type": "keyword",
  "info": "RussellRaoDissimilarity[u, v] gives the RussellâRao dissimilarity between Boolean vectors u and v."
}, {
  "label": "SameQ",
  "type": "keyword",
  "info": "lhs === rhs yields True if the expression lhs is identical to rhs, and yields False otherwise. "
}, {
  "label": "SameTest",
  "type": "keyword",
  "info": "SameTest is an option whose setting gives a pairwise comparison function to determine whether expres"
}, {
  "label": "SameTestProperties",
  "type": "keyword",
  "info": "SameTestProperties is an option for set operations on entity classes whose setting gives the propert"
}, {
  "label": "SampledEntityClass",
  "type": "keyword",
  "info": "SampledEntityClass[class, n] represents an entity class containing n entities from class.SampledEnti"
}, {
  "label": "SampleDepth",
  "type": "keyword",
  "info": "SampleDepth is an option for sound primitives that specifies how many bits should be used to encode "
}, {
  "label": "SampledSoundFunction",
  "type": "keyword",
  "info": "SampledSoundFunction[f, n, r] is a sound primitive that represents a sound whose amplitude sampled r"
}, {
  "label": "SampledSoundList",
  "type": "keyword",
  "info": "SampledSoundList[{a , a , â¦}, r] is a sound primitive that represents a sound whose amplitude has le"
}, {
  "label": "SampleRate",
  "type": "keyword",
  "info": "SampleRate is an option that specifies the number of samples per second for sound and signal process"
}, {
  "label": "SamplingPeriod",
  "type": "keyword",
  "info": "SamplingPeriod is an option to StateSpaceModel etc. that specifies the sampling period."
}, {
  "label": "SARIMAProcess",
  "type": "keyword",
  "info": "SARIMAProcess[{a , â¦, a }, d, {b , â¦, b }, {s, {Î\\[PlusMinus] , â¦, Î\\[PlusMinus] }, Î\.b4, {Î\.b2 , â¦, Î\.b2 }}, v] represents a seasona"
}, {
  "label": "SARMAProcess",
  "type": "keyword",
  "info": "SARMAProcess[{a , â¦, a }, {b , â¦, b }, {s, {Î\\[PlusMinus] , â¦, Î\\[PlusMinus] }, {Î\.b2 , â¦, Î\.b2 }}, v] represents a weakly station"
}, {
  "label": "SASTriangle",
  "type": "keyword",
  "info": "SASTriangle[a, Î\.b3, b] returns a filled triangle with sides of length a and b and angle Î\.b3 between them"
}, {
  "label": "SatelliteData",
  "type": "keyword",
  "info": "SatelliteData[entity, property] gives the value of the specified property for the satellite entity.S"
}, {
  "label": "SatisfiabilityCount",
  "type": "keyword",
  "info": "SatisfiabilityCount[bf] counts the number of possible combinations of variable values that yield Tru"
}, {
  "label": "SatisfiabilityInstances",
  "type": "keyword",
  "info": "SatisfiabilityInstances[bf] attempts to find a choice of variables that makes the Boolean function b"
}, {
  "label": "SatisfiableQ",
  "type": "keyword",
  "info": "SatisfiableQ[bf] gives True if a combination of values of variables exists that makes the Boolean fu"
}, {
  "label": "Saturday",
  "type": "keyword",
  "info": "Saturday is a day of the week."
}, {
  "label": "Save",
  "type": "keyword",
  "info": "Save[\"filename\", symbol] appends definitions associated with the specified symbol to a file. Save[\"f"
}, {
  "label": "Saveable",
  "type": "keyword",
  "info": "Saveable is an option for notebooks that specifies whether a notebook can be saved."
}, {
  "label": "SaveAutoDelete",
  "type": "keyword",
  "info": "System`SaveAutoDelete"
}, {
  "label": "SaveConnection",
  "type": "keyword",
  "info": "SaveConnection is an option for ServiceConnect that determines whether the connection should be save"
}, {
  "label": "SaveDefinitions",
  "type": "keyword",
  "info": "SaveDefinitions is an option to Manipulate and related functions that specifies whether current defi"
}, {
  "label": "SavitzkyGolayMatrix",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SawtoothWave",
  "type": "keyword",
  "info": "SawtoothWave[x] gives a sawtooth wave that varies from 0 to 1 with unit period.SawtoothWave[{min, ma"
}, {
  "label": "Scale",
  "type": "keyword",
  "info": "Scale[g, s] represents graphics primitives g scaled by a factor s. Scale[g, s, {x, y, â¦}] scales wit"
}, {
  "label": "Scaled",
  "type": "keyword",
  "info": "Scaled[{x, y, â¦}] gives the position of a graphical object in terms of coordinates scaled to run fro"
}, {
  "label": "ScaleDivisions",
  "type": "keyword",
  "info": "ScaleDivisions is an option for gauge functions that specifies how many tick marks should be drawn o"
}, {
  "label": "ScaledMousePosition",
  "type": "keyword",
  "info": "System`ScaledMousePosition"
}, {
  "label": "ScaleOrigin",
  "type": "keyword",
  "info": "ScaleOrigin is an option for gauge functions that describes how to position the scale on the gauge."
}, {
  "label": "ScalePadding",
  "type": "keyword",
  "info": "ScalePadding is an option for gauge functions that specifies how much space to leave around the scal"
}, {
  "label": "ScaleRanges",
  "type": "keyword",
  "info": "ScaleRanges is an option for gauge functions that describes how to draw sections of the scale."
}, {
  "label": "ScaleRangeStyle",
  "type": "keyword",
  "info": "ScaleRangeStyle is an option for gauge functions to describe how to style different sections of the "
}, {
  "label": "ScalingFunctions",
  "type": "keyword",
  "info": "ScalingFunctions is an option for ListPlot, BarChart, Histogram, and other plotting functions that s"
}, {
  "label": "ScalingMatrix",
  "type": "keyword",
  "info": "ScalingMatrix[{s , s , â¦}] gives the matrix corresponding to scaling by a factor s  along each coord"
}, {
  "label": "ScalingTransform",
  "type": "keyword",
  "info": "ScalingTransform[{s , s , â¦}] gives a TransformationFunction that represents scaling by a factor s  "
}, {
  "label": "Scan",
  "type": "keyword",
  "info": "Scan[f, expr] evaluates f applied to each element of expr in turn. Scan[f, expr, levelspec] applies "
}, {
  "label": "ScheduledTask",
  "type": "keyword",
  "info": "ScheduledTask[expr, timespec] represents a scheduled task to be evaluated on the schedule defined by"
}, {
  "label": "ScheduledTaskActiveQ",
  "type": "keyword",
  "info": "ScheduledTaskActiveQ[obj] yields True if obj represents an active task, and False otherwise."
}, {
  "label": "ScheduledTaskInformation",
  "type": "keyword",
  "info": "ScheduledTaskInformation[CloudObject] returns information about a task.\nScheduledTaskInformation[Clo"
}, {
  "label": "ScheduledTaskInformationData",
  "type": "keyword",
  "info": "System`ScheduledTaskInformationData"
}, {
  "label": "ScheduledTaskObject",
  "type": "keyword",
  "info": "ScheduledTaskObject[id, expr, spec, â¦] is a task object specifying future evaluation of expr accordi"
}, {
  "label": "ScheduledTasks",
  "type": "keyword",
  "info": "ScheduledTasks[] returns a list of ScheduledTaskObject and CloudObject expressions that represent cu"
}, {
  "label": "SchurDecomposition",
  "type": "keyword",
  "info": "SchurDecomposition[m] yields the Schur decomposition for a numerical matrix m, given as a list {q, t"
}, {
  "label": "ScientificForm",
  "type": "keyword",
  "info": "ScientificForm[expr] prints with all real numbers in expr given in scientific notation. ScientificFo"
}, {
  "label": "ScientificNotationThreshold",
  "type": "keyword",
  "info": "ScientificNotationThreshold is an option for NumberForm and related functions that specifies the thr"
}, {
  "label": "ScorerGi",
  "type": "keyword",
  "info": "ScorerGi[z] gives the Scorer function Gi(z)."
}, {
  "label": "ScorerGiPrime",
  "type": "keyword",
  "info": "                                                               â\.b2\nScorerGiPrime[z] gives the derivati"
}, {
  "label": "ScorerHi",
  "type": "keyword",
  "info": "ScorerHi[z] gives the Scorer function Hi(z)."
}, {
  "label": "ScorerHiPrime",
  "type": "keyword",
  "info": "                                                               â\.b2\nScorerHiPrime[z] gives the derivati"
}, {
  "label": "ScreenRectangle",
  "type": "keyword",
  "info": "ScreenRectangle is a global option that specifies the position of the primary screen by giving the c"
}, {
  "label": "ScreenStyleEnvironment",
  "type": "keyword",
  "info": "ScreenStyleEnvironment is an option for notebooks that specifies the style environment to be used in"
}, {
  "label": "ScriptBaselineShifts",
  "type": "keyword",
  "info": "ScriptBaselineShifts is an option for Style that specifies the minimum distance in xâheights to shif"
}, {
  "label": "ScriptForm",
  "type": "keyword",
  "info": "System`ScriptForm"
}, {
  "label": "ScriptLevel",
  "type": "keyword",
  "info": "ScriptLevel is an option for selections that is used in determining the font size of modifiers such "
}, {
  "label": "ScriptMinSize",
  "type": "keyword",
  "info": "ScriptMinSize is an option for Style which specifies the minimum font size to use in rendering subsc"
}, {
  "label": "ScriptRules",
  "type": "keyword",
  "info": "System`ScriptRules"
}, {
  "label": "ScriptSizeMultipliers",
  "type": "keyword",
  "info": "ScriptSizeMultipliers is an option for Style that specifies how much smaller to render each successi"
}, {
  "label": "Scrollbars",
  "type": "keyword",
  "info": "Scrollbars is an option for Pane that specifies whether scrollbars should be displayed."
}, {
  "label": "ScrollingOptions",
  "type": "keyword",
  "info": "ScrollingOptions is an option for notebooks that specifies settings for scrolling."
}, {
  "label": "ScrollPosition",
  "type": "keyword",
  "info": "ScrollPosition is an option for Pane that specifies the scroll position of the contents of the pane."
}, {
  "label": "SearchAdjustment",
  "type": "keyword",
  "info": "SearchAdjustment[query, w] represents a component of a search query that is to be treated as having "
}, {
  "label": "SearchIndexObject",
  "type": "keyword",
  "info": "SearchIndexObject[loc] represents a search index object, as created by CreateSearchIndex.SearchIndex"
}, {
  "label": "SearchIndices",
  "type": "keyword",
  "info": "SearchIndices[] returns a list with all the locally stored instances of SearchIndexObject."
}, {
  "label": "SearchQueryString",
  "type": "keyword",
  "info": "SearchQueryString[\"query\"] represents a search engine-style query in TextSearch and related function"
}, {
  "label": "SearchResultObject",
  "type": "keyword",
  "info": "SearchResultObject[â¦] represents a result from TextSearch[â¦] and related functions."
}, {
  "label": "Sec",
  "type": "keyword",
  "info": "Sec[z] gives the secant of z. "
}, {
  "label": "Sech",
  "type": "keyword",
  "info": "Sech[z] gives the hyperbolic secant of z. "
}, {
  "label": "SechDistribution",
  "type": "keyword",
  "info": "SechDistribution[Î¼, Ï] represents the hyperbolic secant distribution with location parameter Î¼ and s"
}, {
  "label": "SecondOrderConeOptimization",
  "type": "keyword",
  "info": "SecondOrderConeOptimization[f, cons, vars] finds values of variables vars that minimize the linear o"
}, {
  "label": "SectionGrouping",
  "type": "keyword",
  "info": "System`SectionGrouping"
}, {
  "label": "SectorChart",
  "type": "keyword",
  "info": "SectorChart[{{x , y }, {x , y }, â¦}] makes a sector chart with sector angles proportional to x  and "
}, {
  "label": "SectorChart3D",
  "type": "keyword",
  "info": "SectorChart3D[{{x , y , z }, {x , y , z }, â¦}] makes a 3D sector chart with sector angle proportiona"
}, {
  "label": "SectorOrigin",
  "type": "keyword",
  "info": "SectorOrigin is an option to PieChart and related functions that specifies where sectors should star"
}, {
  "label": "SectorSpacing",
  "type": "keyword",
  "info": "SectorSpacing is an option to PieChart and related functions that specifies radial spacing of sector"
}, {
  "label": "SecuredAuthenticationKey",
  "type": "keyword",
  "info": "SecuredAuthenticationKey[assoc] represents a secured authentication key with credentials and detail"
}, {
  "label": "SecuredAuthenticationKeys",
  "type": "keyword",
  "info": "SecuredAuthenticationKeys[] retrieves a list of all instances of SecuredAuthenticationKey owned by t"
}, {
  "label": "SecurityCertificate",
  "type": "keyword",
  "info": "SecurityCertificate[assoc] represents the security certificate issued for a public key."
}, {
  "label": "SeedRandom",
  "type": "keyword",
  "info": "SeedRandom[s] resets the pseudorandom generator, using s as a seed. SeedRandom[] resets the generato"
}, {
  "label": "Select",
  "type": "keyword",
  "info": "Select[list, crit] picks out all elements e  of list for which crit[e ] is True. Select[list, crit, "
}, {
  "label": "Selectable",
  "type": "keyword",
  "info": "Selectable is an option for displayed objects, cells, and notebooks that specifies whether their con"
}, {
  "label": "SelectComponents",
  "type": "keyword",
  "info": "SelectComponents[{image, lmat}, crit] selects components of image indicated by the label matrix lmat"
}, {
  "label": "SelectedCells",
  "type": "keyword",
  "info": "SelectedCells[notebook] returns a list of CellObject expressions corresponding to the currently sele"
}, {
  "label": "SelectedNotebook",
  "type": "keyword",
  "info": "SelectedNotebook[] gives the currently selected notebook in the front end. "
}, {
  "label": "SelectFirst",
  "type": "keyword",
  "info": "SelectFirst[{e , e , â¦}, crit] gives the first e  for which crit[e ] is True, or Missing[\"NotFound\"]"
}, {
  "label": "Selection",
  "type": "keyword",
  "info": "System`Selection"
}, {
  "label": "SelectionAnimate",
  "type": "keyword",
  "info": "SelectionAnimate[notebook] animates graphics in the current selection in a notebook. SelectionAnimat"
}, {
  "label": "SelectionCell",
  "type": "keyword",
  "info": "System`SelectionCell"
}, {
  "label": "SelectionCellCreateCell",
  "type": "keyword",
  "info": "System`SelectionCellCreateCell"
}, {
  "label": "SelectionCellDefaultStyle",
  "type": "keyword",
  "info": "System`SelectionCellDefaultStyle"
}, {
  "label": "SelectionCellParentStyle",
  "type": "keyword",
  "info": "System`SelectionCellParentStyle"
}, {
  "label": "SelectionCreateCell",
  "type": "keyword",
  "info": "SelectionCreateCell[notebook] copies the contents of the current selection in a notebook into a new "
}, {
  "label": "SelectionDebuggerTag",
  "type": "keyword",
  "info": "System`SelectionDebuggerTag"
}, {
  "label": "SelectionDuplicateCell",
  "type": "keyword",
  "info": "System`SelectionDuplicateCell"
}, {
  "label": "SelectionEvaluate",
  "type": "keyword",
  "info": "SelectionEvaluate[notebook] replaces the current selection in a notebook with the result obtained by"
}, {
  "label": "SelectionEvaluateCreateCell",
  "type": "keyword",
  "info": "SelectionEvaluateCreateCell[notebook] takes the current selection in a notebook and creates a new ce"
}, {
  "label": "SelectionMove",
  "type": "keyword",
  "info": "SelectionMove[obj, dir, unit] moves the current selection in an open notebook in the front end in th"
}, {
  "label": "SelectionPlaceholder",
  "type": "keyword",
  "info": "System`SelectionPlaceholder"
}, {
  "label": "SelectionSetStyle",
  "type": "keyword",
  "info": "System`SelectionSetStyle"
}, {
  "label": "SelectWithContents",
  "type": "keyword",
  "info": "System`SelectWithContents"
}, {
  "label": "SelfLoops",
  "type": "keyword",
  "info": "System`SelfLoops"
}, {
  "label": "SelfLoopStyle",
  "type": "keyword",
  "info": "SelfLoopStyle is an option for GraphPlot and related functions that specifies how to draw self-loops"
}, {
  "label": "SemanticImport",
  "type": "keyword",
  "info": "SemanticImport[file] attempts to import a file semantically to give a Dataset object.SemanticImport["
}, {
  "label": "SemanticImportString",
  "type": "keyword",
  "info": "SemanticImportString[\"string\"] attempts to import a string semantically to give a Dataset object.Sem"
}, {
  "label": "SemanticInterpretation",
  "type": "keyword",
  "info": "SemanticInterpretation[\"string\"] attempts to give the best semantic interpretation of the specified "
}, {
  "label": "SemialgebraicComponentInstances",
  "type": "keyword",
  "info": "SemialgebraicComponentInstances[ineqs, {x , x , â¦}] gives at least one sample point in each connecte"
}, {
  "label": "SemidefiniteOptimization",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SendMail",
  "type": "keyword",
  "info": "SendMail[body] sends mail consisting of body to the address specified by $CloudUserID.SendMail[{\"sub"
}, {
  "label": "SendMessage",
  "type": "keyword",
  "info": "SendMessage[channel, message] sends a message to the specified channel.SendMessage[channel ï¢ dest, m"
}, {
  "label": "Sequence",
  "type": "keyword",
  "info": "Sequence[expr , expr , â¦] represents a sequence of arguments to be spliced automatically into any fu"
}, {
  "label": "SequenceAlignment",
  "type": "keyword",
  "info": "SequenceAlignment[s , s ] finds an optimal alignment of sequences of elements in the strings or list"
}, {
  "label": "SequenceAttentionLayer",
  "type": "keyword",
  "info": "SequenceAttentionLayer[] is equivalent to AttentionLayer[] with a single \"Input\" port instead of por"
}, {
  "label": "SequenceCases",
  "type": "keyword",
  "info": "SequenceCases[list, patt] gives a list of the sublists in list that match the sequence pattern patt."
}, {
  "label": "SequenceCount",
  "type": "keyword",
  "info": "SequenceCount[list, sub] gives a count of the number of times sub appears as a sublist of list.Seque"
}, {
  "label": "SequenceFold",
  "type": "keyword",
  "info": "SequenceFold[f, {x , â¦, x }, {a , a , â¦}] gives the last element of SequenceFoldList[f, {x , â¦, x },"
}, {
  "label": "SequenceFoldList",
  "type": "keyword",
  "info": "SequenceFoldList[f, {x , â¦, x }, {a , a , â¦}] gives {x , â¦, x , f[x , â¦, x , a ], f[x , â¦, x , f[x ,"
}, {
  "label": "SequenceForm",
  "type": "keyword",
  "info": "SequenceForm[expr , expr , â¦] prints as the textual concatenation of the printed forms of the expr ."
}, {
  "label": "SequenceHold",
  "type": "keyword",
  "info": "SequenceHold is an attribute that specifies that Sequence objects appearing in the arguments of a fu"
}, {
  "label": "SequenceIndicesLayer",
  "type": "keyword",
  "info": "SequenceIndicesLayer[] represents a net layer that produces a list of indices for an input sequence."
}, {
  "label": "SequenceLastLayer",
  "type": "keyword",
  "info": "SequenceLastLayer[] represents a net that takes a sequence of inputs and returns the last element of"
}, {
  "label": "SequenceMostLayer",
  "type": "keyword",
  "info": "SequenceMostLayer[] represents a net that takes a sequence of inputs and removes its last element."
}, {
  "label": "SequencePosition",
  "type": "keyword",
  "info": "SequencePosition[list, sublist] gives a list of the starting and ending positions at which sublist a"
}, {
  "label": "SequencePredict",
  "type": "keyword",
  "info": "SequencePredict[{seq , seq , â¦}] generates a SequencePredictorFunction[â¦] based on the sequences giv"
}, {
  "label": "SequencePredictorFunction",
  "type": "keyword",
  "info": "SequencePredictorFunction[â¦] represents a function generated by SequencePredict that predicts the ne"
}, {
  "label": "SequenceReplace",
  "type": "keyword",
  "info": "SequenceReplace[list, rules] replaces sequences in list according to the specified rule or list of r"
}, {
  "label": "SequenceRestLayer",
  "type": "keyword",
  "info": "SequenceRestLayer[] represents a net that takes a sequence of inputs and removes its first element."
}, {
  "label": "SequenceReverseLayer",
  "type": "keyword",
  "info": "SequenceReverseLayer[] represents a net that reverses the order of an input sequence."
}, {
  "label": "SequenceSplit",
  "type": "keyword",
  "info": "SequenceSplit[list, patt] splits list into sublists separated by sequences that match the sequence p"
}, {
  "label": "Series",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SeriesCoefficient",
  "type": "keyword",
  "info": "                                                             th                                     "
}, {
  "label": "SeriesData",
  "type": "keyword",
  "info": "SeriesData[x, x , {a , a , â¦}, n   , n   , den] represents a power series in the variable x about th"
}, {
  "label": "SeriesTermGoal",
  "type": "keyword",
  "info": "SeriesTermGoal is an option for Asymptotic, DiscreteAsymptotic and similar functions that specifies "
}, {
  "label": "ServiceConnect",
  "type": "keyword",
  "info": "ServiceConnect[\"service\"] creates a connection to an external service.ServiceConnect[\"service\", id] "
}, {
  "label": "ServiceDisconnect",
  "type": "keyword",
  "info": "ServiceDisconnect[service] disconnects from an external service specified by a ServiceObject."
}, {
  "label": "ServiceExecute",
  "type": "keyword",
  "info": "ServiceExecute[service, \"req\"] executes \"req\" on an external service.ServiceExecute[service, \"req\", "
}, {
  "label": "ServiceObject",
  "type": "keyword",
  "info": "ServiceObject[\"service\", â¦] represents an open connection to an external service."
}, {
  "label": "ServiceRequest",
  "type": "keyword",
  "info": "ServiceRequest[service, \"req\"] represents a service request built from service, which might be a con"
}, {
  "label": "ServiceResponse",
  "type": "keyword",
  "info": "System`ServiceResponse"
}, {
  "label": "ServiceSubmit",
  "type": "keyword",
  "info": "ServiceSubmit[ServiceRequest[assoc]] submits a request to be executed by an external service specifi"
}, {
  "label": "SessionSubmit",
  "type": "keyword",
  "info": "SessionSubmit[expr] submits an asynchronous task to evaluate expr in the current session.SessionSubm"
}, {
  "label": "SessionTime",
  "type": "keyword",
  "info": "SessionTime[] gives the total number of seconds of real time that have elapsed since the beginning o"
}, {
  "label": "Set",
  "type": "keyword",
  "info": "lhs = rhs evaluates rhs and assigns the result to be the value of lhs. From then on, lhs is replaced"
}, {
  "label": "SetAccuracy",
  "type": "keyword",
  "info": "SetAccuracy[expr, a] yields a version of expr in which all numbers have been set to have accuracy a."
}, {
  "label": "SetAlphaChannel",
  "type": "keyword",
  "info": "SetAlphaChannel[color] adds full opacity to color.SetAlphaChannel[color, a] adds opacity a to color."
}, {
  "label": "SetAttributes",
  "type": "keyword",
  "info": "SetAttributes[symbol, attr] adds attr to the list of attributes of the symbol symbol. SetAttributes["
}, {
  "label": "Setbacks",
  "type": "keyword",
  "info": "System`Setbacks"
}, {
  "label": "SetBoxFormNamesPacket",
  "type": "keyword",
  "info": "System`SetBoxFormNamesPacket"
}, {
  "label": "SetCloudDirectory",
  "type": "keyword",
  "info": "SetCloudDirectory[dir] sets the current working directory used for cloud objects to dir.SetCloudDire"
}, {
  "label": "SetCookies",
  "type": "keyword",
  "info": "SetCookies[assoc] sets cookies with attributes specified by the association assoc, to be used by fun"
}, {
  "label": "SetDelayed",
  "type": "keyword",
  "info": "lhs := rhs assigns rhs to be the delayed value of lhs. rhs is maintained in an unevaluated form. Whe"
}, {
  "label": "SetDirectory",
  "type": "keyword",
  "info": "SetDirectory[\"dir\"] sets the current working directory to dir. SetDirectory[] sets the current worki"
}, {
  "label": "SetEnvironment",
  "type": "keyword",
  "info": "SetEnvironment[\"var\" ï¢ value] sets the value of an operating system environment variable.SetEnvironm"
}, {
  "label": "SetEvaluationNotebook",
  "type": "keyword",
  "info": "System`SetEvaluationNotebook"
}, {
  "label": "SetFileDate",
  "type": "keyword",
  "info": "SetFileDate[\"file\"] sets the modification and access dates for a file to be the current date. "
}, {
  "label": "SetFileFormatProperties",
  "type": "keyword",
  "info": "SetFileFormatProperties[\"fmt\", \"prop\" ï¢ val] sets the value of a property \"prop\" for the specified f"
}, {
  "label": "SetFileLoadingContext",
  "type": "keyword",
  "info": "System`SetFileLoadingContext"
}, {
  "label": "SetNotebookStatusLine",
  "type": "keyword",
  "info": "System`SetNotebookStatusLine"
}, {
  "label": "SetOptions",
  "type": "keyword",
  "info": "SetOptions[s, name  ï¢ value , name  ï¢ value , â¦] sets the specified default options for a symbol s. "
}, {
  "label": "SetOptionsPacket",
  "type": "keyword",
  "info": "System`SetOptionsPacket"
}, {
  "label": "SetPermissions",
  "type": "keyword",
  "info": "SetPermissions[obj, \"pstring\"] sets permissions for the cloud object obj to be as specified by the s"
}, {
  "label": "SetPrecision",
  "type": "keyword",
  "info": "SetPrecision[expr, p] yields a version of expr in which all numbers have been set to have precision "
}, {
  "label": "SetProperty",
  "type": "keyword",
  "info": "SetProperty[{obj, itemspec}, name ï¢ value] sets the property name ï¢ value for itemspec in obj."
}, {
  "label": "SetSecuredAuthenticationKey",
  "type": "keyword",
  "info": "System`SetSecuredAuthenticationKey"
}, {
  "label": "SetSelectedNotebook",
  "type": "keyword",
  "info": "SetSelectedNotebook[obj] makes the notebook corresponding to obj be the currently selected one in th"
}, {
  "label": "SetSharedFunction",
  "type": "keyword",
  "info": "SetSharedFunction[f , f , â¦] declares the symbols f  as shared functions whose downvalues are synchr"
}, {
  "label": "SetSharedVariable",
  "type": "keyword",
  "info": "SetSharedVariable[s , s , â¦] declares the symbols s  as shared variables whose values are synchroniz"
}, {
  "label": "SetSpeechParametersPacket",
  "type": "keyword",
  "info": "System`SetSpeechParametersPacket"
}, {
  "label": "SetStreamPosition",
  "type": "keyword",
  "info": "SetStreamPosition[stream, n] sets the current point in an open stream. "
}, {
  "label": "SetSystemModel",
  "type": "keyword",
  "info": "SetSystemModel[model, spec] changes model parameters, initializations or other properties in place."
}, {
  "label": "SetSystemOptions",
  "type": "keyword",
  "info": "SetSystemOptions[\"name\" ï¢ value] resets the value for the internal system option with the specified "
}, {
  "label": "Setter",
  "type": "keyword",
  "info": "Setter[x, val] represents a setter button whose setting x is set to val when the button is clicked. "
}, {
  "label": "SetterBar",
  "type": "keyword",
  "info": "SetterBar[x, {val , val , â¦}] represents a setter bar with setting x and with setter buttons for val"
}, {
  "label": "SetterBox",
  "type": "keyword",
  "info": "System`SetterBox"
}, {
  "label": "SetterBoxOptions",
  "type": "keyword",
  "info": "SetterBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for SetterBox "
}, {
  "label": "Setting",
  "type": "keyword",
  "info": "Setting[expr] replaces forms and control objects such as sliders or popup menus in expr by their set"
}, {
  "label": "SetUsers",
  "type": "keyword",
  "info": "SetUsers[group, {user , â¦}] sets the members of the permissions group group to be {user , â¦}.\n      "
}, {
  "label": "SetValue",
  "type": "keyword",
  "info": "System`SetValue"
}, {
  "label": "Shading",
  "type": "keyword",
  "info": "Shading is an option for SurfaceGraphics that specifies whether the surfaces should be shaded. "
}, {
  "label": "Shallow",
  "type": "keyword",
  "info": "Shallow[expr] prints as a shallow form of expr. Shallow[expr, depth] prints with all parts of expr b"
}, {
  "label": "ShannonWavelet",
  "type": "keyword",
  "info": "ShannonWavelet[] represents the Shannon wavelet evaluated on the equally spaced interval {-10, 10}. "
}, {
  "label": "ShapiroWilkTest",
  "type": "keyword",
  "info": "ShapiroWilkTest[data] tests whether data is normally distributed using the ShapiroâWilk test.Shapiro"
}, {
  "label": "Share",
  "type": "keyword",
  "info": "Share[expr] changes the way expr is stored internally, to try and minimize the amount of memory used"
}, {
  "label": "SharingList",
  "type": "keyword",
  "info": "SharingList is an option for CloudObject and related constructs that specifies with whom the object "
}, {
  "label": "Sharpen",
  "type": "keyword",
  "info": "Sharpen[image] gives a sharpened version of image.Sharpen[image, r] gives a version of image sharpen"
}, {
  "label": "ShearingMatrix",
  "type": "keyword",
  "info": "ShearingMatrix[Î¸, v, n] gives the matrix corresponding to shearing by Î¸ radians along the direction "
}, {
  "label": "ShearingTransform",
  "type": "keyword",
  "info": "ShearingTransform[Î¸, v, n] gives a TransformationFunction that represents a shear by Î¸ radians along"
}, {
  "label": "ShellRegion",
  "type": "keyword",
  "info": "ShellRegion[reg] gives a solid shell of a 3D region reg.ShellRegion[reg, t] gives a solid shell of r"
}, {
  "label": "ShenCastanMatrix",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ShiftedGompertzDistribution",
  "type": "keyword",
  "info": "ShiftedGompertzDistribution[Î», Î¾] represents a shifted Gompertz distribution with scale parameter Î» "
}, {
  "label": "ShiftRegisterSequence",
  "type": "keyword",
  "info": "ShiftRegisterSequence[n] gives a complete maximum-length sequence for a size n linear-feedback shift"
}, {
  "label": "Short",
  "type": "keyword",
  "info": "Short[expr] prints as a short form of expr, less than about one line long. Short[expr, n] prints as "
}, {
  "label": "ShortDownArrow",
  "type": "keyword",
  "info": "ShortDownArrow[x, y, â¦] displays as x ï« y ï« â¦."
}, {
  "label": "Shortest",
  "type": "keyword",
  "info": "Shortest[p] is a pattern object that matches the shortest sequence consistent with the pattern p. "
}, {
  "label": "ShortestMatch",
  "type": "keyword",
  "info": "ShortestMatch[p] is a string pattern object matching the shortest sequence of characters consistent "
}, {
  "label": "ShortestPathFunction",
  "type": "keyword",
  "info": "ShortestPathFunction[type, data] represents a function that gives the shortest path from a source ve"
}, {
  "label": "ShortLeftArrow",
  "type": "keyword",
  "info": "ShortLeftArrow[x, y, â¦] displays as x ï¦ y ï¦ â¦."
}, {
  "label": "ShortRightArrow",
  "type": "keyword",
  "info": "ShortRightArrow[x, y, â¦] displays as x ï¥ y ï¥ â¦."
}, {
  "label": "ShortTimeFourier",
  "type": "keyword",
  "info": "ShortTimeFourier[data] returns the short-time Fourier transform (STFT) of data as a ShortTimeFourier"
}, {
  "label": "ShortTimeFourierData",
  "type": "keyword",
  "info": "ShortTimeFourierData[assoc] represents the result and properties of a short-time Fourier transform ("
}, {
  "label": "ShortUpArrow",
  "type": "keyword",
  "info": "ShortUpArrow[x, y, â¦] displays as x ïª y ïª â¦."
}, {
  "label": "Show",
  "type": "keyword",
  "info": "Show[graphics, options] shows graphics with the specified options added. Show[g , g , â¦] shows sever"
}, {
  "label": "ShowAutoConvert",
  "type": "keyword",
  "info": "System`ShowAutoConvert"
}, {
  "label": "ShowAutoSpellCheck",
  "type": "keyword",
  "info": "ShowAutoSpellCheck is an option for Cell that specifies whether to highlight misspelled words."
}, {
  "label": "ShowAutoStyles",
  "type": "keyword",
  "info": "ShowAutoStyles is an option for Cell that specifies whether styles that are specified to be automati"
}, {
  "label": "ShowCellBracket",
  "type": "keyword",
  "info": "ShowCellBracket is an option for Cell that specifies whether to display the bracket that indicates t"
}, {
  "label": "ShowCellLabel",
  "type": "keyword",
  "info": "ShowCellLabel is an option for Cell that specifies whether to display the label for a cell. "
}, {
  "label": "ShowCellTags",
  "type": "keyword",
  "info": "ShowCellTags is an option for Cell that specifies whether to display tags for a cell. "
}, {
  "label": "ShowClosedCellArea",
  "type": "keyword",
  "info": "ShowClosedCellArea is an option for cells that specifies whether a rectangular bar is displayed next"
}, {
  "label": "ShowCodeAssist",
  "type": "keyword",
  "info": "System`ShowCodeAssist"
}, {
  "label": "ShowContents",
  "type": "keyword",
  "info": "ShowContents is an option for selections that specifies whether an object represented by a StyleBox "
}, {
  "label": "ShowControls",
  "type": "keyword",
  "info": "System`ShowControls"
}, {
  "label": "ShowCursorTracker",
  "type": "keyword",
  "info": "ShowCursorTracker is an option for Cell that specifies whether an elliptical spot should appear mome"
}, {
  "label": "ShowGroupOpenCloseIcon",
  "type": "keyword",
  "info": "ShowGroupOpenCloseIcon is an option for cells that specifies whether a triangular icon is displayed "
}, {
  "label": "ShowGroupOpener",
  "type": "keyword",
  "info": "ShowGroupOpener is an option for cells that specifies whether an opener icon is displayed next to th"
}, {
  "label": "ShowInvisibleCharacters",
  "type": "keyword",
  "info": "System`ShowInvisibleCharacters"
}, {
  "label": "ShowPageBreaks",
  "type": "keyword",
  "info": "ShowPageBreaks is a notebook option that specifies whether to indicate in the onâscreen display of a"
}, {
  "label": "ShowPredictiveInterface",
  "type": "keyword",
  "info": "System`ShowPredictiveInterface"
}, {
  "label": "ShowSelection",
  "type": "keyword",
  "info": "ShowSelection is an option to Notebook, Cell, and Style that specifies whether to show the current s"
}, {
  "label": "ShowShortBoxForm",
  "type": "keyword",
  "info": "ShowShortBoxForm is an option for cells that specifies whether box expressions, which are used to re"
}, {
  "label": "ShowSpecialCharacters",
  "type": "keyword",
  "info": "ShowSpecialCharacters is an option for Style and Cell that specifies whether to replace \\\[Name], \\:n"
}, {
  "label": "ShowStringCharacters",
  "type": "keyword",
  "info": "ShowStringCharacters is an option for Cell that specifies whether to display \" when a string is ente"
}, {
  "label": "ShowSyntaxStyles",
  "type": "keyword",
  "info": "System`ShowSyntaxStyles"
}, {
  "label": "ShrinkingDelay",
  "type": "keyword",
  "info": "ShrinkingDelay is an option for dynamic objects that specifies how long to delay before shrinking th"
}, {
  "label": "ShrinkWrapBoundingBox",
  "type": "keyword",
  "info": "System`ShrinkWrapBoundingBox"
}, {
  "label": "SiderealTime",
  "type": "keyword",
  "info": "SiderealTime[] gives the right ascension of the local meridian for the current date and location.Sid"
}, {
  "label": "SiegelTheta",
  "type": "keyword",
  "info": "SiegelTheta[Î©, s] gives the Siegel theta function Î (Î©, s) with Riemann modular matrix Î© and vector "
}, {
  "label": "SiegelTukeyTest",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SierpinskiCurve",
  "type": "keyword",
  "info": "                                                              th\nSierpinskiCurve[n] gives the line s"
}, {
  "label": "SierpinskiMesh",
  "type": "keyword",
  "info": "                                                         th                                         "
}, {
  "label": "Sign",
  "type": "keyword",
  "info": "Sign[x] gives -1, 0, or 1 depending on whether x is negative, zero, or positive. "
}, {
  "label": "Signature",
  "type": "keyword",
  "info": "Signature[list] gives the signature of the permutation needed to place the elements of list in canon"
}, {
  "label": "SignedRankTest",
  "type": "keyword",
  "info": "SignedRankTest[data] tests whether the median of data is zero. SignedRankTest[{data , data }] tests "
}, {
  "label": "SignedRegionDistance",
  "type": "keyword",
  "info": "SignedRegionDistance[reg, p] gives the minimum distance from the point p to the region reg if p is o"
}, {
  "label": "SignificanceLevel",
  "type": "keyword",
  "info": "SignificanceLevel is an option to VarianceTest and similar functions that controls cutoffs for diagn"
}, {
  "label": "SignPadding",
  "type": "keyword",
  "info": "SignPadding is an option for NumberForm and related functions that specifies whether padding should "
}, {
  "label": "SignTest",
  "type": "keyword",
  "info": "SignTest[data] tests whether the median of data is zero. SignTest[{data , data }] tests whether the "
}, {
  "label": "SimilarityRules",
  "type": "keyword",
  "info": "SimilarityRules is an option for functions such as SequenceAlignment that gives a list of rules for "
}, {
  "label": "SimpleGraph",
  "type": "keyword",
  "info": "SimpleGraph[g] gives the underlying simple graph from the graph g.SimpleGraph[{v ï¢ w, â¦}] uses rules"
}, {
  "label": "SimpleGraphQ",
  "type": "keyword",
  "info": "SimpleGraphQ[g] yields True if the graph g is a simple graph and False otherwise."
}, {
  "label": "SimplePolygonQ",
  "type": "keyword",
  "info": "SimplePolygonQ[poly] gives True if the polygon poly is simple and False otherwise."
}, {
  "label": "SimplePolyhedronQ",
  "type": "keyword",
  "info": "SimplePolyhedronQ[poly] gives True if the polyhedron poly is simple and False otherwise."
}, {
  "label": "Simplex",
  "type": "keyword",
  "info": "Simplex[{p , â¦, p }] represents the simplex spanned by points p .\n          1      k                "
}, {
  "label": "Simplify",
  "type": "keyword",
  "info": "Simplify[expr] performs a sequence of algebraic and other transformations on expr and returns the si"
}, {
  "label": "Sin",
  "type": "keyword",
  "info": "Sin[z] gives the sine of z. "
}, {
  "label": "Sinc",
  "type": "keyword",
  "info": "Sinc[z] gives sinc(z). "
}, {
  "label": "SinghMaddalaDistribution",
  "type": "keyword",
  "info": "SinghMaddalaDistribution[q, a, b] represents the SinghâMaddala distribution with shape parameters q "
}, {
  "label": "SingleEvaluation",
  "type": "keyword",
  "info": "System`SingleEvaluation"
}, {
  "label": "SingleLetterItalics",
  "type": "keyword",
  "info": "SingleLetterItalics is an option for Cell that specifies whether singleâletter names should be displ"
}, {
  "label": "SingleLetterStyle",
  "type": "keyword",
  "info": "System`SingleLetterStyle"
}, {
  "label": "SingularValueDecomposition",
  "type": "keyword",
  "info": "SingularValueDecomposition[m] gives the singular value decomposition for a numerical matrix m as a l"
}, {
  "label": "SingularValueList",
  "type": "keyword",
  "info": "SingularValueList[m] gives a list of the nonzero singular values of a matrix m. SingularValueList[{m"
}, {
  "label": "SingularValuePlot",
  "type": "keyword",
  "info": "SingularValuePlot[lsys] generates a plot of the singular values of the transfer function for the sys"
}, {
  "label": "SingularValues",
  "type": "keyword",
  "info": "SingularValues[m] gives the singular value decomposition for a numerical matrix m. The result is a l"
}, {
  "label": "Sinh",
  "type": "keyword",
  "info": "Sinh[z] gives the hyperbolic sine of z. "
}, {
  "label": "SinhIntegral",
  "type": "keyword",
  "info": "SinhIntegral[z] gives the hyperbolic sine integral function Shi(z). "
}, {
  "label": "SinIntegral",
  "type": "keyword",
  "info": "SinIntegral[z] gives the sine integral function Si (z). "
}, {
  "label": "SixJSymbol",
  "type": "keyword",
  "info": "SixJSymbol[{j , j , j }, {j , j , j }] gives the values of the Racah 6âj symbol. \n             1   2"
}, {
  "label": "Skeleton",
  "type": "keyword",
  "info": "Skeleton[n] represents a sequence of n omitted elements in an expression printed with Short or Shall"
}, {
  "label": "SkeletonTransform",
  "type": "keyword",
  "info": "SkeletonTransform[image] gives the skeleton transform of image, in which the value of each skeleton "
}, {
  "label": "SkellamDistribution",
  "type": "keyword",
  "info": "SkellamDistribution[Î¼ , Î¼ ] represents a Skellam distribution with shape parameters Î¼  and Î¼ .\n     "
}, {
  "label": "Skewness",
  "type": "keyword",
  "info": "Skewness[list] gives the coefficient of skewness for the elements in list.Skewness[dist] gives the c"
}, {
  "label": "SkewNormalDistribution",
  "type": "keyword",
  "info": "SkewNormalDistribution[Î¼, Ï, Î\\[PlusMinus]] represents a skew-normal distribution with shape parameter Î\\[PlusMinus], locati"
}, {
  "label": "SkinStyle",
  "type": "keyword",
  "info": "SkinStyle is an option of AnatomyPlot3D that specifies what style to use for automatically included "
}, {
  "label": "Skip",
  "type": "keyword",
  "info": "Skip[stream, type] skips one object of the specified type in an input stream. Skip[stream, type, n] "
}, {
  "label": "SliceContourPlot3D",
  "type": "keyword",
  "info": "SliceContourPlot3D[f, surf, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] generates a contour p"
}, {
  "label": "SliceDensityPlot3D",
  "type": "keyword",
  "info": "SliceDensityPlot3D[f, surf, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] generates a density p"
}, {
  "label": "SliceDistribution",
  "type": "keyword",
  "info": "SliceDistribution[proc, t] represents the distribution of the process state at time t.SliceDistribut"
}, {
  "label": "SliceVectorPlot3D",
  "type": "keyword",
  "info": "SliceVectorPlot3D[{v , v , v }, surf, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] generates a"
}, {
  "label": "Slider",
  "type": "keyword",
  "info": "Slider[x] represents a slider with setting x in the range 0 to 1. Slider[Dynamic[x]] takes the setti"
}, {
  "label": "Slider2D",
  "type": "keyword",
  "info": "Slider2D[{x, y}] represents a 2D slider with settings x and y in the range 0 to 1. Slider2D[Dynamic["
}, {
  "label": "Slider2DBox",
  "type": "keyword",
  "info": "System`Slider2DBox"
}, {
  "label": "Slider2DBoxOptions",
  "type": "keyword",
  "info": "Slider2DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Slider2D"
}, {
  "label": "SliderBox",
  "type": "keyword",
  "info": "System`SliderBox"
}, {
  "label": "SliderBoxOptions",
  "type": "keyword",
  "info": "SliderBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for SliderBox "
}, {
  "label": "SlideShowVideo",
  "type": "keyword",
  "info": "SlideShowVideo[{image , image , â¦}] generates a video iterating through all image .SlideShowVideo[{i"
}, {
  "label": "SlideView",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Slot",
  "type": "keyword",
  "info": "                                                                                  th\n# represents th"
}, {
  "label": "SlotSequence",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Small",
  "type": "keyword",
  "info": "Small is a style or option setting that specifies that objects should be small."
}, {
  "label": "SmallCircle",
  "type": "keyword",
  "info": "SmallCircle[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Smaller",
  "type": "keyword",
  "info": "Smaller is a style or option setting that specifies that objects should be smaller."
}, {
  "label": "SmithDecomposition",
  "type": "keyword",
  "info": "SmithDecomposition[m] gives the Smith normal form decomposition of an integer matrix m."
}, {
  "label": "SmithDelayCompensator",
  "type": "keyword",
  "info": "SmithDelayCompensator[sys, con] gives the Smith compensator for the time-delay system sys and the de"
}, {
  "label": "SmithWatermanSimilarity",
  "type": "keyword",
  "info": "SmithWatermanSimilarity[u, v] gives a number representing the SmithâWaterman similarity between stri"
}, {
  "label": "SmoothDensityHistogram",
  "type": "keyword",
  "info": "SmoothDensityHistogram[{{x , y }, {x , y }, â¦}] plots a smooth kernel histogram of the values {x , y"
}, {
  "label": "SmoothHistogram",
  "type": "keyword",
  "info": "SmoothHistogram[{x , x , â¦}] plots a smooth kernel histogram for the PDF of the values x .SmoothHist"
}, {
  "label": "SmoothHistogram3D",
  "type": "keyword",
  "info": "SmoothHistogram3D[{{x , y }, {x , y }, â¦}] plots a 3D smooth kernel histogram of the values {x , y }"
}, {
  "label": "SmoothKernelDistribution",
  "type": "keyword",
  "info": "SmoothKernelDistribution[{x , x , â¦}] represents a smooth kernel distribution based on the data valu"
}, {
  "label": "SmoothPointDensity",
  "type": "keyword",
  "info": "SmoothPointDensity[pdata] estimates the point density function Î¼(x) for point data pdata.SmoothPoint"
}, {
  "label": "SnDispersion",
  "type": "keyword",
  "info": "SnDispersion[list] gives the S  statistic of the elements in list.SnDispersion[list, c] gives the S "
}, {
  "label": "Snippet",
  "type": "keyword",
  "info": "Snippet[doc] gives a snippet of text from a document or other content object.Snippet[doc, n] gives a"
}, {
  "label": "SnippetsVideo",
  "type": "keyword",
  "info": "SnippetsVideo[video, n] returns a summary video based on n snippets from video.SnippetsVideo[video, "
}, {
  "label": "SnubPolyhedron",
  "type": "keyword",
  "info": "SnubPolyhedron[poly] gives the snub polyhedron of poly by truncating some corners."
}, {
  "label": "SocialMediaData",
  "type": "keyword",
  "info": "SocialMediaData[\"name\"] gives information about the social media entity \"name\".SocialMediaData[\"name"
}, {
  "label": "Socket",
  "type": "keyword",
  "info": "Socket is a possible value returned by FileType and related functions."
}, {
  "label": "SocketConnect",
  "type": "keyword",
  "info": "SocketConnect[address] makes a socket connection to the TCP host at the specified address and return"
}, {
  "label": "SocketListen",
  "type": "keyword",
  "info": "SocketListen[socket, fun] starts listening on the specified socket, asynchronously applying fun when"
}, {
  "label": "SocketListener",
  "type": "keyword",
  "info": "SocketListener[â¦] represents a socket listener created by SocketListen."
}, {
  "label": "SocketObject",
  "type": "keyword",
  "info": "SocketObject[â¦] represents a network socket connection."
}, {
  "label": "SocketOpen",
  "type": "keyword",
  "info": "SocketOpen[port] opens a socket that accepts TCP connections to localhost:port and returns a SocketO"
}, {
  "label": "SocketReadMessage",
  "type": "keyword",
  "info": "SocketReadMessage[socket] reads the next available message on the specified socket, returning it as "
}, {
  "label": "SocketReadyQ",
  "type": "keyword",
  "info": "SocketReadyQ[socket] tests if there is any data immediately available to read from the specified soc"
}, {
  "label": "Sockets",
  "type": "keyword",
  "info": "Sockets[] returns all active socket connections initiated by your current Wolfram Language session.S"
}, {
  "label": "SocketWaitAll",
  "type": "keyword",
  "info": "SocketWaitAll[{socket , socket , â¦}] waits until there is data ready to read on all of the socket .\n"
}, {
  "label": "SocketWaitNext",
  "type": "keyword",
  "info": "SocketWaitNext[{socket , socket , â¦}] waits until there is data ready to read on any of the socket ,"
}, {
  "label": "SoftmaxLayer",
  "type": "keyword",
  "info": "SoftmaxLayer[] represents a softmax net layer.SoftmaxLayer[n] represents a softmax net layer that us"
}, {
  "label": "SokalSneathDissimilarity",
  "type": "keyword",
  "info": "SokalSneathDissimilarity[u, v] gives the SokalâSneath dissimilarity between Boolean vectors u and v."
}, {
  "label": "SolarEclipse",
  "type": "keyword",
  "info": "SolarEclipse[] gives the time of the next solar eclipse.SolarEclipse[datespec] gives the time for th"
}, {
  "label": "SolarSystemFeatureData",
  "type": "keyword",
  "info": "SolarSystemFeatureData[entity, property] gives the value of the specified property for the solar sys"
}, {
  "label": "SolarTime",
  "type": "keyword",
  "info": "SolarTime[] gives the angle on the celestial equator between the Sun and the local antimeridian for "
}, {
  "label": "SolidAngle",
  "type": "keyword",
  "info": "SolidAngle[p, {u , â¦, u }] gives the solid angle at the point p and spanned by the vectors u , â¦, u "
}, {
  "label": "SolidBoundaryLoadValue",
  "type": "keyword",
  "info": "SolidBoundaryLoadValue[pred, vars, pars] represents a boundary load condition for PDEs with predicat"
}, {
  "label": "SolidData",
  "type": "keyword",
  "info": "SolidData[entity, property] gives the value of the specified property for the solid entity.SolidData"
}, {
  "label": "SolidDisplacementCondition",
  "type": "keyword",
  "info": "SolidDisplacementCondition[pred, vars, pars] represents a prescribed displacement on a solid boundar"
}, {
  "label": "SolidFixedCondition",
  "type": "keyword",
  "info": "SolidFixedCondition[pred, vars, pars] represents a fully constrained solid boundary for PDEs with pr"
}, {
  "label": "SolidMechanicsPDEComponent",
  "type": "keyword",
  "info": "SolidMechanicsPDEComponent[vars, pars] yields solid mechanics PDE terms with variables vars and para"
}, {
  "label": "SolidMechanicsStrain",
  "type": "keyword",
  "info": "SolidMechanicsStrain[vars, pars, displ] yields solid mechanics strain with variables vars, parameter"
}, {
  "label": "SolidMechanicsStress",
  "type": "keyword",
  "info": "SolidMechanicsStress[vars, pars, strain] yields solid mechanics stress with variables vars, paramete"
}, {
  "label": "SolidRegionQ",
  "type": "keyword",
  "info": "SolidRegionQ[reg] gives True if the 3D region reg is a solid region and False otherwise."
}, {
  "label": "Solve",
  "type": "keyword",
  "info": "Solve[expr, vars] attempts to solve the system expr of equations or inequalities for the variables v"
}, {
  "label": "SolveAlways",
  "type": "keyword",
  "info": "SolveAlways[eqns, vars] gives the values of parameters that make the equations eqns valid for all va"
}, {
  "label": "SolveDelayed",
  "type": "keyword",
  "info": "SolveDelayed is an option to NDSolve. SolveDelayed -> False causes the derivatives to be solved for "
}, {
  "label": "SolveValues",
  "type": "keyword",
  "info": "SolveValues[expr, vars] gives the values of vars determined by the solutions of the system expr.Solv"
}, {
  "label": "Sort",
  "type": "keyword",
  "info": "Sort[list] sorts the elements of list into canonical order. Sort[list, p] sorts using the ordering f"
}, {
  "label": "SortBy",
  "type": "keyword",
  "info": "SortBy[list, f] sorts the elements of list in the order defined by applying f to each of them. SortB"
}, {
  "label": "SortedBy",
  "type": "keyword",
  "info": "SortedBy is an option that specifies a function by which to sort the results of a computation."
}, {
  "label": "SortedEntityClass",
  "type": "keyword",
  "info": "SortedEntityClass[class, prop] represents an entity class derived from class by sorting according to"
}, {
  "label": "Sound",
  "type": "keyword",
  "info": "Sound[primitives] represents a sound. Sound[primitives, t] specifies that the sound should have dura"
}, {
  "label": "SoundAndGraphics",
  "type": "keyword",
  "info": "System`SoundAndGraphics"
}, {
  "label": "SoundNote",
  "type": "keyword",
  "info": "SoundNote[pitch] represents a music-like sound note with the specified pitch.SoundNote[pitch, t] tak"
}, {
  "label": "SoundVolume",
  "type": "keyword",
  "info": "SoundVolume is an option to Sound and SoundNote and related functions that specifies the relative vo"
}, {
  "label": "SourceLink",
  "type": "keyword",
  "info": "SourceLink is an option for CloudObject and related cloud functions that specifies the source of the"
}, {
  "label": "SourcePDETerm",
  "type": "keyword",
  "info": "SourcePDETerm[vars, f] represents a source term f with source coefficient f and model variables vars"
}, {
  "label": "Sow",
  "type": "keyword",
  "info": "Sow[e] specifies that e should be collected by the nearest enclosing Reap. Sow[e, tag] specifies tha"
}, {
  "label": "Space",
  "type": "keyword",
  "info": "System`Space"
}, {
  "label": "SpaceCurveData",
  "type": "keyword",
  "info": "SpaceCurveData[entity, property] gives the value of the specified property for the space curve entit"
}, {
  "label": "SpaceForm",
  "type": "keyword",
  "info": "SpaceForm[n] prints as n spaces."
}, {
  "label": "Spacer",
  "type": "keyword",
  "info": "Spacer[w] displays as a spacer w printer's points wide.Spacer[{w, h}] displays as a spacer w points "
}, {
  "label": "Spacings",
  "type": "keyword",
  "info": "Spacings is an option to Grid and related constructs that specifies the spacings to leave between su"
}, {
  "label": "Span",
  "type": "keyword",
  "info": "i;;j represents a span of elements i through j.i;; represents a span from i to the end.;;j represent"
}, {
  "label": "SpanAdjustments",
  "type": "keyword",
  "info": "SpanAdjustments is an option for selections that specifies the height and width of spanning characte"
}, {
  "label": "SpanCharacterRounding",
  "type": "keyword",
  "info": "SpanCharacterRounding is an option for selections that specifies the method used for rounding a span"
}, {
  "label": "SpanFromAbove",
  "type": "keyword",
  "info": "SpanFromAbove is a symbol that can appear at a particular position in a Grid or related construct to"
}, {
  "label": "SpanFromBoth",
  "type": "keyword",
  "info": "SpanFromBoth is a symbol that can appear at a particular position in a Grid or related construct to "
}, {
  "label": "SpanFromLeft",
  "type": "keyword",
  "info": "SpanFromLeft is a symbol that can appear at a particular position in a Grid or related construct to "
}, {
  "label": "SpanLineThickness",
  "type": "keyword",
  "info": "SpanLineThickness is an option for selections that specifies the thickness in printer's points of li"
}, {
  "label": "SpanMaxSize",
  "type": "keyword",
  "info": "SpanMaxSize is an option for selections that specifies the maximum size of spanning characters such "
}, {
  "label": "SpanMinSize",
  "type": "keyword",
  "info": "SpanMinSize is an option for selections that specifies the minimum size of spanning characters such "
}, {
  "label": "SpanningCharacters",
  "type": "keyword",
  "info": "System`SpanningCharacters"
}, {
  "label": "SpanSymmetric",
  "type": "keyword",
  "info": "SpanSymmetric is an option for selections that specifies whether vertically expandable characters ar"
}, {
  "label": "SparseArray",
  "type": "keyword",
  "info": "SparseArray[{pos  ï¢ v , pos  ï¢ v , â¦}] yields a sparse array with all elements zero except for value"
}, {
  "label": "SparseArrayQ",
  "type": "keyword",
  "info": "SparseArrayQ[s] yields True if s is a valid SparseArray object and False otherwise."
}, {
  "label": "SpatialBinnedPointData",
  "type": "keyword",
  "info": "SpatialBinnedPointData[{reg  ï¢ val , reg  ï¢ val , â¦}] represents values val  associated with disjoin"
}, {
  "label": "SpatialBoundaryCorrection",
  "type": "keyword",
  "info": "SpatialBoundaryCorrection is an option to various spatial statistics functions that control how to c"
}, {
  "label": "SpatialEstimate",
  "type": "keyword",
  "info": "SpatialEstimate[{loc  ï¢ val , loc  ï¢ val , â¦}] creates a spatial prediction from values val  given a"
}, {
  "label": "SpatialEstimatorFunction",
  "type": "keyword",
  "info": "SpatialEstimatorFunction[] represents a function generated by SpatialEstimate and predicts spatial f"
}, {
  "label": "SpatialGraphDistribution",
  "type": "keyword",
  "info": "SpatialGraphDistribution[n, r] represents a spatial distribution for graphs with n vertices uniforml"
}, {
  "label": "SpatialJ",
  "type": "keyword",
  "info": "SpatialJ[pdata, r] estimates the J function J(r) for point data pdata at radius r.SpatialJ[pproc, r]"
}, {
  "label": "SpatialMedian",
  "type": "keyword",
  "info": "SpatialMedian[{x , x , â¦}] gives the spatial median of the elements x .SpatialMedian[data] gives the"
}, {
  "label": "SpatialNoiseLevel",
  "type": "keyword",
  "info": "SpatialNoiseLevel is an option to SpatialEstimate and other spatial functions that gives the noise v"
}, {
  "label": "SpatialObservationRegionQ",
  "type": "keyword",
  "info": "SpatialObservationRegionQ[reg] tests whether the geometric or geographic region reg can be an observ"
}, {
  "label": "SpatialPointData",
  "type": "keyword",
  "info": "SpatialPointData[points] represents a collection of spatial locations points.SpatialPointData[points"
}, {
  "label": "SpatialPointSelect",
  "type": "keyword",
  "info": "SpatialPointSelect[spdata, crit] selects a subset of the SpatialPointData spdata according to crit."
}, {
  "label": "SpatialRandomnessTest",
  "type": "keyword",
  "info": "SpatialRandomnessTest[pdata] tests whether the point collection pdata is distributed uniformly over "
}, {
  "label": "SpatialTransformationLayer",
  "type": "keyword",
  "info": "SpatialTransformationLayer[{h, w}] represents a net layer that applies an affine transformation to a"
}, {
  "label": "SpatialTrendFunction",
  "type": "keyword",
  "info": "SpatialTrendFunction is an option to SpatialEstimate that specifies what global trend model to use f"
}, {
  "label": "Speak",
  "type": "keyword",
  "info": "Speak[expr] speaks a spoken representation of the expression expr."
}, {
  "label": "SpeakerMatchQ",
  "type": "keyword",
  "info": "SpeakerMatchQ[audio, ref] gives True if speaker features in audio match the one from reference ref a"
}, {
  "label": "SpeakTextPacket",
  "type": "keyword",
  "info": "System`SpeakTextPacket"
}, {
  "label": "SpearmanRankTest",
  "type": "keyword",
  "info": "SpearmanRankTest[v , v ] tests whether the vectors v  and v  are independent.SpearmanRankTest[m , m "
}, {
  "label": "SpearmanRho",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SpeciesData",
  "type": "keyword",
  "info": "SpeciesData[name, property] gives the value of the specified property for the species entity.Species"
}, {
  "label": "SpecificityGoal",
  "type": "keyword",
  "info": "SpecificityGoal is an option for ImageIdentify and related functions that defines what specificity o"
}, {
  "label": "SpectralLineData",
  "type": "keyword",
  "info": "SpectralLineData[entity] gives the values of all known properties for an atomic state or state trans"
}, {
  "label": "Spectrogram",
  "type": "keyword",
  "info": "Spectrogram[list] plots the spectrogram of list.Spectrogram[list, n] uses partitions of length n.Spe"
}, {
  "label": "SpectrogramArray",
  "type": "keyword",
  "info": "SpectrogramArray[list] returns the spectrogram data of list.SpectrogramArray[list, n] uses partition"
}, {
  "label": "Specularity",
  "type": "keyword",
  "info": "Specularity[s] is a graphics directive which specifies that surfaces of 3D graphics objects which fo"
}, {
  "label": "SpeechCases",
  "type": "keyword",
  "info": "SpeechCases[audio, form] gives a list of cases of text identified as being of type form that appear "
}, {
  "label": "SpeechInterpreter",
  "type": "keyword",
  "info": "SpeechInterpreter[form] represents an interpreter object that can be applied to a speech input to tr"
}, {
  "label": "SpeechRecognize",
  "type": "keyword",
  "info": "SpeechRecognize[audio] recognizes speech in audio and returns it as a string."
}, {
  "label": "SpeechSynthesize",
  "type": "keyword",
  "info": "SpeechSynthesize[expr] synthesizes the contents of expr as an Audio object. SpeechSynthesize[expr, v"
}, {
  "label": "SpellingCorrection",
  "type": "keyword",
  "info": "SpellingCorrection is an option for StringMatchQ, Names, and related functions that specifies whethe"
}, {
  "label": "SpellingCorrectionList",
  "type": "keyword",
  "info": "SpellingCorrectionList[\"word\"] gives a list of possible spelling corrections for \"word\"."
}, {
  "label": "SpellingDictionaries",
  "type": "keyword",
  "info": "SpellingDictionaries is a global option that specifies settings for spell checking."
}, {
  "label": "SpellingDictionariesPath",
  "type": "keyword",
  "info": "SpellingDictionariesPath is a global option that specifies which directories are searched for spelli"
}, {
  "label": "SpellingOptions",
  "type": "keyword",
  "info": "SpellingOptions is an option for notebooks that specifies settings for spellchecking."
}, {
  "label": "SpellingSuggestionsPacket",
  "type": "keyword",
  "info": "System`SpellingSuggestionsPacket"
}, {
  "label": "Sphere",
  "type": "keyword",
  "info": "Sphere[p] represents a unit sphere centered at the point p.Sphere[p, r] represents a sphere of radiu"
}, {
  "label": "SphereBox",
  "type": "keyword",
  "info": "System`SphereBox"
}, {
  "label": "SpherePoints",
  "type": "keyword",
  "info": "SpherePoints[n] gives the positions of n uniformly distributed points on the surface of a unit spher"
}, {
  "label": "SphericalBesselJ",
  "type": "keyword",
  "info": "SphericalBesselJ[n, z] gives the spherical Bessel function of the first kind j (z). \n               "
}, {
  "label": "SphericalBesselY",
  "type": "keyword",
  "info": "SphericalBesselY[n, z] gives the spherical Bessel function of the second kind y (z). \n              "
}, {
  "label": "SphericalHankelH1",
  "type": "keyword",
  "info": "                                                                               (1)\nSphericalHankelH1"
}, {
  "label": "SphericalHankelH2",
  "type": "keyword",
  "info": "                                                                                (2)\nSphericalHankelH"
}, {
  "label": "SphericalHarmonicY",
  "type": "keyword",
  "info": "                                                             m\nSphericalHarmonicY[l, m, Î¸, Ï] gives "
}, {
  "label": "SphericalPlot3D",
  "type": "keyword",
  "info": "SphericalPlot3D[r, Î¸, Ï] generates a 3D plot with a spherical radius r as a function of spherical co"
}, {
  "label": "SphericalRegion",
  "type": "keyword",
  "info": "SphericalRegion is an option for three-dimensional graphics functions that specifies whether the fin"
}, {
  "label": "SphericalShell",
  "type": "keyword",
  "info": "SphericalShell[c, {r     , r     }] represents a filled spherical shell centered at c with inner rad"
}, {
  "label": "SpheroidalEigenvalue",
  "type": "keyword",
  "info": "SpheroidalEigenvalue[n, m, Î\.b3] gives the spheroidal eigenvalue with degree n and order m."
}, {
  "label": "SpheroidalJoiningFactor",
  "type": "keyword",
  "info": "SpheroidalJoiningFactor[n, m, Î\.b3] gives the spheroidal joining factor with degree n and order m."
}, {
  "label": "SpheroidalPS",
  "type": "keyword",
  "info": "SpheroidalPS[n, m, Î\.b3, z] gives the angular spheroidal function PS    (Î\.b3, z) of the first kind.\n     "
}, {
  "label": "SpheroidalPSPrime",
  "type": "keyword",
  "info": "SpheroidalPSPrime[n, m, Î\.b3, z] gives the derivative with respect to z of the angular spheroidal funct"
}, {
  "label": "SpheroidalQS",
  "type": "keyword",
  "info": "SpheroidalQS[n, m, Î\.b3, z] gives the angular spheroidal function QS    (Î\.b3, z) of the second kind.\n    "
}, {
  "label": "SpheroidalQSPrime",
  "type": "keyword",
  "info": "SpheroidalQSPrime[n, m, Î\.b3, z] gives the derivative with respect to z of the angular spheroidal funct"
}, {
  "label": "SpheroidalRadialFactor",
  "type": "keyword",
  "info": "SpheroidalRadialFactor[n, m, c] gives the spheroidal radial factor with degree n and order m."
}, {
  "label": "SpheroidalS1",
  "type": "keyword",
  "info": "                                                               (1)\nSpheroidalS1[n, m, Î\.b3, z] gives th"
}, {
  "label": "SpheroidalS1Prime",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SpheroidalS2",
  "type": "keyword",
  "info": "                                                               (2)\nSpheroidalS2[n, m, Î\.b3, z] gives th"
}, {
  "label": "SpheroidalS2Prime",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Splice",
  "type": "keyword",
  "info": "Splice[{e , e , â¦}] represents an expression that will automatically be spliced into any list in whi"
}, {
  "label": "SplicedDistribution",
  "type": "keyword",
  "info": "SplicedDistribution[{w , w , â¦, w }, {c , c , â¦, c }, {dist   dist , â¦, dist }] represents the distr"
}, {
  "label": "SplineClosed",
  "type": "keyword",
  "info": "SplineClosed is an option for B-spline functions and graphics primitives that specifies whether spli"
}, {
  "label": "SplineDegree",
  "type": "keyword",
  "info": "SplineDegree is an option for spline functions and graphics primitives that specifies the degree of "
}, {
  "label": "SplineKnots",
  "type": "keyword",
  "info": "SplineKnots is an option for B-spline functions and graphics primitives that specifies the positions"
}, {
  "label": "SplineWeights",
  "type": "keyword",
  "info": "SplineWeights is an option for B-spline functions and graphics primitives that specifies weights of "
}, {
  "label": "Split",
  "type": "keyword",
  "info": "Split[list] splits list into sublists consisting of runs of identical elements. Split[list, test] tr"
}, {
  "label": "SplitBy",
  "type": "keyword",
  "info": "SplitBy[list, f] splits list into sublists consisting of runs of successive elements that give the s"
}, {
  "label": "SpokenString",
  "type": "keyword",
  "info": "SpokenString[expr] gives a string of text corresponding to a spoken representation of the expression"
}, {
  "label": "SpotLight",
  "type": "keyword",
  "info": "SpotLight[col, pt, Î\\[PlusMinus]] is a three-dimensional graphics directive to use in coloring 3D surfaces that "
}, {
  "label": "Sqrt",
  "type": "keyword",
  "info": "Sqrt[z] or Sqrt[z] gives the square root of z. "
}, {
  "label": "SqrtBox",
  "type": "keyword",
  "info": "SqrtBox[x] is a low-level box construct that represents the displayed object Sqrt[x] in notebook exp"
}, {
  "label": "SqrtBoxOptions",
  "type": "keyword",
  "info": "SqrtBoxOptions is an option that specifies settings for SqrtBox objects."
}, {
  "label": "Square",
  "type": "keyword",
  "info": "Square[x] displays as ï  x."
}, {
  "label": "SquaredEuclideanDistance",
  "type": "keyword",
  "info": "SquaredEuclideanDistance[u, v] gives the squared Euclidean distance between vectors u and v."
}, {
  "label": "SquareFreeQ",
  "type": "keyword",
  "info": "SquareFreeQ[expr] gives True if expr is a square-free polynomial or number, and False otherwise.Squa"
}, {
  "label": "SquareIntersection",
  "type": "keyword",
  "info": "SquareIntersection[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SquareMatrixQ",
  "type": "keyword",
  "info": "SquareMatrixQ[m] gives True if m is a square matrix, and False otherwise."
}, {
  "label": "SquareRepeatingElement",
  "type": "keyword",
  "info": "SquareRepeatingElement[spec] represents a square array of elements of type spec in an interpreter, A"
}, {
  "label": "SquaresR",
  "type": "keyword",
  "info": "SquaresR[d, n] gives the number of ways r (n) to represent the integer n as a sum of d squares.\n    "
}, {
  "label": "SquareSubset",
  "type": "keyword",
  "info": "SquareSubset[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SquareSubsetEqual",
  "type": "keyword",
  "info": "SquareSubsetEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SquareSuperset",
  "type": "keyword",
  "info": "SquareSuperset[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SquareSupersetEqual",
  "type": "keyword",
  "info": "SquareSupersetEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SquareUnion",
  "type": "keyword",
  "info": "SquareUnion[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SquareWave",
  "type": "keyword",
  "info": "SquareWave[x] gives a square wave that alternates between +1 and -1 with unit period.SquareWave[{y ,"
}, {
  "label": "SSSTriangle",
  "type": "keyword",
  "info": "SSSTriangle[a, b, c] returns a filled triangle with sides of lengths a, b, and c."
}, {
  "label": "StabilityMargins",
  "type": "keyword",
  "info": "StabilityMargins is an option to frequency response plots such as BodePlot, NyquistPlot, and Nichols"
}, {
  "label": "StabilityMarginsStyle",
  "type": "keyword",
  "info": "StabilityMarginsStyle is an option to frequency response plots such as BodePlot, NyquistPlot, and Ni"
}, {
  "label": "StableDistribution",
  "type": "keyword",
  "info": "StableDistribution[type, Î\\[PlusMinus], Î\.b2, Î¼, Ï] represents the stable distribution S     with index of stabilit"
}, {
  "label": "Stack",
  "type": "keyword",
  "info": "Stack[] shows the current evaluation stack, giving a list of the tags associated with evaluations th"
}, {
  "label": "StackBegin",
  "type": "keyword",
  "info": "StackBegin[expr] evaluates expr, starting a fresh evaluation stack. "
}, {
  "label": "StackComplete",
  "type": "keyword",
  "info": "StackComplete[expr] evaluates expr with intermediate expressions in evaluation chains included on th"
}, {
  "label": "StackedDateListPlot",
  "type": "keyword",
  "info": "StackedDateListPlot[{{date , v }, {date , v }, â¦}] plots points with values v  at a sequence of date"
}, {
  "label": "StackedListPlot",
  "type": "keyword",
  "info": "                                                                                 th\nStackedListPlot["
}, {
  "label": "StackInhibit",
  "type": "keyword",
  "info": "StackInhibit[expr] evaluates expr without modifying the evaluation stack. "
}, {
  "label": "StadiumShape",
  "type": "keyword",
  "info": "StadiumShape[{{x , y }, {x , y }}, r] represents a stadium of radius r between the points {x , y } a"
}, {
  "label": "StandardAtmosphereData",
  "type": "keyword",
  "info": "StandardAtmosphereData[altitude, property] returns the value of the property at the specified geomet"
}, {
  "label": "StandardDeviation",
  "type": "keyword",
  "info": "StandardDeviation[list] gives the sample standard deviation of the elements in list. StandardDeviati"
}, {
  "label": "StandardDeviationFilter",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "StandardForm",
  "type": "keyword",
  "info": "StandardForm[expr] prints as the standard Wolfram Language two-dimensional representation of expr. "
}, {
  "label": "Standardize",
  "type": "keyword",
  "info": "Standardize[list] shifts and rescales the elements of list to have zero mean and unit sample varianc"
}, {
  "label": "Standardized",
  "type": "keyword",
  "info": "Standardized is an option that determines whether to standardize the data."
}, {
  "label": "StandardOceanData",
  "type": "keyword",
  "info": "StandardOceanData[spec] returns the thermodynamic properties of seawater for the specified parameter"
}, {
  "label": "StandbyDistribution",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Star",
  "type": "keyword",
  "info": "Star[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "StarClusterData",
  "type": "keyword",
  "info": "StarClusterData[entity, property] gives the value of the specified property for the star cluster ent"
}, {
  "label": "StarData",
  "type": "keyword",
  "info": "StarData[entity, property] gives the value of the specified property for the star entity.StarData[{e"
}, {
  "label": "StarGraph",
  "type": "keyword",
  "info": "StarGraph[n] gives the star graph with n vertices S .\n                                              "
}, {
  "label": "StartAsynchronousTask",
  "type": "keyword",
  "info": "StartAsynchronousTask[task] allows asynchronous evaluations from task after it has been stopped."
}, {
  "label": "StartExternalSession",
  "type": "keyword",
  "info": "StartExternalSession[\"sys\"] starts an external session using the external evaluator sys, returning a"
}, {
  "label": "StartingStepSize",
  "type": "keyword",
  "info": "StartingStepSize is an option to NDSolve and related functions that specifies the initial step size "
}, {
  "label": "StartOfLine",
  "type": "keyword",
  "info": "StartOfLine represents the start of a line in a string for purposes of matching in StringExpression."
}, {
  "label": "StartOfString",
  "type": "keyword",
  "info": "StartOfString represents the start of a string for purposes of matching in StringExpression."
}, {
  "label": "StartProcess",
  "type": "keyword",
  "info": "StartProcess[\"executable\"] executes an external program, yielding a ProcessObject to represent the r"
}, {
  "label": "StartScheduledTask",
  "type": "keyword",
  "info": "StartScheduledTask[obj] starts the local or cloud scheduled task represented by obj."
}, {
  "label": "StartupSound",
  "type": "keyword",
  "info": "System`StartupSound"
}, {
  "label": "StartWebSession",
  "type": "keyword",
  "info": "StartWebSession[] starts a web session and returns a web session object.StartWebSession[\"browser\"] s"
}, {
  "label": "StateDimensions",
  "type": "keyword",
  "info": "StateDimensions is an option to TemporalData that specifies the dimensions of the state space. "
}, {
  "label": "StateFeedbackGains",
  "type": "keyword",
  "info": "StateFeedbackGains[sspec, {p , â¦, p }] gives the state feedback gains for the system specification s"
}, {
  "label": "StateOutputEstimator",
  "type": "keyword",
  "info": "StateOutputEstimator[ssm, l] constructs an estimator for the StateSpaceModel ssm, with estimator gai"
}, {
  "label": "StateResponse",
  "type": "keyword",
  "info": "StateResponse[sys, u, {t, t   , t   }] gives the numeric state response of the state-space model sys"
}, {
  "label": "StateSpaceModel",
  "type": "keyword",
  "info": "StateSpaceModel[{a, b, c, d}] represents the standard state-space model with state matrix a, input m"
}, {
  "label": "StateSpaceRealization",
  "type": "keyword",
  "info": "StateSpaceRealization is an option to StateSpaceModel that specifies its canonical representation."
}, {
  "label": "StateSpaceTransform",
  "type": "keyword",
  "info": "StateSpaceTransform[sys, {p, q}] transforms the state-space model sys using the matrices p and q. St"
}, {
  "label": "StateTransformationLinearize",
  "type": "keyword",
  "info": "StateTransformationLinearize[asys] linearizes the AffineStateSpaceModel asys by state transformation"
}, {
  "label": "StationaryDistribution",
  "type": "keyword",
  "info": "StationaryDistribution[proc] represents the stationary distribution of the process proc, when it exi"
}, {
  "label": "StationaryWaveletPacketTransform",
  "type": "keyword",
  "info": "StationaryWaveletPacketTransform[data] gives the stationary wavelet packet transform (SWPT) of an ar"
}, {
  "label": "StationaryWaveletTransform",
  "type": "keyword",
  "info": "StationaryWaveletTransform[data] gives the stationary wavelet transform (SWT) of an array of data.St"
}, {
  "label": "StatusArea",
  "type": "keyword",
  "info": "StatusArea[expr, string] displays string in the status area of the current notebook when the mouse p"
}, {
  "label": "StatusCentrality",
  "type": "keyword",
  "info": "StatusCentrality[g] gives a list of status centralities for the vertices in the graph g.StatusCentra"
}, {
  "label": "StepMonitor",
  "type": "keyword",
  "info": "StepMonitor is an option for iterative numerical computation functions that gives an expression to e"
}, {
  "label": "StereochemistryElements",
  "type": "keyword",
  "info": "StereochemistryElements is an option for Molecule that specifies the local stereochemical arrangemen"
}, {
  "label": "StieltjesGamma",
  "type": "keyword",
  "info": "StieltjesGamma[n] gives the Stieltjes constant Î\.b3 . StieltjesGamma[n, a] gives the generalized Stielt"
}, {
  "label": "StippleShading",
  "type": "keyword",
  "info": "StippleShading[] is a three-dimensional graphics directive specifying that objects that follow are t"
}, {
  "label": "StirlingS1",
  "type": "keyword",
  "info": "                                                              (m)\nStirlingS1[n, m] gives the Stirlin"
}, {
  "label": "StirlingS2",
  "type": "keyword",
  "info": "                                                               (m)\nStirlingS2[n, m] gives the Stirli"
}, {
  "label": "StopAsynchronousTask",
  "type": "keyword",
  "info": "StopAsynchronousTask[task] stops asynchronous evaluations from task."
}, {
  "label": "StoppingPowerData",
  "type": "keyword",
  "info": "StoppingPowerData[entity, {\"Particle\" ï¢ particle, \"Energy\" ï¢ quantity}, property] gives the value of"
}, {
  "label": "StopScheduledTask",
  "type": "keyword",
  "info": "StopScheduledTask[obj] deactivates the local or cloud scheduled task represented by obj."
}, {
  "label": "StrataVariables",
  "type": "keyword",
  "info": "StrataVariables is an option for fitting functions such as CoxModelFit that specify the variables on"
}, {
  "label": "StratonovichProcess",
  "type": "keyword",
  "info": "StratonovichProcess[{a, b}, x, t] represents a Stratonovich process x(t), where ï x(t) ï a(t, x(t)) "
}, {
  "label": "StraussHardcorePointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "StraussPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "StreamColorFunction",
  "type": "keyword",
  "info": "StreamColorFunction is an option for StreamPlot and related functions that specifies a function to a"
}, {
  "label": "StreamColorFunctionScaling",
  "type": "keyword",
  "info": "StreamColorFunctionScaling is an option for graphics functions that specifies whether arguments supp"
}, {
  "label": "StreamDensityPlot",
  "type": "keyword",
  "info": "StreamDensityPlot[{{v , v }, s}, {x, x   , x   }, {y, y   , y   }] generates a stream plot of the ve"
}, {
  "label": "StreamMarkers",
  "type": "keyword",
  "info": "StreamMarkers is an option for StreamPlot, ListStreamPlot and related functions that specifies what "
}, {
  "label": "StreamPlot",
  "type": "keyword",
  "info": "StreamPlot[{v , v }, {x, x   , x   }, {y, y   , y   }] generates a stream plot of the vector field {"
}, {
  "label": "StreamPlot3D",
  "type": "keyword",
  "info": "StreamPlot3D[{v , v , v }, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] plots streamlines for "
}, {
  "label": "StreamPoints",
  "type": "keyword",
  "info": "StreamPoints is an option to StreamPlot, ListStreamPlot, and related functions that determines how m"
}, {
  "label": "StreamPosition",
  "type": "keyword",
  "info": "StreamPosition[stream] returns an integer that specifies the position of the current point in an ope"
}, {
  "label": "Streams",
  "type": "keyword",
  "info": "Streams[] gives a list of all streams that are currently open. Streams[\"name\"] lists only streams wi"
}, {
  "label": "StreamScale",
  "type": "keyword",
  "info": "StreamScale is an option to StreamPlot, ListStreamPlot, and related functions that determines the le"
}, {
  "label": "StreamStyle",
  "type": "keyword",
  "info": "StreamStyle is an option to StreamPlot, StreamDensityPlot, and related functions that determines the"
}, {
  "label": "StrictInequalities",
  "type": "keyword",
  "info": "StrictInequalities is an option to FunctionSign and FunctionMonotonicity, etc. that determines wheth"
}, {
  "label": "String",
  "type": "keyword",
  "info": "String is the head of a character string \"text\". "
}, {
  "label": "StringBreak",
  "type": "keyword",
  "info": "System`StringBreak"
}, {
  "label": "StringByteCount",
  "type": "keyword",
  "info": "StringByteCount[\"string\"] gives the total number of bytes used to store the characters in a string."
}, {
  "label": "StringCases",
  "type": "keyword",
  "info": "StringCases[\"string\", patt] gives a list of the substrings in \"string\" that match the string express"
}, {
  "label": "StringContainsQ",
  "type": "keyword",
  "info": "StringContainsQ[\"string\", patt] yields True if any part of string matches the string pattern patt, a"
}, {
  "label": "StringCount",
  "type": "keyword",
  "info": "StringCount[\"string\", \"sub\"] gives a count of the number of times \"sub\" appears as a substring of \"s"
}, {
  "label": "StringDelete",
  "type": "keyword",
  "info": "StringDelete[\"string\", patt] yields the string obtained by deleting from string all occurrences of a"
}, {
  "label": "StringDrop",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "StringEndsQ",
  "type": "keyword",
  "info": "StringEndsQ[\"string\", patt] yields True if the end of string matches the string pattern patt, and yi"
}, {
  "label": "StringExpression",
  "type": "keyword",
  "info": "s  ~~ s  ~~ â¦ or StringExpression[s , s , â¦] represents a sequence of strings and symbolic string ob"
}, {
  "label": "StringExtract",
  "type": "keyword",
  "info": "                                          th\nStringExtract[\"string\", n] extracts the nï    block of c"
}, {
  "label": "StringForm",
  "type": "keyword",
  "info": "StringForm[\"controlstring\", expr , â¦] prints as the text of the controlstring, with the printed form"
}, {
  "label": "StringFormat",
  "type": "keyword",
  "info": "StringFormat[\"string\"] attempts to determine what ImportString format could be used to import the st"
}, {
  "label": "StringFormatQ",
  "type": "keyword",
  "info": "StringFormatQ[\"string\", \"fmt\"] gives True if the string \"string\" might be imported as format \"fmt\" a"
}, {
  "label": "StringFreeQ",
  "type": "keyword",
  "info": "StringFreeQ[\"string\", patt] yields True if no substring in \"string\" matches the string expression pa"
}, {
  "label": "StringInsert",
  "type": "keyword",
  "info": "StringInsert[\"string\", \"snew\", n] yields a string with \"snew\" inserted starting at position n in \"st"
}, {
  "label": "StringJoin",
  "type": "keyword",
  "info": "\"s \" <> \"s \" <> â¦, StringJoin[\"s \", \"s \", â¦], or StringJoin[{\"s \", \"s \", â¦}] yields a string consist"
}, {
  "label": "StringLength",
  "type": "keyword",
  "info": "StringLength[\"string\"] gives the number of characters in a string. "
}, {
  "label": "StringMatchQ",
  "type": "keyword",
  "info": "StringMatchQ[\"string\", patt] tests whether \"string\" matches the string pattern patt. StringMatchQ[\"s"
}, {
  "label": "StringPadLeft",
  "type": "keyword",
  "info": "StringPadLeft[\"string\", n] makes string be of length n, padding it on the left with spaces or trunca"
}, {
  "label": "StringPadRight",
  "type": "keyword",
  "info": "StringPadRight[\"string\", n] makes string be of length n, padding it on the right with spaces or trun"
}, {
  "label": "StringPart",
  "type": "keyword",
  "info": "                                    th                                                              "
}, {
  "label": "StringPartition",
  "type": "keyword",
  "info": "StringPartition[\"string\", n] partitions string into nonoverlapping substrings of length n.StringPart"
}, {
  "label": "StringPosition",
  "type": "keyword",
  "info": "StringPosition[\"string\", \"sub\"] gives a list of the starting and ending character positions at which"
}, {
  "label": "StringQ",
  "type": "keyword",
  "info": "StringQ[expr] gives True if expr is a string, and False otherwise."
}, {
  "label": "StringRepeat",
  "type": "keyword",
  "info": "StringRepeat[\"str\", n] creates a string consisting of \"str\" repeated n times.StringRepeat[\"str\", n, "
}, {
  "label": "StringReplace",
  "type": "keyword",
  "info": "StringReplace[\"string\", s ï¢ sp] replaces the string expression s by sp wherever it appears in \"strin"
}, {
  "label": "StringReplaceList",
  "type": "keyword",
  "info": "StringReplaceList[\"string\", s ï¢ sp] or StringReplaceList[\"string\", {s  ï¢ sp , s  ï¢ sp , â¦}] gives a "
}, {
  "label": "StringReplacePart",
  "type": "keyword",
  "info": "StringReplacePart[\"string\", \"snew\", {m, n}] replaces the characters at positions m through n in \"str"
}, {
  "label": "StringReverse",
  "type": "keyword",
  "info": "StringReverse[\"string\"] reverses the order of the characters in \"string\"."
}, {
  "label": "StringRiffle",
  "type": "keyword",
  "info": "StringRiffle[{s , s , s , â¦}] creates a string by concatenating all the s , with spaces inserted bet"
}, {
  "label": "StringRotateLeft",
  "type": "keyword",
  "info": "StringRotateLeft[string, n] cycles the characters in string n positions to the left.StringRotateLeft"
}, {
  "label": "StringRotateRight",
  "type": "keyword",
  "info": "StringRotateRight[string, n] cycles the characters in string n positions to the right.StringRotateRi"
}, {
  "label": "StringSkeleton",
  "type": "keyword",
  "info": "StringSkeleton[n] represents a sequence of n omitted characters in a string printed with Short. The "
}, {
  "label": "StringSplit",
  "type": "keyword",
  "info": "StringSplit[\"string\"] splits \"string\" into a list of substrings separated by whitespace. StringSplit"
}, {
  "label": "StringStartsQ",
  "type": "keyword",
  "info": "StringStartsQ[\"string\", patt] yields True if the beginning of string matches the string pattern patt"
}, {
  "label": "StringTake",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "StringTakeDrop",
  "type": "keyword",
  "info": "StringTakeDrop[\"string\", n] gives a pair of strings containing the first n characters in \"string\" an"
}, {
  "label": "StringTemplate",
  "type": "keyword",
  "info": "StringTemplate[\"string\"] yields a TemplateObject expression that represents a string template to be "
}, {
  "label": "StringToByteArray",
  "type": "keyword",
  "info": "StringToByteArray[\"string\"] returns a byte array corresponding to the UTF-8 encoding of the specifie"
}, {
  "label": "StringToStream",
  "type": "keyword",
  "info": "StringToStream[\"string\"] opens an input stream for reading from a string. "
}, {
  "label": "StringTrim",
  "type": "keyword",
  "info": "StringTrim[\"string\"] trims whitespace from the beginning and end of \"string\".StringTrim[\"string\", pa"
}, {
  "label": "StripBoxes",
  "type": "keyword",
  "info": "StripBoxes[expr] will strip out unnecessary boxes, spaces, and styles from a format expression."
}, {
  "label": "StripOnInput",
  "type": "keyword",
  "info": "StripOnInput is an option for certain boxes that determines whether the box should be stripped on ev"
}, {
  "label": "StripStyleOnPaste",
  "type": "keyword",
  "info": "System`StripStyleOnPaste"
}, {
  "label": "StripWrapperBoxes",
  "type": "keyword",
  "info": "StripWrapperBoxes is an option to TagBox that controls how boxes are stripped upon evaluation."
}, {
  "label": "StrokeForm",
  "type": "keyword",
  "info": "System`StrokeForm"
}, {
  "label": "StructuralImportance",
  "type": "keyword",
  "info": "StructuralImportance[rdist] gives the structural importances for all components in the ReliabilityDi"
}, {
  "label": "StructuredArray",
  "type": "keyword",
  "info": "StructuredArray[st, {d , d , â¦}, data] represents a d Ãd Ãâ¦ array with structure type st and specifi"
}, {
  "label": "StructuredArrayHeadQ",
  "type": "keyword",
  "info": "System`StructuredArrayHeadQ"
}, {
  "label": "StructuredSelection",
  "type": "keyword",
  "info": "StructuredSelection is an option for Cell that specifies whether to allow only complete subexpressio"
}, {
  "label": "StruveH",
  "type": "keyword",
  "info": "StruveH[n, z] gives the Struve function H (z). \n                                         n"
}, {
  "label": "StruveL",
  "type": "keyword",
  "info": "StruveL[n, z] gives the modified Struve function L (z). \n                                           "
}, {
  "label": "Stub",
  "type": "keyword",
  "info": "Stub is an attribute which specifies that if a symbol is ever used, Needs should automatically be ca"
}, {
  "label": "StudentTDistribution",
  "type": "keyword",
  "info": "StudentTDistribution[Î½] represents a Student t distribution with Î½ degrees of freedom.StudentTDistri"
}, {
  "label": "Style",
  "type": "keyword",
  "info": "Style[expr, options] displays with expr formatted using the specified option settings. Style[expr, \""
}, {
  "label": "StyleBox",
  "type": "keyword",
  "info": "StyleBox[boxes, options] is a low-level representation of boxes to be shown with the specified optio"
}, {
  "label": "StyleBoxAutoDelete",
  "type": "keyword",
  "info": "StyleBoxAutoDelete is an option for selections that specifies whether a StyleBox wrapped around them"
}, {
  "label": "StyleData",
  "type": "keyword",
  "info": "StyleData[\"style\"] is a low-level representation of the contents of a style definition cell.StyleDat"
}, {
  "label": "StyleDefinitions",
  "type": "keyword",
  "info": "StyleDefinitions is an option for notebooks that gives definitions for the styles that can be used i"
}, {
  "label": "StyleForm",
  "type": "keyword",
  "info": "StyleForm[expr, options] prints using the specified style options. StyleForm[expr, \"style\"] prints u"
}, {
  "label": "StyleHints",
  "type": "keyword",
  "info": "StyleHints is an option for cells and notebooks that specifies an association containing hints used "
}, {
  "label": "StyleKeyMapping",
  "type": "keyword",
  "info": "System`StyleKeyMapping"
}, {
  "label": "StyleMenuListing",
  "type": "keyword",
  "info": "StyleMenuListing is an option for cells that specifies whether a given cell style is listed in the F"
}, {
  "label": "StyleNameDialogSettings",
  "type": "keyword",
  "info": "StyleNameDialogSettings is a global option that specifies the cell style displayed in the Custom Sty"
}, {
  "label": "StyleNames",
  "type": "keyword",
  "info": "System`StyleNames"
}, {
  "label": "StylePrint",
  "type": "keyword",
  "info": "StylePrint[expr, \"style\"] creates a new cell in the current notebook with the specified style, and p"
}, {
  "label": "StyleSheetPath",
  "type": "keyword",
  "info": "StyleSheetPath is a global option that specifies which directories the Wolfram System searches to fi"
}, {
  "label": "Subdivide",
  "type": "keyword",
  "info": "Subdivide[n] generates the list {0, 1\/n, 2\/n, â¦, 1}.Subdivide[x   , n] generates the list of values "
}, {
  "label": "Subfactorial",
  "type": "keyword",
  "info": "Subfactorial[n] gives the number of permutations of n objects that leave no object fixed."
}, {
  "label": "Subgraph",
  "type": "keyword",
  "info": "Subgraph[g, {v , v , â¦}] gives the subgraph of the graph g generated by the vertices v .Subgraph[g, "
}, {
  "label": "SubMinus",
  "type": "keyword",
  "info": "SubMinus[expr] displays as expr .\n                               -"
}, {
  "label": "SubPlus",
  "type": "keyword",
  "info": "SubPlus[expr] displays as expr .\n                              +"
}, {
  "label": "SubresultantPolynomialRemainders",
  "type": "keyword",
  "info": "SubresultantPolynomialRemainders[poly , poly , var] gives the subresultant polynomial remainder sequ"
}, {
  "label": "SubresultantPolynomials",
  "type": "keyword",
  "info": "SubresultantPolynomials[poly , poly , var] generates a list of subresultant polynomials of the polyn"
}, {
  "label": "Subresultants",
  "type": "keyword",
  "info": "Subresultants[poly , poly , var] generates a list of the principal subresultant coefficients of the "
}, {
  "label": "Subscript",
  "type": "keyword",
  "info": "Subscript[x, y] is an object that formats as x . Subscript[x, y , y , â¦] formats as x         .\n    "
}, {
  "label": "SubscriptBox",
  "type": "keyword",
  "info": "SubscriptBox[x, y] is the lowâlevel box representation for x  in notebook expressions. \n            "
}, {
  "label": "SubscriptBoxOptions",
  "type": "keyword",
  "info": "SubscriptBoxOptions is an option for selections that specifies settings for SubscriptBox objects."
}, {
  "label": "Subscripted",
  "type": "keyword",
  "info": "System`Subscripted"
}, {
  "label": "Subsequences",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Subset",
  "type": "keyword",
  "info": "Subset[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SubsetCases",
  "type": "keyword",
  "info": "SubsetCases[list, patt] gives a list of the sublists in list that match the pattern patt in any orde"
}, {
  "label": "SubsetCount",
  "type": "keyword",
  "info": "SubsetCount[list, sub] gives a count of the number of times sub appears in any order as a sublist of"
}, {
  "label": "SubsetEqual",
  "type": "keyword",
  "info": "SubsetEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SubsetMap",
  "type": "keyword",
  "info": "SubsetMap[f, {e , e , â¦}, {i, j, â¦}] yields an expression in which the elements e , e , â¦ in the lis"
}, {
  "label": "SubsetPosition",
  "type": "keyword",
  "info": "SubsetPosition[list, sublist] gives a list of positions at which sublist appears in list in any orde"
}, {
  "label": "SubsetQ",
  "type": "keyword",
  "info": "SubsetQ[list , list ] yields True if list  is a subset of list , and False otherwise.\n            1 "
}, {
  "label": "SubsetReplace",
  "type": "keyword",
  "info": "SubsetReplace[list, rules] replaces sublists in list according to the specified rule or list of rule"
}, {
  "label": "Subsets",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SubStar",
  "type": "keyword",
  "info": "SubStar[expr] displays as expr .\n                              *"
}, {
  "label": "SubstitutionSystem",
  "type": "keyword",
  "info": "SubstitutionSystem[rule, init, t] generates a list representing the evolution of the substitution sy"
}, {
  "label": "Subsuperscript",
  "type": "keyword",
  "info": "                                                      z\nSubsuperscript[x, y, z] is an object that fo"
}, {
  "label": "SubsuperscriptBox",
  "type": "keyword",
  "info": "                                                                    z\nSubsuperscriptBox[x, y, z] is "
}, {
  "label": "SubsuperscriptBoxOptions",
  "type": "keyword",
  "info": "SubsuperscriptBoxOptions is an option for selections that specifies settings for SubsuperscriptBox o"
}, {
  "label": "SubtitleEncoding",
  "type": "keyword",
  "info": "SubtitleEncoding is an option for Export and other functions that specifies the subtitle encoding to"
}, {
  "label": "SubtitleTrackSelection",
  "type": "keyword",
  "info": "SubtitleTrackSelection is an option that specifies the subtitle tracks of interest."
}, {
  "label": "Subtract",
  "type": "keyword",
  "info": "x - y is equivalent to x + (-1 * y). "
}, {
  "label": "SubtractFrom",
  "type": "keyword",
  "info": "x -= dx subtracts dx from x and returns the new value of x. "
}, {
  "label": "SubtractSides",
  "type": "keyword",
  "info": "SubtractSides[rel, x] subtracts x from each side of the equation or inequality rel.SubtractSides[rel"
}, {
  "label": "SubValues",
  "type": "keyword",
  "info": "SubValues[f] gives a list of transformation rules corresponding to all subvalues (values for f[â¦][â¦]"
}, {
  "label": "Succeeds",
  "type": "keyword",
  "info": "Succeeds[x, y, â¦] displays as x â» y â» â¦."
}, {
  "label": "SucceedsEqual",
  "type": "keyword",
  "info": "SucceedsEqual[x, y, â¦] displays as x âª\\[Degree] y âª\\[Degree] â¦."
}, {
  "label": "SucceedsSlantEqual",
  "type": "keyword",
  "info": "SucceedsSlantEqual[x, y, â¦] displays as x â½ y â½ â¦."
}, {
  "label": "SucceedsTilde",
  "type": "keyword",
  "info": "SucceedsTilde[x, y, â¦] displays as x â¿ y â¿ â¦."
}, {
  "label": "Success",
  "type": "keyword",
  "info": "Success[\"tag\", assoc] represents a success of a type indicated by tag, with details given by the ass"
}, {
  "label": "SuchThat",
  "type": "keyword",
  "info": "SuchThat[x, y] displays as x â y."
}, {
  "label": "Sum",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SumConvergence",
  "type": "keyword",
  "info": "                                                  â                                                 "
}, {
  "label": "SummationLayer",
  "type": "keyword",
  "info": "SummationLayer[] represents a net layer that sums all of its input elements."
}, {
  "label": "Sunday",
  "type": "keyword",
  "info": "Sunday is a day of the week."
}, {
  "label": "SunPosition",
  "type": "keyword",
  "info": "SunPosition[] gives the position of the Sun for the current date and location.SunPosition[datespec] "
}, {
  "label": "Sunrise",
  "type": "keyword",
  "info": "Sunrise[] gives the time of the next sunrise for the current date and location.Sunrise[datespec] giv"
}, {
  "label": "Sunset",
  "type": "keyword",
  "info": "Sunset[] gives the time of the next sunset for the current date and location.Sunset[datespec] gives "
}, {
  "label": "SuperDagger",
  "type": "keyword",
  "info": "                                  â \nSuperDagger[expr] displays as expr ."
}, {
  "label": "SuperMinus",
  "type": "keyword",
  "info": "                                 -\nSuperMinus[expr] displays as expr ."
}, {
  "label": "SupernovaData",
  "type": "keyword",
  "info": "SupernovaData[entity, property] gives the value of the specified property for the supernova entity.S"
}, {
  "label": "SuperPlus",
  "type": "keyword",
  "info": "                                +\nSuperPlus[expr] displays as expr ."
}, {
  "label": "Superscript",
  "type": "keyword",
  "info": "                                                y\nSuperscript[x, y] is an object that formats as x ."
}, {
  "label": "SuperscriptBox",
  "type": "keyword",
  "info": "                                                              y\nSuperscriptBox[x, y] is the lowâleve"
}, {
  "label": "SuperscriptBoxOptions",
  "type": "keyword",
  "info": "SuperscriptBoxOptions is an option for selections that specifies settings for SuperscriptBox objects"
}, {
  "label": "Superset",
  "type": "keyword",
  "info": "Superset[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SupersetEqual",
  "type": "keyword",
  "info": "SupersetEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "SuperStar",
  "type": "keyword",
  "info": "                                *\nSuperStar[expr] displays as expr ."
}, {
  "label": "Surd",
  "type": "keyword",
  "info": "                                   th\nSurd[x, n] gives the real-valued nï    root of x."
}, {
  "label": "SurdForm",
  "type": "keyword",
  "info": "SurdForm is an option to RadicalBox and SqrtBox that indicates whether the radical represents a Surd"
}, {
  "label": "SurfaceAppearance",
  "type": "keyword",
  "info": "System`SurfaceAppearance"
}, {
  "label": "SurfaceArea",
  "type": "keyword",
  "info": "SurfaceArea[reg] gives the surface area of the three-dimensional region reg.SurfaceArea[{x , â¦, x },"
}, {
  "label": "SurfaceColor",
  "type": "keyword",
  "info": "SurfaceColor[dcol] is a three-dimensional graphics directive which specifies that the surfaces which"
}, {
  "label": "SurfaceData",
  "type": "keyword",
  "info": "SurfaceData[entity, property] gives the value of the specified property for the surface entity.Surfa"
}, {
  "label": "SurfaceGraphics",
  "type": "keyword",
  "info": "SurfaceGraphics[array] is a representation of a three-dimensional plot of a surface, with heights of"
}, {
  "label": "SurvivalDistribution",
  "type": "keyword",
  "info": "SurvivalDistribution[{e , e , â¦}] represents a survival distribution with event times e .SurvivalDis"
}, {
  "label": "SurvivalFunction",
  "type": "keyword",
  "info": "SurvivalFunction[dist, x] gives the survival function for the distribution dist evaluated at x.Survi"
}, {
  "label": "SurvivalModel",
  "type": "keyword",
  "info": "SurvivalModel[â¦] represents the symbolic survival model obtained from functions like SurvivalModelFi"
}, {
  "label": "SurvivalModelFit",
  "type": "keyword",
  "info": "SurvivalModelFit[{e , e , â¦}] creates a survival model for event times e .\n                   1   2 "
}, {
  "label": "SuspendPacket",
  "type": "keyword",
  "info": "SuspendPacket[] is a WSTP packet used for synchronization with the Wolfram Language kernel."
}, {
  "label": "SuzukiDistribution",
  "type": "keyword",
  "info": "SuzukiDistribution[Î¼, Î½] represents the Suzuki distribution with shape parameters Î¼ and Î½."
}, {
  "label": "SuzukiGroupSuz",
  "type": "keyword",
  "info": "SuzukiGroupSuz[] represents the sporadic simple Suzuki group Suz."
}, {
  "label": "SwatchLegend",
  "type": "keyword",
  "info": "SwatchLegend[{col , â¦}, {lbl , â¦}] generates a legend that associates swatches of colors col  with l"
}, {
  "label": "Switch",
  "type": "keyword",
  "info": "Switch[expr, form , value , form , value , â¦] evaluates expr, then compares it with each of the form"
}, {
  "label": "Symbol",
  "type": "keyword",
  "info": "Symbol[\"name\"] refers to a symbol with the specified name. "
}, {
  "label": "SymbolName",
  "type": "keyword",
  "info": "SymbolName[symbol] gives the name of the specified symbol. "
}, {
  "label": "SymletWavelet",
  "type": "keyword",
  "info": "SymletWavelet[] represents the Symlet wavelet of order 4.SymletWavelet[n] represents the Symlet wave"
}, {
  "label": "Symmetric",
  "type": "keyword",
  "info": "Symmetric[{s , â¦, s }] represents the symmetry of a tensor that is symmetric in the slots s .\n      "
}, {
  "label": "SymmetricGroup",
  "type": "keyword",
  "info": "SymmetricGroup[n] represents the symmetric group of degree n."
}, {
  "label": "SymmetricKey",
  "type": "keyword",
  "info": "SymmetricKey[assoc] represents all the information needed for encryption, decryption, and other oper"
}, {
  "label": "SymmetricMatrixQ",
  "type": "keyword",
  "info": "SymmetricMatrixQ[m] gives True if m is explicitly symmetric, and False otherwise. "
}, {
  "label": "SymmetricPolynomial",
  "type": "keyword",
  "info": "                                                th\nSymmetricPolynomial[k, {x , â¦, x }] gives the kï  "
}, {
  "label": "SymmetricReduction",
  "type": "keyword",
  "info": "SymmetricReduction[f, {x , â¦, x }] gives a pair of polynomials {p, q} in x , â¦, x  such that f == p "
}, {
  "label": "Symmetrize",
  "type": "keyword",
  "info": "Symmetrize[tensor, sym] returns the symmetrization of tensor under the symmetry sym."
}, {
  "label": "SymmetrizedArray",
  "type": "keyword",
  "info": "SymmetrizedArray[{pos  ï¢ val , pos  ï¢ val , â¦}, dims, sym] yields an array of dimensions dims whose "
}, {
  "label": "SymmetrizedArrayRules",
  "type": "keyword",
  "info": "SymmetrizedArrayRules[sa] returns a list of rules pos  ï¢ val  of the symmetrized array sa.Symmetrize"
}, {
  "label": "SymmetrizedDependentComponents",
  "type": "keyword",
  "info": "SymmetrizedDependentComponents[comp, sym] gives the list of components that are equivalent to the co"
}, {
  "label": "SymmetrizedIndependentComponents",
  "type": "keyword",
  "info": "SymmetrizedIndependentComponents[dims, sym] gives the list of independent components of an array of "
}, {
  "label": "SymmetrizedReplacePart",
  "type": "keyword",
  "info": "SymmetrizedReplacePart[sa, {pos  ï¢ val , pos  ï¢ val , â¦}] replaces independent values of the symmetr"
}, {
  "label": "SynchronousInitialization",
  "type": "keyword",
  "info": "SynchronousInitialization is an option for Manipulate, DynamicModule, and related functions that spe"
}, {
  "label": "SynchronousUpdating",
  "type": "keyword",
  "info": "SynchronousUpdating is an option for Manipulate, Dynamic, and related functions that specifies wheth"
}, {
  "label": "Synonyms",
  "type": "keyword",
  "info": "Synonyms[\"word\"] returns the synonyms associated with the specified word."
}, {
  "label": "Syntax",
  "type": "keyword",
  "info": "System`Syntax"
}, {
  "label": "SyntaxForm",
  "type": "keyword",
  "info": "SyntaxForm is an option for operator-like box objects that specifies the precedence level to use whe"
}, {
  "label": "SyntaxInformation",
  "type": "keyword",
  "info": "SyntaxInformation[f] gives information used to generate syntax coloring and other advisories when f["
}, {
  "label": "SyntaxLength",
  "type": "keyword",
  "info": "SyntaxLength[\"string\"] finds the number of characters starting at the beginning of a string that cor"
}, {
  "label": "SyntaxPacket",
  "type": "keyword",
  "info": "SyntaxPacket[integer] is a WSTP packet where integer indicates the position at which a syntax error "
}, {
  "label": "SyntaxQ",
  "type": "keyword",
  "info": "SyntaxQ[\"string\"] returns True if the string corresponds to syntactically correct input for a single"
}, {
  "label": "SynthesizeMissingValues",
  "type": "keyword",
  "info": "SynthesizeMissingValues[{example , example , â¦}] replaces missing values in each example by generate"
}, {
  "label": "SystemCredential",
  "type": "keyword",
  "info": "SystemCredential[\"keyname\"] gives the expression stored under \"keyname\" in secure storage."
}, {
  "label": "SystemCredentialData",
  "type": "keyword",
  "info": "SystemCredentialData[assoc, \"pwfield\"] represents data intended for secure credential storage. "
}, {
  "label": "SystemCredentialKey",
  "type": "keyword",
  "info": "SystemCredentialKey is an option of AuthenticationDialog that specifies the name for secure storage "
}, {
  "label": "SystemCredentialKeys",
  "type": "keyword",
  "info": "SystemCredentialKeys[\"patt\"] gives the list of keys in secure storage that match patt."
}, {
  "label": "SystemCredentialStoreObject",
  "type": "keyword",
  "info": "SystemCredentialStoreObject[assoc] represents a credential store."
}, {
  "label": "SystemDialogInput",
  "type": "keyword",
  "info": "SystemDialogInput[\"type\"] brings up an interactive system dialog and returns the value chosen in the"
}, {
  "label": "SystemException",
  "type": "keyword",
  "info": "System`SystemException"
}, {
  "label": "SystemGet",
  "type": "keyword",
  "info": "SystemGet[{sym , â¦}, \"filename\"] loads source file with path encoded in \"filename\"\n              1"
}, {
  "label": "SystemHelpPath",
  "type": "keyword",
  "info": "SystemHelpPath is a global option that specifies which directories are searched for the help noteboo"
}, {
  "label": "SystemInformation",
  "type": "keyword",
  "info": "SystemInformation[] gives detailed information about the Wolfram System being run. SystemInformation"
}, {
  "label": "SystemInformationData",
  "type": "keyword",
  "info": "System`SystemInformationData"
}, {
  "label": "SystemInstall",
  "type": "keyword",
  "info": "SystemInstall[pack] downloads and installs the software package pack on your machine."
}, {
  "label": "SystemModel",
  "type": "keyword",
  "info": "SystemModel[\"model\"] gives a representation of the model \"model\", usable as input to other functions"
}, {
  "label": "SystemModeler",
  "type": "keyword",
  "info": "SystemModeler[] starts SystemModeler. SystemModeler[model] starts SystemModeler and opens the System"
}, {
  "label": "SystemModelExamples",
  "type": "keyword",
  "info": "SystemModelExamples[] shows an interactive browser of system modeling example models. SystemModelExa"
}, {
  "label": "SystemModelLinearize",
  "type": "keyword",
  "info": "SystemModelLinearize[model] gives a linearized StateSpaceModel for model at an equilibrium. SystemMo"
}, {
  "label": "SystemModelParametricSimulate",
  "type": "keyword",
  "info": "SystemModelParametricSimulate[model, v, {p , p , â¦}] simulates model for the variable v with paramet"
}, {
  "label": "SystemModelPlot",
  "type": "keyword",
  "info": "SystemModelPlot[sim] shows default plots from the SystemModelSimulationData object sim.SystemModelPl"
}, {
  "label": "SystemModelProgressReporting",
  "type": "keyword",
  "info": "SystemModelProgressReporting is an option for SystemModelSimulate and related functions that specifi"
}, {
  "label": "SystemModelReliability",
  "type": "keyword",
  "info": "SystemModelReliability[model] retrieves the lifetime distribution for model.SystemModelReliability[m"
}, {
  "label": "SystemModels",
  "type": "keyword",
  "info": "SystemModels[] returns a list of loaded system models.SystemModels[patt] returns the models matching"
}, {
  "label": "SystemModelSimulate",
  "type": "keyword",
  "info": "SystemModelSimulate[model] simulates model according to experiment settings.SystemModelSimulate[mode"
}, {
  "label": "SystemModelSimulateSensitivity",
  "type": "keyword",
  "info": "SystemModelSimulateSensitivity[model, {p , p , â¦}] simulates model and sensitivities to parameters p"
}, {
  "label": "SystemModelSimulationData",
  "type": "keyword",
  "info": "SystemModelSimulationData[â¦] represents simulation data from functions such as SystemModelSimulate e"
}, {
  "label": "SystemOpen",
  "type": "keyword",
  "info": "SystemOpen[\"target\"] opens the specified file, URL, or other target with the associated program on y"
}, {
  "label": "SystemOptions",
  "type": "keyword",
  "info": "SystemOptions[\"name\"] gives the current setting for the internal system option with the specified na"
}, {
  "label": "SystemProcessData",
  "type": "keyword",
  "info": "SystemProcessData[] returns a Dataset containing information on the processes running on the host co"
}, {
  "label": "SystemProcesses",
  "type": "keyword",
  "info": "SystemProcesses[] returns a list of ProcessObjects that represent system programs."
}, {
  "label": "SystemsConnectionsModel",
  "type": "keyword",
  "info": "SystemsConnectionsModel[{sys , sys , â¦}, conxs, ins, outs] gives a model with inputs ins and outputs"
}, {
  "label": "SystemsModelControllerData",
  "type": "keyword",
  "info": "SystemsModelControllerData[â¦] represents controller data generated by functions LQGRegulator, PIDTun"
}, {
  "label": "SystemsModelDelay",
  "type": "keyword",
  "info": "SystemsModelDelay[Î\.b4] represents a time delay of Î\.b4 in a StateSpaceModel or TransferFunctionModel."
}, {
  "label": "SystemsModelDelayApproximate",
  "type": "keyword",
  "info": "SystemsModelDelayApproximate[sys, ord] gives a delay-free system by using approximations of order or"
}, {
  "label": "SystemsModelDelete",
  "type": "keyword",
  "info": "SystemsModelDelete[sys, {in , â¦}] deletes the subsystem of the systems model sys associated with inp"
}, {
  "label": "SystemsModelDimensions",
  "type": "keyword",
  "info": "SystemsModelDimensions[sys] gives the number of inputs and outputs of the systems model sys."
}, {
  "label": "SystemsModelExtract",
  "type": "keyword",
  "info": "SystemsModelExtract[sys, {in , â¦}] extracts the subsystem of the systems model sys associated with i"
}, {
  "label": "SystemsModelFeedbackConnect",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SystemsModelLabels",
  "type": "keyword",
  "info": "SystemsModelLabels is an option to StateSpaceModel etc. that specifies labels of variables."
}, {
  "label": "SystemsModelLinearity",
  "type": "keyword",
  "info": "SystemsModelLinearity[sys] gives the linearity of the systems model sys.SystemsModelLinearity[{sys, "
}, {
  "label": "SystemsModelMerge",
  "type": "keyword",
  "info": "SystemsModelMerge[{sys , sys , â¦}] merges the systems models sys . \n                      1     2   "
}, {
  "label": "SystemsModelOrder",
  "type": "keyword",
  "info": "SystemsModelOrder[sys] gives the order of the state-space model sys."
}, {
  "label": "SystemsModelParallelConnect",
  "type": "keyword",
  "info": "SystemsModelParallelConnect[sys , sys ] connects the systems models sys  and sys  in parallel.System"
}, {
  "label": "SystemsModelSeriesConnect",
  "type": "keyword",
  "info": "SystemsModelSeriesConnect[sys , sys ] connects systems models sys  and sys  in series. SystemsModelS"
}, {
  "label": "SystemsModelStateFeedbackConnect",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "SystemsModelVectorRelativeOrders",
  "type": "keyword",
  "info": "SystemsModelVectorRelativeOrders[sys] gives the vector-relative orders of the systems model sys."
}, {
  "label": "SystemStub",
  "type": "keyword",
  "info": "SystemStub[{sym , sym , â¦}, \"context\", \"filename\"] saves definitions of given symbols {sym , sym , â¦"
}, {
  "label": "SystemTest",
  "type": "keyword",
  "info": "System`SystemTest"
}, {
  "label": "Tab",
  "type": "keyword",
  "info": "System`Tab"
}, {
  "label": "TabFilling",
  "type": "keyword",
  "info": "TabFilling is an option for character selections that specifies how a Tab character is represented o"
}, {
  "label": "Table",
  "type": "keyword",
  "info": "Table[expr, n] generates a list of n copies of expr. Table[expr, {i, i   }] generates a list of the "
}, {
  "label": "TableAlignments",
  "type": "keyword",
  "info": "TableAlignments is an option for TableForm and MatrixForm which specifies how entries in each dimens"
}, {
  "label": "TableDepth",
  "type": "keyword",
  "info": "TableDepth is an option for TableForm and MatrixForm that specifies the maximum number of levels to "
}, {
  "label": "TableDirections",
  "type": "keyword",
  "info": "TableDirections is an option for TableForm and MatrixForm which specifies whether successive dimensi"
}, {
  "label": "TableForm",
  "type": "keyword",
  "info": "TableForm[list] prints with the elements of list arranged in an array of rectangular cells. "
}, {
  "label": "TableHeadings",
  "type": "keyword",
  "info": "TableHeadings is an option for TableForm and MatrixForm that gives the labels to be printed for entr"
}, {
  "label": "TableSpacing",
  "type": "keyword",
  "info": "TableSpacing is an option for TableForm and MatrixForm that specifies how many spaces should be left"
}, {
  "label": "TableView",
  "type": "keyword",
  "info": "TableView[{{expr  , expr  , â¦}, {expr  , expr  , â¦}, â¦}] displays as a spreadsheet-like table view f"
}, {
  "label": "TableViewBox",
  "type": "keyword",
  "info": "System`TableViewBox"
}, {
  "label": "TableViewBoxAlignment",
  "type": "keyword",
  "info": "System`TableViewBoxAlignment"
}, {
  "label": "TableViewBoxBackground",
  "type": "keyword",
  "info": "System`TableViewBoxBackground"
}, {
  "label": "TableViewBoxHeaders",
  "type": "keyword",
  "info": "System`TableViewBoxHeaders"
}, {
  "label": "TableViewBoxItemSize",
  "type": "keyword",
  "info": "System`TableViewBoxItemSize"
}, {
  "label": "TableViewBoxItemStyle",
  "type": "keyword",
  "info": "System`TableViewBoxItemStyle"
}, {
  "label": "TableViewBoxOptions",
  "type": "keyword",
  "info": "System`TableViewBoxOptions"
}, {
  "label": "TabSpacings",
  "type": "keyword",
  "info": "TabSpacings is an option for character selections that specifies the number of spaces in ems that th"
}, {
  "label": "TabView",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "TabViewBox",
  "type": "keyword",
  "info": "System`TabViewBox"
}, {
  "label": "TabViewBoxOptions",
  "type": "keyword",
  "info": "TabViewBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for TabViewBo"
}, {
  "label": "TagBox",
  "type": "keyword",
  "info": "TagBox[boxes, tag] is a low-level box construct that displays as boxes but maintains tag to guide th"
}, {
  "label": "TagBoxNote",
  "type": "keyword",
  "info": "System`TagBoxNote"
}, {
  "label": "TagBoxOptions",
  "type": "keyword",
  "info": "TagBoxOptions is an option that specifies settings for TagBox objects."
}, {
  "label": "TaggingRules",
  "type": "keyword",
  "info": "TaggingRules is an option for selections that specifies a list of strings to be associated with a se"
}, {
  "label": "TagSet",
  "type": "keyword",
  "info": "f\/:lhs = rhs assigns rhs to be the value of lhs, and associates the assignment with the symbol f. "
}, {
  "label": "TagSetDelayed",
  "type": "keyword",
  "info": "f\/:lhs := rhs assigns rhs to be the delayed value of lhs, and associates the assignment with the sym"
}, {
  "label": "TagStyle",
  "type": "keyword",
  "info": "System`TagStyle"
}, {
  "label": "TagUnset",
  "type": "keyword",
  "info": "f\/:lhs=. removes any rules defined for lhs, associated with the symbol f. "
}, {
  "label": "Take",
  "type": "keyword",
  "info": "Take[list, n] gives the first n elements of list. Take[list, -n] gives the last n elements of list. "
}, {
  "label": "TakeDrop",
  "type": "keyword",
  "info": "TakeDrop[list, n] gives the pair {list , list }, where list  contains the first n elements of list a"
}, {
  "label": "TakeLargest",
  "type": "keyword",
  "info": "TakeLargest[list, n] gives the n numerically largest elements in list, sorted in descending order.Ta"
}, {
  "label": "TakeLargestBy",
  "type": "keyword",
  "info": "TakeLargestBy[list, f, n] gives the n elements e  in list for which f[e ] is largest, sorted in d"
}, {
  "label": "TakeList",
  "type": "keyword",
  "info": "TakeList[list, {n , n , â¦}] gives the list of results obtained by successively taking n  elements fr"
}, {
  "label": "TakeSmallest",
  "type": "keyword",
  "info": "TakeSmallest[list, n] gives the n numerically smallest elements in list, sorted in ascending order.T"
}, {
  "label": "TakeSmallestBy",
  "type": "keyword",
  "info": "TakeSmallestBy[list, f, n] gives the n elements e  in list for which f[e ] is smallest, sorted in as"
}, {
  "label": "TakeWhile",
  "type": "keyword",
  "info": "TakeWhile[list, crit] gives elements e  from the beginning of list, continuing so long as crit[e ] i"
}, {
  "label": "Tally",
  "type": "keyword",
  "info": "Tally[list] tallies the elements in list, listing all distinct elements together with their multipli"
}, {
  "label": "Tan",
  "type": "keyword",
  "info": "Tan[z] gives the tangent of z."
}, {
  "label": "Tanh",
  "type": "keyword",
  "info": "Tanh[z] gives the hyperbolic tangent of z."
}, {
  "label": "TargetDevice",
  "type": "keyword",
  "info": "TargetDevice is an option for certain functions that specifies whether CPU or GPU computation should"
}, {
  "label": "TargetFunctions",
  "type": "keyword",
  "info": "TargetFunctions is an option for functions such as ComplexExpand and FindDistribution that specifies"
}, {
  "label": "TargetSystem",
  "type": "keyword",
  "info": "TargetSystem is an option for FunctionCompile and related functions that specifies machine architect"
}, {
  "label": "TargetUnits",
  "type": "keyword",
  "info": "TargetUnits is an option used to specify the desired output units for visualization functions operat"
}, {
  "label": "TaskAbort",
  "type": "keyword",
  "info": "TaskAbort[task] generates an interrupt to abort the current execution of a task."
}, {
  "label": "TaskExecute",
  "type": "keyword",
  "info": "TaskExecute[task] immediately executes an instance of the specified task, independently of any sched"
}, {
  "label": "TaskObject",
  "type": "keyword",
  "info": "TaskObject[spec] is an object that represents a background task."
}, {
  "label": "TaskRemove",
  "type": "keyword",
  "info": "TaskRemove[task] terminates and removes the specified task."
}, {
  "label": "TaskResume",
  "type": "keyword",
  "info": "TaskResume[task] resumes execution of the specified task."
}, {
  "label": "Tasks",
  "type": "keyword",
  "info": "Tasks[type] gives a list of TaskObject expressions representing currently submitted tasks of given t"
}, {
  "label": "TaskSuspend",
  "type": "keyword",
  "info": "TaskSuspend[task] suspends the execution of the specified task."
}, {
  "label": "TaskWait",
  "type": "keyword",
  "info": "TaskWait[task] waits for the specified task to be completely finished. "
}, {
  "label": "TautologyQ",
  "type": "keyword",
  "info": "TautologyQ[bf] gives True if all combinations of values of variables make the Boolean function bf yi"
}, {
  "label": "TelegraphProcess",
  "type": "keyword",
  "info": "TelegraphProcess[Î¼] represents a telegraph process with rate Î¼."
}, {
  "label": "TemplateApply",
  "type": "keyword",
  "info": "TemplateApply[template] applies a template, evaluating all template elements it contains.TemplateApp"
}, {
  "label": "TemplateArgBox",
  "type": "keyword",
  "info": "System`TemplateArgBox"
}, {
  "label": "TemplateBox",
  "type": "keyword",
  "info": "TemplateBox[{box , box , â¦}, tag] is a low-level box structure that parameterizes the display and ev"
}, {
  "label": "TemplateBoxOptions",
  "type": "keyword",
  "info": "TemplateBoxOptions is an option that specifies settings for TemplateBox objects."
}, {
  "label": "TemplateEvaluate",
  "type": "keyword",
  "info": "System`TemplateEvaluate"
}, {
  "label": "TemplateExpression",
  "type": "keyword",
  "info": "TemplateExpression[expr] represents an expression held until a template is applied, and then evaluat"
}, {
  "label": "TemplateIf",
  "type": "keyword",
  "info": "TemplateIf[condition, tclause] represents an element of a template object that inserts tclause if th"
}, {
  "label": "TemplateObject",
  "type": "keyword",
  "info": "TemplateObject[expr] represents a template object to be applied using functions like TemplateApply.T"
}, {
  "label": "TemplateSequence",
  "type": "keyword",
  "info": "TemplateSequence[body, list] represents an element of a template object that yields a sequence consi"
}, {
  "label": "TemplateSlot",
  "type": "keyword",
  "info": "                                                                   th\nTemplateSlot[n] represents a t"
}, {
  "label": "TemplateSlotSequence",
  "type": "keyword",
  "info": "System`TemplateSlotSequence"
}, {
  "label": "TemplateUnevaluated",
  "type": "keyword",
  "info": "System`TemplateUnevaluated"
}, {
  "label": "TemplateVerbatim",
  "type": "keyword",
  "info": "System`TemplateVerbatim"
}, {
  "label": "TemplateWith",
  "type": "keyword",
  "info": "TemplateWith[\"name\" ï¢ value, expr] represents an element of a template object that evaluates expr af"
}, {
  "label": "TemporalData",
  "type": "keyword",
  "info": "TemporalData[{v , v , â¦}, tspec] represents temporal data with values v  at times specified by tspec"
}, {
  "label": "TemporalRegularity",
  "type": "keyword",
  "info": "TemporalRegularity is an option for TemporalData, TimeSeries, and EventSeries that controls whether "
}, {
  "label": "Temporary",
  "type": "keyword",
  "info": "Temporary is an attribute assigned to symbols which are created as local variables by Module. "
}, {
  "label": "TemporaryVariable",
  "type": "keyword",
  "info": "System`TemporaryVariable"
}, {
  "label": "TensorContract",
  "type": "keyword",
  "info": "TensorContract[tensor, {{s  , s  }, {s  , s  }, â¦}] yields the contraction of tensor in the pairs {s"
}, {
  "label": "TensorDimensions",
  "type": "keyword",
  "info": "TensorDimensions[tensor] gives the list of dimensions of tensor."
}, {
  "label": "TensorExpand",
  "type": "keyword",
  "info": "TensorExpand[texpr] expands out tensor-related products in the symbolic tensor expression texpr."
}, {
  "label": "TensorProduct",
  "type": "keyword",
  "info": "TensorProduct[tensor , tensor , â¦] represents the tensor product of the tensor .\n                   "
}, {
  "label": "TensorQ",
  "type": "keyword",
  "info": "System`TensorQ"
}, {
  "label": "TensorRank",
  "type": "keyword",
  "info": "TensorRank[tensor] gives the rank of tensor."
}, {
  "label": "TensorReduce",
  "type": "keyword",
  "info": "TensorReduce[texpr] attempts to return a canonical form for the symbolic tensor expression texpr."
}, {
  "label": "TensorSymmetry",
  "type": "keyword",
  "info": "TensorSymmetry[tensor] gives the symmetry of tensor under permutations of its slots.TensorSymmetry[t"
}, {
  "label": "TensorTranspose",
  "type": "keyword",
  "info": "TensorTranspose[tensor, perm] represents the tensor obtained by transposing the slots of tensor as g"
}, {
  "label": "TensorWedge",
  "type": "keyword",
  "info": "TensorWedge[tensor , tensor , â¦] represents the antisymmetrized tensor product of the tensor .\n     "
}, {
  "label": "TestID",
  "type": "keyword",
  "info": "TestID is an option to VerificationTest that specifies a string used as an identifier for the test."
}, {
  "label": "TestReport",
  "type": "keyword",
  "info": "TestReport[\"file\"] runs tests from a file, returning an analysis of the completed test run.TestRepor"
}, {
  "label": "TestReportObject",
  "type": "keyword",
  "info": "TestReportObject[â¦] gives an object that represents the results of TestReport."
}, {
  "label": "TestResultObject",
  "type": "keyword",
  "info": "TestResultObject[â¦] gives an object that represents the results of a VerificationTest."
}, {
  "label": "Tetrahedron",
  "type": "keyword",
  "info": "Tetrahedron[] represents a regular tetrahedron centered at the origin with unit edge length.Tetrahed"
}, {
  "label": "TetrahedronBox",
  "type": "keyword",
  "info": "System`TetrahedronBox"
}, {
  "label": "TetrahedronBoxOptions",
  "type": "keyword",
  "info": "System`TetrahedronBoxOptions"
}, {
  "label": "TeXForm",
  "type": "keyword",
  "info": "TeXForm[expr] prints as a TeX version of expr. "
}, {
  "label": "TeXSave",
  "type": "keyword",
  "info": "TeXSave[\"file.tex\"] saves a TeX version of the current input notebook in the front end. TeXSave[\"fil"
}, {
  "label": "Text",
  "type": "keyword",
  "info": "Text[expr] displays with expr in plain text format. Text[expr, coords] is a graphics primitive that "
}, {
  "label": "Text3DBox",
  "type": "keyword",
  "info": "System`Text3DBox"
}, {
  "label": "Text3DBoxOptions",
  "type": "keyword",
  "info": "Text3DBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for Text3DBox "
}, {
  "label": "TextAlignment",
  "type": "keyword",
  "info": "TextAlignment is an option for Cell, Style and related constructs which specifies how successive lin"
}, {
  "label": "TextBand",
  "type": "keyword",
  "info": "System`TextBand"
}, {
  "label": "TextBoundingBox",
  "type": "keyword",
  "info": "System`TextBoundingBox"
}, {
  "label": "TextBox",
  "type": "keyword",
  "info": "System`TextBox"
}, {
  "label": "TextCases",
  "type": "keyword",
  "info": "TextCases[text, form] gives a list of all cases of text identified as being of type form that appear"
}, {
  "label": "TextCell",
  "type": "keyword",
  "info": "TextCell[\"string\"] gives a text cell that can appear in a Wolfram System notebook.TextCell[\"string\","
}, {
  "label": "TextClipboardType",
  "type": "keyword",
  "info": "TextClipboardType is an option for cells that specifies how Edit â\\[Paragraph] Copy treats a cell when convertin"
}, {
  "label": "TextContents",
  "type": "keyword",
  "info": "TextContents[text] gives a dataset of information about entities, dates, quantities and other conten"
}, {
  "label": "TextData",
  "type": "keyword",
  "info": "TextData[exprs] is a low-level representation of the contents of a textual cell."
}, {
  "label": "TextElement",
  "type": "keyword",
  "info": "TextElement[text, props] represents an element of text with the specified properties.TextElement[{el"
}, {
  "label": "TextForm",
  "type": "keyword",
  "info": "System`TextForm"
}, {
  "label": "TextGrid",
  "type": "keyword",
  "info": "TextGrid[{{expr  , expr  , â¦}, {expr  , expr  , â¦}, â¦}] is an object that formats expr   textually a"
}, {
  "label": "TextJustification",
  "type": "keyword",
  "info": "TextJustification is an option for Cell and Inset which specifies how much lines of text can be stre"
}, {
  "label": "TextLine",
  "type": "keyword",
  "info": "System`TextLine"
}, {
  "label": "TextPacket",
  "type": "keyword",
  "info": "TextPacket[string] is a WSTP packet containing string, the text output from the Wolfram System as pr"
}, {
  "label": "TextParagraph",
  "type": "keyword",
  "info": "System`TextParagraph"
}, {
  "label": "TextPosition",
  "type": "keyword",
  "info": "TextPosition[text, form] gives a list of the starting and ending positions at which instances of for"
}, {
  "label": "TextRecognize",
  "type": "keyword",
  "info": "TextRecognize[image] recognizes text in image and returns it as a string.TextRecognize[image, level]"
}, {
  "label": "TextSearch",
  "type": "keyword",
  "info": "TextSearch[source, form] searches for files referenced by source that contain text matching form.Tex"
}, {
  "label": "TextSearchReport",
  "type": "keyword",
  "info": "TextSearchReport[source, form] gives a structured report of files referenced by source that contain "
}, {
  "label": "TextSentences",
  "type": "keyword",
  "info": "TextSentences[\"string\"] gives a list of the runs of characters identified as sentences in string.Tex"
}, {
  "label": "TextString",
  "type": "keyword",
  "info": "TextString[expr] gives a human-readable string representation of expr."
}, {
  "label": "TextStructure",
  "type": "keyword",
  "info": "TextStructure[\"text\"] generates a nested collection of TextElement objects representing the grammati"
}, {
  "label": "TextStyle",
  "type": "keyword",
  "info": "TextStyle is an option for graphics functions and for Text which specifies the default style and fon"
}, {
  "label": "TextTranslation",
  "type": "keyword",
  "info": "TextTranslation[\"text\"] translates text into the current default language. TextTranslation[\"text\", l"
}, {
  "label": "Texture",
  "type": "keyword",
  "info": "Texture[obj] is a graphics directive that specifies that obj should be used as a texture on faces of"
}, {
  "label": "TextureCoordinateFunction",
  "type": "keyword",
  "info": "TextureCoordinateFunction is an option to Plot3D and similar functions that specifies a function tha"
}, {
  "label": "TextureCoordinateScaling",
  "type": "keyword",
  "info": "TextureCoordinateScaling is an option to Plot3D and similar functions that specifies whether argumen"
}, {
  "label": "TextWords",
  "type": "keyword",
  "info": "TextWords[\"string\"] gives a list of the runs of characters identified as words in string.TextWords[\""
}, {
  "label": "Therefore",
  "type": "keyword",
  "info": "Therefore[x, y] displays as x â\.b4 y."
}, {
  "label": "ThermodynamicData",
  "type": "keyword",
  "info": "ThermodynamicData[\"name\", \"property\"] gives the value of the specific property for the substance \"na"
}, {
  "label": "ThermometerGauge",
  "type": "keyword",
  "info": "ThermometerGauge[value] draws a thermometer showing value in a range of 0 to 1.ThermometerGauge[valu"
}, {
  "label": "Thick",
  "type": "keyword",
  "info": "Thick is a graphics directive that specifies that lines which follow should be drawn thick."
}, {
  "label": "Thickness",
  "type": "keyword",
  "info": "Thickness[r] is a graphics directive which specifies that lines which follow are to be drawn with th"
}, {
  "label": "Thin",
  "type": "keyword",
  "info": "Thin is a graphics directive that specifies that lines which follow should be drawn thin."
}, {
  "label": "Thinning",
  "type": "keyword",
  "info": "Thinning[image] finds the skeletons of foreground regions in image by applying morphological thinnin"
}, {
  "label": "ThisLink",
  "type": "keyword",
  "info": "ThisLink is used in patterns for external packages to distinguish between several instances of the s"
}, {
  "label": "ThomasPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ThompsonGroupTh",
  "type": "keyword",
  "info": "ThompsonGroupTh[] represents the sporadic simple Thompson group Th."
}, {
  "label": "Thread",
  "type": "keyword",
  "info": "Thread[f[args]] \"threads\" f over any lists that appear in args. Thread[f[args], h] threads f over an"
}, {
  "label": "ThreadingLayer",
  "type": "keyword",
  "info": "ThreadingLayer[f] represents a net layer that takes several input arrays and applies a function f to"
}, {
  "label": "ThreeJSymbol",
  "type": "keyword",
  "info": "ThreeJSymbol[{j , m }, {j , m }, {j , m }] gives the values of the Wigner 3âj symbol. \n             "
}, {
  "label": "Threshold",
  "type": "keyword",
  "info": "Threshold[data] thresholds data by replacing values close to zero by zero.Threshold[data, tspec] thr"
}, {
  "label": "Through",
  "type": "keyword",
  "info": "Through[p[f , f ][x]] gives p[f [x], f [x]]. Through[expr, h] performs the transformation wherever h"
}, {
  "label": "Throw",
  "type": "keyword",
  "info": "Throw[value] stops evaluation and returns value as the value of the nearest enclosing Catch.Throw[va"
}, {
  "label": "ThueMorse",
  "type": "keyword",
  "info": "                         th\nThueMorse[n] gives the nï    term in the ThueâMorse sequence."
}, {
  "label": "Thumbnail",
  "type": "keyword",
  "info": "Thumbnail[image] gives a thumbnail version of an image.Thumbnail[file] gives a thumbnail of an image"
}, {
  "label": "Thursday",
  "type": "keyword",
  "info": "Thursday is a day of the week."
}, {
  "label": "TickDirection",
  "type": "keyword",
  "info": "TickDirection is an option for AxisObject that specifies where the ticks are drawn relative to the a"
}, {
  "label": "TickLabelOrientation",
  "type": "keyword",
  "info": "TickLabelOrientation is an option for AxisObject that specifies how the tick labels should be orient"
}, {
  "label": "TickLabelPositioning",
  "type": "keyword",
  "info": "TickLabelPositioning is an option for AxisObject that specifies how the tick labels should be positi"
}, {
  "label": "TickLabels",
  "type": "keyword",
  "info": "TickLabels is an option for AxisObject that specifies how the tick marks should be labeled."
}, {
  "label": "TickLengths",
  "type": "keyword",
  "info": "TickLengths is an option for AxisObject that specifies the lengths of the tick marks."
}, {
  "label": "TickPositions",
  "type": "keyword",
  "info": "TickPositions is an option for AxisObject that specifies where the tick marks should be positioned."
}, {
  "label": "Ticks",
  "type": "keyword",
  "info": "Ticks is an option for graphics functions that specifies tick marks for axes. "
}, {
  "label": "TicksStyle",
  "type": "keyword",
  "info": "TicksStyle is an option for graphics functions which specifies how ticks should be rendered."
}, {
  "label": "TideData",
  "type": "keyword",
  "info": "TideData[spec] returns the tidal properties for a location or a set of tidal parameters.TideData[spe"
}, {
  "label": "Tilde",
  "type": "keyword",
  "info": "Tilde[x, y, â¦] displays as x â¼ y â¼ â¦."
}, {
  "label": "TildeEqual",
  "type": "keyword",
  "info": "TildeEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "TildeFullEqual",
  "type": "keyword",
  "info": "TildeFullEqual[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "TildeTilde",
  "type": "keyword",
  "info": "TildeTilde[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "TimeConstrained",
  "type": "keyword",
  "info": "TimeConstrained[expr, t] evaluates expr, stopping after t seconds. TimeConstrained[expr, t, failexpr"
}, {
  "label": "TimeConstraint",
  "type": "keyword",
  "info": "TimeConstraint is an option for various functions that specifies the maximum time to spend doing a p"
}, {
  "label": "TimeDirection",
  "type": "keyword",
  "info": "TimeDirection is an option for Sunrise, Sunset, and related functions that specifies whether the nex"
}, {
  "label": "TimeFormat",
  "type": "keyword",
  "info": "TimeFormat is an option that determines the time formatting that is used when formatting a TimeObjec"
}, {
  "label": "TimeGoal",
  "type": "keyword",
  "info": "TimeGoal is an option for various functions that specifies how long to spend doing a particular oper"
}, {
  "label": "TimelinePlot",
  "type": "keyword",
  "info": "TimelinePlot[{date , date , â¦}] makes a timeline plot with dates date , date , â¦. TimelinePlot[{even"
}, {
  "label": "TimeObject",
  "type": "keyword",
  "info": "TimeObject[] represents the current time.TimeObject[{h, m, s}] represents a time object of standard "
}, {
  "label": "TimeObjectQ",
  "type": "keyword",
  "info": "TimeObjectQ[expr] gives True if expr is a TimeObject with valid arguments, and False otherwise."
}, {
  "label": "TimeRemaining",
  "type": "keyword",
  "info": "TimeRemaining[] gives the number of seconds remaining until the earliest enclosing TimeConstrained w"
}, {
  "label": "Times",
  "type": "keyword",
  "info": "x * y * z, x Ã y Ã z, or x y z represents a product of terms. "
}, {
  "label": "TimesBy",
  "type": "keyword",
  "info": "x *= c multiplies x by c and returns the new value of x. "
}, {
  "label": "TimeSeries",
  "type": "keyword",
  "info": "TimeSeries[{{t , v }, {t , v } â¦}] represents a time series specified by time-value pairs {t , v }.T"
}, {
  "label": "TimeSeriesAggregate",
  "type": "keyword",
  "info": "TimeSeriesAggregate[tseries, dt] computes the mean value of tseries over non-overlapping windows of "
}, {
  "label": "TimeSeriesForecast",
  "type": "keyword",
  "info": "TimeSeriesForecast[tproc, data, k] gives the k-step-ahead forecast beyond data according to the time"
}, {
  "label": "TimeSeriesInsert",
  "type": "keyword",
  "info": "TimeSeriesInsert[tseries, {t, v}] inserts a value v at time t in the time series tseries.TimeSeriesI"
}, {
  "label": "TimeSeriesInvertibility",
  "type": "keyword",
  "info": "TimeSeriesInvertibility[tproc] gives conditions for the time series process tproc to be invertible. "
}, {
  "label": "TimeSeriesMap",
  "type": "keyword",
  "info": "TimeSeriesMap[f, tseries] applies f to the values in tseries."
}, {
  "label": "TimeSeriesMapThread",
  "type": "keyword",
  "info": "TimeSeriesMapThread[f, tseries] gives {{t , f[t , x ]}, {t , f[t , x ]}, â¦} for the time series tser"
}, {
  "label": "TimeSeriesModel",
  "type": "keyword",
  "info": "TimeSeriesModel[â¦] represents the symbolic time series model obtained from TimeSeriesModelFit."
}, {
  "label": "TimeSeriesModelFit",
  "type": "keyword",
  "info": "TimeSeriesModelFit[data] constructs a time series model for data from an automatically selected mode"
}, {
  "label": "TimeSeriesResample",
  "type": "keyword",
  "info": "TimeSeriesResample[tseries] uniformly resamples tseries according to its minimum time increment.Time"
}, {
  "label": "TimeSeriesRescale",
  "type": "keyword",
  "info": "TimeSeriesRescale[tseries, {t   , t   }] rescales the times in time series tseries to run from t    "
}, {
  "label": "TimeSeriesShift",
  "type": "keyword",
  "info": "TimeSeriesShift[tseries, shift] shifts the time series tseries to the left or right according to shi"
}, {
  "label": "TimeSeriesThread",
  "type": "keyword",
  "info": "TimeSeriesThread[f, {tseries , tseries , â¦}] combines the tseries  using the function f.\n           "
}, {
  "label": "TimeSeriesWindow",
  "type": "keyword",
  "info": "TimeSeriesWindow[tseries, {t   , t   }] gives the elements of the time series tseries that fall betw"
}, {
  "label": "TimeSystem",
  "type": "keyword",
  "info": "TimeSystem is an option for time functions that specifies the time system being used to define time."
}, {
  "label": "TimeSystemConvert",
  "type": "keyword",
  "info": "TimeSystemConvert[date, tsys] converts the date object date to the specified time system tsys.TimeSy"
}, {
  "label": "TimeUsed",
  "type": "keyword",
  "info": "TimeUsed[] gives the total number of seconds of CPU time used so far in the current Wolfram System s"
}, {
  "label": "TimeValue",
  "type": "keyword",
  "info": "TimeValue[s, i, t] calculates the time value of a security s at time t for an interest specified by "
}, {
  "label": "TimeWarpingCorrespondence",
  "type": "keyword",
  "info": "TimeWarpingCorrespondence[s , s ] gives the time warping (DTW) similarity path between sequences s  "
}, {
  "label": "TimeWarpingDistance",
  "type": "keyword",
  "info": "TimeWarpingDistance[s , s ] gives the dynamic time warping (DTW) distance between sequences s  and s"
}, {
  "label": "TimeZone",
  "type": "keyword",
  "info": "TimeZone is an option for DateObject, DateString, and related functions that specifies the time zone"
}, {
  "label": "TimeZoneConvert",
  "type": "keyword",
  "info": "TimeZoneConvert[time, timezone] converts the date or time object time to the specified time zone tim"
}, {
  "label": "TimeZoneOffset",
  "type": "keyword",
  "info": "TimeZoneOffset[tz] gives the numeric offset between the time zone tz and GMT on the current date.Tim"
}, {
  "label": "Timing",
  "type": "keyword",
  "info": "Timing[expr] evaluates expr, and returns a list of the time in seconds used, together with the resul"
}, {
  "label": "Tiny",
  "type": "keyword",
  "info": "Tiny is a style or option setting that specifies that objects should be tiny."
}, {
  "label": "TitleGrouping",
  "type": "keyword",
  "info": "System`TitleGrouping"
}, {
  "label": "TitsGroupT",
  "type": "keyword",
  "info": "TitsGroupT[] represents the simple Tits group T."
}, {
  "label": "ToBoxes",
  "type": "keyword",
  "info": "ToBoxes[expr] generates boxes corresponding to the printed form of expr in StandardForm. ToBoxes[exp"
}, {
  "label": "ToCharacterCode",
  "type": "keyword",
  "info": "ToCharacterCode[\"string\"] gives a list of the integer codes corresponding to the characters in a str"
}, {
  "label": "ToColor",
  "type": "keyword",
  "info": "ToColor[color, form] converts color to form if form is GrayLevel, RGBColor or CMYKColor. Otherwise f"
}, {
  "label": "ToContinuousTimeModel",
  "type": "keyword",
  "info": "ToContinuousTimeModel[lsys] gives the continuous-time approximation of the discrete-time systems mod"
}, {
  "label": "ToDate",
  "type": "keyword",
  "info": "ToDate[time] converts an absolute time in seconds since the beginning of January 1, 1900 to a date o"
}, {
  "label": "Today",
  "type": "keyword",
  "info": "Today gives a DateObject representing the current day."
}, {
  "label": "ToDiscreteTimeModel",
  "type": "keyword",
  "info": "ToDiscreteTimeModel[lsys, Ï] gives the discrete-time approximation, with sampling period Ï, of the c"
}, {
  "label": "ToEntity",
  "type": "keyword",
  "info": "ToEntity[expr] returns an entity object corresponding to the given expression.ToEntity[expr, type] r"
}, {
  "label": "ToeplitzMatrix",
  "type": "keyword",
  "info": "ToeplitzMatrix[n] gives the nÃn Toeplitz matrix with first row and first column being successive int"
}, {
  "label": "ToExpression",
  "type": "keyword",
  "info": "ToExpression[input] gives the expression obtained by interpreting strings or boxes as Wolfram Langua"
}, {
  "label": "ToFileName",
  "type": "keyword",
  "info": "ToFileName[\"directory\", \"name\"] assembles a full file name from a directory name and a file name. To"
}, {
  "label": "Together",
  "type": "keyword",
  "info": "Together[expr] puts terms in a sum over a common denominator, and cancels factors in the result. "
}, {
  "label": "Toggle",
  "type": "keyword",
  "info": "System`Toggle"
}, {
  "label": "ToggleFalse",
  "type": "keyword",
  "info": "System`ToggleFalse"
}, {
  "label": "Toggler",
  "type": "keyword",
  "info": "Toggler[x] represents a toggler button with setting x, that toggles between True and False. Toggler["
}, {
  "label": "TogglerBar",
  "type": "keyword",
  "info": "TogglerBar[x, {val , val , â¦}] represents a toggler bar with setting x and with toggler buttons for "
}, {
  "label": "TogglerBox",
  "type": "keyword",
  "info": "System`TogglerBox"
}, {
  "label": "TogglerBoxOptions",
  "type": "keyword",
  "info": "TogglerBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for TogglerBo"
}, {
  "label": "ToHeldExpression",
  "type": "keyword",
  "info": "System`ToHeldExpression"
}, {
  "label": "ToInvertibleTimeSeries",
  "type": "keyword",
  "info": "ToInvertibleTimeSeries[tproc] returns an invertible version of a time series process tproc."
}, {
  "label": "TokenWords",
  "type": "keyword",
  "info": "TokenWords is an option for Read and related functions which gives a list of token words to be used "
}, {
  "label": "Tolerance",
  "type": "keyword",
  "info": "Tolerance is an option for various numerical options which specifies the tolerance that should be al"
}, {
  "label": "ToLowerCase",
  "type": "keyword",
  "info": "ToLowerCase[string] yields a string in which all letters have been converted to lowercase. "
}, {
  "label": "Tomorrow",
  "type": "keyword",
  "info": "Tomorrow gives a DateObject representing the following day."
}, {
  "label": "ToNumberField",
  "type": "keyword",
  "info": "ToNumberField[a, Î¸] expresses the algebraic number a in the number field generated by Î¸. ToNumberFie"
}, {
  "label": "TooBig",
  "type": "keyword",
  "info": "TooBig is an internal symbol."
}, {
  "label": "Tooltip",
  "type": "keyword",
  "info": "Tooltip[expr, label] displays label as a tooltip while the mouse pointer is in the area where expr i"
}, {
  "label": "TooltipBox",
  "type": "keyword",
  "info": "System`TooltipBox"
}, {
  "label": "TooltipBoxOptions",
  "type": "keyword",
  "info": "TooltipBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for TooltipBo"
}, {
  "label": "TooltipDelay",
  "type": "keyword",
  "info": "TooltipDelay is an option for objects such as Tooltip that specifies how long to delay after the mou"
}, {
  "label": "TooltipStyle",
  "type": "keyword",
  "info": "TooltipStyle is an option for tooltips that specifies the style to use in displaying their elements."
}, {
  "label": "ToonShading",
  "type": "keyword",
  "info": "ToonShading[] is a three-dimensional graphics directive specifying that surfaces that follow are to "
}, {
  "label": "Top",
  "type": "keyword",
  "info": "Top is a symbol that represents the top for purposes of alignment and positioning. "
}, {
  "label": "TopHatTransform",
  "type": "keyword",
  "info": "TopHatTransform[image, ker] gives the morphological top-hat transform of image with respect to struc"
}, {
  "label": "ToPolarCoordinates",
  "type": "keyword",
  "info": "ToPolarCoordinates[{x, y}] gives the {r, Î¸} polar coordinates corresponding to the Cartesian coordin"
}, {
  "label": "TopologicalSort",
  "type": "keyword",
  "info": "TopologicalSort[g] gives a list of vertices of g in topologically sorted order for a directed acycli"
}, {
  "label": "ToRadicals",
  "type": "keyword",
  "info": "ToRadicals[expr] attempts to express all Root objects in expr in terms of radicals. "
}, {
  "label": "ToRules",
  "type": "keyword",
  "info": "ToRules[eqns] takes logical combinations of equations, in the form generated by Roots and Reduce, an"
}, {
  "label": "Torus",
  "type": "keyword",
  "info": "Torus[{x, y, z}, {r     , r     }] represents a torus centered at {x, y, z} with inner radius r     "
}, {
  "label": "ToSphericalCoordinates",
  "type": "keyword",
  "info": "ToSphericalCoordinates[{x, y, z}] gives the {r, Î¸, Ï} spherical coordinates corresponding to the Car"
}, {
  "label": "ToString",
  "type": "keyword",
  "info": "ToString[expr] gives a string corresponding to the printed form of expr in OutputForm. ToString[expr"
}, {
  "label": "Total",
  "type": "keyword",
  "info": "Total[list] gives the total of the elements in list. Total[list, n] totals all elements down to leve"
}, {
  "label": "TotalHeight",
  "type": "keyword",
  "info": "System`TotalHeight"
}, {
  "label": "TotalLayer",
  "type": "keyword",
  "info": "TotalLayer[] represents a net layer taking a list of input arrays and performing elementwise additio"
}, {
  "label": "TotalVariationFilter",
  "type": "keyword",
  "info": "TotalVariationFilter[data] iteratively reduces noise while preserving rapid transitions in data.Tota"
}, {
  "label": "TotalWidth",
  "type": "keyword",
  "info": "TotalWidth is an option that can be set for output streams to specify the maximum total number of ch"
}, {
  "label": "TouchPosition",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "TouchscreenAutoZoom",
  "type": "keyword",
  "info": "TouchscreenAutoZoom is an option for Manipulate and Graphics3D that determines whether the interface"
}, {
  "label": "TouchscreenControlPlacement",
  "type": "keyword",
  "info": "TouchscreenControlPlacement is an option for Manipulate that determines the placement of the slide-o"
}, {
  "label": "ToUpperCase",
  "type": "keyword",
  "info": "ToUpperCase[string] yields a string in which all letters have been converted to uppercase. "
}, {
  "label": "TourVideo",
  "type": "keyword",
  "info": "TourVideo[graphics, {pt , pt , â¦}] generates a video by taking a tour at points pt  around graphics."
}, {
  "label": "Tr",
  "type": "keyword",
  "info": "Tr[list] finds the trace of the matrix or tensor list. Tr[list, f] finds a generalized trace, combin"
}, {
  "label": "Trace",
  "type": "keyword",
  "info": "Trace[expr] generates a list of all expressions used in the evaluation of expr. Trace[expr, form] in"
}, {
  "label": "TraceAbove",
  "type": "keyword",
  "info": "TraceAbove is an option for Trace and related functions which specifies whether to include evaluatio"
}, {
  "label": "TraceAction",
  "type": "keyword",
  "info": "TraceAction is an option for TracePrint and TraceDialog that specifies the function to be applied to"
}, {
  "label": "TraceBackward",
  "type": "keyword",
  "info": "TraceBackward is an option for Trace and related functions that specifies whether to include precedi"
}, {
  "label": "TraceDepth",
  "type": "keyword",
  "info": "TraceDepth is an option for Trace and related functions which specifies the maximum nesting of evalu"
}, {
  "label": "TraceDialog",
  "type": "keyword",
  "info": "TraceDialog[expr] initiates a dialog for every expression used in the evaluation of expr. TraceDialo"
}, {
  "label": "TraceForward",
  "type": "keyword",
  "info": "TraceForward is an option for Trace and related functions which specifies whether to include later e"
}, {
  "label": "TraceInternal",
  "type": "keyword",
  "info": "TraceInternal is an option for Trace and related functions which, if True or False, specifies whethe"
}, {
  "label": "TraceLevel",
  "type": "keyword",
  "info": "TraceLevel[] returns the level currently being traced when it appears within Trace and related funct"
}, {
  "label": "TraceOff",
  "type": "keyword",
  "info": "TraceOff is an option for Trace and related functions which specifies forms inside which tracing sho"
}, {
  "label": "TraceOn",
  "type": "keyword",
  "info": "TraceOn is an option for Trace and related functions which specifies when tracing should be switched"
}, {
  "label": "TraceOriginal",
  "type": "keyword",
  "info": "TraceOriginal is an option for Trace and related functions which specifies whether to test the form "
}, {
  "label": "TracePrint",
  "type": "keyword",
  "info": "TracePrint[expr] prints all expressions used in the evaluation of expr. TracePrint[expr, form] inclu"
}, {
  "label": "TraceScan",
  "type": "keyword",
  "info": "TraceScan[f, expr] applies f to all expressions used in the evaluation of expr. TraceScan[f, expr, f"
}, {
  "label": "TrackCellChangeTimes",
  "type": "keyword",
  "info": "System`TrackCellChangeTimes"
}, {
  "label": "TrackedSymbols",
  "type": "keyword",
  "info": "TrackedSymbols is an option to Refresh, Manipulate, and related functions that specifies which symbo"
}, {
  "label": "TrackingFunction",
  "type": "keyword",
  "info": "TrackingFunction is an option for Manipulate controls that specifies functions to use during interac"
}, {
  "label": "TracyWidomDistribution",
  "type": "keyword",
  "info": "TracyWidomDistribution[Î\.b2] represents a TracyâWidom distribution with Dyson index Î\.b2."
}, {
  "label": "TradingChart",
  "type": "keyword",
  "info": "TradingChart[{{date , {open , high , low , close , volume }}, â¦}] makes a chart showing prices and v"
}, {
  "label": "TraditionalForm",
  "type": "keyword",
  "info": "TraditionalForm[expr] prints as an approximation to the traditional mathematical notation for expr. "
}, {
  "label": "TraditionalFunctionNotation",
  "type": "keyword",
  "info": "TraditionalFunctionNotation is an option for selections that specifies whether input of the form f(x"
}, {
  "label": "TraditionalNotation",
  "type": "keyword",
  "info": "System`TraditionalNotation"
}, {
  "label": "TraditionalOrder",
  "type": "keyword",
  "info": "System`TraditionalOrder"
}, {
  "label": "TrainImageContentDetector",
  "type": "keyword",
  "info": "TrainImageContentDetector[{img  ï¢ {bbox  ï¢ class , â¦}, â¦}] trains a ContentDetectorFunction[â¦] based"
}, {
  "label": "TrainingProgressCheckpointing",
  "type": "keyword",
  "info": "TrainingProgressCheckpointing is an option for NetTrain that specifies how to save copies of the net"
}, {
  "label": "TrainingProgressFunction",
  "type": "keyword",
  "info": "TrainingProgressFunction is an option for NetTrain that specifies a function to run periodically dur"
}, {
  "label": "TrainingProgressMeasurements",
  "type": "keyword",
  "info": "TrainingProgressMeasurements is an option for NetTrain that specifies measurements to make while tra"
}, {
  "label": "TrainingProgressReporting",
  "type": "keyword",
  "info": "TrainingProgressReporting is an option for NetTrain and related functions that specifies how to repo"
}, {
  "label": "TrainingStoppingCriterion",
  "type": "keyword",
  "info": "TrainingStoppingCriterion is an option for NetTrain that specifies a criterion for stopping training"
}, {
  "label": "TrainingUpdateSchedule",
  "type": "keyword",
  "info": "TrainingUpdateSchedule is an option for NetTrain that specifies which arrays of the network can be u"
}, {
  "label": "TrainTextContentDetector",
  "type": "keyword",
  "info": "TrainTextContentDetector[{text  ï¢ {span  ï¢ class , â¦}, â¦}] trains a ContentDetectorFunction[â¦] based"
}, {
  "label": "TransferFunctionCancel",
  "type": "keyword",
  "info": "TransferFunctionCancel[tfm] cancels common poles and zeros in the TransferFunctionModel tfm.Transfer"
}, {
  "label": "TransferFunctionExpand",
  "type": "keyword",
  "info": "TransferFunctionExpand[tfm] expands polynomial terms in the numerators and denominators of the Trans"
}, {
  "label": "TransferFunctionFactor",
  "type": "keyword",
  "info": "TransferFunctionFactor[tfm] factors the polynomial terms in the numerators and denominators of the T"
}, {
  "label": "TransferFunctionModel",
  "type": "keyword",
  "info": "TransferFunctionModel[m, s] represents the model of the transfer-function matrix m with complex vari"
}, {
  "label": "TransferFunctionPoles",
  "type": "keyword",
  "info": "TransferFunctionPoles[tfm] gives a matrix of roots of the denominators in the TransferFunctionModel "
}, {
  "label": "TransferFunctionTransform",
  "type": "keyword",
  "info": "TransferFunctionTransform[f, tf] transforms the TransferFunctionModel object tf using the transforma"
}, {
  "label": "TransferFunctionZeros",
  "type": "keyword",
  "info": "TransferFunctionZeros[tfm] gives a matrix of roots of the numerators in the TransferFunctionModel tf"
}, {
  "label": "TransformationClass",
  "type": "keyword",
  "info": "TransformationClass is an option that specifies the class of geometric transformations to be used."
}, {
  "label": "TransformationFunction",
  "type": "keyword",
  "info": "TransformationFunction[data] represents a transformation function that applies geometric and other t"
}, {
  "label": "TransformationFunctions",
  "type": "keyword",
  "info": "TransformationFunctions is an option for Simplify and FullSimplify which gives the list of functions"
}, {
  "label": "TransformationMatrix",
  "type": "keyword",
  "info": "TransformationMatrix[tfun] gives the homogeneous matrix associated with a TransformationFunction obj"
}, {
  "label": "TransformedDistribution",
  "type": "keyword",
  "info": "TransformedDistribution[expr, x ï dist] represents the transformed distribution of expr where the ra"
}, {
  "label": "TransformedField",
  "type": "keyword",
  "info": "TransformedField[t, f, {x , x , â¦, x } ï¢ {y , y , â¦, y }] uses the coordinate transformation t to tr"
}, {
  "label": "TransformedProcess",
  "type": "keyword",
  "info": "TransformedProcess[expr, x ï proc, t] represents the transformed process of expr where the variable "
}, {
  "label": "TransformedRegion",
  "type": "keyword",
  "info": "TransformedRegion[reg, f] represents the transformed region {f(p) | p â reg}, where reg is a region "
}, {
  "label": "TransitionDirection",
  "type": "keyword",
  "info": "TransitionDirection is an option for PaneSelector that specifies the direction in which a transition"
}, {
  "label": "TransitionDuration",
  "type": "keyword",
  "info": "TransitionDuration is an option for PaneSelector that specifies the duration in seconds that a trans"
}, {
  "label": "TransitionEffect",
  "type": "keyword",
  "info": "TransitionEffect is an option for PaneSelector that specifies the visual effect used when transition"
}, {
  "label": "TransitiveClosureGraph",
  "type": "keyword",
  "info": "TransitiveClosureGraph[g] gives the transitive closure of the graph g.TransitiveClosureGraph[{v ï¢ w,"
}, {
  "label": "TransitiveReductionGraph",
  "type": "keyword",
  "info": "TransitiveReductionGraph[g] gives a transitive reduction of the graph g.TransitiveReductionGraph[{v "
}, {
  "label": "Translate",
  "type": "keyword",
  "info": "Translate[g, {x, y, â¦}] represents graphics primitives g translated by the vector {x, y, â¦}. Transla"
}, {
  "label": "TranslationOptions",
  "type": "keyword",
  "info": "TranslationOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option for Style and Cell that controls how"
}, {
  "label": "TranslationTransform",
  "type": "keyword",
  "info": "TranslationTransform[v] gives a TransformationFunction that represents translation of points by a ve"
}, {
  "label": "Transliterate",
  "type": "keyword",
  "info": "Transliterate[\"string\"] attempts to transliterate string into plain ASCII.Transliterate[\"string\", sc"
}, {
  "label": "Transparent",
  "type": "keyword",
  "info": "Transparent represents perfect transparency in graphics or style specifications. "
}, {
  "label": "TransparentColor",
  "type": "keyword",
  "info": "System`TransparentColor"
}, {
  "label": "Transpose",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "TransposeLayer",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "TrapEnterKey",
  "type": "keyword",
  "info": "System`TrapEnterKey"
}, {
  "label": "TrapSelection",
  "type": "keyword",
  "info": "System`TrapSelection"
}, {
  "label": "TravelDirections",
  "type": "keyword",
  "info": "TravelDirections[{loc , loc , â¦}] generates directions for travel from loc  to loc , â¦.TravelDirecti"
}, {
  "label": "TravelDirectionsData",
  "type": "keyword",
  "info": "TravelDirectionsData[â¦] represents travel directions generated by TravelDirections."
}, {
  "label": "TravelDistance",
  "type": "keyword",
  "info": "TravelDistance[{loc , loc , â¦}] gives the estimated distance for travel from loc  to loc , â¦.\n      "
}, {
  "label": "TravelDistanceList",
  "type": "keyword",
  "info": "TravelDistanceList[{loc , loc , â¦, loc }] returns the list {TravelDistance[loc , loc ], â¦, TravelDis"
}, {
  "label": "TravelMethod",
  "type": "keyword",
  "info": "TravelMethod is an option for TravelDirections and related functions that specifies the mode of tran"
}, {
  "label": "TravelTime",
  "type": "keyword",
  "info": "TravelTime[{loc , loc , â¦}] gives the estimated time to travel from loc  to loc , â¦.\n               "
}, {
  "label": "Tree",
  "type": "keyword",
  "info": "Tree[{subtree , subtree , â¦}] represents a tree with a list of child subtrees subtree .Tree[data, su"
}, {
  "label": "TreeCases",
  "type": "keyword",
  "info": "TreeCases[tree, pattern] gives a list of subtrees of tree with data matching pattern.TreeCases[tree,"
}, {
  "label": "TreeChildren",
  "type": "keyword",
  "info": "TreeChildren[tree] extracts the children of the root of the Tree object tree."
}, {
  "label": "TreeCount",
  "type": "keyword",
  "info": "TreeCount[tree, pattern] gives the number of subtrees of tree whose data matches pattern.TreeCount[t"
}, {
  "label": "TreeData",
  "type": "keyword",
  "info": "TreeData[tree] extracts the data in the root of tree."
}, {
  "label": "TreeDelete",
  "type": "keyword",
  "info": "TreeDelete[tree, pos] deletes the subtree of tree at the position specified by pos.TreeDelete[tree, "
}, {
  "label": "TreeDepth",
  "type": "keyword",
  "info": "TreeDepth[tree] gives the maximum level of tree.TreeDepth[tree, pattern] gives the maximum level of "
}, {
  "label": "TreeElementLabel",
  "type": "keyword",
  "info": "TreeElementLabel is an option for Tree and related functions that specifies what labels should be us"
}, {
  "label": "TreeElementStyle",
  "type": "keyword",
  "info": "TreeElementStyle is an option for Tree and related functions that specifies what style to use for su"
}, {
  "label": "TreeExpression",
  "type": "keyword",
  "info": "TreeExpression[tree] gives the expression corresponding to the tree tree.TreeExpression[tree, struct"
}, {
  "label": "TreeExtract",
  "type": "keyword",
  "info": "TreeExtract[tree, pos] extracts the subtree of tree at the position specified by pos.TreeExtract[tre"
}, {
  "label": "TreeFold",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "TreeForm",
  "type": "keyword",
  "info": "TreeForm[expr] displays expr as a tree with different levels at different depths. TreeForm[expr, n] "
}, {
  "label": "TreeGraph",
  "type": "keyword",
  "info": "TreeGraph[{v , v , â¦}, {u , u , â¦}] yields a tree where u  is the predecessor of v .TreeGraph[{e , e"
}, {
  "label": "TreeGraphQ",
  "type": "keyword",
  "info": "TreeGraphQ[g] yields True if the graph g is a tree and False otherwise."
}, {
  "label": "TreeInsert",
  "type": "keyword",
  "info": "TreeInsert[tree, child, pos] inserts child at the position specified by pos in tree.TreeInsert[tree,"
}, {
  "label": "TreeLayout",
  "type": "keyword",
  "info": "TreeLayout is an option to Tree and related functions that specifies what layout to use."
}, {
  "label": "TreeLeafQ",
  "type": "keyword",
  "info": "TreeLeafQ[tree] gives True if tree is a tree with no children, and gives False otherwise."
}, {
  "label": "TreeLeaves",
  "type": "keyword",
  "info": "TreeLeaves[tree] returns the list of leaves of the tree tree."
}, {
  "label": "TreeLevel",
  "type": "keyword",
  "info": "TreeLevel[tree, levelspec] gives a list of all subtrees of tree on levels specified by levelspec.Tre"
}, {
  "label": "TreeMap",
  "type": "keyword",
  "info": "TreeMap[f, tree] applies f to the data in each subtree of tree.TreeMap[f, tree, levelspec] applies f"
}, {
  "label": "TreeMapAt",
  "type": "keyword",
  "info": "TreeMapAt[f, tree, pos] applies f to the data at the position specified by pos in tree.TreeMapAt[f, "
}, {
  "label": "TreeOutline",
  "type": "keyword",
  "info": "TreeOutline[tree] gives an outline of the data in tree as a nested OpenerView.TreeOutline[tree, pos]"
}, {
  "label": "TreePlot",
  "type": "keyword",
  "info": "TreePlot[g] generates a tree plot of the graph g.TreePlot[{e , e , â¦}] generates a tree plot of the "
}, {
  "label": "TreePosition",
  "type": "keyword",
  "info": "TreePosition[tree, pattern] gives a list of the positions of subtrees of tree whose data matches pat"
}, {
  "label": "TreeQ",
  "type": "keyword",
  "info": "TreeQ[tree] yields True if tree is a valid Tree object and False otherwise."
}, {
  "label": "TreeReplacePart",
  "type": "keyword",
  "info": "TreeReplacePart[tree, pos ï¢ new] gives a tree in which the subtree of tree at the position specified"
}, {
  "label": "TreeRules",
  "type": "keyword",
  "info": "TreeRules[tree] returns the rules associated with the Tree object tree."
}, {
  "label": "TreeScan",
  "type": "keyword",
  "info": "TreeScan[f, tree] evaluates f applied to the data in each subtree of tree in turn.TreeScan[f, tree, "
}, {
  "label": "TreeSelect",
  "type": "keyword",
  "info": "TreeSelect[tree, crit] picks out all subtrees tree  of tree for which crit[tree ] is True.TreeSelect"
}, {
  "label": "TreeSize",
  "type": "keyword",
  "info": "TreeSize[tree] gives the number of subtrees of tree."
}, {
  "label": "TreeTraversalOrder",
  "type": "keyword",
  "info": "TreeTraversalOrder is an option for TreeMap and related functions that specifies the order to visit "
}, {
  "label": "TrendStyle",
  "type": "keyword",
  "info": "TrendStyle is an option to CandlestickChart, RenkoChart, and other financial charting functions that"
}, {
  "label": "Triangle",
  "type": "keyword",
  "info": "Triangle[{p , p , p }] represents a filled triangle with corner points p , p , and p .Triangle[{{p  "
}, {
  "label": "TriangleCenter",
  "type": "keyword",
  "info": "TriangleCenter[tri, type] gives the specified type of center for the triangle tri.TriangleCenter[tri"
}, {
  "label": "TriangleConstruct",
  "type": "keyword",
  "info": "TriangleConstruct[tri, type] gives the specified type of construct for the triangle tri."
}, {
  "label": "TriangleMeasurement",
  "type": "keyword",
  "info": "TriangleMeasurement[tri, type] gives the specified type of measurement for the triangle tri."
}, {
  "label": "TriangleWave",
  "type": "keyword",
  "info": "TriangleWave[x] gives a triangle wave that varies between -1 and +1 with unit period.TriangleWave[{m"
}, {
  "label": "TriangularDistribution",
  "type": "keyword",
  "info": "TriangularDistribution[{min, max}] represents a symmetric triangular statistical distribution giving"
}, {
  "label": "TriangulateMesh",
  "type": "keyword",
  "info": "TriangulateMesh[mr] generates a triangulation of the mesh region mr."
}, {
  "label": "Trig",
  "type": "keyword",
  "info": "Trig is an option for various polynomial manipulation functions that specifies whether trigonometric"
}, {
  "label": "TrigExpand",
  "type": "keyword",
  "info": "TrigExpand[expr] expands out trigonometric functions in expr. "
}, {
  "label": "TrigFactor",
  "type": "keyword",
  "info": "TrigFactor[expr] factors trigonometric functions in expr. "
}, {
  "label": "TrigFactorList",
  "type": "keyword",
  "info": "TrigFactorList[expr] factors trigonometric functions in expr, yielding a list of lists containing tr"
}, {
  "label": "Trigger",
  "type": "keyword",
  "info": "Trigger[Dynamic[u]] represents a trigger that can be pressed to make the dynamically updated value o"
}, {
  "label": "TrigReduce",
  "type": "keyword",
  "info": "TrigReduce[expr] rewrites products and powers of trigonometric functions in expr in terms of trigono"
}, {
  "label": "TrigToExp",
  "type": "keyword",
  "info": "TrigToExp[expr] converts trigonometric functions in expr to exponentials. "
}, {
  "label": "TrimmedMean",
  "type": "keyword",
  "info": "TrimmedMean[list, f] gives the mean of the elements in list after dropping a fraction f of the small"
}, {
  "label": "TrimmedVariance",
  "type": "keyword",
  "info": "TrimmedVariance[list, f] gives the variance of the elements in list after dropping a fraction f of t"
}, {
  "label": "TropicalStormData",
  "type": "keyword",
  "info": "TropicalStormData[entity, property] gives the value of the specified property for the tropical storm"
}, {
  "label": "True",
  "type": "keyword",
  "info": "True is the symbol for the Boolean value true. "
}, {
  "label": "TrueQ",
  "type": "keyword",
  "info": "TrueQ[expr] yields True if expr is True, and yields False otherwise. "
}, {
  "label": "TruncatedDistribution",
  "type": "keyword",
  "info": "TruncatedDistribution[{x   , x   }, dist] represents the distribution obtained by truncating the val"
}, {
  "label": "TruncatedPolyhedron",
  "type": "keyword",
  "info": "TruncatedPolyhedron[poly] gives the truncated polyhedron of poly by truncating all vertices. Truncat"
}, {
  "label": "TsallisQExponentialDistribution",
  "type": "keyword",
  "info": "TsallisQExponentialDistribution[Î», q] represents a Tsallis q-exponential distribution with scale inv"
}, {
  "label": "TsallisQGaussianDistribution",
  "type": "keyword",
  "info": "TsallisQGaussianDistribution[Î¼, Î\.b2, q] represents a Tsallis q-Gaussian distribution with mean Î¼, scal"
}, {
  "label": "TTest",
  "type": "keyword",
  "info": "TTest[data] tests whether the mean of data is zero. TTest[{data , data }] tests whether the means of"
}, {
  "label": "Tube",
  "type": "keyword",
  "info": "Tube[{{x , y , z }, {x , y , z }, â¦}] represents a 3D tube around the line joining a sequence of poi"
}, {
  "label": "TubeBezierCurveBox",
  "type": "keyword",
  "info": "System`TubeBezierCurveBox"
}, {
  "label": "TubeBezierCurveBoxOptions",
  "type": "keyword",
  "info": "TubeBezierCurveBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for T"
}, {
  "label": "TubeBox",
  "type": "keyword",
  "info": "System`TubeBox"
}, {
  "label": "TubeBoxOptions",
  "type": "keyword",
  "info": "TubeBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for TubeBox obje"
}, {
  "label": "TubeBSplineCurveBox",
  "type": "keyword",
  "info": "System`TubeBSplineCurveBox"
}, {
  "label": "TubeBSplineCurveBoxOptions",
  "type": "keyword",
  "info": "TubeBSplineCurveBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for "
}, {
  "label": "Tuesday",
  "type": "keyword",
  "info": "Tuesday is a day of the week."
}, {
  "label": "TukeyLambdaDistribution",
  "type": "keyword",
  "info": "TukeyLambdaDistribution[Î»] represents Tukey's lambda distribution with shape parameter Î».TukeyLambda"
}, {
  "label": "TukeyWindow",
  "type": "keyword",
  "info": "TukeyWindow[x] represents a Tukey window function of x.TukeyWindow[x, Î\\[PlusMinus]] uses the parameter Î\\[PlusMinus].\n"
}, {
  "label": "TunnelData",
  "type": "keyword",
  "info": "TunnelData[entity, property] gives the value of the specified property for the tunnel entity.TunnelD"
}, {
  "label": "Tuples",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "TuranGraph",
  "type": "keyword",
  "info": "TuranGraph[n, k] gives the k-partite TurÃ¡n graph with n vertices T    .\n                            "
}, {
  "label": "TuringMachine",
  "type": "keyword",
  "info": "TuringMachine[rule, init, t] generates a list representing the evolution of the Turing machine with "
}, {
  "label": "TuttePolynomial",
  "type": "keyword",
  "info": "TuttePolynomial[g, {x, y}] gives the Tutte polynomial of the graph g.TuttePolynomial[{v ï¢ w, â¦}, â¦] "
}, {
  "label": "TwoWayRule",
  "type": "keyword",
  "info": "x<->y or x ï  y represents a two-way rule expressing exchange or correspondence of x and y."
}, {
  "label": "Typed",
  "type": "keyword",
  "info": "Typed[expr, type] represents an expression that should be assumed to be of a specified type for comp"
}, {
  "label": "TypeDeclaration",
  "type": "keyword",
  "info": "System`TypeDeclaration"
}, {
  "label": "TypeSpecifier",
  "type": "keyword",
  "info": "TypeSpecifier[cons] represents a type specifier that can be applied to other types to create a compo"
}, {
  "label": "UnateQ",
  "type": "keyword",
  "info": "UnateQ[bexpr, {x , x , â¦}] tests whether the Boolean expression bexpr is positive unate in the varia"
}, {
  "label": "Uncompress",
  "type": "keyword",
  "info": "Uncompress[\"string\"] recovers an expression from a compressed string representation generated by Com"
}, {
  "label": "UnconstrainedParameters",
  "type": "keyword",
  "info": "UnconstrainedParameters is an option to functions like GeometricScene that specifies what parameters"
}, {
  "label": "Undefined",
  "type": "keyword",
  "info": "Undefined is a symbol that represents a quantity with no defined value."
}, {
  "label": "UnderBar",
  "type": "keyword",
  "info": "UnderBar[expr] displays with a bar under expr."
}, {
  "label": "Underflow",
  "type": "keyword",
  "info": "Underflow[] represents a number too small to represent explicitly on your computer system."
}, {
  "label": "Underlined",
  "type": "keyword",
  "info": "Underlined represents an underlined font."
}, {
  "label": "Underoverscript",
  "type": "keyword",
  "info": "                                                      z\nUnderoverscript[x, y, z] is an object that f"
}, {
  "label": "UnderoverscriptBox",
  "type": "keyword",
  "info": "                                                                    z\nUnderoverscriptBox[x, y, z] is"
}, {
  "label": "UnderoverscriptBoxOptions",
  "type": "keyword",
  "info": "UnderoverscriptBoxOptions is an option for selections that specifies settings for UnderoverscriptBox"
}, {
  "label": "Underscript",
  "type": "keyword",
  "info": "Underscript[x, y] is an object that formats as x. \n                                               y"
}, {
  "label": "UnderscriptBox",
  "type": "keyword",
  "info": "UnderscriptBox[x, y] is the lowâlevel box representation for x in notebook expressions. \n           "
}, {
  "label": "UnderscriptBoxOptions",
  "type": "keyword",
  "info": "UnderscriptBoxOptions is an option for selections that specifies settings for UnderscriptBox objects"
}, {
  "label": "UnderseaFeatureData",
  "type": "keyword",
  "info": "UnderseaFeatureData[entity, property] gives the value of the specified property for the undersea fea"
}, {
  "label": "UndirectedEdge",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "UndirectedGraph",
  "type": "keyword",
  "info": "UndirectedGraph[g] gives an undirected graph from the directed graph g.UndirectedGraph[{v ï¢ w, â¦}] u"
}, {
  "label": "UndirectedGraphQ",
  "type": "keyword",
  "info": "UndirectedGraphQ[g] yields True if the graph g is an undirected graph and False otherwise."
}, {
  "label": "UndoOptions",
  "type": "keyword",
  "info": "UndoOptions is an option for Style that specifies settings for controlling the behavior of the front"
}, {
  "label": "UndoTrackedVariables",
  "type": "keyword",
  "info": "UndoTrackedVariables is an option for Manipulate, DynamicModule, and related functions that sets var"
}, {
  "label": "Unequal",
  "type": "keyword",
  "info": "lhs != rhs or lhs â  rhs returns False if lhs and rhs are identical. "
}, {
  "label": "UnequalTo",
  "type": "keyword",
  "info": "UnequalTo[y] is an operator form that yields x â  y when applied to an expression x."
}, {
  "label": "Unevaluated",
  "type": "keyword",
  "info": "Unevaluated[expr] represents the unevaluated form of expr when it appears as the argument to a funct"
}, {
  "label": "UniformDistribution",
  "type": "keyword",
  "info": "UniformDistribution[{min, max}] represents a continuous uniform statistical distribution giving valu"
}, {
  "label": "UniformGraphDistribution",
  "type": "keyword",
  "info": "UniformGraphDistribution[n, m] represents a uniform graph distribution on n-vertex, m-edge graphs."
}, {
  "label": "UniformPolyhedron",
  "type": "keyword",
  "info": "UniformPolyhedron[\"name\"] gives the uniform polyhedron with the given name.UniformPolyhedron[{n, m}]"
}, {
  "label": "UniformSumDistribution",
  "type": "keyword",
  "info": "UniformSumDistribution[n] represents the distribution of a sum of n random variables uniformly distr"
}, {
  "label": "Uninstall",
  "type": "keyword",
  "info": "Uninstall[link] terminates an external program started by Install, and removes Wolfram Language defi"
}, {
  "label": "Union",
  "type": "keyword",
  "info": "Union[list , list , â¦] gives a sorted list of all the distinct elements that appear in any of the li"
}, {
  "label": "UnionedEntityClass",
  "type": "keyword",
  "info": "UnionedEntityClass[class , â¦] represents an entity class containing all the distinct entities in all"
}, {
  "label": "UnionPlus",
  "type": "keyword",
  "info": "UnionPlus[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Unique",
  "type": "keyword",
  "info": "Unique[] generates a new symbol, whose name is of the form $nnn. Unique[x] generates a new symbol, w"
}, {
  "label": "UnitaryMatrixQ",
  "type": "keyword",
  "info": "UnitaryMatrixQ[m] gives True if m is a unitary matrix, and False otherwise."
}, {
  "label": "UnitBox",
  "type": "keyword",
  "info": "                                                                    1                               "
}, {
  "label": "UnitConvert",
  "type": "keyword",
  "info": "UnitConvert[quantity, targetunit] attempts to convert the specified quantity to the specified target"
}, {
  "label": "UnitDimensions",
  "type": "keyword",
  "info": "UnitDimensions[unit] returns a list of base dimensions associated with the specified unit.UnitDimens"
}, {
  "label": "Unitize",
  "type": "keyword",
  "info": "Unitize[x] gives 0 when x is zero, and 1 when x has any other numerical value."
}, {
  "label": "UnitRootTest",
  "type": "keyword",
  "info": "UnitRootTest[data] tests whether data came from an autoregressive time series process with unit root"
}, {
  "label": "UnitSimplify",
  "type": "keyword",
  "info": "UnitSimplify[quantity] attempts to simplify the units of the specified quantity."
}, {
  "label": "UnitStep",
  "type": "keyword",
  "info": "UnitStep[x] represents the unit step function, equal to 0 for x < 0 and 1 for x â¥ 0. UnitStep[x , x "
}, {
  "label": "UnitSystem",
  "type": "keyword",
  "info": "UnitSystem is an option for functions like AirTemperatureData that determines the units of the resul"
}, {
  "label": "UnitTriangle",
  "type": "keyword",
  "info": "UnitTriangle[x] represents the unit triangle function on the interval ï x ï â¤ 1 .UnitTriangle[x , x "
}, {
  "label": "UnitVector",
  "type": "keyword",
  "info": "                                                             th                                     "
}, {
  "label": "UnitVectorLayer",
  "type": "keyword",
  "info": "UnitVectorLayer[n] represents a net layer that transforms integers between 1 and n into n-dimensiona"
}, {
  "label": "UnityDimensions",
  "type": "keyword",
  "info": "UnityDimensions is an option for UnitSimplify that specifies which UnitDimensions should be factored"
}, {
  "label": "UniverseModelData",
  "type": "keyword",
  "info": "UniverseModelData[spec] returns properties of the universe based on the default model at specificati"
}, {
  "label": "UniversityData",
  "type": "keyword",
  "info": "UniversityData[entity, property] gives the value of the specified property for the university entity"
}, {
  "label": "UnixTime",
  "type": "keyword",
  "info": "UnixTime[] gives the total number of seconds since the beginning of January 1, 1970, in the GMT time"
}, {
  "label": "Unprotect",
  "type": "keyword",
  "info": "Unprotect[s , s , â¦] removes the attribute Protected for the symbols s . Unprotect[\"form \", \"form \","
}, {
  "label": "UnregisterExternalEvaluator",
  "type": "keyword",
  "info": "UnregisterExternalEvaluator[sys, target] unregisters the external evaluator referenced by target for"
}, {
  "label": "UnsameQ",
  "type": "keyword",
  "info": "lhs =!= rhs yields True if the expression lhs is not identical to rhs, and yields False otherwise. "
}, {
  "label": "UnsavedVariables",
  "type": "keyword",
  "info": "UnsavedVariables is an option for Manipulate, DynamicModule, and related functions that specifies lo"
}, {
  "label": "Unset",
  "type": "keyword",
  "info": "lhs=. removes any rules defined for lhs. "
}, {
  "label": "UnsetShared",
  "type": "keyword",
  "info": "UnsetShared[s , s , â¦] stops the sharing of the variables or functions s  among parallel kernels.Uns"
}, {
  "label": "UntrackedVariables",
  "type": "keyword",
  "info": "System`UntrackedVariables"
}, {
  "label": "Up",
  "type": "keyword",
  "info": "System`Up"
}, {
  "label": "UpArrow",
  "type": "keyword",
  "info": "UpArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "UpArrowBar",
  "type": "keyword",
  "info": "UpArrowBar[x, y, â¦] displays as x â¤ y â¤ â¦."
}, {
  "label": "UpArrowDownArrow",
  "type": "keyword",
  "info": "UpArrowDownArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Update",
  "type": "keyword",
  "info": "Update[symbol] tells the Wolfram Language that hidden changes have been made that could affect value"
}, {
  "label": "UpdateDynamicObjects",
  "type": "keyword",
  "info": "System`UpdateDynamicObjects"
}, {
  "label": "UpdateDynamicObjectsSynchronous",
  "type": "keyword",
  "info": "System`UpdateDynamicObjectsSynchronous"
}, {
  "label": "UpdateInterval",
  "type": "keyword",
  "info": "UpdateInterval is an option to Refresh and Dynamic that specifies at what time interval to do update"
}, {
  "label": "UpdatePacletSites",
  "type": "keyword",
  "info": "UpdatePacletSites is an option to PacletInstall and PacletInstallSubmit that specifies whether to fi"
}, {
  "label": "UpdateSearchIndex",
  "type": "keyword",
  "info": "UpdateSearchIndex[obj] updates the given search index object.UpdateSearchIndex[\"name\"] updates the s"
}, {
  "label": "UpDownArrow",
  "type": "keyword",
  "info": "UpDownArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "UpEquilibrium",
  "type": "keyword",
  "info": "UpEquilibrium[x, y, â¦] displays as x â¥® y â¥® â¦."
}, {
  "label": "UpperCaseQ",
  "type": "keyword",
  "info": "UpperCaseQ[string] yields True if all the characters in the string are uppercase letters, and yields"
}, {
  "label": "UpperLeftArrow",
  "type": "keyword",
  "info": "UpperLeftArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "UpperRightArrow",
  "type": "keyword",
  "info": "UpperRightArrow[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "UpperTriangularize",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "UpperTriangularMatrixQ",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "Upsample",
  "type": "keyword",
  "info": "Upsample[array, n] returns an upsampled version of the array by inserting n - 1 zeros between array "
}, {
  "label": "UpSet",
  "type": "keyword",
  "info": "lhs^=rhs assigns rhs to be the value of lhs, and associates the assignment with symbols that occur a"
}, {
  "label": "UpSetDelayed",
  "type": "keyword",
  "info": "lhs^:=rhs assigns rhs to be the delayed value of lhs, and associates the assignment with symbols tha"
}, {
  "label": "UpTee",
  "type": "keyword",
  "info": "UpTee[x, y] displays as x â¥ y."
}, {
  "label": "UpTeeArrow",
  "type": "keyword",
  "info": "UpTeeArrow[x, y, â¦] displays as x â¥ y â¥ â¦."
}, {
  "label": "UpTo",
  "type": "keyword",
  "info": "UpTo[n] is a symbolic specification that represents up to n objects or positions. If n objects or po"
}, {
  "label": "UpValues",
  "type": "keyword",
  "info": "UpValues[f] gives a list of transformation rules corresponding to all upvalues (values for g[â¦, f[â¦]"
}, {
  "label": "URL",
  "type": "keyword",
  "info": "URL[\"url\"] is a symbolic representation of a URL."
}, {
  "label": "URLBuild",
  "type": "keyword",
  "info": "URLBuild[\"path\", {param  ï¢ val , param  ï¢ val , â¦}] builds a URL with the specified path and query p"
}, {
  "label": "URLDecode",
  "type": "keyword",
  "info": "URLDecode[\"string\"] decodes a URL-style percent-encoded string."
}, {
  "label": "URLDispatcher",
  "type": "keyword",
  "info": "URLDispatcher[{patt  ï content , patt  ï content , â¦}] represents a dispatcher for deployed URLs tha"
}, {
  "label": "URLDownload",
  "type": "keyword",
  "info": "URLDownload[url] downloads the content of the specified URL to a local temporary file.URLDownload[{u"
}, {
  "label": "URLDownloadSubmit",
  "type": "keyword",
  "info": "URLDownloadSubmit[url, file] submits the specified URL to be downloaded asynchronously to the file g"
}, {
  "label": "URLEncode",
  "type": "keyword",
  "info": "URLEncode[\"string\"] converts \"string\" into a URL-style, percent-encoded ASCII string. "
}, {
  "label": "URLExecute",
  "type": "keyword",
  "info": "URLExecute[url] executes the specified URL, importing whatever result is generated.URLExecute[url, {"
}, {
  "label": "URLExpand",
  "type": "keyword",
  "info": "URLExpand[\"url\"] expands a shortened \"url\"."
}, {
  "label": "URLFetch",
  "type": "keyword",
  "info": "URLFetch[url] returns the contents of a URL as a string.URLFetch[url, elements] returns the specifie"
}, {
  "label": "URLFetchAsynchronous",
  "type": "keyword",
  "info": "URLFetchAsynchronous[url, func] performs a connection in the background, calling func when an event "
}, {
  "label": "URLParse",
  "type": "keyword",
  "info": "URLParse[\"url\"] takes a well-formed URL and gives an association whose values correspond to the comp"
}, {
  "label": "URLQueryDecode",
  "type": "keyword",
  "info": "URLQueryDecode[\"string\"] decodes a URL-style query string into a list of key-value rules. "
}, {
  "label": "URLQueryEncode",
  "type": "keyword",
  "info": "URLQueryEncode[ï key  ï¢ val , key  ï¢ val , â¦ ï] creates a URL-style query string from an association"
}, {
  "label": "URLRead",
  "type": "keyword",
  "info": "URLRead[url] sends a request to a URL and reads back the response, returning it as a response object"
}, {
  "label": "URLResponseTime",
  "type": "keyword",
  "info": "URLResponseTime[url] gives the total number of seconds to request one byte from the specified URL.UR"
}, {
  "label": "URLSave",
  "type": "keyword",
  "info": "URLSave[\"url\"] saves the content of the URL to a file in $TemporaryDirectory.URLSave[\"url\", \"file\"] "
}, {
  "label": "URLSaveAsynchronous",
  "type": "keyword",
  "info": "URLSaveAsynchronous[\"url\", \"file\", func] performs a download to \"file\" in the background, calling fu"
}, {
  "label": "URLShorten",
  "type": "keyword",
  "info": "URLShorten[\"url\"] creates a shortened URL that redirects to \"url\".URLShorten[CloudObject[â¦]] creates"
}, {
  "label": "URLSubmit",
  "type": "keyword",
  "info": "URLSubmit[url] submits the specified URL to be executed asynchronously.URLSubmit[url, {param  ï¢ val "
}, {
  "label": "UseEmbeddedLibrary",
  "type": "keyword",
  "info": "UseEmbeddedLibrary is an option of FunctionCompile that embeds a shared library in a CompiledCodeFun"
}, {
  "label": "UseGraphicsRange",
  "type": "keyword",
  "info": "System`UseGraphicsRange"
}, {
  "label": "UserDefinedWavelet",
  "type": "keyword",
  "info": "System`UserDefinedWavelet"
}, {
  "label": "Using",
  "type": "keyword",
  "info": "Using is an option to Roots that specifies any subsidiary equations that are to be used."
}, {
  "label": "UsingFrontEnd",
  "type": "keyword",
  "info": "UsingFrontEnd[expr] evaluates expr, making use of a front end if necessary."
}, {
  "label": "UtilityFunction",
  "type": "keyword",
  "info": "UtilityFunction is an option for Predict, Classify, and related functions that specifies the utility"
}, {
  "label": "V2Get",
  "type": "keyword",
  "info": "V2Get[name] reads in a file written by the V2.x versions."
}, {
  "label": "ValenceErrorHandling",
  "type": "keyword",
  "info": "ValenceErrorHandling is an option for MoleculeModify that specifies whether molecule valences should"
}, {
  "label": "ValenceFilling",
  "type": "keyword",
  "info": "ValenceFilling is an option for Molecule that specifies whether to fill open valences with hydrogen "
}, {
  "label": "ValidationLength",
  "type": "keyword",
  "info": "ValidationLength is an option to FindSequenceFunction and related functions that specifies the numbe"
}, {
  "label": "ValidationSet",
  "type": "keyword",
  "info": "ValidationSet is an option for Predict, Classify, NetTrain, and related functions that specifies the"
}, {
  "label": "Value",
  "type": "keyword",
  "info": "System`Value"
}, {
  "label": "ValueBox",
  "type": "keyword",
  "info": "System`ValueBox"
}, {
  "label": "ValueBoxOptions",
  "type": "keyword",
  "info": "ValueBoxOptions ï¢ {opt  ï¢ val , opt  ï¢ val , â¦} is an option that specifies settings for ValueBox ob"
}, {
  "label": "ValueDimensions",
  "type": "keyword",
  "info": "ValueDimensions is an option to TemporalData, TimeSeries, and EventSeries that specifies the dimensi"
}, {
  "label": "ValueForm",
  "type": "keyword",
  "info": "ValueForm is an internal symbol."
}, {
  "label": "ValuePreprocessingFunction",
  "type": "keyword",
  "info": "ValuePreprocessingFunction is an option for functions such as PersistentSymbol and InitializationVal"
}, {
  "label": "ValueQ",
  "type": "keyword",
  "info": "ValueQ[expr] gives True if a value has been defined for expr, and gives False otherwise. "
}, {
  "label": "Values",
  "type": "keyword",
  "info": "Values[ï key  ï¢ val , key  ï¢ val , â¦ ï] gives a list of the values val  in an association.Values[{ke"
}, {
  "label": "ValuesData",
  "type": "keyword",
  "info": "System`ValuesData"
}, {
  "label": "Variables",
  "type": "keyword",
  "info": "Variables[poly] gives a list of all independent variables in a polynomial. "
}, {
  "label": "Variance",
  "type": "keyword",
  "info": "Variance[list] gives the sample variance of the elements in list. Variance[dist] gives the variance "
}, {
  "label": "VarianceEquivalenceTest",
  "type": "keyword",
  "info": "VarianceEquivalenceTest[{data , data , â¦}] tests whether the variances of the data  are equal. Varia"
}, {
  "label": "VarianceEstimatorFunction",
  "type": "keyword",
  "info": "VarianceEstimatorFunction is an option for LinearModelFit and NonlinearModelFit which specifies the "
}, {
  "label": "VarianceGammaDistribution",
  "type": "keyword",
  "info": "VarianceGammaDistribution[Î», Î\\[PlusMinus], Î\.b2, Î¼] represents a varianceâgamma distribution with location paramet"
}, {
  "label": "VarianceGammaPointProcess",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "VarianceTest",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "VariogramFunction",
  "type": "keyword",
  "info": "VariogramFunction is an option to SpatialEstimate that specifies the local variation model to use. "
}, {
  "label": "VariogramModel",
  "type": "keyword",
  "info": "VariogramModel[\"model\", {params}] represents the function for the variogram model specified by \"mode"
}, {
  "label": "VectorAngle",
  "type": "keyword",
  "info": "VectorAngle[u, v] gives the angle between the vectors u and v."
}, {
  "label": "VectorAround",
  "type": "keyword",
  "info": "VectorAround[{x , x , â¦}, {Î\.b4 , Î\.b4 , â¦}] represents a vector of uncorrelated approximate numbers or qu"
}, {
  "label": "VectorAspectRatio",
  "type": "keyword",
  "info": "VectorAspectRatio is an option setting for VectorPlot and related functions that determines the rela"
}, {
  "label": "VectorColorFunction",
  "type": "keyword",
  "info": "VectorColorFunction is an option for VectorPlot and related functions that specifies a function to a"
}, {
  "label": "VectorColorFunctionScaling",
  "type": "keyword",
  "info": "VectorColorFunctionScaling is an option for graphics functions which specifies whether arguments sup"
}, {
  "label": "VectorDensityPlot",
  "type": "keyword",
  "info": "VectorDensityPlot[{{v , v }, s}, {x, x   , x   }, {y, y   , y   }] generates a vector plot of the ve"
}, {
  "label": "VectorDisplacementPlot",
  "type": "keyword",
  "info": "VectorDisplacementPlot[{v , v }, {x, x   , x   }, {y, y   , y   }] generates a displacement plot for"
}, {
  "label": "VectorDisplacementPlot3D",
  "type": "keyword",
  "info": "VectorDisplacementPlot3D[{v , v , v }, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] generates "
}, {
  "label": "VectorGlyphData",
  "type": "keyword",
  "info": "System`VectorGlyphData"
}, {
  "label": "VectorGreater",
  "type": "keyword",
  "info": "x ï\.b4 y or VectorGreater[{x, y}] yields True for vectors of length n if x  > y  for all components 1 â¤"
}, {
  "label": "VectorGreaterEqual",
  "type": "keyword",
  "info": "x ï\\[Micro] y or VectorGreaterEqual[{x, y}] yields True for vectors of length n if x  â¥ y  for all component"
}, {
  "label": "VectorLess",
  "type": "keyword",
  "info": "x ï\\[Paragraph] y or VectorLess[{x, y}] yields True for vectors of length n if x  < y  for all components 1 â¤ i "
}, {
  "label": "VectorLessEqual",
  "type": "keyword",
  "info": "x ï\\[CenterDot] y or VectorLessEqual[{x, y}] yields True for vectors of length n if x  â¤ y  for all components 1"
}, {
  "label": "VectorMarkers",
  "type": "keyword",
  "info": "VectorMarkers is an option for graphics functions like VectorPlot, ListVectorPlot and related functi"
}, {
  "label": "VectorPlot",
  "type": "keyword",
  "info": "VectorPlot[{v , v }, {x, x   , x   }, {y, y   , y   }] generates a vector plot of the vector field {"
}, {
  "label": "VectorPlot3D",
  "type": "keyword",
  "info": "VectorPlot3D[{v , v , v }, {x, x   , x   }, {y, y   , y   }, {z, z   , z   }] generates a 3D vector "
}, {
  "label": "VectorPoints",
  "type": "keyword",
  "info": "VectorPoints is an option to VectorPlot, ListVectorPlot, and related functions that determines where"
}, {
  "label": "VectorQ",
  "type": "keyword",
  "info": "VectorQ[expr] gives True if expr is a list or a oneâdimensional SparseArray object, none of whose el"
}, {
  "label": "VectorRange",
  "type": "keyword",
  "info": "VectorRange is an option for VectorPlot and related functions that specifies the range of vector mag"
}, {
  "label": "Vectors",
  "type": "keyword",
  "info": "Vectors[d] represents the domain of vectors of dimension d.Vectors[d, dom] represents the domain of "
}, {
  "label": "VectorScale",
  "type": "keyword",
  "info": "VectorScale is an option to VectorPlot, ListVectorPlot, and related functions that determines the le"
}, {
  "label": "VectorScaling",
  "type": "keyword",
  "info": "VectorScaling is an option for VectorPlot and related functions that determines how the magnitudes o"
}, {
  "label": "VectorSizes",
  "type": "keyword",
  "info": "VectorSizes is an option for VectorPlot and related functions that specifies the range of sizes used"
}, {
  "label": "VectorStyle",
  "type": "keyword",
  "info": "VectorStyle is an option to VectorPlot, ListVectorPlot, and related functions that determines the st"
}, {
  "label": "Vee",
  "type": "keyword",
  "info": "Vee[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Verbatim",
  "type": "keyword",
  "info": "Verbatim[expr] represents expr in pattern matching, requiring that expr be matched exactly as it app"
}, {
  "label": "Verbose",
  "type": "keyword",
  "info": "System`Verbose"
}, {
  "label": "VerboseConvertToPostScriptPacket",
  "type": "keyword",
  "info": "System`VerboseConvertToPostScriptPacket"
}, {
  "label": "VerificationTest",
  "type": "keyword",
  "info": "VerificationTest[input] runs a verification test to determine whether input evaluates to True, witho"
}, {
  "label": "VerifyConvergence",
  "type": "keyword",
  "info": "VerifyConvergence is an option to Sum, NSum, and similar functions that specifies whether convergenc"
}, {
  "label": "VerifyDerivedKey",
  "type": "keyword",
  "info": "VerifyDerivedKey[key, password] verifies that password matches the password used to generate the der"
}, {
  "label": "VerifyDigitalSignature",
  "type": "keyword",
  "info": "VerifyDigitalSignature[{expr, sig}, key] verifies the digital signature sig for expr using the speci"
}, {
  "label": "VerifyFileSignature",
  "type": "keyword",
  "info": "VerifyFileSignature[{\"file\", sig}, key] verifies the digital signature sig for file using the specif"
}, {
  "label": "VerifyInterpretation",
  "type": "keyword",
  "info": "VerifyInterpretation is an option for TextCases, TextPosition and TextContents that verifies that re"
}, {
  "label": "VerifySecurityCertificates",
  "type": "keyword",
  "info": "VerifySecurityCertificates is an option for URLRead and related functions that specifies whether to "
}, {
  "label": "VerifySolutions",
  "type": "keyword",
  "info": "VerifySolutions is an option to Solve and related functions that controls whether to verify solution"
}, {
  "label": "VerifyTestAssumptions",
  "type": "keyword",
  "info": "VerifyTestAssumptions is an option to LocationTest and similar functions that controls which assumpt"
}, {
  "label": "Version",
  "type": "keyword",
  "info": "System`Version"
}, {
  "label": "VersionedPreferences",
  "type": "keyword",
  "info": "VersionedPreferences is a global front end option that specifies whether settings on $FrontEnd shoul"
}, {
  "label": "VersionNumber",
  "type": "keyword",
  "info": "System`VersionNumber"
}, {
  "label": "VertexAdd",
  "type": "keyword",
  "info": "VertexAdd[g, v] makes a graph by adding the vertex v to the graph g.VertexAdd[g, {v , v , â¦}] adds a"
}, {
  "label": "VertexCapacity",
  "type": "keyword",
  "info": "VertexCapacity is an option and annotation for Graph and related functions that specifies a vertex c"
}, {
  "label": "VertexChromaticNumber",
  "type": "keyword",
  "info": "VertexChromaticNumber[g] gives the chromatic number for the vertices of the graph g."
}, {
  "label": "VertexColors",
  "type": "keyword",
  "info": "VertexColors is an option for graphics primitives which specifies the colors to assign to vertices."
}, {
  "label": "VertexComponent",
  "type": "keyword",
  "info": "VertexComponent[g, {v , v , â¦}] gives the vertices in the graph g that have a path to at least one o"
}, {
  "label": "VertexConnectivity",
  "type": "keyword",
  "info": "VertexConnectivity[g] gives the vertex connectivity of the graph g.VertexConnectivity[g, s, t] gives"
}, {
  "label": "VertexContract",
  "type": "keyword",
  "info": "VertexContract[g, {v , v , â¦}] contracts a collection of vertices v , v , â¦ into a single vertex of "
}, {
  "label": "VertexCoordinateRules",
  "type": "keyword",
  "info": "VertexCoordinateRules is an option for GraphPlot and related functions which specifies rules for det"
}, {
  "label": "VertexCoordinates",
  "type": "keyword",
  "info": "VertexCoordinates is an option to Graph and related functions that specifies the coordinates to use "
}, {
  "label": "VertexCorrelationSimilarity",
  "type": "keyword",
  "info": "VertexCorrelationSimilarity[g, u, v] gives the correlation similarity between vertices u and v of th"
}, {
  "label": "VertexCosineSimilarity",
  "type": "keyword",
  "info": "VertexCosineSimilarity[g, u, v] gives the cosine similarity between vertices u and v of the graph g."
}, {
  "label": "VertexCount",
  "type": "keyword",
  "info": "VertexCount[g] gives a count of the number of vertices in the graph g.VertexCount[g, patt] gives a c"
}, {
  "label": "VertexCoverQ",
  "type": "keyword",
  "info": "VertexCoverQ[g, vlist] yields True if the vertex list vlist is a vertex cover of the graph g, and Fa"
}, {
  "label": "VertexDataCoordinates",
  "type": "keyword",
  "info": "VertexDataCoordinates is an option to Raster3D that determines how to map data to the displayed rang"
}, {
  "label": "VertexDegree",
  "type": "keyword",
  "info": "VertexDegree[g] gives the list of vertex degrees for all vertices in the graph g.VertexDegree[g, v] "
}, {
  "label": "VertexDelete",
  "type": "keyword",
  "info": "VertexDelete[g, v] makes a graph by deleting the vertex Î½ and all edges connected to v from the grap"
}, {
  "label": "VertexDiceSimilarity",
  "type": "keyword",
  "info": "VertexDiceSimilarity[g, u, v] gives the Dice similarity between vertices u and v of the graph g.Vert"
}, {
  "label": "VertexEccentricity",
  "type": "keyword",
  "info": "VertexEccentricity[g, s] gives the length of the longest shortest path from the source s to every ot"
}, {
  "label": "VertexInComponent",
  "type": "keyword",
  "info": "VertexInComponent[g, {v , v , â¦}] gives the vertices in the graph g that have a directed path to at "
}, {
  "label": "VertexInComponentGraph",
  "type": "keyword",
  "info": "VertexInComponentGraph[g, {v , v , â¦}] gives the subgraph of the graph g generated by the vertices t"
}, {
  "label": "VertexInDegree",
  "type": "keyword",
  "info": "VertexInDegree[g] gives the list of vertex in-degrees for all vertices in the graph g.VertexInDegree"
}, {
  "label": "VertexIndex",
  "type": "keyword",
  "info": "VertexIndex[g, v] gives the integer index for the vertex v in the graph g.VertexIndex[{v ï¢ w, â¦}, â¦]"
}, {
  "label": "VertexJaccardSimilarity",
  "type": "keyword",
  "info": "VertexJaccardSimilarity[g, u, v] gives the Jaccard similarity between vertices u and v of the graph "
}, {
  "label": "VertexLabeling",
  "type": "keyword",
  "info": "VertexLabeling is an option for GraphPlot and related functions which specifies whether labeling sho"
}, {
  "label": "VertexLabels",
  "type": "keyword",
  "info": "VertexLabels is an option and annotation for Graph and related functions that specifies what labels "
}, {
  "label": "VertexLabelStyle",
  "type": "keyword",
  "info": "VertexLabelStyle is an option and property for Graph and related functions that specifies the style "
}, {
  "label": "VertexList",
  "type": "keyword",
  "info": "VertexList[g] gives the list of vertices for the graph g.VertexList[g, patt] gives a list of vertice"
}, {
  "label": "VertexNormals",
  "type": "keyword",
  "info": "VertexNormals is an option for graphics primitives which specifies the normal directions to assign t"
}, {
  "label": "VertexOutComponent",
  "type": "keyword",
  "info": "VertexOutComponent[g, {v , v , â¦}] gives the vertices in the graph g that have a directed path from "
}, {
  "label": "VertexOutComponentGraph",
  "type": "keyword",
  "info": "VertexOutComponentGraph[g, {v , v , â¦}] gives the subgraph of the graph g generated by the vertices "
}, {
  "label": "VertexOutDegree",
  "type": "keyword",
  "info": "VertexOutDegree[g] gives the list of vertex out-degrees for all vertices in the graph g.VertexOutDeg"
}, {
  "label": "VertexQ",
  "type": "keyword",
  "info": "VertexQ[g, v] yields True if v is a vertex in the graph g and False otherwise."
}, {
  "label": "VertexRenderingFunction",
  "type": "keyword",
  "info": "VertexRenderingFunction is an option for GraphPlot and related functions that gives a function to ge"
}, {
  "label": "VertexReplace",
  "type": "keyword",
  "info": "VertexReplace[g, {v  ï¢ w , v  ï¢ w , â¦}] replaces each vertex v  in the graph g by w .VertexReplace[{"
}, {
  "label": "VertexShape",
  "type": "keyword",
  "info": "VertexShape is an option and property for Graph and related functions that specifies the graphics us"
}, {
  "label": "VertexShapeFunction",
  "type": "keyword",
  "info": "VertexShapeFunction is an option and annotation for Graph and related functions that specifies a fun"
}, {
  "label": "VertexSize",
  "type": "keyword",
  "info": "VertexSize is an option and property for Graph and related functions that specifies the size used fo"
}, {
  "label": "VertexStyle",
  "type": "keyword",
  "info": "VertexStyle is an option and annotation for Graph and related functions that specifies what style to"
}, {
  "label": "VertexTextureCoordinates",
  "type": "keyword",
  "info": "VertexTextureCoordinates is an option for graphics primitives that specifies the texture coordinates"
}, {
  "label": "VertexTransitiveGraphQ",
  "type": "keyword",
  "info": "VertexTransitiveGraphQ[g] yields True if the graph g is a vertexâtransitive graph and False otherwis"
}, {
  "label": "VertexWeight",
  "type": "keyword",
  "info": "VertexWeight is an option and annotation for Graph and related functions that specifies a vertex wei"
}, {
  "label": "VertexWeightedGraphQ",
  "type": "keyword",
  "info": "VertexWeightedGraphQ[g] yields True if the graph g is a vertex-weighted graph, and False otherwise."
}, {
  "label": "Vertical",
  "type": "keyword",
  "info": "System`Vertical"
}, {
  "label": "VerticalBar",
  "type": "keyword",
  "info": "VerticalBar[x, y, â¦] displays as x ï y ï â¦."
}, {
  "label": "VerticalForm",
  "type": "keyword",
  "info": "VerticalForm is an internal symbol used for formatting and printing."
}, {
  "label": "VerticalGauge",
  "type": "keyword",
  "info": "VerticalGauge[value] draws a linear gauge showing value in a range of 0 to 1.VerticalGauge[value, {m"
}, {
  "label": "VerticalSeparator",
  "type": "keyword",
  "info": "VerticalSeparator[x, y, â¦] displays as x ï\.b2 y ï\.b2 â¦."
}, {
  "label": "VerticalSlider",
  "type": "keyword",
  "info": "VerticalSlider[y] represents a vertical slider at position y with range 0 to 1. VerticalSlider[Dynam"
}, {
  "label": "VerticalTilde",
  "type": "keyword",
  "info": "VerticalTilde[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Video",
  "type": "keyword",
  "info": "Video[file] represents video stored in the given file.Video[url] represents video stored in the give"
}, {
  "label": "VideoCombine",
  "type": "keyword",
  "info": "VideoCombine[{obj , obj , â¦}] creates a multi-track video by combining all tracks of Video or Audio "
}, {
  "label": "VideoDelete",
  "type": "keyword",
  "info": "VideoDelete[video, t] deletes the first t seconds of video.VideoDelete[video, -t] deletes the last t"
}, {
  "label": "VideoEncoding",
  "type": "keyword",
  "info": "VideoEncoding is an option for Export and other functions that specifies the video encoding to use w"
}, {
  "label": "VideoExtractFrames",
  "type": "keyword",
  "info": "VideoExtractFrames[video, t] extracts a frame at time t from video.VideoExtractFrames[video, tspec] "
}, {
  "label": "VideoFrameList",
  "type": "keyword",
  "info": "VideoFrameList[video, n] gives a list of n images extracted from video.VideoFrameList[video, spec] g"
}, {
  "label": "VideoFrameMap",
  "type": "keyword",
  "info": "VideoFrameMap[f, video] applies f to each frame of the Video object video, returning a new Video obj"
}, {
  "label": "VideoGenerator",
  "type": "keyword",
  "info": "VideoGenerator[model] generates one second of video of a given model.VideoGenerator[model, dur] gene"
}, {
  "label": "VideoInsert",
  "type": "keyword",
  "info": "VideoInsert[video, t ï¢ new] inserts the video new at time t.VideoInsert[video, {t , t , â¦} ï¢ new] in"
}, {
  "label": "VideoIntervals",
  "type": "keyword",
  "info": "VideoIntervals[video, crit] returns time intervals of video for which the criterion crit is satisfie"
}, {
  "label": "VideoJoin",
  "type": "keyword",
  "info": "VideoJoin[video , video , â¦] concatenates all video  and returns a video object.\n               1   "
}, {
  "label": "VideoMap",
  "type": "keyword",
  "info": "VideoMap[f, video] applies f to partial video and audio data corresponding to one frame of video, re"
}, {
  "label": "VideoMapList",
  "type": "keyword",
  "info": "VideoMapList[f, video] applies f to a chunk of data corresponding to one frame from the Video object"
}, {
  "label": "VideoMapTimeSeries",
  "type": "keyword",
  "info": "VideoMapTimeSeries[f, video] applies f to each frame of the Video object video, returning a time ser"
}, {
  "label": "VideoPause",
  "type": "keyword",
  "info": "VideoPause[] pauses the playback of all VideoStream objects.VideoPause[vstream] pauses the playback "
}, {
  "label": "VideoPlay",
  "type": "keyword",
  "info": "VideoPlay[video] returns a new VideoStream object from video and starts the playback.VideoPlay[vstre"
}, {
  "label": "VideoQ",
  "type": "keyword",
  "info": "VideoQ[video] yields True if video has the form of a valid Video object, and False otherwise."
}, {
  "label": "VideoRecord",
  "type": "keyword",
  "info": "VideoRecord[source] creates a VideoStream object and records from source.VideoRecord[vstream] starts"
}, {
  "label": "VideoReplace",
  "type": "keyword",
  "info": "VideoReplace[video, {t , t } ï¢ new] replaces the video between t  and t  with the new video new.Vide"
}, {
  "label": "VideoSplit",
  "type": "keyword",
  "info": "VideoSplit[video, t] splits video at time t.VideoSplit[video, {t , t , â¦}] splits video at times t ."
}, {
  "label": "VideoStop",
  "type": "keyword",
  "info": "VideoStop[] stops the playback of all VideoStream objects.VideoStop[vstream] stops the playback of t"
}, {
  "label": "VideoStream",
  "type": "keyword",
  "info": "VideoStream[source] creates a new VideoStream object from source.VideoStream[id] is an object that r"
}, {
  "label": "VideoStreams",
  "type": "keyword",
  "info": "VideoStreams[] returns all existing video streams."
}, {
  "label": "VideoTimeStretch",
  "type": "keyword",
  "info": "VideoTimeStretch[video, spec] applies time stretching to video using the specified spec."
}, {
  "label": "VideoTrackSelection",
  "type": "keyword",
  "info": "VideoTrackSelection is an option that specifies the video tracks of interest."
}, {
  "label": "VideoTranscode",
  "type": "keyword",
  "info": "VideoTranscode[video, \"format\"] converts video to the specified format.VideoTranscode[video, service"
}, {
  "label": "VideoTrim",
  "type": "keyword",
  "info": "VideoTrim[video, t] returns the first t seconds of video.VideoTrim[video, -t] returns the last t sec"
}, {
  "label": "ViewAngle",
  "type": "keyword",
  "info": "ViewAngle is an option for Graphics3D and related functions that gives the opening angle for a simul"
}, {
  "label": "ViewCenter",
  "type": "keyword",
  "info": "ViewCenter is an option for Graphics3D and related functions which gives the scaled coordinates of t"
}, {
  "label": "ViewMatrix",
  "type": "keyword",
  "info": "ViewMatrix is an option for Graphics3D and related functions that can be used to specify a pair of e"
}, {
  "label": "ViewPoint",
  "type": "keyword",
  "info": "ViewPoint is an option for Graphics3D and related functions which gives the point in space from whic"
}, {
  "label": "ViewPointSelectorSettings",
  "type": "keyword",
  "info": "System`ViewPointSelectorSettings"
}, {
  "label": "ViewPort",
  "type": "keyword",
  "info": "System`ViewPort"
}, {
  "label": "ViewProjection",
  "type": "keyword",
  "info": "ViewProjection is an option for three-dimensional graphics that specifies the projection to use for "
}, {
  "label": "ViewRange",
  "type": "keyword",
  "info": "ViewRange is an option for Graphics3D and related functions which specifies the range of distances f"
}, {
  "label": "ViewVector",
  "type": "keyword",
  "info": "ViewVector is an option for Graphics3D and related functions which specifies the position and direct"
}, {
  "label": "ViewVertical",
  "type": "keyword",
  "info": "ViewVertical is an option for Graphics3D and related functions which specifies what direction in sca"
}, {
  "label": "VirtualGroupData",
  "type": "keyword",
  "info": "System`VirtualGroupData"
}, {
  "label": "Visible",
  "type": "keyword",
  "info": "Visible is a notebook option which specifies whether the notebook should be explicitly displayed on "
}, {
  "label": "VisibleCell",
  "type": "keyword",
  "info": "System`VisibleCell"
}, {
  "label": "VoiceStyleData",
  "type": "keyword",
  "info": "VoiceStyleData[] gives the list of available voices for speech synthesis.VoiceStyleData[voice] retur"
}, {
  "label": "VoigtDistribution",
  "type": "keyword",
  "info": "VoigtDistribution[Î\.b4, Ï] represents Voigt distribution with parameters Î\.b4 and Ï."
}, {
  "label": "VolcanoData",
  "type": "keyword",
  "info": "VolcanoData[entity, property] gives the value of the specified property for the volcano entity.Volca"
}, {
  "label": "Volume",
  "type": "keyword",
  "info": "Volume[reg] gives the volume of the three-dimensional region reg.Volume[{x , â¦, x }, {s, s   , s   }"
}, {
  "label": "VonMisesDistribution",
  "type": "keyword",
  "info": "VonMisesDistribution[Î¼, Îº] represents a von Mises distribution with mean Î¼ and concentration Îº."
}, {
  "label": "VoronoiMesh",
  "type": "keyword",
  "info": "VoronoiMesh[{p , â¦, p }] gives a MeshRegion representing the Voronoi mesh from the points p , p , â¦."
}, {
  "label": "WaitAll",
  "type": "keyword",
  "info": "WaitAll[expr] waits for all concurrent evaluations represented by EvaluationObject expressions in ex"
}, {
  "label": "WaitAsynchronousTask",
  "type": "keyword",
  "info": "WaitAsynchronousTask[task] waits for task to complete."
}, {
  "label": "WaitNext",
  "type": "keyword",
  "info": "WaitNext[{eid , eid , â¦}] waits until the first evaluation represented by any of the eid  finishes, "
}, {
  "label": "WaitUntil",
  "type": "keyword",
  "info": "System`WaitUntil"
}, {
  "label": "WakebyDistribution",
  "type": "keyword",
  "info": "WakebyDistribution[Î\\[PlusMinus], Î\.b2, Î\.b3, Î\.b4, Î¼] represents Wakeby distribution with shape parameters Î\.b2 and Î\.b4, scal"
}, {
  "label": "WalleniusHypergeometricDistribution",
  "type": "keyword",
  "info": "WalleniusHypergeometricDistribution[n, n    , n   , w] represents a Wallenius noncentral hypergeomet"
}, {
  "label": "WaringYuleDistribution",
  "type": "keyword",
  "info": "WaringYuleDistribution[Î\\[PlusMinus]] represents the Yule distribution with shape parameter Î\\[PlusMinus].WaringYuleDistribu"
}, {
  "label": "WarpingCorrespondence",
  "type": "keyword",
  "info": "WarpingCorrespondence[s , s ] gives the time warping (DTW) similarity path between sequences s  and "
}, {
  "label": "WarpingDistance",
  "type": "keyword",
  "info": "WarpingDistance[s , s ] gives the dynamic time warping (DTW) distance between sequences s  and s .Wa"
}, {
  "label": "WatershedComponents",
  "type": "keyword",
  "info": "WatershedComponents[image] computes the watershed transform of image, returning the result as an arr"
}, {
  "label": "WatsonUSquareTest",
  "type": "keyword",
  "info": "                                                                                     2              "
}, {
  "label": "WattsStrogatzGraphDistribution",
  "type": "keyword",
  "info": "WattsStrogatzGraphDistribution[n, p] represents the WattsâStrogatz graph distribution for n-vertex g"
}, {
  "label": "WaveletBestBasis",
  "type": "keyword",
  "info": "WaveletBestBasis[dwd] computes a best basis representation in the DiscreteWaveletData object dwd.Wav"
}, {
  "label": "WaveletFilterCoefficients",
  "type": "keyword",
  "info": "WaveletFilterCoefficients[wave, filt] gives the filter coefficients for the symbolic wavelet wave of"
}, {
  "label": "WaveletImagePlot",
  "type": "keyword",
  "info": "WaveletImagePlot[dwd] plots the basis tree of wavelet image coefficients in the DiscreteWaveletData "
}, {
  "label": "WaveletListPlot",
  "type": "keyword",
  "info": "WaveletListPlot[dwd] plots wavelet transform coefficients in the DiscreteWaveletData dwd.WaveletList"
}, {
  "label": "WaveletMapIndexed",
  "type": "keyword",
  "info": "WaveletMapIndexed[f, wd] applies the function f to the arrays of coefficients and indices of a Conti"
}, {
  "label": "WaveletMatrixPlot",
  "type": "keyword",
  "info": "WaveletMatrixPlot[dwd] plots the basis tree of wavelet matrix coefficients in the DiscreteWaveletDat"
}, {
  "label": "WaveletPhi",
  "type": "keyword",
  "info": "WaveletPhi[wave, x] gives the scaling function Ï(x) for the symbolic wavelet wave evaluated at x.Wav"
}, {
  "label": "WaveletPsi",
  "type": "keyword",
  "info": "WaveletPsi[wave, x] gives the wavelet function Ï(x) for the symbolic wavelet wave evaluated at x.Wav"
}, {
  "label": "WaveletScale",
  "type": "keyword",
  "info": "WaveletScale is an option for ContinuousWaveletTransform and related constructs used to specify the "
}, {
  "label": "WaveletScalogram",
  "type": "keyword",
  "info": "WaveletScalogram[wd] plots wavelet vector coefficients in a DiscreteWaveletData or ContinuousWavelet"
}, {
  "label": "WaveletThreshold",
  "type": "keyword",
  "info": "WaveletThreshold[dwd] thresholds the detail wavelet coefficients in the DiscreteWaveletData object d"
}, {
  "label": "WavePDEComponent",
  "type": "keyword",
  "info": "                                                                2\n                                  "
}, {
  "label": "WeaklyConnectedComponents",
  "type": "keyword",
  "info": "WeaklyConnectedComponents[g] gives the weakly connected components of the graph g.WeaklyConnectedCom"
}, {
  "label": "WeaklyConnectedGraphComponents",
  "type": "keyword",
  "info": "WeaklyConnectedGraphComponents[g] gives the weakly connected components of the graph g.WeaklyConnect"
}, {
  "label": "WeaklyConnectedGraphQ",
  "type": "keyword",
  "info": "WeaklyConnectedGraphQ[g] yields True if the graph g is weakly connected, and False otherwise."
}, {
  "label": "WeakStationarity",
  "type": "keyword",
  "info": "WeakStationarity[proc] gives conditions for the process proc to be weakly stationary. "
}, {
  "label": "WeatherData",
  "type": "keyword",
  "info": "WeatherData[loc, \"property\"] gives the most recent measurement for the specified weather property at"
}, {
  "label": "WeatherForecastData",
  "type": "keyword",
  "info": "WeatherForecastData[loc] gives the most recent forecast for all weather forecast properties for the "
}, {
  "label": "WebAudioSearch",
  "type": "keyword",
  "info": "WebAudioSearch[\"string\"] gives a dataset of the top web audio search results for the specified liter"
}, {
  "label": "WebColumn",
  "type": "keyword",
  "info": "WebColumn[{expr , expr , â¦}] represents an HTML column containing the expr .WebColumn[expr, options]"
}, {
  "label": "WebElementObject",
  "type": "keyword",
  "info": "WebElementObject[â¦] represents an element of an open webpage operated on by WebExecute."
}, {
  "label": "WeberE",
  "type": "keyword",
  "info": "                                                                                                 Î¼\nW"
}, {
  "label": "WebExecute",
  "type": "keyword",
  "info": "WebExecute[cmd] executes the command cmd in a web browser. WebExecute[{cmd , cmd , â¦}] executes a li"
}, {
  "label": "WebImage",
  "type": "keyword",
  "info": "WebImage[url] gives an image of the webpage specified by url.WebImage[list] gives images specified b"
}, {
  "label": "WebImageSearch",
  "type": "keyword",
  "info": "WebImageSearch[\"string\"] gives a list of thumbnails of the top web image search results for the spec"
}, {
  "label": "WebItem",
  "type": "keyword",
  "info": "WebItem[expr] represents an HTML element containing expr.WebItem[expr, options] represents an HTML e"
}, {
  "label": "WebPageMetaInformation",
  "type": "keyword",
  "info": "System`WebPageMetaInformation"
}, {
  "label": "WebRow",
  "type": "keyword",
  "info": "WebRow[{expr , expr , â¦}] represents an HTML column containing the expr .WebRow[expr, options] displ"
}, {
  "label": "WebSearch",
  "type": "keyword",
  "info": "WebSearch[\"string\"] gives a dataset of the top web search results for the specified literal string.W"
}, {
  "label": "WebSessionObject",
  "type": "keyword",
  "info": "WebSessionObject[â¦] represents a web browser session started by StartWebSession for use with WebExec"
}, {
  "label": "WebSessions",
  "type": "keyword",
  "info": "WebSessions[] gives the list of all active web sessions."
}, {
  "label": "WebWindowObject",
  "type": "keyword",
  "info": "WebWindowObject[â¦] represents an open window or tab in a web browser."
}, {
  "label": "Wedge",
  "type": "keyword",
  "info": "Wedge[x, y, â¦] displays as x â y â â¦."
}, {
  "label": "Wednesday",
  "type": "keyword",
  "info": "Wednesday is a day of the week."
}, {
  "label": "WeibullDistribution",
  "type": "keyword",
  "info": "WeibullDistribution[Î\\[PlusMinus], Î\.b2] represents a Weibull distribution with shape parameter Î\\[PlusMinus] and scale paramet"
}, {
  "label": "WeierstrassE1",
  "type": "keyword",
  "info": "WeierstrassE1[{g , g }] gives the value e  of the Weierstrass elliptic function â at the half-period"
}, {
  "label": "WeierstrassE2",
  "type": "keyword",
  "info": "WeierstrassE2[{g , g }] gives the value e  of the Weierstrass elliptic function â at the half-period"
}, {
  "label": "WeierstrassE3",
  "type": "keyword",
  "info": "WeierstrassE3[{g , g }] gives the value e  of the Weierstrass elliptic function â at the half-period"
}, {
  "label": "WeierstrassEta1",
  "type": "keyword",
  "info": "WeierstrassEta1[{g , g }] gives the value Î\\[CenterDot]  of the Weierstrass zeta function Î\\[Paragraph] at the half-period Ï"
}, {
  "label": "WeierstrassEta2",
  "type": "keyword",
  "info": "WeierstrassEta2[{g , g }] gives the value Î\\[CenterDot]  of the Weierstrass zeta function Î\\[Paragraph] at the half-period Ï"
}, {
  "label": "WeierstrassEta3",
  "type": "keyword",
  "info": "WeierstrassEta3[{g , g }] gives the value Î\\[CenterDot]  of the Weierstrass zeta function Î\\[Paragraph] at the half-period Ï"
}, {
  "label": "WeierstrassHalfPeriods",
  "type": "keyword",
  "info": "WeierstrassHalfPeriods[{g , g }] gives the halfâperiods {Ï , Ï } for Weierstrass elliptic functions "
}, {
  "label": "WeierstrassHalfPeriodW1",
  "type": "keyword",
  "info": "WeierstrassHalfPeriodW1[{g , g }] gives the half-period Ï  for Weierstrass elliptic functions corres"
}, {
  "label": "WeierstrassHalfPeriodW2",
  "type": "keyword",
  "info": "WeierstrassHalfPeriodW2[{g , g }] gives the half-period Ï  for the Weierstrass elliptic functions co"
}, {
  "label": "WeierstrassHalfPeriodW3",
  "type": "keyword",
  "info": "WeierstrassHalfPeriodW3[{g , g }] gives the half-period Ï  for the Weierstrass elliptic functions co"
}, {
  "label": "WeierstrassInvariantG2",
  "type": "keyword",
  "info": "                            â\.b2                                                                       "
}, {
  "label": "WeierstrassInvariantG3",
  "type": "keyword",
  "info": "                            â\.b2                                                                       "
}, {
  "label": "WeierstrassInvariants",
  "type": "keyword",
  "info": "WeierstrassInvariants[{Ï , Ï }] gives the invariants {g , g } for Weierstrass elliptic functions cor"
}, {
  "label": "WeierstrassP",
  "type": "keyword",
  "info": "WeierstrassP[u, {g , g }] gives the Weierstrass elliptic function â(u ; g , g ). \n                  "
}, {
  "label": "WeierstrassPPrime",
  "type": "keyword",
  "info": "WeierstrassPPrime[u, {g , g }] gives the derivative of the Weierstrass elliptic function â(u ; g , g"
}, {
  "label": "WeierstrassSigma",
  "type": "keyword",
  "info": "WeierstrassSigma[u, {g , g }] gives the Weierstrass sigma function Ï(u ; g , g ). \n                 "
}, {
  "label": "WeierstrassZeta",
  "type": "keyword",
  "info": "WeierstrassZeta[u, {g , g }] gives the Weierstrass zeta function Î\\[Paragraph](u ; g , g ). \n                   "
}, {
  "label": "WeightedAdjacencyGraph",
  "type": "keyword",
  "info": "WeightedAdjacencyGraph[wmat] gives the graph with weighted adjacency matrix wmat.WeightedAdjacencyGr"
}, {
  "label": "WeightedAdjacencyMatrix",
  "type": "keyword",
  "info": "WeightedAdjacencyMatrix[g] gives the adjacency matrix of edge weights of the graph g.WeightedAdjacen"
}, {
  "label": "WeightedData",
  "type": "keyword",
  "info": "WeightedData[{x , x , â¦}, {w , w , â¦}] represents observations x  with weights w .WeightedData[{x , "
}, {
  "label": "WeightedGraphQ",
  "type": "keyword",
  "info": "WeightedGraphQ[g] yields True if the graph g is a weighted graph and False otherwise."
}, {
  "label": "Weights",
  "type": "keyword",
  "info": "Weights is an option for various fitting and other functions which specifies weights to associate wi"
}, {
  "label": "WelchWindow",
  "type": "keyword",
  "info": "WelchWindow[x] represents a Welch window function of x.WelchWindow[x, Î\\[PlusMinus]] uses the parameter Î\\[PlusMinus].\n"
}, {
  "label": "WheelGraph",
  "type": "keyword",
  "info": "WheelGraph[n] gives the wheel graph with n vertices W .\n                                            "
}, {
  "label": "WhenEvent",
  "type": "keyword",
  "info": "WhenEvent[event, action] specifies an action that occurs when the event triggers it for equations in"
}, {
  "label": "Which",
  "type": "keyword",
  "info": "Which[test , value , test , value , â¦] evaluates each of the test  in turn, returning the value of t"
}, {
  "label": "While",
  "type": "keyword",
  "info": "While[test, body] evaluates test, then body, repetitively, until test first fails to give True. "
}, {
  "label": "White",
  "type": "keyword",
  "info": "White represents the color white in graphics or style specifications. "
}, {
  "label": "WhiteNoiseProcess",
  "type": "keyword",
  "info": "WhiteNoiseProcess[] represents a Gaussian white noise process with mean 0 and standard deviation 1.W"
}, {
  "label": "WhitePoint",
  "type": "keyword",
  "info": "WhitePoint is an option for ColorConvert, ChromaticityPlot and other functions to specify the white "
}, {
  "label": "Whitespace",
  "type": "keyword",
  "info": "Whitespace represents a sequence of whitespace characters in StringExpression."
}, {
  "label": "WhitespaceCharacter",
  "type": "keyword",
  "info": "WhitespaceCharacter represents a single whitespace character in StringExpression."
}, {
  "label": "WhittakerM",
  "type": "keyword",
  "info": "WhittakerM[k, m, z] gives the Whittaker function M    (z). \n                                        "
}, {
  "label": "WhittakerW",
  "type": "keyword",
  "info": "WhittakerW[k, m, z] gives the Whittaker function W    (z). \n                                        "
}, {
  "label": "WholeCellGroupOpener",
  "type": "keyword",
  "info": "System`WholeCellGroupOpener"
}, {
  "label": "WienerFilter",
  "type": "keyword",
  "info": "WienerFilter[data, r] removes noise from data by applying a range-r Wiener filter.WienerFilter[data,"
}, {
  "label": "WienerProcess",
  "type": "keyword",
  "info": "WienerProcess[Î¼, Ï] represents a Wiener process with a drift Î¼ and volatility Ï.WienerProcess[] repr"
}, {
  "label": "WignerD",
  "type": "keyword",
  "info": "                                                           j                                        "
}, {
  "label": "WignerSemicircleDistribution",
  "type": "keyword",
  "info": "WignerSemicircleDistribution[r] represents a Wigner semicircle distribution with radius r centered a"
}, {
  "label": "WikidataData",
  "type": "keyword",
  "info": "WikidataData[item, property] gives the values of the specified property for the given item.WikidataD"
}, {
  "label": "WikidataSearch",
  "type": "keyword",
  "info": "WikidataSearch[\"keywords\"] returns a list of Wikidata items whose labels include the given keywords."
}, {
  "label": "WikipediaData",
  "type": "keyword",
  "info": "WikipediaData[article] gives the plain text of the specified Wikipedia article.WikipediaData[article"
}, {
  "label": "WikipediaSearch",
  "type": "keyword",
  "info": "WikipediaSearch[keywords] returns a list of Wikipedia articles whose titles include the given keywor"
}, {
  "label": "WilksW",
  "type": "keyword",
  "info": "WilksW[m , m ] gives Wilks's ï for the matrices m  and m .\n        1   2                            "
}, {
  "label": "WilksWTest",
  "type": "keyword",
  "info": "WilksWTest[m , m ] tests whether the matrices m  and m  are independent.WilksWTest[â¦, \"property\"] re"
}, {
  "label": "WindDirectionData",
  "type": "keyword",
  "info": "WindDirectionData[] gives the most recent measurement for wind direction near the current location.W"
}, {
  "label": "WindingCount",
  "type": "keyword",
  "info": "WindingCount[contour, p] gives the count of the number of times a closed curve winds around a point "
}, {
  "label": "WindingPolygon",
  "type": "keyword",
  "info": "WindingPolygon[{p , p , â¦, p }] gives a polygon representing all points for which the closed contour"
}, {
  "label": "WindowClickSelect",
  "type": "keyword",
  "info": "WindowClickSelect is a notebook option that specifies whether the window for the notebook should bec"
}, {
  "label": "WindowElements",
  "type": "keyword",
  "info": "WindowElements is a notebook option that specifies the elements to include in the window used to dis"
}, {
  "label": "WindowFloating",
  "type": "keyword",
  "info": "WindowFloating is a notebook option that specifies whether the window for the notebook should float "
}, {
  "label": "WindowFrame",
  "type": "keyword",
  "info": "WindowFrame is a notebook option that specifies the type of frame to draw around the window in which"
}, {
  "label": "WindowFrameElements",
  "type": "keyword",
  "info": "WindowFrameElements is an option for notebooks that specifies the elements to include in the frame o"
}, {
  "label": "WindowMargins",
  "type": "keyword",
  "info": "WindowMargins is a notebook option that specifies what margins to leave around the window that is us"
}, {
  "label": "WindowMovable",
  "type": "keyword",
  "info": "WindowMovable is a notebook option that specifies whether to allow the window for the notebook to be"
}, {
  "label": "WindowOpacity",
  "type": "keyword",
  "info": "WindowOpacity is a notebook option that determines the overall opacity of a displayed window."
}, {
  "label": "WindowPersistentStyles",
  "type": "keyword",
  "info": "System`WindowPersistentStyles"
}, {
  "label": "WindowSelected",
  "type": "keyword",
  "info": "System`WindowSelected"
}, {
  "label": "WindowSize",
  "type": "keyword",
  "info": "WindowSize is a notebook option that specifies the size of window that should be used to display a n"
}, {
  "label": "WindowStatusArea",
  "type": "keyword",
  "info": "WindowStatusArea is a notebook option that specifies what should appear in the status area in the fr"
}, {
  "label": "WindowTitle",
  "type": "keyword",
  "info": "WindowTitle is an option that specifies the title to give for a window. "
}, {
  "label": "WindowToolbars",
  "type": "keyword",
  "info": "WindowToolbars is a notebook option that specifies the toolbars to include at the top of the window "
}, {
  "label": "WindowWidth",
  "type": "keyword",
  "info": "System`WindowWidth"
}, {
  "label": "WindSpeedData",
  "type": "keyword",
  "info": "WindSpeedData[] gives the most recent measurement for wind speed near the current location.WindSpeed"
}, {
  "label": "WindVectorData",
  "type": "keyword",
  "info": "WindVectorData[] gives the most recent weather station measurement for wind vector near the current "
}, {
  "label": "WinsorizedMean",
  "type": "keyword",
  "info": "WinsorizedMean[list, f] gives the mean of the elements in list after replacing the fraction f of the"
}, {
  "label": "WinsorizedVariance",
  "type": "keyword",
  "info": "WinsorizedVariance[list, f] gives the variance of the elements in list after replacing the fraction "
}, {
  "label": "WishartMatrixDistribution",
  "type": "keyword",
  "info": "WishartMatrixDistribution[Î½, Î£] represents a Wishart matrix distribution with Î½ degrees of freedom a"
}, {
  "label": "With",
  "type": "keyword",
  "info": "With[{x = x , y = y , â¦}, expr] specifies that all occurrences of the symbols x, y, â¦ in expr should"
}, {
  "label": "WithCleanup",
  "type": "keyword",
  "info": "WithCleanup[expr, cleanup] evaluates expr, running cleanup before returning the result, even if an a"
}, {
  "label": "WithLock",
  "type": "keyword",
  "info": "WithLock[File[\"path\"], expr] locks the file path, evaluates expr, then releases the file.WithLock[Lo"
}, {
  "label": "WolframAlpha",
  "type": "keyword",
  "info": "WolframAlpha[\"query\"] sends query to Wolfram|Alpha and imports the output.WolframAlpha[\"query\", form"
}, {
  "label": "WolframAlphaDate",
  "type": "keyword",
  "info": "System`WolframAlphaDate"
}, {
  "label": "WolframAlphaQuantity",
  "type": "keyword",
  "info": "System`WolframAlphaQuantity"
}, {
  "label": "WolframAlphaResult",
  "type": "keyword",
  "info": "System`WolframAlphaResult"
}, {
  "label": "WolframLanguageData",
  "type": "keyword",
  "info": "WolframLanguageData[entity, property] gives the value of the specified property for the Wolfram Lang"
}, {
  "label": "Word",
  "type": "keyword",
  "info": "Word represents a word in Read, Find, and related functions. "
}, {
  "label": "WordBoundary",
  "type": "keyword",
  "info": "WordBoundary represents a boundary between words for purposes of matching in StringExpression."
}, {
  "label": "WordCharacter",
  "type": "keyword",
  "info": "WordCharacter represents a letter or digit character in StringExpression."
}, {
  "label": "WordCloud",
  "type": "keyword",
  "info": "WordCloud[{s , s , â¦}] generates a word cloud graphic in which the s  are sized according to their m"
}, {
  "label": "WordCount",
  "type": "keyword",
  "info": "WordCount[\"string\"] gives the total number of words in string."
}, {
  "label": "WordCounts",
  "type": "keyword",
  "info": "WordCounts[\"string\"] gives an association whose keys are the distinct words identified in string, an"
}, {
  "label": "WordData",
  "type": "keyword",
  "info": "WordData[\"word\", \"property\"] gives the specified property for the English word \"word\".WordData[\"word"
}, {
  "label": "WordDefinition",
  "type": "keyword",
  "info": "WordDefinition[\"word\"] gives the dictionary definitions available for \"word\"."
}, {
  "label": "WordFrequency",
  "type": "keyword",
  "info": "WordFrequency[text, word] gives the frequency of word in text.WordFrequency[text, {word , word , â¦}]"
}, {
  "label": "WordFrequencyData",
  "type": "keyword",
  "info": "WordFrequencyData[word] gives the frequency of word in typical published English text.WordFrequencyD"
}, {
  "label": "WordList",
  "type": "keyword",
  "info": "WordList[] gives a list of common words.WordList[type] gives a list of words of the specified type.\n"
}, {
  "label": "WordOrientation",
  "type": "keyword",
  "info": "WordOrientation is an option for WordCloud that specifies the orientations in which words appear."
}, {
  "label": "WordSearch",
  "type": "keyword",
  "info": "WordSearch is an option for Find and FindList that specifies whether the text searched for must appe"
}, {
  "label": "WordSelectionFunction",
  "type": "keyword",
  "info": "WordSelectionFunction is an option for WordCloud and other functions that specifies which words to u"
}, {
  "label": "WordSeparators",
  "type": "keyword",
  "info": "WordSeparators is an option for Read, Find, and related functions that specifies the list of strings"
}, {
  "label": "WordSpacings",
  "type": "keyword",
  "info": "WordSpacings is an option for WordCloud that specifies the empty space to be added around each word."
}, {
  "label": "WordStem",
  "type": "keyword",
  "info": "WordStem[\"word\"] gives a stemmed form of word, removing plurals, inflections, etc."
}, {
  "label": "WordTranslation",
  "type": "keyword",
  "info": "WordTranslation[\"word\", lang] gives translations for word into the language lang.WordTranslation[\"wo"
}, {
  "label": "WorkingPrecision",
  "type": "keyword",
  "info": "WorkingPrecision is an option for various numerical operations that specifies how many digits of pre"
}, {
  "label": "WrapAround",
  "type": "keyword",
  "info": "WrapAround is an option for NotebookFind that specifies whether the find operation should continue p"
}, {
  "label": "Write",
  "type": "keyword",
  "info": "Write[channel, expr , expr , â¦] writes the expressions expr  in sequence, followed by a newline, to "
}, {
  "label": "WriteLine",
  "type": "keyword",
  "info": "WriteLine[stream, \"string\"] writes \"string\", followed by a newline, to the specified output stream.\n"
}, {
  "label": "WriteString",
  "type": "keyword",
  "info": "WriteString[\"file\", \"string\"] writes \"string\" to a file.WriteString[channel, \"string\"] writes \"strin"
}, {
  "label": "Wronskian",
  "type": "keyword",
  "info": "Wronskian[{y , y , â¦}, x] gives the Wronskian determinant for the functions y , y , â¦ depending on x"
}, {
  "label": "XMLElement",
  "type": "keyword",
  "info": "XMLElement[tag, {attr  ï¢ val , â¦}, {data , â¦}] represents an element in symbolic XML.\n              "
}, {
  "label": "XMLObject",
  "type": "keyword",
  "info": "XMLObject[\"type\"] represents the head of an XML object in symbolic XML."
}, {
  "label": "XMLTemplate",
  "type": "keyword",
  "info": "XMLTemplate[\"string\"] yields a TemplateObject that represents an XML template to be applied using fu"
}, {
  "label": "Xnor",
  "type": "keyword",
  "info": "Xnor[e , e , â¦] is the logical XNOR (not XOR) function. It gives True if an even number of the e  ar"
}, {
  "label": "Xor",
  "type": "keyword",
  "info": "Xor[e , e , â¦] is the logical XOR (exclusive OR) function. It gives True if an odd number of the e  "
}, {
  "label": "XYZColor",
  "type": "keyword",
  "info": "XYZColor[x, y, z] represents a color in the XYZ color space with tristimulus values x, y and z.XYZCo"
}, {
  "label": "Yellow",
  "type": "keyword",
  "info": "Yellow represents the color yellow in graphics or style specifications. "
}, {
  "label": "Yesterday",
  "type": "keyword",
  "info": "Yesterday gives a DateObject representing the previous day."
}, {
  "label": "YuleDissimilarity",
  "type": "keyword",
  "info": "YuleDissimilarity[u, v] gives the Yule dissimilarity between Boolean vectors u and v."
}, {
  "label": "ZernikeR",
  "type": "keyword",
  "info": "                                                       m\nZernikeR[n, m, r] gives the radial Zernike "
}, {
  "label": "ZeroSymmetric",
  "type": "keyword",
  "info": "ZeroSymmetric[{s , â¦, s }] represents the symmetry of a zero tensor in the slots s .\n               "
}, {
  "label": "ZeroTest",
  "type": "keyword",
  "info": "ZeroTest is an option to various linear algebra functions that gives a function to use in testing wh"
}, {
  "label": "ZeroWidthTimes",
  "type": "keyword",
  "info": "ZeroWidthTimes is an option for selections that specifies whether blank spaces representing multipli"
}, {
  "label": "Zeta",
  "type": "keyword",
  "info": "Zeta[s] gives the Riemann zeta function Î\\[Paragraph](s). Zeta[s, a] gives the generalized Riemann zeta function"
}, {
  "label": "ZetaZero",
  "type": "keyword",
  "info": "                             th                                                                     "
}, {
  "label": "ZIPCodeData",
  "type": "keyword",
  "info": "ZIPCodeData[entity, property] gives the value of the specified property for the ZIP code entity.ZIPC"
}, {
  "label": "ZipfDistribution",
  "type": "keyword",
  "info": "ZipfDistribution[Ï] represents a zeta distribution with parameter Ï.ZipfDistribution[n, Ï] represent"
}, {
  "label": "ZoomCenter",
  "type": "keyword",
  "info": "ZoomCenter is an option for DynamicImage that specifies the position of a zoom window within an imag"
}, {
  "label": "ZoomFactor",
  "type": "keyword",
  "info": "ZoomFactor is an option for DynamicImage that specifies the magnification factor of a zoom. "
}, {
  "label": "ZTest",
  "type": "keyword",
  "info": "                                                                                                    "
}, {
  "label": "ZTransform",
  "type": "keyword",
  "info": "ZTransform[expr, n, z] gives the Z transform of expr. ZTransform[expr, {n , n , â¦}, {z , z , â¦}] giv"
}, {
  "label": "Plotly",
  "type": "keyword",
  "info": "Plotly[expr, {x, 0, 1}] gives an interactive plot of a expr"
}, {
  "label": "ListPlotly",
  "type": "keyword",
  "info": "ListPlotly[{{x1,y1},{x2,y2}...}] gives an interactive plot of data"
}, {
  "label": "ListLinePlotly",
  "type": "keyword",
  "info": "ListLinePlotly[{{x1,y1},{x2,y2}...}] gives an interactive plot of data"
}, {
  "label": "HTMLForm",
  "type": "keyword",
  "info": "HTMLForm[\"<h1>Hi!</h1>\"] prints custom HTML script"
}, {
  "label": "SVGForm",
  "type": "keyword",
  "info": "SVGForm[expr] exports and displays any object as SVG graphics"
}, {
  "label": "CreateFrontEndObject",
  "type": "keyword",
  "info": "CreateFrontEndObject[expr, uid] put expr into sharable dynamic expression with uid as id, that can be read by frontend"
}, {
  "label": "FrontEndRef",
  "type": "keyword",
  "info": "FrontEndRef[object or uid] acts as a reference to frontend object. Prevents evaluation on a Kernel"
}, {
  "label": "FrontEndOnly",
  "type": "keyword",
  "info": "FrontEndOnly[expr] prevents evaluation on a Kernel"
}, {
  "label": "SendToFrontEnd",
  "type": "keyword",
  "info": "SendToFrontEnd[expr] evaluate arbitary expression on frontend"
}, {
  "label": "EventObject",
  "type": "keyword",
  "info": "EventObject[<|expr|>] a holder of the event object"
}, {
  "label": "EventBind",
  "type": "keyword",
  "info": "EventBind[EventObject[event], handler] binds a handler to event"
}, {
  "label": "RequestAnimationFrame",
  "type": "keyword",
  "info": "RequestAnimationFrame an wrapper for ListLinePlotly or ListPlotly"
}, {
  "label": "SetFrontEndObject",
  "type": "keyword",
  "info": "SetFrontEndObject[obj or uid, expr] sets the frontend object by itself or uid to an arbitary expr"
}, {
  "label": "EventRemove",
  "type": "keyword",
  "info": "EventRemove[EventObject[event]] removes handler from event"
}, {
  "label": "InputField",
  "type": "keyword",
  "info": "InputField[\"default string\"] creates an input form"
}, {
  "label": "ESCca",
  "type": "text",
  "apply": "\\[CapitalAlpha]",
  "detail": "CapitalAlpha"
}, {
  "label": "ESCcb",
  "type": "text",
  "apply": "\\[CapitalBeta]",
  "detail": "CapitalBeta"
}, {
  "label": "ESCcg",
  "type": "text",
  "apply": "\\[CapitalGamma]",
  "detail": "CapitalGamma"
}, {
  "label": "ESCcd",
  "type": "text",
  "apply": "\\[CapitalDelta]",
  "detail": "CapitalDelta"
}, {
  "label": "ESCce",
  "type": "text",
  "apply": "\\[CapitalEpsilon]",
  "detail": "CapitalEpsilon"
}, {
  "label": "ESCcz",
  "type": "text",
  "apply": "\\[CapitalZeta]",
  "detail": "CapitalZeta"
}, {
  "label": "ESCce",
  "type": "text",
  "apply": "\\[CapitalEta]",
  "detail": "CapitalEta"
}, {
  "label": "ESCct",
  "type": "text",
  "apply": "\\[CapitalTheta]",
  "detail": "CapitalTheta"
}, {
  "label": "ESCci",
  "type": "text",
  "apply": "\\[CapitalIota]",
  "detail": "CapitalIota"
}, {
  "label": "ESCck",
  "type": "text",
  "apply": "\\[CapitalKappa]",
  "detail": "CapitalKappa"
}, {
  "label": "ESCcl",
  "type": "text",
  "apply": "\\[CapitalLambda]",
  "detail": "CapitalLambda"
}, {
  "label": "ESCcm",
  "type": "text",
  "apply": "\\[CapitalMu]",
  "detail": "CapitalMu"
}, {
  "label": "ESCcn",
  "type": "text",
  "apply": "\\[CapitalNu]",
  "detail": "CapitalNu"
}, {
  "label": "ESCcx",
  "type": "text",
  "apply": "\\[CapitalXi]",
  "detail": "CapitalXi"
}, {
  "label": "ESCco",
  "type": "text",
  "apply": "\\[CapitalOmicron]",
  "detail": "CapitalOmicron"
}, {
  "label": "ESCcp",
  "type": "text",
  "apply": "\\[CapitalPi]",
  "detail": "CapitalPi"
}, {
  "label": "ESCcr",
  "type": "text",
  "apply": "\\[CapitalRho]",
  "detail": "CapitalRho"
}, {
  "label": "ESCcs",
  "type": "text",
  "apply": "\\[CapitalSigma]",
  "detail": "CapitalSigma"
}, {
  "label": "ESCct",
  "type": "text",
  "apply": "\\[CapitalTau]",
  "detail": "CapitalTau"
}, {
  "label": "ESCcu",
  "type": "text",
  "apply": "\\[CapitalUpsilon]",
  "detail": "CapitalUpsilon"
}, {
  "label": "ESCcp",
  "type": "text",
  "apply": "\\[CapitalPhi]",
  "detail": "CapitalPhi"
}, {
  "label": "ESCcc",
  "type": "text",
  "apply": "\\[CapitalChi]",
  "detail": "CapitalChi"
}, {
  "label": "ESCcp",
  "type": "text",
  "apply": "\\[CapitalPsi]",
  "detail": "CapitalPsi"
}, {
  "label": "ESCco",
  "type": "text",
  "apply": "\\[CapitalOmega]",
  "detail": "CapitalOmega"
}, {
  "label": "ESCa",
  "type": "text",
  "apply": "\\[Alpha]",
  "detail": "Alpha"
}, {
  "label": "ESCb",
  "type": "text",
  "apply": "\\[Beta]",
  "detail": "Beta"
}, {
  "label": "ESCg",
  "type": "text",
  "apply": "\\[Gamma]",
  "detail": "Gamma"
}, {
  "label": "ESCd",
  "type": "text",
  "apply": "\\[Delta]",
  "detail": "Delta"
}, {
  "label": "ESCce",
  "type": "text",
  "apply": "\\[CurlyEpsilon]",
  "detail": "CurlyEpsilon"
}, {
  "label": "ESCz",
  "type": "text",
  "apply": "\\[Zeta]",
  "detail": "Zeta"
}, {
  "label": "ESCe",
  "type": "text",
  "apply": "\\[Eta]",
  "detail": "Eta"
}, {
  "label": "ESCt",
  "type": "text",
  "apply": "\\[Theta]",
  "detail": "Theta"
}, {
  "label": "ESCi",
  "type": "text",
  "apply": "\\[Iota]",
  "detail": "Iota"
}, {
  "label": "ESCk",
  "type": "text",
  "apply": "\\[Kappa]",
  "detail": "Kappa"
}, {
  "label": "ESCl",
  "type": "text",
  "apply": "\\[Lambda]",
  "detail": "Lambda"
}, {
  "label": "ESCm",
  "type": "text",
  "apply": "\\[Mu]",
  "detail": "Mu"
}, {
  "label": "ESCn",
  "type": "text",
  "apply": "\\[Nu]",
  "detail": "Nu"
}, {
  "label": "ESCx",
  "type": "text",
  "apply": "\\[Xi]",
  "detail": "Xi"
}, {
  "label": "ESCo",
  "type": "text",
  "apply": "\\[Omicron]",
  "detail": "Omicron"
}, {
  "label": "ESCp",
  "type": "text",
  "apply": "\\[Pi]",
  "detail": "Pi"
}, {
  "label": "ESCr",
  "type": "text",
  "apply": "\\[Rho]",
  "detail": "Rho"
}, {
  "label": "ESCf",
  "type": "text",
  "apply": "\\[FinalSigma]",
  "detail": "FinalSigma"
}, {
  "label": "ESCs",
  "type": "text",
  "apply": "\\[Sigma]",
  "detail": "Sigma"
}, {
  "label": "ESCt",
  "type": "text",
  "apply": "\\[Tau]",
  "detail": "Tau"
}, {
  "label": "ESCu",
  "type": "text",
  "apply": "\\[Upsilon]",
  "detail": "Upsilon"
}, {
  "label": "ESCcp",
  "type": "text",
  "apply": "\\[CurlyPhi]",
  "detail": "CurlyPhi"
}, {
  "label": "ESCc",
  "type": "text",
  "apply": "\\[Chi]",
  "detail": "Chi"
}, {
  "label": "ESCp",
  "type": "text",
  "apply": "\\[Psi]",
  "detail": "Psi"
}, {
  "label": "ESCo",
  "type": "text",
  "apply": "\\[Omega]",
  "detail": "Omega"
}, {
  "label": "ESCct",
  "type": "text",
  "apply": "\\[CurlyTheta]",
  "detail": "CurlyTheta"
}, {
  "label": "ESCcc",
  "type": "text",
  "apply": "\\[CurlyCapitalUpsilon]",
  "detail": "CurlyCapitalUpsilon"
}, {
  "label": "ESCp",
  "type": "text",
  "apply": "\\[Phi]",
  "detail": "Phi"
}, {
  "label": "ESCcp",
  "type": "text",
  "apply": "\\[CurlyPi]",
  "detail": "CurlyPi"
}, {
  "label": "ESCcs",
  "type": "text",
  "apply": "\\[CapitalStigma]",
  "detail": "CapitalStigma"
}, {
  "label": "ESCs",
  "type": "text",
  "apply": "\\[Stigma]",
  "detail": "Stigma"
}, {
  "label": "ESCcd",
  "type": "text",
  "apply": "\\[CapitalDigamma]",
  "detail": "CapitalDigamma"
}, {
  "label": "ESCd",
  "type": "text",
  "apply": "\\[Digamma]",
  "detail": "Digamma"
}, {
  "label": "ESCck",
  "type": "text",
  "apply": "\\[CapitalKoppa]",
  "detail": "CapitalKoppa"
}, {
  "label": "ESCk",
  "type": "text",
  "apply": "\\[Koppa]",
  "detail": "Koppa"
}, {
  "label": "ESCcs",
  "type": "text",
  "apply": "\\[CapitalSampi]",
  "detail": "CapitalSampi"
}, {
  "label": "ESCs",
  "type": "text",
  "apply": "\\[Sampi]",
  "detail": "Sampi"
}, {
  "label": "ESCck",
  "type": "text",
  "apply": "\\[CurlyKappa]",
  "detail": "CurlyKappa"
}, {
  "label": "ESCcr",
  "type": "text",
  "apply": "\\[CurlyRho]",
  "detail": "CurlyRho"
}, {
  "label": "ESCe",
  "type": "text",
  "apply": "\\[Epsilon]",
  "detail": "Epsilon"
}];
exports.functions = functions;
},{}],"src/mathematica/mathematica.js":[function(require,module,exports) {
var define;
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wolframLanguage = void 0;
var _autocomplete = require("@codemirror/autocomplete");
var _view = require("@codemirror/view");
var _state = require("@codemirror/state");
var _language = require("@codemirror/language");
var _functions = require("./functions");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _regeneratorRuntime() { "use strict"; /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */ _regeneratorRuntime = function _regeneratorRuntime() { return exports; }; var exports = {}, Op = Object.prototype, hasOwn = Op.hasOwnProperty, defineProperty = Object.defineProperty || function (obj, key, desc) { obj[key] = desc.value; }, $Symbol = "function" == typeof Symbol ? Symbol : {}, iteratorSymbol = $Symbol.iterator || "@@iterator", asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator", toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag"; function define(obj, key, value) { return Object.defineProperty(obj, key, { value: value, enumerable: !0, configurable: !0, writable: !0 }), obj[key]; } try { define({}, ""); } catch (err) { define = function define(obj, key, value) { return obj[key] = value; }; } function wrap(innerFn, outerFn, self, tryLocsList) { var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator, generator = Object.create(protoGenerator.prototype), context = new Context(tryLocsList || []); return defineProperty(generator, "_invoke", { value: makeInvokeMethod(innerFn, self, context) }), generator; } function tryCatch(fn, obj, arg) { try { return { type: "normal", arg: fn.call(obj, arg) }; } catch (err) { return { type: "throw", arg: err }; } } exports.wrap = wrap; var ContinueSentinel = {}; function Generator() {} function GeneratorFunction() {} function GeneratorFunctionPrototype() {} var IteratorPrototype = {}; define(IteratorPrototype, iteratorSymbol, function () { return this; }); var getProto = Object.getPrototypeOf, NativeIteratorPrototype = getProto && getProto(getProto(values([]))); NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype); var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype); function defineIteratorMethods(prototype) { ["next", "throw", "return"].forEach(function (method) { define(prototype, method, function (arg) { return this._invoke(method, arg); }); }); } function AsyncIterator(generator, PromiseImpl) { function invoke(method, arg, resolve, reject) { var record = tryCatch(generator[method], generator, arg); if ("throw" !== record.type) { var result = record.arg, value = result.value; return value && "object" == _typeof(value) && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) { invoke("next", value, resolve, reject); }, function (err) { invoke("throw", err, resolve, reject); }) : PromiseImpl.resolve(value).then(function (unwrapped) { result.value = unwrapped, resolve(result); }, function (error) { return invoke("throw", error, resolve, reject); }); } reject(record.arg); } var previousPromise; defineProperty(this, "_invoke", { value: function value(method, arg) { function callInvokeWithMethodAndArg() { return new PromiseImpl(function (resolve, reject) { invoke(method, arg, resolve, reject); }); } return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg(); } }); } function makeInvokeMethod(innerFn, self, context) { var state = "suspendedStart"; return function (method, arg) { if ("executing" === state) throw new Error("Generator is already running"); if ("completed" === state) { if ("throw" === method) throw arg; return doneResult(); } for (context.method = method, context.arg = arg;;) { var delegate = context.delegate; if (delegate) { var delegateResult = maybeInvokeDelegate(delegate, context); if (delegateResult) { if (delegateResult === ContinueSentinel) continue; return delegateResult; } } if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) { if ("suspendedStart" === state) throw state = "completed", context.arg; context.dispatchException(context.arg); } else "return" === context.method && context.abrupt("return", context.arg); state = "executing"; var record = tryCatch(innerFn, self, context); if ("normal" === record.type) { if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue; return { value: record.arg, done: context.done }; } "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg); } }; } function maybeInvokeDelegate(delegate, context) { var methodName = context.method, method = delegate.iterator[methodName]; if (undefined === method) return context.delegate = null, "throw" === methodName && delegate.iterator.return && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method) || "return" !== methodName && (context.method = "throw", context.arg = new TypeError("The iterator does not provide a '" + methodName + "' method")), ContinueSentinel; var record = tryCatch(method, delegate.iterator, context.arg); if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel; var info = record.arg; return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel); } function pushTryEntry(locs) { var entry = { tryLoc: locs[0] }; 1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry); } function resetTryEntry(entry) { var record = entry.completion || {}; record.type = "normal", delete record.arg, entry.completion = record; } function Context(tryLocsList) { this.tryEntries = [{ tryLoc: "root" }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0); } function values(iterable) { if (iterable) { var iteratorMethod = iterable[iteratorSymbol]; if (iteratorMethod) return iteratorMethod.call(iterable); if ("function" == typeof iterable.next) return iterable; if (!isNaN(iterable.length)) { var i = -1, next = function next() { for (; ++i < iterable.length;) if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next; return next.value = undefined, next.done = !0, next; }; return next.next = next; } } return { next: doneResult }; } function doneResult() { return { value: undefined, done: !0 }; } return GeneratorFunction.prototype = GeneratorFunctionPrototype, defineProperty(Gp, "constructor", { value: GeneratorFunctionPrototype, configurable: !0 }), defineProperty(GeneratorFunctionPrototype, "constructor", { value: GeneratorFunction, configurable: !0 }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) { var ctor = "function" == typeof genFun && genFun.constructor; return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name)); }, exports.mark = function (genFun) { return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun; }, exports.awrap = function (arg) { return { __await: arg }; }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () { return this; }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) { void 0 === PromiseImpl && (PromiseImpl = Promise); var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl); return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) { return result.done ? result.value : iter.next(); }); }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () { return this; }), define(Gp, "toString", function () { return "[object Generator]"; }), exports.keys = function (val) { var object = Object(val), keys = []; for (var key in object) keys.push(key); return keys.reverse(), function next() { for (; keys.length;) { var key = keys.pop(); if (key in object) return next.value = key, next.done = !1, next; } return next.done = !0, next; }; }, exports.values = values, Context.prototype = { constructor: Context, reset: function reset(skipTempReset) { if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined); }, stop: function stop() { this.done = !0; var rootRecord = this.tryEntries[0].completion; if ("throw" === rootRecord.type) throw rootRecord.arg; return this.rval; }, dispatchException: function dispatchException(exception) { if (this.done) throw exception; var context = this; function handle(loc, caught) { return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught; } for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i], record = entry.completion; if ("root" === entry.tryLoc) return handle("end"); if (entry.tryLoc <= this.prev) { var hasCatch = hasOwn.call(entry, "catchLoc"), hasFinally = hasOwn.call(entry, "finallyLoc"); if (hasCatch && hasFinally) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } else if (hasCatch) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); } else { if (!hasFinally) throw new Error("try statement without catch or finally"); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } } } }, abrupt: function abrupt(type, arg) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) { var finallyEntry = entry; break; } } finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null); var record = finallyEntry ? finallyEntry.completion : {}; return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record); }, complete: function complete(record, afterLoc) { if ("throw" === record.type) throw record.arg; return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel; }, finish: function finish(finallyLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel; } }, catch: function _catch(tryLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc === tryLoc) { var record = entry.completion; if ("throw" === record.type) { var thrown = record.arg; resetTryEntry(entry); } return thrown; } } throw new Error("illegal catch attempt"); }, delegateYield: function delegateYield(iterable, resultName, nextLoc) { return this.delegate = { iterator: values(iterable), resultName: resultName, nextLoc: nextLoc }, "next" === this.method && (this.arg = undefined), ContinueSentinel; } }, exports; }
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
function newESC() {
  return function (_ref) {
    var state = _ref.state,
      dispatch = _ref.dispatch;
    if (state.readOnly) return false;
    var changes = state.changeByRange(function (range) {
      var from = range.from,
        to = range.to;
      //if (atEof) from = to = (to <= line.to ? line : state.doc.lineAt(to)).to

      return {
        changes: {
          from: from,
          to: to,
          insert: "ESC"
        },
        range: _state.EditorSelection.cursor(from + 3)
      };
    });
    dispatch(state.update(changes, {
      scrollIntoView: true,
      userEvent: "input"
    }));
    return true;
  };
}
function Completions(context) {
  var word = context.matchBefore(/\w*/);
  if (word.from === word.to && !context.explicit) return null;
  return {
    from: word.from,
    options: _functions.functions
  };
}

// used pattern building blocks
var Identifier = "[a-zA-Z\\$][a-zA-Z0-9\\$]*";
var pBase = "(?:\\d+)";
var pFloat = "(?:\\.\\d+|\\d+\\.\\d*|\\d+)";
var pFloatBase = "(?:\\.\\w+|\\w+\\.\\w*|\\w+)";
var pPrecision = "(?:`(?:`?" + pFloat + ")?)";

// regular expressions
var reBaseForm = new RegExp("(?:" + pBase + "(?:\\^\\^" + pFloatBase + pPrecision + "?(?:\\*\\^[+-]?\\d+)?))");
var reFloatForm = new RegExp("(?:" + pFloat + pPrecision + "?(?:\\*\\^[+-]?\\d+)?)");
var reIdInContext = new RegExp("(?:`?)(?:" + Identifier + ")(?:`(?:" + Identifier + "))*(?:`?)");
var builtins = _functions.functions.map(function (e) {
  return e.label;
});
var builtinsSpecial = ["True", "False", "All", "None", "Null", "Full", "$Failed", "$Aborted"];
var localVariables = {};
function tokenBase(stream, state) {
  var localVars = {};
  var ch;

  // get next character
  ch = stream.next();

  // string
  if (ch === '"') {
    state.tokenize = tokenString;
    return state.tokenize(stream, state);
  }

  // comment
  if (ch === "(") {
    if (stream.eat("*")) {
      state.commentLevel++;
      state.tokenize = tokenComment;
      return state.tokenize(stream, state);
    }
  }

  // go back one character
  stream.backUp(1);

  // look for numbers
  // Numbers in a baseform
  if (stream.match(reBaseForm, true, false)) {
    return "number";
  }

  // Mathematica numbers. Floats (1.2, .2, 1.) can have optionally a precision (`float) or an accuracy definition
  // (``float). Note: while 1.2` is possible 1.2`` is not. At the end an exponent (float*^+12) can follow.
  if (stream.match(reFloatForm, true, false)) {
    return "number";
  }

  // usage
  if (stream.match(/([a-zA-Z\$][a-zA-Z0-9\$]*(?:`[a-zA-Z0-9\$]+)*::usage)/, true, false)) {
    return "meta";
  }

  // message
  if (stream.match(/([a-zA-Z\$][a-zA-Z0-9\$]*(?:`[a-zA-Z0-9\$]+)*::[a-zA-Z\$][a-zA-Z0-9\$]*):?/, true, false)) {
    return "string.special";
  }

  // this makes a look-ahead match for something like variable:{_Integer}
  // the match is then forwarded to the mma-patterns tokenizer.
  if (stream.match(/([a-zA-Z\$][a-zA-Z0-9\$]*\s*:)(?:(?:[a-zA-Z\$][a-zA-Z0-9\$]*)|(?:[^:=>~@\^\&\*\)\[\]'\?,\|])).*/, true, false)) {
    return "variableName.special";
  }

  // catch variables which are used together with Blank (_), BlankSequence (__) or BlankNullSequence (___)
  // Cannot start with a number, but can have numbers at any other position. Examples
  // blub__Integer, a1_, b34_Integer32
  if (stream.match(/[a-zA-Z\$][a-zA-Z0-9\$]*_+[a-zA-Z\$][a-zA-Z0-9\$]*/, true, false)) {
    return "variableName.special";
  }
  if (stream.match(/[a-zA-Z\$][a-zA-Z0-9\$]*_+/, true, false)) {
    return "variableName.special";
  }
  if (stream.match(/_+[a-zA-Z\$][a-zA-Z0-9\$]*/, true, false)) {
    return "variableName.special";
  }

  // Named characters in Mathematica, like \[Gamma].
  if (stream.match(/\\\[[a-zA-Z\$][a-zA-Z0-9\$]*\]/, true, false)) {
    return "character";
  }

  // Match all braces separately
  if (stream.match(/(?:\[|\]|{|}|\(|\))/, true, false)) {
    return "bracket";
  }

  // Catch Slots (#, ##, #3, ##9 and the V10 named slots #name). I have never seen someone using more than one digit after #, so we match
  // only one.
  if (stream.match(/(?:#[a-zA-Z\$][a-zA-Z0-9\$]*|#+[0-9]?)/, true, false)) {
    return "variableName.constant";
  }

  // Literals like variables, keywords, functions
  if (stream.match(reIdInContext, true, false)) {
    if (builtinsSpecial.indexOf(stream.current()) > -1) return "number";
    if (builtins.indexOf(stream.current()) > -1) return "keyword";
    if (stream.current() in state.localVars) return "atom";
    state.localVars[stream.current()] = true;
    return "function";
  }

  // operators. Note that operators like @@ or /; are matched separately for each symbol.
  if (stream.match(/(?:\\|\+|\-|\*|\/|,|;|\.|:|@|~|=|>|<|&|\||_|`|'|\^|\?|!|%)/, true, false)) {
    return "operator";
  }

  // everything else is an error
  stream.next(); // advance the stream.
  return "error";
}
function tokenString(stream, state) {
  var next,
    end = false,
    escaped = false;
  while ((next = stream.next()) != null) {
    if (next === '"' && !escaped) {
      end = true;
      break;
    }
    escaped = !escaped && next === "\\";
  }
  if (end && !escaped) {
    state.tokenize = tokenBase;
  }
  return "string";
}
function tokenComment(stream, state) {
  var prev, next;
  while (state.commentLevel > 0 && (next = stream.next()) != null) {
    if (prev === "(" && next === "*") state.commentLevel++;
    if (prev === "*" && next === ")") state.commentLevel--;
    prev = next;
  }
  if (state.commentLevel <= 0) {
    state.tokenize = tokenBase;
  }
  return "comment";
}
var refToGlobalVars = {};
var mathematica = {
  name: "mathematica",
  extendVariables: function extendVariables(symbol) {
    //not implemented
  },
  startState: function startState() {
    //.log("tocken string");

    return {
      tokenize: tokenBase,
      commentLevel: 0,
      localVars: {}
    };
  },
  token: function token(stream, state) {
    if (stream.eatSpace()) return null;
    return state.tokenize(stream, state);
  },
  languageData: {
    commentTokens: {
      block: {
        open: "(*",
        close: "*)"
      }
    }
  }
};
var wolframLanguage = [_language.StreamLanguage.define(mathematica), (0, _autocomplete.autocompletion)({
  override: [/*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(ctx) {
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            return _context.abrupt("return", Completions(ctx));
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function (_x) {
      return _ref2.apply(this, arguments);
    };
  }() //snippetCompletion('mySnippet(${one}, ${two})', {label: 'mySnippet'})
  ]
}), _view.keymap.of([{
  key: "Escape",
  run: newESC()
}])];
exports.wolframLanguage = wolframLanguage;
},{"@codemirror/autocomplete":"node_modules/@codemirror/autocomplete/dist/index.js","@codemirror/view":"node_modules/@codemirror/view/dist/index.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js","@codemirror/language":"node_modules/@codemirror/language/dist/index.js","./functions":"src/mathematica/functions.js"}],"src/sugar/utils.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyWidget = void 0;
exports.eachLineMatchRe = eachLineMatchRe;
exports.isCursorInside = isCursorInside;
exports.isCursorInsideLine = isCursorInsideLine;
var _view = require("@codemirror/view");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
/**
 * Check if cursor is inside the widget.
 * @param update
 * @param from
 * @param to
 * @param inclusive Whether the left and right edges are included. Default is true.
 */
function isCursorInside(update, from, to) {
  var inclusive = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
  var latestTr = update.transactions[update.transactions.length - 1];
  if (latestTr && latestTr.selection) {
    if (inclusive && latestTr.selection.main.head >= from && latestTr.selection.main.head <= to) {
      return true;
    }
    if (!inclusive && latestTr.selection.main.head > from && latestTr.selection.main.head < to) {
      return true;
    }
  }
  return false;
}

/**
 * Check if cursor is inside the line.
 * @param state
 * @param from
 * @param to
 * @returns
 */
function isCursorInsideLine(state, from, to) {
  var cursorStart = state.selection.main.from;
  var cursorEnd = state.selection.main.to;
  if (from <= cursorStart && cursorStart <= to) {
    return true;
  }
  if (to <= cursorEnd && cursorEnd <= to) {
    return true;
  }
  return false;
}
function eachLineMatchRe(doc, from,
// TODO: use this to save cost.
to, re, func) {
  for (var pos = from, iter = doc.iterRange(from), m; !iter.next().done;) {
    if (!iter.lineBreak) {
      while (m = re.exec(iter.value)) {
        func(m, pos);
      }
    }
    pos += iter.value.length + 1;
  }
}
var EmptyWidget = /*#__PURE__*/function (_WidgetType) {
  _inherits(EmptyWidget, _WidgetType);
  var _super = _createSuper(EmptyWidget);
  function EmptyWidget() {
    _classCallCheck(this, EmptyWidget);
    return _super.call(this);
  }
  _createClass(EmptyWidget, [{
    key: "eq",
    value: function eq(_) {
      return true;
    }
  }, {
    key: "toDOM",
    value: function toDOM() {
      var span = document.createElement("span");
      return span;
    }
  }, {
    key: "ignoreEvent",
    value: function ignoreEvent() {
      return false;
    }
  }]);
  return EmptyWidget;
}(_view.WidgetType);
exports.EmptyWidget = EmptyWidget;
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js"}],"node_modules/node-balanced/index.js":[function(require,module,exports) {
// Note: this currently doesn't support nested replacements because its meant to be 
// greedy and grab the first head all the way to the last
// 
// Node: for nested matches you can just do recursion because of the greedyness

function Balanced (config) {
	config = config || {};
	
	if (!config.open) throw new Error('Balanced: please provide a "open" property');
	if (!config.close) throw new Error('Balanced: please provide a "close" property');

	this.balance = config.balance || false;
	this.exceptions = config.exceptions || false;
	this.caseInsensitive = config.caseInsensitive;

	this.head = config.head || config.open;
	this.head = Array.isArray(this.head) ? this.head : [this.head];
	this.open = Array.isArray(config.open) ? config.open : [config.open];
	this.close = Array.isArray(config.close) ? config.close : [config.close];

	if (
		!Array.isArray(this.head) || 
		!Array.isArray(this.open) || 
		!Array.isArray(this.close) ||
		!(this.head.length === this.open.length && this.open.length === this.close.length)
	) {
		throw new Error('Balanced: if you use arrays for a "head,open,close" you must use matching arrays for all options');
	}

	var headRegExp = regExpFromArray(this.head.map(this.regExpFromArrayGroupedMap, this)),
		openRegExp = regExpFromArray(this.open.map(this.regExpFromArrayGroupedMap, this)),
		closeRegExp = regExpFromArray(this.close.map(this.regExpFromArrayGroupedMap, this));
	
	this.regExp = regExpFromArray([headRegExp, openRegExp, closeRegExp], 'g' + (this.caseInsensitive ? 'i' : ''));
	this.regExpGroupLength = this.head.length;
}

Balanced.prototype = {
	/**
	 * helper creating method for running regExpFromArray with one arg and grouped set to true
	 * 
	 * @param  {RegExp/String} value
	 * @return {RegExp}
	 */
	regExpFromArrayGroupedMap: function (value) {
		return regExpFromArray([value], null, true);
	},

	/**
	 * Matches contents
	 * 
	 * @param  {String} string
	 * @param  {Array} ignoreRanges
	 * @return {Array}
	 */
	matchContentsInBetweenBrackets: function (string, ignoreRanges) {
		var regex = new RegExp(this.regExp),
			stack = [],
			matches = [],
			matchedOpening = null,
			match,
			balanced = true;

		while ((match = regex.exec(string))) {
			if (ignoreRanges) {
				var ignore = false;
				
				for (var i = 0; i < ignoreRanges.length; i++) {
					if (isIndexInRage(match.index, ignoreRanges[i])) {
						ignore = true;
						continue;
					}
				}

				if (ignore) {
					continue;
				}
			}

			var matchResultPosition = match.indexOf(match[0], 1) - 1,
				sectionIndex = Math.floor(matchResultPosition / this.regExpGroupLength),
				valueIndex = matchResultPosition - (Math.floor(matchResultPosition / this.regExpGroupLength) * this.regExpGroupLength);

			if (!matchedOpening && sectionIndex === 0 && (!this.balance || this.balance && !stack.length)) {
				matchedOpening = match;

				if (this.balance) {
					stack.push(valueIndex);
				} else {
					stack = [valueIndex];
				}
			} else if (sectionIndex === 1 || sectionIndex === 0) {
				stack.push(valueIndex);
			} else if (sectionIndex === 2) {
				var expectedValueIndex = stack.pop();

				if (expectedValueIndex === valueIndex) {
					if (matchedOpening !== null && stack.length === 0) {
						matches.push({
							index: matchedOpening.index, 
							length: match.index + match[0].length - matchedOpening.index,
							head: matchedOpening[0],
							tail: match[0]
						});
						matchedOpening = null;
					}
				} else if (this.balance) {
					balanced = false;

					if (this.exceptions) {
						if (expectedValueIndex === undefined) {
							throw errorForStringIndex('Balanced: unexpected close bracket', string, match.index);
						} else if (expectedValueIndex !== valueIndex) {							
							throw errorForStringIndex('Balanced: mismatching close bracket, expected "' + this.close[expectedValueIndex] + '" but found "' + this.close[valueIndex] + '"', string, match.index);
						}
					}
				}
			}
		}

		if (this.balance) {
			if (this.exceptions && !(balanced && stack.length === 0)) {
				throw errorForStringIndex('Balanced: expected close bracket', string, string.length -1);
			}
			return balanced && stack.length === 0 ? matches : null;
		} else {
			return matches;
		}
	},

	/**
	 * Runs replace function against matches, and source.
	 * 
	 * @param  {String} string
	 * @param  {Function} replace
	 * @param  {Array} ignoreRanges
	 * @return {String}
	 */
	replaceMatchesInBetweenBrackets: function (string, replace, ignoreRanges) {
		var matches = this.matchContentsInBetweenBrackets(string, ignoreRanges);
		return replaceMatchesInString(matches, string, replace);
	}
};

/**
 * creates an error object for the specified index
 * 
 * @param  {String} error
 * @param  {String} string
 * @param  {Number} index
 * @return {Error}
 */
function errorForStringIndex (error, string, index) {
	var lines = getRangesForMatch(string.substr(0, index + 1), /^.*\n?$/gim),
		allLines = getRangesForMatch(string, /^.*\n?$/gim),
		line = lines.length - 1,
		lastLineIndex = lines.length ? lines[lines.length - 1].index : 0,
		column = index + 1 - lastLineIndex,
		message = '';

	// show current and previous lines
	for (var i = 2; i >= 0; i--) {
		if (line - i >= 0 && allLines[line-i]) {
			message += string.substr(allLines[line-i].index, allLines[line-i].length) + '\n';
		}
	}

	// add carrot
	for (i = 0; i < column - 1; i++) {
		message += '-';
	}
	message += '^\n';

	// show next lines
	for (i = 1; i <= 2; i++) {
		if (line + i >= 0 && allLines[line+i]) {
			message += string.substr(allLines[line+i].index, allLines[line+i].length) + '\n';
		}
	}

	// replace tabs with spaces
	message = message.replace(/\t/g, ' ').replace(/\n$/, '');

	var errorObject = new Error(error + ' at ' + (line + 1) + ':' + column + '\n\n' + message);
	errorObject.line = line + 1;
	errorObject.column = column;
	errorObject.index = index;
	
	return errorObject;
}

/**
 * checks if index is inside of range
 * 
 * @param  {Number}  index
 * @param  {Object}  range
 * @return {Boolean}
 */
function isIndexInRage (index, range) {
	return index >= range.index && index <= range.index + range.length - 1;
}

/**
 * generates an array of match range objects
 * 
 * @param  {String} string
 * @param  {RegExp} regexp
 * @return {Array}
 */
function getRangesForMatch (string, regexp) {
	var pattern = new RegExp(regexp),
		match,
		matches = [];

	if (string) {
		while ((match = pattern.exec(string))) {
			matches.push({index: match.index, length: match[0].length, match: match[0]});
			
			if (!match[0].length) {
				pattern.lastIndex++;
			}
		}
	}

	return matches;
}

/**
 * Non-destructive match replacements.
 * 
 * @param  {Array} matches
 * @param  {String} string
 * @param  {Function} replace
 * @return {String}
 */
function replaceMatchesInString (matches, string, replace) {
	var offset = 0;
	
	for (var i = 0; i < matches.length; i++) {
		var match = matches[i],
			replacement = replace(string.substr(match.index + offset + match.head.length, match.length - match.head.length - match.tail.length), match.head, match.tail);
		string = string.substr(0, match.index + offset) + replacement + string.substr(match.index + offset + match.length, (string.length) - (match.index + offset + match.length));
		
		offset += replacement.length - match.length;
	}
	
	return string;
}

/**
 * Escapes a string to be used within a RegExp
 * 
 * @param  {String} string
 * @return {String}
 */
function escapeRegExp (string) {
  return string.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g, "\\$&");
}

/**
 * creates an RegExp from an array of string or RegExp
 * 
 * @param  {Array} array
 * @param  {String} flags
 * @param  {Boolean} grouped
 * @return {RegExp}
 */
function regExpFromArray (array, flags, grouped) {
	var string = array.map(function (value) {
		return value instanceof RegExp ? value.source : escapeRegExp(value);
	}, this).join('|');

	if (grouped) {
		string = '(' + string + ')';
	} else {
		string = '(?:' + string + ')';
	}

	return new RegExp(string, flags || undefined);
}

/**
 * returns an array of ranges that are not in the without ranges
 * 
 * @param  {Array} ranges
 * @param  {Array} without
 * @return {Array}
 */
function rangesWithout (ranges, without) {
	return ranges.filter(function (range) {
		var ignored = false;

		for (var i = 0; i < without.length; i++) {
			if (isIndexInRage(range.index, without[i])) {
				ignored = true;
				break;
			}
		}

		return !ignored;
	});
}

// export generic methods
exports.replaceMatchesInString = replaceMatchesInString; 
exports.getRangesForMatch = getRangesForMatch;
exports.isIndexInRage = isIndexInRage;
exports.rangesWithout = rangesWithout;
// exports.escapeRegExp = escapeRegExp;
// exports.regExpFromArray = regExpFromArray;

// allows you to create a reusable Balance object and use its `replaceMatchesInBetweenBrackets` and `matchContentsInBetweenBrackets` directly
exports.Balanced = Balanced;

exports.replacements = function (config) {
	config = config || {};

	var balanced = new Balanced({
		head: config.head,
		open: config.open,
		close: config.close,
		balance: config.balance,
		exceptions: config.exceptions,
		caseInsensitive: config.caseInsensitive
	});

	if (!config.source) throw new Error('Balanced: please provide a "source" property');
	if (typeof config.replace !==  'function') throw new Error('Balanced: please provide a "replace" function');

	return balanced.replaceMatchesInBetweenBrackets(config.source, config.replace);
};
exports.matches = function (config) {
	var balanced = new Balanced({
		head: config.head,
		open: config.open,
		close: config.close,
		balance: config.balance,
		exceptions: config.exceptions,
		caseInsensitive: config.caseInsensitive
	});

	if (!config.source) throw new Error('Balanced: please provide a "source" property');

	return balanced.matchContentsInBetweenBrackets(config.source, config.ignore);
};
},{}],"src/sugar/matcher.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BallancedMatchDecorator = void 0;
var _state = require("@codemirror/state");
var _nodeBalanced = require("node-balanced");
function iterMatches(doc, re, from, to, f) {
  re.lastIndex = 0;
  var _loop_1 = function _loop_1(cursor, pos, m) {
    if (!cursor.lineBreak) {
      new _nodeBalanced.Balanced({
        head: re,
        open: "[",
        close: "]",
        balance: false
      }).matchContentsInBetweenBrackets(cursor.value, []).forEach(function (m) {
        var sub = cursor.value.substring(m.index + m.head.length, m.index + m.length - 1);
        //console.log(sub);
        var compoundMatches = new _nodeBalanced.Balanced({
          open: ["[", "{"],
          close: ["]", "}"],
          balance: [false, false]
        }).matchContentsInBetweenBrackets(sub, []);
        var SyntaxTree = [];
        var lastIndex = 0;
        compoundMatches.forEach(function (e) {
          SyntaxTree.push({
            begin: sub.substring(lastIndex, e.index),
            expr: sub.substring(e.index, e.index + e.length),
            type: 0
          });
          lastIndex = e.index + e.length;
        });
        if (lastIndex < sub.length - 1) {
          SyntaxTree.push({
            begin: sub.substring(lastIndex),
            type: 1
          });
        }
        var args = [];
        SyntaxTree.reverse().forEach(function (s) {
          var localargs = [];
          if (s.begin.length == 0) {
            localargs.push(s.expr);
            return;
          }
          var matches = s.begin.split(",");
          if (SyntaxTree.length > 1) matches.shift();
          if (matches.length == 0) matches = [s.begin];
          if (s.type == 0) {
            localargs.push((matches.pop() + s.expr).trim());
            if (matches.length > 0) matches.forEach(function (a) {
              localargs.push(a.trim());
            });
          } else {
            matches.forEach(function (a) {
              localargs.push(a.trim());
            });
          }
          args.push.apply(args, localargs.reverse());
        });
        f(pos + m.index, {
          length: m.length,
          pos: pos + m.index,
          args: args.reverse(),
          str: sub
        });
      });
    }
  };
  for (var cursor = doc.iterRange(from, to), pos = from, m = void 0; !cursor.next().done; pos += cursor.value.length) {
    _loop_1(cursor, pos, m);
  }
}
function matchRanges(view, maxLength) {
  var visible = view.visibleRanges;
  if (visible.length == 1 && visible[0].from == view.viewport.from && visible[0].to == view.viewport.to) return visible;
  var result = [];
  for (var _i = 0, visible_1 = visible; _i < visible_1.length; _i++) {
    var _a = visible_1[_i],
      from = _a.from,
      to = _a.to;
    from = Math.max(view.state.doc.lineAt(from).from, from - maxLength);
    to = Math.min(view.state.doc.lineAt(to).to, to + maxLength);
    if (result.length && result[result.length - 1].to >= from) result[result.length - 1].to = to;else result.push({
      from: from,
      to: to
    });
  }
  return result;
}
/// Helper class used to make it easier to maintain decorations on
/// visible code that matches a given regular expression. To be used
/// in a [view plugin](#view.ViewPlugin). Instances of this object
/// represent a matching configuration.
var BallancedMatchDecorator = /** @class */function () {
  /// Create a decorator.
  function BallancedMatchDecorator(config) {
    var regexp = config.regexp,
      decoration = config.decoration,
      decorate = config.decorate,
      boundary = config.boundary,
      _a = config.maxLength,
      maxLength = _a === void 0 ? 1000 : _a;
    //if (!regexp.global) throw new RangeError("The regular expression given to MatchDecorator should have its 'g' flag set")
    this.regexp = regexp;
    if (decorate) {
      this.addMatch = function (match, view, from, add) {
        return decorate(add, from, from + match.length, match, view);
      };
    } else if (typeof decoration == "function") {
      this.addMatch = function (match, view, from, add) {
        var deco = decoration(match, view, from);
        if (deco) add(from, from + match.length, deco);
      };
    } else if (decoration) {
      this.addMatch = function (match, _view, from, add) {
        return add(from, from + match.length, decoration);
      };
    } else {
      throw new RangeError("Either 'decorate' or 'decoration' should be provided to MatchDecorator");
    }
    this.boundary = boundary;
    this.maxLength = maxLength;
  }
  /// Compute the full set of decorations for matches in the given
  /// view's viewport. You'll want to call this when initializing your
  /// plugin.
  BallancedMatchDecorator.prototype.createDeco = function (view) {
    var _this = this;
    var build = new _state.RangeSetBuilder(),
      add = build.add.bind(build);
    for (var _i = 0, _a = matchRanges(view, this.maxLength); _i < _a.length; _i++) {
      var _b = _a[_i],
        from = _b.from,
        to = _b.to;
      iterMatches(view.state.doc, this.regexp, from, to, function (from, m) {
        return _this.addMatch(m, view, from, add);
      });
    }
    return build.finish();
  };
  /// Update a set of decorations for a view update. `deco` _must_ be
  /// the set of decorations produced by _this_ `MatchDecorator` for
  /// the view state before the update.
  BallancedMatchDecorator.prototype.updateDeco = function (update, deco) {
    var changeFrom = 1e9,
      changeTo = -1;
    if (update.docChanged) update.changes.iterChanges(function (_f, _t, from, to) {
      if (to > update.view.viewport.from && from < update.view.viewport.to) {
        changeFrom = Math.min(from, changeFrom);
        changeTo = Math.max(to, changeTo);
      }
    });
    if (update.viewportChanged || changeTo - changeFrom > 1000) return this.createDeco(update.view);
    if (changeTo > -1) return this.updateRange(update.view, deco.map(update.changes), changeFrom, changeTo);
    return deco;
  };
  BallancedMatchDecorator.prototype.updateRange = function (view, deco, updateFrom, updateTo) {
    var _this = this;
    var _loop_2 = function _loop_2(r) {
      var from = Math.max(r.from, updateFrom),
        to = Math.min(r.to, updateTo);
      if (to > from) {
        var fromLine = view.state.doc.lineAt(from),
          toLine = fromLine.to < to ? view.state.doc.lineAt(to) : fromLine;
        var start_1 = Math.max(r.from, fromLine.from),
          end_1 = Math.min(r.to, toLine.to);
        if (this_1.boundary) {
          for (; from > fromLine.from; from--) if (this_1.boundary.test(fromLine.text[from - 1 - fromLine.from])) {
            start_1 = from;
            break;
          }
          for (; to < toLine.to; to++) if (this_1.boundary.test(toLine.text[to - toLine.from])) {
            end_1 = to;
            break;
          }
        }
        var ranges_1 = [],
          m = void 0;
        var add_1 = function add_1(from, to, deco) {
          return ranges_1.push(deco.range(from, to));
        };
        if (fromLine == toLine) {
          console.error("FUCK this is an exeption");
          /*this.regexp.lastIndex = start - fromLine.from
          while ((m = this.regexp.exec(fromLine.text)) && m.index < end - fromLine.from)
            this.addMatch(m, view, m.index + fromLine.from, add)*/
        } else {
          iterMatches(view.state.doc, this_1.regexp, start_1, end_1, function (from, m) {
            return _this.addMatch(m, view, from, add_1);
          });
        }
        deco = deco.update({
          filterFrom: start_1,
          filterTo: end_1,
          filter: function filter(from, to) {
            return from < start_1 || to > end_1;
          },
          add: ranges_1
        });
      }
    };
    var this_1 = this;
    for (var _i = 0, _a = view.visibleRanges; _i < _a.length; _i++) {
      var r = _a[_i];
      _loop_2(r);
    }
    return deco;
  };
  return BallancedMatchDecorator;
}();
exports.BallancedMatchDecorator = BallancedMatchDecorator;
},{"@codemirror/state":"node_modules/@codemirror/state/dist/index.js","node-balanced":"node_modules/node-balanced/index.js"}],"src/sugar/fractions.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fractionsWidget = fractionsWidget;
var _view = require("@codemirror/view");
var _utils = require("./utils");
var _matcher = require("./matcher");
var _state = require("@codemirror/state");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
var subEditor;
function fractionsWidget(view) {
  subEditor = view;
  return [
  //mathematicaMathDecoration,
  placeholder, _view.keymap.of([{
    key: "Ctrl-/",
    run: snippet()
  }])];
}
function snippet() {
  return function (_ref) {
    var state = _ref.state,
      dispatch = _ref.dispatch;
    if (state.readOnly) return false;
    var changes = state.changeByRange(function (range) {
      var from = range.from,
        to = range.to;
      //if (atEof) from = to = (to <= line.to ? line : state.doc.lineAt(to)).to
      var prev = state.sliceDoc(from, to);
      if (prev.length === 0) {
        return {
          changes: {
            from: from,
            to: to,
            insert: "CM6Fraction[_,_]"
          },
          range: _state.EditorSelection.cursor(from)
        };
      }
      return {
        changes: {
          from: from,
          to: to,
          insert: "CM6Fraction[" + prev + ", _]"
        },
        range: _state.EditorSelection.cursor(from)
      };
    });
    dispatch(state.update(changes, {
      scrollIntoView: true,
      userEvent: "input"
    }));
    return true;
  };
}
var Widget = /*#__PURE__*/function (_WidgetType) {
  _inherits(Widget, _WidgetType);
  var _super = _createSuper(Widget);
  function Widget(visibleValue, ref, view) {
    var _this;
    _classCallCheck(this, Widget);
    _this = _super.call(this);
    _this.view = view;
    _this.visibleValue = visibleValue;
    _this.ref = ref;
    _this.subEditor = subEditor;
    return _this;
  }
  _createClass(Widget, [{
    key: "eq",
    value: function eq(other) {
      console.log('compare');
      console.log(this.visibleValue.str === other.visibleValue.str);
      return this.visibleValue.str === other.visibleValue.str;
    }
  }, {
    key: "updateDOM",
    value: function updateDOM(dom, view) {
      console.log('update widget DOM');
      return true;
    }
  }, {
    key: "toDOM",
    value: function toDOM(view) {
      var _this2 = this;
      var span = document.createElement("span");
      span.classList.add('fraction');
      if (this.visibleValue.args.length !== 2) {
        this.visibleValue.args = ["_", "_"];
        console.error("argumets doesnt match");
      }
      console.log('create widget DOM!!!!');
      console.log(this.visibleValue);
      var args = this.visibleValue.args;
      var table = document.createElement("table");
      table.classList.add('container');
      span.appendChild(table);
      var tbody = document.createElement("tbody");
      table.appendChild(tbody);
      var tre = document.createElement("tr");
      var trd = document.createElement("tr");
      tbody.appendChild(tre);
      tbody.appendChild(trd);
      var enumenator = document.createElement("td");
      enumenator.classList.add('enumenator');
      tre.appendChild(enumenator);
      var denumenator = document.createElement("td");
      trd.appendChild(denumenator);
      var visibleValue = this.visibleValue;
      //const view = this.view;
      var recreateString = function recreateString(args) {
        _this2.visibleValue.str = 'CM6Fraction[' + args[0] + ', ' + args[1] + ']';
        var changes = {
          from: visibleValue.pos,
          to: visibleValue.pos + visibleValue.length,
          insert: _this2.visibleValue.str
        };
        _this2.visibleValue.length = _this2.visibleValue.str.length;
        return changes;
      };
      this.subEditor({
        doc: args[0],
        parent: enumenator,
        update: function update(upd) {
          _this2.visibleValue.args[0] = upd;
          var change = recreateString(_this2.visibleValue.args);
          console.log('insert change');
          console.log(change);
          view.dispatch({
            changes: change
          });
        }
      });
      this.subEditor({
        doc: args[1],
        parent: denumenator,
        update: function update(upd) {
          _this2.visibleValue.args[1] = upd;
          var change = recreateString(_this2.visibleValue.args);
          console.log('insert change');
          console.log(change);
          view.dispatch({
            changes: change
          });
        }
      });
      return span;
    }
  }, {
    key: "ignoreEvent",
    value: function ignoreEvent() {
      return true;
    }
  }]);
  return Widget;
}(_view.WidgetType);
var matcher = function matcher(ref, view) {
  return new _matcher.BallancedMatchDecorator({
    regexp: /CM6Fraction\[/,
    decoration: function decoration(match) {
      return _view.Decoration.replace({
        widget: new Widget(match, ref, view)
      });
    }
  });
};
var placeholder = _view.ViewPlugin.fromClass( /*#__PURE__*/function () {
  function _class(view) {
    _classCallCheck(this, _class);
    this.disposable = [];
    this.placeholder = matcher(this.disposable, view).createDeco(view);
  }
  _createClass(_class, [{
    key: "update",
    value: function update(_update) {
      this.placeholder = matcher(this.disposable, _update).updateDeco(_update, this.placeholder);
    }
  }, {
    key: "destroy",
    value: function destroy() {
      console.log("removed holder");
      console.log("disposable");
      console.log(this.disposable);
      this.disposable.forEach(function (el) {
        el.dispose();
      });
    }
  }]);
  return _class;
}(), {
  decorations: function decorations(instance) {
    return instance.placeholder;
  },
  provide: function provide(plugin) {
    return _view.EditorView.atomicRanges.of(function (view) {
      var _a;
      return ((_a = view.plugin(plugin)) === null || _a === void 0 ? void 0 : _a.placeholder) || _view.Decoration.none;
    });
  }
});
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js","./utils":"src/sugar/utils.js","./matcher":"src/sugar/matcher.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js"}],"src/sugar/subscript.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.subscriptWidget = subscriptWidget;
var _view = require("@codemirror/view");
var _utils = require("./utils");
var _matcher = require("./matcher");
var _state = require("@codemirror/state");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
var subEditor;
function subscriptWidget(view) {
  subEditor = view;
  return [
  //mathematicaMathDecoration,
  placeholder, _view.keymap.of([{
    key: "Ctrl--",
    run: snippet()
  }])];
}
function snippet() {
  return function (_ref) {
    var state = _ref.state,
      dispatch = _ref.dispatch;
    if (state.readOnly) return false;
    var changes = state.changeByRange(function (range) {
      var from = range.from,
        to = range.to;
      //if (atEof) from = to = (to <= line.to ? line : state.doc.lineAt(to)).to
      var prev = state.sliceDoc(from, to);
      if (prev.length === 0) {
        return {
          changes: {
            from: from,
            to: to,
            insert: "CM6Subscript[_,_]"
          },
          range: _state.EditorSelection.cursor(from)
        };
      }
      return {
        changes: {
          from: from,
          to: to,
          insert: "CM6Subscript[" + prev + ", _]"
        },
        range: _state.EditorSelection.cursor(from)
      };
    });
    dispatch(state.update(changes, {
      scrollIntoView: true,
      userEvent: "input"
    }));
    return true;
  };
}
var Widget = /*#__PURE__*/function (_WidgetType) {
  _inherits(Widget, _WidgetType);
  var _super = _createSuper(Widget);
  function Widget(visibleValue, ref, view) {
    var _this;
    _classCallCheck(this, Widget);
    _this = _super.call(this);
    _this.view = view;
    _this.visibleValue = visibleValue;
    _this.ref = ref;
    _this.subEditor = subEditor;
    return _this;
  }
  _createClass(Widget, [{
    key: "eq",
    value: function eq(other) {
      console.log('compare');
      console.log(this.visibleValue.str === other.visibleValue.str);
      return this.visibleValue.str === other.visibleValue.str;
    }
  }, {
    key: "updateDOM",
    value: function updateDOM(dom, view) {
      console.log('update widget DOM');
      return true;
    }
  }, {
    key: "toDOM",
    value: function toDOM(view) {
      var _this2 = this;
      var span = document.createElement("span");
      if (this.visibleValue.args.length !== 2) {
        this.visibleValue.args = ["_", "_"];
        console.error("argumets doesnt match");
      }
      console.log('create widget DOM!!!!');
      console.log(this.visibleValue);
      var args = this.visibleValue.args;
      var head = document.createElement("span");
      head.classList.add("subscript-tail");
      var visibleValue = this.visibleValue;
      var recreateString = function recreateString(args) {
        _this2.visibleValue.str = 'CM6Subscript[' + args[0] + ', ' + args[1] + ']';
        var changes = {
          from: visibleValue.pos,
          to: visibleValue.pos + visibleValue.length,
          insert: _this2.visibleValue.str
        };
        _this2.visibleValue.length = _this2.visibleValue.str.length;
        return changes;
      };
      this.subEditor({
        doc: args[0],
        parent: head,
        update: function update(upd) {
          _this2.visibleValue.args[0] = upd;
          var change = recreateString(_this2.visibleValue.args);
          console.log('insert change');
          console.log(change);
          view.dispatch({
            changes: change
          });
        }
      });
      var sub = document.createElement("sub");
      sub.classList.add("subscript-tail");
      this.subEditor({
        doc: args[1],
        parent: sub,
        update: function update(upd) {
          _this2.visibleValue.args[1] = upd;
          var change = recreateString(_this2.visibleValue.args);
          console.log('insert change');
          console.log(change);
          view.dispatch({
            changes: change
          });
        }
      });
      span.appendChild(head);
      span.appendChild(sub);

      //span.classList.add("cm-bold");*/
      return span;
    }
  }, {
    key: "ignoreEvent",
    value: function ignoreEvent() {
      return true;
    }
  }]);
  return Widget;
}(_view.WidgetType);
var matcher = function matcher(ref, view) {
  return new _matcher.BallancedMatchDecorator({
    regexp: /CM6Subscript\[/,
    decoration: function decoration(match) {
      return _view.Decoration.replace({
        widget: new Widget(match, ref, view)
      });
    }
  });
};
var placeholder = _view.ViewPlugin.fromClass( /*#__PURE__*/function () {
  function _class(view) {
    _classCallCheck(this, _class);
    this.disposable = [];
    this.placeholder = matcher(this.disposable, view).createDeco(view);
  }
  _createClass(_class, [{
    key: "update",
    value: function update(_update) {
      this.placeholder = matcher(this.disposable, _update).updateDeco(_update, this.placeholder);
    }
  }, {
    key: "destroy",
    value: function destroy() {
      console.log("removed holder");
      console.log("disposable");
      console.log(this.disposable);
      this.disposable.forEach(function (el) {
        el.dispose();
      });
    }
  }]);
  return _class;
}(), {
  decorations: function decorations(instance) {
    return instance.placeholder;
  },
  provide: function provide(plugin) {
    return _view.EditorView.atomicRanges.of(function (view) {
      var _a;
      return ((_a = view.plugin(plugin)) === null || _a === void 0 ? void 0 : _a.placeholder) || _view.Decoration.none;
    });
  }
});
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js","./utils":"src/sugar/utils.js","./matcher":"src/sugar/matcher.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js"}],"src/sugar/supscript.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.supscriptWidget = supscriptWidget;
var _view = require("@codemirror/view");
var _utils = require("./utils");
var _matcher = require("./matcher");
var _state = require("@codemirror/state");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
var subEditor;
function supscriptWidget(view) {
  subEditor = view;
  return [
  //mathematicaMathDecoration,
  placeholder, _view.keymap.of([{
    key: "Ctrl-6",
    run: snippet()
  }])];
}
function snippet() {
  return function (_ref) {
    var state = _ref.state,
      dispatch = _ref.dispatch;
    if (state.readOnly) return false;
    console.log(state);
    var changes = state.changeByRange(function (range) {
      var from = range.from,
        to = range.to;
      //if (atEof) from = to = (to <= line.to ? line : state.doc.lineAt(to)).to
      var prev = state.sliceDoc(from, to);
      if (prev.length === 0) {
        return {
          changes: {
            from: from,
            to: to,
            insert: "CM6Superscript[_,_]"
          },
          range: _state.EditorSelection.cursor(from)
        };
      }
      return {
        changes: {
          from: from,
          to: to,
          insert: "CM6Superscript[" + prev + ", _]"
        },
        range: _state.EditorSelection.cursor(from)
      };
    });
    state.config.nextFocus = true;
    dispatch(state.update(changes, {
      scrollIntoView: true,
      userEvent: "input"
    }));
    return true;
  };
}
var Widget = /*#__PURE__*/function (_WidgetType) {
  _inherits(Widget, _WidgetType);
  var _super = _createSuper(Widget);
  function Widget(visibleValue, ref, view) {
    var _this;
    _classCallCheck(this, Widget);
    _this = _super.call(this);
    _this.view = view;
    _this.visibleValue = visibleValue;
    _this.ref = ref;
    _this.subEditor = subEditor;
    return _this;
  }
  _createClass(Widget, [{
    key: "eq",
    value: function eq(other) {
      console.log('compare');
      console.log(this.visibleValue.str === other.visibleValue.str);
      return this.visibleValue.str === other.visibleValue.str;
    }
  }, {
    key: "updateDOM",
    value: function updateDOM(dom, view) {
      console.log('update widget DOM');
      return true;
    }
  }, {
    key: "toDOM",
    value: function toDOM(view) {
      var _this2 = this;
      console.log(view);
      var span = document.createElement("span");
      if (this.visibleValue.args.length !== 2) {
        this.visibleValue.args = ["_", "_"];
        console.error("argumets doesnt match");
      }
      console.log('create widget DOM!!!!');
      console.log(this.visibleValue);
      var args = this.visibleValue.args;
      var head = document.createElement("span");
      head.classList.add("subscript-tail");
      var visibleValue = this.visibleValue;
      var recreateString = function recreateString(args) {
        _this2.visibleValue.str = 'CM6Superscript[' + args[0] + ', ' + args[1] + ']';
        var changes = {
          from: visibleValue.pos,
          to: visibleValue.pos + visibleValue.length,
          insert: _this2.visibleValue.str
        };
        _this2.visibleValue.length = _this2.visibleValue.str.length;
        return changes;
      };
      this.subEditor({
        doc: args[0],
        parent: head,
        update: function update(upd) {
          _this2.visibleValue.args[0] = upd;
          var change = recreateString(_this2.visibleValue.args);
          console.log('insert change');
          console.log(change);
          view.dispatch({
            changes: change
          });
        }
      });
      var sub = document.createElement("sup");
      sub.classList.add("subscript-tail");
      var editor = this.subEditor({
        doc: args[1],
        parent: sub,
        update: function update(upd) {
          _this2.visibleValue.args[1] = upd;
          var change = recreateString(_this2.visibleValue.args);
          console.log('insert change');
          console.log(change);
          view.dispatch({
            changes: change
          });
        }
      });
      if (view.viewState.state.config.nextFocus) {
        editor.focus();
        view.viewState.state.config.nextFocus = false;
      }
      span.appendChild(head);
      span.appendChild(sub);

      //span.classList.add("cm-bold");*/
      return span;
    }
  }, {
    key: "ignoreEvent",
    value: function ignoreEvent() {
      return true;
    }
  }]);
  return Widget;
}(_view.WidgetType);
var matcher = function matcher(ref, view) {
  return new _matcher.BallancedMatchDecorator({
    regexp: /CM6Superscript\[/,
    decoration: function decoration(match) {
      return _view.Decoration.replace({
        widget: new Widget(match, ref, view)
      });
    }
  });
};
var placeholder = _view.ViewPlugin.fromClass( /*#__PURE__*/function () {
  function _class(view) {
    _classCallCheck(this, _class);
    this.disposable = [];
    this.placeholder = matcher(this.disposable, view).createDeco(view);
  }
  _createClass(_class, [{
    key: "update",
    value: function update(_update) {
      this.placeholder = matcher(this.disposable, _update).updateDeco(_update, this.placeholder);
    }
  }, {
    key: "destroy",
    value: function destroy() {
      console.log("removed holder");
      console.log("disposable");
      console.log(this.disposable);
      this.disposable.forEach(function (el) {
        el.dispose();
      });
    }
  }]);
  return _class;
}(), {
  decorations: function decorations(instance) {
    return instance.placeholder;
  },
  provide: function provide(plugin) {
    return _view.EditorView.atomicRanges.of(function (view) {
      var _a;
      return ((_a = view.plugin(plugin)) === null || _a === void 0 ? void 0 : _a.placeholder) || _view.Decoration.none;
    });
  }
});
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js","./utils":"src/sugar/utils.js","./matcher":"src/sugar/matcher.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js"}],"src/sugar/squareroot.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.squareRootWidget = squareRootWidget;
var _view = require("@codemirror/view");
var _utils = require("./utils");
var _matcher = require("./matcher");
var _state = require("@codemirror/state");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
var subEditor;
function squareRootWidget(view) {
  subEditor = view;
  return [
  //mathematicaMathDecoration,
  placeholder, _view.keymap.of([{
    key: "Ctrl-2",
    run: snippet()
  }])];
}
function snippet() {
  return function (_ref) {
    var state = _ref.state,
      dispatch = _ref.dispatch;
    if (state.readOnly) return false;
    var changes = state.changeByRange(function (range) {
      var from = range.from,
        to = range.to;
      //if (atEof) from = to = (to <= line.to ? line : state.doc.lineAt(to)).to
      var prev = state.sliceDoc(from, to);
      if (prev.length === 0) {
        return {
          changes: {
            from: from,
            to: to,
            insert: "CM6Sqrt[_]"
          },
          range: _state.EditorSelection.cursor(from)
        };
      }
      return {
        changes: {
          from: from,
          to: to,
          insert: "CM6Sqrt[" + prev + "]"
        },
        range: _state.EditorSelection.cursor(from)
      };
    });
    dispatch(state.update(changes, {
      scrollIntoView: true,
      userEvent: "input"
    }));
    return true;
  };
}
var Widget = /*#__PURE__*/function (_WidgetType) {
  _inherits(Widget, _WidgetType);
  var _super = _createSuper(Widget);
  function Widget(visibleValue, ref, view) {
    var _this;
    _classCallCheck(this, Widget);
    _this = _super.call(this);
    _this.view = view;
    _this.visibleValue = visibleValue;
    _this.ref = ref;
    _this.subEditor = subEditor;
    return _this;
  }
  _createClass(Widget, [{
    key: "eq",
    value: function eq(other) {
      console.log('compare');
      console.log(this.visibleValue.str === other.visibleValue.str);
      return this.visibleValue.str === other.visibleValue.str;
    }
  }, {
    key: "updateDOM",
    value: function updateDOM(dom, view) {
      console.log('update widget DOM');
      return true;
    }
  }, {
    key: "toDOM",
    value: function toDOM(view) {
      var _this2 = this;
      var span = document.createElement("span");
      span.classList.add("root");
      if (this.visibleValue.args.length !== 1) {
        this.visibleValue.args = [this.visibleValue.str];
        console.log("single argument or not found");
      }
      console.log('create widget DOM!!!!');
      console.log(this.visibleValue);
      var args = this.visibleValue.args;
      var head = document.createElement("span");
      head.classList.add("radicand");
      var visibleValue = this.visibleValue;
      var recreateString = function recreateString(args) {
        _this2.visibleValue.str = 'CM6Sqrt[' + args[0] + ']';
        var changes = {
          from: visibleValue.pos,
          to: visibleValue.pos + visibleValue.length,
          insert: _this2.visibleValue.str
        };
        _this2.visibleValue.length = _this2.visibleValue.str.length;
        return changes;
      };
      this.subEditor({
        doc: args[0],
        parent: head,
        update: function update(upd) {
          _this2.visibleValue.args[0] = upd;
          var change = recreateString(_this2.visibleValue.args);
          console.log('insert change');
          console.log(change);
          view.dispatch({
            changes: change
          });
        }
      });
      span.appendChild(head);

      //span.classList.add("cm-bold");*/
      return span;
    }
  }, {
    key: "ignoreEvent",
    value: function ignoreEvent() {
      return true;
    }
  }]);
  return Widget;
}(_view.WidgetType);
var matcher = function matcher(ref, view) {
  return new _matcher.BallancedMatchDecorator({
    regexp: /CM6Sqrt\[/,
    decoration: function decoration(match) {
      return _view.Decoration.replace({
        widget: new Widget(match, ref, view)
      });
    }
  });
};
var placeholder = _view.ViewPlugin.fromClass( /*#__PURE__*/function () {
  function _class(view) {
    _classCallCheck(this, _class);
    this.disposable = [];
    this.placeholder = matcher(this.disposable, view).createDeco(view);
  }
  _createClass(_class, [{
    key: "update",
    value: function update(_update) {
      this.placeholder = matcher(this.disposable, _update).updateDeco(_update, this.placeholder);
    }
  }, {
    key: "destroy",
    value: function destroy() {
      console.log("removed holder");
      console.log("disposable");
      console.log(this.disposable);
      this.disposable.forEach(function (el) {
        el.dispose();
      });
    }
  }]);
  return _class;
}(), {
  decorations: function decorations(instance) {
    return instance.placeholder;
  },
  provide: function provide(plugin) {
    return _view.EditorView.atomicRanges.of(function (view) {
      var _a;
      return ((_a = view.plugin(plugin)) === null || _a === void 0 ? void 0 : _a.placeholder) || _view.Decoration.none;
    });
  }
});
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js","./utils":"src/sugar/utils.js","./matcher":"src/sugar/matcher.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js"}],"src/sugar/listmatcher.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListMatch = void 0;
var _nodeBalanced = require("node-balanced");
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
var ListMatch = function ListMatch(cursor) {
  var m = new _nodeBalanced.Balanced({
    //head: /F\[/,
    open: "{",
    close: "}",
    balance: false
  }).matchContentsInBetweenBrackets(cursor, [])[0];
  var sub = cursor.substring(m.index + m.head.length, m.index + m.length - 1);
  console.log(sub);
  var compoundMatches = new _nodeBalanced.Balanced({
    open: ["[", "{"],
    close: ["]", "}"],
    balance: [false, false]
  }).matchContentsInBetweenBrackets(sub, []);
  var SyntaxTree = [];
  var lastIndex = 0;
  console.log(compoundMatches);
  compoundMatches.forEach(function (e) {
    SyntaxTree.push({
      begin: sub.substring(lastIndex, e.index),
      expr: sub.substring(e.index, e.index + e.length),
      type: 0
    });
    lastIndex = e.index + e.length;
  });
  if (lastIndex < sub.length - 1) {
    SyntaxTree.push({
      begin: sub.substring(lastIndex),
      type: 1
    });
  }
  var args = [];
  console.log(SyntaxTree);
  SyntaxTree.reverse().forEach(function (s) {
    var localargs = [];
    if (s.begin.length == 0) {
      console.log(s);
      localargs.push(s.expr);
    } else {
      var matches = s.begin.split(",");
      console.log(matches);
      if (SyntaxTree.length > 1) matches.shift();
      if (matches.length == 0) matches = [s.begin];
      if (s.type == 0) {
        localargs.push((matches.pop() + s.expr).trim());
        if (matches.length > 0) matches.forEach(function (a) {
          localargs.push(a.trim());
        });
      } else {
        matches.forEach(function (a) {
          localargs.push(a.trim());
        });
      }
    }
    args.push.apply(args, _toConsumableArray(localargs.reverse()));
  });
  return args.reverse();
};
exports.ListMatch = ListMatch;
},{"node-balanced":"node_modules/node-balanced/index.js"}],"src/sugar/matrix.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.matrixWidget = matrixWidget;
var _view = require("@codemirror/view");
var _utils = require("./utils");
var _matcher = require("./matcher");
var _listmatcher = require("./listmatcher");
var _state = require("@codemirror/state");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
var subEditor;
function matrixWidget(view) {
  subEditor = view;
  return [
  //mathematicaMathDecoration,
  placeholder, _view.keymap.of([{
    key: "Ctrl-m",
    run: snippet()
  }])];
}
function snippet() {
  return function (_ref) {
    var state = _ref.state,
      dispatch = _ref.dispatch;
    if (state.readOnly) return false;
    var changes = state.changeByRange(function (range) {
      var from = range.from,
        to = range.to;
      //if (atEof) from = to = (to <= line.to ? line : state.doc.lineAt(to)).to
      var prev = state.sliceDoc(from, to);
      if (prev.length === 0) {
        return {
          changes: {
            from: from,
            to: to,
            insert: "CM6Grid[{{_,_},{_,_}}]"
          },
          range: _state.EditorSelection.cursor(from)
        };
      }
      return {
        changes: {
          from: from,
          to: to,
          insert: "CM6Grid[" + prev + "]"
        },
        range: _state.EditorSelection.cursor(from)
      };
    });
    dispatch(state.update(changes, {
      scrollIntoView: true,
      userEvent: "input"
    }));
    return true;
  };
}
var Widget = /*#__PURE__*/function (_WidgetType) {
  _inherits(Widget, _WidgetType);
  var _super = _createSuper(Widget);
  function Widget(visibleValue, ref, view) {
    var _this;
    _classCallCheck(this, Widget);
    _this = _super.call(this);
    _this.view = view;
    _this.visibleValue = visibleValue;
    _this.ref = ref;
    _this.subEditor = subEditor;
    return _this;
  }
  _createClass(Widget, [{
    key: "eq",
    value: function eq(other) {
      console.log('compare');
      console.log(this.visibleValue.str === other.visibleValue.str);
      return this.visibleValue.str === other.visibleValue.str;
    }
  }, {
    key: "updateDOM",
    value: function updateDOM(dom, view) {
      console.log('update widget DOM');
      return true;
    }
  }, {
    key: "toDOM",
    value: function toDOM(view) {
      var _this2 = this;
      var span = document.createElement("span");
      span.classList.add('matrix');
      var table = document.createElement("table");
      table.classList.add('container');
      span.appendChild(table);
      var tbody = document.createElement("tbody");
      table.appendChild(tbody);
      var visibleValue = this.visibleValue;
      var recreateString = function recreateString(args) {
        var f = args.map(function (e) {
          return e.join(',');
        });
        _this2.visibleValue.str = 'CM6Grid[{{' + f.join('},{') + '}}]';
        var changes = {
          from: visibleValue.pos,
          to: visibleValue.pos + visibleValue.length,
          insert: _this2.visibleValue.str
        };
        _this2.visibleValue.length = _this2.visibleValue.str.length;
        return changes;
      };
      console.log('create widget DOM!!!!');
      var rows = (0, _listmatcher.ListMatch)(this.visibleValue.str);
      this.args = [];
      var _loop = function _loop(i) {
        var tr = document.createElement("tr");
        var cols = (0, _listmatcher.ListMatch)(rows[i]);
        _this2.args.push([]);
        var _loop2 = function _loop2(j) {
          var td = document.createElement("td");
          _this2.args[i].push(cols[j]);
          _this2.subEditor({
            doc: cols[j],
            parent: td,
            update: function update(upd) {
              _this2.args[i][j] = upd;
              var change = recreateString(_this2.args);
              console.log('insert change');
              console.log(change);
              view.dispatch({
                changes: change
              });
            }
          });
          tr.appendChild(td);
        };
        for (var j = 0; j < cols.length; ++j) {
          _loop2(j);
        }
        tbody.appendChild(tr);
      };
      for (var i = 0; i < rows.length; ++i) {
        _loop(i);
      }
      return span;
    }
  }, {
    key: "ignoreEvent",
    value: function ignoreEvent() {
      return true;
    }
  }]);
  return Widget;
}(_view.WidgetType);
var matcher = function matcher(ref, view) {
  return new _matcher.BallancedMatchDecorator({
    regexp: /CM6Grid\[/,
    decoration: function decoration(match) {
      return _view.Decoration.replace({
        widget: new Widget(match, ref, view)
      });
    }
  });
};
var placeholder = _view.ViewPlugin.fromClass( /*#__PURE__*/function () {
  function _class(view) {
    _classCallCheck(this, _class);
    this.disposable = [];
    this.placeholder = matcher(this.disposable, view).createDeco(view);
  }
  _createClass(_class, [{
    key: "update",
    value: function update(_update) {
      this.placeholder = matcher(this.disposable, _update).updateDeco(_update, this.placeholder);
    }
  }, {
    key: "destroy",
    value: function destroy() {
      console.log("removed holder");
      console.log("disposable");
      console.log(this.disposable);
      this.disposable.forEach(function (el) {
        el.dispose();
      });
    }
  }]);
  return _class;
}(), {
  decorations: function decorations(instance) {
    return instance.placeholder;
  },
  provide: function provide(plugin) {
    return _view.EditorView.atomicRanges.of(function (view) {
      var _a;
      return ((_a = view.plugin(plugin)) === null || _a === void 0 ? void 0 : _a.placeholder) || _view.Decoration.none;
    });
  }
});
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js","./utils":"src/sugar/utils.js","./matcher":"src/sugar/matcher.js","./listmatcher":"src/sugar/listmatcher.js","@codemirror/state":"node_modules/@codemirror/state/dist/index.js"}],"src/sugar/misc.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Greekholder = exports.Arrowholder = void 0;
var _view = require("@codemirror/view");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var GreekMatcher = new _view.MatchDecorator({
  regexp: /\\\[([a-zA-z]+)\]/g,
  decoration: function decoration(match) {
    console.log(match);
    return _view.Decoration.replace({
      widget: new GreekWidget(match[1])
    });
  }
});
var Greekholder = _view.ViewPlugin.fromClass( /*#__PURE__*/function () {
  function _class(view) {
    _classCallCheck(this, _class);
    this.Greekholder = GreekMatcher.createDeco(view);
  }
  _createClass(_class, [{
    key: "update",
    value: function update(_update) {
      this.Greekholder = GreekMatcher.updateDeco(_update, this.Greekholder);
    }
  }]);
  return _class;
}(), {
  decorations: function decorations(instance) {
    return instance.Greekholder;
  },
  provide: function provide(plugin) {
    return _view.EditorView.atomicRanges.of(function (view) {
      var _view$plugin;
      return ((_view$plugin = view.plugin(plugin)) === null || _view$plugin === void 0 ? void 0 : _view$plugin.Greekholder) || _view.Decoration.none;
    });
  }
});
exports.Greekholder = Greekholder;
var GreekWidget = /*#__PURE__*/function (_WidgetType) {
  _inherits(GreekWidget, _WidgetType);
  var _super = _createSuper(GreekWidget);
  function GreekWidget(name) {
    var _this;
    _classCallCheck(this, GreekWidget);
    console.log('created');
    _this = _super.call(this);
    _this.name = name;
    return _this;
  }
  _createClass(GreekWidget, [{
    key: "eq",
    value: function eq(other) {
      return this.name === other.name;
    }
  }, {
    key: "toDOM",
    value: function toDOM() {
      console.log('to DOM');
      var elt = document.createElement("span");
      elt.innerHTML = "&" + this.name.toLowerCase().replace("sqrt", "radic").replace("degree", "deg") + ";";
      return elt;
    }
  }, {
    key: "ignoreEvent",
    value: function ignoreEvent() {
      return false;
    }
  }]);
  return GreekWidget;
}(_view.WidgetType);
var ArrowMatcher = new _view.MatchDecorator({
  regexp: /(->|<-)/g,
  decoration: function decoration(match) {
    return _view.Decoration.replace({
      widget: new ArrowWidget(match[1])
    });
  }
});
var Arrowholder = _view.ViewPlugin.fromClass( /*#__PURE__*/function () {
  function _class2(view) {
    _classCallCheck(this, _class2);
    this.Arrowholder = ArrowMatcher.createDeco(view);
  }
  _createClass(_class2, [{
    key: "update",
    value: function update(_update2) {
      this.Arrowholder = ArrowMatcher.updateDeco(_update2, this.Arrowholder);
    }
  }]);
  return _class2;
}(), {
  decorations: function decorations(instance) {
    return instance.Arrowholder;
  },
  provide: function provide(plugin) {
    return _view.EditorView.atomicRanges.of(function (view) {
      var _view$plugin2;
      return ((_view$plugin2 = view.plugin(plugin)) === null || _view$plugin2 === void 0 ? void 0 : _view$plugin2.Arrowholder) || _view.Decoration.none;
    });
  }
});
exports.Arrowholder = Arrowholder;
var ArrowWidget = /*#__PURE__*/function (_WidgetType2) {
  _inherits(ArrowWidget, _WidgetType2);
  var _super2 = _createSuper(ArrowWidget);
  function ArrowWidget(dir) {
    var _this2;
    _classCallCheck(this, ArrowWidget);
    _this2 = _super2.call(this);
    _this2.dir = dir;
    _this2.instance = Math.random();
    return _this2;
  }
  _createClass(ArrowWidget, [{
    key: "eq",
    value: function eq(other) {
      return this.instance === other.instance;
    }
  }, {
    key: "toDOM",
    value: function toDOM() {
      var elt = document.createElement("span");
      console.log(this.dir);
      if (this.dir === "->") {
        elt.innerText = "→";
      } else {
        elt.innerText = "←";
      }
      return elt;
    }
  }, {
    key: "ignoreEvent",
    value: function ignoreEvent() {
      return false;
    }
  }]);
  return ArrowWidget;
}(_view.WidgetType);
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js"}],"node_modules/rainbowbrackets/rainbowBrackets.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = rainbowBrackets;
var _view = require("@codemirror/view");
function generateColors() {
  return ['red', 'orange', 'yellow', 'green', 'blue', 'indigo', 'violet'];
}
const rainbowBracketsPlugin = _view.ViewPlugin.fromClass(class {
  decorations;
  constructor(view) {
    this.decorations = this.getBracketDecorations(view);
  }
  update(update) {
    if (update.docChanged || update.selectionSet || update.viewportChanged) {
      this.decorations = this.getBracketDecorations(update.view);
    }
  }
  getBracketDecorations(view) {
    const {
      doc
    } = view.state;
    const decorations = [];
    const stack = [];
    const colors = generateColors();
    for (let pos = 0; pos < doc.length; pos += 1) {
      const char = doc.sliceString(pos, pos + 1);
      if (char === '(' || char === '[' || char === '{') {
        stack.push({
          type: char,
          from: pos
        });
      } else if (char === ')' || char === ']' || char === '}') {
        const open = stack.pop();
        if (open && open.type === this.getMatchingBracket(char)) {
          const color = colors[stack.length % colors.length];
          decorations.push(_view.Decoration.mark({
            class: `rainbow-bracket-${color}`
          }).range(open.from, open.from + 1), _view.Decoration.mark({
            class: `rainbow-bracket-${color}`
          }).range(pos, pos + 1));
        }
      }
    }
    decorations.sort((a, b) => a.from - b.from || a.startSide - b.startSide);
    return _view.Decoration.set(decorations);
  }

  // eslint-disable-next-line class-methods-use-this
  getMatchingBracket(closingBracket) {
    switch (closingBracket) {
      case ')':
        return '(';
      case ']':
        return '[';
      case '}':
        return '{';
      default:
        return null;
    }
  }
}, {
  decorations: v => v.decorations
});
function rainbowBrackets() {
  return [rainbowBracketsPlugin, _view.EditorView.baseTheme({
    '.rainbow-bracket-red': {
      color: 'red'
    },
    '.rainbow-bracket-red > span': {
      color: 'red'
    },
    '.rainbow-bracket-orange': {
      color: 'orange'
    },
    '.rainbow-bracket-orange > span': {
      color: 'orange'
    },
    '.rainbow-bracket-yellow': {
      color: 'yellow'
    },
    '.rainbow-bracket-yellow > span': {
      color: 'yellow'
    },
    '.rainbow-bracket-green': {
      color: 'green'
    },
    '.rainbow-bracket-green > span': {
      color: 'green'
    },
    '.rainbow-bracket-blue': {
      color: 'blue'
    },
    '.rainbow-bracket-blue > span': {
      color: 'blue'
    },
    '.rainbow-bracket-indigo': {
      color: 'indigo'
    },
    '.rainbow-bracket-indigo > span': {
      color: 'indigo'
    },
    '.rainbow-bracket-violet': {
      color: 'violet'
    },
    '.rainbow-bracket-violet > span': {
      color: 'violet'
    }
  })];
}
},{"@codemirror/view":"node_modules/@codemirror/view/dist/index.js"}],"index.js":[function(require,module,exports) {
"use strict";

var _codemirror = require("codemirror");
var _mathematica = require("./src/mathematica/mathematica");
var _fractions = require("./src/sugar/fractions");
var _subscript = require("./src/sugar/subscript");
var _supscript = require("./src/sugar/supscript");
var _squareroot = require("./src/sugar/squareroot");
var _matrix = require("./src/sugar/matrix");
var _misc = require("./src/sugar/misc");
var _language = require("@codemirror/language");
var _rainbowbrackets = _interopRequireDefault(require("rainbowbrackets"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var editorCustomTheme = _codemirror.EditorView.theme({
  "&.cm-focused": {
    outline: "none",
    background: 'inherit'
  },
  ".cm-line": {
    padding: 0,
    'padding-left': '2px',
    'align-items': 'center'
  },
  ".cm-activeLine": {
    'background-color': 'transparent'
  }
});
var editorCustomThemeCompact = _codemirror.EditorView.theme({
  "&.cm-focused": {
    outline: "none",
    background: 'inherit'
  },
  ".cm-line": {
    padding: 0,
    'padding-left': '2px',
    'align-items': 'center'
  },
  ".cm-activeLine": {
    'background-color': 'transparent'
  },
  ".cm-scroller": {
    'line-height': 'inherit',
    'overflow-x': 'overlay',
    'overflow-y': 'overlay',
    'align-items': 'initial'
  },
  ".cm-content": {
    "padding": '0px 0'
  }
});
var doc = "\nCM6Sqrt[CM6Fraction[Table[RandomInteger[5], {i,1,5}], 2]]\n\n{0,CM6Sqrt[2],CM6Sqrt[CM6Fraction[3, 2]],CM6Sqrt[CM6Fraction[5, 2]],1}\n\n(CM6Grid[{{0, 1}, {1, 0}}, RowSpacings -> 1, ColumnSpacings -> 1, RowAlignments -> Baseline, ColumnAlignments -> Center])\n";
var _compactWLEditor = null;
_compactWLEditor = function compactWLEditor(p) {
  return new _codemirror.EditorView({
    doc: p.doc,
    extensions: [_codemirror.minimalSetup, editorCustomThemeCompact, _mathematica.wolframLanguage, (0, _fractions.fractionsWidget)(_compactWLEditor), (0, _subscript.subscriptWidget)(_compactWLEditor), (0, _supscript.supscriptWidget)(_compactWLEditor), (0, _matrix.matrixWidget)(_compactWLEditor), (0, _squareroot.squareRootWidget)(_compactWLEditor), (0, _language.bracketMatching)(), (0, _rainbowbrackets.default)(), _misc.Greekholder, _misc.Arrowholder, _codemirror.EditorView.updateListener.of(function (v) {
      if (v.docChanged) {
        p.update(v.state.doc.toString());
      }
    })],
    parent: p.parent
  });
};
new _codemirror.EditorView({
  doc: doc,
  extensions: [_codemirror.minimalSetup, editorCustomTheme, _mathematica.wolframLanguage, (0, _fractions.fractionsWidget)(_compactWLEditor), (0, _subscript.subscriptWidget)(_compactWLEditor), (0, _supscript.supscriptWidget)(_compactWLEditor), (0, _matrix.matrixWidget)(_compactWLEditor), (0, _squareroot.squareRootWidget)(_compactWLEditor), (0, _language.bracketMatching)(), (0, _rainbowbrackets.default)(), _misc.Greekholder, _misc.Arrowholder],
  parent: document.querySelector("#editor")
});
},{"codemirror":"node_modules/codemirror/dist/index.js","./src/mathematica/mathematica":"src/mathematica/mathematica.js","./src/sugar/fractions":"src/sugar/fractions.js","./src/sugar/subscript":"src/sugar/subscript.js","./src/sugar/supscript":"src/sugar/supscript.js","./src/sugar/squareroot":"src/sugar/squareroot.js","./src/sugar/matrix":"src/sugar/matrix.js","./src/sugar/misc":"src/sugar/misc.js","@codemirror/language":"node_modules/@codemirror/language/dist/index.js","rainbowbrackets":"node_modules/rainbowbrackets/rainbowBrackets.js"}],"node_modules/parcel-bundler/src/builtins/hmr-runtime.js":[function(require,module,exports) {
var global = arguments[3];
var OVERLAY_ID = '__parcel__error__overlay__';
var OldModule = module.bundle.Module;
function Module(moduleName) {
  OldModule.call(this, moduleName);
  this.hot = {
    data: module.bundle.hotData,
    _acceptCallbacks: [],
    _disposeCallbacks: [],
    accept: function (fn) {
      this._acceptCallbacks.push(fn || function () {});
    },
    dispose: function (fn) {
      this._disposeCallbacks.push(fn);
    }
  };
  module.bundle.hotData = null;
}
module.bundle.Module = Module;
var checkedAssets, assetsToAccept;
var parent = module.bundle.parent;
if ((!parent || !parent.isParcelRequire) && typeof WebSocket !== 'undefined') {
  var hostname = "" || location.hostname;
  var protocol = location.protocol === 'https:' ? 'wss' : 'ws';
  var ws = new WebSocket(protocol + '://' + hostname + ':' + "51209" + '/');
  ws.onmessage = function (event) {
    checkedAssets = {};
    assetsToAccept = [];
    var data = JSON.parse(event.data);
    if (data.type === 'update') {
      var handled = false;
      data.assets.forEach(function (asset) {
        if (!asset.isNew) {
          var didAccept = hmrAcceptCheck(global.parcelRequire, asset.id);
          if (didAccept) {
            handled = true;
          }
        }
      });

      // Enable HMR for CSS by default.
      handled = handled || data.assets.every(function (asset) {
        return asset.type === 'css' && asset.generated.js;
      });
      if (handled) {
        console.clear();
        data.assets.forEach(function (asset) {
          hmrApply(global.parcelRequire, asset);
        });
        assetsToAccept.forEach(function (v) {
          hmrAcceptRun(v[0], v[1]);
        });
      } else if (location.reload) {
        // `location` global exists in a web worker context but lacks `.reload()` function.
        location.reload();
      }
    }
    if (data.type === 'reload') {
      ws.close();
      ws.onclose = function () {
        location.reload();
      };
    }
    if (data.type === 'error-resolved') {
      console.log('[parcel] ✨ Error resolved');
      removeErrorOverlay();
    }
    if (data.type === 'error') {
      console.error('[parcel] 🚨  ' + data.error.message + '\n' + data.error.stack);
      removeErrorOverlay();
      var overlay = createErrorOverlay(data);
      document.body.appendChild(overlay);
    }
  };
}
function removeErrorOverlay() {
  var overlay = document.getElementById(OVERLAY_ID);
  if (overlay) {
    overlay.remove();
  }
}
function createErrorOverlay(data) {
  var overlay = document.createElement('div');
  overlay.id = OVERLAY_ID;

  // html encode message and stack trace
  var message = document.createElement('div');
  var stackTrace = document.createElement('pre');
  message.innerText = data.error.message;
  stackTrace.innerText = data.error.stack;
  overlay.innerHTML = '<div style="background: black; font-size: 16px; color: white; position: fixed; height: 100%; width: 100%; top: 0px; left: 0px; padding: 30px; opacity: 0.85; font-family: Menlo, Consolas, monospace; z-index: 9999;">' + '<span style="background: red; padding: 2px 4px; border-radius: 2px;">ERROR</span>' + '<span style="top: 2px; margin-left: 5px; position: relative;">🚨</span>' + '<div style="font-size: 18px; font-weight: bold; margin-top: 20px;">' + message.innerHTML + '</div>' + '<pre>' + stackTrace.innerHTML + '</pre>' + '</div>';
  return overlay;
}
function getParents(bundle, id) {
  var modules = bundle.modules;
  if (!modules) {
    return [];
  }
  var parents = [];
  var k, d, dep;
  for (k in modules) {
    for (d in modules[k][1]) {
      dep = modules[k][1][d];
      if (dep === id || Array.isArray(dep) && dep[dep.length - 1] === id) {
        parents.push(k);
      }
    }
  }
  if (bundle.parent) {
    parents = parents.concat(getParents(bundle.parent, id));
  }
  return parents;
}
function hmrApply(bundle, asset) {
  var modules = bundle.modules;
  if (!modules) {
    return;
  }
  if (modules[asset.id] || !bundle.parent) {
    var fn = new Function('require', 'module', 'exports', asset.generated.js);
    asset.isNew = !modules[asset.id];
    modules[asset.id] = [fn, asset.deps];
  } else if (bundle.parent) {
    hmrApply(bundle.parent, asset);
  }
}
function hmrAcceptCheck(bundle, id) {
  var modules = bundle.modules;
  if (!modules) {
    return;
  }
  if (!modules[id] && bundle.parent) {
    return hmrAcceptCheck(bundle.parent, id);
  }
  if (checkedAssets[id]) {
    return;
  }
  checkedAssets[id] = true;
  var cached = bundle.cache[id];
  assetsToAccept.push([bundle, id]);
  if (cached && cached.hot && cached.hot._acceptCallbacks.length) {
    return true;
  }
  return getParents(global.parcelRequire, id).some(function (id) {
    return hmrAcceptCheck(global.parcelRequire, id);
  });
}
function hmrAcceptRun(bundle, id) {
  var cached = bundle.cache[id];
  bundle.hotData = {};
  if (cached) {
    cached.hot.data = bundle.hotData;
  }
  if (cached && cached.hot && cached.hot._disposeCallbacks.length) {
    cached.hot._disposeCallbacks.forEach(function (cb) {
      cb(bundle.hotData);
    });
  }
  delete bundle.cache[id];
  bundle(id);
  cached = bundle.cache[id];
  if (cached && cached.hot && cached.hot._acceptCallbacks.length) {
    cached.hot._acceptCallbacks.forEach(function (cb) {
      cb();
    });
    return true;
  }
}
},{}]},{},["node_modules/parcel-bundler/src/builtins/hmr-runtime.js","index.js"], null)
//# sourceMappingURL=/codemirror6-mathematica-sugar.e31bb0bc.js.map